(CNN) -- Diprivan is a powerful I.V. anesthetic drug used for patients undergoing certain surgeries and diagnostic procedures.

Patients undergoing surgery may receive Diprivan to keep them sedated during the procedure.

The drug is making headlines with the claim from a nurse who worked for pop icon Michael Jackson that the singer, who died June 25, had repeatedly asked her about the drug. Nurse Cherilyn Lee told CNN that Jackson had brought up Diprivan about three months ago, saying he needed it for insomnia and that his doctor said it was safe.

"He said, 'I am so sleepy. I cannot sleep. I want to have at least eight hours of sleep,'" Lee told CNN's Anderson Cooper.

The medication, whose generic name is propofol, renders the patient unconscious for as long as doctors deem necessary. The patient wakes up almost immediately after the infusion is stopped, experts say.

But treating sleep disorders is not an approved use of the drug. The U.S. Food and Drug Administration says Diprivan should be given only by people trained in the administration of general anesthesia and who are not involved in the conduct of the surgery or diagnostic procedure.  Watch Dr. Gupta explain when and how propofol (Diprivan) is used »

The general anesthetic has the effect of making patients feel well-rested when they wake up from it, said Dr. Hector Vila, chairman of the Ambulatory Surgery Committee for the American Society of Anesthesiologists.

Vila gives the drug to all of his patients who are getting office procedures in areas such as urology, dentistry and gynecology. It is also the most common anesthetic for colonoscopies, he said.

"I have never heard of anyone using it for the treatment of a sleep disorder," he said.

There have been cases of health care professionals self-administering the drug and abusing it, however, said Vila, who has examined deaths from Diprivan in Florida.

Other deaths from the drug have occurred when administered by non-anesthetist professionals, in settings such as ophthalmology, gynecology and plastic surgery, he said.

Diprivan appears white and milky, and is usually run as an I.V. drip. In addition to surgical applications, it can be used in the intensive care unit for someone who may be intubated on a ventilator.

The drug itself does not provide pain relief, experts say.

The principle risks of Diprivan come from improper monitoring of the patient's breathing, Vila said. When a person's breathing slows down, not enough carbon dioxide gets removed from the body, and not enough oxygen enters. This could lead to cardiac arrest, he said.

Still, when used properly, Diprivan is not a dangerous drug, he said. "It's very safe in a properly trained physician's hands."

The drug has been used in the past to treat prolonged epileptic seizures. A small MayoClinic study in 2008 found that Diprivan was associated with a higher risk of cardiac arrest and deaths in patients with a condition called refractory status epilepticus.

Side effects of Diprivan may include dizziness and lightheadedness. Balance, coordination and judgment may be affected for up to 24 hours, so patients should not drive cars, play sports or sign contracts in that period, Vila said.

Patients may also experience a euphoric feeling upon waking up, Vila said. This is distinct from older anesthetics, which caused nausea and vomiting, he said.

The FDA also issued a warning to health care professionals in 2007 about patients who experienced chills, fever and body aches shortly after receiving the drug for sedation or general anesthesia.

Doctors consider sedation a continuum, where relaxation is on the mild side and general anesthesia is at the other extreme.

There may be complications of Diprivan if the patient is also taking prescription pain medications, experts say.

Patients should tell their health care providers about any allergies they have before taking this drug, doctors say, including eggs, soy products, sulfite, benzyl alcohol and any medications.

CNN's Stephanie Smith contributed to this report.

@highlight

Diprivan renders the patient unconscious for as long as doctors deem necessary

@highlight

FDA has not approved it for treating sleep disorders

@highlight

The drug has the effect of making the patient feel well-rested upon waking up

@highlight

People with food or drug allergies should alert their doctor before taking it