(CNN)As a well-traveled photographer, Pieter ten Hoopen is no stranger to refugee camps.

But he never experienced any like the Mayo camp, which is outside the Sudanese capital of Khartoum.

Ten Hoopen was at the camp to photograph a new medical clinic for Emergency, a humanitarian group from Italy. He also hoped to document what life was like for refugees there.

His hopes were dashed, however, when he was told he couldn't photograph outside the hospital compound.

"I had very, very hard restrictions from the Sudanese government. ... They are very well-skilled in keeping the media at bay," ten Hoopen said.

With no freedom of movement, much like the refugees themselves, ten Hoopen resorted to an old trick he had used before while traveling in Africa. With the help of refugee hospital workers, he built a makeshift photo studio using hospital bed sheets and other materials available.

The studio quickly became a sensation. Once hospital employees volunteered to have their photo taken, lines of refugees began snaking around the hospital grounds waiting to have their portraits taken.

One by one, these people sat solemnly to be photographed. It was their time to be acknowledged. There was gravity, earnestness to the way they posed. This was the moment their story would be registered.

"This was one of the reasons why I built the studio: to get more material and more narratives from the people," ten Hoopen said.

The project quickly became a catalog of the history and identity of the refugees.

The photos span several generations -- some of the subjects were born at the refugee camp, some have been there for decades. Women wearing the traditional Sudanese tobe spell out their class and origin by the way it is wrapped. From the Muslim north, women are fully covered -- a contrast to women from the Christian south, who we also see represented in these photos.

Whether from Sudan, South Sudan or Eritrea, the faces become, individually and collectively, a portrait of the endless wars that have shaped the Horn of Africa.

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

The word refugee often conjures up images of faceless crowds fleeing conflict, their existence only registered in terms of statistics and graphs. Ten Hoopen wanted to give his subjects the ability to express themselves freely.

"They got very serious, they sat down upright. ... I tried to say as little as possible," he said. "I do believe in their own expressions, their own narrative ... and their unique perspective."

The studio had a comforting effect. It was a haven from the hustling and bustling of the camp hospital. It gave the photographer an opportunity to meet his subject matter eye to eye, giving each person their deserved attention. Aesthetically, it created an aura around each person, beaming light on his or her personal narrative. It had some uplifting effects as well.

"I always try to put some extra thought to (projects). So I build classic photo studios like they have in any small towns in the African continent or in Europe ... just to give people a little bit of the feeling they are special for a short time and that someone really photographs them in an official way," ten Hoopen said.

He said some patients at the hospital "had being laying there for months in their room. ... Then you take them out, it's a little treat to get them out of their own misery. ... That's why you see the line growing, because they see people laughing when they come out of the studio."

Ten-month-old Buseiwa was not laughing when she entered the studio. Having just had a blood test for malaria, she clearly looked uneasy. Gazing to someone who is holding her hand, her eyes connect with this parental figure as a source of strength.

Hawa Haranan, 40, came from the war-torn Darfur region before getting a job as a cleaner at the hospital. As she wears a simple tobe, one can almost see the emotions behind her leonine stare. Her life and struggle, as with the other individuals photographed, is accounted for with the testimony of a camera.

Ten Hoopen used tilt-shift lenses, which are normally used with the large-format cameras used in classic photography.

"I really can appreciate old portraiture ... when people got their portrait taken in a way that was loaded, I think, with respect and it was a very serious moment," he said. "It's a slow way of working where you have to put all your focus into one person sitting in front of you."

How did ten Hoopen gain the trust of so many uneasy refugees, some severely traumatized and living in fear?

"It wasn't hard," he said. "I just told them to relax and have fun.

"Kids sometimes got nervous, and I don't blame them. I am a tall, white, bald European guy. ... I am not only funny to look at, but it is hot in that country so I am usually very red when I am photographing. ... I have tattoos everywhere. ... They thought I was a quite interesting creature."

Pieter ten Hoopen is a photographer based in Stockholm, Sweden. You can follow him on Facebook, Twitter and Instagram.

@highlight

Pieter ten Hoopen took portraits of refugees at the Mayo camp in Khartoum, Sudan

@highlight

He set up a makeshift studio near a hospital, and it quickly became a sensation