Miami (CNN) -- Officials in a popular stretch of coastal North Carolina ordered all visitors to evacuate ahead of Hurricane Irene, which damaged homes in the Bahamas Wednesday as it churned toward the U.S. East Coast.

Irene, with maximum sustained winds of 120 mph, could jump to Category 4 strength by Thursday, the National Hurricane Center said. Federal emergency management officials had a simple message for those in or near the path: Be prepared.

Dare County, North Carolina -- home to Manteo, Nags Head, Duck and Kitty Hawk -- was taking no chances. A mandatory evacuation for tourists was to take effect 8 a.m. ET Thursday. Residents could stay for now, but they were advised to ready themselves for Irene.

The Cape Hatteras Lighthouse closed Wednesday evening. Other venues, including the Wright Brothers National Memorial visitors center, also were shuttered.

"They are taking precautions," Sydney Jenkins, bar manager at Poor Richard's Sandwich Shop in Manteo, said Wednesday evening. "It's now more or less whether it's even going to hit us."

"This is a huge storm," said CNN meteorologist Jacqui Jeras. "The cloud field is more than 800 miles across. The tropical storm force winds extend out 200 miles from the center."

The strengthening came as the storm pounded central and southeastern Bahamas. Rainfall of 6 to 12 inches was expected in the Bahamas, with 15 inches possible in some places, the Miami-based Hurricane Center said.

At 11 p.m. ET Wednesday, Irene was moving northwest at 12 mph and was between Rum Cay and Long Island, 150 miles east-southeast of Nassau. Hurricane-force winds extended up to 70 miles and U.S. weather officials predicted significant storm surge.

"We are urging persons in central Bahamas to exercise extreme caution," said Capt. Stephen Russell, head of the National Emergency Management Agency in the island chain.

No injuries had been reported as of Wednesday evening, but extensive structural damage from wind was reported on Acklins and Crooked islands, Russell told CNN. Numerous homes had been blown off their foundations.

Russell had no information on rainfall amounts. Electricity was out in some locations.

Irene whipped through the island of Mayaguana, the mostly easterly island in the chain, and moved into Long, San Salvador and Cat islands, which are not heavily populated.

About 65% of the country's population is on New Providence, home to Nassau. Projections showed the island being outside of hurricane-force winds, Russell said. "We hope the system makes a gradual turn to the northeast."

After it makes the turn, Irene could threaten large sections of the Eastern Seaboard, from the Carolinas into the Northeast.

But, forecasters said, it was too soon to predict how it would affect the United States because of the "cone of uncertainty."

Even if Irene doesn't touch land or glances off the U.S. coast, "the waves are going to be tremendous," said CNN meteorologist Chad Myers.

Swells generated by Irene will begin affecting the Southeast's coast Thursday.

"On the forecast track, the core of Irene will move across the southeastern and central Bahamas through tonight and over the northwestern Bahamas on Thursday," the Hurricane Center said.

Irene forced more than a dozen cruise ships to change their itineraries in the Caribbean, CruiseCritic.com reported.

Those ships include the Carnival Sensation, which had been docked in Freeport, Bahamas, but was coming back to Port Canaveral, Florida, late Wednesday.

Irene has prompted the Bahamas Ministry of Tourism & Aviation to recommend strongly that people with plans to travel to the Bahamas in the next few days postpone their trips.

The storm will curve northward as it nears the United States, with most of the latest projections suggesting the storm will avoid landfall until it is north of North Carolina. The storm is expected to arrive off North Carolina by Saturday morning.

The storm approaches as Americans increasingly are relying on social media to prepare for and keep abreast of disasters. According to two American Red Cross surveys, the increased use of social media and mobile technology has caused response agencies "to engage with people in times of disaster and to include information from social networks in their response efforts."

North Carolina coastal areas could see about 6 inches of rain and tropical storm force winds.  Irene is forecast to be a Category 2 or 3 storm when it reaches the U.S. East Coast later Friday or early Saturday.

Many counties were taking a wait-and-see attitude on evacuations. Warren Lee, emergency management director in New Hanover County, North Carolina, said shelters likely will be opened. "If the storm stays on current track, we don't expect a major impact and we will not issue an evacuation order plan right now."

Some computer models suggest New York or New Jersey could be hit.

"Everywhere from North Carolina to Massachusetts remains in the cone of uncertainty," Jeras said. "Worst-case scenario, we could be looking at two landfalls, or we could be lucky and get a brush instead of a direct hit. ... Even if Irene doesn't make landfall in the United States, it may very well bring flooding rains, damaging winds and power outages to the Northeast. Planning is critical, and everyone needs to be ready with a disaster plan and a safety kit."

Chris Martin, an employee at Endeavor Seafood in Newport, Rhode Island, said a bridal shower is scheduled Sunday in Portsmouth for his fiancee. "We're hoping to have it outside."

Martin is hoping the hurricane, if it actually affects the state, will not arrive until Monday.

Hyde County, in North Carolina's Outer Banks, declared a state of emergency for Ocracoke Island and the county's mainland, along with a mandatory evacuation for all visitors and a voluntary evacuation for residents. The mandatory evacuation will extend to residents beginning 5 a.m. Thursday, Hyde County Emergency Services said.

Ocracoke is reachable only by boat or private plane.

While forecasts showed the storm "moving further from the coast and toward the sea," North Carolina Gov. Beverly Perdue said Wednesday, "we must all prepare for the worst."

In Kill Devil Hills in the Outer Banks, locals who insist on staying through the storm were planning "hurricane parties" as they stocked up on water, canned food and flashlight batteries, said CNN iReporter Penelope Penn, who was in the area Tuesday.

"The water was so calm and the sky so clear at the Outer Banks last night. It truly is calmest before a storm," Penn added.  On Wednesday, Penn was in nearby Virginia Beach, Virginia.

The last major hurricane to strike the United States was Wilma in 2005, which was a Category 3 at landfall, Jeras said. Hurricane Katrina, earlier the same year, was also a Category 3 at landfall. The most recent hurricane to make landfall in the United States was Ike in 2008, which hit near Galveston, Texas, as a Category 2.

Gloria in 1985 was the most recent hurricane to hit New York. It was a Category 3 at landfall, the National Hurricane Center said. In 1991, Hurricane Bob hit Massachusetts, a Category 2 at landfall.

Bill Read, director of the Hurricane Center, said Irene could cause problems with flooding in Northeastern states that have already had lots of rainfall this summer.

Widespread damage is possible from the coastal Carolinas all the way up to the Canadian Maritimes, including the major cities of the Northeast, CNN meteorologist Dave Hennen said.

Irene is expected to pass well east of Florida, so only minimal effects are expected Thursday and Friday as the storm moves northward toward the Carolinas. But the U.S. Coast Guard is worried boaters in south Florida are taking the threat too lightly.

Officials expect heavy rip currents and beach erosion in Miami. "The most prudent thing to make sure mariners are not out this time tomorrow," Capt. Chris Scraba said.

South Carolina state officials decided not to order evacuations. Boaters and swimmers were urged by the Coast Guard to stay out of the water.

CNN's Ed Payne, Chandler Friedman, Joe Sutton, John Fricke, A. Pawlowski and Nelson Quinones contributed to this report.

@highlight

Extensive damage reported on two Bahamas islands

@highlight

In North Carolina, Dare County orders evacuation of visitors

@highlight

Storm forces changes in cruise ship itineraries, including the Carnival Sensation

@highlight

Hurricane Irene maintains strength, could be Category 4 storm on Thursday