Mafraq, Jordan (CNN) -- There are so many refugees living in one neighborhood here that locals have started calling it Syria Town.

In Syria Town's dusty streets, children peer out from storefronts and shop windows partially covered by blankets, sheets and cardboard.

Refugees are renting out shops that once sold sweets and converting them into makeshift homes. Some of these converted residences don't have doors.

A blanket hung over the entryway of Um Khaled's one-room home. The widow from the Syrian city of Homs spent her last savings renting what used to be an office.

"The regime soldiers and Shabiha militia took my husband and son from our house. They also took my brother and his son. They lined them up on the street and shot them," she said.

Um Khaled's surviving sons, Abdul Kareem and Abdul Rahman, sat beside her on the floor. The eyes of the boys, ages 11 and 12, looked glazed and empty.

Before the war, both boys went to school in Syria. Rahman wanted to become a lawyer.

Now refugees in a foreign country, both boys have been looking for jobs to help pay the rent.

"There is no work, the children can't work, so life is hard," Um Khaled said.

Competing for scarce resources

The trouble is, there weren't enough jobs to go around even before Syrian refugees start flooding into Jordan.

Jordan had an unofficial unemployment rate of 30% in 2012, according to the CIA World Fact Book.

But today, this small kingdom of roughly 6.5 million inhabitants hosts more than 450,000 registered Syrian refugees.

Hundreds of thousands of additional Syrians are believed to be living in Jordan outside the formal refugee system.

Increasingly, Jordanians are competing with Syrians for jobs, real estate and even dwindling supplies of water.

"In a time where you have a very high rate of unemployment, where Jordanians are feeling economical hardship, this is making people angry," said Randa Habib, a political analyst and the author of the book "Hussein and Abdullah: Inside the Jordanian Royal Family."

The mounting frustration was palpable on the streets of Mafraq, a scruffy Jordanian border town, where Jordanians and Syrians approached visiting foreigners begging for money.

"The situation was already tough, and it's gotten harder since the Syrians came here," said Khalid Mohamed el Wali, a car mechanic dressed in grease-spattered clothes. "Despite hardships in the past, we never had to line up for bread before, but since the Syrians came here, we have started lining up and waiting in bread lines."

Anger has boiled over

"Of course people are angry," restaurant owner Awwad Zudi said as he sliced chunks of beef with a knife for the sizzling grill behind him. "There have been water cuts, an increase in property prices and rent. Jordanian property owners have started finding legal ways to evict Jordanian tenants so they can rent their property to Syrians for double the price or to make Jordanians pay higher prices," Zudi added.

Frequently, Jordanians also have complained about the enormous government-run Zaatari refugee camp outside Mafraq. As the population there has swelled to more than 100,000 residents, Jordanian security forces have struggled to maintain order.

Last week, rioting residents torched dozens of tents after clashes reportedly erupted with protesting residents of a neighboring Jordanian town.

The refugee population will be one of the top items on the agenda Friday when U.S. President Barack Obama sits down with Jordan's King Abdullah in Amman.

According to the United Nations, international donors have pledged only about a fifth of the funds needed to help Syrian refugees in Jordan.

Wealthy expatriate donors

This month, a group of wealthy Syrian expatriate businessmen who oppose the government in Damascus opened a new aid program in Jordan aimed at helping Syrian refugees.

At a warehouse where workers from the Syrian Business Council for Relief and Development loaded sacks of rice into trucks for distribution to refugees, council members handed out rice to Jordanians gathered around the vehicles.

"We know well about the Jordanian economic situation. So we need to help them and to help us," said Dr. Khaled al Mahameed, the council's vice president.

Last week, artillery rumbled in the distance as Mahameed and his colleagues prepared to distribute clothes and shoes to refugees in the Jordanian border town of Ramtha.

Mahameed's hometown of Daraa was just across the border.

"You can walk to my house from here," Mahameed said, pointing to the nearby customs terminal leading to Syria. "But you know the situation. The regime tanks block the border, and you cannot pass."

Later, the Syrian businessmen posed for cameras as they handed out coats to smiling children.

But the new clothes did nothing to stop a 2-year-old Syrian girl named Dareen from crying hysterically.

Her legs were bound in casts after a bomb broke them two and a half months ago.

Dareen is another innocent victim of the brutal conflict next door in Syria.

The little girl also was a reminder that until the fighting stops, the future looks bleak for residents of the growing refugee community in Syria Town.

CNN's Mary Rogers contributed to this report.

@highlight

One neighborhood in Jordan has been dubbed Syria Town

@highlight

Refugees are renting out shops and converting them into makeshift homes

@highlight

A group of wealthy Syrian expatriates has started a new aid program