(CNN)Daniel Traub knew North Philadelphia in his youth, accompanying his artist mother from their home in the more affluent central Philly as she helped residents transform vacant lots with sculptures and murals.

After growing up and working 10 years on photos examining economic divides in China, he knew where he wanted to look next.

"North Philadelphia" is Traub's new 124-page portrait of the people and properties in a struggling area where more than 40% of residents in three local ZIP codes live below the poverty line. From crumbling buildings to abandoned lots long overgrown by nature, Traub says he examined neighborhoods long troubled by destitution yet ripe with beauty and possibility.

"I want to show the complexity of the place. ... It has a lot of hidden richness that maybe has been overlooked," Traub said.

For example? Start with the ubiquitous churches, some recently converted from commercial buildings. Others, as he writes in the book's essay, were "built in more prosperous times, such as the Church of the Advocate, which played an important role in the Civil Rights era."

"I was most drawn to those that were smaller and in flux, changing denominations and pastors frequently. They seemed more like local businesses vying to attract congregations," he writes.

He explored the area from 2008 to 2013, mostly in the first two years when he lived on the edge of North Philadelphia upon his return from China. A large-format camera -- hood over head, with a tripod -- was his tool of choice.

"People thought I was a surveyor or real estate developer," Traub said, and asked what he was up to. "But for the most part, when I told them what I was doing, they were quite open and welcoming -- happy that someone was taking interest in the neighborhood."

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

Traub's choice of subjects reflected his personal experience in the area. North Philadelphia has both significant African-American and Hispanic populations, but Traub -- of German-Jewish and Chinese heritage -- focused on black residents and neighborhoods.

It was in those neighborhoods that his mother, a Chinese-American, started a renewal project that would transform vacant lots into a series of art parks. He helped in the summer and grew close to those he worked with.

His mother's roots also drew him to China in the late 1990s. Wanting to explore his Asian heritage, he worked on a photo project examining people who migrated from the countryside to look for opportunity in cities like Beijing. It was a study in contradictions -- cities were newly prosperous, yet the workers remained poor, living on the margins.

Traub returned to the United States thinking he'd explore economic divides there. That's not exactly how it turned out, he says.

He went to Baltimore and cities in Ohio and elsewhere in the Rust Belt. Something didn't click.

He turned to North Philadelphia. Once there, his interests were less about making a social point.

"While I was interested in economic differences and racial divides, I felt there was something more personal for me in the project," he said. "I realized I had some kind of a specific connection in North Philadelphia. I was interested in looking at the place itself, not looking at it as a way to explore broader social issues."

It was a return to a place that grabbed his imagination years ago.

"On one hand it is ignored and in decline, but it also is a place of tremendous possibility and great human resources -- people who are marginalized but also have a tremendous amount to offer," he said.

Daniel Traub is a photographer based in Brooklyn, New York. You can follow him on Facebook and Twitter. His new book, "North Philadelphia," is available on Amazon.

@highlight

Photographer Daniel Traub's new book profiles a struggling area of North Philadelphia

@highlight

Traub says he examined neighborhoods long troubled by destitution yet ripe with beauty and possibility

@highlight

"I want to show the complexity of the place. ... It has a lot of hidden richness," Traub said