(CNN) -- If the global economy remains sluggish, a small corner of the British horse racing hub of Newmarket is very much bucking the trend.

It is nearly quarter of a millennium since Richard Tattersall founded his eponymous bloodstock auctioneers and, in 2013, Tattersalls' business is booming.

Back in October behind the gates of Tattersalls Park Paddocks, a record was set for the most ever spent on a horse in Europe -- $8.4 million (£5.25 million) -- for the Galileo filly by Alluring Park.

In a nod to its old roots, all sales are still priced in guineas (effectively a pound and a shilling) so Qatari Sheikh Joann al Thani parted with five million guineas for the honor of buying this prestigious filly.

Excitement, though, is building at Tattersalls once more with the first offering from Frankel having retired and gone to stud with the pregnant Dancing Rain undoubtedly the most mouth-watering prospect going under the hammer at the two-week December sale, which starts on November 25.

Dancing Rain won both the Oaks and its German equivalent and it is more than 50 years since an Oaks winner carrying her first foal has been sold in public auction.

The fact the foal she is carrying is the offspring of Frankel, with 14 wins from as many races and undoubtedly the most acclaimed horse of its generation, makes the prospect all the more exciting.

Jimmy George, the marketing director at Tattersalls, is loathe to say he expects the record to be broken but big money will undoubtedly change hands.

"We never expect to break records; records by their nature are unexpected," says George.

"We've got some huge excitement to come at the December sale with mares carrying the first Frankel foals,-- in all there are 10 mares in foal to Frankel -- of which Dancing Rain is the pick. That will be huge.

"This is the very best mated to the very best. Combining those two, you're narrowing the angles and quite possibly producing the ultimate racehorse. She's a very valuable mare particularly as it's very rare to find a mare of that calibre on the market."

Another horse set to test the spending power of horse racing's power brokers is Immortal Verse, winner of the Group 1 Coronation Stakes at Royal Ascot and the Prix Jacques Le Marois at Deauville, in foal for the first time to Dansili, whose wins included Priex Messidor, Prix Edmond Blanc and Prix du Muguet, and with an already impressive breeding record.

"Along with Dancing Rain, Immortal Verse promises to be the highlight of our December sale," adds George. "That said, there's plenty others in there too."

In some ways, Tattersalls, which employs 45 full-time staff in Newmarket and another 20 at their Irish base in Fairyhouse, is like a different world.

While much of the rest of the world is still feeling the economic pinch, it can at times act like a playground for global millionaires.

In all, some 40 countries are expected to be represented at the December sale but there is no solitary powerbroker.

British and Irish buyers, notably JP McMcManus and John Magnier, remain major players with an increasing number of established and emerging figures from the Middle East as well as an increasing number from the Far East.

For all the money exchanged, there is a remarkably simple process to the Tattersalls sales.

The horses come to Tattersalls pre-sale in one of the 850 stables on a 47-acre site and are there to be viewed by prospective buyers before being led into the sales ring. Once there, the auction begins.

As the prices go up and up, George explains it is "great theatre."

But he also admits: "It's not quite like there are gasps. You have some people attending hoping to see drama and excitement unfold but the vast majority are there in a professional capacity.

"But there wasn't one person not caught up in the moment when that filly went for five million guineas."

With some 10,000 horses sold each year, the turnover of horses is rapid so, as such, almost as soon as the horses are bought, they are off to their new homes, once the necessary veterinary checks are carried out.

Can a horse, though, ever truly be worth as much as five million guineas?

No one at Tattersalls, which takes a 5% cut from each sale, is about to say so. But while there are the auction highlights, there are also immense bargains to be had.

Treve, the French horse and winner of the Prix de l'Arc de Triomphe, was snapped up at another auctioneers for a mere £50,000, a bargain considering its worth now after winning the $6.25 million Longchamp classic.

By the same token, horses do not necessarily go on to live up to their high price tag, making such bidding a risky business, a type of high-risk poker.

"You get superstars whose first appearance in public is quite underwhelming," says George. "That's one of the beauties of it. No one can predict the future so hence you get some surprises."

Once those horses are sold, though, Tattersalls work is not done and they continue to follow their progress for future potential worth and future potential sales.

Tattersalls remains the name when it comes to bloodstock auctions but, as George points out, they still have to work at it.

"We're the world's first and Europe's largest but we have to work hard to keep the company in that position," he says. "There's competition out there and the day we think there isn't, is the day we're in trouble.

"So we need to keep working hard, to build on our history and make sure we cover as many bases as we possibly can."

Last year, the company turnover was $355.4 million but still some way shy of the firm's record year in 2007 $411.4 million.

Should the December sale be a success, Tattersalls are on course to match, possibly exceed that figure. With those sorts of numbers, the company looks likely to stay at the forefront of the industry for some time hence.

@highlight

A look inside Tattersalls, the oldest bloodstock auction house in the world and biggest in Europe

@highlight

Scene of the richest horse sale in European history in October valued at £5.25million

@highlight

Record in danger of being broken with mare in foal to Frankel up for sale

@highlight

Some 10,000 horses are sold there each year with a plus-£200m turnover annually