(CNN) -- In the wake of Google alum Marissa Mayer's surprise hiring as CEO, variations of the same question are popping up again and again:

What can be done to turn once-mighty Yahoo around?

In the salad days of the late '90s and early 2000s, Yahoo was the very face of the Internet for many people. Its search engine was the Web's most-used, letting the company demand top dollars for advertising. As a Web portal, it helped hundreds of million of people take their first tentative steps online.

Opinion: What signal is Marissa Mayer giving to Yahoo employees?

But along came a company called Google, whose algorithm-based search feature came to dominate the market quickly and whose e-mail service, while not supplanting Yahoo's, played a part in stripping away the company's fading sheen of Internet chic.

Yahoo's stock price spiraled to $118.75 in early 2000. That number sat at $15.62 Wednesday morning, about three months after the company laid off 2,000 workers.

The once-dominant photo site, Yahoo-owned Flickr, has been increasingly shoved aside in favor of mobile apps such as Instagram and blogging sites such as Tumblr. And even online advertising, which Yahoo once dominated, is slumping. Yahoo's ad revenue has been passed by both Google and Facebook, and its overall share of online ad sales in the United States has been cut in half since 2009.

The company has churned through four CEOs in four years. And the last, Scott Thompson, left in May after he was discovered to have padded his resume with college credentials he didn't really earn.

So what's to be done?

Defining Yahoo

Analysts say the Sunnyvale, California, company needs to start by deciding what it is.

Take a quick look at this list of products: Yahoo Mail. Yahoo Messenger. Yahoo Groups. Yahoo Voice. Yahoo Voices (yes, they have both). Yahoo Sports, Yahoo News, Yahoo Finance and Yahoo Shopping. That's just the tip of the digital iceberg, and doesn't even get into Yahoo-owned services such as Flickr and Rivals.com.

Oh yes, and Yahoo still has a search engine, too (although its inner workings have been farmed out to Microsoft).

"Yahoo!'s fundamental problem is that it has too many disparate products with no clear unifying thread that ties them all together," analyst Shar VanBoskirk of Forrester Research wrote on the company's blog this week.

VanBoskirk, who has followed Yahoo closely, said Mayer must be open to killing the company's lesser products as she seeks to move things in the right direction.

Marissa Mayer: Six life lessons from Yahoo CEO

According to VanBoskirk, Yahoo's new chief needs to do three things: Define a clear vision for the Yahoo brand, get rid of products that have nothing to do with that vision and then "market the new vision clearly so that business and consumer customers know what Yahoo! is and why to use it."

And while she lauds Mayer's experience and knowledge, VanBoskirk said she is not sure the 37-year-old is up to the task.

"Mayer's background is in product development ... not corporate strategy, not marketing, not brand definition ... the areas where Yahoo! has the most critical need," she wrote in the post, which a Forrester spokeswoman cited when reached for comment on this story.

Attracting talent

Evercore analyst Ken Sena doesn't necessarily agree. He said innovation is the key for Yahoo, a company that, in the eyes of many, has remained stagnant while rivals better anticipated such digital trends as the growth of social media and mobile networking. Those competing companies, including Google, have repeatedly disrupted a Web landscape that's dramatically different than when Yahoo ruled.

"Her experience will be valuable there," Sena said. "I think the argument can be made that Marissa probably already knows Yahoo very well. She's probably studied it for some time."

He too suggests streamlining, saying that some Yahoo services will need to be "pared down and, ultimately, outsourced or shuttered." The company needs to address the growth of the mobile Web, he said, or as VanBoskirk puts it, develop "a plan for The Splinternet."

And to innovate truly, Sena said Mayer will need to bring in the sort of people who helped turned Google into a powerhouse.

Popular tech blogger Robert Scoble agrees. He's bullish on Mayer as CEO, even though she "does face huge problems at Yahoo," he wrote on his Google+ page. He said she's uniquely suited to do what any good leader must do: surround herself with other talented people.

"That company has been abused by its leaders for so long and has lost so much talent," he wrote. "That said, one thing I watch is who would join a new leader. I've been at several events and have seen first hand the people that Marissa inspires. She'll probably bring in her own innovation team that will be world class pretty quickly. This will be an innovation shock to Yahoo that's definitely needed."

Opinion: Marissa Mayer can revive Yahoo, and the Web

Leading with products, not content

By selecting Mayer over interim CEO Ross Levinsohn, Yahoo could be tipping its hand as to what users can expect. Levinsohn's background is in content, such as Yahoo News and related offerings such as Yahoo Voices (formerly Associated Content, a publishing platform that's been criticized as a low-quality "content farm.")

Mayer, meanwhile, comes from a product-development background. In her 13 years at Google she helped create the look of a number of services, from Gmail to Google Maps.

The Internet just wants Mayer to fix Flickr

Netscape co-founder Marc Andreessen, now head of influential venture-capital firm Andreessen Horowitz, said that could mean Yahoo is ready to focus on innovating and improving products such as Yahoo Mail and Yahoo Messenger instead of pumping up Web content such as Yahoo News (which is hugely popular but is largely populated by material gleaned from outside news services).

"It's a huge statement on the part of the board that they want the company to be product-led," Andreesen told Business Insider, a CNN content partner. "I say that because they had a great CEO (Levinsohn) if they wanted to be media-led. It's a huge double down on product."

Andreessen said he wouldn't have gone in that product-focused direction, but "I didn't think they could get someone like Marissa."

Yahoo will need to figure out how to make users want those products though, according to Sena. Tools such as Yahoo Mail and the popular portal page don't translate well to mobile devices, which are, increasingly, how people access the Web.

But analysts point to some positives on which Mayer can build.

While it's sliding in the United States, Yahoo Mail is still the second-most popular e-mail service in the world (behind Microsoft's Hotmail) and a top portal for many. The company said 700 million people a month still visit Yahoo sites -- a lot of eyeballs to look at advertising, which both Sena and VanBoskirk see as a logical focus moving forward.

"Its reach and available inventory is massive," VanBoskirk wrote last year. "And its ad marketplace is making real-time ad buying mainstream."

11 interesting facts about Marissa Mayer, Yahoo's new CEO

@highlight

Analysts break down what Yahoo needs to do to turn its business around

@highlight

The key is defining what Yahoo is and stripping away what it's not

@highlight

Analysts say the company needs more innovation, which has been lacking

@highlight

Google alum Marissa Mayer has been named Yahoo's new CEO