(Health.com)  -- Lana, a 38 year-old publicist in Los Angeles, California, was diagnosed with genital herpes in 1997.

Since then, she has "kind of been hiding" from the dating scene.

Let's face it: How do you drop that bomb on a potential love interest? And when?

She considered a number of online dating venues, but she says Match.com asked too many questions on its enrollment form, eHarmony was too "religious," and MySpace was too much of a "hookup zone."

"I wanted to meet men with my same diagnosis so we wouldn't [need to] have 'the talk,' or fear of rejection and transmitting," she says. "Most of us with this don't wish to spread it."

Despite -- or perhaps because of -- the economic downturn, the billion-dollar online dating industry has been booming. But not everyone has felt welcome at the party.

While sites like Match.com and eHarmony don't discriminate, they also don't cater to people like Lana who are coping with sexually transmitted diseases, disabilities, or mental health conditions. All of these can make dating -- often an ego-shattering minefield for those in perfect health -- even trickier.

"On bigger dating sites the competition is tremendous," says Jim Houran, PhD, a clinical psychologist and columnist for Online Dating Magazine. "And let's face it, depending on what [the illness] is, it could very well make you uncompetitive in the larger dating pool."

Health.com: 28 days to a healthier relationship

Fortunately, there are a number of alternatives. A new breed of dating sites has emerged to play cupid for people with chronic diseases and disabilities.

Over the past five years, several sites -- such as Prescription4love.com, Nolongerlonely.com, and Cisforcupid.com -- have launched to serve the needs of people with conditions ranging from bipolar disorder to Crohn's disease. Together these sites now boast tens of thousands of members.

In addition to providing their users with a more hospitable environment, these websites defuse the tension over how and when to disclose an illness, which is often an issue for people with diseases and disabilities who venture onto mainstream dating sites.

When health problems equal heartache

After some "horrible" results on other dating websites, Lana joined Prescription 4 Love and the STD-specific site Positivesingles.com.

Both sites require members to disclose their illnesses upfront, clearing the air for what might be a deal-breaking revelation later. Within her first week on Positive Singles, she went on three dates and has since gone on seven more, which fostered one romantic relationship and a friendship over the past two years. She's even rejected a couple dozen guys.

Health.com: How to tell your partner a health secret

"I don't think I would have been able to have 10 dates without the site," says Lana. "It's easier to get rejected via email, and you can take baby steps online without hunting outside."

Though Prescription 4 Love didn't yield any dates for Lana, this fast-growing online community offers an alternative to mainstream dating sites for thousands of singles.

Now three years old, the site currently has 8,000 members who represent nearly 40 health conditions ranging from genital herpes (2,425 members) to Tourette's syndrome (32 members).

Ricky Durham founded Prescription 4 Love in 2006, inspired by his late brother Keith, who lived with Crohn's disease for 15 years before passing away in 2004.

"He was a good-looking boy, and he could find dates, but when do you tell someone you have a colostomy bag? The night you go out? Two weeks after you go out?" Durham asks. "He was having a hard time with that, so I thought if he could find someone who had the same disease, or someone with a colostomy bag, he wouldn't really have to discuss that."

Since launching the site, Durham, 48, who previously dabbled in the stock market and worked as a bartender, was diagnosed with type 2 diabetes. Though he doesn't find it appropriate to be a member of a community he founded, he says he can empathize with his members.

"It's nice to find someone who's going through what you're going through," he says.

Love for less

Niche sites are also a lot less expensive. Prescription 4 Love, which started charging in May 2009, is $9.95 per month, while most of the features on No Longer Lonely (including the dating service and chat rooms) are still free.

(Access to the site's full features is available for $24 per year. That's substantially cheaper than sites like Match.com and eHarmony, which can cost upwards of $35 per month.)

"To me, that's pressure right there," says Robert Watson, the executive director of the nonprofit dating service DateAble.org, which caters primarily to those with physical and mild psychiatric handicaps. "If it's the 30th day of the month, you're thinking, 'I've got one more day to find someone or it's another $35.'"

DateAble, which was founded in 1987 by a Washington, D.C., doctor who wanted to give her patients a way to combat the isolation that accompanied their physical disabilities, charges a $125 initiation fee for the first year and $25 every year thereafter.

For that fee, members get a more personalized experience, as DateAble is more akin to an old-school matchmaking service. The organization has been responsible for almost 1,000 marriages, according to Watson. As one of its first members, he should know: He met his wife, Lynn, at a DateAble Valentine's Day party in 1988.

"I didn't want to try it," says Watson, who has moderate cerebral palsy and was working as a national project director for the United Cerebral Palsy Association at the time. "But I probably knew everybody in my community and nobody I knew wanted to date me or vice versa. Lynn lived 60 miles away, but we made it work."

By pushing a "friends first" concept, which has been emulated in the communal blog and forum features of Prescription 4 Love, No Longer Lonely, and other illness-specific sites, DateAble members can get up to speed on the dating world in a familiar environment without the prying eyes of the Web.

"People with disabilities, especially developmental disabilities, are typically behind the eight ball because they haven't had the practice of dating in college or their young adult life," says Watson. "Many of them never had the puppy love, been broken up with, experienced the fights, or the good stuff."

To make up for this lost time, his best bit of advice is to be totally honest. Even in our post-Americans With Disabilities Act society, notes Watson, failing to mention that you're confined to a wheelchair or dealing with another type of handicap might bring a first date to an abrupt end after a courtesy "I'm sorry" drink.

The stigma of mental illness

People with physical disabilities aren't the only ones who face stigma while dating. People with mental health problems, from chronic depression to schizophrenia, have also benefited from specialized sites.

Jim Leftwich, 39, a college librarian from White Plains, New York, has lived with schizoaffective disorder, a condition that combines features of schizophrenia and mood disorders (such as depression), since 1992. In 2004, after years of brushing up against the harsh realities of the dating scene, Leftwich founded No Longer Lonely, a dating site that caters to the mentally ill.

"I thought to myself, 'There should be something like this out there,' and I was surprised to find there wasn't," says Leftwich. "If you're mentally ill, it's kind of a hostile world out there. I thought by taking down that whole bugaboo of having an illness, making it all open with everyone knowing, it would facilitate things. People would be more trusting and relationships might be more successful."

No Longer Lonely now has 16,000 members and a brand new interface (similar to those of social-networking sites) that allows users to upload poems, art, videos, and blogs. The site has been responsible for more than 20 marriages.

"I find with my clientele, they're more willing to get to know someone remotely and they're more open," he says. "They don't have the same kind of prejudices that people in general tend to have."

Even though most mental illnesses can be controlled with medication, therapy, or a combination of the two, some people still view conditions such as bipolar disorder as a mark of weakness or instability.

"Even in today's enlightened society, where acceptance and diversity are hailed as the right thing to do...mentally ill people tend to be outcasts. It's terrible," says Houran, who is also a former instructor of clinical psychiatry at the Southern Illinois School of Medicine.

"The minute someone knows you have a certain mental disorder, they assume it means that you're not capable of love, or that you're dangerous or unstable. Those are myths. Given the right care, people with mental illnesses and other medical conditions can lead very normal, functioning lives."

Some mental illnesses -- certain mood or personality disorders, for instance -- could cause problems in fledgling relationships, Houran acknowledges. And especially if the relationship progresses to thoughts of marriage and kids, two partners who each have bipolar disorder, for example, could find themselves debating whether it's safe or wise to have children.

However, says Houran, in most cases these considerations aren't enough to forestall a relationship. "Even under the best of circumstances, people still have major relationship challenges," he says.

For Houran, this outgrowth of illness-specific dating sites and services is a boon. "Niche sites are growing in popularity because they allow people with these very specific needs or interests to connect in a way that's not possible on the big dating sites," he says.

"The big dating sites are akin to Wal-Mart. You have a lot of quantity, but that doesn't mean you're going to find people with a lot quality in the way you define it. That being said, niche sites by their very construction tend to be very small. So I always advocate [that] people use both."

Copyright Health Magazine 2011

@highlight

Billion-dollar online dating industry has been booming despite recession

@highlight

Sites include Prescription 4 Love and STD-specific site Positivesingles.com

@highlight

People with mental health problems also benefited from specialized sites