(CNN) -- Hero pilot Capt. Chesley "Sully" Sullenberger on Tuesday joined the opposition to heightened airport security procedures that critics have called invasive and intrusive.

Sullenberger, who landed a crippled US Airways jet on the Hudson River last year, said the use of full-body pat-downs and advanced imaging scanners for airline personnel "just isn't an efficient use of our resources."

Federal transport authorities say the machines are both safe and a necessary security precaution, especially following recent airline terrorism attempts.

Sullenberger argued that transport authorities should trust pilots and flight attendants because "we're trusted partners" who are already "thoroughly screened."

"We're among the most scrutinized professional groups in the country, even more than doctors," Sullenberger said on CNN's "American Morning." "It's really not an efficient use of our resources to put us through this," he added, suggesting that flight crews should be allowed to bypass much of the pre-boarding security screening that is required of passengers.

Transportation Security Administration officials are permitted to use "professional discretion" in determining if individuals should be subject to further screening, according to a TSA statement.

In a letter to aviation authorities, Rep. John Mica, R-Florida, raised the idea of privatization at transport hubs, which he said could improve efficiency and enable airports to opt out of TSA safety regulations.

"It is both inappropriate and inefficient for the TSA to serve as the administrator, quality assurance regulator, operator and auditor of its own activities," Mica, currently the ranking member of the House Transportation and Infrastructure Committee, said in the letter.

"My aviation subcommittee staff would be pleased to assist you should you move forward with your decision to opt to have a certified private screening program at your airport," he said.

Meanwhile, the Rutherford Institute, a civil liberties organization aligned with the Christian right, filed suit against Homeland Security Secretary Janet Napolitano and TSA Administrator John Pistole on behalf of two pilots who refused both the full body scan and the pat-down.

"TSA is forcing travelers to consent to a virtual strip search or allow an unknown officer to literally place his or her hands in your pants," said Rutherford Institute President John Whitehead.

It is not clear whether private screening is more efficient than TSA procedures or whether such screenings would meet federal safety standards.

Earlier on Tuesday, a public interest research group said it is suing the Department of Homeland Security in a freedom of information lawsuit intended to obtain medical records and studies that it says the agency has relied upon for its use of body scanners.

The Electronic Privacy Information Center has also asked authorities to suspend the use of advanced imaging technology and called for public hearings into its use, center spokesman Marc Rotenberg told reporters on Tuesday.

Consumer advocate and former presidential candidate Ralph Nader joined Rotenberg in the group's request for more information, calling the agency secretive and unresponsive.

"[Scanners] present hazards when they malfunction or when they function routinely," he said.

Nader said radiation emitted by the machines was potentially hazardous to passengers, but acknowledged that most passengers in 2009 had actually favored the new measures.

Transport authorities say advanced imaging technology meets national health and safety standards.

"These things ... have been examined six ways to Sunday," Napolitano said on Monday. "The [Food and Drug Administration], Johns Hopkins University, the U.S. Science and Standards Association have all measured the radiation involved in an AIT," she said. "It's almost immeasurable, it is so small."

In a report posted on the FDA website, scientists say full body X-ray scanners pose "very low health risks." The FDA evaluates radiation-emitting products as well as foods and medications.

But a representative for Johns Hopkins University Applied Physics Laboratory said the group did not evaluate the advanced imaging machines for passenger safety. "That was not our role," said spokesperson Helen Worth. "We measured the level of radiation, which was then evaluated by TSA."

CNN could not independently confirm whether scanners pose a risk to passenger health.

Transport authorities say that passengers concerned about the technology can decline the full body scan and instead opt for manual hand-searches performed by TSA officials.

But some passengers and pilots have expressed objections to TSA's too-close-for-comfort pat-downs.

Over the weekend, a 31-year-old man refused a pat-down at a San Diego, California, airport. After arguing with a TSA agent, John Tyner left the airport facing a possible $11,000 fine, according to Michael Aguilar, the TSA's federal security director in San Diego.

Anyone who refuses to complete the screening process will be denied access to airport secure areas and could be subject to civil penalties, according to a TSA statement, citing a federal appeals court ruling in support of the rule.

The ruling from the 9th U.S. Circuit Court of Appeals says "requiring that a potential passenger be allowed to revoke consent to an ongoing airport security search makes little sense in a post-9/11 world. Such a rule would afford terrorists multiple opportunities to attempt to penetrate airport security by 'electing not to fly' on the cusp of detection until a vulnerable portal is found."

Tyner called the incident ridiculous and said he will not fly "until these machines go away."

The mood among security officials is "anger over the way the media is playing this story," according to a senior Homeland Security official.

"You had a dutiful [transportation security officer], someone who works on the front lines to protect this country from a terrorist attack, someone who did everything by the book and according to his training, and he was accosted and verbally abused by a member of the traveling public," the official said. "The fact that some in the media would hail the traveler as a kind of folk hero is shameful."

The incident sparked a debate over passenger safety and personal privacy that has remained headline news, just ahead of the holiday travel season.

Pistole, addressing a Senate Homeland Security Committee hearing on air cargo safety, veered off topic to plead with the American public to see airport security "as a partnership."

"Those security officers there are there to work with you, to ensure that everybody on that flight has been properly screened," he said. "Everybody wants that assurance, so just try to be patient, work with our folks. They are there to protect you and your loved ones, and let's make it a partnership."

Pistole also sent a memo to TSA staff praising the work of officers -- including those who met with Tyner in San Diego.

"Everyone involved with these latest incidents put into practice their training and experience, as you all do every day on the front lines to protect our country from terrorist attack," he wrote. "They did their work with calm professionalism even as they were faced with a confrontational situation."

Watch American Morning weekdays 6am to 9am ET. For the latest from American Morning click here.

@highlight

NEW: Civil liberties group files suit against Napolitano, Pistole

@highlight

NEW: Pistole praises work of TSA employees, pleads with public to work with screeners

@highlight

Rep. John Mica sent a letter to aviation authorities discussing airport privatization

@highlight

A public interest research group said it is suing DHS over scanner information