(CNN) -- Your days at the beach with a bucket and shovel making castles in the sand were child's play compared to what you'll see at sand sculpting events.

There, the massive, inventive, intricate works of art go so far beyond "sand castles." You'll never look at sand and water the same way again. (Keep reminding yourself—it is just sand and water.)

On Day One of a contest, a solo sculptor or "carver" is presented with a 10-ton pyramid of sand (two-person teams in doubles competition work with 20 to 25 tons).

Then, through a rigorous process of shoveling, packing, stacking and carving, a sculpture takes shape.

Spectators can watch it all -- from the first day "pound up" in which the sand is compressed, to the hours of carving with manual tools such as trowels, butter knives, tablespoons and drinking straws, plus some that the sculptors devise for themselves. (Dutch sculptor Wilfred Stijger's patented Willysphere -- inspired by the base of a wine glass -- makes perfect sand spheres.)

"The first question anyone asks us is what happens when it rains, but wind and sun are worse than rain when you're sculpting sand," says Rusty Croft, who with Kirk Rademaker is co-owner of Sand Guys International and co-hosted the Travel Channel series "Sand Masters." "We wet down the sculptures as we work. The surface tension of the water holds the sand together."

Finished sculptures may be sprayed with a solution of water and school glue to preserve them for long-term viewing.

Nevertheless, many sand sculpture events are held under tents or temporary shelters safe from the elements, and quite a few take place off the beach in parks and open spaces where sand is brought in especially for the event.

America's best little beach towns

"The sand is always different," Croft notes. "Sand dug out of the ground has sharp edges that lock together. Beach sand is rounded because it's been washed by the waves. You have to listen to the sand. It tells you what to build. Sand sculpture is a brilliant mix between engineering and artwork."

Here are some of the masters' top picks for sand sculpting events around the globe. No bucket required.

July 19-21, 2013

National Sand Sculpting Festival, Revere Beach, Revere, Massachusetts

"There's a wonderful festival atmosphere here and the sand is definitely some of the best stuff out there -- you can make crazy vertical sculptures," says Sue McGrew, a Tacoma-based professional sand sculptor and a member of the "Sand Masters" team. "They finish the event off with a bang ... fireworks. And there's easy access from Boston by public transportation."

August 10-September 8, 2013

International Sand Sculpture Festival, Rorschach, Switzerland

"You're sculpting in a park on the Bodensee and you have the Alps behind you; the whole event has a great elegant feel," says Kirk Rademaker, who will pair with Wilfred Stijgers of the Netherlands in this year's doubles competition. With a full week to complete their pieces, the doubles carvers create spectacular things.

Biggest, baddest roller coasters for summer

August 30-September 2, 2013

U.S. Sand Sculpting Challenge, San Diego

On the water, but not on the beach, this four-day competition takes place on the B Street cruise ship terminal pier in downtown San Diego. Croft calls it one of the more progressive events on the sand sculpting calendar, giving carvers four days to work. There's also a head-to-head team competition and a chance for visitors to vote for this year's People's Choice sand sculpture.

5 spectacular and storied beach trips

September 27-October 6, 2013

International Sandsculpting Championship, Virginia Beach, Virginia

A significant cash prize for the winners ensures that the field of competitors is top-notch. Carvers love this event and so do spectators. Look for lots of international representation here, including Fergus Mulvany from Ireland, Benjamin Probanza from Mexico, Edith Van Wetering of the Netherlands, and Canadian master carvers Guy-Olivier Deveau, David Ducharme, Karen Fralich and Abe Waterman.

October 15-20, 2013

Carve San Francisco, San Francisco

Croft and Rademaker are consulting on and participating in this event, which will be held for the first time this year.

Through October 27

International Sandsculpture Festival, Søndervig, Denmark

Each June, a team of international artists is invited to work together on an enormous sculpture of sand in this beach area of western Denmark. Done by 38 sculptors, this year's carving is complete; the sculpture will remain intact and on view until October 27.

November 15-18, 2013

Crystal Classic Master Sand Sculpting Competition, Siesta Key Beach, Sarasota, Florida

"Some of the most beautiful beach sand in the world," McGrew says. "I think this is a great little spot for anyone looking for super-clean, white sugar beaches and beautiful warm weather in November." Events include amateur competitions for kids and parents, head-to-head speed-carving events and a demonstration by Amazin Walter. Expect crowds—some 70,000 people attend over four days. Part of the proceeds supports sea turtle conservation projects at Mote Marine Laboratory.

November 21-24, 2013

Sanding Ovations Master Cup Sand Sculpting Competition, Treasure Island, Florida

Now in its fifth year, this event takes place beside the Bilmar Beach Resort on Florida's Gulf Coast. The competition is serious, but the atmosphere is laid-back, unpretentious and beachy.

November 22-December 1, 2013

American Sand Sculpting Championship, Fort Myers Beach, Florida

More than 1,000 tons of sand plus 30 master sculptors in singles and doubles competition add up to what's billed as the largest sand sculpting event in Florida. Now in its 27th year, it's also one of the oldest. In addition to the pros, amateurs and kids compete for prizes and acclaim—and everyone attempts to avoid structural collapse. "When you work with beach sand, you have to be flexible," Croft notes, "but it helps retain that 'sand castle' essence."

December 26, 2013-January 26, 2014

Hawkesbury International Sand Sculpting Championship, Howe Park, Windsor, NSW, Australia

Now in its third year, this competition is held in a park about an hour's drive from Sydney. Solo and team carvers work from December 26 to January 3 and the sculptures remain for People's Choice voting until January 26. (Summer in Australia, remember!) "The event is in a great location on the Hawkesbury River with sculptures nestled in between trees and park benches," McGrew says.

April 11-13, 2014

Texas SandFest, Port Aransas, Texas

When planning the annual Texas SandFest, organizers consult the tide charts to determine the dates of lowest tide, so while the chosen week varies from year to year, the event is always in early spring. That used to be before summer tourist season, yet after 18 years of successful festivals, tourists now arrive early—because of Texas SandFest. With events for both amateurs and pros, "it is a great community event with a good vibe," Rademaker says.

June 2014

Summer Signs Annual Sand Sculpture Festival, Jelgava, Latvia

"My favorite competition abroad," McGrew says. "In a beautiful park, a dozen or so international sculptors come together for a five-day event with practically no time limit. ... You can practically work 'til you drop, if you were so inclined."

June 2014

Master Sand Sculpting Competition, Hampton Beach, New Hampshire

This year's competition just ended, but pencil it in for next year—an annual event that brings in 200-plus tons of imported sand and a dozen or so master carvers to shape it into something beautiful, plus lessons and clinics for the public.

June 2014 (likely)

World Championship of Sand Sculpting, Atlantic City, New Jersey

This year's competition also just ended and dates haven't been posted for next year yet. Retired Atlantic City fireman and master sand sculptor John Gowdy helped bring this event to what is arguably sand sculpting's U.S. birthplace, where sand sculptors entertained crowds with art on the Boardwalk from the late 19th century until the 1940s. Look for Gowdy and fan favorite "Amazin Walter" McDonald from South Padre Island, Texas, among the competitors.

@highlight

Sand sculpture events are serious business; this ain't your childhood sand castle building

@highlight

It starts when a "carver" is presented with a 10-ton pyramid of sand to work with

@highlight

Many events are not held at beaches, rather under tents or in parks and open spaces

@highlight

Event venues include Florida and California, surprising places like Latvia and Denmark