(CNN)Often called "the summer capital of South Korea," the port city of Busan is just a two-and-a-half-hour train ride from Seoul.

The country's two largest cities, however, are remarkably different places.

50 reasons why Seoul is the world's greatest city

In the more low-key Busan, a night out usually means drinking soju with friends on the beach while watching kids play with firecrackers.

Or eating hoe (Korean sashimi) -- again with soju -- at the shiny new fish market.

Or watching burly, tattooed local men (widely considered more manly than their Seoul counterparts) play a popular street game, driving nails with a single blow into a thick wooden beam, for prizes of cigarettes and whiskey.

Even apart from the prevalence of seafood, the cuisine in Busan is also different from that found in the rest of the country.

Here's what to do in Korea's second city.

Beaches

Haeundae

During the summer swim season -- it runs from July 1 to August 31 each year -- millions of Koreans, and increasingly more foreign visitors, descend on this strip of beach and revel in the water before heading out to party on weekend nights.

Just in front of the beach is the Haeundae "Sea Village" Pojangmacha street, a strip of identical, tented seafood stalls selling everything from live octopus to lobster.

Customers pick their own meal from a tank and minutes later have it cooked and served to them alongside their favorite Busan soju.

Haeundae Tourist Information Center; +82 51 749 4335

Gwangalli

Lit by 100,000 lights that change colors, Korea's longest suspension bridge is particularly beautiful from the beach at night.

While Haeundae is a family friendly beach, Gwangalli is popular with younger crowds who come in single-sex groups and eye members of the opposite sex and occasionally party together.

etour.busan.go.kr; +82 51 780 0077

Hotels

Westin Chosun Busan

The Westin Chosun Busan's Haeundae beachfront view is so fantastic that the government capped the hotel at 10 floors when it was being built 35 years ago.

The lobby has floor-to-ceiling windows with spectacular panoramic views of the sea; the hotel organizes local tours for guests (free or with a minimal fee).

Savvy guests ask for sea-view rooms when booking.

Westin Chosun Busan, Haeundae, 737 Woo 1-Dong, Busan; South Korea; +82 51 749 7000; rooms start around $200 excluding 10% service charge and 11% tax (rates vary according to season )

Park Hyatt Busan

The newest, highest and shiniest hotel in Busan isn't on the beach, but it has great views of Gwangalli beach.

The rooms have stunning interiors that incorporate traditional Korean design into a monochromatic modern aesthetic.

Park Hyatt Busan, 51 Marine City 1-ro, Haeundae-gu, Busan, South Korea; 82 51 990 1234; rooms from $240 excluding 11% tax (rates vary according to season )

Paradise Hotel Busan

The Paradise Hotel is the hippest hotel in the city for nightlife (there's a club in the hotel), spa (the new rooftop pools have incredible views and a bar) and fancy desserts.

The lobby lounge's mango bingsu (Korea's favorite shaved ice dessert) is made with rose petals and is a culinary marvel.

Paradise Hotel Busan, 1408-5 Jung-dong Haeundae-gu, Busan, South Korea; +82 51 742 2121; rooms from $210 (rates vary according to season)

Eat and drink

Dwaeji gukbap ("pig soup rice")

This humble pork stew is probably Busan's most emblematic dish. It's served with an equally humble-looking dish of vegetables and a bowl of rice.

The slightly stinky smell from salt-fermented shrimp masks the deep, satisfying flavor. Locals call it a perfect hangover cure or 2 a.m. post-clubbing meal.

Miryang Sundae Dwaeji Gukbap, 543-1 Woo-1-dong Haeundae-gu, Busan, Korea; +82 51 731 7005; ₩6,500 ($6)

Naengchae Jokbal

Busan has a number of food-themed streets, but a favorite among locals is Jokbal Golmok (Pig Feet Alley).

Cooked in soy, ginger and garlic, the pig feet are served on a large platter with the option of naengchae -- a side of cold jellyfish slivers in mustard sauce -- that's particularly popular in summer.

The longest lines are at Hanyang Jokbal, in the middle of the alley.

Hanyang Jokbal, 35 Bupyeong-dong 1-ga, Jung-gu, Busan, South Korea; +82 51 246 3039

Food map: Eat your way around Korea

Ssiat Hoddeok (seed hotcake)

The highlight of Busan street food is a local sunflower seed variation of hoddeok, a hot, sweet, fried cake bursting with crunchy seeds and sugary goodness.

Though many vendors in the International Market seem to sell the same thing, one hoddeok vendor located right next to the circular stage in the middle of market has lines at all hours of the day while neighbor vendors look on jealously.

Gukje Sijang (International Market), Sinchang-dong 4-ga, Jung-gu, Busan, South Korea; ₩1,000 (90 cents)

Dongnae Halmae Pajeon

This 50-year-old, family-run restaurant serves the softest, most delicious pajeon (pan-fried green onion "pancakes" with seafood) we've ever tasted, and is one of the region's legendary restaurants.

Must-order dishes include Dongnae Pajeon (₩30,000 or $26 for medium-sized option) and the Utjiji, a row of sweet, chewy ddeok (rice cakes).

Warning: there's a sneaky restaurant out front with a near-identical name but without the "Halmae" (grandmother) in the middle, trying to piggyback off the success and reputation of the original.

Dongnae Halmae Pajeon, 367-2 Bokcheon-dong, Dongnae-gu, Busan, South Korea; +82 51 552 0792

Busan soju

Busan variations of the best-selling liquor in the world are lighter and sweeter than their mainstream counterparts.

Men drink the stronger C1 soju, while women tend to prefer the "Ye" series.

Locals order a particular brand of soju according to mood or occasion: Jeulgowoye, meaning "happy," is for the lighter occasions, while Geuriwoye, meaning "nostalgia," is served at more somber events, such as funerals.

20 delicious Korean drinks

Temples

Beomeosa

This 1,300-year-old temple high in the mountains offers a breathtaking respite from urban life. Monks go about their daily rituals without taking notice of the few visitors wandering timidly around the premises.

Those who want to experience temple life (meditation techniques, tea ceremonies, temple food) can sleep over with the temple stay program. The one-night-two-day program costs ₩50,000- ₩80,000 per person ($44-$70) per person, depending on the choice of activities.

33 stunning Korean temples

The temple is a 30-minute cab ride from the beaches of Haeundae.

There are no taxis available on Mt. Geumjeong, so it's a good idea to ask the driver to wait around for the return journey. Round trips from Busan cost around ₩50,000 ($43), including wait time.

Beomeosa, 546 Cheongnyong-dong, Geumjeong-gu, Busan, South Korea; +51 058 3122

Haedong Yonggunsa

It's unusual to find a seaside temple in South Korea and Haedong Yonggunsa is one of the most beautiful of its kind.

Usually mobbed with tourists and school groups, it's one of most popular places for locals to watch the first sunrise of the New Year.

Haedong Yonggunsa, 416-3 Sirang-ri, Kijang-eup Kijang-gun, Busan, South Korea; +82 51 722 7333

For the latest tourism updates and tips, check out the Busan Tourism Organization website.

@highlight

South Korea's seaside metropolis has a laid-back vibe that separates it from Seoul

@highlight

Local cuisine is different than food found in other parts of the country

@highlight

Summer swim season is from July 1 to August 31 each year