LONDON, England (CNN) -- The fears that Hurricane Gustav would turn into another human catastrophe on the scale of Katrina in 2005 have mercifully not been realized.

The "Three Little Pigs" project aim is to try and make scenes like this a thing of the past.

But it has been another untimely reminder of nature's destructive power, and a further taste of what climate scientists are predicting will be far more common spectacle as the century progresses.

As Gustav blew itself out, more hurricanes -- Hanna, Ike and Josephine -- were threatening even more lives and properties. But in the face of such relentless disruption can anything be done to lessen the impact of such extreme weather events?

Well, researchers at The University of Western Ontario certainly think so. Their "Three Little Pigs" project at The Insurance Research Lab for Better Homes got underway at the end of August with the aim of making houses more resilient in the face of such violent storms.

CNN caught up with Professor Greg Kopp -- a civil and environmental engineer who is working on the project -- in Houma, Louisiana, where he's been surveying the damage from Hurricane Gustav.

"When there are natural disasters the biggest problem seems to be with residential houses," he said. "In North America and in most parts of the world houses aren't engineered. So we are taking an engineer's eye to look at this. Wind has some peculiar effects which can be mitigated relatively easily. The motivation for this project is to make houses safer, but not cost more."

Unfortunately, building a wind tunnel at a size required to test full-scale buildings just wasn't feasible. But the equipment and methods chosen by the researchers are a unique and far more efficient way of testing which replicates the pressures that occur on the surface of a building.

The $7 million facility is a large movable steel hanger. The full-scale 1,900 square foot house sits inside a steel cage rigged up with 60 pressure boxes which can simulate the effects of a Category 5 hurricane (see photos).

Professor Kopp has taken a leading roll in developing the pressure boxes explained how the test has been set up.

"We have a bunch of air boxes on the roof -- which is made of plywood -- and then we have what are called pressure load activators,"

"These are kind of like vacuum cleaners -- they have a hose and are connected to the air boxes. The pressure load activators suck air out of the air box and causes a suction which wants to lift the roof".

Before the experiment in the hanger could begin, researchers calculated the pressures the house would experience in a small-scale study conducted at the University's Boundary Layer Wind Tunnel Laboratory -- which has over 40 years of expertise testing high-rise buildings and bridges. Once accurately recorded these results were then scaled up in preparation for the test proper.

Monitored by 20 cameras, the first experiments were conducted over three days and saw the house endure ever increasing winds speeds up to a Category 3 hurricane.

Initial tests have produced some unexpected results.

"The thing that surprised us most is where it [the roof] failed first. It failed on the leeward side of the house. We had all expected it to fail on the windward side first," Kopp said (see video).

"If you looked at the house now, the roof isn't actually connected to the walls. But you'd look at the house and say it looks ok.

"Another thing was that the failures were progressive. There wasn't one real gust of wind that broke it. The damage accumulated," Kopp said.

Having now understood the house's behavior under stress, Kopp and his team will now set about recreate the experiment but this time measuring the load on the nails which lifted.

"These are more scientific than engineering experiments currently," Kopp said. "But we can now develop numerical models and look at other roof structures with a lot more confidence as to how these models work. Ultimately we want to try some mitigation strategies."

It's still early days though and the tests are set to carry on for the next few years.

"Science always takes time," Kopp said. "We want to make houses which are safer for people and to do it in a way that doesn't break the bank. It should be done in an efficient way so that it is affordable to everyone. Not just high-end houses, but for poor people too."

@highlight

Canadian researchers test roof on full-scale house under hurricane conditions

@highlight

Early results reveal that leeward rather than windward side of roof failed first

@highlight

"Three Little Pigs" project aims at structural improvements that are available to all