(CNN)The scene is like something from a horror movie. Saturday, a known supporter of the Islamic State of Iraq and Syria posted a video online of one of two Japanese hostages holding up what looks like a picture of his beheaded compatriot. The video follows one released earlier in the week featuring a militant threatening to kill the two Japanese citizens if a $200 million ransom wasn't paid within 72 hours.

They are the kind of images many Japanese hoped they would not have to deal with. After all, Japan is currently barred by its "peace constitution" from engaging in offensive military action. Yet despite this, ISIS has apparently decided that Japan is an adversary.

This is likely in part because Japan is a close ally of the United States, one that also has a strong interest in the stability of the Middle East. Moreover, during his recent visit to Israel, Jordan and Egypt, Prime Minister Shinzo Abe pledged $200 million in non-military aid to nations dealing with ISIS.

But whatever ISIS's intentions, Japan's non-combat role in world affairs hasn't stopped it from being a victim of terrorism in the post-September 11 era. In 2003, for example, two diplomats were killed in a terrorist ambush in Iraq, and several citizens were taken hostage in Iraq in 2004 and 2005. In 2012, a veteran journalist was killed in Syria, while in January 2013, nine Japanese citizens were killed in the Algerian hostage crisis.

Still, this latest hostage crisis has been particularly attention-grabbing for many Japanese for two reasons. The first and most obvious is the fact that there was such vivid notice given -- the huge ransom demand with a 72-hour ultimatum -- followed by the disturbing images Saturday.

But the hostage-taking has also prompted an interesting debate over the story behind why journalist Kenji Goto and self-styled military contractor Haruna Yukawa were in Syria.

The Japanese public obviously hoped for the safe return of our two citizens, but most did not believe the government should pay the ransom. And there was also particular sympathy for Goto, who is not only recognized for his journalism, but who was apparently captured after going to the region to try to rescue Yukawa.

But there have also been questions about why nothing was done sooner when the two had been missing for months, and also why they were in such a dangerous part of the world in the first place. Many Japanese believe the two bear some responsibility for traveling to the region despite public warnings by the Japanese government about the risks of citizens traveling there.

Looking ahead, the hostage-taking has left many wondering what the impact will be on Japan's current efforts to upgrade its security policies and processes. The crisis will be seen as underscoring the impact of instability thousands of miles from its shores, and therefore the need for Japan to adopt a sharper, more proactive security posture even beyond East Asia.

More specifically, one of the 15 scenarios presented by the Japanese government in its push toward a more proactive defense posture was allowing the use of weapons in overseas rescue missions of Japanese citizens. The development of this specific scenario reflects the lessons of the 2013 Algeria crisis, and the fact that under current laws, only aircraft, vehicles, and vessels are allowed for transportation.

If these changes are introduced, the Japanese government would be able to dispatch its Japan Self-Defense Force for armed rescue operations (upon approval from the country involved).

Certainly, given the security challenges that Japan faces, both within Asia -- in the form of territorial issues with China and with an unpredictable North Korea -- and further afield, it seems essential that Japan sharpens and strengthens its defense posture and plays a more proactive international role.

To make this possible, Japan will have to do a number of things.

First, the government will have to learn how to better execute its crisis management efforts using new assets such as the recently-formed National Security Council.

Second, the government needs to get more creative in its efforts to enhance its international coordination and intelligence capabilities -- and ultimately defense assets -- to strengthen its security capacity.

In addition, Japan needs to place greater priority on realigning its forces to meet the evolving challenges it faces. And finally, Tokyo must focus more on promoting greater awareness of terrorist groups such as ISIS, and the very real and direct threat they could pose to the country.

Achieving all this will be challenging and will require investing significant political and bureaucratic capital. And while Prime Minister Abe's party has just won a resounding victory in a snap election, Japan is also dealing with an aging population and stagnant economy, so it is unclear how much in terms of energy and resources the government will have to spend on refocusing the country's security posture.

But as much as anything, the debate over security -- and this week's tragic hostage situation -- are a reminder that Japan may increasingly find itself and its citizens in the firing line. A more assertive policy will expose Japan to more conflict and heighten its exposure to terrorism -- no small shift to handle in a remarkably safe country that for decades has turned its back on military conflict.

How the government deals with this challenge -- and, more immediately, the aftermath of this week's tragedy -- will shape the direction of Japan's national security, and its ability to protect this country's citizens.​

@highlight

An ISIS supporter's video suggests a Japanese hostage has been killed

@highlight

Ryo Hinata-Yamaguchi: A more assertive policy will expose Japan to more conflict