(CNN) -- A federal judge has denied a request to move the trial of Brian David Mitchell, who is accused of kidnapping Elizabeth Smart in 2002, but may revisit the issue depending on the results of potential juror questionnaires.

Mitchell's defense attorneys had argued that he should receive a trial outside the state of Utah because publicity in the case has prejudiced the pool of potential jurors against him and jeopardized his right to a fair trial. They cited Mitchell's constitutional rights as well as a federal rule of criminal procedure.

But U.S. District Judge Dale Kimball ruled Monday that "this is not one of the extreme cases where a change of venue based on presumed prejudice is constitutionally required."

And while he "is not satisfied that so great a prejudice exists in this district that defendant cannot receive a fair and impartial trial," the judge said concerns over seating an impartial jury could be valid.

"Due to the high-profile nature of this case ... the court undoubtedly has concerns regarding the appropriateness of holding (the) defendant's trial in this district," Kimball wrote. "But the court believes that its concerns may be effectively addressed and answered through the use of the juror questionnaire that the court and parties plan to employ prior to the actual voir dire (jury selection)."

Kimball said he would reserve the ruling on that issue until after the questionnaire responses have been reviewed.

Mitchell, 56, is scheduled to stand trial November 1 on charges of kidnapping then-14-year-old Smart in June 2002 and transporting her across state lines for improper purposes. He is accused of snatching Smart at knifepoint from her bedroom in her family's Salt Lake City, Utah, home.

She was found nine months later, walking down a street in the Salt Lake City suburb of Sandy with Mitchell and his wife, Wanda Barzee. Mitchell, a drifter and self-described prophet who called himself "Emmanuel," had done some handyman work at the Smarts' home.

Barzee, 64, pleaded guilty in November to kidnapping and unlawful transportation of a minor, and in May was sentenced to 15 years in federal prison. As part of a plea deal with prosecutors, she has agreed to cooperate in the state and federal cases against her husband.

She also pleaded guilty but mentally ill in state court to conspiracy to commit aggravated kidnapping in an attempt to kidnap Smart's cousin a month after Smart's disappearance. Barzee was given a sentence of one to 15 years to be served concurrently with her federal sentence, and given credit for the seven years she has already spent in custody.

Smart, now 22, testified in October as part of Mitchell's competency hearing that after kidnapping her, Mitchell took her to a wooded area behind her home and performed a mock marriage ceremony with her before sexually assaulting her. She testified she was repeatedly assaulted during her months in captivity.

While the case garnered international attention, Kimball noted in his ruling that more than eight years have passed since the kidnapping and seven years since Mitchell's arrest. While there was extensive media coverage at the time, the judge said the coverage has fallen off in recent years to stories about the criminal cases against Barzee and Mitchell, and that the coverage has been even-handed. "The media has undoubtedly been interested in covering the proceedings in this case, but the court has not sensed any kind of 'carnival atmosphere,'" Kimball wrote.

And he pointed out that the jury pool will not come only from Salt Lake City or Salt Lake County, but the entire state of Utah, which has a population of 2.8 million people. "This is not a case where there is a heightened risk of prejudice in a small community," Kimball said.

He dismissed defense concerns about the large number of volunteers who searched for Smart after her disappearance, saying such volunteers could be easily weeded out and a potential juror would not necessarily be influenced even if they knew someone who had participated.

"Even though defendant's main defense at trial will be an insanity defense, defendant has not demonstrated any media prejudice in this regard," the judge wrote. "In fact, reports referring to defendant's homeless lifestyle, his grandiose religious beliefs and his disruptive singing in court are likely more favorable than unfavorable to his insanity defense."

Defense attorneys presented an expert survey that showed 92 percent of Utah residents believed Mitchell to be probably or definitely guilty and that 77 percent said they had read, seen, or heard that Mitchell had been found competent to stand trial. But Kimball questioned those results, saying the queries to respondents were in some cases leading and failed to include "meaningful details."

@highlight

Brian David Mitchell's attorneys say the trial should be moved

@highlight

Mitchell is set to stand trial November 1

@highlight

A judge ruled earlier this year that Mitchell is competent to stand trial

@highlight

His wife is cooperating with authorities