(AOL Autos) -- Ever wonder what goes into the making of that round, black, rubber thing that holds air, we refer to as a tire? To the casual observer all tires look the same, but there's a lot more to it than meets the eye ...

There are many different tire designs and they may contain up to 200 raw materials.

Modern tire construction has allowed for a degree of handling, ride comfort, traction, extended treadwear and fuel economy that far exceeds the tires of just a few years ago.

Today there are tire designs that contain up to 200 raw materials, as well as complex architecture of steel belts, textile piles and computer designed tread patterns, which deliver maximum traction under all conditions.

Each component of a tire is designed to perform its own function and to work together with the rest of the components. For instance, the belt system's job is to provide stability to the tread area, keep the tread grooves open, and work as a unit with the sidewalls to provide stability in cornering and handling. Kind of reminds me of the old song, "The toe bone's connected to the foot bone" well ... you get the picture, right?

The major component in tires is rubber. How did this substance find its way into the American automobile tire? As with most inventions, this is a fascinating story.

Rubber by itself is a gooey substance that is extremely sensitive to temperature. Back in the early 1830's "rubber fever" was the craze, and it ended as quickly as it started. At first, everybody wanted things made of this new waterproof gum from Brazil, and factories sprung up to meet the demand.

Then abruptly, the public became fed up with the messy stuff that froze bone-hard in winter and turned glue-like in summer. Not one of the young rubber companies survived as long as five years. Investors lost millions and everyone agreed that rubber had seen its hay-day in America. AOL Autos: Best car deals of the month

Then Charles Goodyear stepped up to the plate. Through extensive experimentation and persistence, Goodyear found that rubber could be stabilized and formed into a useful compound by adding sulfur and applying heat. He found that steam under pressure, applied to the compound for 4 to 6 hours at about 270 degrees Fahrenheit, gave him the most uniform results. This was the beginning of rubber compounds! AOL Autos: Most popular sedans

Rubber compounding is like mixing a cake. Different ingredients are mixed together at different degrees to produce rubber with specific characteristics. Some rubber compounds are stickier for better traction when racing. Some compounds are much harder for heavy-duty work in construction or with heavy equipment. All-season rubber for all-season tires is rubber that doesn't freeze below thirty-two degrees, allowing for movement of the tread in the cold weather so it will grip and give maximum traction in all weather. AOL Autos: Best-selling hybrid cars

Ever wonder how a steel belted radial tire is constructed? Check this out.

1. First comes the construction of the casing. This is the body (or carcass) of the tire ... the "foundation" upon which everything is built. The casing is made up of a series of cords (most typically polyester) which are combined to form layers or piles. These layers are connected to two circular strands of steel called beads. Then the inner liner is added, serving as the air seal. Once the casing is formed, everything else is added to make up the tire. AOL Autos: Consumer reports picks best used luxury cars

2. Next comes the steel belt. This is a belt made up of woven steel strands that cover the casing of the tire and is located directly under the tread. The steel belt adds strength and durability, aids in keeping the tread grooves open for maximum traction, and protects the casing against impacts and punctures. On high performance tires an extra belt is usually added for strength; this is a nylon overlay that is wrapped around the whole steel belt package. As the tire rolls faster it heats up. The nylon in turn heats up and tends to shrink, counteracting the natural tendency of centrifugal force to throw the whole thing apart at high speeds. AOL Autos: Cars with best Blue Book resale value

3. Finally, the tread is added. Remember that this rubber compound is a special mix for a specific application and varies depending on the function of the tire. In this day and age, computers play a big role in the tread designs. Tread designs are tested for traction in "virtual reality" before they are molded into the rubber.

While tread designs vary greatly, there are consistent elements present in all tread patterns. The tread block grips at its leading and trailing edge. Within each block, sipes are often molded or cut to provide additional traction. These sipes segment the block and allow for movement of each individual block so that when it comes in contact with the pavement, it opens and closes causing a squeegee (or pumping) action, cleaning the road surface as it rolls along. The grooves built into the tread pattern are designed to channel away weather elements such as water, snow, slush, and mud.

To illustrate how a tread design channels away water, just pour water over the tread of the tire and watch the water directed right out of the sides of the tire. On the outside edges of the tires "shoulder lugs" are molded into the tread. These heavy segments provide protection as well as additional traction during hard cornering.

A final note and credit to Charles Goodyear. He didn't just happen upon this discovery of rubber compounding and the use of heat. Goodyear spent five miserable years in poverty trying to perfect his idea. Then one day, it happened... the great discovery came in the winter of 1839. As stated earlier, Goodyear was using sulfur in his experiments. Although Goodyear himself has left the details in doubt, the most persistent story goes as follows.

One February day, Goodyear wandered into Woburn's general store to show off his latest gum-and-sulfur formula. Snickers rose from the cracker-barrel forum, and the usually mild-mannered little inventor got excited and waved his sticky fistful of gum in the air. It flew from his fingers and landed on the sizzling-hot potbellied stove.

When he bent to scrape it off, he found that instead of melting like molasses, it had charred like leather. And around the charred area was a dry, springy brown rim -- "gum elastic" still, but so remarkably altered that it was virtually a new substance. He had made weatherproof rubber!

This discovery is often cited as one of history's most celebrated "accidents." Goodyear stoutly denied that. Like Newton's falling apple, he maintained, the hot stove incident held meaning only for the man "whose mind was prepared to draw an inference." That meant, he added simply, the one who had "applied himself most perseveringly to the subject." Thanks for your perseverance Charlie.

Tom Torbjornsen is a veteran of 37 years in the auto service industry, an automotive journalist registered with IMPA.

@highlight

Writer credits Charles Goodyear for developing rubber compounds

@highlight

Tires may be constructed from 200 raw materials

@highlight

Tire casings are made up of a series of cords, which form layers

@highlight

Tread designs are first tested for traction in "virtual reality"