Who is Kenneth Bae? And why is he being held by North Korea?

Those are the questions for many following the combative exchange Tuesday between Dennis Rodman and Chris Cuomo on CNN's "New Day," who asked whether the former NBA player was planning to inquire about Bae, a U.S. citizen sentenced to 15 years in a North Korean labor camp.

In response, Rodman, who is in North Korea with a team of fellow former NBA players, suggested the Korean-American had done something wrong, but did not specify what.

"Do you understand what he did in this country?" Rodman asked Cuomo. "No, no, no, you tell me, you tell me. Why is he held captive here in this country, why?"

Here's a look at the case:

Who is Bae?

Born in South Korea, Bae immigrated at age 16 to the United States with his parents, his mother told CNN.

The 44-year-old Bae, of Lynwood, Washington, moved to China in 2005. A year later he established "Nations Tour," a China-based tour company that specialized in tours of North Korea, according to his family and freekennow.com, a website established by friends to promote his release.

Described by his sister, Terri Chung, as a devout Christian, Bae is married and the father of three children.

"Several years ago, Kenneth saw an opportunity that combined his entrepreneurial spirit with his personal convictions as a Christian," the website said. "He believed in showing compassion to the North Korean people by contributing to their economy in the form of tourism."

Bae had guided at least 15 tour groups, mostly made up of Americans and Canadians, into North Korea at the time of his arrest, his family has said.

What happened?

This much everybody appears to agree on: Bae was on the first day of a five-day tour when he was arrested November 3, 2012, in Rason, an area along the northeastern coast of North Korea that has been established by Pyongyang as a special economic zone to promote trade and investment.

U.S. officials have struggled to establish how exactly Bae ran afoul of North Korean authorities.

Word of Bae's arrest first surfaced in South Korea media reports days after he was detained, with the United States later confirming it.

Nearly two weeks after detaining Bae, North Korea's official news agency confirmed his arrest, saying only he was picked up for a crime against the state.

According to the state-run Korean Central News Agency, KCNA, there was evidence uncovered that proved he had committed a crime against the country. Among the allegations: Bae was setting up bases in China to topple the North Korean government;  he was encouraging North Korean citizens to bring down the government; and he was conducting a "malignant smear campaign."

In May, the government also accused Bae of planning a "Jericho operation" to bring down the government through religious activities.

The American confessed to the offenses, the government said.

What did he do?

There has been speculation the evidence North Korea cites may in fact have been something Bae was carrying with him, perhaps a Bible or some other religious literature.

His mother, Myunghee Bae, who visited her son in North Korea in October, told CNN that her son was a devout Christian who had not understood the North Korean system. North Korea is officially an atheist state.

Bae's health

North Korea is considered to have one of the most repressive penal systems in the world. Human rights groups estimate that as many as 200,000 people are being held in a network of prison camps that the regime is believed to use to crush political dissent.

His mother and sister have told CNN that more than 10 months into Bae's sentence, his health is failing.

In a prison interview with Choson Sinbo, a pro-North Korean group based in Tokyo, Bae had spoken of health problems, including diabetes, high blood pressure, fatty liver and a back problem. He looked noticeably thinner and wore a blue prison garment streaked with sweat and dirt.

"Although my health is not good, I am being patient and coping well," he said at the time. "And I hope that with the help of the North Korean government and the United States, I will be released soon."

Bae was moved to a hospital for serious health problems, his sister told CNN in August.

In previous interviews, Chung has said that her brother suffers from health problems including severe back and leg pain, kidney stones, dizziness, blurred vision and loss of vision. He was already dealing with diabetes.

His family says he has lost more than 50 pounds.

Bargaining chip?

The timing of Bae's conviction has raised questions about whether Pyongyang is using him as a bargaining chip in efforts to jump-start negotiations to dismantle North Korea's nuclear program. Washington has previously accused North Korea of doing so to try to gain concessions.

Bae's conviction followed North Korea's testing of a long-range rocket and an underground nuclear test, moves that resulted in tougher U.N. sanctions.

Tensions between North Korea and the United States have eased somewhat since the spring, when Pyongyang unleashed a torrent of dramatic threats as U.S. and South Korean troops carried out large-scale military exercises in the region.

U.S. officials have repeatedly called on North Korea to release Bae. In August, the two countries appeared close, but North Korea rescinded an invitation to a U.S. envoy. Ambassador Robert King, President Barack Obama's special envoy for North Korean human rights issues, had been expected to fly to Pyongyang to try to win Bae's freedom.

In previous instances, North Korea has released Americans in its custody after a visit by some U.S. dignitary -- in recent cases, former Presidents Jimmy Carter and Bill Clinton.

But efforts by Bill Richardson, the former ambassador to the United Nations, were unsuccessful in winning Bae's release during a visit to North Korea last year.

Even Rodman, at one point, called on North Korea's Kim Jong Un to release Bae.

"I'm calling on the Supreme Leader of North Korea or as I call him "Kim," to do me a solid and cut Kenneth Bae loose," Rodman said in a May 7 post to his Twitter account.

Rodman's rant

Rodman's rant garnered swift reaction, with Richardson telling CNN the basketball player "crossed a line this morning by implying that Kenneth Bae might be guilty, by suggesting there was a crime."

White House spokesman Jay Carney said he had heard about Rodman's outburst.

"I did not see some of the comments that Mr. Rodman made, but I am not going to dignify that outburst with a response," Carney said.

But the harshest criticism of Rodman came from Bae's sister, Chung.

"We couldn't believe our ears. He was in a position to do some good and help advocate for Kenneth, and refused to do so," Chung said on AC360.

"But then instead he has chosen to hurl these outrageous accusations against Kenneth. He clearly doesn't know anything about Kenneth, about his case. And so we were appalled by that."

@highlight

Kenneth Bae's sister says Rodman was in a position to do some good and refused

@highlight

Bae, 44, of Lynwood, Washington, was arrested in North Korea in 2012

@highlight

He was convicted by North Korea of "hostile acts'' in 2013

@highlight

Bae was sentenced to 15 years' hard labor