Editor's Note: Former U.S. President Jimmy Carter is founder of The Carter Center, a not-for-profit organization that seeks to "prevent and resolve conflicts, enhance freedom and democracy, and improve health." Read more on human rights defenders: http://www.cartercenter.org/homepage.html

Jimmy Carter says closing Guantanamo Bay and ending torture would send a strong message.

ATLANTA, Georgia (CNN) -- It has been heartening to witness the outpouring of worldwide enthusiasm over the election of Barack Obama as the next president of the United States, a transformational moment for our country.

Our incoming president has huge challenges ahead of him, and he will undoubtedly reach out to other world leaders to help address the most difficult problems. A high priority will be the restoration of human rights, which have been badly eroded in recent years.

President-elect Obama has reiterated his decision to close Guantánamo Bay detention center and end U.S.-sponsored torture. Also under discussion is the establishment by the U.S. government of an independent commission to examine the actions that led to these shameful policies and practices.

Together, these steps would signal a renewed commitment to the cause of universal human rights long championed by the United States. As this year marks the 60th anniversary of the Universal Declaration of Human Rights, the reassertion of these fundamental rights is necessary.

While the U.S. government has much work to do in this regard, there will have to be a concerted international effort to achieve meaningful protection of human rights, even as the issue of security continues to demand our attention.

The American people and our courts have rejected the proposition that some people's rights can be suspended arbitrarily; to do so violates the very core of our democracy. Hopefully, those working to establish democratic practices and institutions worldwide will seize upon this development and convince their own fellow citizens that democracy and human rights are worth the struggle.

The international community, including a newly energized United States, should move swiftly and decisively to support the local heroes who risk much to advance this cause.

Human rights defenders from throughout the world are participating in our annual conference at The Carter Center this week to share the challenges they face, and to decide how the international community can best support their efforts.

For years, these activists have told us that when the United States engaged in torture and indefinite detention, their decades of struggle for rights began to erode. Dictators who had felt pressure from the United States to improve rights were suddenly off the hook. With new leadership in Washington, a clear and principled message on the centrality of human rights can help set a new tone.

Too often, the international community has failed to respond to emerging crises, partly because voices of the oppressed are missing in policy discussions. Had the international community heeded the warning of human rights defenders in the former Yugoslavia, Rwanda, Darfur, and the Democratic Republic of Congo, more robust and coordinated diplomacy and even limited intervention may have averted these crises.

Catastrophic conditions exist in Congo, Zimbabwe, Sudan, Myanmar, Afghanistan and elsewhere and will require unprecedented cooperation to resolve. It is time to embrace the idea that when human beings are systematically abused, international peace and security are inherently threatened.

In such situations, the global community should spare no effort to help societies in distress. Crises like these can be assuaged before they escalate if there is determined global leadership and cooperation.

Human rights defenders are on the frontlines of this battle, and we must protect them when they face danger because of their work. We must do a better job of listening to their diagnoses of issues and be receptive to their proposed solutions.

And we must strengthen their voices and help to protect them in a collective, undeniable commitment to create the world of peace and freedom that many of us enjoy and we all desire.

The opinions expressed in this commentary are solely those of Jimmy Carter.

@highlight

Jimmy Carter: It's heartening to see world enthusiasm over Obama's election

@highlight

New president has pledged to close Guantánamo and end torture, he says

@highlight

Carter: These steps would signal renewed U.S. support for human rights

@highlight

He says U.S. is vital in sending message to dictators about human rights