(CNN) -- I met the original Wild Thing when he was about halfway through his long life. At a conference of many fine artists and writers, Maurice Sendak was indisputably "King of All Wild Things." But in the late 1970s, when "Where the Wild Things Are" was only 15 years old (it is turning 50 soon), it was already, indisputably, a classic.

But not just a classic of children's books. It was a seminal book about childhood, and a journal of the life of an artist, and a clarion call for the satisfaction of those twin and opposite needs: independence and society.

The man himself was small, compact, witty, intense. He was not above gossip; he could be vindictive, salacious, morose and self-absorbed. But friends and admirers took all that in their stride. And he will be remembered for his uncompromising vision not about the sweetness of children -- their purity -- but about their complexity and wholeness as human beings.

Scholars suggest that in earlier centuries children were considered as deformed adults, more animal than angel. Or they were perfect packaged gifts from heaven, Mother Nature in glorious form, only to be corrupted by growing up. Sendak stood up squarely in the middle of the last century, and he shouted both those inanities out the door. Children are full humans, compromised only by their lack of vocabulary and practice in reporting how they live. But they live as fully as Sendak himself lived right up to his last months and weeks and hours.

News: Author of "Where the Wild Things Are" dies

He leaves us with images of children flying to adventure and back again. Mickey In the Night Kitchen swooping out of his clothes into a basin of bread batter. Max Where the Wild Things Are sailing to the wild rumpus "in and out of weeks and almost over a year." Using images and techniques inspired by William Blake, Randolph Caldecott, Samuel Palmer and others, Maurice Sendak interpreted the works of great masters: Grimm, George MacDonald, Herman Melville. But he was never humbled by the association. No, their reputations were enhanced by his attention to them.

The Beastie Boys' link to Sendak: Spike Jonze

I knew him for about 35 years. As I turned from writing for children to writing for adults and began my novel "Wicked," I thought of how he never stopped yearning to make the next beautiful thing, the next meaningful page, even when his royalty checks piled up like oak leaves in the autumn around his country doorway. It was the work that counted, the chance of learning something new about himself. The chance of having something new to pass on to us.

Reaction: Sendak sparked 'wild' creativity in young readers

Were there time, I would write more; but, you see, there are some books over there I need to look at again, more closely than before. I do not put them back on the shelves. There is no time for that kind of luxury. I need to remember, now, what he told us. Meanwhile, as he passes away, some more sentimental scrap of me (that he would have scorned) hopes he is settling down to some nice bowl of chicken soup with rice with Emily Dickinson or Herman Melville. Though they have been impatient to meet him in person for a very long time, no doubt they'll greet him as a fellow king.

By now, Sendak is finding his dinner waiting for him.

And it is still hot.

The opinions expressed in this commentary are solely those of Gregory Maguire

@highlight

Gregory Maguire says when he met him, Maurice Sendak was clearly King of All Wild Things

@highlight

He says his seminal book was many things but especially showed kids as full humans

@highlight

He says Sendak was complex; had uncompromising respect for children

@highlight

Maguire: To the end, Sendak never stopped yearning to make the next beautiful thing