With President Barack Obama set to lay out his strategy to deal with ISIS on Wednesday, Secretary of State John Kerry left for the Middle East on an urgent new diplomatic drive with a single sales objective: Shore up support from Sunni Arabs to defeat what Kerry calls ISIS' "genocidal agenda."

Kerry has said the United States will build "the broadest possible coalition of partners around the globe to confront, degrade and ultimately defeat ISIS."

"Almost every single country has a role to play in eliminating the threat and the evil that (ISIS) represents," Kerry said Tuesday before leaving on the trip that will take him to Saudi Arabia and Jordan.

The Obama administration has already gathered about 10 countries as part of a global coalition to beat back ISIS. But the strength of the coalition could hinge on whether it includes members from the Middle East, where ISIS poses the biggest threat.

Obama laid out Kerry's marching orders during an interview last weekend with NBC News.

"I think that it is absolutely true that we're going to need Sunni states to step up, not just Saudi Arabia, our partners like Jordan, the United Arab Emirates, Turkey. They need to be involved. This is their neighborhood. The dangers that are posed are -- are more directed at them right now than they are us," Obama told NBC's "Meet the Press" on Sunday. "And that's part of the conversation that John Kerry's going to be having this week"

Americans want efforts to dismantle ISIS to be undertaken by a coalition, according to a CNN/ORC poll released Monday; 60%  said Washington should undertake military action against ISIS "only if other countries participate."

Kerry's Middle East strategy

In order to get a buy-in from Arab states, Kerry will take specific arguments to different countries.

One key to his effort will be the new Iraqi government announced on Monday, which Kerry called a major milestone. Kerry hopes the new government will attract Sunni Arab help as it fights ISIS and bolster Sunni opposition to the group.

The needs in any effort to defeat ISIS are great: military support, including air power, arms, training, and intelligence.

U.S. officials say Arab partners will be asked to contribute what they can.  The effort was given a boost on Monday when the Arab league agreed to take urgent measures to combat ISIS and other extremist groups, reflecting a new sense of urgency in the region.

Obama looking for for congressional support on ISIS

Kerry's coalition-building tour will first take him to Jordan, which borders both Iraq and Syria and is likely to play a major but discreet role in the coalition.  Jordan is already hosting hundreds of thousands of refugees from neighboring Syria.

In Saudi Arabia, Kerry will hold talks in Jeddah with the foreign ministers of six Gulf Arab states, Iraq, Egypt and Jordan. Kerry must also convince the Gulf allies to dry up funding to ISIS, which comes from many of their own nationals and stop the flow of foreign fighters into Iraq and Syria, considered the lifeblood of the group.

Another critical aspect to this will be driving a wedge between Sunni Arabs and ISIS, and delegitimizing the group's ideology.

Saudi Arabia, in particular, is seen as having a critical role to play in convincing other Sunni Arabs that ISIS is the enemy. The kingdom has been very effective in beating back al Qaeda in its territory, and officials and analysts say it has a unique religious credibility and legitimacy to combat ISIS now.

There are already efforts within Middle East countries to root out extremists. Last week, Saudi Arabia arrested more than 80 extremists suspected of planning to carry out terrorist attacks both in the kingdom and abroad, and the UAE issued a statement last week saying it was ready to "join the international community in an urgent, coordinated and sustained effort to confront a threat that will, if unchecked, have global ramifications for decades to come." The UAE statement also called for a "clear plan for direct intervention against ISIS."

Support, but slim chance for military intervention

But don't look for countries in the Middle East to join specifically with the United States and Western partners on a military campaign.

Officials have downplayed suggestions of Arab military involvement, although have privately suggested even some minor participation from countries such as the UAE and Saudi Arabia would be important symbolic gestures about the need for Sunni Arab states to take responsibility in fighting extremism within their own region.

What is unclear is whether Kerry, who visits the region the day after Obama delivers his speech laying out his strategy for combating ISIS, will make specific requests this week for a military campaign to combat the group in either Iraq or Syria. Arab diplomats say without concrete details on what type of military campaign the U.S. envisions, it will be hard for their leaders to sign up, no matter how badly they may want to.

Another question is what happens after the campaign against ISIS. Arab diplomats say similar extremist groups are operating in Libya, the Sinai in Egypt and Yemen that pose a threat to the entire region and about which Washington and its Arab partners must have a conversation.  With its laser focus on ISIS, Arab diplomats complain the United States is not connecting the dots about the alarming trends in the region.

"Without a tacit understanding of how we are going to work at extremism in general, it's going to be tough to move ahead," one Arab diplomat said. "You want us to join you in Iraq and Syria and then when we see a problem in Libya or Yemen or Egypt and you say forget it? I don't think that is how it's going to go. You can't be with us on one issue and be against us on another."

Which is why Kerry must carefully balance the concerns of a region nervous about a multitude of threats with the narrow U.S.  interests in combating ISIS.

U.S. officials say a series of airstrikes last week against armed Islamist factions in Tripoli, Libya, were conducted by Egypt and the UAE. While neither country has acknowledged the action publicly, the move sent an important message to Washington that the region is ready to take measures into its own hands if the United States does not take their concerns into account.

The U.S. saw competing Arab interests in aiding the Syria opposition contribute to the growth of extremists groups like ISIS. A similarly uncoordinated effort against the group could give birth to new, and potentially equally frightening, problems.

Terror fears could help GOP in midterms

Senator apologizes for invoking names of slain journalists in policy argument

@highlight

John Kerry is off to the Middle East to shore up support in the fight against ISIS

@highlight

The trip will take Kerry to Saudi Arabia and Jordan just after Obama lays out strategy

@highlight

By shoring up Sunni support, the U.S. looks to delegitimize ISIS' caliphate claims

@highlight

Kerry will look to win what support he can, but military involvement will be a tough sell