Dublin, Ireland (CNN) -- Ireland and the European Union are engaged in a strange and increasingly public tug of war.

Dublin has been adamant that it doesn't need money from abroad to stay afloat despite a crisis in its banking sector.

However, the republic's central bank governor admitted Thursday that the country was likely to accept a loan from the European Union and International Monetary Fund.

Speaking on the phone from Frankfurt, Ireland's Central Bank governor Patrick Honohan told Irish broadcaster RTE that a loan worth "tens of billions of euros" is "definitely likely to happen."

"Market conditions have not allowed us to go ahead without seeking the support of our international collaborators so that is what's ahead," he said, ahead of high-level talks between the Irish government and the IMF and ECB talks in Dublin Thursday.

They are there to investigate what aid, if any, is needed and whether all that is required is a loan guarantee.

So it's a loan, not a bailout?

The central bank governor was very specific in his terminology. "When you are talking about the IMF, the IMF talks about loans -- not bailouts. Loans get repaid so there hasn't been a bailout from the IMF. Shareholders in the IMF -- which are governments -- get their return on the money that they have advanced to the IMF," Honohan said.

Before Honohan's statement, all talk was about the pressure the European Union was putting on Ireland to accept a rescue package as the euro took a battering on contagion fears.

The worry was -- and still is -- that Ireland's problems could exert further pressure on other ailing countries, namely Portugal and Spain, which are already struggling to pay their debuts.

Relief in Ireland would bring yields on Portuguese and Spanish government bonds back to normal levels would mean they pay less on interest and more, hopefully, toward reducing their own deficits.

IHS Global Insight estimates banking-related costs will eventually mount to some 30 percent of Irish GDP. "On a banking crisis 'Richter scale' this is a 'very severe crisis' of about seven to eight out of 12," director of sovereign risk Jan Randolph said in a briefing note. For comparison, that is less severe than the Iceland banking crisis (10 to 12), but more serious than the banking tremors in the UK and the U.S. (four to five).

So why was Ireland resisting aid?

As recently as Wednesday, Ireland's finance minister Brian Lenihan was insisting that the country's banks had "no funding difficulties." By Thursday, he was being quoted as saying that a substantial contingency fund from the EU and IMF would be a "very desirable outcome."

The government has resisted the idea of a financial aid package because it would inevitably come with strings attached. The country's low 12.5 percent corporation tax rate was a point of contention. Ireland has said the tax is "non-negotiable" despite complaints from other EU members that the tax gives the country and an unfair advantage when it comes to attracting business.

Ireland's 2011 budget is due out on December 7 and the government has been keen to stress that it will include sufficient spending cuts to get the country back in shape without outside help.

How did Ireland get into this mess?

Ireland recorded stunning economic growth during what is known as the "Celtic Tiger" era from around 1993 to 2007 when the global financial crisis hit.

Irish banks, like others around the world, loaned money to people who in some cases couldn't pay it back. Cheap loans created extra demand for housing and as prices surged the construction industry raced to build more.

"The building frenzy was, in reality, driven by the ambitions and actions of developers and speculators, supported by banks hungry for quick profits, pro-growth local authorities afraid to be left behind, and a government greedy for the indirect, cyclic taxes the construction sector generated," according to a recent report from the National Institute for Regional and Spatial Analysis (NIRSA).

According to central bank figures released on November 17, the number of mortgage loans in arrears has jumped by 11 percent since the end of June.

At the end of September, more than 40,000 mortgage loans had been in arrears for more than 90 days. Combined, the mortgage loans are worth €7.8 billion ($10.6B).

CNN's Hilary Whiteman contributed to this report.

@highlight

Ireland bailed out its struggling banks, putting the government under intense budget pressure

@highlight

Central bank governor says an EU-IMF loan is "definitely likely"

@highlight

Dublin reluctant to call the loan a "bail-out"

@highlight

Problems caused by cheap loans which fueled demand for housing