(CNN) -- Long established as the premier portal for sound, your ears are facing increased competition from emerging techniques for transmission through your skeleton.

Bone conduction has rapidly become a critical asset for treatment of hearing loss. While a new generation of cochlear implants has had spectacular success in recent years, they rely on air conduction and the patient possessing a functional pathway from outer to inner ear. For patients with severely damaged pathways, such implants offer no solution.

Baha (bone anchored hearing aids) units work by passing sound from a microphone to a magnet or implant beneath a patient's skin, which is converted into vibrations in the skull and eventually arrives at the inner ear. This process extends the miracle of restored hearing to victims of such conditions as microtia or atresia, where the ear or canal is closed or deformed.

"It's the natural spectrum of sound compared with traditional hearing", says Brian Walshe, spokesperson of hearing treatment company Cochlear. "Even with amplification it's the same, there's no distortion."

The company recently launched a wireless Baha set, an indication of the technology's progress and growing popularity. Implants have become smaller and less invasive, while cosmetics have improved so that the system can be worn without advertising it.

Bone conduction is not a new discovery. Ludwig Van Beethoven overcame deafness by biting a metal rod attached to his piano to hear his work. Neither do they need to be compensation for disability - such systems have been used by military in environments that require awareness as well as audio instructions. A member of the SEAL team which killed Osama Bin Laden wrote in his autobiography that bone conduction communication was critical to co-ordinating the raid.

The innovation is beginning to seep into consumer electronics. In the early 2000s, headphone sets appeared that played music via the user's bones, but the systems were hamstrung by high cost and low quality, with common complaints about muffled and distorted sound. The makers of Aftershokz believe they have solved those problems with a unit that retails for $79.

"The difficulty for bone conduction has been transmitting vibrations through bone with enough power for music, you need to be on the 20 - 20,000 Hz frequency range," says CEO Bruce Borenstein. "We have been able to power dual transducers with enough vibration to make the sound musical, which has been our big breakthrough."

The bone conduction system offers key safety advantages over traditional earphones, by leaving the user's ears free so that they are not distracted from their environment. It is even possible to drive wearing them, as they comply with the legal requirement to be able to hear on the road. The Audiology Foundation of America have also supported the concept, stating that it causes less damage to the ears than ear buds.

A flood of competitors are entering the market and innovation is not limited to headphones. Google Glass are using bone conduction rather than ear buds for their speaker system, although there have been teething problems. Multiple patents are emerging for underwater and deep sea communication systems, and the technology has become cheap and accessible enough to be viable for novelty items such as talking pillows.

The field has even expanded to offer audio communications through diverse body parts including the teeth and eyes. "In theory you can hear from anywhere", says Dr. Sunil Puria, ear biomechanics expert at Stanford University. "Although practically there would be disruption by having to pass through soft tissue depending on the point of contact."

The technology has offered a new dimension to advertisers, with BBDO trialling a system on German trains that plays targeted messages to commuters as they lean against the window. The company claim a positive public reaction, and promise the concept will deliver social benefits through delivering announcements and emergency warnings. But the scheme has been controversial, with civil liberty activists arguing it is invasive and delivers content without consent.

Dr. Puria foresees another ethical concern. "As it vibrates your skull to generate sound, others around you can also potentially hear a message sent to you, so there will be privacy issues. That's a problem that needs to be solved."

But he believes the major technological hurdles have been overcome. "There has been tremendous progress, from miniaturization, to wearable and wireless, so that we have reached the holy grail of not requiring earphones."

From medicine to entertainment, from reef diving to sleeping in our beds, we may have to get used to a whole new set of voices in our head.

Read more from Make, Create, Innovate:

Stealing from nature: Incredible new tech inspired by biology

Forget wearable tech, embeddable implants are already here

This 'Star Trek'-style molecular sensor fits in your hand, reads your food

@highlight

Bone conduction technology is helping some people with hearing loss to hear again

@highlight

But it could soon improve the lives of people with healthy hearing too

@highlight

Google Glass uses it to communicate with users without blocking the ear

@highlight

Talking pillows, safer headphones, and underwater music are all in the pipeline