(CNN) -- When pro quarterback Michael Vick pleaded guilty to bankrolling a dogfighting operation in 2007, there was a spike in reports of dogfighting in the United States.

One of six dogs recovered from a Sumter County, South Carolina, dogfight waits in a kennel last week.

But when the headlines faded, the blood sport grew stronger and went even more underground, with thugs taking inventive precautions to keep police at bay, animal cruelty experts say.

"They know it's just not smart to have large crowds anymore, so we've seen fights where you've got the two handlers, a referee and Web cams everywhere broadcasting the fight on the Internet," said Mark Kumpf, an investigator based in Ohio who directs the National Animal Control Association.

Fights are also being staged on the move -- in 18-wheelers. "These guys are very sophisticated," Kumpf said. "If you're driving down the road, there could be dogs in that truck driving next to you that are dying."

Dozens more dogfighting cases have been investigated and prosecuted since the Vick case, said Alison Gianotto, who runs the database PetAbuse.com.

The computer programmer,  horrified when a neighbor's cat was set on fire eight years ago, created the California-based organization to track animal cruelty cases and animal abusers.

The database, which logs media stories, has also become a popular place for law enforcement to send reports.

"There's not a central body keeping track of what's happening nationally, which is unfortunate when you consider that a lot of these cases cross state lines," she said.

Still, detectives, animal welfare professionals and prosecutors agree that the attention the Vick case has brought to dogfighting has been positive because more people are inclined to report their suspicions. Dogfighting is illegal in all states; penalties vary but usually include heavy jail time or steep fines.

The National Football League suspended Vick indefinitely in August 2007 after he pleaded guilty to a federal charge of bankrolling a dogfighting operation at a home he owned in Virginia. Vick, 29, was freed from federal prison in Leavenworth, Kansas, on May 20 and returned to Virginia to serve the last two months of his 23-month sentence in home confinement.

"At the height of attention on the Vick case, things quieted down across the country with some of these dogfighters getting out of the business," veteran animal abuse investigator Tim Rickey said. "But then, the headlines went away, and people thought the attention was off. It just started right back up, almost stronger than before."

"Every Saturday night in every county in Missouri, there is a dogfight going on," Rickey said.

While the Vick case was making its way through the court system, Rickey, who directs the animal cruelty task force at the Humane Society of Missouri, was initiating what would become an 18-month investigation linking dogfighting rings in eight states.

That probe led to the July 8 arrest of 28 people from eight states. As many as 400 dogs were confiscated in raids coordinated by federal, state and local law enforcement agencies, Rickey said. He said it was the largest such case involving dogfighting in the U.S.

While those involved with the national case declined Monday to give details about that investigation, CNN spoke with several detectives across America who have worked other dogfighting cases. Among the abuses they've uncovered:

• Dogs with missing ears and patches of skin

• Animals with teeth shaved down to the bone

• "Vets" who have used leg splints that are to tight to "treat" animals in dogfighting rings

•  Contraptions, usually fashioned out of wood, much like a treadmill, that force chained dogs to run or be choked.

Detective Keith Coberly of the police vice squad in Dayton, Ohio, described a case he recently investigated that resulted in the convictions of three men.

A neighbor called police when she saw a mangled dog that had apparently escaped from a home where investigators found 60 chained pit bull terriers, many being starved and wallowing in their own waste. There were thousands of hypodermic needles scattered across the ground.

"They were using steroids on the animals," he said. "There was one dog -- in such bad shape, man -- tethered to a logging chain, and another was kept in a two-foot shed without ventilation or food."

The suffering is incalculable, and the cost of caring for the animals is steep.

Because the national investigation originated in Missouri, the state is harboring about 400 of the rescued dogs, some that have had puppies recently.

"These dogs are bred to attack each other, so just caring for them is a tremendous job. You have to keep them separate, and you have to protect volunteers who are devoting 12, 14 hours of their day," Rickey said. "And we're doing all of that in this economy."

Investigating dogfighting is dangerous -- and hugely popular in Russian mafia circles and with drug traffickers in Mexico, experts say.

Dogfighting is reliant on word of mouth, and on what one undercover officer described as "bad character" references. "If you can get someone to vouch for you, a match is set up," Kumpf said. "They'll have everyone go to a hotel and come pick you up and drive you around in an unmarked van." Driving around town helps shake any police tail, he said.

Those betting on fights aren't likely to get paid on site any more. Money is often kept at another location, making it more difficult to make arrests.

In late July, NFL Commissioner Roger Goodell conditionally reinstated Vick, who said on "60 Minutes" on Sunday night that he cried in prison because of the guilt he felt about dogfighting.

Vick's agent announced Thursday that the former Atlanta Falcon signed a two-year deal with the Philadelphia Eagles, which reportedly could be worth more than $6 million.

"I hope people realize [dogfighting] is not just about Michael Vick," Rickey said. "It's a lot bigger than him."

@highlight

Dogfighters are using Web cams, staging fights in 18-wheelers to avoid police

@highlight

Vick case brought attention to dogfighting, but cases have not decreased

@highlight

Detective: Anyone who wants to get into dogfighting needs "bad character" reference