(CNN) -- Too many of America's children aren't ready for kindergarten -- or for what comes after.

Only about one-in-three U.S. children are in the process of understanding or actually skilled in the kinds of math and reading activities that support the lessons they will encounter in kindergarten, according to research commissioned by Sesame Workshop. Meanwhile, only about half of children demonstrated the social, emotional and so-called executive function skills that will help them to adapt and learn during kindergarten.

In fact, more than one-third of children begin kindergarten not proficient in even one of the areas we surveyed.

The results, documented in the "Kindergartners' Skills at School Entry" report, suggest that almost half of children -- 44% -- enter kindergarten with one or more risk factors based on their home environment (for example, poverty, parents with less than a high school education). Unfortunately, children with these risk factors typically have lower school readiness scores than those not affected by such circumstances, particularly in reading, mathematics, and executive function skills.

All this matters because these "executive" skills -- particularly impulse control -- play a pivotal role in children's long-term development. And, despite what some might think, something like self-regulation, and the underlying cognitive skills it requires, can actually be taught during the preschool years.

Indeed, the reality is that being ready for school is about much more than just having the academic basics like having a good vocabulary or even just knowing letters and numbers. It's about being smart in other ways, such as being able to solve problems creatively and having flexible thinking, as well as being confident and resilient, and also being kind (important when trying to get along with other children).

True, children are born ready to learn. But how and what they learn is critical in predicting children's success in school. It might surprise many to hear that current research has demonstrated that by 18 months, scientists can detect differences in various parts of the brain between children living in low socioeconomic status environments and those in middle or upper class environments. Such findings add to the growing evidence that parents play an absolutely critical role in the development of their baby's brain.

So how can we make sure children have all the skills they need to succeed? Children learn best through real-life interactions with the adults and items in their environment. It is through these interactions, as well as their individual genetic make-up, that forms the brain architecture and the foundations for future learning.

But while it's important for parents to gain a deeper understanding of what their infants, toddlers, and preschoolers are capable of learning, it is also critical they see what these responsive and nurturing interactions look like in order to maximize teachable moments throughout their daily routines, such as meal time, bath time and bed time.

Technology can help with all this. Organizations such as Too Small to Fail and Text4baby, which we are currently partnering with are illustrating for new parents how to talk, read, and sing to their child throughout everyday moments, as well as suggesting ways to engage in stimulating activities that support their child's development, especially language and vocabulary development.

All of this seems especially important for those of us who work in the media -- we have a unique opportunity to provide educational experiences to engage young learners and really set them up for life by harnessing the power of technology to show parents and teachers the types of activities that help foster learning. And we can involve every adult in a child's life -- teachers, grandparents and childcare professionals -- in the process.

Early development of children's brains is too often overlooked. But by inspiring a sense of joy in learning, and by building upon young children's innate curiosity, we can help give them the building blocks they will rely upon for their whole lives.

@highlight

Many of America's children aren't ready for kindergarten, says Rosemarie Truglio

@highlight

Kids learn best through real-life interaction with adults and their environment, she says

@highlight

Early development of children's brains is too often overlooked, Truglio writes