(CNN) -- With the first round of voting over, Egypt's ruling Freedom and Justice Party declared Sunday that citizens had given their thumbs-up to a controversial draft constitution.

But a coalition of 123 local rights groups that monitored the Saturday referendum alleged widespread abuses.

And the nation's electoral commission acknowledged that it received -- and will investigate -- complaints of voter intimidation, bribery and other violations.

The commission said it would not announce official results until after second phase of voting December 22.

But that didn't stop President Mohamed Morsy's Freedom and Justice Party (FJP) from claiming that 56.6% of the ballots were in favor of the draft; while 43.5% rejected it.

Read more: Egyptians vote on controversial constitution

The big turnout in Alexandria -- Egypt's second most populous city and a stronghold of conservative Muslims -- appears to have made a big difference in tilting the preliminary results towards a 'yes' vote, party members said.

"The democratic process in this first phase of this referendum ... stresses the people's desire to reach political and constitutional stability, despite all the unjust and harsh smear campaigns," the party statement said. "The process took place in an atmosphere full of integrity, transparency, and under full judicial supervision as well as presence of local and international media and human rights groups."

Ten of the nation's 27 provinces voted in the referendum Saturday. The remaining provinces will hold their referendum in the second round.

"There were cases of voter intimidation, delaying the voting process, and early closure of some voting centers with no clear reasons," the Egyptian Coalition for Monitoring Elections said in a statement late Saturday.

The government-funded National Council for Human Rights backed up some claims of minor violations, including early closure of voting stations.

A rocky road to referendum

The path to the referendum has been marred by violent incidents on both sides as well as extensive institutional and political power struggles. President Morsy and his allies have rushed the document to a popular vote.

Sentiments about the national charter have been split down the same political lines of those who support the president and those who oppose him and have been equally as heated.

Those opposed to it feel it contains subtle wording that limits rights and gives too much political power to religious figures and institutions.

Many in the opposition called earlier for a boycott of the referendum, but most swung around to urging citizens to turn out and vote "no."

Liberal opposition leader Mohamed ElBaradei -- better known globally than in his native Egypt due to his former role as head of the International Atomic Energy Agency -- is one of them.

"Is holding the referendum under improper judicial supervision, clear lack of security, and violations the road to stability? or is it playing with the nation's fate? Responsibility comes with Governance," he tweeted late Saturday.

Supporters of the draft constitution herald what they say is its protection of personal rights, especially its provisions on handling of detainees in the judicial system, which made capricious use of its powers under deposed autocratic president Hosni Mubarak.

Hassan el-Shafie, a senior cleric and member of the Constituent Assembly that drafted the constitution, called opposition to the document "purely political," saying the highest Islamic institution in the land "has made it ultimately clear that the country must be a modern democratic nation."

International rights group Human Rights Watch says the draft constitution "protects some rights but undermines others." It "fails to end military trials of civilians or to protect freedom of expression and religion," it said in a statement.

Egypt's Christian leaders have neither come out for or against the constitution, but instead encouraged believers to vote their own conscience.

Read more: Egypt and the Middle East's struggle for rule of law

A controversial edict

The rocky road to the referendum began when judges threatened to shut down the assembly tasked with drafting the constitution.

President Morsy then issued an edict in late November declaring all of his past and present decisions immune from judicial review until the holding of the constitutional referendum.

He also sacked the head of the judiciary. The judicial system has many in its ranks who are loyal to former autocratic President Hosni Mubarak.

The Islamist president's opposition saw the exceptional move as a grab for dictatorial powers and poured into the streets, converting Tahrir Square in central Cairo back into the center of public discontent it had been during the uprising that brought down Mubarak.

The president has since dropped his provocative decree going forward, but the situation has remained tense, and violence has continued.

Morsy's Islamist allies rushed the drafting of the constitution to completion, which some saw as a tactic to allow him to drop his controversial edict more quickly. Others feared it to be another grab for power. Non-Islamist assembly members quit the process, which served to increase suspicion against the Islamists.

The outcome of the election and the unrest associated with it are important to the stability of volatile North Africa and the Middle East -- where Egypt is a key player -- and the situation is being watched closely around the world.

Egyptian news agency: Mubarak hurt in prison bath fall

@highlight

The election commission won't announce official results until after December 22

@highlight

The FJP says 56.6% of the ballots were in favor of the draft

@highlight

10 of the nation's 27 provinces voted in the referendum

@highlight

Monitoring groups allege irregularities