(CNN) -- When most people think of South Sudan, if they think of it at all, they imagine poverty and war. They imagine a world and people that are far removed from the everyday life that most of us reading this are lucky enough to enjoy. But that was not my experience in the world's youngest nation.

What I saw on my three trips through South Sudan were people just like you and me. People with desires and needs. People in love. Mothers and fathers. Sisters and brothers. Friends and enemies. People with resilience, determination. But above all -- hope.

A year ago Monday, conflict again erupted in South Sudan. Since then, thousands of people have been killed, nearly 2 million people have been forced to flee their homes, and 6 million South Sudanese -- almost half the country -- have found themselves in desperate need of aid.

Last week, as I traveled through Mingkaman, a small village in South Sudan's Lakes state, with the aid organization Oxfam, I met people whose lives have been turned upside down by conflict over the last year, but who still haven't lost their belief that things can get better.

At a camp for people who had crossed the Nile to escape the violence that destroyed their homes, a middle-aged Dinka man, who was easily 7 feet tall, told me that armed men had stolen all of his cows -- his main source of income. When I offered my sympathy for his loss, he smiled and said, "Don't worry, I will get more cows."

Indeed, much of the story of South Sudan is a story of hope. When the country gained independence in 2011 after more than half a century of war, people danced and cried with joy in the streets as they looked forward to a future of peace and development.

CNN Photos: A nation on the brink of an abyss

Through the valiant efforts of the South Sudanese people and support from the international community and organizations like Oxfam, things were getting better. New roads were paved, communities without access to clean water saw wells drilled, and violence was drastically reduced. Tens of thousands of young girls were receiving education for the first time. Things were changing for the better.

But then last December, a power struggle between the country's president and vice president turned violent and led to a skirmish between some of their supporters that has wreaked havoc across the country.

Church leaders and civil society groups have appealed for peace and reconciliation. People I met are opposed to -- and terrified by -- what's happening. But as the summer's rains have ended and the roads are once again passable, the fighting has resumed and is likely to get worse in the coming weeks.

Although the conflict has taken on an ethnic tone, people I spoke with were at pains to tell me that this wasn't a conflict between the Dinka and Nuer tribes, who have lived together, worked together, and intermarried for generations. Standing in the midst of rows of newly planted tomatoes, one Dinka man took a break from weeding to tell me that he believed in a peaceful future for South Sudan -- but not without greater action from the international community.

"When you have problems within your family," he told me, "you sometimes can't solve it yourself; you need someone from outside to come in and help you reconcile." His words were echoed by so many South Sudanese I spoke with, who highlighted the special role of the United States in helping the country achieve peace and gain its independence, and asked for America's assistance again now.

As we mark one year since the start of this terrible conflict, we have to do more to support South Sudanese peacemakers and pressure the country's leaders to stop fighting. The resilience of the people of South Sudan can only go so far without a political solution to this conflict.

Even now when I think of South Sudan, I don't think of war. I don't think of poverty and children with AK-47s. All of this exists within the country, but I think of the confident cattle herder who believes he will regain his lost cows, even in the face of such despair. I think of the many pregnant young women I met, who were excited for their future and the future of their children, hoping that it would include peace and a chance for a good education.

But most of all I think about the many incredible people I met who have lost everything they have in the world, but still manage to keep going and keep hoping for peace. It is for those people that the U.S. must act to keep that hope alive.

Join us on Facebook.com/CNNOpinion.

@highlight

A year ago, war broke out in the world's newest nation, South Sudan

@highlight

Rooney Mara says war has ravaged nation but its people retain hope

@highlight

Mara: U.S. is looked to as a nation that could be key in pushing for peace