(CNN) -- The carnage from Syria's civil war continues to mount, with 184 people killed Wednesday, 100 of them in Damascus and its suburbs, according to the opposition Local Coordination Committees of Syria.

Here are the latest key developments in the spiraling conflict:

Diplomatic front: U.N.'s humanitarian chief "extremely concerned"

The humanitarian situation in Syria has gotten worse, U.N. humanitarian chief Valerie Amos said Wednesday.

Amos said she is "extremely concerned that all parties of the conflict are failing to comply with international humanitarian law, which sets out clear rules on the protection of civilians. This conflict has taken on a particularly brutal and violent character."

The Syrian government estimates that 1.2 million people are sheltering in public buildings, and "many more are staying with relatives and friends," Amos said. "Both those who have fled and their hosts have urgent humanitarian needs due to the widening impact of the crisis on the economy and on people's livelihoods."

Syrian President Bashar al-Assad's regime has said it will let aid groups already in the country expand their operations but won't allow new aid to enter.

The government is worried the aid would get into the hands of "armed groups and terrorists," a phrase it has used to describe those seeking al-Assad's ouster.

The flow of aid has hardly kept up with the pace of violence as scores of people are killed each day and medics resort to makeshift clinics and crude supplies to treat the wounded.

The United Nations and its partners are reaching more people each month with food and emergency aid, Amos said. "Last month, more than 820,000 people were fed," and in the first two weeks of August, basic necessities such as hygiene kits and blankets were distributed to more than 60,000 people.

On the ground: the bulk of Wednesday's killings occurred near the capital

Nearly half of the 100 people reported killed Wednesday in the capital or its suburbs were killed in Al-qaboun, a neighborhood northeast of Damascus. A spokesman for the opposition Local Coordination Committees told CNN via Skype that pro-regime militias -- called Shabiha -- fired rocket-propelled grenades and machine guns randomly into houses.

By the time they had withdrawn, 46 bodies were laying on the streets, said Omar Al-qabouni, the spokesman.

He added that about 15 of the victims had been arrested in previous days, the rest had been seized earlier Wednesday from their houses. "The bodies bear visible signs of bullets and stabbing wounds," Al-qabouni.

The neighborhood is an opposition stronghold that has witnessed anti-regime protests since shortly after the civil war began in March 2011, and from which 70% of the residents have already fled, he said.

"The regime is trying to empty the neighborhood from its people so it can secure it," he said.

Lena Al-Shami, an opposition activist in Damascus, told CNN via Skype that the regime's campaign against rebel strongholds also includes the Damascus neighborhoods of Kafr Susah, where two dozen people were executed Wednesday, and Nahr Aisha, where another nine were killed.

Al-shami said shelling from government artillery and tanks represented a "revenge campaign" against residents for having sheltered opposition fighters and activists.

The activist accounts matched those of other activist networks inside and outside Syria. Amateur videos and photographs posted on the Internet backed up their accounts, showing the bodies of men in what the video said was the Al-qaboun neighborhood. CNN cannot independently verify the authenticity of the footage.

In the town of Ariha, in Idlib province, fierce clashes broke out Wednesday between rebels and Syrian troops, according to the LCC.

Syria, on state TV, said authorities clashed with "terrorists" in Hama suburbs, killed some and arrested many others.

State-run news agency SANA said Syrian forces were "severely hitting the mercenary terrorists in a number of neighborhoods in the city of Aleppo."

Before she was killed in a gun battle in Aleppo, Japanese journalist Mika Yamamoto spent her final moments filming in the besieged city. Her colleagues released her final footage Wednesday.

"They are shooting indiscriminately; they are dropping bombs onto the town from bombers onto people, running about one after the other, without discrimination," Yamamoto says in the video, shot Monday.

After a single gunshot is heard, the footage ends.

Watch the final footage

Wounded refugees enter Iraq

Fighting was under way Wednesday between Syrian forces and the rebel Free Syrian Army near the Iraqi border, in the Albu Kamal area, according to Iraqi army officers at the border.

Rebels overtook some Syrian military posts in the area, but regime forces were working to regain control of the area, the officers said.

Late Tuesday night and Wednesday morning, Iraqi security officers heard explosions that they identified as fire from tanks and heavy artillery used by Syrian military forces.

The Free Syrian Army handed over to Iraqi authorities for treatment 25 casualties, including children and women, said Mahmoud Abu al-Taeib, deputy head of a refugee center in al-Qaim at the Iraqi border.

The Iraqi army was on alert, he said.

Nearly 4,000 Syrian refugees have crossed the border from Albu Kamal alone.

The president's inner circle: Al-Assad's resignation can't be a condition for dialogue

If the West continues to insist on al-Assad's resignation, there is zero chance he'll negotiate with rebels, according to Syria's deputy prime minister.

Requiring the resignation "as a condition before dialogue means that there will be no dialogue," Qadri Jamil said Tuesday, according to Russia's state-run RIA Novosti news agency. "If this issue is being imposed on us from abroad, it is a very dangerous precedent in international relations."

But the odds of a meaningful dialogue between the regime and rebels appear slim to begin with.

The government has said it will offer amnesty to rebels who lay down their arms, but rebels say they can't let the regime's attacks continue without defending themselves and fighting back.

The region: Fierce clashes ease in neighboring Tripoli, Lebanon

Sniper fire broke out Wednesday in two dueling neighborhoods in Tripoli: one dominated by Alawite Muslims, the other by Sunni Muslims.

The Syrian civil war has aggravated decades-old quarrels between the Jabal Mohsen and Bab al Tabaneh neighborhoods, and factions supporting and opposing the uprising in Syria.

Gun battles in Tripoli this week left seven people dead and dozens injured, Lebanese state-run media reported.

The strife between Alawites and Sunnis in Tripoli mirrors the conflict in Syria, where al-Assad's regime is dominated by minority Alawites and the opposition is composed largely of Sunnis.

Syrian troops were deployed in Lebanon between 1976 and 2005, primarily in the north. They were initially called in to help stop a brewing civil war but maintained a significant presence -- which once numbered 40,000 -- long afterward.

In a country struggling to maintain a balance among its religious and ethnic sects, resentment from the occupation lingers.

Some Sunni Muslims staunchly oppose al-Assad and sympathize with the Sunni-led uprising in Syria that is calling for his ouster. Support for al-Assad is also plentiful, particularly in the south.

CNN trip to get into -- and out of -- Aleppo

Syria's neighbors: What's at stake?

CNN's Yousuf Basil, Holly Yan, Salma Abdelaziz and Arwa Damon contributed to this report.

@highlight

U.N. humanitarian chief is "extremely concerned" about "brutal and violent" conflict

@highlight

184 people have been killed Wednesday, an opposition group says

@highlight

In her final footage, a journalist described bombings and indiscriminate shooting