(LifeWire) -- After his father was diagnosed with dementia in 1996, Anthony Lazzara Jr. faced a difficult decision: He and his wife, Gail, either could place his father, Anthony Lazzara Sr., in a facility, or they could care for him themselves.

Anthony Lazzara Jr. (right) and his wife, Gail (left), cared for Anthony Lazzara Sr. at home for eight years.

Unable to afford a care facility, the Lazzaras brought him home.

So began eight long years of caring for the World War II veteran and onetime truck driver as he slowly declined -- a burden borne largely by Gail, 56.

She fed him, bathed him and changed his diapers on a daily basis while her husband, a truck driver, was on the road.

Slowly, she says, her marriage began to crumble.

"I couldn't take my frustration out on my father-in-law," she says. Instead, she took it out on her husband.

"We almost ended up divorcing over the whole deal," says Anthony Jr., 56.

Gail concedes she considered leaving, "but I couldn't walk away from my father-in-law."

Two years ago, the Lazzaras finally threw in the towel. A bed became available at a local Veterans Affairs facility, and the elder Lazzara was admitted. He remained there until April 2008, when he died at age 95.

A difficult labor of love

As the Lazzaras can attest, the stress of caring for an elderly parent can overwhelm a relationship. Chauffeuring loved ones to appointments, handling their shopping, assuming their financial burden, even just living under the same roof can test even the most committed couples.

In 2004, the National Alliance for Caregiving and AARP reported that over 44 million Americans care for an adult family member or friend. Almost 80 percent of these are caring for someone older than 50.

Although caring for a parent in their twilight years can be rewarding, it can also be a trial, says Beth Witrogen, the Pulitzer Prize-nominated author of "Caregiving: The Spiritual Journey of Love, Loss and Renewal."

"Caregiving brings out the best and worst in us all," she says.

Al Levi, 39, a Brooklyn, New York, occupational therapist, has experienced that kind of strain in his marriage. Levi says he has been at odds with his wife since his father was diagnosed with Alzheimer's two years ago. "I felt like my wife wasn't taking this seriously enough, and that if it would have been her parents, it would have been more important," he says.

For a while, the Levis cared for Al's father at home, but eventually it got to be more than they could handle. Levi placed his father in a nursing home this past summer. But he says the ordeal has continued to strain his marriage.

"It's complicated," he says.

'Your best is good enough'

Often, couples will harbor unreasonable expectations of what they can or should do -- together or individually -- to care for an aging parent. "You have to accept that your best is good enough," Witrogen says. "It may not be pretty, but you will get the job done."

It's also crucial that couples communicate clearly and effectively, Witrogen says. Too often, one partner will fixate on solving the problem while neglecting to listen to the other's needs. In the Lazzaras' case, Anthony Jr. says he would search for care facilities for his father from time to time, but Gail was still left to shoulder most of the daily duties of care -- something her husband still feels guilty about.

With their three children grown, "it was her time to have and here she was taking care of my dad," Anthony Jr. laments.

It wasn't until the Lazzaras finally found room for Anthony Sr. at the VA facility that they finally found some relief.

"We knew there was a light at the end of the tunnel," Anthony Jr. says.

Balancing your needs

Although finding a balance between caring for an aging parent and maintaining a healthy marriage can be tremendously challenging, it can be done, experts say. Part of that solution is ensuring the aging parent gets proper care, says Leah Siskin, senior psychologist at Zucker Hillside Hospital in Glen Oaks, New York.

"When the psychological needs of the care recipient are addressed, this can no doubt have a positive effect on the marital relationship of the caregivers," she says.

It's also important that couples care for one another.

Giuseppe Manca, a 58-year-old holistic healer in Manhattan, grew frustrated that he couldn't take a vacation with his wife for fear of leaving his live-in mother-in-law alone, even though she was in good health. So the couple decided to take weekend trips, making sure neighbors and loved ones were on standby in case of an emergency.

The Lazzaras didn't have the luxury of traveling while Anthony Sr. was still alive. Although they say their marriage has stabilized since his passing -- Gail has been able to devote more time to her job coordinating a local volleyball league -- they admit that it could have crumbled.

"We nearly crashed and burned," Anthony Jr. says.

How to cope

Author Witrogen offers the following tips for coping when a couple's "for better or worse" turns to the latter in caring for an elderly parent:

• Talk it out. Bring in a third party such as an attorney to provide objective perspective. Those short on money can invite clergy or a neighbor.

• Make time for yourself -- and each other. It takes willingness, intention and time management, Witrogen says. "Get out your day planners and schedule the time in. I suggest that couples schedule 'play dates,' even if for an hour."

• Don't neglect your health. Sleeping enough, eating right and exercising displaces stress from your partner.

• Set caregiving goals. "Write down objectively what needs to be done," Witrogen says. Divide the duties equitably.

LifeWire provides original and syndicated content to Web publishers. Ron Dicker, a Brooklyn-based journalist, frequently writes about relationship topics. He previously covered sports for the New York Times.

@highlight

The stress of caring for an elderly parent can overwhelm a relationship

@highlight

Couples may have unreasonable expectations of what they can or should do

@highlight

More than 44 million Americans care for an adult family member or friend

@highlight

Almost 80 percent of these are caring for someone older than 50