(CNN) -- In more than eight Earth years, NASA's unexpectedly tough Mars rover Opportunity has been stuck in a sand dune, nursed a bad shoulder and endured five brutal winters on Mars.

Its new rover, Curiosity, should be so lucky.

Scientists at the space agency's Jet Propulsion Laboratory in California planned for Opportunity to last for 90 days on Mars after its landing in 2004. Instead, it's now run for more than 3,000 martian days and traversed 22 miles of the planet's surface -- scoured by sandstorms and working through temperatures that range from 86 degrees to 112 degrees below zero Fahrenheit (30 to -80 C).

"The rovers were designed to last in extreme conditions, and we've taken great care in how to operate them," said JPL roboticist Vandi Tompkins, one of Opportunity's former operators. "Someday, some essential part will go that stops it. It's going to happen. But we try our best to push that as far as out as we can."

Even after all these years, "You still see a lot of excitement" at Opportunity's control center at JPL," Tompkins said.

NASA spent $800 million to launch Opportunity and its sister rover, Spirit. The twin craft lifted off from Cape Canaveral in June 2003 aboard separate Delta II rockets and landed successfully the following January, bouncing onto the surface inside a cocoon of air bags.

The roughly 5-foot-long, 380-pound rovers were loaded with a variety of cameras and instruments used to analyze martian rocks and soil, and their findings have helped convince NASA that Mars once had water on its surface.

'Crazy' Mars landing coming

NASA lost contact with Spirit in 2010 and wrote off the rover in May 2011, but Opportunity kept on going. Among its findings was a vein of the mineral gypsum -- an indication that water once ran across the surface of the Red Planet. And it beamed back its 100,000th picture, a sweeping panorama of the martian surface, in early July.

Not that it's been unscathed. It's got a worn "shoulder" joint on its robotic arm, making some operations difficult. It was stuck in a sand dune for nearly two months in mid-2005. But it has had unexpected luck, as well.

"The solar panels were expected to collect a lot of dust, and they did," Tompkins said. "But we've had winds that have cleaned the solar panels occasionally, and that has given it a new lease on life."

Tompkins is now working on the much-larger Curiosity. Designers built the 2,000-pound craft with lessons from Spirit and Opportunity in mind, including a longer, more advanced robot arm, a hammer drill that can crack apart rocks and a laser that reduces rock to a hot plasma, allowing an on-board spectrograph to determine its composition.

Opportunity's neighborhood is known as the Meridiani Planum, a sandy desert located a few degrees south and west of the martian equator and its prime meridian. The site is nearly halfway around the planet from Spirit's location, and from where Curiosity is expected to touch down at 1:31 a.m. Monday ET.

It can run more than 100 meters (325 feet) in a day, but it's not exactly a speed demon: Opportunity tops out at about 2 inches a second. But it's also capable of climbing up to 30-degree slopes.

Building an out-of-this-world menu for Mars

Tompkins says the goal for operators is "pushing the limits and keeping it safe."

"The fact that the rovers have lasted also has to do with how carefully you operate them," she said.

The average distance between the Earth and Mars is about 225 million miles, but it varies widely during the year as both planets orbit the sun. When they're the farthest apart -- about 400 million miles -- a radio signal from NASA takes more than half an hour to reach the rovers.

That means controllers have to pre-program Opportunity's daily movements, working from a three-dimensional model of the surrounding terrain, Tompkins said. JPL transmits the plan to the rover, which carries out the program and beams the data back to Earth via two satellites now circling the Red Planet, the Mars Odyssey and Mars Reconnaissance Orbiter. That means the programs have to be completed by the time those satellites are in range, adding one more wrinkle to controllers' calculations.

"Imagine planning your drive from your home to your office," she said. "Even though you know that route truly well and there's no traffic, imagine having to pre-think all those options. Then imagine it's raining."

Complete coverage on the Mars landing

@highlight

The Mars rover Opportunity has survived eight and a half years on Mars

@highlight

The 5-foot craft was designed to last 90 days

@highlight

"We've taken great care" in operating it, former driver says