Washington (CNN)No deal is better than a bad deal, say critics of President Barack Obama's nuclear talks with Iran.

But what if Republican and Democratic opponents succeed in their intensifying effort to derail the diplomacy?

The price of failure could be an ugly blame game and cascade of political reprisals leading to nuclear chicken between Iran and the West -- potentially leading to war.

"We would have to deal with a resumption of Iran's nuclear activities, which we don't want to see take place. Iran would have to deal with the resumption of sanctions, which they don't want," said Gary Samore, a top nonproliferation official during Obama's first term.

For now, the grave consequences of a breakdown in talks are one reason the United States and Iran are still at the table, as a grueling diplomatic process reaches critical deadlines and painful political decisions beckon.

Iran deal: A treaty or not a treaty, that is the question

Secretary of State John Kerry and Iranian Foreign Minister Javad Zarif are haggling over the remaining issues in Lausanne, Switzerland, ahead of an end-of-the-month deadline for a framework agreement, which then must be finalized by July 1.

But time may be running out for a deal in which six world powers would lift sanctions that have throttled Iran's economy in return for assurances that Tehran will continue to stay a year or so away from developing a nuclear bomb.

The White House puts the chances of a deal at only 50-50: Disputes still rage over the scale of nuclear infrastructure Iran will be allowed to keep, the pace of sanctions relief and the extent of nuclear site inspections.

Despite the controversy stoked last week in Washington when 47 GOP senators sent a letter to Iran's leaders warning that the future of a deal was not guaranteed, many analysts believe that the talks will go on, even if the end-of-March deadline slips.

"Not because all sides are desperate to keep talking. But I think sufficient momentum has been created in the last month or so that they see real possibilities," said Robert Einhorn, a former senior U.S. State Department arms control official.

Obama may now have slightly more political leeway on the talks than before -- ironically because of attempts by U.S. and Israeli critics to pen him in.

A few weeks ago, skeptical Democrats appeared to be lining up with Republicans and approaching a veto-proof Senate majority that could have forced Obama to submit a deal to Congress or accept the passage of new sanctions. Either move could have killed the agreement.

But the Republicans' letter and a fiercely critical speech to Congress by Israeli Prime Minister Benjamin Netanyahu on the proposed deal prompted some skeptical Democrats to close ranks, at least temporarily.

But Senate Republican Majority Leader Mitch McConnell told CNN's Dana Bash on "State of the Union" that Obama was on the cusp of agreeing a "very bad" deal that would allow Iran to keep its nuclear infrastructure intact. He said that if an agreement is reached, he would bring up legislation that would give Congress 60 days to back or reject a deal, despite fresh pleas from the White House for the GOP to hold off. If no deal is reached, McConnell said on Sunday that he would press ahead with toughening sanctions on Iran, he said.

Republican sources, meanwhile, said that despite the furor over the letter from the senators, no Democrats had yet formally pulled support for legislation requiring the Senate to have a say on the deal. That leaves the real possibility of a pitched political showdown on Iran in the coming months.

The opening for diplomacy is meanwhile not endless. And if no deal emerges by July, political pressure for a tougher administration stance towards Iran may be unstoppable.

If diplomacy fails, how events unfold will be dictated by how the process collapses; who gets the blame; and the political pressures exerted on Obama and Iranian President Hassan Rouhani in Washington and Tehran.

"If, at the end of June, there is not a deal, and talks have broken off, I think that it is inevitable that the Congress will adopt new sanctions legislation," said Einhorn, now with the Brookings Institution.

"What that will mean is the Iranians will reciprocate."

Iran could start up centrifuges halted during the nuclear negotiations, bring more advanced machinery online and enrich uranium to the potent 20% level that would get it closer to a weapon.

And if it bars international inspectors, the world would have no idea how far Iran is from making a bomb.

What's in the Iran nuclear deal

The administration thinks that if the United States gets the blame for using hardball tactics that derail talks -- if, say, Congress imposes more sanctions, as administration critics want -- there is no way its international partners would keep existing sanctions in place, let alone double down and impose new ones.

In addition to unilateral U.S. sanctions Congress has imposed, the United Nations, European Union and other countries have put in place their own sanctions cutting off Iran from international partners and not just the American economy.

Cornelius Adebahr, a European security specialist at the Carnegie Endowment for International Peace, predicted Iran would reap a propaganda victory.

"It would give ammunition for Iran to say the U.S. is not reliable," he said.

Massachusetts Institute of Technology's Jim Walsh, a specialist on the talks, said the Iranian government would have little choice but to hit back at a tougher U.S. stance.

"The Iranians are just not going to take it. They are going to feel condemned to respond. Both sides will take their shovels and dig the holes deeper."

Walsh continued, "We would be between a lame duck (U.S.) president for whom negotiations had just failed, a weakened Rouhani, for whom negotiations have just failed, and a coming U.S. presidential election -- not exactly the best environment to return to talks and accomplish a diplomatic settlement."

Aborted negotiations that leave Iran rededicated to its nuclear program raise the specter of Tehran with a bomb -- or some enemy country taking military action to stop it.

Did 47 Republican senators break the law in plain sight?

But critics of the deal being worked out in Switzerland don't agree that such an outcome is the likeliest scenario.

GOP hawks and Israel believe Tehran is so desperate for sanctions relief, especially at a time of low oil prices, that it will have no choice but to offer a better deal than the one currently on the table and agree to the complete halt to uranium enrichment that Israel and conservatives demand.

"If Iran threatens to walk away from the table -- and this often happens in a Persian bazaar -- call their bluff. They'll be back, because they need the deal a lot more than you do," Netanyahu maintained in his Congress speech.

Former Republican presidential nominee Mitt Romney made the case in a USA Today op-ed Friday that Obama should "walk away from a flimsy nuclear agreement."

Those opposed to the deal reject the administration that follow their advice would likely blow up the talks and set Washington on an inevitable path to war as the only remaining way to disable Iran's nuclear infrastructure.

Instead, GOP congressmen counter that several bills they are pushing, with significant Democratic support, do not forestall the possibility of continued diplomacy if talks fail. They say that extra sanctions would increase Obama's leverage in diplomacy, not weaken it.

Even if talks do succeed this year, the long-term future of an agreement still wouldn't be assured.

The diplomatic effort has powerful critics among hardliners in Tehran who, whatever's written on paper, could push to illicitly expand Iran's nuclear program and close in on a bomb. It's not just Republicans who fear Tehran may violate any deal or test the limits of compliance. Some people who back the talks admit that may be the case, too.

In Washington, Congress will be required to lift the existing sanctions on Iran to sustain the agreement in years to come -- a step that is hardly a given.

And the stiff Republican opposition means a deal is not assured of surviving the arrival of a new president in the White House come 2017. A future Republican president could reverse Obama's sanctions waivers fairly quickly, as the senators warned in their letter to Iran.

Whether the new president would want to do so is another matter, however, especially if Iran lives up to the terms of a deal, which would include stringent verification by international inspectors.

He or she would risk a heavy political price. A unilateral Washington pullout would likely infuriate U.S. partners and leave the rookie president facing a boiling crisis that could overwhelm the new administration's nascent foreign policy.

"That's what the administration is counting on -- if there is compliance and the deal is working well," said Einhorn.

Kerry reminded Congress this week that Britain, France, Germany, China and Russia would all be cosignatories of a deal.

"If all those countries have said this is good and it's working, (will a new president) just turn around and nullify it on behalf of the United States?" he asked. "That's not going to happen."

Congress would face the same cost-benefit calculation when it comes to the sanctions only lawmakers can expunge. In the event of a Democratic White House victory in 2016, the congressional math could also change in favor of a deal.

And if Republicans keep their majorities, lawmakers who are bent on thwarting Obama may be less willing to handcuff a new GOP president.

@highlight

Iran negotiations have large diplomatic and political implications

@highlight

Outcome could affect next president