United Nations (CNN) -- World leaders kicked off a historic two-day meeting at the United Nations on Monday by unanimously approving a "political declaration" meant to stem a rising tide of noncommunicable diseases, now the world's leading killer.

It is only the second time a health issue has been debated at a special meeting of the General Assembly after the group's pledge to take on AIDS a decade ago.

"This is a landmark meeting," U.N. Secretary-General Ban Ki-moon said. "Three out of every five people on Earth die from the diseases that we gather here to address."

Illnesses that range from diabetes to heart disease to cancer are increasingly reaching developing nations, Ban said, which are often ill-equipped to provide the kinds of medicines and levels of treatment to offset their effects.

"More than a quarter of all people who die from (such diseases) succumb in the prime of their lives," he added. "The vast majority live in developing countries."

The measure is expected to be adopted in full after a second day of discussion Tuesday. But it will then depend on cooperation from companies that produce food, alcohol and tobacco products to implement broad-sweeping policy shifts to achieve lasting changes that U.N. members say they are hoping for.

World Health Organization Director-General Margaret Chan called the issue a "slow-motion disaster," citing one study that put the cost of noncommunicable diseases to the global economy at $30 trillion by 2030.

The effect on individual households, analysts say, is often manifest in reduced physical capacities, long-term treatment and high health care costs.

On the national scale, the effect is more clear.

Associated costs for heart disease, stroke and diabetes in China alone amounted to $18 billion in 2005, according to a U.N. statement. Russia expended $11 billion that year, while India spent $9 billion and Brazil spent $3 billion.

A year later, 36 million people died from noncommunicable diseases worldwide, representing nearly two-thirds of all reported global deaths.

Chan said the rise of these diseases is being driven by urbanization and "unhealthy lifestyles," prompted by systemic use of alcohol, tobacco and readily available processed foods.

"For a growing number of people, (those foods) are the quickest ways to fill their stomachs," she said.

Meanwhile, global obesity levels have doubled since 1980, according to a recent report.

"Obesity is the signal that something is terribly wrong," said Chan, who urged a systemic approach among world governments to combat those diseases.

Traditionally more widespread in developed nations, obesity -- which, according to reports, is often a product of poor health practices and available food choices -- has increasingly spread to developing nations.

Death and illness from noncommunicable diseases are greater threats than transmissible diseases like malaria and HIV in every region except Africa, where they are on the rise, according to a U.N. report.

Ban on Monday called for a more comprehensive intervention plan to help reduce the threat, asking for "tobacco-control measures, including raising taxes and bans on advertising and smoking in public places; raising taxes on alcohol and enforcing bans on alcohol advertising; reducing salt intake," as well as replacing trans fats in foods with polyunsaturated fats.

He called on member countries to promote public awareness about diet and physical activity, deliver hepatitis B vaccinations and encourage preventive care through counseling.

"It is our collective responsibility to make this meeting a success for all mankind," said Zimbabwean President Robert Mugabe, who attended Monday's meeting.

@highlight

U.N. members vow to reduce diabetes, heart disease, cancer

@highlight

36 million people died from noncommunicable diseases worldwide in 2006

@highlight

Such diseases are greater threats than transmissible diseases in nearly every region

@highlight

3 of every 5 people die from noncommunicable diseases, U.N. head says