(CNN) -- The last month has seen a blizzard of new sex abuse accusations against the Catholic Church from across the United States. Almost all of them -- and the intense media attention they've garnered -- can be traced to one man: a Minnesota lawyer named Jeff Anderson.

Last week, an alleged victim of priest abuse in Wisconsin announced a lawsuit against the Vatican itself. Anderson is representing the alleged victim.

A couple of days earlier, a Mexican man who alleged abuse by a priest years ago filed suit against Mexico's top Catholic cleric in a U.S. court. The plaintiff is another Anderson client.

And throughout April, new documents have come to light suggesting that the current pope may have played down warnings about abusive priests in the United States. Those documents came from Anderson's St. Paul, Minnesota, office.

For decades, Anderson has won settlements from Catholic archdioceses across the country for abuse victims and, more than any other attorney in the country, has driven American media coverage of the church abuse scandal.

Now, with the church abuse crisis embroiling Europe for the first time and raising questions about whether the pope himself did enough to respond to church abuse, Anderson is employing novel legal tactics in an attempt to take his campaign all the way to the Vatican.

"I'm getting far more aggressive because all roads are leading to Rome," Anderson, 62, said last Thursday, after filing suit against the Vatican on behalf of the alleged Wisconsin abuse victim.

"I'm pessimistic that the Vatican is capable of changing itself but I'm optimistic that external pressure will," Anderson said. "We're at a tipping point."

Anderson's last sex abuse suit against the Vatican, filed in 2002, has wound its way through the courts, with the U.S. Supreme Court now considering whether to hear the case.

But Anderson's critics say that last week's suit against the Vatican, along with much of his other work, is aimed more at attracting publicity than getting justice.

"Anderson has sued the Vatican many times, and has never won," said Bill Donohue, president of the Catholic League for Religious and Civil Rights. "He knows he will lose again this time, but that means nothing to him. What this is all about is grandstanding: getting more PR for himself and throwing more mud at the Catholic Church."

Anderson's firm -- Jeff Anderson & Associates, which employs four other lawyers -- has filed hundreds of sex abuse suits against the church. Though he won't disclose how much he has won in settlements, Anderson is thought to be responsible for a good chunk of the roughly $2.5 billion that, according to the U.S. Conference of Catholic Bishops, the U.S. Catholic Church has paid to sex abuse victims to date.

He was among the lawyers representing abuse victims in the $600 million settlement with the Archdiocese of Los Angeles in 2007, the church's largest payout ever.

The settlements started out much smaller.

When Anderson filed his first church lawsuit on behalf of a Minnesota plaintiff who in 1983 alleged priest sexual abuse, he was one of the only lawyers in the country taking on such cases. He says the abuse suit -- which targeted the archdiocese of Saint Paul and Minneapolis and the diocese of Winona, Minnesota -- was the first against an American Catholic diocese.

Anderson says he won a $1 million plus settlement for his client. But his proudest moment in the case was convincing his client to resist signing a confidentially agreement so that he could go public with his story. "As a result, dozens of other kids abused by that priest broke their silence," Anderson said.

That knack for getting clients to publicize their stories of priestly abuse -- largely through the news media -- and spurring other victims to break their silence has been an Anderson trademark ever since.

In the early 1990s, Anderson represented victims of abuse by Rev. James R. Porter, a Massachusetts priest whose taped comments about having molested "from 50 to 100 (children)," made him one of the first abusive priests to earn national headlines.

The media attention brought Anderson more business.

"I remember reading a newspaper story about a priest that had molested a bunch of kids and it was the first written statement I'd seen about being sexually abused by a priest," said Bob Schwiderski, a former client of Anderson's. "It was an a-ha moment. I said, 'my God -- I'm not the only one.' And the article mentioned Jeff's firm."

By that time, Anderson had shifted from his initial focus on civil rights and poverty law to take on abuse cases full time. "That's what sustains me -- the connection with the survivors and their families," he said. "Initially it's their pain, and then it's their strength. They're giving me a lot more than I'm giving them."

Even some of Anderson's opponents see him more as a true believer than a church-obsessed variation of a lawyerly ambulance chaser.

"Jeff is not just after money," said Jeffrey Lena, a U.S.-based lawyer for the Vatican. "He has enough to buy his own island if he wants. (But) what he is doing in these cases is part of his conception of himself. People figure out in life that there was something they really want to do, and I think he believes he has figured that out."

Anderson raised three children in the Roman Catholic tradition of his first wife, but his work representing abuse victims in the 1980s turned him off to organized religion. He became an atheist but says he regained his faith 13 years ago, when he began confronting his alcoholism at AA meetings.

"I had to look at myself and turn things over to a higher spiritual power," said Anderson, who doesn't identify with a religious tradition and describes his faith as "eclectic."

In 2002, revelations of church abuse and cover-up in Boston set off a wave of priest abuse allegations that turned church lawsuits into a national industry. "Until that time, it was a solo journey," Anderson said. "That set me on another trajectory entirely, with an intensity that hasn't slowed much if it all."

While the Boston scandal was still breaking, Anderson filed his first suit against the Vatican, on behalf of a Portland, Oregon, man who said he'd been abused by a priest as a teenager. Anderson argued that the Holy See, as the priest's employer, is ultimately responsible for the abuse.

The Supreme Court is deciding whether to hear the case. A lower court has rejected the Vatican's argument that it is protected by the Foreign Sovereign Immunity Act.

The lawsuit Anderson filed last week against the Vatican goes much further, naming the Holy See, Pope Benedict XVI and the Vatican's current and former secretaries of state as defendants.

The suit alleges that the Vatican had received a 1995 letter from a deaf American claiming that he'd been abused by a Wisconsin priest named Rev. Lawrence Murphy but that the Holy See allowed the priest to retain his position. The suit, filed by an unnamed plaintiff, seeks to force the Vatican to open its files on other abusive priests.

The Vatican says the suit will fail because individual archdioceses, not the pope, are responsible for responding to abuse allegations.

"Anderson's mantra is that all roads lead to Rome," says Lena, the Vatican lawyer. "I have a different message that Jeff wishes to ignore: this Church is administratively decentralized and decision making takes place largely on the local level. Mine is a more complex message, but it has the virtue of being right."

But that doesn't mean that the Vatican will stop paying close attention to Anderson.

"Jeff is such a media mover and shaker that when I go on an airplane, I'll call him and say 'I'm going to be on the plane for six or seven hours, so don't do anything -- I won't have a chance to respond!'" said Lena. "...He is half media man and half lawyer and has been successful at both."

For Anderson, both halves would likely be taken as a compliment.

@highlight

Anderson has driven American media coverage of the church abuse scandal

@highlight

In 1983, he was one of the only lawyers in the country taking on such cases

@highlight

He has been a key figure in bulk of settlements U.S. Catholic Church has paid out

@highlight

Critics: Anderson's work is aimed more at attracting publicity than getting justice