Islamabad, Pakistan (CNN) -- The recovery of a 14-year-old Pakistani girl who was shot in the neck and now breathes on a ventilator hinges on what happens over the next two days.

Malala Yousufzai remains in a Rawalpindi hospital after being attacked for simply defending the right of girls to go to school. And police are questioning men with alleged links to the attack.

On Friday, an international team of neurological specialists said her condition was stable, but they were watching her closely. Her family waits, and hopes, yet they are afraid to give away where they are exactly. They're terrified that Taliban who would gun down a teenager wouldn't hesitate to come after them.

Around the country, supporters gathered for small vigils to pray for her recovery. Government officials in Peshawar, the main city in the northwestern region where Malala is from, were silent for one minute in her honor.

Tests on Malala went well, doctors said, and her care at a hospital where she was initially treated was good. She remains in critical condition, but specialists are satisfied with the situation.

"The next 36 to 48 hours are important," Major Gen. Asim Bajwa told reporters in Rawalpindi. A Karachi rally is planned for Sunday, and thousands of people are expected to attend.

Malala was riding home in a school van Tuesday in the tense and Taliban-heavy Swat Valley when gunmen jumped into the vehicle and demanded to know which girl she was. Her horrified classmates pointed to her, and the men fired. Two other girls were wounded, but not seriously.

Brave blogger

Malala gained fame for blogging about how girls should have rights in Pakistan, including the right to learn. She spoke out in a region of the country where support for Islamic fundamentalism runs high.

"I have the right of education," she said in a CNN interview last year. "I have the right to play. I have the right to sing. I have the right to talk. I have the right to go to market. I have the right to speak up."

Malala, whose writing earned her Pakistan's first National Peace Prize, also encouraged young people to take a stand against the Taliban -- and to not hide in their bedrooms.

"God will ask you on the day of judgment where were you when your people were asking you ... when your school fellows were asking you, and when your school was asking you," she said in her CNN interview, "['Why] I am being blown up?'"

The Taliban believes no girl should be educated, and they've threatened that if Malala survives, they will murder her.

Despite the threat, some Pakistani schoolgirls are saying Malala's shooting won't stop them from continuing their education.

"In our society, girls don't have rights and they don't get to study, but I think that's completely wrong," one of the girls told a CNN reporter. "I think we have the same rights as men and we will stand up for our rights. And we will go out and encourage all girls to study."

Police make arrests, close in on attackers

Police had earlier detained 200 suspects, but released all but three. Those three gave statements pointing to one suspect.

Also Friday, police officer Gul Afzal Afridi said that suspect has not been arrested, but investigators said they strongly believe he played a role in the attack.

Though many Pakistanis are appalled by the attack, the Taliban have kept up their vicious comments, saying that they figured shooting the teenager would have an impact in the West.

"We do not tolerate people like Malala speaking against us," Taliban spokesman Ihsanullah Ihsan said.

'Malala is Pakistan's daughter'

Indeed, the attack did stir global debate. Leaders across the world spoke out, including those in Pakistan. The teenager has come to symbolize a battle between freedom and oppression, violence and peace, a young generation and a group that is hell-bent on keeping Pakistan under the grip of Islamic extremism.

"Malala is Pakistan's daughter, Pakistan's real face, Pakistan's messenger of love and peace," Pakistani Prime Minister Raja Pervez Ashraf said. The country is fighting terrorism because it's a "menace."

On her blog, Malala often wrote about her life in Swat Valley, a hotbed of militant activity.

The valley near the Afghanistan border once attracted tourists to Pakistan's only ski resort, as well as visitors to the ancient Buddhist ruins in the area. But that was before militants -- their faces covered -- unleashed a wave of violence.

They demanded veils for women, beards for men and a ban on music and television. They allowed boys' schools to operate but closed those for girls.

"We have sacrificed, both man and material and our valiant armed forces, innocent children, citizens, workers and leaders," Ashraf said Friday. "But now the nation is united and we have to unite and stand together to uproot this menace from our motherland and our children."

Speaking in Rawalpindi, Ashraf thanked political leaders and others who have stood up in support of Malala. "We would together like to give this message to fight against the mindset that attacked her," he said.

'Education is the best thing'

At Islamabad's Khaldunia High School, students hung banners and wrote letters demanding that the government do everything possible to save Malala.

Girls look up to Malala, said one female student whose identity CNN isn't revealing to protect her safety.

"I was really shocked because she was so ambitious ..." she said. "I pray for her health."

"To have the courage to actually go against all that," another girl said. "I think that was quite respectable."

A reporter asked if the attack has inspired them and if they planned to speak up even louder.

"I want these people who attacked her to learn that women are not all bad," one girl answered. "They are basically afraid of giving women equal rights because they're afraid of what women can do because they know they can do a lot.

"I want to speak up so they can learn some lessons from that message."

A boy student said he wanted to study more because of Malala. He won't take going to school for granted anymore, he said.

"What I learned from her is that education is the best thing, and if I get an education, I will be a better person," said another boy, 14.

A 'barbaric act'

President Asif Ali Zardari told Malala's father Friday that he was grieving and in shock over her shooting, and he condemned "the barbaric act of the militants," according to a release from Zardari's office.

Pakistani Foreign Minister Hina Rabbani Khar on Thursday called the attempted assassination of Malala "a wake-up call" for the nation.

Pakistani media reports suggested that the government is considering sending her overseas for treatment, but Bajwa, the military spokesman, said Friday that there is no plan yet to do that.

Media inside Pakistan continue to debate how to respond to Malala's shooting.

"Just as the Taliban scare us with terror, we must scare them by making them unable to operate," Madiha Afzal, an assistant professor at the University of Maryland who grew up in Pakistan, wrote in an opinion piece published in The Express Tribune.

"We must terrorize them by investing more than ever before in educating girls," she said.

Former British Prime Minister Gordon Brown, now the U.N. special envoy for global education, has traveled to Pakistan and advocated for girls' education there. He said in an editorial published Friday that Zardari has invited him to return in November to lead a delegation of education leaders to come up with ways to improve opportunities for children.

"I have asked Pakistan's President Zardari to pledge that Malala's suffering will not be in vain," he wrote.

Education a focus on International Day of the Girl

Opinion: Cowards shot this brave girl

Gallery: Prominent women speak on International Day of the Girl

Opinion: Make schools safe for girls everywhere

International Day of the Girl: Advice from leading women

Your stories: Girls + Education

Journalists Nasir Habib, Aamir Iqbal and Noreen Shams contributed to this report.

@highlight

NEW: Pakistani schoolgirls are defiant after Taliban attack on teen activist

@highlight

Malala Yousufzai remains in critical condition; three men in custody

@highlight

14-year-old who advocated for girls' education was shot by Taliban attackers

@highlight

The Taliban vow to kill Malala if she survives