(CNN) -- Folks are really mad at Marissa Mayer.

The Yahoo CEO has revoked the company's long-time work-from-home policy, a ban that will take effect beginning in June.

When I asked how my tech-industry-heavy social network felt about the policy reversal, the responses from both men and women were overwhelmingly negative.

One man said the decision felt arbitrary and like a throwback to less-connected days before real-time video hangouts and collaborative docs. "Short-sighted and against the tide of where things are heading," he observed.

"Going backwards" and "epic fail," wrote others.

Google Mayer's name and you will find that the media and blogosphere are equally riled up. The move, some say, is particularly disappointing coming from a new mother, who presumably should know better about the difficult position that many parents are in.

Opinion: Allow Yahoo workers to work at home

And who are we kidding? By "parents" we mean mostly moms, because whether we have solid childcare, family support or neither, many of us are performing real-life acrobatics worthy of Cirque du Soleil.

Yahoo's new policy pushes my buttons, as well. Had it not been for workplace flexibility and the ability to work from home, I -- and scores of my friends and colleagues -- probably would not be in the game at this point.

I telecommuted long before I had children, back in the days when almost no one I knew worked from home. The joke then was that when I showed up at the office, it was because I was getting lonely and wanted to hang out.

Having kids completely flipped the script, and telecommuting suddenly went from luxury to necessity. My husband continued working full-time, and I started juggling. You won't ever truly understand the meaning of "hustle" until you've tried to do anything while taking care of children at the same time.

CEO right: Yahoo workers must show up

But here's the thing: Being stuck between the rock of workplace imperatives and the hard place of home mandates is not new to any of us working mothers, and we all know that the trade-offs you have to make in that position are almost never easy or simple. The difference is that Mayer's experience is far more public and high-stakes, and half the world is second-guessing her.

Mayer is running a public company, with more than 11,000 employees. Is it possible that as Yahoo's chief, she is privy to a fact or two that you and I might not know and understand about the larger predicament Yahoo finds itself in? Absolutely.

Mayer did not take over a healthy company and disrupt an effective culture that has been working well. Yahoo is in trouble and has been for a long time. (Full disclosure: I very briefly wrote a column for Yahoo last year.)

And as much as we all swear up and down that we are happier and more productive working from home, this is not necessarily (and objectively) so.

Tech execs question Yahoo's work-from-the-office edict

Last summer while on assignment at the Aspen Ideas Festival, I interviewed Ben Waber, an MIT research scientist and CEO of Sociometric Solutions. Waber and his colleagues at MIT and Harvard have been engaged in a process called "reality mining" -- analyzing the constant trail of data that we leave behind about ourselves via e-mail, instant messaging patterns, phone logs and meeting information -- to come up with insights about work productivity and satisfaction. He helps companies translate these insights into concrete ways to enhance people's experience at work, as well as to increase productivity.

Testing those insights across dozens of companies in different industries, Waber has found that face-to-face communication, friendships and social interaction at work make people more productive and happier.

"Obviously there's a big difference between working from home every day of the year and telecommuting occasionally," Waber told me yesterday. "There are pros and cons to both arguments, but when you look at the data alone, there is compelling evidence that individuals coming in to work physically at Yahoo may benefit the company."

As he writes in his forthcoming book, "People Analytics," "A large, robust body of research indicates that companies need to figure out some way to get employees together face to face, because remote work tools just aren't cutting it. ... When making the decision to work from home, employees must weigh personal needs against the negative impact it will have on their colleagues and on them as an individual."

"It's easy for us to armchair quarterback," observes Leisa McNeese, "but Marissa Mayer is in it, and at this point I'm assuming she's making the best decisions with the information she has."

The mother of two young children, McNeese is the former co-president and current emeritus board member of the Parents' Club of Palo Alto and Menlo Park, a nonprofit to which many Silicon Valley parents belong.

Like me, McNeese would have been completely out of the paid workforce without the ability to work from home when her children were born. For almost a decade now, she has worked as a consultant, as well as for a nonprofit tech startup that was completely virtual.

Yahoo work-from-home policy riles workers everywhere

McNeese is willing to give Mayer the benefit of doubt for now, but she observes that "like most things, workplace flexibility is not something that is an either/or issue."

McNeese believes that while Yahoo's strategy may make sense in the short-term as a reboot or in a crisis situation, it is unlikely to be sustainable in the long run. Given the culture of Silicon Valley, where so many highly successful companies offer a good amount of flexibility when it comes to working from home, an employer that sets rigid and immutable standards on this issue risks shutting out a large segment of potential talent and making itself undesirable to others.

What about the charge that the impact of Mayer's decision is sure to be felt disproportionately by the working mothers at Yahoo? Shouldn't Mayer "get it" because she is a new mom?

"That's essentialist nonsense in my feminist book," McNeese says. "We all experience motherhood and fatherhood in different ways. If we wouldn't be asking this same question about a male CEO who just had a baby, then I'm just not interested in going there with a female one."

As much as Mayer's decision strikes a nerve for working moms, some of us are feeling a troubling sense of dÃ©jÃ  vu about the damned if she does, damned if she doesn't scenario she finds herself in. And at least for now, we are willing to reserve judgment.

How do you feel about Yahoo's new telecommuting policy? Share your take in the comments section below.

@highlight

Parents are especially miffed at Yahoo's new anti-telecommuting policy

@highlight

Critics accuse the CEO of being shortsighted and not empathetic to fellow parents

@highlight

Amanda Enayati says CEO Marissa Mayer's first mandate is to increase productivity

@highlight

Mayer's motherhood shouldn't trump her goal to turn around Yahoo, says another mother