WASHINGTON (CNN) -- Global warming could destabilize "struggling and poor" countries around the world, prompting mass migrations and creating breeding grounds for terrorists, the chairman of the National Intelligence Council told Congress on Wednesday.

Climate change could increase flooding in coastal areas, like the flooding that hit the Philippines.

Climate change "will aggravate existing problems such as poverty, social tensions, environmental degradation, ineffectual leadership and weak political institutions," Thomas Fingar said. "All of this threatens the domestic stability of a number of African, Asian, Central American and Central Asian countries."

People are likely to flee destabilized countries, and some may turn to terrorism, he said.

"The conditions exacerbated by the effects of climate change could increase the pool of potential recruits into terrorist activity," he said.

"Economic refugees will perceive additional reasons to flee their homes because of harsher climates," Fingar predicted. That will put pressure on countries receiving refugees, many of which "will have neither the resources nor interest to host these climate migrants," he said in testimony to the House Select Committee on Energy Independence and Global Warming.

Reactions to the report broke down along partisan lines, with Democrats generally praising it and Republicans expressing doubts. Committee members had concerns about the report's secrecy, reliability and use of intelligence resources.

Global warming may have a slight positive effect on the United States, since it is likely to produce larger farming yields, Fingar said

But it is also likely to result in storm surges that could affect nuclear facilities and oil refineries near coasts, water shortages in the Southwest and longer summers with more wildfires, the study found.

International migration may also help spread disease, Fingar added, and climate change could put stress on international trade in essential commodities.

"The United States depends on a smooth-functioning international system ensuring the flow of trade and market access to critical raw materials, such as oil and gas, and security for its allies and partners. Climate change and climate change policies could affect all of these," he warned, "with significant geopolitical consequences."

The report was the conclusion of the most comprehensive government analysis the U.S. intelligence community has ever conducted on climate change. Fingar emphasized that it could make no hard and fast predictions, saying that the operative word in his assessment was "may."

Wealthy countries will be able to handle the situation better than poorer ones, he said.

"We assess that no country will be immune to the effects of climate change, but some will be able to cope more effectively than others," he said. "Most of the struggling and poor states that will suffer adverse impacts to their potential and economic security are in Sub-Saharan Africa, the Middle East, and Central and Southeast Asia.

"However, the spillover -- from potentially increased migration and water-related disputes -- could have a harmful global impact," he added.

Fingar painted a mixed picture of the effects of climate change on the United States itself.

"Most studies suggest the United States as a whole will enjoy modest economic benefits over the next few decades, largely due to the increased crop yields," he said.

"Costs begin to mount thereafter, however, and some parts of the United States -- particularly built-up coastal areas -- will be at greater risk of extreme weather events and potentially high costs related to losses in complex infrastructure."

The impact of fighting and preparing for climate change may be greater than the effect of global warming itself, Fingar said.

"Government, business and public efforts to develop mitigation and adaptation strategies to deal with climate change -- from policies to reduce greenhouse gases to plans to reduce exposure to climate change or capitalize on potential impacts -- may affect U.S. national security interests even more than the physical impacts of climate change itself," he said.

The report, the "National Intelligence Assessment on the National Security Implications of Global Climate Change to 2030," relied on U.S. government, military, academic and United Nations studies of climate change.

The report itself is classified, which some members of the House committee objected to.

"I am disappointed it is classified," said Rep. Anna Eshoo, D-California. Secrecy "prevents this report from being released and discussed in public domain."

Committee Chairman Ed Markey, a Massachusetts Democrat, said he would ask the administration to declassify it.

Markey opened the hearing by saying "human beings all over the planet face death or damage or injury if we do not act."

He blasted the White House stance on climate change, saying, "The Bush administration continues to limit what their experts know. The president doesn't want America to know the real risk of global warming."

Republicans on the committee criticized the report as wasteful, with Rep. Darrell Issa of California calling it a "dangerous diversion of intelligence resources."

Rep. Pete Hoekstra, R-Michigan, said that the report was unreliable and that its authors admitted as much.

"We have a lot of information where we are incapable of assessing it," Fingar conceded.

Hoekstra also questioned the committee's priorities.

"There are a lot more pressing issues out there for the intelligence community to be focused on right now that would help keep America safe," he said.

The assessment "was a waste of time, a waste of resources for the intelligence community to be focused on this issue versus other folks in the government that could have done this job and have a responsibility for doing it."

Fingar said the intelligence community had relied on the science of others because it did not itself monitor climate change. He said the assessment was based on midrange predictions of global warming.

@highlight

Climate change could destabilize "weak" states, intelligence chair says

@highlight

Global warming could spark mass migrations, classified report finds

@highlight

U.S. food production could increase with climate change, report suggests

@highlight

But it says U.S. coasts could be threatened by larger storm surges