Seoul, South Korea (CNN) -- A Chinese passenger jet with more than 200 people on board flew through the trajectory of a North Korean rocket that had been fired minutes earlier, the South Korean government said.

North Korea fired the rocket Tuesday at 4:17 p.m. without giving any navigational warning, Kim Min-Seok, a spokesman for the South Korean Defense Ministry, said Wednesday.

Seven minutes later, a China Southern Airlines plane carrying 220 passengers from Japan's Narita airport to Shenyang in China passed through the rocket's trajectory, he said.

"It was a very dangerous situation," Kim said during a news briefing. "North Korea's provocative actions violate the international navigation laws and pose a great threat to the safety of civilians."

South Korea has informed Chinese authorities about what happened, the Defense Ministry said.

A Chinese foreign ministry spokesman, Qin Gang, said Thursday that the plane flew through North Korean airspace "normally on that day without incident."

"When relevant countries conduct military training or exercises, they should abide by international custom to take measures that would ensure the safety of civil aircraft or ships passing through their airspace or territorial water," Qin said.

He said that China attaches a great deal of importance to the safety of its civil aircraft and would "seek verification from relevant parties and express necessary concern from our side."

Officials from China Southern Airlines didn't respond to calls seeking comment Thursday.

The rocket in question was one of seven fired Tuesday by North Korea into the sea off its east coast, according to South Korean authorities.

Given the speeds the plane and rocket were traveling at, the seven-minute gap means there was still "quite a big distance" between them, said Greg Waldron, Asia managing editor at Flightglobal, an aviation and aerospace website.

"Although the chances of hitting the aircraft were extremely low, akin to hitting a bullet with a bullet, there is absolutely no need to endanger civilians, however remote the danger may be," he said.

North Korea missile capabilities

North Korea defends launches

North Korea on Wednesday defended the series of short-range missile and rocket launches it has carried out in recent weeks.

"It is justifiable self-defense behavior for us to conduct these military exercises in order to preserve peace in the region and to protect the safety of our people and our country," the North's Korean People's Army said in a statement carried by state media.

The military's statement didn't make any mention of South Korea's comments about the Chinese plane, but it said its recent launches hadn't affected "international navigational order."

The North's launches have taken place as U.S. and South Korean troops conduct annual military exercises in the region. The large-scale drills anger North Korea, which says it views them as a rehearsal for an invasion.

The North has fired missiles or rockets into the sea on several occasions between February 21 and Tuesday, according to the South Korean government. Seoul says some of the ballistic missiles are Scud class with a long enough range to cover the entire Korean Peninsula.

North Korea on Wednesday acknowledged that it had conducted "rocket launch training" over that period.

North Korea shows off South Korean man it's holding on spy charges

Who's provoking whom?

South Korea has said the launches -- short-range and aimed in a northeasterly direction out to sea -- are intentional provocations.

The U.S. State Department said Monday that launches of the Scuds violate U.N. Security Council resolutions.

"We urge North Korea to refrain from provocative actions that aggravate tensions, and instead focus on fulfilling its international obligations and commitments," State Department spokeswoman Jen Psaki said.

Those comments appeared to have irritated North Korea's military.

"The U.S. and its supporters are calling our actions provocation, but they should not talk about provocation when they don't know what provocation is," the North's military statement said. "Provocation is when somebody has intent to hurt somebody else, but what we are doing is to protect ourselves, our country, our land, our people."

The U.S.-South Korean military exercises, on the other hand, are provocative, North Korea said: "It's a reckless American way of provocation and they're doing all this on somebody else's land."

It threatened the possibility of the launch of a more powerful rocket.

Pyongyang had previously called for the cancellation of the joint exercises, a request dismissed by Washington and Seoul.

North Korea launches missiles into sea

Calmer than last year

The North's verbal attack Wednesday didn't reach the ominous levels of its saber rattling this time last year, which included threats of preemptive nuclear strikes against the United States and South Korea.

"Unannounced missile tests are not a good thing, but their political and military significance depends on context," Stephan Haggard, a visiting fellow at the Peterson Institute for International Economics, wrote in a blog post Tuesday.

North Korea conducted or threatened test launches during a similar period last year, soon after it had drawn international condemnation for launching a long-range rocket and carrying out its third nuclear test.

"This year, the political setting is less confrontational," wrote Haggard, who is also a professor at the School of International Relations and Pacific Studies at the University of California, San Diego.

Despite the current military drills, ties between North and South Korea have improved slightly in recent months. Over several days last month, the two countries held reunions of families separated for decades by the Korean War -- the first such meetings since 2010.

South Korea on Wednesday said it was proposing new talks between the two sides next week to discuss the possibility of further reunions. But North Korea rejected the proposal, the South Korean Unification Ministry said Thursday.

Compared with last year, North Korea is being "remarkably quiet," said Andrei Lankov, a professor of history at Kookmin University in Seoul.

"They had to do something because it would be politically impossible to do nothing during the joint exercises, especially after they made so much noise about it," Lankov said. "But they act with remarkable restraint."

Report: North Korea fires two missiles off eastern coast

CNN's Paula Hancocks reported from Seoul, and Jethro Mullen reported and wrote from Hong Kong. CNN's Steven Jiang and Anjali Tsui, and journalists Lina Yoon and Stella Kim contributed to this report.

@highlight

NEW: China will "seek verification" on the matter, an official says

@highlight

North Korea gave no navigational warning of the launch, South Korea says

@highlight

The chances of collision were "extremely low," an aviation industry observer says

@highlight

North Korea says its missile and rocket launches are for training purposes