(CNN) -- Pete Seeger sang with such a gentle voice that it's easy to forget how his music drove a fierce, radical movement for change.

"Young people in the civil rights movement began to realize that music was like a weapon you could use, but it was a nonviolent weapon. So you didn't have to feel powerless. You had this weapon, and it was a beautiful song," said Candie Carawan in a phone interview from her Tennessee home.

Her husband, Guy, is one of the musicians, along with Seeger and Frank Hamilton, credited with adapting the song "We Shall Overcome" from an earlier hymn. They were more vessels than songwriters. They became instruments through which the words of oppressed individuals got a hearing. Seeger, Carawan and others lifted up anonymous voices, and these voices changed the world.

For 17 years, I've been working closely with nonprofit organizations that are advocating for causes. They deploy lots of PowerPoint shows. It's nearly unimaginable a nonprofit executive would put music front and center in an advocacy campaign.

Yet that is what happened in the civil rights movement. And it worked.

I called Guy Carawan a few years ago, when he was still granting interviews, to ask him whether the music came to be important through some kind of happy accident, or whether it was intentional.

Turns out music was front and center by design.

Some of the credit goes to Danish folk schools. That's where Myles Horton saw firsthand how to deploy culture in training individuals to take on social and political causes.

A Tennessee native educated in New York and Chicago, Horton co-founded Highlander Folk School in 1932. As in the Danish schools he visited, music was central. His wife, Zilphia, classically trained in music, led Highlander's music program and helped create the anthems we associate with the civil rights movement.

Highlander hosted and trained the Mount Rushmore names from the civil rights movement, including the Rev. Martin Luther King Jr., Rosa Parks and James Bevel. They mixed with folk musicians such as Seeger and Carawan. And everyone mixed with men and women who would never become famous -- just folks fighting for the right to vote, to move about freely and to speak freely. The right to be recognized as human beings, in short.

This pre-Internet caldron of connectivity -- civil rights leaders and musicians and ordinary men and women mixing together in common cause -- scared the dickens out of people who derived power from the status quo. Authorities could arrest people and beat people. They just couldn't stop the singing.

Carawan taught "We Shall Overcome" to young people in 1960 at the founding meeting of the Student Nonviolent Coordinating Committee at Shaw University.

"Ella Baker wanted me down there to teach that song," Carawan said. "There is power in the words and the songs and the people."

Two weeks before, he had been at Highlander teaching "We Shall Overcome" to one of the first gatherings of the students who would lead sit-ins. At the same meeting, he taught students to sing "I'm Gonna Sit at the Welcome Table" and "Keep Your Eyes on the Prize."

It all seems so harmless now, these beautiful songs. But singing those songs could result in a beating. Or time in jail.

Music was gasoline on the civil rights fire, and Highlander was effectively a music distribution hub.

So tiny little Monteagle, Tennessee, home to Highlander, became a threat to the most powerful people in the country.

Georgia state officials sent a spy to Monteagle and ran a smear campaign against King. A congressional committee went after Seeger. The state of Tennessee shut down Highlander and seized the land.

"There's great nostalgia for these songs," Candie Carawan says. "They have become part of American culture. But at the time, the songs were threatening. It helped people feel united."

Nothing is more threatening to power than seeing opponents organize. It's easier to hold off a bunch of unhappy individuals, each isolated and harmless. It's tougher to resist a bunch of unhappy individuals who unite and work together.

Or as Arlo Guthrie describes in his anti-war song "Alice's Restaurant," if one person sings alone, authorities will think he's crazy. If 50 people sing out together, they will see it's a movement.

"Pete understood how powerful music could be," Candie Carawan said this week, reflecting upon his death. "He thought it could change the world. Not all of us would go that far, but he really believed that."

Seeger described his banjo as a machine that surrounds hate and forces it to surrender. He was right.

The opinions expressed in this commentary are solely those of John Bare.

@highlight

Legendary folk singer Pete Seeger died recently at the age of 94

@highlight

John Bare says Seeger was part of central role of music in civil rights movement

@highlight

Bare: Leaders such as Martin Luther King Jr. mixed with the singers who spread message

@highlight

Seeger understood the liberating power of music, Bare says