(CNN) -- When the body is totally inert, the brain can still be busy.

Even in a coma, brain imaging technology has shown, some people's brains show blood flow patterns that indicate something is going on inside their heads, although it's not necessarily indicative of awareness.

Doctors say they have observed "significant brain activity" in former Israeli Prime Minister Ariel Sharon. They are basing this statement on the results of experiments done with functional magnetic resonance imaging, or fMRI, showing that Sharon's brain behaves differently when he is presented with familiar sounds and pictures than with unfamiliar stimuli.

"It suggests the brain has the capability to react," said Dr. Fatta Nahab, neuroscientist at the University of Miami, who is not involved in Sharon's care. "What that means in terms of long-term outcomes is indeterminate."

FMRI lets scientists see changes in blood flow in the brain, which is associated with neuronal activity. It does not measure the actual activity, but can provide clues that some areas are still functional.

How such results should be interpreted, and if there's any connection to a potential recovery, is not known.

Doctors compared Sharon's brain responses when he viewed photos of random houses to when he was shown a photo of his own house. They observed a different response in the brain in conjunction with the familiar place than for the other images.

Sharon, 84, also showed distinct brain activity patterns when his family members spoke to him, compared to when their voices were distorted so they were no longer familiar and sounded like gibberish.

The brain response for a family member's voice was in "the correct location" for when a cognitively normal person hears familiar people speaking, said Dr. Ilan Shelef, head of Medical Imaging at Soroka University Medical Center, who was involved in the fMRI tests but is not Sharon's attending physician.

Such results suggest there may be some higher processing of information going on, and that areas of the brain important for processing complex stimuli are still functioning, said Dr. Keith L. Black, chairman and professor in the department of neurosurgery at Cedars-Sinai Medical Center, who is not involved in Sharon's care.

It is not proof that Sharon is conscious of the familiar sounds and images, and recognizing them as a fully healthy person would, he said.

Because doctors had not given these tests to Sharon previously, it's unclear whether this represents an improvement.

CNN has reported since 2006 that Sharon has been in a coma since suffering a massive stroke that year. The longer a person is in a coma, the less likely he or she is to recover, Nahab said.

Shelef said that Sharon is not in a coma or vegetative state, and is somewhere between a coma and consciousness. He sleeps, wakes up, eats and swallows on his own, and his eyes open and close, Shelef said. Shelef declined to comment on Sharon's general health.

There is a continuum between brain death and normal awareness that patients such as Sharon fall into, Black said. The fMRI results suggest he is not brain dead, because areas above the brain stem are showing activity. There are also patients who are "locked-in," and are totally aware of the sights and sounds around them, but cannot move or speak.

Brain-controlled devices may help paralyzed people

For clinical purposes, it appears that Sharon is in a coma, Black said.

"We have seen patients make remarkable improvements after being in a coma for a long time, but the best prognostic indicator is how one does over time," Black said. "Most improvement will occur within the first one to two years."

As Sharon has been in a coma for seven years, the fMRI evidence is positive, but it would be unusual for him to start talking, for example, given how long he has stayed in this state, Black said.

The scientists have likely gotten these new results because, even when a person is in a coma, "parts of the nervous system that are still functioning are capable of learning and capable of changing their activity patterns," said Dr. Daniel Hanley, professor of neurology, neurosurgery and anesthesia at the Johns Hopkins University School of Medicine, who is not involved with Sharon's care.

It's a phenomenon that has been studied and described before, he said.

"Even with severe brain injury, some qualities of the human existence are preserved and we should always treat patients with dignity," Hanley said.

But it's unclear what such brain activity patterns would mean for a patient's future. "We don't understand how these small changes in function are linked to recovery," he said.

If the same fMRI tests are repeated six months and nine months from now to compare activity levels, that would provide some indication of whether Sharon is headed in a positive direction, Black said.

"What you really want to know: Is he improving, and can you extrapolate that improvement out over some period of time to predict how well he's going to ultimately improve to?" he said.

Comatose Sharon moves home for weekend

CNN's Elizabeth Cohen and William Hudson contributed to this report.

@highlight

It's not known how fMRI results relate to patient's recovery from a coma

@highlight

There is a continuum between brain death and normal awareness

@highlight

Most improvement in a patient in a coma occurs within one to two years