PLEASANT GROVE, Utah (CNN)  -- The Supreme Court wrestled on Wednesday with how to handle a small religious group's effort to erect a granite monument in a Utah park, next to an existing Ten Commandments display, in a free-speech case involving competing faiths, politics and social norms.

The U.S. Supreme Court hears a case mixing religion, politics and social norms with national implications.

On one side is Summum, a tax-exempt religious organization that believes in mummification, the rites of transference, and "The Seven Aphorisms," which include the Principle of Psychokinesis and the Principle of Vibration, among others.

Opposing them are the elected leaders of Pleasant Grove, Utah, who control the small patch of public land in question.

At issue is whether such donated monuments on public property represent "private" or "government" speech. A ruling from the justices clarifying the difference would affect municipalities nationwide, as well as a range of expressive memorials, from 9/11 victim tributes to battlefield markers.

"The heart of the question is whether the government may discriminate based on content, and that's a First Amendment question," said Justice Anthony Kennedy.

Local officials in Pleasant Grove want the discretion to decide the kinds of permanent displays that can be erected in the park, because they would claim ultimate ownership and control. Summum, a Salt Lake City-based group, wants to put up a three-foot granite slab on the "Seven Aphorisms of Summum," at their expense.

Necessary permits were denied, so Summum sued, saying it was being discriminated against. A Ten Commandments monument was placed in the park in 1971 by a private group, the Fraternal Order of Eagles.

The justices appeared uneasy with arguments from both sides, posing a range of hypotheticals to explore the free speech limits cities and private groups should enjoy.

"You have a Statute of Liberty, do we have to have a statue of despotism?" said Chief Justice John Roberts. "Or do we have to put up any president who wants to be on Mount Rushmore?"

"Suppose they only accept Democrats who are sculptors," for donated artworks, asked Justice Stephen Breyer, "and they reject all the Republicans?"

The Bush administration supports the Utah town. Deputy Daryl Joseffer told the court that municipal ownership implies control. "It chooses to display it, and then it can do whatever it wants with it. It can move it, modify it, destroy it, drop it to the bottom of the ocean, sell it on eBay."

But Justice David Souter warned about unfettered government discretion to approve or disapprove a particular message. "That is control with a vengeance," he said. "The government says: OK, we'll take the Eagles monument. We will not on identical terms take the Summum monument because we disagree with the message... Why isn't that a First Amendment violation?"

"There is a fundamental difference between opening up a forum, taking acres of a park and saying everybody gets to go in," said Jay Sekulow, head of the American Center for Law and Justice, which is representing the city, "and another situation where the government is clearly controlling it not for a subversive reason."

"But really, in this case, the debates as to whether the policy justifications are a sham are relevant," countered a skeptical Justice John Paul Stevens, "You just put up those monuments that agree with the message."

"Isn't this just government endorsement of this memorial?" asked Justice Ruth Bader Ginsburg.

Summum was founded in 1975 by Summum "Corky" Ra, who said alien visitors -- or "advanced living beings"-- visited him one day after work, appearing hairless and blue and revealing to him the Summum concepts. After spreading the word and launching his legal fight to erect his monuments, Corky died earlier this year.

Classified as a tax-exempt church, the roughly several dozen members of Summum prefer to call themselves a philosophical group. They have no over-arching doctrine or supreme being, but their movement is extensively laid out in pamphlets, on a Web site, and in Internet radio broadcasts.

A 27-foot-tall, 40-foot-wide copper-shelled pyramid sits on the group's one-acre site in Salt Lake City. Scattered about are preserved animals encased in bronze, Egyptian symbols, sofas and candles; bright murals adorn the walls. Off to the side is a large stainless-steel fermentation tank, where alcoholic, sacramental "nectars" or "liquid knowledge" are produced for meditation sessions.

Next door is a building where the rite of mummification is performed. It is a key aspect of Summum, central to the idea, says group leader Su Menu, that "the soul moves forward." Using resins and fiberglass, the lengthy, sophisticated procedures are performed on site, on pets and humans.

Also key are seven principles, or aphorisms. Taking a different path from traditional Christian faith, followers believe Moses first descended from Mount Sinai with the aphorisms instead of the Ten Commandments.

"All we want to do is share what we have with everyone else. I mean, it's not like proselytizing," said the 53-year-old Menu, who is a piano teacher. "Not everyone follows the Ten Commandments, so maybe people are looking for something else, and all we want to do is show them the possibility."

The aphorisms are the seven principles of creation according to the group: psychokinesis, correspondence, vibration, opposition, rhythm, cause and effect, and gender.

Pleasant Grove was founded by Mormon settlers in 1850. With a population of 30,000, it lies between Salt Lake City and Provo and is a bedroom community for both. A centerpiece of the town is Pioneer Park, where along with an old schoolhouse and wagons, the Ten Commandments monument sits tucked near a 9/11 memorial placed by a local Boy Scouts troop.

"This park is dedicated to the history of the people, the founding of the city, and significant citizens who have lived and contributed to the community," said Mayor Mike Daniels.

The Eagles have erected similar monuments in hundreds of other communities since the 1950s. Daniels says that group's long-standing ties to the community and their continuing charity work were reason enough to allow the Ten Commandments to be displayed.

A federal appeals court ruled for Summum, concluding parks are a "public forum" to which private groups have access under free speech protections. By allowing Ten Commandments displays for decades, the judges concluded, various cities have historically been treating permanent displays on public property as private speech.

Summum says the alternative would be for cities to simply ban all such displays, including the Ten Commandments.

Although the appeals court dealt strictly with the case as a free speech issue, the justices raised concerns about religious freedom and the constitutional ban on government favoring one religion over another.

The Supreme Court has refused to offer a broad rule on religious monuments, taking a more case-specific approach. Ten Commandments displays in public schools were banned in 1980. But the justices in 2005 allowed a 57-year-old Ten Commandments granite monument to stay on the Texas statehouse grounds, where it stands amid a series of nonreligious symbols. A similar display in Kentucky was ordered removed after the high court concluded it violated the separation between church and state. Unlike Utah, those cases involved efforts to remove the monuments.

Then-Chief Justice William Rehnquist noted there was "no exact formula" to determine when such a display crosses the constitutional line. The high court is now being asked to adopt such a distinction.

The case is Pleasant Grove v. Summum (07-665). A ruling is expected by June.

@highlight

Religious group wants to place three-foot granite monument in public park

@highlight

Officials in Utah town with Mormon roots have said no to the request

@highlight

Existing monument in same park displays Ten Commandments

@highlight

Town cites right to government discretion; group cites free-speech rights