(CNN) -- Meet the future. Her name is Maya Shaoolian. She is 2 years old.

Maya is just learning the basics of reading and writing, but she's a veteran of technology. She's been using an iPad since she was 1, says her father, Gabriel Shaoolian, the founder and CEO of marketing agency Blue Fountain Media. It's fun for her, he says.

It's also a window into how she'll communicate: with apps and texts and instant images and video.

"She is part of a generation that will know nothing else but 140 characters and 16 seconds of video," Shaoolian said. "She is part of a generation that will never know what a commercial is, because she consumes everything on demand. She wants content when she wants it, and without any interruptions. And it better be bite-size, because that is really all she has time for -- and all her brain processes."

This is not a lament, he hastens to add. Shaoolian says he draws his greatest lessons in technology usage from Maya. In fact, he thinks Maya and her friends will be better at making sense of those tweets and video snippets than, well, us.

"Her generation will be much more efficient communicating and grasping information," he said. "I am certain that she will read between the lines and grasp every nuance, because she has not had to relearn how to communicate or digest information. This is the only way she knows."

Well, OK. But where does that leave the rest of us?

The blur of communications has progressed from letters and e-mails to texts, tweets and Instagram pictures. Long, detailed speeches have turned into clips, then sound bites, then Vines, Snapchat and animated GIFs. Yes, we're adjusting to an image-intensive, brevity-favoring world, a world as close and available as our smartphone.

It's a fast-growing, hugely popular world that rewards short attention spans. Instagram was born in 2010; as of June, it has 130 million monthly active users and 45 million photos posted per day. Vine, the six-second video app introduced by the Twitter folks in January, became the iTunes app store's most popular free download within three months. It had 13 million users as of June, and its most active users post more than 14 Vines per day. Not to be outdone, Instagram launched its own short-video feature in June.

Users of Snapchat, a messaging platform popular with teens, exchange 200 million pictures a day. President Obama's campaign used a Twitter photo to express thanks after his 2012 re-election; it became the most popular tweet in Twitter's history. Danny DeVito sends out photobombing pictures of his "troll foot" at every opportunity. Creative types have used Vine and Instagram to create memes, jokes and art.

All this gives new meaning to the Internet rule, "Pics or it didn't happen."

'All about the visuals'

That's certainly the case with Sam Green, the 25-year-old vice president of RiTE Media Group, an Atlanta-based video production company.

Green only got turned on to Instagram eight months ago, he says, but has been so won over by the app he's practically given up texting or posting written messages to Facebook. The benefits are many, he says: more attention from the public, more convenience for him, more engagement in general.

"It's all about the visuals," he said. "We could post a (text) saying we're on the set with Ludacris or we could post a picture with Ludacris, and that was getting a lot more views. People like to be able to see the proof behind the text. It's a much more honest way to engage for the audience."

He says the company's success has been driven by its Instagram push, estimating that 20% of RiTE's clientele has come through the service.

Nick Teissler, a 19-year-old student at Georgia Tech, is a fan of Vine. For him and his friends, Vine and Snapchat "are bigger than Instagram." Facebook doesn't even enter into the conversation, he says. (Mark Zuckerberg, call your office.)

The Vine videos are an easy way to share humor, he says.

"Humor, kind of expressing frustration," he said. "It's rare to have an informative Vine out there." Instagram, he says with impish disdain, "is more for people who want to express themselves and let people know that they're expressing themselves."

All these services are known for their brevity and convenience. Anthony Jack, a Case Western Reserve University professor whose work crosses the disciplines of psychology, neuroscience and philosophy, likes those details: One of the great benefits of social media, he points out, is the creativity that brevity inspires.

"It encourages people to distill ideas down to their core, and then only the ones that really stick get shared. So it is an effective way of generating incisive commentary," he said.

But he wonders whether something is being lost. It takes more than brief bursts of creativity to actually, well, communicate -- to really understand someone else's perspective.

"Understanding others' experience lies at the core of true moral understanding. It connects us to others and gives us a real appreciation of their motives and beliefs," he said. "So the danger is that social media is making us fall back on what we already understand: our stereotypes and preconceived notions. When social communication is so accessible and immediate, it can also become very shallow."

Remapping the brain

That's been a concern of older generations for, well, generations.

When the telephone started becoming popular in the late 19th century, adults worried that youngsters were using it for flirtation. Television was derided as the "boob tube," and high-minded academics wondered why the promise of education and social uplift had been replaced by "Mr. Ed" reruns.

Now we have these remarkable smartphones, devices with amazing computing and imaging power, and we use them for ... taking pictures of ourselves.

Tammy Vigil, a professor in Boston University's College of Communication, routinely sees it among her students. With the way these photos spread on social media, she looks at it as "sort of an interesting attempt at fame, almost. It's sort of being their own paparazzi. They put out these pictures of themselves, and they hope they get pushed on."

She finds it striking that Snapchat and Instagram express two different attitudes toward social fame. Snapchat, after all, assumes that your image will be quickly wiped. Instagram, however, is presumably forever: "It's almost like a photo album," Vigil said.

Some observers worry that photos may not provide the same nuance as text.

But Dr. Gopal Chopra, a neurosurgeon and the creator of PINGMD, a medical data communication service, notes that the brain is tremendously flexible. It's just a matter of how much effort we put into assessing all that information flying at us, he says.

The nuances we pick up through text we can also learn visually, though it takes time. Think of muscle memory, he says: With enough repetition, the brain can create new pathways for physical tasks. The same is true in going from one medium to another.

"It's plasticity," he said. "We are remapping. And it does take time. But it takes an effort to go from the BlackBerry to an iPhone."

But for those willing to make the effort, the brain can adjust.

"From a neuroscience perspective, the brain is such an underestimated storehouse and synthesis house when it comes to information," he said.

Full circle?

Another grumble is that we're leaving text behind completely and that coming generations will be worse off for it. However, Rob Weiss, a therapist and executive with Elements Behavioral Health, says that's just generational moralizing.

"When I sit down with a bunch of therapists and ask what's going on, they can't help but tell me about worried they are about young people, how young people are going to lose their communications skills, they're going to be unempathetic towards other people, they're going to be narcissistic ... all of this negativity," said Weiss, whose forthcoming book, "Closer Together, Further Apart," is about the effect of technology on intimacy and relationships.

"I think this is generational. This is just like sex, drugs and rock 'n' roll, when our parents were horrified."

Instead, he says, it's simply another turn -- one in which we don't know the results yet.

Besides, it's an evolution that's been going on for, well, generations. In Homer's day, the "Iliad" and "Odyssey" were presented orally. Then we transitioned to the printed word. Books eventually gave way to radio -- another version of the oral tradition -- and then television.

When the Internet appeared, it was back to text. Now, Boston University's Vigil points out, text is giving way to images again -- but that doesn't mean the other forms of communication will go away.

They're all just tools, she says.

"I don't foresee (image services) meaning that we won't text anymore. It think it's going to be more of a balancing act between them," she said.

In the future, who knows? We could be communicating by Google's connected Glass eyewear or by using our tech-embedded clothing.

By then, it will be truly be Maya Shaoolian's world.

"How she gets that information she likes has completely evolved from the way you and I grew up getting it," her father said. "What we're doing now is unthinkable 20 years ago."

@highlight

Messaging has progressed from e-mails to texts, tweets, Vines and Instagram pics

@highlight

Young people, especially, communicate through visuals and short bits of text

@highlight

Professor: Brevity "encourages people to distill ideas down to their core"

@highlight

Neurosurgeon: "The nuances we pick up through text we can also learn visually"