Port-au-Prince, Haiti (CNN) -- An American attorney representing Jean-Claude "Baby Doc" Duvalier said Saturday that the former dictator returned to Haiti in hopes of recovering millions frozen in Swiss bank accounts and channeling them through a U.S. intermediary to help rebuild his troubled homeland.

In the past, Duvalier has attempted to personally claim the $5.7 million in a bank account belonging to a family foundation. But attorney Ed Marger said the highly controversial and polarizing former leader now wants to use the money to help Haiti, devastated a year ago by a massive earthquake.

"He doesn't want the funds for himself," Marger told CNN. "He wants a transparent entity to release the funds."

Marger is working with two other Georgia attorneys -- former Republican congressman Bob Barr and Mike Puglise -- to find a company that could transfer those funds. Marger named business consultants Ernst & Young and Deloitte as two possibilities.

Duvalier stands accused of pillaging Haiti's national treasury during his brutal 15-year rule. Haitian authorities are investigating allegations of corruption and embezzlement but the strongman has not yet been formally charged.

He also could face further charges of human rights abuses committed under his leadership. Amnesty International wants Duvalier to face justice for the alleged torture and killings of thousands of Haitians.

Barr, who represented Georgia's 7th District from 1995 to 2003, and was the Libertarian Party's 2008 presidential nominee, said Saturday that the allegations against Duvalier are just that.

"I deal with allegations all the time," he said. "They are the cheapest commodity on the market."

Barr said he returned to Port-au-Prince for the first time in nearly 30 years because he believed Duvalier is genuinely interested in alleviating Haiti's suffering. He said the Caribbean nation was in worse shape now than it was when Duvalier was at the helm.

"I also am reminded of others who have risen from the ashes," Barr said. "The city of Atlanta is the Phoenix city. The people of Haiti, likewise, will rise from the problems created by last year's earthquake and emerge stronger and better than before. That I know is Mr. Duvalier's deep wish and something that he knows in his heart."

He said the three American lawyers were not involved in Duvalier's legal problems in Haiti. They were there to advise him on international matters.

On Friday, Duvalier spoke publicly for the first time since his unexpected return. He stopped short of apologizing to the Haitian people but said he regretted their suffering.

"The desire to participate at your side in this national reconstruction effort is more important than any of the problems I could face," he said. "The price to pay is not important. The essential (thing) for me is to be with you."

He made no mention of political ambition, though his return at a tumultuous moment in Haitian history has fueled speculation about his real intentions. Haiti's November elections resulted in controversy and have yet to be resolved.

But many people believe Duvalier's actions were motivated not by power but money.

Reviled by some Haitians who remember the despot's lavish lifestyle in the Western hemisphere's poorest nation, Duvalier reportedly lost much of his wealth in his bitter divorce from Michele Bennett in the early 1990s. Marger said Duvalier was living an austere life and was dependent on the generosity of friends and family.

He has laid claim to the $5.7 million in Switzerland but that battle has dragged on for a quarter century.

A new Swiss law that goes into effect February 1 eases the repatriation of the money even if Haiti declines to prosecute Duvalier. However, Haitian authorities must show that the country lacked the resources for legal action or that Duvalier was not within reach.

By making himself available, Duvalier could potentially erase Haiti's right to the funds.

After the earthquake, Duvalier pledged some of the money to the Red Cross for relief efforts. His attorney in Haiti, Reynold Georges, told CNN that Duvalier had already transferred money to the agency.

"There have been media reports for more than a year about a donation from Mr. Duvalier for Haiti earthquake relief, but the American Red Cross has no record of ever receiving any donation from him," said Laura Howe, spokeswoman for the Red Cross.

In any case, she said, the Red Cross is not willing to accept Duvalier's money.

"We simply would not accept a donation from someone accused of taking funds from the coffers of a government entity," she said.

Marger, who has known Baby Doc from childhood, said Duvalier had changed in exile. Marger found the 59-year-old Duvalier to be much more humble than he was when he became president for life at the young age of 19.

"He's a lot more interested in doing something productive," Marger said.

Duvalier set foot on Haitian soil after 25 years in exile. He came back to nation struggling to recover from the earthquake's destruction, a cholera epidemic and political chaos.

It's unclear what his presence in Haiti will mean for its future.

CNN's Kimberly Segal contributed to this report.

@highlight

Duvalier is seeking advice from three U.S. lawyers, including former U.S. Rep. Bob Barr

@highlight

The lawyers say the former dictator wants to claim money frozen in Switzerland

@highlight

They say he wants to use the funds to help rebuild Haiti

@highlight

Duvalier is accused of siphoning the money from national coffers