(CNN) -- Even though urinary incontinence affects about 25 million Americans and there are many treatment options to improve symptoms, talking about the often unexpected and always urgent need "to go" is still taboo, even with your doctor.

In my own practice, I see patients who have been living in a constant state of anxiety about their urinary incontinence, mapping out restroom locations for every trip outside their home. It is not uncommon for my patients to avoid wearing light-colored clothing or to carry an extra set of clothes in their car.

Many times, patients don't realize that the issue could have been treated in its earliest stage, before it controls their life.

There are five common misconceptions that keep patients from speaking with their doctors about their loss of bladder control. It's time we dispel these myths.

Myth: I'm the only person with incontinence.

The 24.999999 million other Americans with incontinence would disagree with you. Most individuals with incontinence fall into one of two categories:

â€¢ Stress urinary incontinence: leakage of urine when you laugh, cough, exercise, etc. It usually results from weakened pelvic floor muscles.

â€¢ Urgency urinary incontinence/overactive bladder: loss of urine associated with a sudden and uncontrollable urge to urinate. It can be "idiopathic," meaning there's no underlying cause, or it could result from a neurologic disorder.

Talk to your doctor about your symptoms. Occasionally, loss of bladder control is the first noticeable symptom of a larger problem like multiple sclerosis or pelvic organ prolapse.

Myth: It's irreversible.

The goal of speaking with your doctor is to regain the bladder control you once had and restore your quality of life. In many cases, this is a reasonable objective.

When preparing for this appointment, be sure to describe in detail any other conditions you have as well as all of the medications you take. This can affect the treatment plan your doctor develops for you. You may even want to keep a log or a diary as to when, how much and under what conditions you leak. This will help your physician get a good snapshot of your daily life.

Myth: It's a 'normal' part of aging.

Although loss of bladder control is commonly associated with aging, it is not an inevitable part of the aging process. Although it is more common in women older than 40, incontinence can happen to anyone -- men or women, young or old.

Too often, I have had patients who thought that treatment wasn't an option because of their age. This is not the case.

If you happen to lose urine every time you sneeze, or if you suddenly have an uncontrollable urge "to go" when you turn the faucet on to wash the dishes, consider talking to your doctor about your symptoms. This is not "normal," regardless of your age, and a doctor can help you manage this condition before it gets worse.

Myth: Medications are your only option.

This is not the case at all. In fact, treatment options can range from the most basic lifestyle and behavioral changes, medications, interventional therapies such as Onabotulinumtoxin A, medical devices like neuromodulation or surgery. No two patients are the same; some may need instructions on behavioral changes to improve their control while others may need a combination of therapies.

Myth: It's annoying but not serious.

Incontinence is an inconvenience. However, the seriousness of this condition is measured by the level of undue stress it causes a patient -- and the negative impact it has on your quality of life and those in close contact with you.

Talk to your doctor in the early stages, before you become a prisoner to your bladder.

@highlight

Urinary incontinence, the uncontrollable urge to "go," is still taboo for many people

@highlight

Incontinence affects about 25 million Americans

@highlight

Treating incontinence early can help, doctor says