(Health.com) -- If you're genetically predisposed to be overweight, the amount of sleep you get each night could make a big difference in how influential those genes are, a new study suggests.

After analyzing the sleep habits and body weight of 1,088 pairs of twins, including genetically identical ones, researchers concluded that people who get plenty of sleep -- at least nine hours per night -- have more control over their weight through their behavior than people who sleep less.

Among twins who slept less than seven hours per night, genes accounted for 70% of the differences in body mass index (BMI), while so-called environmental factors, such as diet and exercise habits, were responsible for just 4% of the differences.

The pattern was reversed among twins who slept nine or more hours per night. In this group, environmental factors accounted for 51% of BMI differences and genes accounted for just 32%.

Health.com: How much sleep do you really need?

Getting adequate sleep, in other words, appears to dampen genetic risk and allow the influence of diet, exercise, and other controllable lifestyle factors to "surface," the researchers say.

"The less you sleep, the more important genetic factors are to how much you weigh," says lead author Nathaniel F. Watson, M.D., co-director of the University of Washington Medicine Sleep Center, in Seattle. "The longer you sleep, the greater the influence of environmental factors like meal composition and timing."

Previous research has found that too little sleep is associated with a higher BMI, but many of those studies haven't been able to entirely rule out the possibility that genes, or complicating factors such as sleep disorders, are partly responsible for the link.

Twin studies, by contrast, allow researchers to tease out the complex relationship between genes and environment. Identical twins share the exact same DNA, so most differences in weight can be attributed to environment rather than genes. And fraternal twins, though genetically dissimilar, tend to share the same background and risk factors. (All of the twins in the study, both identical and fraternal, were raised in the same household.)

Health.com: 7 tips for the best sleep ever

The new study, which appears in the journal SLEEP, suggests that "the amount of sleep you get has an effect on your gene expression," says Michael Weissberg, M.D., a sleep specialist and professor of psychiatry at the University of Colorado School of Medicine, in Denver.

Researchers have identified more than 20 genes that are linked to obesity risk through their effects on appetite, blood sugar (glucose) metabolism, and other channels, but it's not clear which specific genes were at play in the study.

"Based on previous research, it's probably related to glucose metabolism, metabolism in general, inflammation -- all pathways that we already know are associated with obesity," Watson says.

Health.com: Surprising health benefits of sleep

Sleep deprivation puts stress on your body, and that stress could help explain the relationship between sleep and gene expression seen in the study, says Carl Boethel, M.D., director of the Sleep Institute at Scott & White Healthcare, in Temple, Texas.

"When you are constantly depriving yourself of sleep, you are keeping yourself in a state of stress, and the genes that encode for that stressful environment start saying, 'I need to hold on to calories,'" Boethel says.

The study doesn't answer the question of whether you can "sleep yourself thin," Watson says, but it does highlight the importance of adequate sleep to overall health.

"We spend so much time in this country trying to keep our weight down with diet and exercise, but we never think about sleep," he says. "I think of sleep as the third leg on the stool of good health, along with diet and exercise."

Copyright Health Magazine 2011

@highlight

Researchers analyzed the sleep habits and body weight of 1,088 pairs of twins

@highlight

Genes accounted for 70% of BMI differences in twins who slept less than seven hours

@highlight

More sleep allows for environmental factors like exercise and diet to surface