Washington (CNN) -- A year after Mexican trucks were first permitted to conduct long-haul operations in the United States, so few trucks have signed up for the pilot program that government auditors fear they won't be able to complete a congressionally mandated study of the program's safety.

Only six Mexican trucking companies -- most with a single truck -- are participating in the program thus far, with some 24 other companies under review. As of July, Mexican trucks had made fewer than 100 long-haul trips into the United States.

Unless the number of participating trucks increases significantly, the Department of Transportation's inspector general says, the department will not have the data needed to determine whether Mexican trucks present a danger on U.S. highways.

The low participation seemingly belies critics of the North American Free Trade Agreement, or NAFTA, who feared the agreement would unloose thousands of Mexican trucks on U.S. highways, displacing American trucks and endangering American lives.

But opponents of the program attribute the low participation to other factors, including bureaucratic roadblocks to participation, the trade imbalance and a reluctance by Mexican companies to join a temporary program. The opponents say they remain fearful that the program ultimately will hurt American trucking jobs.

Further, they said the inspector general's report confirms fears the U.S. government will not hold Mexican trucks and truckers to the same safety standards as their U.S. counterparts.

"The Inspector Generals report pretty much has confirmed everything that our organization has contended since Day One," said Todd Spencer of the Owner-Operator Independent Drivers Association. The Federal Motor Carrier Safety Administration (FMCSA) has applied a "double standard" to Mexican operations, he said.

The report says FMCSA auditors allowed Mexican drivers to respond in Spanish to test questions, and that some Mexican drivers were unable to explain the meaning of signs labeled "Railroad Crossing" and "Wrong Way." And one FMCSA auditor did not investigate why one Mexican trucking company submitted a report containing incomplete drug and alcohol tests.

The FMCSA said it has taken steps to address problems uncovered by the inspector general. It now requires English responses to questions about traffic and road signs, and requires testing of all 21 signs used in the test.

"Safety is our first priority, and we will continue to look for ways to improve our program," the agency said in a statement to CNN. "The agency has already incorporated several important safety recommendations from the Office of the Inspector General."

As for program participation, the FMCSA said it is working with the Mexican government to provide program information to other trucking companies.

"The agency recognizes that statistically valid results will require much broader participation," the FMCSA told the inspector general.

Under the program, approved Mexican trucks are allowed to carry Mexican goods throughout the United States -- well beyond the commercial zone in border states where they previously had to off-load.

Before receiving permanent long-haul authority, participants must go through a series of inspections and safety evaluations. The program is not open to hazardous material trucks or passenger carriers.

To date, the Department of Transportation says, none of the participating Mexican carriers has had a reportable crash in the United States since joining the program.

Supporters of the program blame the low participation on the temporary nature of the program.

"It's a bit of a 'Catch-22' because the Mexican trucks have been yanked around so long they are hesitant to spend the money on a pilot program," said James Clark, director of the San Diego Regional Chamber of Commerce's Mexico Business Center. "I think they are concerned about making an investment in something that might be temporary."

"Many of them say, 'To hell with it. We have enough business in our own country,'" Clark said.

Clark dismissed concerns that Mexican trucks were less safe than U.S. rigs.

"I think it's a jobs concern disguised as a safety issue," he said. "I mean they can frighten people by saying, 'Oh my God, They'll have these old ramshackled trucks (on U.S. roads).'"

But, he said, that trucks "have to pass the exact same safety standards" as U.S. trucks, and the drivers must be equally qualified.

Mexico outlines details of cross-border trucking pact

@highlight

Just six Mexican trucking companies are participating in the program so far

@highlight

As of July, Mexican trucks had made fewer than 100 long-haul trips into the U.S.

@highlight

U.S. auditors must prepare a congressionally mandated study of the program's safety

@highlight

The auditors fear with so few participants, they won't be able to complete the study