Editor's note: Rep. Charles Boustany is a Republican who represents southwest Louisiana. Before being elected to Congress, Boustany practiced medicine as a cardiothoracic surgeon for 14 years.

Rep. Charles Boustany says Democrats' health care plans don't focus on quality.

(CNN) -- Americans deserve the best health care system in the world -- one that emphasizes quality, but reduces cost, so all Americans can participate.

As a doctor, I saw firsthand the problems many patients face finding a doctor, navigating the system, and paying their health care bills.

Unfortunately, Democrats' plans in Congress fail to focus on quality. House Republican Leader John Boehner, R-Ohio, recently stated that the Democrats were proposing "a government-run nightmare operated by federal bureaucrats." If enacted, their plans would complicate the system and take more money from American pockets -- a nightmare, indeed.

One report estimates more than 100 million people could drop their current health care coverage if the plans were open to all employers. One reason cited for the drop in current coverage -- businesses no longer offering private coverage -- would contradict the president's promise to allow Americans to keep their current coverage, if they like it. Imposed employer mandates could cost 4.7 million people their jobs.

All of this means that many people who like their current health insurance might not be able to keep it and be forced into a new system, including a government option with lower reimbursement rates that might discourage their current doctor from continuing to treat them.

Just as a doctor has the obligation to be honest and straightforward with their patients, Democrats in Washington must inform the public of the impact their plans will have on current insurance and the exact costs. As the economy struggles to recover, Americans are rightfully concerned about the potential cost of health reform, as shown by a recent CNN survey. Before we know how much it will cost and how it will affect those currently with insurance, we cannot have an open and honest debate on the merits of any proposal.

While the House bill remains unscored by the Congressional Budget Office, health overhaul plans being crafted by Senate Democrats will likely cost more than $1 trillion over 10 years and could fail to cover millions of Americans. As a doctor, I know there is a better way to help all Americans achieve meaningful health care access.

The president's proposed cuts in health care spending will result in limited treatment options for patients, and by shifting the burden of debt to the next generation of Americans, our children will be the ones helping to defer the outrageous costs.

With our government's inability to maintain the Medicare and Medicaid programs that we currently fund, how much deeper can the hole get? The Government Accountability Office refers to Congress' failure to face Medicare's monetary difficulties as a "leadership deficit." Even some Blue Dog Democrats are asking if funding a new plan is even possible if the government cannot solve the funding problems of the current plans.

Patients in these programs continue to be denied access to a doctor in many communities. A few months ago, I received an e-mail from a Medicaid patient diagnosed with a brain tumor. Doctors told her that she would likely be put on a six-month waiting list for brain surgeons currently serving Medicaid patients.

For timely care, she had to borrow a neighbor's car, secure child care for her autistic child and drive four hours to a hospital in Shreveport, Louisiana. Patients in government-run plans obviously deserve better than this, so is this new government-run plan going to be any better?

Republicans will give all Americans the liberty to select the plan that works best for them and let those who like their health care coverage keep it. We pledge to make quality health care coverage more available and less expensive, including those with pre-existing health conditions. We want to protect Americans from losing their current health coverage because an employer drops private coverage for a government-run program.

This plan should also improve American lives through effective wellness, prevention and disease management programs, while finding innovative treatments for life-threatening diseases. We will ensure that medical decisions are made by patients and their doctors. By lowering costs and building more personalized plans, we can help more Americans develop a meaningful doctor-patient relationship.

President Obama stated that "if you like what you're getting, keep it. Nobody is forcing you to shift. No one will take it away, no matter what." This rhetoric sounds comforting, but fellow Democrats don't seem to share his view -- as evidenced by their proposed bill.

Some Democrats are completely unwilling to reach across the aisle. Sen. Chris Dodd, D-Connecticut, said, "My goal is to write a good bill; my goal is not bipartisanship." Other Congressional Democrat members were told "explicitly not to work with Republicans." Moderate House Democrats even recently complained in a letter to several committee chairmen about being left out of any meaningful discussions on health-policy changes.

Health reform should be open and transparent. No matter what party weighs in on the issue, Americans must fully comprehend the complicated decisions we face, and also understand how these new decisions will affect them. Leaders need to compromise, negotiate with members of both parties and ideologies, and reform health care the right way -- by developing a strong plan that encompasses the needs of all Americans.

The opinions expressed in this commentary are solely those of Charles Boustany.

@highlight

Rep. Boustany: Many Americans could lose current health plans

@highlight

He says they could wind up in government system without current doctors

@highlight

Boustany: Plans could burden next generation with enormous cost