Washington (CNN) -- An entire class of statin drugs will get new labels that alert the public to safety concerns, the Food and Drug Administration announced Tuesday.

Statins, which treat cholesterol, now will come with labels that include a warning that the drugs, taken by almost 32 million Americans, can cause memory loss and confusion. The FDA says reports in general have not been serious, and the symptoms subsided when patients stopped taking the medications.

The new labeling will also warn doctors and patients that statins can cause hyperglycemia, an increase in blood sugar levels and increase the risk of Type 2 diabetes.

The FDA will no longer recommend routine and periodic monitoring of liver enzymes of patients taking statins. Instead, it said liver enzyme tests should be performed before a patient starts taking statins, and then only when clinically indicated. That's because according to the FDA, serious injury to the liver is rare, and routine monitoring doesn't detect or prevent it. The new label will tell patients who experience fatigue, loss of appetite, dark urine, upper stomach pain or jaundice to notify their doctor immediately.

There also will be a label change specific to lovastatin (Mevacor). Certain medicines interact with this particular statin, increasing the risk of myopathy, or muscle damage. The agency says some drugs should never be taken with Mevacor including protease inhibitors, a class of HIV drugs and certain drugs used to treat bacterial and fungal infections.

"We want healthcare professionals and patients to have the most current information on the risks of statins, but also to assure them that these medications continue to provide an important health benefit of lowering cholesterol," said Dr. Mary Parks, in the FDA's Center for Drug Evaluation and Research.

Statins are used to prevent and treat atherosclerosis, the build up of plaque on the inside of blood vessels causing them to become thick and hard. The result can be heart attacks and stroke. Statins help lower low-density lipoprotein cholesterol, or "bad" cholesterol. The products that will have these label changes include Lipitor (atorvastatin), Mevacor (lovastatin), Crestor (rosuvastatin) and Zocor (simvastatin). Labels for combination statin products like Advicor, Simcor and Vytorin will also change.

In a statement, Pfizer, maker of Lipitor, one of the top-selling prescription drugs in the world told CNN: "The announcement today by the FDA provides additional information to physicians and patients regarding statins including Lipitor (atorvastatin calcium). The class labeling is based on FDA evaluation of all statin labels, entry of new interacting drugs on the market, and a review of clinical data and post marketing reports. Lipitor has been supported by a wealth of clinical research and real-world experience and has been studied in more than 400 ongoing or completed trials, including more than 80,000 patients and is backed by more than 19 years of clinical experience and more than 200 million patient-years of experience."

Amy Egan, deputy director for safety in the FDA's Division of Metabolism and Endocrinology Products, says the agency looked at the adverse events reported to determine the scope of the problem. They can't say what caused the memory loss and confusion, but it seems to be a class effect and a rare event.

"When we looked at these reports they ran the gamut -- memory loss, memory impairment, confusion -- and they were occurring anywhere from one day after initiation of the statin to years after initiation." Egan said. "We could not identify if it was age specific because it was across a range of age groups. We did not see it occurring as a drug interaction, where patients were also taking other medications that were reacting with the statin to cause the confusional state. But we really want to get the message out there that we do not consider this a major problem, and certainly it does not outweigh the tremendous benefits of statin therapy."

James Howard, director of the Lipid Clinic at MedStar Washington Hospital Center in Washington, DC, says the new changes are a real step forward. He says the concern over an increased risk of diabetes is valid but not a reason to shun statins.

"The diabetic has a significant increased risk for heart disease, and the most clearly demonstrated therapy that will affect that is to control their cholesterol and their blood pressure," Howard said. "Statins are very important in diabetics to reduce their risk of heart attack and stroke. So the benefit they will receive in that reduction in risk far outweighs the risk of developing diabetes. It's a small risk, but it's a lot of people."

@highlight

Nearly 32 million Americans take statins, a cholesterol drug

@highlight

Labels will warn of hyperglycemia, increased blood sugar, risk of Type 2 diabetes

@highlight

The drugs may also cause memory loss and confusion