(CNN) -- As Apple enthusiasts speculate over why pancreatic cancer survivor Steve Jobs won't appear at Macworld Conference & Expo this year, the CEO asks them to think differently about his health.

Apple CEO Steve Jobs delivered keynote addresses in September 2008, left, and in October 2005, right.

Addressing the "Apple Community" in a statement, Jobs said his doctors think they have found the reason behind his weight loss: "a hormone imbalance that has been 'robbing' me of the proteins my body needs to be healthy. Sophisticated blood tests have confirmed this diagnosis."

But doctors unaffiliated with Jobs' care say this "hormone imbalance" could be a symptom of a slew of underlying conditions, including cancer or diabetes. However, any diagnosis based on this description and Jobs' cancer history is purely speculative, experts say.

Based on Jobs' history of gastrointestinal problems, it's possible his gastrointestinal system either isn't absorbing proteins or is losing proteins, said Dr. Kenneth Burman, director of Endocrinology at Washington Hospital Center in Washington, who is not involved in caring for Jobs.

"I suspect he's referring to his gastrointestinal system and some of the hormones related to that, rather than more classic endocrine hormones," which are associated with the thyroid, adrenal or pituitary glands, Burman said.

While abnormalities related to those hormones may also lead to weight loss, they are not necessarily associated with pancreatic disease, he said. There is not enough information available to say how severe a gastrointestinal hormonal problem would be, he said.

Others speculate the hormonal issue could relate to his cancer. Dr. Jeffrey Mechanick, clinical professor at Mount Sinai Medical Center, said a tumor in the pancreas would typically create an overproduction of hormones. Glucagon, a hormone produced in the pancreas, would lead to weight loss if produced in excess.

"In a patient whom a few years ago had pancreatic cancer, then progressive weight loss, then develops complications from the weight loss, it would be logical to associate his symptoms now with the previous cancer," he said.

But the weight loss is not necessarily cancer-related, and Jobs' statement suggests that it's not, said Dr. Andrew Lowy, chief of the division of surgical oncology at the University of California, San Diego's Moores Cancer Center. Plenty of hormonal conditions, as well as diabetes related to cancer treatment, could be the reason, he said.

Jobs, who co-founded Apple Inc., first learned he had pancreatic cancer in October 2003. He had been getting abdominal scans because of a history of intestinal problems, and a tumor appeared on one of them, Fortune reported last year.

The growth was an islet cell neuroendocrine tumor, a rare form of pancreatic cancer that is operable, Fortune reported.

While Jobs initially wanted to treat the tumor with a special diet and alternative therapies, he finally underwent a Whipple procedure, a painful but relatively safe operation, in July 2004, Fortune reported.

If Jobs had a recurrence of this tumor, and it was a functional neuroendocrine tumor, which produces problem-causing hormones, that would be one speculative explanation, Lowy said. But not enough information is available to say whether the tumor was the functional kind, he said.

"Is it possible that a cancer recurrence would result in weight loss? Of course. He's saying that's not what he has, and so, I have to take him at his word. None of us know the truth except his doctors," Lowy said.

Rumors about Jobs' declining health have been circulating for months, as his weight visibly dropped from one public appearance to the next.

While Jobs' keynote address at the Macworld Conference & Expo is usually the highlight of the Apple fan gathering, Apple announced in December Jobs would not appear this year and the company would no longer participate in the event after 2009.

CNN's Danielle Dellorto contributed to this report.

@highlight

Doctors: Jobs' "hormone imbalance" could refer to several health conditions

@highlight

Cancer recurrence could explain weight loss

@highlight

Hormonal imbalance related to thyroid, pituitary or adrenal glands also possible

@highlight

Jobs will not appear at Macworld this year