(CNN)Bernie Sanders, my Vermont senator and, indeed, a friend of many years, is now running for president.  He noted at his announcement (with a familiar note of wise irony):  "People should not underestimate me."

To most Americans, of course, Sen. Bernie Sanders is only a name, if that.  He is barely known to the general public, which makes him a very long shot indeed to win election to the highest office in the nation.

Those who follow politics a little more closely will possibly think of him as some left-wing kook that only the most liberal state in the union would ever dream of electing to the Senate, as we did in 2006.  Let me add this, as someone who has followed him closely (and with admiration) for a long time:  When people stop to listen to Bernie, they realize that -- whether or not they agree with his ideas -- he is, without a question, an authentic voice who speaks without fear.

And nobody should underestimate him.

I remember when Bernie was mayor of Burlington; it is the largest city in Vermont (which isn't saying much).  I met him then, and his voice struck me as something not quite heard before.  He spoke with a throaty Brooklyn accent, and he was Jewish -- not your typical Vermonter.

He served as mayor of this progressive town on the shores of Lake Champlain with remarkable energy for many years, listening closely to what people had to say, learning about politics at the local level, making a real difference in the daily lives of hard-working people.

He was never a Democrat -- and isn't yet.  He's a progressive, holding his seat in the U.S. Senate as an independent, although he votes with the Democrats on major issues.

When Bernie decided to run for Jim Jeffords' seat in the House of Representatives in 1988, many considered him a long shot.  I remember hosting a fundraising event at my farmhouse, where Bernie held the floor for almost two hours, answering questions with a forthrightness that stunned those who had never encountered in person his fierce, funny, entertaining, passionate voice.  Bernie won that seat, again and again.

Make no mistake about this:  Vermont isn't just a rainbow-colored state full of ex-hippies and leftists in berets.  It's an agricultural economy, and Bernie has understood this well.  He has thoughtfully supported Vermont's dairy-farming community over many years.  He has also been a strong supporter of Vermont's hunting culture -- much to the annoyance of many on the left, who wonder why the NRA doesn't attack him.

I was never prouder of Bernie than during the run-up to the invasion of Iraq.  He was a singular and somewhat lonely voice in the House, strongly opposing the 2003 invasion.  He saw vividly that this was the worst foreign policy move in American history, one with endless repercussions.

He was especially outraged by the outing of former CIA spy Valerie Plame in 2006 by an official from the Pentagon, and he suggested in several fiery speeches that is was time for a serious investigation of how we got into the Iraq War in the first place.

This was typical of Bernie: The clear voice in the midst of the crowd, the man who says no when somebody needs to say it loudly.

So what would it look like if, by some bizarre chance, Bernie caught fire and became President?

He would certainly work hard for universal health care, which has been a passion of his.  I've heard him rail against the efforts of insurance and drug companies to undermine a system -- the single-payer system -- that has worked well throughout Europe for decades, reducing the costs of health care and actually improving it as well.

He would not be Wall Street's best friend.  Indeed, he didn't support President George W. Bush in his efforts to bail out the bankers, and wrote an open letter to Henry Paulson, the U.S. Secretary of the Treasury, protesting that bailout.  Famously, on December 10, 2010, he gave an eight and a half hour speech on the floor of the U.S. Senate opposing the reinstatement of Bush-era tax cuts, a vivid piece of rhetoric worth looking at closely by anyone who wants to understand Bernie's views.

He is a socialist, of course.  How many American politicians have ever said this aloud?   And what does he really mean by that term?

Bernie knows what he's doing.  By proclaiming himself a socialist, he is drawing attention to the fact that large corporations and banks, many with international bases, have controlled American public policy for a very long time, usually to the detriment of working people.

And it's working people who seem mostly to interest Bernie Sanders.  He has been one of only a few voices in the Senate in the past decade who has consistently pointed out that extreme right-wing factions funded by "millionaires and billionaires" (one of Bernie's favorite mantras) have held sway over American politics for as long as anyone can recall.

And this sway has usually operated to the detriment of people who actually repair roads, serve meals, deliver the mail, drive trucks and teach in schools.

As president, Bernie would also stand up against those who wish to deny climate change.   Indeed, Bernie co-sponsored with Barbara Boxer the Global Warming Pollution Reduction Act of 2007.   He has, for years, been a tireless advocate for the environment, aware of how its degradation has deeply hurt working people at home and abroad.

But does he actually have the slightest chance of winning the Democratic nomination?  And if he won it, could he defeat a Republican candidate with billionaires at his or her disposal?

He's not crazy.  In fact, he's probably the sanest person in the presidential sweepstakes.  But he can't win, and he knows that.  What he will do, however, is move Hillary Clinton on matters of importance to progressives: The restraining of Wall Street and large corporations, the scandal of how America allows its political campaigns to be funded  and the welfare of working class Americans, who seems pathetically easy to persuade -- again and again -- to vote against their own economic interests.

A steep climb looms before him.  But I applaud Bernie Sanders.  I hope he soars and that his brave and commonsensical voice is heard.

@highlight

Jay Parini: Bernie Sanders, who is running for President, is a liberal long shot, but he's also a populist truth-teller who speaks without fear

@highlight

He says the Vermont senator could help move Hillary Clinton to left on progressive issues