(CNN) -- The latest annual U.N. climate change summit begins Monday in Warsaw. The talks will see some 200 nations try to make progress toward securing an important new comprehensive global treaty in advance of a 2015 deadline.

The summit, which is unlikely to bring a truly decisive breakthrough, will generate massive international attention -- but the reality is that the new frontline in the battle against global warming is at the national rather than global level.

This fundamental shift in the center of gravity of the climate change debate is one that few have yet to recognize. Yet it has game-changing implications, not least for how best to secure a comprehensive global deal by 2015.

In stark contrast to the snail's pace of progress in U.N. talks, domestic and sub-national laws and regulations to address climate change are being passed at an increasing rate. In 2012 alone, 32 of 33 surveyed countries (which account for more than 85% of global greenhouse gas emissions), including the United States and China, have introduced significant climate or energy-related legislation and regulation, according to a recent GLOBE International report.

This shift is a key part of a wider transformation taking place. Previously, much of the political debate on global warming has been framed around narratives of sharing a global burden -- with governments often trying to minimise their share.

Now, many legislators view the issue as one of national self-interest, and growing numbers of nations are trying to maximize the benefits of climate change measures. In recent years, countries across the world, from Mexico to the UK to South Korea, have passed comprehensive measures.

The GLOBE study shows that developing states have been especially likely in recent years to conclude it is in their national interest to reduce greenhouse gas emissions by embracing low-carbon growth and development, and to better prepare for the impact of global warming. They see that expanding domestic sources of renewable energy not only reduces emissions but also increases energy security by reducing reliance on imported fossil fuels.

Reducing energy demand through greater efficiency reduces costs and increases competitiveness. Improving resilience to the impacts of climate change also makes sound economic sense.

Far from undermining the U.N. talks process, this bottom-up approach could be the decisive development which helps secure a new comprehensive global deal by 2015. Advancing domestic measures on climate change and experiencing the benefits of reducing emissions are crucial building blocks that may help create the political conditions to enable an agreement to be reached.

As game-changing as these national developments are, they are as yet insufficient to avoid warming of more than 2 degrees Celsius in coming decades, compared to pre-industrial levels -- the amount most experts agree is needed to avoid "runaway" climate change.

Nonetheless, the national legal and policy frameworks to measure, report, verify and manage carbon that are now being created could potentially be ratcheted up, especially as governments experience the benefits of lower energy use, reduced costs, improved competitiveness, and greater energy security. As this happens, the goal must be to translate such progress into a comprehensive, global deal.

It remains in the balance at this stage whether such a broad-ranging agreement, with the necessary ambition, will be reached by 2015 unless more domestic frameworks are in place in key countries. Sound domestic actions enhance the prospects of international action, and better international prospects enhance domestic actions.

Given this uncertain outlook, and as difficult negotiations in Poland approach, a key danger is that some countries might lower their long-term ambitions and perhaps even harden their stances in dealing with others. This would be ill-timed.

Indeed, with 2015 approaching now is the time for countries to invest even more in climate diplomacy and practical fast international cooperation. In so doing, they will help expedite conditions on the ground that could make the difference between a comprehensive global treaty being reached, or not, in the next 24 months.

GPS BLOG: Why world can't agree over climate change

The opinions expressed in this commentary are solely those of Andrew Hammond.

@highlight

On November 11, around 200 nations will meet at the U.N. climate change summit in Poland

@highlight

Andrew Hammond: The battle against global warming is at the national rather than global level

@highlight

He says laws and regulations to address the problem are being passed at an increasing rate

@highlight

Although the 2015 deadline is unlikely to be reached, now is the time to act, writes Hammond