When the planes struck the World Trade Center on September 11, 2001, New York City Police Detective Ernie Vallebuona raced from Staten Island to the site to help look for survivors, along with his fellow police officers.

"It was like a surreal scene. There was a lot of confusion, a lot of smoke," he said. "You couldn't see when you were trying to walk through the smoke to search for survivors. You know, you could barely see your hand in front of you."

Vallebuona spent the next six months at the site. Three years later, he was diagnosed with non-Hodgkin's lymphoma, a cancer of the lymphoid tissue. He underwent extensive treatment, including stem cell transplants, radiation and chemotherapy. He is currently in remission.  He had to drain his retirement savings to pay for medical bills not covered by insurance.

Firefighters responding to 9/11 at increased cancer risk

"Most city workers do have health insurance, but unfortunately a catastrophic illness such as cancer or anything like that, you know, not everything is covered," he explained. "There is a lot of expenses that fly under the radar, you don't realize it until you are getting them and like most police officers I know, you are only maybe like three or four paychecks away from the homeless shelter."

Vallebuona is one of thousands of first responders, volunteers and residents who say they became ill as a result of working or living near the attack site.

"People are terribly sick. People can't support their families. People are having trouble getting by," said Noah Kushlefsky, an attorney who represents Vallebuona and 3,800 other first responders.

"I have clients who have been evicted from homes. I have clients who can't pay their rent, their phones have been shut off, and these people are in desperate need of some assistance so that they can live their lives," he said. "These are people that dropped everything and ran down to ground zero to try and help.  I have clients who volunteered for the Salvation Army, worked in St. Paul's Church. I have a client from Minnesota who was watching TV, got in his pickup truck, drove to New York, and then spent four months on the pile, and he is so terribly disabled that he can barely walk up the stairs and is on oxygen 24 hours a day."

While 9/11 victims and their families received compensation from the federal government in the years immediately following the attacks, those who came in afterward to help with rescue, recovery and cleanup efforts and then became sick have yet to receive such assistance. For years they were caught up in disputes over whether the air at ground zero was really toxic -- the Environmental Protection Agency long claimed it was safe -- and whether the illnesses could be linked to the attack site.

In January 2011, President Barack Obama signed the Zadroga Act, named after New York Police Detective James Zadroga, who died of a respiratory illness after working at the World Trade Center site. The law sets aside money for medical care and $2.775 billion dollars to compensate claimants for lost wages and other damages related to the illnesses. The money has yet to be dispersed, although lawyers and government officials involved in handling the claims expect payments to some who developed respiratory, digestive and other conditions to begin in the next couple of months.

Triple-amputee veteran gets 'smart' home on September 11

Cancer was initially rejected for coverage under the Zadroga Act, but that decision was reversed earlier this year. On Monday, federal health authorities outlined the 58 types of cancer that will be included.

"I think it is way far overdue as far as being added on," Vallebuona said. "Common sense alone tells you that cancer was all along linked."  He went on to list several other police officers he worked with who had gotten cancer.

"What are the odds with all of these people coming down with the same type of, the same exact type of cancer or a linked cancer?" he asked. He said early in his career at the NYPD, he would hear about one case of cancer a year. "Now it's like ... too numerous to even count."

The decision to include cancer has added another layer of complexity to the law's implementation, Kushlefsky said. For one thing, it's possible that some people will not be diagnosed with cancer until years down the road, creating challenges for determining whether the cancer originated because of work at ground zero.  More immediately, adding cancer will undoubtedly mean the $2.775 billion dollars set aside for compensation will be exhausted before everyone is taken care of, meaning that Congress will have to step in to provide additional funds.

Kushlefsky is confident that will happen. "I would be shocked if the federal government decided somebody was sick from being down there, has been damaged in a certain amount, and then decided that they're only going to pay a fraction of it," he said. "I mean, it's pretty obvious that at some point the government's going to have no choice but to fully fund this for all covered illnesses."

Vallebuona, now retired from the NYPD, is grateful his cancer is in remission and a little unsure about whether any money will ever come through.

"You know, it's really an unknown," he said. "I'm not sure what it holds. It's been something they've been talking about for 10 years now, and it's always this little carrot dangling."

And if the money does come through, Vallebuona has no idea how much he could get.

"I'm not even thinking about that," he said. "If I can recoup what I lost alone in terms of co-payments and parking garage bills, I will be a happy man."

58 cancers receive 9/11 fund coverage

@highlight

Zadroga Act set aside funds for those exposed to toxins while working at ground zero

@highlight

A decision on which types of cancer will be covered is expected soon

@highlight

Retired officer Ernie Vallebuona was diagnosed with non-Hodgkin's lymphoma

@highlight

He says he'll "be a happy man" if he can recoup co-payments, parking costs