Washington (CNN) -- It is a lesson from the ages: Lawmakers like to talk.

Even in this advanced age when thoughtlets, capped at 140 characters, are tweeted as discourse, politicians still tend to prattle on.

So here's a cue from Abraham Lincoln: Cut it short.

When Lincoln took the stage, 150 years ago November 19, to offer a dedication at a cemetery for war dead in Gettysburg, Pennsylvania, the story goes that he wasn't very popular. He didn't even have top billing at the event. Lincoln had been asked to "please offer a few appropriate remarks."

He settled on about 200 words.

Obama's no-show at Gettysburg event: snub or smart?

The keynote address was given by Edward Everett, the Massachusetts statesman hailed at the time as one of the nation's greatest orators. Ever hear of him today?

Everett spoke for more than two hours. Lincoln spoke for a little more than two minutes.

"The world will little note, nor long remember what we say here," Lincoln said, ironically; the Gettysburg Address is now regarded as one of the most elegant, thoughtful and well-crafted speeches in American history.

The words are etched in stone next to his statue at the Lincoln Memorial.

150 years later, newspaper retracts editorial panning Gettysburg Address

That's a strong case for brevity. And it's a case Lincoln seems to have learned during the course of his very difficult presidency.

His first inaugural address, at 3,670 words, was delivered as he tried to keep the nation together. It was far longer than either of President Barack Obama's.

But Lincoln's second inaugural address, at 700 words, delivered after years of war, is considered by many to be the best inaugural speech in U.S. history, and is also one of the shortest.

It included one of the most important one-liners in history, with the South beaten but not yet surrendered, and as the nation started a very long and difficult healing process.

"With malice toward none, with charity for all, with firmness in the right as God gives us to see the right, let us strive on to finish the work we are in, to bind up the nation's wounds, to care for him who shall have borne the battle and for his widow and his orphan, to do all which may achieve and cherish a just and lasting peace among ourselves and with all nations."

The shortest inaugural address in history was delivered by George Washington as he entered his second term. This one perhaps goes too far. It was just 135 words and didn't include any talk of policy, just a promise to adhere to the oath of office.

But the longest is a cautionary tale against over-speechifying. William Henry Harrison spoke 8,460 words, caught pneumonia and died a month later.

Fast-forward 150 years from Lincoln's 200 words in Gettysburg. When Obama took to the podium in the White House briefing room Thursday and took a question from CBS News' Major Garrett -- granted, it was a two-parter -- he went on for a full six minutes before Garrett asked a follow-up. The news conference went on for about 50 minutes.

Love the president or hate him, you've got to admit he can talk.

It is hard to imagine a modern-day speech gaining the historical importance of something like the Gettysburg Address.

Ronald C. White Jr. is a Lincoln scholar who has paid particular attention to Lincoln's speeches. He's author of "A. Lincoln," a biography of the 16th president.

Lincoln's great short speeches, he argued, were different from modern-day addresses in a number of ways, not the least of which is the teleprompter.

"Speeches are meant to be said, not read," White said. He feels Obama does better when he engages with an audience, speaking from the heart like when he's campaigning rather than reading from a teleprompter.

"When he does that, I don't think he's nearly as effective as when he doesn't," White said of Obama. "He's more engaged."

Presidents' best phrases are tweetable

He said Lincoln wrote the Gettysburg Address and had it memorized, although he took text out of his breast pocket before delivering it.

Another problem today, according to White: speechwriters.

"It's almost like a committee where everyone involved in the writing process wants to get their points in."

Speeches today also feel too crowded, he said.

"In the second inaugural, everybody expected Lincoln to talk about the policy of the government ... he didn't offer any policies. He gave a speech that offered the moral imperative. The policy would follow later."

We know Obama takes great care in editing the speeches drafted by his speechwriters. There is a remarkable photo of all the revisions in his own hand on one sheet of a 2010 address to a joint session of Congress.

See it here

The Library of Congress has posted drafts of the speech, written in Lincoln's hand, on its website.

See it here

White wishes today that speeches were printed in the newspaper so that people could actually read them and get at what the lawmaker is saying. After he watches a speech on TV, he said, the first thing he does is turn off the TV.

"We don't read speeches anymore," complained White, who is of the mind that instant analysis on TV keeps people from really digesting what was said.

But the largest problem for lawmakers giving speeches isn't a shortening collective attention span or political pundits or teleprompters. It's the lack of trust in politicians and the institutions of government.

"We're cynical," White said. "We're cynical about speeches and about words."

Ken Burns: Learn Lincoln's words by heart

@highlight

Lincoln didn't even get top billing at Gettysburg ceremony honoring Civil War dead

@highlight

Keynoter Edward Everett spoke for two hours at Gettysburg, Lincoln for about two minutes

@highlight

Obama answered a question at a Thursday news conference for six full minutes

@highlight

Modern speeches done by committee show how all writers want to get their points across