(CNN) -- Apple was slow to act against the booming counterfeit industry in China and other Asian countries, according to cables obtained by WikiLeaks.

The technology giant eventually organized a team in March 2008 to curtail the explosion of knockoff iPods and iPhones, according to an electronic memo from the Beijing embassy dated September 2008.

Yet, three years after Apple moved to crack down on widespread counterfeiting and put pressure on China, progress has been slow. Gadget piracy isn't a high priority for the Chinese government, the U.S. reports and experts say.

Members of Apple's recently formed global security team were recruited from Pfizer after they executed a series of crackdowns on counterfeit Viagra production in Asia, the report says.

John Theriault, formerly Pfizer's security chief and, before that, a special agent for the Federal Bureau of Investigation, leads Apple's global security unit. Don Shruhan, who worked for Theriault at Pfizer, is now a director on Apple's security team in Hong Kong.

Shruhan told the Beijing embassy official that his group at Pfizer spent five years planning raids on counterfeit drug rings, the cable says. He said he's "afraid" of the volume of imitation Apple products being produced in China and about the inexperience of Apple's lawyers in dealing with Chinese authorities, the report says.

An Apple spokeswoman declined to comment. A Pfizer spokeswoman, who declined to comment on personnel matters, said the company has a strong global security team to handle the increase in counterfeit medicine worldwide.

WikiLeaks, a group that publishes private government documents, posted tens of thousands of previously unreleased U.S. diplomatic cables last week. The reports from the Beijing embassy detailing Apple's piracy crackdown were unclassified, but many were described as "sensitive" and "not for Internet distribution."

In December, Apple said it removed an application from its mobile store that let people browse WikiLeaks documents from their iPhones "because it violated developer guidelines." The company suggested that the app broke laws or could be harmful to people, but many free-speech advocates cried censorship, as they have in the past when Apple has pulled apps.

The fresh WikiLeaks documents shed new light on Apple's struggles with intellectual-property theft in China, but the subject hasn't completely flown under the radar.

Last month, international news media were rapt after discovering that China is home not only to fake Apple gadgets but also to imitation Apple stores, which had many of Apple's signatures. The Chinese government ordered two of the five unofficial stores to close because they had not secured proper business permits, but a spokesman for China's Kunming government defended the others, saying they sell authentic Apple merchandise, according to Reuters.

Apple owns and operates four stores in China. The three in Beijing and the one in Shanghai are Apple's highest trafficked and top grossing stores in the world, Peter Oppenheimer, Apple's financial chief, said in an earnings call in January.

But the hunger for Apple products is insatiable there. That's why stores have begun to sell the products without Apple's permission, while others are hawking cheaper, lower-quality gadgets that are aesthetically similar and bear the chic Apple logo.

China's Guangdong province, the country's most populous region, has become a hub for manufacturing and selling counterfeit Apple products, two of the newly surfaced cables say. The Foxconn Technology Group, which assembles products for Apple, operates factories in Guangdong.

Workers typically smuggle parts from the facilities in order to make replicas, said Lilach Nachum, an international business professor for Baruch College in New York who travels frequently to Asia. It's the cost of doing business in China, where many American companies go for inexpensive labor and efficient industrial plants, she said.

"Not to go to China is not really an option," Nachum said. "Companies cannot afford to do that. No one can afford to do that."

China's counterfeiting ring is responsible for supplying India with fake Apple products, the 2008 cable says. In raids, Indian officials uncovered shipments that had moved from China through Hong Kong, the report says.

Apple's early plans to go after counterfeiters, according to a cable, involved first targeting offending retailers and street vendors; next, Apple would work with police to raid manufacturing facilities; and finally, the company would pursue online resellers. The plans closely resemble Pfizer's successful strategy, the cable says, citing Shruhan, the Apple director.

"Shruhan said that low-profile retail raids are a good option for Apple, a company that wants to stay away from too much publicity surrounding this issue," the cable says. Theriault, Shruhan's boss, briefed Steve Jobs, then CEO, on the plans in 2008, the cable says.

But Apple is having limited success. In countless stores and at tables setup on streets, merchants purporting to sell iPods, iPhones and iPads at deeply discounted prices are prevalent, said Wini Chen, a student in San Francisco who recently returned from studying abroad in Beijing.

"They'll say, 'Yeah, we have iPad. We'll give you a really good deal,'" Chen recalled from her shopping trips. "If I really want to buy a knockoff Apple product, I could probably do that in 15 minutes."

Chinese officials readily cooperated with pharmaceutical companies on their raids, but that hasn't translated to software, as Microsoft has discovered, or electronics, as Apple is learning, said Nachum, the professor. Whereas a defective pill could cause sickness or death, a shoddy iPod has less dire consequences.

Apple had planned to strengthen its case with the government by arguing that defective batteries could blow up and injure people, and that lost tax revenue could have a significant economic impact, the cable says.

The arguments weren't very effective. China's government declined to investigate a facility in March 2009 that was manufacturing imitation Apple laptops because it threatened local jobs, says a cable dated April 2009. A different arm of China's government scrapped plans for a raid on an electronics mall in the Guangdong province because it could have driven away shoppers, the cable says.

CNN's Katie Glaeser contributed to this report.

@highlight

Apple is faced with mounting counterfeiting of its products in China

@highlight

The company recruited from Pfizer's security team after its success, U.S. cables say

@highlight

Despite efforts, Apple's plans have had limited success