(CNN) -- Investigators are on the verge of solving the last of the Boston Strangler killings of the 1960s, thanks to new DNA tests and a sample secretly collected from a relative of longtime suspect Albert DeSalvo.

DNA taken from a water bottle thrown away by one of DeSalvo's nephews is a "familial match" with genetic material preserved in the January 1964 killing of 19-year-old Mary Sullivan, Suffolk County District Attorney Dan Conley said Thursday.

"This is good evidence, strong evidence and reliable evidence, but it's not sufficient to close the case with absolute certainty," Conley told reporters. DNA from DeSalvo's remains is needed to prove "once and for all" that the onetime handyman was Sullivan's killer -- and perhaps to close other cases to which DeSalvo confessed.

The Strangler killings terrorized Boston from mid-1962 to early 1964. Conley said 11 murders have been attributed to DeSalvo -- who confessed to the killings -- including Sullivan. He also confessed to two additional murders who were not suspected victims of the Strangler.

City of Fear: Photos from the Boston strangler era, 1963

DeSalvo was never charged with the murders. He was stabbed to death in 1973 while serving a life prison term for unrelated rapes.

"There was no forensic evidence to link Albert DeSalvo to Mary Sullivan's murder until today," Conley said. The new DNA match now excludes "99.9%" of the population as suspects, he said -- and now that a judge has approved DeSalvo's exhumation, the DNA match could be confirmed in "a matter of days."

As for the rest of the victims, the developments "give us a glimmer of hope that there can one day be finality, if not accountability," for their families, Conley said.

The news has convinced Sullivan's nephew, Casey Sherman, who wrote a 2001 book in which he argued another man may have been behind the Strangler killings. He said Thursday that he was surprised his aunt's slaying was still being investigated and told reporters, "I go where the evidence leads."

"It's taken 49 years for police to legitimately say they got their man, and they'll probably be able to say that very soon," Sherman said.

He spoke emotionally of the closure the news will bring to him and his mother, Diane Dodd, Sullivan's younger sister.

"It's amazing to me today to understand that people really did care what happened to my aunt, a 19-year-old girl heinously murdered in 1964," he said.

But a lawyer for the DeSalvos told CNN the family was "outraged, disgusted and offended" by the decision to secretly take a DNA sample one of its members, a move she called "unnecessary and creepy."

"They feel victimized by this process," the attorney, Elaine Whitfield Sharp, said. "This was an unwarranted invasion of privacy by a government agency. We have offered them DNA as recently as last year, there was no reason to sneak around to get it."

Conley said scientists tried several times in the late 1990s and early 2000s to isolate DNA evidence from semen found in Sullivan's body and on a blanket. They resumed their efforts last year, after a laboratory successfully salvaged DNA from decades-old material, and found what they believe is the unique genetic profile of Sullivan's killer.

Serial Killers: Fast Facts

Despite an exhaustive search, investigators found no usable samples of DeSalvo's DNA to compare to the material from the crime scene. So Boston Police Commissioner Ed Davis said he had a detective from the police department's fugitive squad shadow DeSalvo relatives until he spotted one of the suspect's nephews throwing away a water bottle.

"That water bottle was tested, and the match came back," he said. "We've been sitting on that information for a while, so that all the reports could come back, and we could put ourselves in a position to petition the court for an exhumation order, so that we can positively close that case up."

The nephew was working at an outdoor construction site when he threw away the plastic bottle, which was retrieved by plainclothes investigators, according to a law enforcement source who spoke on condition of anonymity.

Conley said authorities didn't ask the DeSalvo family for their cooperation, but he defended the secret collection of their DNA as "a fair and legal and ethical method." He said they "did nothing wrong," but "found themselves in the shadow of accusations that could never be fully proven or discounted."

"We would probably have given them a lot of anxiety, perhaps, if we had approached them directly," he said. "If this familial examination pointed us in a different directions, then we wouldn't have even have had to involve them any further."

DeSalvo's brother, Richard DeSalvo, offered blood and saliva samples at that time in hopes of proving his brother's innocence in 2001. Those tests had been unable to find a match between DeSalvo family DNA and the killings, but Conley discounted them Thursday because they weren't conducted by law enforcement.

Sharp said Richard DeSalvo's DNA would have been a closer match than the nephew's, she said. And the family offered samples of Albert DeSalvo's DNA that are in control of an independent forensic scientist, she said.

"They said they would get back to us and they never did," she said. "Instead, they went sneaking around."

CNN's Sheila Steffen and Susan Candiotti contributed to this report.

@highlight

NEW: DeSalvos "outraged, disgusted " by secret DNA collection, their attorney says

@highlight

NEW: "We have offered them DNA as recently as last year," the attorney says

@highlight

DNA from a relative links Albert DeSalvo to the last Strangler victim, Mary Sullivan

@highlight

DeSalvo was never charged in the killings and was stabbed to death in 1973