(CNN) -- Overshadowed by its bigger, flashier neighbors, Paraguay is a curious country that's overlooked by visitors who flock to South American destinations like Buenos Aires, Rio de Janeiro and the highlands of the Andes.

For those who visit nearby nations, though, Paraguay's subtropical forests, broad rivers and unusual history can make it an intriguing detour.

Surrounded by Brazil, Argentina and Bolivia, this landlocked nation is larger than a glance at the map suggests. It's roughly the size of California but has only about 6.7 million residents, at least 3 million fewer than Los Angeles County.

Taste Paraguay's delicious mistake

The Rio Paraguay divides the country into roughly equal halves. Most of the population lives in the eastern half, about a third of them in the riverside capital city of Asuncion. To the west, the Gran Chaco area is a mostly grassy plain, brutally hot in summer, punctuated with marshes, savannas and thorn forests. Thinly populated with ranchers and Amerindians, the west is also home to German-speaking Mennonite colonies near the Bolivian border.

It's tempting to say that Paraguay is unspoiled by tourists, and that would be true; most visitors come from neighboring countries, with whom the nation warred in the late 19th and early 20th centuries. Now, despite ups and downs in the quarter-century since notorious dictator Alfredo Stroessner fell from power, Paraguay has become a more welcoming place.

In the absence of mass tourism, it's a place where closer contact and the lack of preconceptions can lead to memorable, even intimate, experiences at underrated sites. Arrivals from North America or Europe are a relative novelty, to be treated with courtesy and respect.

Here are 14 things to know about this little-known country:

¿Habla usted Guarani?

Paraguay is Latin America's most bilingual country, as nearly 90% of all Paraguayans speak both Spanish and indigenous Guarani.

It is the only country in the region with a large percentage of nonindigenous citizens who speak an indigenous language. There are at least a dozen other native languages, but none approaches Guarani's prevalence.

An evolving capital

Paraguay's sprawling riverside capital, Asuncion, is the hub of its political, commercial and cultural life. Unlike most of South America's capitals, it's a relatively low-rise city where shade is at a premium, except on some lushly landscaped plazas.

It was founded in 1537, and its grid pattern is typical of the earliest Spanish settlements, but there are few remaining colonial buildings. The most notable structures, such as the government palace and the shrine to those who perished in battle, date from the 19th century.

The government's house

Asuncion's counterpart to the White House is the Palacio de los Lopez, a neoclassical building intended for the dynasty that ruled the country for decades in the mid-19th century.

The Lopez family didn't survive the War of the Triple Alliance, when they foolishly took on Argentina, Brazil and Uruguay in a bid to dominate the region. Still, their political successors have occupied the palace ever since.

Shrine to warriors

In downtown Asuncion, protected by an honor guard, the Panteon de los Heroes is a domed neoclassical shrine housing the remains of the figures who led their country into disastrous conflict with neighboring countries.

Started in the 1860s, before the War of the Triple Alliance, it wasn't finished until 1936, after the Chaco War with Bolivia. A couple of unknown soldiers are a token presence.

Picturing diversity

Paraguay has a rich indigenous heritage, not just from its Guarani past and present but also thanks to the smaller but diverse Amerindian populations from the Gran Chaco region that overlaps western Paraguay.

Asuncion's Museo Etnografico Andres Barbero has a strong collection of historic photographs but also displays tools, ceramics and weavings from all regions of the country.

Avant art

In its isolation, Paraguay may give the impression of provincialism, but Asuncion has a lively contemporary art scene showcased at many galleries and the Museo del Barro, which displays avant-garde works by Paraguayan, Spanish and other Latin American artists under optimum conditions (no easy feat in this hot, humid climate).

The museum also features folk art collections from the 17th century to the present and more strictly indigenous artifacts from Paraguay's native peoples.

Spiderweb lace

One of Paraguay's iconic crafts is nanduti, the embroidered lace that probably arrived from the Spanish island of Tenerife.

The word itself, meaning "spiderweb" in the Guarani language, aptly describes the weavers' geometric patterns but not the rainbow of colors that embellish their designs.

Sopa Paraguaya

A common traditional dish, "Paraguayan soup" isn't quite what its name would suggest. Rather, it's cornbread flavored with cheese and onion, among other ingredients. (Check out Eatocracy's recipe.)

Legend says its odd moniker stems from a mistake by 19th-century dictator Carlos Antonio Lopez's cook, who accidentally added excessive corn flour to a more liquid lunchtime dish. Fortunately for the cook, Lopez liked the results.

Terere

Related to the common holly, cultivated on plantations throughout the region, mate (pronounced "mahtay") or "Paraguayan tea" is popular among Argentines, Uruguayans and even southern Brazilians, who imbibe prodigious amounts of their favorite infusion.

Some like it hot, but Paraguayans prefer it chilled in the suffocating summer heat. An early Jesuit missionary claimed that mate "improves the appetite, speedily counteracts the languor arising from the burning climate, and assuages both hunger and thirst."

Villa Hayes

Historically, Latin Americans are skeptical of the United States and its politicians, but Rutherford B. Hayes is a Paraguayan hero. After the 19th-century War of the Triple Alliance against Argentina, Brazil and Uruguay, this otherwise obscure U.S. president awarded the Gran Chaco -- now more than half of Paraguay's territory -- to Asuncion instead of Buenos Aires. Both Argentina and Paraguay sent diplomats to Washington for Hayes' binding arbitration.

Paraguayan President Candido Bareiro renamed the former town of Villa Occidental, across the river from Asuncion, in Hayes' honor. The surrounding county, a school (with a monument) and the local soccer team also bear his name. (In Hayes' hometown of Delaware, Ohio, a gas station occupies the site of his birthplace).

Foundry in the forest

Southeast of Asuncion, recovering subtropical forest blankets the compact and relatively small but verdant Parque Nacional Ybycui.

Ybycui offers creekside trails, waterfalls and droves of metallic blue butterflies. Howler monkeys are harder to spot but easier to hear. The park is also a historical site for the iron foundry destroyed by Brazilian forces in the War of the Triple Alliance, a severe blow to Paraguay's war effort.

Cinematic ruins

Along the easterly Rio Parana, which forms much of the border with Brazil and Argentina, 17th- and 18th-century Jesuit evangelists and their Guarani converts built a string of missions that provided the background for Roland Joffe's award-winning film "The Mission."

Best known of the bunch is Argentina's San Ignacio Mini, but Paraguay's Mision Jesus de Tavarangue and Mision la Santisima Trinidad de Parana, near the southern city of Encarnacion, are almost equally well-preserved ruins. Strictly speaking, Mision Jesus is not a ruin; rather, it was an incomplete construction when Spain expelled the Jesuits from the New World in 1767.

Smuggler central?

Near the "Triple Border" with Argentina and Brazil, not far from the famous Iguazu Falls, Ciudad del Este is a chaos of consumerist commerce.

For street bazaars that barely leave room for a single pedestrian to pass, Brazilian bargain-hunters flock across the bridge for knockoff Rolexes and the like. One local "businessman," though, observed that the regional Mercosur common market could mean that "we will no longer be able to live by smuggling products and will have to begin producing things."

Bruderliebe?

In the vastness of the Gran Chaco, about 280 miles (450 km) northwest of Asuncion via a paved highway, Filadelfia is the administrative center of Colonia Fernheim, a settlement of pacifist Mennonites who arrived from the Soviet Union in the 1930s.

Of the area's several Mennonite colonies, this is the most outgoing, especially if German (preferably Plautdietsch or Low German) is your language of brotherly love.

Wayne Bernhardson is the author of Moon Handbooks to Argentina, Buenos Aires, Chile and Patagonia, and the National Geographic guide to Argentina. He resides in Oakland, California, but spends four to five months every year in southern South America.

@highlight

Paraguay's subtropical forests, broad rivers and unusual history can make it an intriguing detour

@highlight

Nearly 90% of Paraguayans speak Spanish and indigenous Guarani

@highlight

A common traditional dish, Paraguayan soup isn't quite what its name would suggest