Benghazi, Libya (CNN) -- Libyan opposition leaders received a major morale boost Friday when a top U.S. senator made a surprise visit to the rebel stronghold of Benghazi and urged greater American involvement in the bloody campaign to oust strongman Moammar Gadhafi.

The visit from Sen. John McCain, R-Arizona, came a day after the United States said it was deploying predator drones to Libya.

McCain said the drones would increase NATO's capability in the war-torn North African country, but not enough to make up a shortfall in assets needed to break a "significant degree of stalemate."

He said he was against U.S. troops on the ground -- echoing Obama administration policy -- but argued that Western powers need to do more to "facilitate" the delivery of weapons and training for the rebels.

"We have prevented the worst outcome in Libya," McCain told reporters. "Now we need to increase our support so that the Libyan people can achieve the only satisfactory outcome to this mass protest for universal rights -- the end of Gadhafi's rule and the beginning of a peaceful and inclusive transition to democracy that will benefit all Libyans."

McCain, the top Republican on the Senate Armed Services Committee, is a former presidential nominee and decorated Navy veteran. The five-term senator is considered a senior congressional spokesman on military and foreign policy matters.

McCain is the highest-ranking U.S. official to visit Libya since the conflict erupted in February. During his visit, he challenged critics of NATO's intervention to tour Benghazi and see a "powerful and hopeful example of what a free Libya can be."

The senator was greeted by a crowd of roughly 100 Libyans waving American flags.

"Thank you John McCain! Thank you Obama," people chanted. "Thank you America! We need freedom! Gadhafi go away!"

McCain visited Benghazi's Freedom Square, accompanied by, among others, Abdul Hafiz Ghoga, deputy chairman of the opposition Transitional National Council. He paused at a courthouse wall covered with scores of pictures of people allegedly killed by Gadhafi's forces and others who have gone missing since uprisings began.

"The American people support you very strongly, and we know it's necessary to help as much as we can," McCain told a woman who thanked him for U.S. support.

As McCain met with the rebels, miles away in western Libya, a fierce battle continued to rage for control of Misrata, the country's third-largest city. Misrata has been under siege for seven weeks by Gadhafi loyalists.

"Let's face it. This is not a fair fight," McCain asserted. "Maybe we should be doing everything we can to help these people and maybe we're not, and they're dying."

While McCain insisted he would not have gone to Libya without the backing of the White House, a top Middle East analyst told CNN the senator's trip would increase the pressure on President Barack Obama to step up U.S. involvement.

McCain "brings more limelight to the rebels," said Michael Rubin, a Middle East scholar with the American Enterprise Institute, a conservative Washington think tank. "His visit forces some American officials to reconsider their assessment of the rebels."

"The fact that McCain was able to conduct this meeting shows a modicum of organization (among the rebels) and also raises the question: if McCain can meet the people for whom we are fighting, why not Secretary of State Hillary Clinton? Why not Vice President Joe Biden?"

If McCain returns to Capitol Hill and demands formal recognition of the rebel government as the legitimate representative of the Libyan people, it is certain to shift the debate on U.S. diplomatic posture, Rubin said.

If all opponents of the intervention "have done is sit back comfortably in Washington, it will be harder for them to drum up moral authority to back their arguments," he noted.

Asked by CNN to define the U.S. end game in Libya, McCain said he envisions "a departure of Moammar Gadhafi and the Libyan people being able to set up a government by themselves, with the assistance primarily of the Europeans but also the United States of America."

"Libya is much closer to Europe, and Europeans have greater ties to Libya and greater interests," McCain noted.

The United Nations has sanctioned military action only to protect civilians. Both American and European leaders, however, have repeatedly stated that their political goal is the ouster of Gadhafi.

What would the Gadhafi's departure mean?

"It means one of three things," McCain said. "He joins Hugo Chavez in Venezuela or he goes to International Criminal Court, which is my preference, or he joins Hitler and Stalin."

The senator noted that rebel leaders have insisted Gadhafi step down from power, significantly reducing the chances for a political settlement.

When Gadhafi's forces were outside Benghazi, the dictator said he "was going to go house to house and kill every person that he could," McCain added. "There is no doubt what Col. Gadhafi will do to his own people if he has the opportunity. ... That's not a settlement. That's a massacre."

McCain defended the track record of predator drones in Pakistan and Afghanistan, arguing that their use has only resulted in civilian deaths when targets have been misidentified.

Contacted by CNN, McCain's office declined to state how the senator's surprise trip was funded.

CNN's Moni Basu, Reza Sayah, and Alan Silverleib contributed to this report

@highlight

Sen. John McCain, R-Arizona, says the U.S. should do more to oust Moammar Gadhafi

@highlight

McCain is a senior congressional authority of military and foreign affairs

@highlight

McCain made a surprise visit to the Libyan rebel stronghold of Benghazi on Friday

@highlight

A foreign policy analyst says the visit will increase pressure on the Obama administration