Tripoli, Libya (CNN) -- The Libyan government in Tripoli estimates the grinding conflict that has been tearing the country apart for the past five months has cost the national economy some $50 billion.

"The cost is colossal," said Abdulhafid Zlitni, planning and finance minister for the Tripoli government. In an interview with CNN, Zlitni said the suspension of oil and gas exports had accounted for a huge chunk of the losses.

"The income foregone because of the stoppage of the export of oil is something like $20 billion," he said.

This has brought an end to what had been a surge in prosperity for the North African country.

Last year, Libya's economy was booming, with gross domestic product surging 10.3%, according to the International Monetary Fund.

And in a report published February 15, the IMF's executive board concluded, "The outlook for Libya's economy remains favorable."

But two days later, protests against Col. Moammar Gadhafi's 41-year rule erupted in the eastern city of Benghazi.

As protests spread to other cities and towns across the country, the Gadhafi regime embarked on a bloody crackdown.

Today, the country is split into territories controlled by loyalists and opposition rebels. A NATO military alliance is now into the fourth month of a campaign of airstrikes against government targets after the U.N. Security Council passed a resolution authorizing the use of force to protect civilian lives.

The civil war has all but shattered ambitious plans to upgrade transport, housing and infrastructure in a country that had long been isolated from the international community.

"The main objective was to create capacity for the economy to stand on its feet away from oil and gas production," recalled Zlitni somewhat wistfully, as he described a five-year, $170 billion plan to modernize Libya.

In March, the legions of foreign workers who had been contracted to build railroads, airports, apartment buildings and telecommunications networks began fleeing the rapidly escalating conflict by the tens of thousands. The exodus included large numbers of engineers, construction and oil workers from China, Turkey, Egypt, and the Philippines, who crossed the western border with Tunisia on foot. At the time, many of them told CNN stories of being robbed at gunpoint by Libyan security forces who took their cell phones, laptops and money.

Left behind were mammoth construction projects that still dot the Libyan landscape. Many of these unfinished structures were apartment buildings being built for an estimated 50,000 families across the country.

"So many infrastructure projects ... were carried out by international companies," Zlitni said. "Yet the stoppage of these projects could be felt in the economy. Particularly in the building sectors, the transportation sectors, the communication sectors."

More ominous for the Libyan economy has been the Tripoli government's growing isolation. NATO is enforcing a no-fly zone over Gadhafi-controlled territory as well as a virtual blockade of Libyan ports.

The sanctions have created huge fuel shortages. Long lines of cars now wait at service stations.

This week, the government in Tripoli announced it was intervening to control rising prices of basic commodities.

"In a crisis situation like this traders tend to profit more than they should, and therefore there is an intervention by the ministry of foreign trade for the prices of consumer goods," Zlitni said.

The minister said the government was fixing prices of rice, flour, meat, eggs, sugar and edible oils to prevent hardship among lower-income families.

"We subsidize, basically," Zlitni said, "with large amount of funds."

But Zlitni warned it was growing increasingly difficult for the embattled Gadhafi regime to pay for these types of subsidies. He pointed out that foreign countries have frozen tens of billions of dollars in Libyan government assets that had been carefully invested overseas in "treasury bills, bonds, stocks and investments in various international markets, whether in Europe, the USA or Asia."

Zlitni compared Libya's dwindling government coffers to the edible meat on an animal.

"This shouldn't last long, otherwise we'll be eating the fat and meat. And we'll very soon arrive to the bones."

Throughout the hour-long interview, Zlitni made no mention of the fact that last month, the U.N. Security Council added his name to a list of high-ranking officials in the Gadhafi regime now facing an international travel ban.

He did, however, declare Tripoli's opposition to proposals to hand over frozen Libyan government bank accounts to the opposition Transitional National Council headquartered in Benghazi.

Last week, U.S. Secretary of State Hillary Clinton announced Washington formally recognized the council in Benghazi as Libya's legitimate governing authority. State department officials said this could potentially give Benghazi access to some $30 billion in frozen Libyan funds in the United States.

"This is against international rules. The international monetary system cannot withstand action in this manner," Zlitni said. "If you are freezing through United Nations Security Council action funds for any country, then you can't confiscate it. There are legal obligations of the banks."

But when asked what recourse Tripoli would have if the U.S. government went through with its threat, Zlitni conceded there are few options.

"We should file litigation against them," he said.

@highlight

"The cost is colossal," says Abdulhafid Zlitni, Libya's planning and finance minister

@highlight

The suspension of oil and gas exports accounts for a huge chunk of that, he says

@highlight

Mammoth construction projects, now abandoned, still dot the Libyan landscape