ROME, Italy (CNN) -- Nearly two dozen Americans -- most thought to work for the CIA -- were sentenced to five years in prison Wednesday by an Italian court for their role in the seizing of a suspected terrorist in Italy in 2003, the prosecutor in the case told CNN.

The Americans did not appear for trial and are not in custody, but the ruling could effectively make them international fugitives.

The trial was the first to deal with a practice that human rights groups call "extraordinary rendition." They say the United States has often sent suspects to countries that practice torture.

Washington acknowledges making secret "rendition" transfers of terrorism suspects between countries but denies using torture or handing suspects over to countries that do.

The case centered on the extraordinary rendition of a Muslim cleric, Osama Mustafa Hassan Nasr, or Abu Omar.

He was seized on the streets of Milan, Italy, in 2003, transferred to Egypt and tortured, he said. He was suspected of recruiting men to fight in Iraq and Afghanistan and was under heavy surveillance by Italy's intelligence agency.

Prosecutors said he was nabbed by a CIA team working with Italian intelligence officials.

The verdict "shows governments and institutions that the fight against terrorism has to be carried out in accordance with the law. There are no shortcuts," Spataro told CNN.

Those who were found guilty were ordered to pay Abu Omar 1 million euros ($1.48 million) and his wife 500,000 euros.

A total of 22 Americans were each sentenced to five years in prison for their role in his abduction. Another -- Robert Seldon Lady, whom prosecutors said was the CIA station chief in Milan -- was sentenced to eight years in jail, prosecutor Armando Spataro told CNN.

Cases were dismissed against three other Americans, including Jeff Castelli, the man assumed to be the CIA station chief in Rome at the time, because they had diplomatic immunity from prosecution. Spataro said he may appeal that ruling.

Cases were also dismissed against the former head of Italy's intelligence service and his deputy because of state secrecy provisions.

Two other Italians were sentenced to three years in jail for aiding the plot.

Sabrina De Sousa, one of the American defendants, was "saddened, angered and dismayed" by the ruling, her lawyer told CNN.

She felt the U.S. government had "stabbed her in the back," Mark Zaid said. "We understand why the Italians did what they did. They were following their laws. But at the end of the day, representatives of our United States government abroad were let down and left alone by their own government."

De Sousa, a career diplomat, is suing the State Department over the case, Zaid confirmed. She has never said she worked for the CIA.

CIA spokesman George Little said Wednesday: "The CIA has not commented on any of the allegations surrounding Abu Omar."

But U.S. officials confirmed to CNN when the case first broke that the CIA was involved in the rendition of Abu Omar from Italy to Egypt. The officials never disclosed the number of Americans involved or their names.

Pentagon spokesman Geoff Morrell responded to the verdict as it applied to an Air Force officer, Lt. Col. Joseph Romano III, who was among the Americans sentenced.

The Pentagon had asserted jurisdiction over the incident under the NATO Status of Forces Agreement, a position that the Italian minister of justice supported, Morrell said.

"We are clearly disappointed by the court's ruling," Morrell said. "Our view is that the Italian court has no jurisdiction over Lt. Col. Romano and should have immediately dismissed the charges."

The American Civil Liberties Union, a persistent critic of Washington's extraordinary rendition program, demanded the United States match Italy's actions.

"The decision in Italy underscores the need for the United States to hold its own officials accountable for crimes committed under the 'extraordinary rendition' program. It is shameful that the first convictions of this kind came from a foreign justice system, where those convicted are not likely to serve their time," said Steven Watt, staff attorney for the ACLU Human Rights Program.

Italian authorities originally indicted 26 Americans and five Italians in 2007 for kidnapping in the matter.

The Italians included the former head of Italian intelligence, Nicolo Pollari, and one of his deputies. They testified in preliminary hearings that Italian intelligence played no role in the alleged abduction.

None of the Americans is in custody in Italy and the Italian government did not ask for their extradition; they were tried in absentia.

Former CIA analyst Michael Scheuer told CNN in the past that the Italian military secret service had approved the operation involving Hassan, and CIA sources who refused to be named told CNN in 2005 that the agency had briefed and sought approval from its Italian counterpart for such an abduction.

The Italian government of the day -- which was led by Silvio Berlusconi -- vigorously denied having authorized Hassan's kidnapping, which it called illegal. Berlusconi has since returned to power.

CNN's Hada Messia in Rome; Paula Newton in London, England; and Pam Benson and Jim Barnett in Washington contributed to this report.

@highlight

Suspected U.S. CIA agents ordered jailed for seizing of suspected terrorist in Milan

@highlight

Americans are not in custody, but ruling could make them international fugitives

@highlight

Case centered on "extraordinary rendition" of Muslim cleric, who says he was tortured in Egypt