Washington (CNN) -- In the words of Judge Roslyn Silver, the situation is "dire." From her chambers in Phoenix, Arizona, the chief judge of federal judicial District of Arizona warns a bulging criminal caseload is being exacerbated by three unfilled bench seats, which the Obama administration and the Senate have, until recently, shown little urgency to address.

"We have a crisis, we have vacancies, and we would like to have them filled so that justice can be served," she told CNN in an exclusive television interview.

The crisis was thrust suddenly upon the 64-year-old Arizona native. The murder of her predecessor, Chief Judge John Roll in the January 8 Tucson shootings that left Rep. Gabrielle Giffords seriously wounded suddenly put her in charge. Losing a colleague and dear friend, while ensuring her court continued to do its job remains a personal and professional challenge for Silver, but she remains quietly confident.

"We are doing our job," she said. "That's what we were appointed to do and we will continue to do, and I can't imagine anything falling apart here."

A nationwide dilemma

The situation in Arizona is mirrored nationwide, caused by a combination of practical and political forces. The importance of the federal courts is not lost on the ever-rising number of civil and criminal litigants seeking justice, and on the issue advocacy groups that have made the appointment of judges a political rallying cry. That has led to delays of up to 19 months in getting some nominees confirmed.

"Government is now not doing it's job, that's what it comes down to, it's just not filling these vacancies in a timely manner and there's enough blame to go around," said Russell Wheeler, a policy analyst with the Brookings Institution. "I think it's going to be harder and harder to get people, good people to be federal judges because who wants to go through this process?"

In Arizona, a state with the third highest criminal caseload in the country, the vacancies have left the remaining three Tucson-based judges handling more than 1200 criminal cases each.

"And then of course they have civil cases on top of that," said Judge Silver. "And I just learned recently that Judge Roll was carrying about 150 civil cases." Based on its caseload, the judicial district of Arizona is eligible for five additional judgeships.

There are now 92 vacancies in the 857 federal district and appeals court judgeships, amounting to about 11%. Just 61 names have been currently put forth by President Obama in the new Congress, many of them renominated -- but never confirmed -- from the past two years. Seventeen candidates have received confirmation since January. The Administrative Office of the U.S. courts predicts at least 23 more vacancies this year.

Since Obama took office in 2009, the number of open slots has risen steadily, as judges retire or leave for better-paying jobs. The president has been slow to replace them, compared to his two predecessors. In their first two years, Bill Clinton had a 90% confirmation rate for his nominees, while George W. Bush had a 77% rate.

Obama by contrast has only had 58% of his 103 choices clearing the Senate hurdle. His supporters point to a number of factors for the slow start -- including two time-consuming Supreme Court vacancies in the past two years. Yet White House aides proudly note the diversity the president has brought to his nominees: About three-fourths are women or minorities, with a particular focus on Hispanics. By contrast, the current federal bench remains almost 60% white male.

Supreme Court choices almost always receive relatively swift attention. Obama's two choices -- Sonia Sotomayor and Elena Kagan -- took their judicial oaths less than three months after being chosen. Some lower court nominees by contrast nominated in 2009 by the president have yet to get a final vote.

Wheeler from the Brookings Institution and other court watchers point the finger at all sides: a delinquent White House, stall tactics from conservative Republican senators, and an ever-increasing chorus from interest groups on the left and right.

"Both parties may have an institutional reason to get this back to a situation it was before," said Wheeler, "where the government could fulfill a basic government function, which is filling judicial vacancies."

There is some hope of that happening. Seven judgeships have been approved in the past month by senators, including two this week. Several more nominees have been promised floor votes in coming days. Government sources say Senate Majority Leader Harry Reid, D-Nevada, and Minority Leader Mitch McConnell, R-Kentucky, reached an informal agreement earlier this year not to use the same procedural maneuvers that have delayed many judicial nominees over the past few years. Most nominees, said sources, will get up-or-down votes in "an orderly fashion."

Most. The Senate Judiciary Committee resumes confirmation hearings Wednesday, with perhaps the most contentious nominee getting another shot. University of California law professor Goodwin Liu has been tapped to sit on the 9thCircuit U.S. Court of Appeals. His outspoken opposition to many of the legal policies and judicial nominees of the second Bush administration has earned him conservative wrath. If confirmed he would be only the second current Asian-American on the federal appeals bench, and many liberals see Liu as a potential candidate for the Supreme Court someday.

Cause and effect

The sagging economy has rippled into the federal courts, with ever-increasing bankruptcy filings and civil, financial disputes. Current legal fights over national security, health care reform, and "social" areas like gay marriage have only added to the bulging dockets.

In the District of Columbia, hundreds of appeals from terror suspects detained at the Guantanamo military prison have overwhelmed that federal court. As a result, "We plan to try very few civil cases this spring and summer," said Chief Judge Royce Lamberth. Washington's federal district court has three current judicial vacancies.

Lamberth is unusually blunt about the situation, saying, "This is as bad as I've seen it."

"There's a war between the legislative branches of government and the judiciary is caught in the middle and we are suffering," the 1987 Reagan appointee told CNN. "The Republicans are doing exactly what they accused the Democrats of before. They're stalling and there's no good basis to stall if you have no basis against the nominee."

Some courts in some areas of the country report little or no backlog. Other areas like the Southwest see no relief.

Operation Streamline has been anything but for those on the judicial front lines. The federal program launched in 2005 requires low-level criminal prosecution and imprisonment of nearly every illegal immigrant caught crossing parts of the U.S.-Mexico border. Judges in the region report being swamped.

"The border courts are absolutely overloaded," said Judge W. Royal Furgeson, based in West Texas. "You've got judges handling eight times the number of criminal cases than are normally registered in other courts across the nation. That's a staggering docket. It's amazing."

The 1993 Clinton appointee said some decisions by his border state colleagues are made "assembly line fashion, which I think we all find unacceptable."

Arizona justice

Silver said criminal prosecutions in her home state have risen by about 70% in the past two years. So in January she declared a judicial "emergency" in Arizona, giving her and her colleagues more time before defendants must face trial. Essentially those criminal trials do not have to take place for 180 days as opposed to the Speedy Trial Act requirement of 70 days. It is a rarely used tactic, but Silver said she and her predecessor, John Roll, had no choice.

"He initiated the request for a declaration of the judicial emergency," she said. After his sudden death, "I picked up the reins immediately and accomplished it. He put together all the statistics so all I did was update those statistics and now it has been accomplished." Roll in fact had gone to speak informally with Rep. Giffords at a Tucson-area constituent gathering about the judicial emergency, when the shootings occurred. The 63-year-old judge was caught in the crossfire.

"Well we were absolutely shocked and stunned and we're still saddened," said Silver, a 1994 Clinton appointee. "The crisis occurred on January 8, we went back to work on January 10. We did not lose any stride whatsoever. We are dealing with a crisis. We do our best not to think about it and let the sad news overcome us."

CNN's Dan Lothian and Shawna Shepherd contributed to this report.

@highlight

There are now 99 vacancies in the 857 federal district and appeals court judgeships

@highlight

Just 46 names have been currently put forth by President Obama

@highlight

The Administrative Office of the U.S. courts predicts at least 15 more vacancies this year