(CNN) -- In his speech about Syria Tuesday night, President Obama tried to make a graceful turn on a fast-moving platform. He wanted to explain to a skeptical public why they should support his plan for a limited military attack on Syria in response to, the administration says, the use of chemical weapons by the Syrian President Bashar al-Assad.

But his effort was only mildly successful, restating arguments that will be familiar even to those who have not been paying close attention, but also shining a spotlight on the weaknesses of the administration's case.

In the 36 hours leading up to his speech, the circumstances that would determine that case took several confusing turns. Suddenly, with Syria's expressed willingness to give up its chemical weapons, a possible diplomatic avenue opened up that might allow the president to claim victory without launching a single missile. But this plan is far from a sure bet and brings problems of its own. This made the president's job of persuasion even more difficult.

The credible threat of force likely opened the tentative diplomatic path, which was opened accidentally when Secretary of State John Kerry made an off-hand suggestion, "a major goof" in the words of a U.S. official, when he said Assad could avoid U.S. military action if he turned over chemical weapons in a week. "It can't be done, obviously," he added, showing this was not a serious proposal.

But the Russians and the Syrians grabbed on to it and suddenly the picture changed dramatically.

Obama still had a speech to make. The remarks were scheduled for the eve of a congressional vote on the president's pla, a vote in which Obama's chances did not look good. He asked Congress to hold off on the vote.

Still, when he spoke to the people, for most of the address it sounded as if no diplomatic proposal had emerged. He waited until the last part of his remarks to start discussing the possible diplomatic breakthrough, which was a smart move. That entire episode shows the chaos that has reigned as the administration tried to make its case for a military response with strict, self-imposed restrictions. (Obama had to at least appear to have some control of the situation.)

He was correct to use this time with the American people instead to try to explain to them (and the rest of the world) why the use of chemical weapons in Syria is a threat to everyone, not just the Syrian people. And he was right to try to bolster support for American intervention. The threat is the only thing that can move a ruthless dictator, because in the end, it is very possible that the plan to dismantle Syrian chemical weapons could fall apart.

The task is enormously difficult, dangerous and expensive. Experts say it could take years under the best of circumstances to get rid of what is one of the world's biggest stockpiles. Doing it in the middle of a civil war could, in fact, prove impossible.

Obama knows that Russia and Syria, whose paramount goal is the survival of the Assad regime, may be playing for time. Assad has watched Iran game the international community with years of inspections and negotiations without stopping its own program of banned weapons.

The president once again appealed to our shared humanity as well as national security and international stability. He urged Americans to look at the wrenching videos showing rows and rows of dead children wrapped in white shrouds, among the more than 1,400 victims of the Aug. 21 gas attack.

The arguments are valid, but there's much in the administration's logic that is deeply disturbing.

The Syrian conflict is -- we must always remember this -- a moral issue, a matter of profound human suffering. When the president describes the brutality of the Assad regime but then goes on to say the regime can stay in power, its claim to the moral high ground is weak.

When Obama speaks of the devastating images of innocent children dying before their helpless parents, and when he says "When dictators commit atrocities they rely on the world to look the other way," it is disingenuous to say we must not look the other way when chemical weapons are used, but killing by conventional means is really not our problem.

Like everything else about the Syrian conflict, the Russian proposal is far from the ideal option. It legitimizes Assad's rule, it betrays the hopes of the Syrian opposition and it fails to punish the regime for war crimes. It may leave America with all sides in Syria feeling angry and betrayed, as in Egypt. It strengthens Assad and Putin.

That said, if it removes Syria's chemical weapons, it will in fact protect the "red line" Obama had set, showing that chemical weapons use triggers international consequences.

The president and his secretary of state have been making the case that Assad's capabilities must be degraded, that the more moderate among the rebels need Western support, that failure to help them will make the extremists in the opposition attract more support. That remains true.

The diplomatic proposal saved Obama from the immediate threat of failure in Congress and may just keep him out of the conflict. The president's ambivalence about entering has been palpable. He is probably relieved about an opportunity to move in a different direction.

So far, Obama's march to non-war in Syria has been marked by failures of persuasion and of process. Whatever happens next, there is no question that the suffering of the Syrian people will not end any time soon and that Syria will continue to be a daunting problem for President Obama.

The opinions in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Obama went into speech with Syria situation in new flux; was mildly successful

@highlight

She says he saved talk of diplomatic plan till after he described gassing of kids

@highlight

She says this because clearing Syria's chemical weapons could fall through, as Assad buys time

@highlight

Ghitis: If diplomacy restores "red line," Obama's threat will show threat of consequences matters