(CNN) -- In a few weeks, South Sudan will turn a year old. It ought to have been a joyous occasion.

Instead, the world's newest nation is coping with a massive humanitarian crisis wrought by fighting between the armed forces of its nemesis to the north and an affiliate rebel movement.

The fighting is hardly new. For decades before South Sudan's independence in July, civil war raged over territory, oil and religion. Now, aid groups warn that another nightmare looms as millions of people are on the move, desperate to flee fighting and find a safer place to live.

The United Nations refugee agency said this week that the situation had sharply deteriorated in South Sudan's Upper Nile state, flooded with refugees crossing the border from Sudan.

About 150,000 refugees from Sudan are currently in South Sudan. That presents an enormous logistical challenge for aid agencies.

"This is a dramatic change in an already difficult humanitarian situation," said Antonio Guterres, the U.N. high commissioner for refugees.

"Not only are refugee numbers suddenly much higher, but the condition that many of these people are in is shockingly bad," he said. "Some have been eating tree leaves to survive along the way."

In a statement issued Wednesday, the United States expressed its concerns over the dire situation in South Sudan. Deputy State Department spokesman Mark Toner urged international partners to join the efforts "to relieve suffering and assist those affected by the ongoing violence."

The United States government said it "has stepped up to help prevent further suffering" by providing more than $34 million to support the emergency response to new Sudanese refugees in the region The United Nations High Commissioner for Refugees has appealed for $145 million to help resolve and prevent a humanitarian crisis in the region.

Enough Project, which works to stop genocide and crimes against humanity and has been monitoring the situation along the Sudanese border, blamed Khartoum for targeting civilians.

"The refugees are pouring into South Sudan because the government of neighboring Sudan is using starvation as a weapon in its South Kordofan and Blue Nile regions," said John Prendergast, co-founder of Enough Project.

In temporary refugee camps, people are living in wretched conditions, say international charities working in the area,

Jean-Marc Jacobs, head of the Medecins Sans Frontieres mission in South Sudan, described the transit camp of Rim as a remote and inhospitable place where people are seeking shelter under the shade of trees.

"People have walked for several days with no food and no water," he said.

The agency has been running a substantial emergency medical operation for the refugees in Upper Nile State.

This week, Medecins Sans Frontieres called on the United Nations to identify a suitable place for more than 30,000 refugees who have crossed the border from Sudan's Blue Nile State into South Sudan's Upper Nile State over the past two weeks.

Many are hungry and face other dire problems like not having access to clean water and proper sanitation.

But it's not just refugees who are suffering.

"The ones who are strong enough to make the long trek to the border do so; the ones left behind face a bleak future," Prendergast said.

Another monitoring group, Amnesty International, visited eight refugee camps between March and April and found people in some instances waiting 10 hours to receive a single container of water or three weeks for food rations.

Amnesty International also documented human rights abuses.

People "faced risks such as forced recruitment into armed groups and sexual violence, in addition to food and water shortages," the group said. Women and girls spoke of their fear of rape and sexual violence.

In refugee camps in Upper Nile State, Amnesty received reports of "boys and young men being forcefully recruited into the armed opposition group, the Sudan Peoples Liberation Movement-North."

"We can run away from bombs but not from hunger," one refugee told Amnesty International.

Amnesty urged the United Nations to accelerate efforts to feed people and to make sure protective measures are in place for the vulnerable.

Despite the bleak reality in South Sudan, many of its people are eager to return home.

This week, the International Organization for Migration relocated more than 6,000 South Sudanese from Khartoum to Juba. The operation between the two capitals took more than 11 days and about 40 flights.

The majority of the returnees were previously stranded in Kosti, 300 kilometers (186 miles) south of Khartoum.

It's not even 1 year old, and South Sudan is facing myriad problems, Prendergast said,

"The cutoff of oil production, state corruption and a state of near-war with Sudan have created massive hardships among the civilian population in South Sudan," he said.

He said it was imperative for the United Nations Security Council to make good on its threat to impose sanctions -- on Sudan and on South Sudan -- if they continue to impede progress toward a lasting peace deal and an end to the fighting.

The challenges are many. Still, South Sudanese are optimistic about their return.

"I left South Sudan in 1951, when I was just a boy," Amol Jok Ajak Deng told the International Organization for Migration.

"I return as an old man, but I am strong, and I am willing to work."

CNN's Moni Basu contributed to this report.

@highlight

NEW: U.S. says it has contributed $34 million to help refugees

@highlight

South Sudan will mark its first anniversary amid a worsening refugee crisis

@highlight

About 150,000 refugees from Sudan have crossed the border

@highlight

Medecins Sans Frontieres describes horrific living conditions in the camps