(CNN) -- I have a memory of standing by the fence in my neighbor's yard. I was 6. My sister and I have had to run next door because mom's been wasted for weeks on end, and now she's got a shotgun.

She's fired it once already. Two of the taller neighborhood kids are nearby, one standing on top of the other's shoulders, peering over the fence and describing what she sees. "Your grandpa's got a 2 by 4 and he's going into the house." The scene ends.

I could tell you dozens of stories like this. Years later, I learned that grandpa had broken down the door to find mom on the bed with a shotgun and a suicide note, maybe too scared to pull the trigger.

My mother was a lifelong addict -- from heroin to alcohol and pills to methadone and pills. If you asked her why, she would tell you she just liked getting high. If you were inclined to believe the prevailing sentiment about addiction as a kind of degenerate hedonism, you could hate her for being a junky screw-up, and for never managing to put anyone or anything before her addiction.

Watch video: Living with my mother's addiction

And it wasn't just my mother. Mental illness, drug addiction and suicidal tendency ran so thick in my family that as a teenager I just waited for the day when I would get mine. The medical professionals in those days just focused on the genes. They didn't talk as much about the life circumstances surrounding the addicts.

But a few years ago, I started to hear some different ideas. "Addictions always originate in pain, so the question is never really why the addiction, but why the pain," said Dr. Gabor Mate, a Canadian physician who specializes in the study and treatment of addiction. He went on to say that nearly every single one of his skid row junkies had a severe history of childhood trauma.

How heroin kills you

This idea was new to me. I began to learn more about the effects of trauma on the human psyche, and I found my family on every page of the literature. Mental illnesses of all kinds, suicidal tendency and addiction are all the remnants of a past severely marred by abuse, neglect and the utter lack of control over one's circumstances.

I learned that unresolved trauma fractures the psyche, and hardwires the brain to permanently elevated levels of stress.

The result is that chronically traumatized people no longer have any baseline state of calm or comfort. Owing to these chronically elevated stress levels, substances like alcohol and heroin, which offer an intoxicating buzz to the average person, give the chronically traumatized individuals their first taste of soothing and calm, which make them feel normal for the first time in their lives.

I went from heroin addict to PTA mom

Letting some of this new understanding take root, I found that I could begin to forgive my then ailing mother for the harm she and her addictions had caused over the years.

I could grieve for the difficult life she must have lived before my birth, even if I didn't understand the details, and I could offer her a compassion that I didn't think I was capable of before.

And then something unexpected happened. Released from the firewall of my rage, she was able to open up and tell me about her own history of trauma. Caught between a sexually abusive uncle and an emotionally abusive mother, she had turned to black-out binge drinking at age 14, and it had been one substance or another every day ever since.

And here's where the light went on. Talking to my mother, I realized that nothing that our punitive systems and shaming culture might inflict on her would ever be greater than the internal suffering that compelled her to constantly seek obliteration of her own life with substances and suicide attempts.

I now believe that punishing those who are already suffering will never foster the kind of change we all so desperately need these individuals to make.

Because this particular addict was my mother, I had the incentive to do the hard work of finding the human being behind the nightmare, of letting go of the disgust and blame, and seeing an incredibly wounded person in need of our support. This is much harder to do when the person is a stranger on the street, or in the prison system.

My mother died of lung cancer six months ago. I can't speak to what may have happened if she had access to truly empathetic health care and trauma counseling. I can say that understanding her pain, and the roots of her addiction, has been incredibly healing for me.

Opinion: We can prevent fatal ODs like Hoffman's

We need a society that focuses less on retribution and more on recovery for its most troubled members. We need to design policies that enable people to end their cycles of violent and addictive behaviors. Punishment is not an end in itself, and may lead to more damage, and the exacerbation of these cycles.

What if we were to take a moment to realign our values toward seeing the injured human behind the unconscionable actions? Could we then do better at creating systems within which people can actually heal and change and recover?

I believe that by starting with the right questions -- simple and compassionate -- like "Why the pain?" we can come up with better solutions.

The opinions expressed in this commentary are solely those of Caledonia Curry.

@highlight

Caledonia Curry: My mother was a lifelong addict -- from heroin to alcohol to pills

@highlight

Curry: The idea that addictions always originate in pain was an eye-opener

@highlight

I began to forgive my mother and the harms that her addictions had caused, she says

@highlight

Curry: We need a society that focuses less on retribution and more on recovery for addicts