LONDON, England (CNN) -- Sportsmen and women being caught taking drugs is not a new phenomenon -- but it's still a shock when the news breaks.

Romania's Adrian Mutu was sacked by Chelsea and banned from the game for testing positive for cocaine.

Only recently Michael Phelps, who shattered Olympic records by claiming eight golds in the pool in Beijing last year, was caught on camera with a marijuana pipe to his mouth.

The American is far from alone. The history of sport is peppered with drug use, usually of the performance-enhancing kind: athletics has been blighted by it, cycling has lost much of its credibility because of it and baseball has proven to be far from immune.

But football, the world's most popular game in terms of fan following and participation, does not seem to have had its share of drugs scandals, not least in the world's most high profile division, the English Premier League.

No top-flight player in English football has ever tested positive for using performance-enhancing drugs in a league match.

The closest anyone has come is Middlesbrough FC defender Abel Xavier, who was banned from football by UEFA for 18 months in 2005 when he tested positive for the steroid dianabol after a UEFA Cup match.

The English Football Association (FA) takes its lead on doping from UK Sport, the body which regulates drug testing in the UK based on the code set out by the World Anti-Doping Agency (WADA).

Let us know your views of drugs and drug testing in football.

UK Sport's Russell Langley does not believe more tests would necessarily return more positive results.

"It's a difficult question to answer," he said. "The stats show what they show. But it's fair to say if doping was going on at that level we would have unearthed it.

"Our focus at UK Sport is not on more and more testing -- we don't think that's going to answer the question about whether there's more doping out there.

"What we want to do is make every test we do as effective as possible. If there are people out there doping we've got to have the right level of intelligence and information to target them.

"Testing at no notice and out of competition is where we think we've got the best chance of being able to catch any sportsmen taking drugs," he added.

English footballers can be tested after matches (in competition) and at training sessions (out of competition). Until a few years ago, a tester was forbidden from turning up at a footballer's house unannounced (no notice).

But the FA has altered its stance as part of its claim that it "maintains the largest and most comprehensive out-of-competition testing program in international football."

They conduct 1,600 random, no-notice drug tests per season, which the World Anti-Doping Code and the UNESCO International Convention Against Doping on Sport state is the most effective method of combating the use of drugs in sport.

But those 1,600 tests are conducted on professional players, non-league football, women's football and youth team football. It means the chances are small of catching any Premier League star who may be using drugs.

Down the years, Italy's Serie A has seen the most cases of players getting caught with either performance-enhancing or recreational drugs in their system.

One reason for this is the Italian authorities' no-nonsense stance: two players from each squad are drawn at random to be tested after every match.

And it has worked. Household names such as Jaap Stam, Edgar Davids, Pep Guardiola, Fernando Couto, Francesco Flachi, Mohamed Kallon and Diego Maradona have all been caught in the last two decades.

By way of comparison, Billy Turley, a goalkeeper in one of England's lower leagues, was let off with warning after being found to have taken the steroid nandrolone in the 2002-03 season. It took a further positive test for cocaine for him to get a six-month ban.

But on the issue of combating social drugs -- something not demanded by WADA's code -- Langley believes the FA's stance is to be applauded.

He said: "They invest heavily in their testing program. They recognize that a particular problem for their sport is social drugs so this separate testing goes on. They don't have to do it.

"This carries a different set of sanctions which are controlled by the FA and the aim of that program is about rehabilitation rather than punishment."

Langley said the sanctions send out a strong message that the FA is prepared to do something about it. "They recognize their responsibility -- football is a huge role model for youngsters," he added.

Chris Armstrong, then of Crystal Palace, became the first Premier League player to fail a drug test when he tested positive for cannabis in 1995. He was back playing within a month following a brief spell in rehab.

Chelsea's Mark Bosnich and Adrian Mutu have both been caught with cocaine in their systems and both were banned and sacked by the club in the 2000s.

The FA also wants to make sure that players understand that not taking a test is not an option either, making an example of Manchester United's Rio Ferdinand.

The center-back missed a scheduled drugs test in 2003 and was belatedly suspended for eight months and fined £50,000.

Ferdinand could have got a bigger punishment. The FA's guidelines state that for a first offence a minimum suspension of three months up to a maximum of two years will apply, but a lack of consistency has always dogged punishments for drug offences.

No other footballer has been reported as missing a test since.

The FA is far from blind to the issue of drugs in English football and since the Ferdinand incident their policies and punishments have been tightened.

But as long as a player's chances of getting caught remain comparatively small, drugs in football appears to be an issue the FA is keeping a lid on rather than eradicating.

@highlight

Football has seen a number of high-profile players fail drugs tests

@highlight

English FA tests for both performance-enhancing and social drugs

@highlight

Different punishments are given depending on the offence