(CNN) -- Ahead of their meetings in Mexico City this week, President Obama and Mexican President Enrique Peña Nieto hinted that they wanted to put economic ties atop their agenda.

But reports that Mexico is restructuring the way it cooperates with American officials on security matters -- in essence restricting communication -- threaten to impose a shadow over the positive economic story the leaders want to tell.

The apparent friction highlights the critical security relationship and illustrates the complexities of U.S.-Mexico relations.

"We spend so much time on security issues between the United States and Mexico that sometimes I think we forget this is a massive trading partner, responsible for huge amounts of commerce and huge numbers of jobs on both sides of the border," Obama said this week.

But writing a new narrative on U.S.-Mexico relations that doesn't lead with Mexico as a major transit point for narcotics, or the United States as a market hungry for the drugs, isn't easy.

That was made clear by the spate of news reports this week on both sides of the border about changes to how Mexico cooperates with the Americans.

Under the new rules, all U.S. requests for collaboration with Mexican agencies will flow through a single office, Interior Minister Miguel Angel Osorio Chong confirmed to Mexico's state-run Notimex news agency.

It is a drastic change from recent years, when U.S. agents enjoyed widespread access to their Mexican counterparts.

So in the days leading up to Obama's arrival in the Mexican capital, the buzz was not about the economy, but whether Mexico was being uncooperative with the United States.

Osorio Chong downplayed the idea that the change signified a retreat in security cooperation.

The United States "should have the confidence that things are on a good path," he told Notimex.

In a conference call with reporters, Obama administration official Ben Rhodes said it was natural that Peña Nieto, who has been in office for only five months, would want to revisit its security structure.

"We're currently working with the Mexicans to evaluate the means by which we cooperate, the means by which we provide assistance, and we're certainly open to discussing with Mexico ways to improve and enhance cooperation, streamline the provision of assistance," said Rhodes, who is the deputy national security adviser for strategic communications. "Our goal is not to have a certain amount of presence in terms of security efforts in Mexico; it's to cooperate with the Mexicans so that we can meet the interests of both our countries."

But analysts say impact of the changes should not be underestimated.

U.S. officials who had built rapport and personal relationships with Mexican counterparts now have an obstacle to their communication, said George Grayson, an expert on Mexican security issues and professor of government at the College of William & Mary.

"The door is not wide-open like it used to be," he said.

There is a lot to boast of on the economic front, but security will likely remain a key part of how U.S.-Mexico relations will be judged.

Among U.S. officials, there is an unspoken concern about whether Peña Nieto will merely give lip service to the the idea of security cooperation or whether he will provide real substance, said David Shirk, former director of the Trans-Border Institute in San Diego.

"I've talked to many people at very high levels that have expressed these concerns," Shirk said. "There is a kind of wait-and-see attitude. I think U.S. ofificals want to give Peña Nieto the benefit of the doubt."

What is clear is that Peña Nieto rejects the "kingpin" strategy of his predecessor, Felipe Calderon, who made the capture of cartel leaders the centerpiece of his security plan.

A number of high-ranking drug cartel leaders were killed or captured during Calderon's term, but the results usually backfired -- new leaders rose in their place, rival cartels fought for the leftovers and a high level of violence persisted.

Peña Nieto has talked about focusing on violence reduction, and engaging in educational, social and economic reforms. But this broad vision has not yet produced a defined security strategy.

"The question is, what (do) you replace the kingpin strategy with?" Grayson said.

The changes to protocols between U.S. and Mexican officials are likely part of the process to figure that out, but one that could rankle the United States, said Tony Payan, a Mexico expert and fellow at the James A. Baker III Institute for Public Policy at Rice University.

The previous strategy of identifying kingpins and going after them suited the United States, which has the tools and capabilities to aid in those operations, Payan said. A more hands-off approach may not go over well.

"Clearly, there is disagreement on how to approach this issue," he said.

When Obama and Peña Nieto speak publicly together on Thursday and Friday, their economies will be the easy things to talk about, Payan said. Half a billion dollars in trade is indeed something to brag about, and is a storyline that has been overlooked too often.

Obama and Peña Nieto are expected to trumpet these achievements to the press.

"I think the ugly part of the conversation (about security) will be in private," Payan said.

CNN's Catherine E. Shoichet contributed to this report.

@highlight

Presidents Obama and Peña Nieto want to focus on economy

@highlight

But the security issue always looms large

@highlight

Recent news about changes to security cooperation raises concerns