(CNN) -- Northwestern University's president emeritus said that if the players on its football team are successful at forming a union, he could see the prestigious private institution giving up Division I football.

Henry Bienen, speaking last week at the annual conference for the Knight Commission on Intercollegiate Athletics, said, "If we got into collective bargaining situations, I would not take for granted that the Northwesterns of the world would continue to play Division I sports."

Bienen, who was president of Northwestern from 1995 to 2009, made his comments during a panel discussion that included a presentation from Ramogi Huma, the president of the National College Players Association and the man who helped organize former Northwestern quarterback Kain Colter to lead a unionization attempt before the National Labor Relations Board.

Huma talked, as he has for months, about the issues his organization sees as great flaws in the current NCAA model. The NCPA believes that athletes in the revenue-generating sports of college football and men's basketball are taken advantage of by universities, conferences and the NCAA, making billions from games, while the players sometimes struggle with basic needs like medical care, concussion testing and guaranteed scholarships.

Players make argument for union

In March, the NCPA took its fight before the NLRB in Chicago and presented a case during a five-day hearing. Both sides just recently submitted court briefs and a ruling could come by the end of this month, but will likely be appealed by the losing side and could go as far as the U.S. Supreme Court. In short, it could take years before there is a definitive decision.

Bienen didn't specifically speak about players being paid, but if the unionization is successful, that would be on the bargaining table, and critics of pay-for-play say they fear that would hurt the academic side of collegiate athletics.

Bienen alluded to that when he said a win for the players could lead private institutions with high academic standards -- he specifically cited Duke and Stanford -- to abandon the current model in order to preserve academic integrity.

He compared it to the pullback of the Ivy League schools decades ago, when the Ivy League conference decided to opt out of postseason play and to end athletic scholarships, preserving the emphasis on academics for the players.

"In the 1950s, the Ivies had some of the highest-ranked football teams in the country. The Princeton teams were ranked in the top 5 or 10 at that time. They continue periodically to have ranked basketball teams, but they've given up a certain kind of model of sports," he said, adding that "under certain conditions" the same could happen at other private elite universities that "continue to play big time sports."

Jerry Price, senior associate athletic director at Princeton, said that change for the Ivy League allowed those schools to maintain academic integrity in the sports where, at other schools, academics can often be compromised in the name of the game.

"It was sort of a breaking point moment," Price said, saying the Ivy League schools made the decision not to move forward like the bigger conferences -- to "draw the line with the commercialization of what football was becoming."

"And the results have been that Ivy football is not what it was in the first half of the 20th century," Price said. "Certainly not like Big Ten football, SEC football. Its crowds are generally less than 10,000 people. They play only 10 games a year. ... Certainly not what is going on at BCS level."

A Duke spokesman said the university did not have a comment on Bienen's remarks, and a Stanford spokeswoman told CNN that Stanford is monitoring the unionization attempt and, like Northwestern, considers its athletes to be "students, first and foremost."

While supportive of the freedom of the athletes to file this petition to unionize, Northwestern officials are fighting the petition, which hinges on whether athletes should be considered employees of the university.

During his daylong testimony, ex-Northwestern quarterback Colter talked about time requirements that are year-round, at times 50 hours a week devoted to football.

"We are first and foremost an athlete," Colter testified. "Everything we do is scheduled around football. ... It's truly a job."

Colter said he had to give up his pre-med-related major because he couldn't fit the classes into his schedule. The university countered that by bringing in students who were able to stay in rigorous classes, but Colter's sentiment was echoed by the NCAA itself in a 2012 survey that asked athletes what they would change about their college experience.

About 15% of men's football, baseball and basketball players said they would have had different majors had they not been athletes. Twelve percent of Division 1 football players said athletics prevented them from majoring in what they wanted. The average time spent on athletics in-season hovered around 40 hours per week for all three sports, according to the survey.

That flies in the face of the NCAA 20-hour rule, which states that, no matter the sport, coaches can't take up more than 20 hours of their players time. Right before Bienen spoke at the Knight Commission, Big 12 Commissioner Bob Bowlsby called the 20-hour rule "a joke" and said paperwork is constantly falsified.

"I don't know in a particular case what was said to Mr. Colter," Bienen said a few minutes later at the Knight Commission, referring to Colter's statement that he couldn't take certain classes. "I do know that there were many students at Northwestern and at Rice and at Stanford and at Duke who took, and for that matter at Michigan and at Minnesota who took very exacting courses, have had very distinguished academic careers and balanced being athletes and big-time sports with very exacting academic programs."

If they win at the labor relations board, the athletes at Northwestern would get a seat at the bargaining table and could negotiate for a cut of the billion-dollar revenues. But the most compelling argument they've made is for continuing medical coverage for injuries that continue after they leave school. Without it, athletes like former Northwestern player Jeff Yarbrough are stuck with the potential for lifelong and crippling pain. Yarbrough was called one of the fastest teens in Illinois when he was recruited to Northwestern in 2003, but after fracturing both legs on the field, he was left with painful metal rods that are too expensive for him to have removed without help.

He's in so much pain, he can barely run, he said. He's only 27 years old.

"I'm like a 45-year-old man. I can't move," he said.

Colter walked into the labor hearing with a boot on his foot, just a few weeks out of ankle surgery -- an injury from last season. He testified that Northwestern is disputing how much it should pay for his out-of-pocket expenses.

Huma argues that all former athletes should be guaranteed full coverage of injuries from their time playing for their schools.

It's the one area where Bienen seemed to agree.

"I'm willing to say that there may be extraordinary expenses through injuries on the playing field. I don't know what other universities do, how long paying or helping pay for those injuries are, but I think that's an important point and I think there are obligations that universities have here and I would like to have better information."

Athletes file class-action against NCAA

@highlight

Northwestern's former president said school could drop Division 1 football if athletes form union

@highlight

Group of college athletes want to get slice of sports revenue, payments for medical care

@highlight

Ivy League school abandoned big-time sports to preserve academic emphasis