(CNN)It may not provide the answer to life, the universe and everything, but when the Large Hadron Collider at Geneva's CERN starts up again this month, particle physicists are planning to give this question their best shot.

Having finally nailed down the elusive Higgs boson particle in 2013 -- the elementary particle that has unlocked some of the universe's longest-standing secrets -- physicists are now on the trail of dark matter.

And with the Large Hadron Collider (LHC) -- the 27km (17 mile) circumference particle accelerator that occupies a tunnel on the Franco-Swiss border -- now tricked out with new magnets, more powerful energy beams and a tighter vacuum, scientists are hoping to shine a light on some of the universe's more arcane phenomena.

"Higgs was the final piece of the jigsaw of what we call the Standard Model of particle physics," Dr Mike Lamont, operations group leader at the facility, told CNN. "But we know that this model is not complete."

"One of the big things we know is out there -- but we don't yet understand -- is dark matter.

"There's a lot of astronomical observations to support the fact that this stuff exists, so this is one thing that we might hope shows up."

Dark matter is currently a hypothesis. It is a type of matter that can't be seen but whose presence can be inferred from its gravitational effects on visible matter, radiation and even the very structure of the universe.

Physicists believe this unseen material makes up about 85 percent of all the matter in the universe. Regular matter, which we are made of along with all the stars, planets and other tangible cosmic material, accounts for just around 4 percent of the mass-energy of the known universe. In other words, the vast majority of what constitutes reality still eludes us.

Particle physicists will no doubt be on the edge of their seats when the new souped-up collider is put through its paces this month, although it can take months for the data to be processed.

"There are a number of theories that give you dark matter candidates -- one of the favourites is supersymmetry," Lamont said, adding that the team got no sign of it at all in the facility's first three-year run.

"What the physicists are hoping is that with the step up in energy we will be able to explore a bit more of parameter space and that something dramatically new will show up.

"If it does, it's Nobel prizes all around; it really will be a major breakthrough. If it's not, then it's back to the drawing board."

The increased energy of the new collider will be key to the new studies. The energy of collisions in the LHC in 2015 will be 13 TeV (teraelectron volt) compared with 8 TeV in 2012 during its last run.

While the facility is a big industrial user of power -- about 180MW when it's running at full tilt -- it's not quite powerful enough to dim the lights or send the air-conditioning down in surrounding areas.

"We have a dial that tells us how much energy we're using - it would be equivalent to about 10% of the total power in the Geneva canton," Lamont said.

But anyone expecting a "Bride of Frankenstein" scenario of flashing lights and crackling electrical discharges is going to be disappointed. According to Lamont, while the machine is tremendously powerful, it operates within a vacuum, making it relatively quiet.

"The beam itself does hum, we can hear it oscillating, but the collision energy between one proton and another -- while it's a huge amount of energy for a proton -- is like a house fly hitting another house fly at 5 miles per hour.

"The beam, however, does have a huge amount of energy and we have to be very careful with it."

He said the proton beam is launched at a tangent to the ring and when the energy of the beam needs to be absorbed, they use a graphite block to damp it.

"Now that really does give a good bang," Lamont said. "We had microphones down there and this you could hear."

While there are billions of protons per package sent hurtling through the collider at a rate of 11,000 times per second, only 20 or 30 protons per package will actually collide to produce an effect that can be studied.

Scientist must monitor equipment that registers hundreds of millions of collisions per second typically over 12-hour periods.

"The experiments need this because the interesting stuff like the Higgs is extremely rare. Only very rarely do these collisions produce something interesting and this is the big challenge for us -- to trigger the interesting stuff," he said.

The Higgs may have gone a long way to answering the questions thrown up by the Standard Model, but Lamont says there will still be plenty of good physics to be examined by what is effectively the world's biggest machine.

"We're planning a major upgrade in 2023-25 -- there'll be new more powerful focusing magnets installed and some other upgrades and this will allow us to multiply by five the number of collisions we can deliver.

"That program is planned out until 2035 ... there are some interesting milestones coming up."

He remains sanguine, however, about the possibility that after weeks of collisions and months and sometimes years of study, scientists and researchers may have actually moved further away from answering the mysteries and paradoxes of particle physics beyond the Standard Model.

"Maybe the universe is a bit simpler than we think it is," Lamont said.

Read more from Make, Create, Innovate:

Behold the 'Internet of Sheep'

You will you soon be able to 'swallow the doctor'

The end of electronics as we know it?

@highlight

The LHC, a 27km (17 mile) particle accelerator, is ready to fire up again after a two-year upgrade

@highlight

After nailing down the elusive Higgs boson particle in 2013, physicists are now on the trail of dark matter

@highlight

Dark matter has never been observed, but it makes up nearly 85 percent of all the matter in the universe