(CNN) -- Up until very recently, conventional wisdom held that shipping was a minor player in terms of greenhouse gas emissions. That all changed in October last year. Leaked details of a report by the International Association of Independent Tanker Owners (Intertanko) got into the press, and revealed an uncomfortable truth about the shipping industry -- its emissions could be double the amount everyone previously believed.

Ships emit twice as much greenhouse gases as planes, according to at least one report.

And that would make it's carbon footprint double that of the aviation industry.

The aviation industry emits around 650 million tons of greenhouse gases every year, representing around 3 percent of the global total.

If the leaked documents from research submitted for the Interanko report are to be believed, the shipping industry's contribution is more than twice the amount previously believed (600 million tons) -- which would mean ships emit as much as 1.2 billion tons of greenhouse gases a year.

That would mean ships contribute between 5 percent and 6 percent of all the world's greenhouse gases. To put that in perspective, according to law firm Earth Justice there are only six countries in the world with greater carbon dioxide emissions than the shipping industry: the United States, Japan, Germany, Russia, India and China.

Quick facts about the shipping industry:

• Ships consume at least 2 billion barrels of oil a year;  • They emit 20 percent of all sulphur dioxide emissions; • 30 percent of all nitrogen oxide emissions;  • As much as 1.2 billion tons of carbon dioxide;  • Ships are responsible for at least 60,000 pollution-related deaths a year

In addition to contributing to global warming, the airborne particles ships release from burning fuel (which is less refined than plane fuel) have been responsible for a high number of land-based premature deaths.

A report by the University of Delaware believes at least 60,000 people die each year from lung or heart failure, caused by airborne particles small enough to enter the blood. They believe that number will increase by 40 percent by 2012.

The people who may be getting it worse are those who live near the world's ports. A recent study by Bluewater Network suggests that a single cruise liner stopping off at a port can emit as much greenhouse gas as 12,400 cars during its stay there. (It is suggesting a system whereby docking ships can "plug in" to the local electricity grid which, they say, would slash smokestack emissions by nearly 100 percent.)

Global trade pushes shipping

The reason the shipping industry's carbon footprint is so large is essentially because of global trade. At least 90 percent of all global trade is served by the shipping industry. Why? Because ships can carry a whole lot more stuff than planes, making them a much more cost-effective means of transporting goods. As a result, while the aviation industry transports around 40 million tons of freight a year, the shipping industry carries 6 billion tons of it.

Ships carry products over a collective distance of 6 million kilometers (3.7 million miles) every year. It's not so surprising then why they get through so much fuel. In 2001 alone, they gobbled up as much as 280 millions tons of it. That's more than twice as much fuel as the entire aviation industry gets through (130 million tons) a year -- and twice as much as Germany uses up.

Some believe a virtuous circle has been created by advances in shipping technology and the explosion in international trade. The opening statement of a 2005 report issued by the OECD's Maritime Transport Committee is quite revealing in this regard:

"The study confirms what was already known. The adaptability of regular cargo shipping lines and advances in technology -- mainly containerization -- have accompanied or even encouraged the vigorous growth in the trade of manufactured goods and the transfer of their production to regions and countries offering significant comparative advantages, mainly in terms of labor costs."

In short, as more goods get made in poorer countries, there will be more need to transport them to their customer markets around the world. The increase in the global transfer of goods will therefore dictate the levels of ships' fuel consumption, and therefore their negative impact on the environment as well.

By 2020 some estimates put the amount of fuel ships will need at as high as 400 million tons -- just to sustain the increase in business they receive from the growth in global trade. If nothing is done to come up with cleaner ways to power ships, maritime emissions could balloon by as much as 75 percent within that same time period, some estimates go.

So how come ships have fallen below the radar for so long? Some believe the reason has a lot to do with an imbalance of public pressure, which has traditionally focused on cars and planes. The thinking goes, most people know who the airlines and car makers are, while they would be hard-pressed to name the world's largest ocean shipping company (it's Denmark's Maersk).

Others, like WWF say it has been difficult to regulate the shipping industry  because "international law limits the ability of coastal nations to impose and enforce their own environmental and navigational regulations on foreign ships passing through their waters".

For this reason, it says, countries have traditionally followed conventions set by international organizations such as the International Maritime Organization. But WWF argues the beaurocratic processes involved in these types of international bodies can mean issues take an unnecessarily long time to resolve (neither aviation nor shipping is included in the Kyoto Protocol, for example, and discussions to include these two polluting industries in the follow-up agreement to Kyoto are only happening now).

Essentially, the only countries that tend to push issues are the ones that are directly impacted. And that means even if issues are recognized early on, until enough interested countries push the agenda, those attempting to bring these issues to global attention remain lone voices.

As the WWF points out on its web site: "It was only after the single-hulled Exxon Valdez went down off the coast of Alaska in 1989 that the U.S. introduced a phase-out of these old tankers...It took the sinking of the single-hulled Erika ten years later off the coast of France for the member states of the IMO to accelerate the global phase-out to match that of the US."

However law firm, Earth Justice believes nations could do a whole lot more to enforce both international rules when ships dock at their ports, as well as introducing their own rules. To that effect it has recently filed a petition, on behalf of a number of environmental NGOs, with the U.S. Environmental Protection Agency (EPA) to pressure it to enforce stricter rules on both US and foreign-owned ships stopping off at its ports.

Earth Justice says the EPA does, in fact, have legal authority once ships come within 200 miles of the country's coastline, so it can enforce its own strict pollution standards on ships, regardless of whether they are locally or foreign-owned. The NGOs involved essentially wants to see stricter rules on fuel efficiency as well as the use of cleaner fuels.

Oceana, one of the environmental groups petitioning the EPA is warning that if nothing is done, "shipping pollution will increase substantially, potentially doubling from 2002 levels by 2020 and tripling by 2030." E-mail to a friend

(Sources: International Chamber of Shipping; Oceana; IMO; The Independent; Maritime Transport Committee; Sustainable Shipping; New Scientist; Bloombery; Earth Justice; WWF; OECD; Bluewater Network)

@highlight

Shipping industry more harmful than previously thought

@highlight

Estimates put emissions at as much as 1.2 billion tons

@highlight

More than 90 percent of global trade served by shipping industry

@highlight

More regulation needed, say environmental groups suing EPA