London (CNN) -- One year ago, Lord Justice Leveson delivered his damning report on the "culture, practices and ethics" of the British press. Called into action following the revelations of widespread phone hacking at the best-selling (and now defunct) News of the World tabloid, Leveson concluded that sections of the press "had wreaked havoc with the lives of innocent people whose rights and liberties have been disdained."

Leveson called for a new form of independent press self-regulation to be overseen by a recognition body established in law to replace the industry-backed Press Complaints Commission (PCC) that had, by that time, been utterly discredited.

One year on and the situation is a mess. First, the press barons, including News Corp's Rupert Murdoch and the Daily Mail's Paul Dacre, launched a vicious assault on Leveson's proposals, arguing that any form of statutory regulation constituted the end of "300 years of press freedom." This is despite the fact that the press are already subject to multiple forms of statute (including libel and contempt of court) and in receipt of public money via their exemption from sales taxes.

This is also despite the fact that Leveson himself wrote: "[N]ot a single witness has proposed that the Government or Parliament should themselves be involved in the regulation of the press. I have not contemplated and do not make any such proposal."

Under pressure from this sustained campaign of press self-interest, the government, supported by all the main parties, attempted a compromise by enshrining Leveson's recommendations in what was supposed to be a less controversial instrument, a Royal Charter (the same body to which the BBC is accountable), that was signed off late last month. The press responded with another hissy fit, announcing that they would ignore the Charter and instead proceeded to set up their own outfit, the Independent Press Standards Organisation (IPSO), seen by some as a PCC Mark 2.

We should not have been surprised. Nick Davies, the Guardian journalist who did so much to expose the original phone hacking story, wrote immediately after the publication of Leveson's report of the real danger that the debate will now "be conducted under the same old rules -- of falsehood, distortion and bullying."

So while we read endless stories about how we now have a "Ministry of Truth" and a "Politicians' Charter" (despite the fact that IPSO would have members of the Houses of Lords with close connections to the newspaper industry in powerful positions), no one has yet been able to provide a single example of how an oversight body of a self-regulator with no remit whatsoever to impose restraints on journalists will be able, single-handedly, to undermine what is regularly described as our "raucous" press.

Meanwhile, in a press culture that has allegedly been "chilled" in the post-Leveson era, the Daily Mail found the courage to attack the late Ralph Miliband, father of Labour leader Ed Miliband, as a man "who hated Britain" (an attack that Miliband Jr. responded to robustly) while the Sun managed to find evidence of 600,000 "benefit tourists" in the UK, a claim it quickly had to refute.

Even more significantly, we have discovered that our "raucous" tabloids love free speech so much that they have accused the Guardian of "treason" in exposing the existence of state-sponsored surveillance systems run by the U.S. National Security Agency and GCHQ, its British equivalent.

Press power, as Nick Davies predicted, has been effectively mobilized since Leveson released his report last year. This disguises the fact that his recommendations, together with those embedded in the Royal Charter, are rather modest and will not end press freedom or chill investigative journalism. Indeed, there are elements of the Charter that should help to iron out some of the worst examples of intrusion and inaccuracy while access for ordinary people to a low-cost arbitration system might help to prevent some of the most damaging excesses of sensationalist reporting.

However, the proposals, as contained in both the Charter and the Leveson Report, fail to tackle the structural causes of the phone hacking crisis: the determination of a highly ideological and competitive press to increase circulation and secure exclusives and influence by any means necessary. Without challenging the underlying conditions that gave rise to the current crisis, the whole regulation debate has been subject to precisely the power relations it sought to investigate and hold to account.

Press power has consistently attempted to challenge, undermine and distort proceedings in the hope that things will soon return to normal and that proprietors can once again invite politicians to their yachts and to ride horses with them without a word being said.

This reflects some of the weaknesses of the Leveson Inquiry, which heard a vast amount of evidence about the extent of corporate lobbying and intimate relations between media executives and ministers but shied away from making any meaningful changes to media ownership rules that might make individual companies less powerful and therefore politicians less likely to kowtow towards them. The same goes for evidence about police corruption -- many examples were provided to the Inquiry about a "network of corrupted officials" but the idea that there was an institutional problem was dismissed.

Corrupt organizations, complicit relationships and corrosive systems were therefore simultaneously exposed but also stripped of their systemic character in order to pursue politically pragmatic resolutions.

That pragmatism has now fallen foul of the continuing power of the press -- aided, not undermined, by its online presence -- and as we move towards a general election in 2015, there is likely to be even less of an appetite among politicians of all parties to tackle the issue of concentrated media power.

It would be a huge mistake to shrug our shoulders and to say that this is simply the result we were always going to get. Time after time, newspaper readers have shown in polls that they trust neither politicians nor proprietors to deliver an ethical and independent press while a substantial majority of the public wants to see action taken to limit the size and influence of the largest media outlets. However, it does seem that, for now, corporate media interests have outmaneuvered those fighting for meaningful change.

Leveson confirmed what many people knew to be happening: that politicians, media executives and senior police chiefs were in each other's pockets and that the press serves largely the corporate, rather than the public, interest. There is no reason to think that anything has changed since the report was published and it will require action far beyond that of a public inquiry to tackle the problems that Lord Justice Leveson raised a year ago and that still wait to be adequately addressed.

The opinions expressed in this commentary are solely those of Des Freedman.

@highlight

One year ago, Lord Justice Leveson delivered his damning report on British press

@highlight

Leveson sought independent press self-regulation; press has rubbished proposal

@highlight

Press power effectively mobilized since report publishes, Des Freedman says

@highlight

Freedman: Action needed far beyond that of public inquiry to tackle problems of UK press