London (CNN) -- It would be a mistake to write off threats of war against Syria from Turkish Prime Minister Recep Tayyip Erdogan as mere bluster, assuming that Turkey will maintain the status quo in valuing its relationship with the United States on one hand, while resisting Iran's hegemonic ambitions on the other.

The recent cross-border confrontation could ignite regional convulsions as Turkey is sucked into Syria, leading to belated actions on the part of the international community.

The Assad regime knows its time is limited as the rate of military and intelligence officers defecting to Jordan and Turkey increases in momentum. Rebel attacks are inching closer to the heart of the Assad regime, such as the recent attack on the Syrian air force intelligence compound in the Damascus suburb of Harasta. This contributes to the regime's recklessness in firing upon Turkey with impunity.

Ankara may also be emboldened by the fact that Iran, a key Assad ally, could be limited in its ability to intervene due to its economic woes at home. This week its currency -- the rial -- plummeted in value due to a combination of sanctions and Tehran's own mismanagement of the economy. Turkey has less to lose by responding to Syrian aggression -- this rationale is supported by recent reports that Iran has withdrawn from Syria 275 members from a special operations unit attached to its elite Quds Force.

The conflict in Syria is no longer considered a purely internal matter. It clearly has regional ramifications. Thus I believe Turkey's aim to secure its border is inextricably linked with regime change. Its increased military operations may stem from a calculus that it would accelerate the Assad regime's demise. The Turkish parliament's assent for its troops to conduct operations inside Syria is not merely a symbolic attempt to bolster Turkish pride while responding to domestic political pressure over the Syrian attacks. It gives its armed forces the ability to do more than defend its borders.

It is also likely that NATO may assist Turkey -- a member state -- with the defense of its 560-mile border, creating a de facto humanitarian buffer zone, where the Syrian opposition could have a command post. However, this risks escalating the conflict into a NATO-led mission outside the framework of the U.N. Security Council -- the kind of interventionist measure Russia and China would oppose as they did in Libya.

The shift towards conflict with Syria is characterized by the kind of strategic shift in the region that we've seen before with Turkey. Erdogan was initially reluctant to impose sanctions on Iran and is now embracing EU sanctions on Tehran. The Turkish premier was also supportive of Iran's nuclear ambitions all the while seeking to downgrade relations with Tehran's nemesis, Israel. Now it is aligning itself with the Sunni bloc, including Gulf states and Jordan against Iran and its Syrian proxy. This could prompt an Iranian military response and in turn instigate another spike in oil prices.

The longer the Syrian civil war continues, the greater the prospect of regional sectarian tensions emerging along Sunni-Shiite fault-lines. This could result in a Middle Eastern Cold War between regional powerhouses Saudi Arabia, with its mainly Sunni population, and the Shiite-dominated Iranians.

Meanwhile, The Obama administration's apparent strategy of "leading from behind" is an excuse for its dithering over the Syrian humanitarian crisis. Similarly, the United Nations' inaction over the crisis results from a deadlock at the Security Council, with China and Russia opposed to any intervention -- implausibly advocating that the rebels conduct dialogue with a murderous regime.

Yet with the UN's extensive history of paying lip service to upholding the values of human rights while ignoring genocide in Rwanda, Sudan, Balkans and Iraq, its dismissive manner towards the current massacres taking place on a daily basis in Syria should come as no surprise. There are estimates that up to 50,000 people have been killed, with up to two million people internally displaced since the conflict started. The U.N. claims that 300,000 Syrians have fled the country.

The U.S., realistically the only nation with the necessary military and logistical capability, could easily have prevented the refugee crisis that has heightened the prospect of conflict with Turkey. Its wariness to arm rebels was to prevent blowback from the Syrian Muslim Brotherhood and other empowered Islamists in Syria. Yet the protracted conflict there has generated a kaleidoscopic civil-war and vacuum of governance across much of Syria that has attracted Islamists, and even revived al-Qaeda, enabling it to infiltrate the ranks of the opposition and gain support in the wake of its attacks on Syrian military and government installations.

The U.S. and its NATO allies could also have prevented much bloodshed by using air power to target the Assad regime's military apparatus. Syria's military concentrated in Damascus, Aleppo and northern Raqqa province are strained and would be overstretched if forced to respond to external military pressure.

Yet Washington and its NATO allies could now be forced to place a significant number of troops on the ground to prevent the proliferation of Syria's stockpile of chemical and biological weapons. The Obama administration has resigned itself to wishful thinking assuming, as Defense Secretary Leon Panetta has done, that Syrian security forces could be held together to secure chemical weapons sites in the wake of the toppling of the Assad regime. In a vacuum of governance dominated by Islamists, this may become a proliferation nightmare.

While the U.S. is keen on winding down its involvement in the Middle East to refocus its attention on Asia, Syria may be the instigator that sucks it back into the region for another decade to manage a second Cold War.

The opinions expressed in this commentary are solely those of Barak Seener.

@highlight

Turkey's military retaliated against Syria attacks on Turkish border town recently

@highlight

Turkish parliament has authorized its troops to enter Syria if necessary

@highlight

Seener: Confrontation could ignite regional convulsions as Turkey is sucked in to Syria

@highlight

U.S. could have prevented much bloodshed by using air power to target regime, he says