(CNN) -- In the fall of 1995, I jumped into a large van with about 20 other young black men, and we headed out from the small college town of Kalamazoo, Michigan, to Washington.

Destination: the Million Man March.

The mission: addressing the ills crippling black men.

We were an intellectually curious and rambunctious group. Loud, idealistic Gen Xers, raised on the sweet nectar of Public Enemy's message of personal responsibility and the films of Spike Lee that encouraged us to fight the power. So convinced that this event was going to change the world that when we turned on the radio, and McFadden and Whitehead's "Ain't No Stopping Us Now" came on, I took the song as providence.

Nearly 20 years later and I'm sure I don't need to rattle off all of the discouraging statistics regarding men of color in this country to illustrate that moment was anything but the awakening it was designed to be.

Yet I sat Thursday in the East Room of the White House -- listening to President Barack Obama as he announced his "My Brother's Keeper" initiative, looking at the young men who stood on risers behind him, listening to the affirmative audibles of the attendants, like the congregation of a Southern Baptist church -- and I found myself fondly reminiscing. I found myself inspired.

When I first came to Washington to address the unique circumstances hindering men of color, it was with a megaphone shouting at the White House. On this day, I was in the White House, and the megaphone had been replaced with a microphone clipped to a podium that bears the seal of the President.

Progress.

Afterward I was asked if I thought this initiative would make a difference.

My answer was yes.

True, the cynic will look at the laundry list of already created programs -- locally and nationally -- that were designed to dismantle the debilitating factors that have plagued men of color over the years, look at "Keeper" and shrug.

Others will accuse Obama of promoting division by using the office to highlight the issues of minorities over those of their white counterparts. As if one in three black males being projected to go to prison at some point in their lives can be construed as some sort of highlight.

But such is the world of the first black President of these United States.

Obama spent the first five years of his administration cautiously touching on the issue of race -- a beer summit here, a hypothetical "son" in the wake of the killing of Trayvon Martin there -- likely for fear of being perceived as only caring about the needs of "his people" as opposed to "the people."

As a result, he has been the target of sharp criticism from some within the black community who see him aggressively addressing the pain of the lesbian, gay, bisexual, and transgender community, or tackling issues such as immigration that greatly affect Latinos, and they wonder what about us?

What about our pain?

The wealth of black households has declined more than any other demographic during Obama's time as President and those hurt most by this wonder: What about us?

Blood continues to flow and bullets fly in the neighborhood streets he calls home and the residents wonder, what ... about ... us?

Thursday he said, I hear you.

I was asked if that would make a difference.

My answer is yes.

Obama's address was not about government.

It was about community.

His community, which is my community, which is your community.

For as much as the narrative has historically reflected a storyline framed around the troubles of one section of society, the reality is no section is immune economically from the effects of this crisis.

Men of color are more prone to drop out of high school than anyone else.

A majority of inmates lack a high school diploma.

In a 21-year span ending in 2003, the amount of money spent on prisons increased by 570%.

That money comes from taxes.

Dots connected.

Not to mention the loss of workers and the well-documented effects of unplanned pregnancies coupled with absentee fathers.

And when news reports of young men dying from gang violence no longer elicit an emotional response -- a sad reality the President talked about -- we are indeed in a moral crisis.

Will "Keeper" make a difference?.

Yes.

Whether Obama is freed from the need to appease now that he's in his second term or driven by the urgency of the moment, the forming of "My Brother's Keeper" is the most tangible manifestation of his "Change We Can Believe In" slogan in years. And while $200 million promised by various corporations and philanthropic groups is but a "drop in the bucket" in terms of the resources needed -- as one of his critics, Tavis Smiley, pointed out soon thereafter -- the fact he was able to raise that amount quietly is an indication that addressing this crisis has been on his mind for some time.

Even if he was hesitant to talk about it.

Michael Cruz, a local student involved in an education supplemental program called Communities in Schools, was one of those young men standing on the risers behind the president. He spoke to me about what it was like to spend time with Obama and how he has already been encouraged by what the President wants to do.

"People are always trying to bring your self-esteem down," the 16-year-old from Washington told me. "I have neighbors and kids in school telling me that I won't turn out to be anything and stuff like that.

"Some parts of my neighborhood are good and some parts people are doing drugs and stuff like that. But I try not to pay any attention to them and stay focused on my goals."

Goals that include going to college and becoming a chemical engineer.

Over the past two days, he has gotten to know Michael Carter, a 15-year-old at his school. While Cruz has two parents in the home, Carter said he is raised by his mother and gets support from his aunts and cousins who help him stay out of trouble.

"Getting to know Michael has been a great experience because he has goals like I do," Carter said. "I didn't know him before, but now that I have, we've become good friends. I know I will do all I can to encourage him and help him because seeing him do well will inspire me to do well."

Carter, who wants to attend Syracuse University and major in computer science, is his brother's keeper.

And so if you saw the President's address or read some of his remarks and wonder if it would make a difference ...

First think of Cruz and Carter and invariably your answer will be yes.

The opinions expressed in this commentary are solely those of LZ Granderson.

@highlight

LZ Granderson: Will President Obama's "My Brother's Keeper" initiative make a difference?

@highlight

He says it will address dangers of dropping out of school, getting in trouble with the law

@highlight

The problems of young black males affect all of society economically, Granderson says

@highlight

He says Obama returns to "change" theme by addressing his community's issues