(CNN)Have you ever found the creative inspiration you were seeking at the most unexpected time, or thought you were having that long-awaited problem-solving epiphany just as you nodded off to sleep?

According to neuroscientists John Kounios and Mark Beeman, there's a reason for that. Their book, "The Eureka Factor", explores the influences at work behind that much sought-after "Aha!" moment. Research suggests that in trying to conjure up inspiration, most of us end up suppressing it. The book explains how to clear out mental junk, in order to make way for pivotal revelations.

Dr. Kounios explained: "Insights involve unusual connections. Cognitive psychologists call these 'remote associations'. They are processed mostly in the brain's right hemisphere. Insights occur when a subconscious remote association suddenly pops into awareness. This is accompanied by a burst of activity in the brain's right temporal lobe."

"We wrote "The Eureka Factor" to help people understand how creative insight works in the brain so they can use various strategies harmoniously without having them cross-circuit each other, " said Kounios. "For example, there is evidence that imagining the future helps to put someone in an insightful state. However, if a person imagines a specific future that makes them anxious, then insightfulness could decrease because anxiety is a creativity killer."

"That said, a positive mood and a broad, expansive spread of attention are a couple of key features of the insightful state," he added.

Following are some of the tips they suggest for unleashing your creative potential -- both at home and at work.

Spaciousness helps broaden thoughts. Even high ceilings have been shown to broaden attention. Small, windowless offices, low ceilings and narrow corridors will do little to inspire our brains and make us flexible, creative thinkers.

Relaxing outdoor colors such as blue and green contribute to this state. "Emergency" colors such as red suppress it. Surprisingly, dark colors and dim lighting can also be beneficial: by obscuring visual details, they help people think more abstractly.

Static surroundings encourage static thinking. Don't be predictable. You should sometimes change everyday routines, such as where you go for coffee or your route to work. Rearrange your furniture and decor from time to time, at home and in your workplace. Hold meetings in a variety of places.

Make sure to include some nonconformists in your inner circle. Unusual people tend to be out-of-the-box thinkers, and their unique outlook might help you attack a problem from a different angle.

The threat of a firm deadline will narrow your thinking and inhibit your insight. Try and use soft target dates and a flexible schedule to establish a helpful, nonthreatening time frame. Rewards and punishments for meeting or missing deadlines, if needed at all, should be vague and mild so they don't contribute added pressure.

A positive outlook will help stimulate a more open mind, one that can process a greater number of ideas. If you struggle to think happy, try focusing on the people and things that bring you joy. To put a twist on Pasteur's famous saying, chance favors the happy mind.

When you're stuck on a problem, take a break to do or think about something very different. Expose yourself to a variety of people and places. Listen to music or go to a pleasing movie, art exhibit or talk a walk. Play a game, dance, do yoga, read. Insight triggers appear at the most unlikely times and places.

We all know how important sleep is to our cognitive thinking. The sleep-deprived mind is more likely to fixate on small matters -- an absolute killer to creativity. Ample sleep also helps foster the discovery of hidden connections between ideas.

Insightful thought is at its best when your powers of inhibition are weaker, because reduced focus opens up your awareness to remote associations that wouldn't come to you when you're feeling sharp. If you're an early bird, you should try doing your creative work at night. If you're a night owl, try the morning.

Perhaps the single most important thing to remember is that your mental state can change. It takes a while to sink into an insightful mindset. Try and schedule uninterrupted blocks of time for relaxed, freewheeling creative thought. Turn off your phone. Get rid of the clock. Let abstract ideas and vague impressions flow where they will.

Tips have been extracted from the book "The Eureka Factor", which has been written by Dr. John Kounios and Dr. Mark Beeman.

How missing sleep can damage your IQ

How to make rejection work for you

7 habits of highly ineffective people

@highlight

Two neuroscientists have conducted brain imaging to examine moments of clarity

@highlight

Sudden "insights" are otherwise known as "Eureka" or "Aha" moments

@highlight

We can increase our chance of these insights with a variety of daily changes