(CNN) -- There's a popular African proverb that seems particularly relevant to this World Health Day: "If you think you're too small to make a difference, try sleeping in a closed room with a mosquito." Beyond their power to annoy, mosquitoes and other insects carry an outsized ability to kill, disable and disfigure people in massive numbers.

Human history is closely linked to diseases carried by vectors such as the sand flies at the heart of blinding and disfiguring diseases referenced during biblical times, fleas responsible for bubonic plague in Medieval Europe, and the mosquitoes that carry one of today's most well-known diseases, malaria.

What most people don't know, however, is that there are several other vector-borne diseases that have a staggering impact on the world's poorest people. Called neglected tropical diseases, or NTDs, this group of parasitic and bacterial infections plagues one in six people worldwide, including more than 500 million children.

These diseases, such as lymphatic filariasis, also known as elephantiasis, can cause severe deformities in sufferers and are one of the major reasons for lower economic productivity among adults and decreased school attendance among kids in poor and even middle-income countries, and pose a primary obstacle to achieving many of the Millennium Development Goals, particularly for education, nutrition, and maternal and child health.

Potential success story

It's easy to focus on the bleak side of NTDs, but the truth is their control and elimination potentially represents the next major public health success story.

There is now a worldwide effort to neutralize the threat posed by NTDs. A consortium of partners -- including the World Health Organization, Bill & Melinda Gates Foundation, and 13 pharmaceutical companies -- came together two years ago to enact the London Declaration, a sweeping commitment by public, private and government partners to achieve control and elimination of 10 NTDs by 2020.

In the time since, nearly 1.35 billion pills to treat several NTDs have been donated annually by the pharmaceutical sector, with a commitment to provide 14 billion treatments on average over 10 years. The value of these donations has been estimated at $19 billion through 2020 and is a primary reason for driving down the cost to treat and protect one person against multiple NTDs to less than 50 cents per year.

Correspondingly, more than 70 countries have enacted plans to integrate NTD funding into their national budgets and focus greater health resources on NTD-related health programs, and we are seeing major progress in how NTD programs are integrated with other health and development initiatives involving water, sanitation and health (WASH), nutrition and education.

All of this is big news. Since NTD pills do not require any clinics or medically trained personnel to administer, and are shelf-stable for long periods of time in hot climates, the task of getting them into the hands of the neediest communities is dramatically easier than other major health interventions.

When treatments are given to a community over a sustained period of five to seven years, elimination of NTDs as a public health threat is achievable. In the case of vector-borne diseases, it means that the insects and snails that normally transmit parasites from one human to another can no longer infect the population with the parasitic loads usually derived from other infected people.

Ending the diseases

With all the recent momentum for combating NTDs, we are now closer than we have ever been in history to finally seeing the end of these diseases. But we still have formidable barriers to overcome if we expect to reach broad control and elimination targets by the end of the decade.

The global cost to achieving the 2020 NTD goals is relatively minimal relative to other health interventions: we have a funding gap of only $200 million per year to cover the expense of distributing the donated medicines to affected communities.

Bridging this gap requires new partners to join the effort. NTDs offer one of the best returns on investment available in public health.

Imagine: for only 50 cents per year, we have the potential to free a person to work more productively or excel in school, providing a path to increase lifetime earnings. Such a minimum investment yields the kind of returns that free the poorest communities to help grow, and participate in, market economies. For political and business leaders, NTD treatment should be seen as a basic investment that strengthens a country's potential labor and consumer force, tapping new sources of GDP growth.

It is paramount global leaders prioritize NTDs on the post-2015 development agenda to make NTDs a plague of the past. All of the right factors align -- from donated, safe treatments and readily available school-based distribution points to an unmatched return on public health investment. With greater commitment by national governments, multinational and bilateral donors, corporate partners and philanthropists, we can reduce suffering on a mass scale and help millions of people achieve their full economic and social potential.

For more information visit: www.end7.org or www.globalnetwork.org.

The opinions expressed in this commentary are solely those of Dr. Neeraj Mistry.

@highlight

World Health Day focuses on diseases spread by insects, other animals

@highlight

Neglected tropical diseases (NTDs) affect one in six people worldwide

@highlight

50 cents will protect one person from multiple NTDs for a year, writes Neeraj Mistry

@highlight

Beating NTDs could be next major public health success story, he says