Georgian President Mikheil Saakashvili conceded his party's defeat Tuesday, setting the stage for the nation's first peaceful, democratic transition through election since the breakup of the Soviet Union.

Victory in the parliamentary elections went to a coalition headed by billionaire businessman Bidzina Ivanishvili.

Ivanishvili is set to become the next prime minister. Saakashvili will remain president until presidential elections next year.

The result of Monday's election means Georgia will have a multi-party parliament, boosting democracy in the nation, observers said.

The vote also is a reflection of how the people feel about Saakashvili. He took power in 2004 after the Rose Revolution, the name given to widespread protests over disputed parliamentary elections.

Saakashvili is credited with having changed the country by moving toward integration with the West, with steps such as seeking membership in the European Union and NATO. He also revamped the nation's economy, retooling it to reflect a free market system.

But critics said that beneath the surface, his government was dominated by Soviet-style "administrative measures."

Ivanishvili, whose Georgian Dream alliance won a majority of seats in the 150-member parliament, said the new government would seek to mend the country's troubled relations with Russia. The two nations fought a brief but bitter war four years ago over the breakaway region of South Ossetia.

"Restoring relations with the Kremlin is one of our main tasks and we will strive in every way to do this," he told CNN. "I think it's achievable but not easy. First we have to convince the Kremlin that our strategy toward NATO and Europe is not harmful to and does not contradict Russian interests."

NATO ambitions

His coalition shares the outgoing government's ambitions to join the NATO alliance, he said.

Russia and Georgia would also need to work together in the future to resolve the issue of separatist territories, Ivanishvili said.

"The Caucasus is a very complex and explosive region. I think, here, we will find common interests in the future," he said.

In a statement released by his office, Saakashvili said he would assist the transition to a new government and that his party, the United National Movement, would now assume the role of the main opposition.

"It is well known to you that for us, and for me personally, the ideas of the coalition are fundamentally unacceptable. There are very deep differences between us, and we think that they are extremely wrong," he said. "However, democracy works so that the Georgian people make decisions by majority and this is what we hugely respect."

Saakashvili paid tribute to the country's achievements over the past eight years, citing progress in fighting crime and corruption as well as in building new institutions, and said his party would fight in opposition to protect those advances.

Russian Prime Minister Dmitry Medvedev said the results indicate the people of Georgia want change.

"If these results become a reality, then the Georgian political landscape will be more diverse," he said. "It should be welcome because it probably means that more responsible and constructive forces are entering the parliament."

CNN iReporter Andro Kiknadze, 31, shot video of jubilant opposition voters waving flags and honking car horns near Freedom Square in the Georgian capital, Tbilisi.

He said he had voted for Saakashvili because he thought the president stabilized the country.

"Many things have changed since he came to power," Kiknadze said. "We are more stable and peaceful than before."

The United States hailed the election as a "significant step in the consolidation of Georgian democracy."

"Georgian citizens have set a regional and global example by conducting a competitive campaign, freely exercising their democratic rights, and affirming their commitment to undertake a peaceful transfer of power," the White House said in a statement, adding that much work remains in coming days and months.

The vote in the parliamentary election had not been fully tallied, with Georgia's Central Electoral Commission continuing to count.

The commission's performance has been lauded as professional and independent, said Lorne Craner, president of the International Republican Institute, a democracy support organization funded by the U.S. Congress.

"There's no question in my mind ... the election commission can be relied upon," he said from Tbilisi.

iReporter Jonathan Hackett, an American teacher living in the Imereti region in central Georgia, said the scene was calm Monday night and Tuesday morning, despite the large amount of support for Saakashvili in the region.

"It turns out the election was considered free and fair, at least in our little village," he said. "People were gathered outside the local convenience store discussing the outcome."

Power shift to prime minister

The new system will shift power from the president to the new prime minister, according to Thomas de Waal, an expert on Georgia and a senior associate at the Carnegie Endowment for International Peace in Washington.

"The prime minister will be chosen by parliament, which thus hands important powers to whichever political force obtains a majority in parliament in the ... elections," de Waal said.

Until recently, Saakashvili and the United National Movement have controlled much of the political life in this country of 4.5 million people. Saakashvili has been praised by U.S. and European officials for making progress in the fight against corruption and for continuing economic reform.

But critics, who coalesced behind Ivanishvili, said reform was only skin deep, and charged that Saakashvili has been pulling all the levers of Soviet-style "administrative measures."

During the election campaign, they raised concerns about a level playing field for the opposition, alleging harassment and limitations over access to the media.

Money was also a major issue during the campaign, experts said.

Observers: Georgia opposition may be premature in declaring victory

For example, the government tried to regulate how much could be spent on corporate contributions and that affected how much Ivanishvili could spend.

"I think that the government, at times, overstepped when it created an entity called the Chamber of Control and Fines to watch over these new regulations," said Stephen Nix, the director of Eurasia at the International Republican Institute and an expert on Georgia.

"This means, overall, that there is a closer approach to democracy which will be felt about one year from now, in October 2013, when a presidential election happens," Nix added, speaking from Tbilisi.

High stakes in polarized election

For his part, Saakashvili has referred to the opposition leader Ivanishvili as that "big money guy."

The president accused Ivanishvili of wanting to "buy the whole system," and said he saw behind him the hand of Russia.

The president said he was concerned by the amount of wealth that Ivanishvili has accrued in Russia, and whether that money was used to influence the elections.

"We know what Russian money is all about," he said. "How it was made, what kind of methods were used, and certainly it is a source of concern," he said.

False stereotypes, Ivanishvili says

A self-made businessman who made his money in Russia after the fall of the Soviet Union, Ivanishvili left Russia shortly after Vladimir Putin came to power.

His staff confirms his status as Georgia's richest man, with a fortune estimated at approximately $6.4 billion, equal to almost half of Georgia's economic output.

But he said "it's not money and wealth which is my capital. It's trust from the people toward me. Money has nothing to do with this."

The billionaire said he had sold all his Russian assets, and defended his reputation.

But Saakashvili insisted that not only Ivanishvili but Putin himself was trying to undermine Georgia.

"Vladimir Putin said clearly that he is interested in the Georgian election outcome. He clearly said that he wanted the Georgian government out. He clearly said that he wanted me to be physically destroyed, he said it publicly," Saakashvili said.

Georgia's electoral waters were roiled by a shocking video that emerged last month showing abuse in a Georgian prison, including one male prisoner being sexually assaulted. The opposition claimed the video was proof of a repressive system put in place by Saakashvili and his government.

Former Georgian prison guard: I witnessed abuse for years

Saakashvili said his government had responded quickly and decisively to the video, citing an investigation that has led to arrests.

"Not only were the immediate perpetrators arrested," he said, "but two government ministers resigned because they shared political responsibility for allowing the system to fail."

Read more: Georgia interior minister quits over prisoner abuse videos

The torture shown on the video is no accident, but part of a system that is shameful, Ivanishvili said.

De Waal said the video is significant, as the prison population has quadrupled over the past eight or nine years.

"I do think it (the video) supports the opposition narrative that the government is arrogant and unaccountable. And this is obviously a war of two narratives over Georgia that we're seeing in this election," he said.

@highlight

"Restoring relations with the Kremlin is one of our main tasks," Ivanishvili says

@highlight

Russia's Medvedev says Georgia's parliament is set to be more diverse

@highlight

Saakashvili says he respects the democratic process, will become leader of opposition

@highlight

The U.S. and Europe have praised reforms under President Mikheil Saakashvili