(CNN) -- Want to go out on a limb for your next vacation -- literally? Once the sole province of young boys and Ewoks, tree houses offer adventurous travelers (read: unafraid of heights) a unique travel experience in an age of roadside motel chains and globe-stretching hotel corporations.

Building a hotel in the treetops is hardly a new idea: Brazil's Ariau Amazon Towers Hotel has been inviting guests to explore the jungle canopy from its rooms since the mid-1980s. But the concept has blossomed; today you'll find them everywhere from Massachusetts to China.

Better yet, this new breed is more than just planks of wood nailed to an old oak. Head to South Africa's Tsala Treetop Lodge, in Plettenberg Bay, and you'll find infinity pools and fireplaces.

Modern tree houses present a rare opportunity to drive past the McResort and break free of travel's predicable stops and well-traveled routes. Up in the leaves, you'll find something unique and exceptional -- surely the reward of any good journey.

20 of the world's most outstanding places

Tree House Lodge, LimÃ³n, Costa Rica

Why it's unique: The highlight of this 10-acre beachfront property, within the Gandoca-Manzanillo Wildlife Refuge on Costa Rica's southern Caribbean coast, is a sustainably built tree-house made from fallen trees, with solar heating, two bedrooms, a kitchen, and a shower built around the crooks and roots of a massive 100-year-old Sangrillo tree.

Access: Hanging steel bridge.

What to do: Snorkel or kayak off the nearby Punta Uva Beach.

Travel + Leisure: World's coolest futuristic buildings

Treehotel, Harads, Sweden

Why it's unique: Leading Swedish architects gave the backyard staple a strange futuristic makeover at the Treehotel outside Harads village (population: 600). Perched four to six meters above the ground, each of five treetop suites has its own look, whether resembling a bird's nest, a flying saucer or a construction of Lego blocks. The most ingenious suite has a mirrored exterior, reflecting the forest on all six sides.

Access: Ramp, bridge, or (if you're lucky) electric stairs.

What to do: Pursue the Northern Lights by dog-sled ride or snowshoe hike through the Lule River Valley in winter, or go fishing and kayaking in summer.

Travel + Leisure: World's most unusual hotels

Playa Viva, Juluchuca, Mexico

Why it's unique: The eco-friendly Playa Viva north of Acapulco on Mexico's Pacific Coast features three tree-house casitas completely built with sustainable materials. Each has a bedroom and full porch for dining and lounging, and the master development plan calls for a beach club, lounge and a 40-room boutique hotel, plus solar-generated electricity and hot water.

Access: Series of stairs, ramps, and bridges.

What to do: Tour the resort's 200 acres, 80 percent of which is a private nature preserve.

The Aviary, Lenox, Massachusetts

Why it's unique: Located on 22 acres of parkland designed by Frederick Law Olmsted, the two-story Aviary tree-house is housed in a former aviary at Wheatleigh, a sprawling 1893 "summer cottage" in the Berkshire Mountains. The luxury suite features a limestone wet room with an antique soaking tub, circular stairs leading to the second-floor sleeping quarters in the trees and a Bang & Olufsen entertainment system.

Access: Ground-floor entrance.

What to do: Sample the season's bounty in Wheatleigh's elegant Dining Room restaurant, or poke around the historic area's local galleries, antique shops, and museums.

Travel + Leisure: World's coolest ferris wheels

Hinchinbrook Island Resort, Hinchinbrook Island, Australia

Why it's unique: Hinchinbrook, a 96-acre national park with lush rainforests, rugged mountains, and coarse sandy beaches, has just one option for accommodations: the Island Resort, a secluded hideaway with 15 roomy tree-house bungalows, each with floor-to-ceiling glass windows, small kitchen, private balcony and bath, and easy beachfront access.

Access: Winding timber boardwalks.

What to do: Stroll one of the island's 11 secluded beaches, and in the evening relax at the Island Resort's bar.

World's best airport hotels

Tsala Treetop Lodge, Plettenberg Bay, South Africa

Why it's unique: Overlooking the Tsitsikamma Forest, this high-design stone-and-glass lodge counts 10 secluded tree-house suites, each with floor-to-ceiling bedroom windows, a log fireplace in the living room, a private deck, and an infinity-edge pool.

Access: Wooden walkways.

What to do: Explore South Africa's Garden Route, which winds along the botanically rich Western Cape, or relax on the beach at nearby Plettenberg Bay.

Chewton Glen, Hampshire, UK

Why it's Unique: Six private tree houses, with two stately suites in each, are on the 130-acre grounds of Chewton Glen in the Hampshire countryside near New Forest National Park. Floor-to-ceiling windows offer panoramic canopy views, as does a spacious outdoor terrace, with a hot tub and daybeds, 35 feet above ground. Heated timber and marble floors encourage bare feet.

Access: Gangplanks lead the way to these floating suites.

What to do: After breakfast (a chef-prepared hamper delivered to your tree house) explore the English countryside via walking trails, horseback, or kayak.

Check out more of the world's coolest tree-house hotels here.

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

These days you'll find tree houses everywhere from Massachusetts to South Africa

@highlight

The Aviary is located on Massachusetts parkland designed by Frederick Law Olmsted

@highlight

A South African tree house hotel overlooks the Tsitsikamma Forest