(CNN) -- When India's aviation sector began liberalizing in 2003, a regional powerhouse was unleashed.

The country's state-owned airline Air India was soon competing for passengers with six private airline groups in a market that has grown steadily in the past decade. In 2009-10 Indian airlines carried 45 million domestic passenger and 11 million international passengers, according to figures from the CAPA Centre for Aviation.

Fueled by India's stellar GDP growth and a growing middle class, passenger numbers handled at Indian airports exceeded 120 million, making it one of the ten largest markets globally, according to CAPA.

But by 2008, the sector was in trouble.

Debts mounted for billionaire Vijay Mallya -- the flamboyant owner of Kingfisher Airlines -- whose fleet of 66 planes, with a further 130 on order - faces losses of $US1.62 billion.

Can Kingfisher survive?

Last week, Mallya said he was on the cusp of some airline-saving deals, but investors have not been convinced and the stock has continued to slide. Even though Mallya says the airline does not need a government bailout -- and India's civil aviation authority has categorically ruled out any kind of lifeline for the industry -- the markets, and some industry analysts, say the sector will need a magic wand to reverse the descent.

How did the tiger of the world's aviation industry go into such a steep decline?

According to Tom Ballantyne, the chief correspondent with Oriental Aviation, where once Indian aviation suffered from too little competition, now it suffers from too much.

"There were just too many low-cost carriers and this created a situation where there are simply too many seats flying through air," he told CNN. "It's a problem of over-capacity.

"Air India has debts of more than $8 billion and Kingfisher has debts of more than $2 billion. All of them are losing money with the possible exception IndiGo," Ballantyne said.

India's aviation industry leaders lay much of the blame at the feet of Air India which they accuse of unfairly competing with India's newer airlines, slashing fares while at the same time enjoying the luxury of government subsidies.

The airline has been unprofitable since 1997 and has received government bailouts of $625 million and is requesting more before the end of the fiscal year that ends in March 2012, according to company figures.

Air India agrees restructuring deal

The national carrier employs between 50,000 and 60,000 people and analysts say the bailouts are likely to continue.

"When the main state-owned carrier is in such dire shape then it tends to affect the whole of the industry," says Ballantyne. "The carrier has been one of the main culprits in terms of discounting."

M Shivkumar, the head of finance at Jet Airways, India's biggest carrier, recently identified Air India's price war as a key factor for the problems in Indian aviation.

"Ideally, fares should go up when oil-import costs go up. That's not happening and that's why airlines are in this situation," he said.

Have rising oil prices contributed to steep losses?

Aviation turbine fuel (ATF) costs have soared this year as oil import costs everywhere skyrocket. But on average, fuel costs are around 60% higher in India than in other countries. This is because of a mosaic of state taxes, some as high as 35%, making India one of the costliest places in the world to run a fleet of planes.

"The states are unwilling to give up a good source of revenue," said Ballantyne. "Combing that with rising fuel costs and this further cuts into the slim margins and yields on which these airlines already operate."

He said India's central government may soon be forced to address this problem if the country is to have a functioning aviation industry.

"The government has already had to step in to back credit for Air India whose suppliers were demanding that it pay upfront before they would make deliveries of aviation fuel," Ballantyne said.

With an Indian rupee last week dropping to its lowest level in history, recently hitting 52.50 against the U.S. dollar, the pain is set to increase of Indian airlines.

"When you add to that costs associated with catering, maintenance and landing fees, as well as low yields per seat, then the airlines are really struggling."

How competitive is the Indian domestic industry?

"With many airlines bringing prices down to below the cost of producing the airline seat, the government is looking at issues of predatory pricing," Ballantyne said.

"Yields are very tight anyway and pricing is seriously affecting the airlines. The government is looking at setting up a regulatory body to make sure that Indian airlines are operating on a proper basis."

Is opening the sector to investment by foreign airlines a solution?

"No foreign airlines are permitted to invest in Indian carriers and three government ministries are now looking into ways to change that," Ballantyne said.

"This would be an important change because investment by foreign airlines brings with it all kinds of advantages, not least expertise in airline management and other synergies.

"At the moment, however, in this sort of economic climate, the airlines are having trouble attracting any sort of investment at all," he said. "It really is an awful situation."

Do Indian airlines suffer from a shortage of qualified manpower?

"The growth has been so rapid in the Indian aviation space, that airlines have had difficulties keeping up with the staffing needed in terms of pilots, maintenance workers and engineers," Ballantyne said.

"Not only are the Indian airlines pirating staff from each other, but India is very close to the Gulf where airlines have no problem with money and no problem with pirating staff from just about everywhere."

What's the solution?

"Many of the government's solutions will take a long time to enact," he said. "India is still a very chaotic country and nothing happens quickly.

"If Air India, for example, needs action from the government then it that has to go from ministry to ministry, from committee to committee.

"It's forced into a situation where it is not very quick or very agile in a market where speed and agility are everything."

@highlight

Analysts believe too many low-cost carriers are to blame for India's aviation woes

@highlight

Many blame Air India and accuse them of unfairly competing with India's newer airlines

@highlight

Airline has been unprofitable since 1997 and has received government bailouts of $625M