(CNN) -- I almost always get asked the same question: How can it possibly be the "end of men" when there are so few female elected officials -- when men still hold the reins of political power?

It's an excellent question. Until now, I've answered by pointing to statistical trends and future projections. Always, I ask people to take a leap of faith. But after this election, I feel like I am on so much more solid ground.

The women's vote did not turn out to be historic in the way pundits predicted before the election. Yes, more women voted for President Obama, but not in record numbers. The gender gap was in fact a little smaller in this election than in 2008. Yes, women were important in certain states, but so were young people, African-Americans and Latinos, who, together, make up Obama's new winning coalition. What's more, women did not even constitute a unified vote. Married women tended to vote for Romney, while single women went for Obama.

What changed in this election was that women accumulated power in a calm and measured way, and began to look for the first time much less like outsiders to the political process.

New Hampshire, arguably a state populated by the greatest concentration of political insiders and obsessives, gave us our first ever matriarchy -- a delegation of House, Senate and governor that is entirely female. We elected a record number of women to the Senate. One of those new senators is Elizabeth Warren, who over the rest of her career has the potential to embody women's transition from outsider status to right in the thick of things.

What about the "war on women," the constantly mutating arguments over reproductive rights?

On this, women won handily. In Missouri, Democrat Claire McCaskill ran against Todd Akin, who claimed that in "legitimate rape" the female body shuts down pregnancy. McCaskill not only beat Akin, she trounced him, winning by 16 points. Before the election, when McCaskill was still behind in the polls, women looked beleaguered and marginalized, subjected to lectures by men about their internal plumbing. Afterward, it's those who did the lecturing who seem like fringe, marginalized characters. In fact, practically all the candidates with the improbable Akin-type theories lost. (Check out this scorecard on Jezebel for a complete accounting.)

Once, not all that long ago, women seemed like newcomers to the political scene, alien to its settled ways. Women were scrutinized in their every public move as though they were a newly discovered species. Think back to Hillary Clinton's presidential campaign. Could she be tough enough on China? Soft enough to cry? Would she wear red suits to all her big speeches? If so, what did that mean? Now that the sight of a woman in a roomful of senators is becoming less unusual, our analysis becomes much less crude. Debates about image and optics are ceding to debates about actual policies.

We also realize that women come in all types. More are likely to vote Democratic. Among female voters, more than 50% tend to favor abortion rights. Akin, for example, split the vote among white women. Minnesota Republican Michele Bachmann, who is strongly pro-life, kept her seat.

Just as men have wide varieties of views, so do women. Voting as a bloc is something you only do if you're disenfranchised. Voting the way you want is a sign that you're gaining power. The important thing is for women to participate in the political process and speak for themselves.

Workplace studies from the 1970s showed that when women reached a third of an office population, their presence no longer seemed unusual. The Senate will be one-fifth female. We're not there yet, but we're getting close.

In this election, people are still discussing historic firsts -- the first openly lesbian senator (Democrat Tammy Baldwin of Wisconsin), the first Asian-American woman (Democrat Mazie Hirono of Hawaii). Slowly, over time, we want these firsts to fade away and for female senators to be elected without that fact alone constituting a news story.

The opinions expressed in this commentary are solely those of Hanna Rosin.

@highlight

Hanna Rosin: The women's vote did not turn out to be historic in this election

@highlight

Rosin: But for the first time, women look less like outsiders in the political process

@highlight

For example, we elected a record number of women to the Senate, she says

@highlight

Rosin: We will debate less about women's image and more about their actual policies