(CNN) -- Shady cock-fighting farms are common enough in the Philippines, but a raid on a small operation in Lipa City south of Manila late last year revealed a much larger problem.

Alongside the cock-fighting spurs and breeding paraphernalia, the raid netted 84 kilograms of "shabu" -- the Filipino street name for methamphetamine or "ice" -- and three affiliates of the deadly Mexican drug cartel Sinaloa were arrested.

For police, the presence in Asia of one of Mexico's most powerful organized crime groups was a worrying development.

Not only did it point to growing transnational links between crime groups, it also displayed an increased professionalism in "ice" production as it moves away from its 'Breaking Bad' image of cellar drug kitchens and backyard meth labs.

"We have previously received reports that the Mexicans are in the country, but this is the first time we have confirmed that the Mexicans are already here," Senior Superintendent Bartolome Tobias, chief of the Philippines National Police (PNP) Anti-Illegal Drugs Special Operations Task Force told a news conference.

PNP Director General Alan Purisima said going after the group would "entail more hard work."

"We know that they are just starting -- that's why we have to act immediately to stop them before they can expand their presence," Purisima told the news conference.

Notorious syndicate

Mexico's Sinaloa drug cartel is one of the most powerful and notorious drug syndicates in the world.

Named after the state on Mexico's Pacific Coast where it was formed in 1989, the cartel's heartland extends from Sinaloa to Mexico's Durango and Chihuahua states. But it is known to operate in locations as diverse as Russia, Australia and Sierra Leone.

The group's leader, Joaquin "El Chapo" Guzman, escaped from a Mexican prison in 2001 and was only just captured on Saturday during a pre-dawn operation in the Mexican Pacific resort town of Mazatlan.

Formerly America's most wanted drug trafficker -- rated by Forbes as the most powerful criminal on the planet -- Guzman played a key role in a drug war that has claimed more than 70,000 lives since it was launched in 2006.

Hong Kong's Triads

The Mexican attorney general's office last year released a report that named Hong Kong triad groups 14K and Sun Yee On as the main suspects in the supply of ephedrine and ethyl phenylacetate -- precursor chemicals in the manufacture of "ice" -- to Mexican cartels feeding into the lucrative American market for methamphetamine.

According to the U.S. Justice Department, Hong Kong's triads already maintain close contact with their Asian gang counterparts -- Wah Ching, Black Dragons, Tiny Rascal Gangsters, and Black Star -- whose members operate in Detroit, Los Angeles, New York, San Francisco, and Seattle.

The raid in the Philippines, meanwhile, came within days of a major drug raid in China.

In late December, some 3,000 Chinese police, equipped with helicopters, sniffer dogs and speedboats, descended on the village of Boshe in Guangdong province, uncovering China's largest methamphetamine operation to date.

Three tons of methamphetamine worth an estimated $234 million were seized from 77 clandestine meth laboratories, and 182 arrests were made -- including the town's Communist Party boss Cai Dongjia and 13 other party officials.

The raid was further evidence of a growing industrialization of crystal meth production.

Industrial scale

Before 2012, Chinese police mostly dismantled small-scale operators, but in September of that year, police raided their first industrial-scale facility in Hunan, seizing 660kg of crystal meth and 19.8 metric tons of unidentified materials used in the manufacture of the drug.

Among the 14 people arrested in the raid, one was a Mexican national, a development which analysts say was the first indication that Mexican transnational syndicates were working closely with the Chinese to produce crystal meth.

Professor Karen Laidler, an analyst in illegal drug trends at the University of Hong Kong, said China's meth labs were increasingly internationalizing their illegal drugs operations.

"The manufacturing in Guangdong? I suspect that much of that was for export," she told CNN.

She said the United Nations and the U.S. State Department had long identified China as a country where the precursor chemical ephedrine was being exported to other countries for the manufacturing of various amphetamine drugs.

The huge scale of China's chemical industry, with an estimated 80,000 individual chemical companies in 2009, presents widespread opportunities for chemical diversion, according to the U.S. State Department.

Hong Kong, once the bottleneck through which Chinese contraband was forced to pass -- and on a U.S. blacklist for the transit of heroin throughout the 1970s and 1980s before being removed in the 1990s -- is no longer the only gateway for drugs manufactured in China, Laidler said.

"There are many large ports in China where drugs can be imported and exported quite easily," she said.

@highlight

Philippines meth raid leads to arrests of Mexican drug cartel affiliates

@highlight

The cartel, Sinaloa, is known as one of the most powerful drug syndicates in the world

@highlight

Police view the cartel's expansion into Asia as a worrying development