(CNN) -- Campaigning resumed in the French presidential election on Thursday following the violent death of shooting suspect Mohammed Merah following a police siege in Toulouse.

Merah was wanted for the killings of three French paratroopers and of three children and a rabbi at a Jewish school in the city, in a string of shootings beginning March 11 that shook the nation.

Merah had told French police he trained with al Qaeda in Pakistan, and he had planned to attack more soldiers and police, Paris prosecutor Francois Molins said. He said he was acting alone, the prosecutor added.

Most candidates in the election suspended campaigning following the most recent shooting in Toulouse, but normal politics resumed following the bloody end to the siege.

How did candidates react to the crisis?

Most candidates called for national unity amid the national outpouring of grief for the victims. President Nicolas Sarkozy, who is running for a second term, visited Toulouse and offered his sympathies to bereaved families. Other candidates even flew to the city on the same plane to show their respects.

Sarkozy's main rival, Socialist Party candidate Francois Hollande, suspended his campaign "to honor the memories" of the victims. Far-right candidate Marine Le Pen initially cancelled campaign events, saying politics must be suspended "as a sign of compassion and solidarity."

Did the mood of unity hold?

In a word, no. Le Pen, who is running in third place in opinion polls, was the first to break ranks with this rare outbreak of political consensus, CNN's Jim Bittermann noted. The National Front leader said "The danger of fundamentalism has been under-estimated in our country."

This sparked an angry response from far-left challenger Jean-Luc Melenchon, who accused the National Front of being "vultures" feeding at the scene of crimes. Centrist candidate Francois Bayrou accused the extreme right of trying to "surf" to power on the back of the attacks.

Bayrou, currently in fourth place, refused to suspend his campaign during the hunt for the attackers, and criticized rivals for their anti-immigrant comments, which he said may have provoked the suspect into action. Other candidates said it was impossible to make this link.

Was race an issue before the attacks?

Along with the economic crisis, immigration and race have been prevalent themes in the campaign for the presidential election, the first round of which takes place next month. Sarkozy declared this month there were "too many foreigners" in France, while Le Pen has criticized the production of Islamic halal meat in Paris.

Political analyst Simon Persico, from the Center of European Studies in Paris, said Sarkozy won the 2007 election by being right-wing, and taking a strong stance on race, but had found it difficult to maintain this stance while in power. "In this election, Le Pen is saying the original is better than the copy, and that voters should not believe Sarkozy on race," he told CNN.

"Whichever viewpoint is true though, the president has a record of five years of creating conflict, and while he may say he was right to raise the issue of the growth of Islamic fundamentalists in France, maybe now is the time to appease tensions on race."

How do the public view Sarkozy's handling of the crisis?

The president, who had been lagging behind Hollande for most of the campaign, seems to have received an initial political boost from the tragedy, said political commentator Christian Malard, senior analyst for France 3 TV. "Sarkozy is observed by many people to have been acting well and decisively during the crisis," he said. But the socialists were asking why it took more than 30 hours to kill Merah -- and how he could kill so many people while he was under surveillance by security services.

"Sarkozy must tread warily: a year ago he oversaw the ban on Islamic veils in public but he is aware there are six million Muslims in France, half of them from North African former colonies, and he is careful to say few of them are radical.

"So if Sarkozy is to beat Hollande he must win over the electorate of both the center, and the far-right of Le Pen. He needs all the people."

The crisis could yet have a negative effect on Sarkozy though, with the far-right saying that the government had failed to protect French people from Islamic fundamentalists. Thierry Arnaud, senior political correspondent for BFM TV, said that while Sarkozy had benefited from appearing statesmanlike in recent weeks it remained to be seen what long-term advantage he would gain. "He is certainly anxious to resume campaigning" to create momentum, Arnaud noted.

What impact will the attacks have on campaigning?

Many voters are keen for the political rhetoric to cool and the focus to turn to more mundane matters. The state of the economy and unemployment, especially among the young and ethnic minorities, remains the main concern for most voters. For this reason, as Persico noted, Sarkozy may be keen to keep the focus on security and the Toulouse attacks -- issues on which he looks strong.

Before the crisis, Hollande was ahead in the polls thanks to a strong showing on economic issues, Malard said but added that even on this issue the president was gaining ground. "Lots of people are telling me that between Hollande and Sarkozy, 'we might switch our votes to Sarkozy.'

"This debate between Sarkozy and Hollande is turning into a battle between two heavyweight fighters, but amid the storm of the economic crisis and world upheavals a lot of people are coming back to Sarkozy."

@highlight

Campaigning resumed in the French presidential election on Thursday following the death of Mohammed Merah

@highlight

Most candidates in the election suspended campaigning following the most recent shooting in Toulouse

@highlight

Normal politics resumed following the bloody end to the siege

@highlight

Most candidates called for national unity amid the national outpouring of grief for the victims