(CNN) -- A jury Friday acquitted W.R. Grace & Company and three of its former executives of having knowingly exposed mine workers and residents of Libby, Montana, to asbestos.

The W.R. Grace plant in Libby, Montana, in an undated photograph.

"We at Grace are gratified by today's verdict and thank the men and women of the jury who were open to hearing the facts," said Fred Festa, chairman, president and CEO of the company in a written statement. "We always believed that Grace and its former executives had acted properly and that a jury would come to the same conclusion when confronted with the evidence."

Festa said that during the time Grace owned and operated a vermiculite mine in Libby, "the company worked hard to keep the operations in compliance with the laws and standards of the day."

The jury began deliberating Thursday and returned its verdict Friday morning.

The Department of Justice's response to the verdict, which came after a three-month trial, was measured. "The jury has spoken, and we thank them for their service," said a written statement issued by the office of public affairs. "We are refraining from further comment at this juncture because one individual awaits trial in connection with this case."

Prosecutors plan to try another executive separately.

Asked if the Justice Department plans to appeal, department spokesman Andrew Ames said, "I wouldn't want to comment on that."

Federal prosecutors had accused the mining company and its executives of exposing Libby's 100,000 residents to asbestos for decades, resulting in more than 200 deaths and 1,000 illnesses.

The product covered patches of grass, dusted the tops of cars and drifted through the air in a hazy smoke that became a part of residents' daily lives.

"There's never been a case where so many people were sickened or killed by environmental crime," said David Uhlmann in an April  interview. He helped spearhead the case when he was the Justice Department's top prosecutor of environmental crimes before stepping down in 2007.

During the trial, those who lost loved ones testified at the federal courthouse in Missoula, about 130 miles southeast of Libby, that residents had been kept in the dark about the dangers.

Until 1990, W.R. Grace & Company operated a mine in Libby that produced vermiculite, a substance used in all sorts of products, from insulation to fertilizers.

The vermiculite was contaminated with tremolite asbestos -- linked to numerous illnesses including mesothelioma, a cancer that can attack the lining of the lungs, abdomen or heart.

The government's indictment alleged that W.R. Grace conspired to "knowingly release" the asbestos. It said the company tried to hide the dangers from employees and residents, leaving them "in imminent danger of death or serious bodily injury."

"It was a purpose of the conspiracy to conceal and misrepresent the hazardous nature of the tremolite asbestos contaminated vermiculite, thereby enriching defendants and others," the indictment read.

The indictment also said W.R. Grace tried to "defraud the United States and others by impairing, impeding, and frustrating" the Environmental Protection Agency and other government agencies once they launched an investigation in 1999.

The 10-count indictment included charges of wire fraud and obstruction of justice.

Had it been convicted, the company could have faced criminal fines of up to $280 million, which is twice the value of its profits from the mine. Grace executives, who were named as defendants, could have faced prison time.

The company did not deny that asbestos emanated from its plant. Nor did it question that some people had been sickened and killed, though a definitive number of deaths linked to the vermiculite plant probably will never be known.

But W.R. Grace denied any kind of conspiracy. In fact, the company said, it acted responsibly and took appropriate steps. It said it had voluntarily paid millions of dollars in medical bills for 900 Libby residents.

In the courtroom, defense attorneys noted that the asbestos problem dates back to about 1920, long before W.R. Grace took over the mine in 1963.

The attorneys said that, as information about the asbestos came to light, the company took numerous steps to mitigate the dangers and were open about it.

Defense attorney David Bernick said he was not surprised by the verdict. "The evidence showed that what was going on internally with the company was anything but conspiratorial," he told said. "It was responsible."

However, some townspeople did not share Bernick's view.

"I don't see how they could have gotten out of it," said Steven Schnetter, who worked at the mine for 17 years until it closed in 1990. Shortly afterward, Schnetter was diagnosed with asbestosis, a lung disease caused by exposure to asbestos fibers.

The 60-year-old retiree said he told his managers in the late 1980s that he was concerned to find that tremolite is a form of asbestos. "They said, 'Oh, yeah, but it's the short-fiber type that won't hurt you,'" he said.

Schnetter settled with the company for a "small amount," he told CNN Friday in a telephone interview.

When asked about his frequent coughing, he said, "I do that all the time. ... My lungs won't expand right."

@highlight

Jury acquits W.R. Grace, three former execs in asbestos exposure case

@highlight

Chemical company accused of hiding asbestos dangers from employees, residents

@highlight

Prosecutors claim pollution left 200 dead, more than 1,000 sick

@highlight

W.R. Grace claims it took steps to mitigate danger, paid residents' medical bills