(CNN) -- Infectious disease experts say they wouldn't be surprised if a new virus that's sickened 12 people and killed six shows up in the United States.

The first cases of the novel coronavirus, which is in the same family as SARS and the common cold, were found to have occurred in an Amman, Jordan, hospital in April, according to the Centers for Disease Control and Prevention.

People have also become infected in Qatar and Saudi Arabia. On Saturday, the World Health Organization announced a new case in the United Kingdom -- the third case confirmed this month, all in the same family.

One of those three people has died, Britain's Health Protection Agency said Tuesday. "This patient had an underlying condition that may have made them more susceptible to respiratory infections," the agency said in a statement.

The person died Sunday in Queen Elizabeth Hospital Birmingham's critical care unit, the hospital said.

"The patient was already an outpatient at QEHB, undergoing treatment for a long-term, complex unrelated health condition," the hospital said. "The patient was immuno-compromised and is believed to have contracted the virus from a relative who is being treated for the condition in a Manchester hospital."

The first patient, who had traveled recently to Saudi Arabia and Pakistan, was being treated, the Health Protection Agency said. The third case had "a mild illness" and has recovered.

"I wouldn't be shocked if it came here," said Dr. William Schaffner, an infectious disease specialist at Vanderbilt University Medical Center in Nashville.

Dr. Susan Gerber, a medical epidemiologist in the CDC's Division of Viral Diseases, agreed.

"It could happen," she said. "That's why the CDC is working closely with the World Health Organization and other international partners."

The CDC has advised doctors to ask patients with certain symptoms about their recent travels. Symptoms of infection with the novel coronavirus include an acute respiratory infection, fever and a cough.

The new virus, which the WHO is calling NCoV, or novel coronavirus, has a range of effects, including potential pneumonia and kidney failure as seen in the United Kingdom.

"Once it gets you, it's a very serious infection," Schaffner said.

Fortunately, he added, the virus is "very difficult to acquire."

New SARS-like virus posts medical mystery

So far most of the people who've caught the virus have been in the Middle East. It's suspected that, like SARS, the virus originated in animals. A study published in November found that genetically, the new coronavirus was most closely related to viruses found in bats.

In all but two cases, the virus has not spread from person to person. And in most cases, patients have not infected family members. Health care workers taking care of infected patients have also not become ill.

"There is no evidence of sustained human-to-human transmission where you see a chain of many cases going person to person to person," Gerber said.

"People shouldn't freak out," she added. "There's no evidence that this virus is easily spread, say, across a room."

However, human-to-human transmission is not impossible, as seen in the United Kingdom cases. Two family members in the United Kingdom contracted the virus without traveling to the Mideast but lived with the third, who traveled to Saudi Arabia and Pakistan, according to the WHO.

"In these cases, human-to-human transmission does seem likely," Gerber said.

@highlight

NEW: A sixth person has died from a new SARS-like virus

@highlight

Most of those affected by the virus have been in the Middle East

@highlight

Person-to-person transmission of the virus appears difficult, experts say