London (CNN) -- It's hard to imagine the president of the International Olympic Committee on the "naughty step," forced to stay there until he had repented for his behavior. But that's more or less what has happened. Jacques Rogge had to "clarify" (in other words, backtrack on) his newsworthy comment that there was a "question mark" over the suitability of McDonald's and Coca-Cola as Olympic sponsors. Apparently he had actually first flagged his concerns four years ago, but the lure of sponsors' cash far outweighed any considerations about growing obesity levels ... and apparently still does.

However, now Rogge is far from alone in questioning high-calorie, high-sugar fast food brands sponsoring the Olympic and Paralympic Games. The Academy of Royal Medical Colleges made a high-profile intervention in April, specifically singling out sponsorship of the Games by junk food and fizzy drink firms as sending out the wrong health message. The London Assembly has also recently passed a motion calling for a ban on the sponsorship of the Games (and other sporting events) by such companies. Even the Financial Times, though not sharing that policy prescription, agrees Big Macs are not necessarily compatible with Olympic values and in an editorial backs changes to the way sponsors are selected and expected to behave.

The media has, until now, been slow to pick up what health campaigners have understood for some time: there is public unease at some of the world's biggest junk food manufacturers using the Olympics to heavily promote their unhealthy products at every opportunity, and especially to children. In fact, one might expect sentiment against the company to fall further, now the torch relay -- with its super-sized Coca-Cola trucks and brightly dressed assistants handing out free Coke samples and merchandise to children and their parents -- has passed through Britain's streets.

Parents' worries about advertising and sponsorship undermining their efforts to encourage their children to eat healthily are supported by academic research. A systematic review commissioned by the Food Standards Agency and more recent studies have concluded that junk food promotions to children influences their food preferences, purchasing behavior and consumption, increasing their risk of serious illness in childhood and later life.

The situation is made worse by the nature of the Olympic sponsorship deals, which dictate the Games' experience for children far beyond the Olympic Park. The exclusive rights that McDonald's, Coca-Cola and Cadbury's have for branded food and soft drink products at the Games blocks brands and manufacturers which might offer healthier alternatives. Meanwhile, licensing agreements restrict the promotional use of the Olympic mascots Wenlock and Mandeville -- and thus access to their five-15-year-old target audience -- to these same official sponsors. Hence all the food tie-ins with the Olympic mascots are for chocolate and sweets.

The sponsors try to sugar-coat their Olympic involvement with ever-grander sports and exercise schemes that they claim will make children more active. However, there is little evidence that these short-term pushes will have a lasting effect in increasing children's physical activity levels. Moreover, the companies cannot disguise one salient fact: no amount of free equipment and sporting initiatives will make unhealthy diets any less unhealthy. This is what makes McDonald's, Coca-Cola and Cadbury's such unsuitable Olympic sponsors.

The Games are hugely valuable to the sponsors, which is why the merest sniff of unease from the IOC president is likely to provoke a fierce response, as they seek to protect their privileged position. The relationship should not be so imbalanced -- given that the IOC derives four times as much income from broadcasting rights as it does from sponsorship deals, it remains curiously reluctant to demand more from its global sponsors.

Now is the time for the IOC to re-evaluate its policies and its highly-prized sponsorship deals. We must ensure that continued pressure from civil society will be felt by Jacques Rogge and his colleagues and give them the courage to make it happen. Four years' time may be too late -- not only for the waistlines and health of citizens in 2014 and 2016 Olympic hosts Russia and Brazil, but also those in the emerging markets of Africa and Asia where Coca-Cola and McDonald's are already ruthlessly exploiting opportunities to promote their products.

CNN invited the sponsors named to respond to Malcolm Clark's argument:

Coca-Cola: "As one of the longest, continuous sponsors of the Olympic Movement, we are proud that we are able to use our sponsorship to enable millions of people to experience the Games and believe we have a valid role to play. As well as sharing expertise, without the support of sponsors such as Coca-Cola, many National Olympic Committees would be unable to send athletes to compete.

"People consume many different foods and beverages, so no one single food or beverage alone is responsible for people being overweight or obese. We believe all of our drinks can be enjoyed as part of an active, healthy lifestyle that includes a sensible, balanced diet and regular physical activity.

"We are also helping people be physically active and our three-year partnership with StreetGames will connect 110,000 young people with sport and create a new generation of coaches. Coca-Cola sponsors more than 250 physical activity and nutrition education programs in more than 100 countries and we are committed to sponsoring a program in every country that we operate by the end of 2015."

Jill McDonald, CEO, McDonald's UK: "As a popular restaurant with millions of families here in Britain, I know that parents care most about the quality of the food that we serve. They also expect us to behave responsibly in all that we do. Day in and day out we take those responsibilities seriously.

"Here in the UK we offer broad choice on our menu and clear, easy to understand information to help parents make the choices that are right for them and their children. We also have a long-term commitment to reducing fat, salt and sugar across our menu that has seen us cut the salt content of an average Happy Meal by 46% over the last 10 years and the sugar content by 31%.

"In our marketing we go beyond this country's stringent regulatory requirements by finding fun ways to promote fruit and vegetables to children alongside organic milk or non-carbonated drinks. We also support hundreds of grassroots sports and volunteering programs across the UK through our long-term association with football and the Olympics. We are proud of our involvement with London 2012 and the responsible role we are playing in helping to make it an enjoyable Games and a great success."

Cadbury's declined to comment.

The opinions expressed in this commentary are solely those of Malcolm Clark.

@highlight

IOC president questions suitability of McDonald's and Coke as Olympic sponsors

@highlight

Malcolm Clark says public unease is growing at promotion of unhealthy products

@highlight

Situation is made worse by the nature of the Olympic sponsorship deals, he argues

@highlight

Clark: Free equipment, sporting initiatives do not make unhealthy diets less unhealthy