(CNN) -- Humans have always looked to birds for joy, inspiration and comfort, but if we look toward the birds of the Gulf Coast today, we feel no comfort, only a deep and growing unease.

What began on April 20 with the horrific loss of 11 human lives in the explosion of the offshore oil rig Deepwater Horizon now threatens to become a devastating and far-reaching environmental disaster -- one that should shake the American people to our very core.

Hour by hour, a massive oil slick is spreading to the fragile coastal wetlands and barrier islands of the Mississippi River Delta in Louisiana. Coastal areas of Mississippi, Alabama and Florida are also at risk.

Birds are key indicators of the environment in which they -- and we -- live and eat and breathe. Their health or decline eventually mirrors our own, and the diagnosis this week isn't looking very good.

The spreading oil threatens "Important Bird Areas," sites identified by Audubon and other conservation experts as vital to the health or even the survival of entire species.

Coastal bird species -- graceful terns, gangly pelicans, peaceful plovers -- have everything to lose if the oil reaches them. It is breeding season for these year-round coastal denizens, and it is also peak migration season for millions of other birds headed north, right through the areas that may be hardest hit.

A host of well-known species are at risk, among them:

• Brown pelicans, the state bird of Louisiana, are incubating eggs on barrier islands. The species was removed from the endangered species list late last year -- a victory to be sure -- but nevertheless faces an uncertain future.

• Reddish egret, a tall, colorful bird that "dances" wildly in the surf as it hunts for prey, is a scarce denizen of warm, salty coasts.

• Royal terns, and several of their relatives, nest on beaches and dunes and catch small fish by executing spectacular plunge-dives into the waters of the Gulf. But a dive into oily water could prove deadly for these beautiful creatures.

• Mottled ducks, locally called "summer ducks" because they are the only ducks that breed along the Gulf Coast, living, feeding and nesting in coastal salt marshes where oil would have devastating consequences.

• Seaside sparrows, tiny and secretive marsh birds, will have nowhere to go if the salt marsh edges they frequent are destroyed by oil. They would simply fade away.

Why does it matter if birds are in trouble? Like most Americans, I believe that living things have intrinsic worth and should be celebrated and allowed to thrive. They add beauty and wonder to our world. But if that doesn't convince you, consider this: If birds are in trouble, so are we.

The problem is simply too big to contain. Birds and marine life will die. Sensitive habitats will be damaged. Industries and families will suffer. Cleanup will cost billions and take months or even years. Long-term recovery is uncertain.

We commend the federal, state and industry personnel who are working long hours in difficult and dangerous conditions attempting to stop and contain the spill. However, everyone shares the sickening realization that even heroic efforts probably will not be enough to avert significant environmental damage.

This disaster confronts us squarely with the risks to which we expose ourselves and our environment any time we drill for oil. As a nation, we must stop and consider what we've done, and what we will do tomorrow.

We must pause and reflect on what places can truly be considered "safe" for oil extraction, having the courage to recognize that in some, the risks are simply too great and the resources too precious to spoil. Elected representatives must keep the picture of this spreading catastrophe in mind as they consider the path to our energy future.

America's energy needs are great. But so is our concern for the people and nature imperiled by our addiction to fossil fuel. It's time to redouble our efforts to move toward a future powered by cleaner, renewable sources of energy that make the planet a safer place for us and all the life with which we share it. The images from the Gulf are tragic reminders that we cannot afford to wait.

The opinions expressed in this commentary are solely those of Frank Gill.

@highlight

Offshore oil rig explosion may produce long-term environmental devastation

@highlight

Massive oil slick threatens coastal Louisiana, Mississippi, Alabama and Florida

@highlight

Gill: If birds are in trouble, so are we

@highlight

Gill: "It's time to ... move toward a future powered by cleaner, renewable sources of energy"