(CNN) -- The tragic killing of Trayvon Martin and the initial decision by the police not to arrest George Zimmerman for that killing have focused public attention on Florida's "stand your ground" law.

According to police, Zimmerman claims self-defense, but many observers can't understand how a grown man with a gun can plausibly claim that he was forced to kill a teenager armed only with some candy.

If that's the law of self-defense in Florida (and elsewhere), these observers argue, the law needs to change.

The law of self-defense is at its core about reasonableness. If a person reasonably perceives a serious threat of harm, and uses reasonable force to meet that threat, the law justifies even deadly force, and it does so even if it turns out that the perceived threat was illusory.

People have differing views of what's reasonable and, as a consequence, self-defense laws (which vary by jurisdiction) have always attempted to further define the concept. Until very recently, Florida's definition of reasonableness, as in many states, incorporated a longstanding principle, the "duty to retreat."

This principle required that someone who found themselves in a violent confrontation had to try to defuse the situation and retreat "to the wall" before resorting to deadly force.

In other words, deadly force was only permitted as a last resort. The basic idea was simple: If more people backed down, retreated or stepped aside, fewer people would be killed.

The "duty to retreat" also made it easier for prosecutors to prove that a killing was not in self-defense. The facts that can be proven are often murky (particularly when of the two people who know what happened, one is the defendant and the other is dead) and prosecutors could often, by pointing to a defendant's failure to retreat, obtain a conviction even without establishing the precise facts.

In American jurisdictions there has long been an exception to the duty to retreat called the "Castle Doctrine." As then-Judge (and later U.S. Supreme Court Justice) Benjamin Cardozo explained in 1914: "It is not now and never has been the law that a man assailed in his own dwelling is bound to retreat. If assailed there, he may stand his ground and resist the attack. He is under no duty to take to the fields and the highways, a fugitive from his own home."

In recent times, "stand your ground" laws extended this concept in many states beyond the home to any place where a person might lawfully be found, such as a bar or a public sidewalk. Florida's version enacted in 2005 (over the objection of many in law enforcement) is one of the most far reaching.

The law states that a person "who is attacked" anywhere he is lawfully present has "no duty to retreat and has the right to stand his or her ground and meet force with force, including deadly force if he or she reasonably believes it is necessary to do so to prevent death or great bodily harm."

Importantly, a person cannot invoke this provision if he is "engaged in unlawful activity" or "initially provokes the use of force against himself." Finally, in Florida, once self-defense becomes an issue at trial, the prosecution must prove beyond a reasonable doubt that the defendant did not act in self-defense -- a heavy burden.

This is the legal backdrop against which Florida's prosecuting authorities must assess all claims of self-defense, including Zimmerman's. In an ideal world, law enforcement would make this assessment by thoroughly investigating the case and, after determining the provable facts, comparing those facts to the law.

Critical to this determination will be evidence reflecting: how the confrontation began and how the suspect acted after the confrontation (prosecutors often look for actions such as flight or a cover-up that indicate a "consciousness of guilt"). Perhaps most critically, investigators will compare all the evidence (physical and otherwise) with the suspect's statement (if any) about what happened.

If the investigation reveals sufficient evidence for a reasonable jury to conclude that Zimmerman was not acting in self-defense (as Florida law defines that concept), he can be prosecuted. If not, charges are unwarranted.

Depending on the facts that ultimately emerge, the "stand your ground" law may ultimately control the legal outcome of the Trayvon Martin case. If, as a result, Florida's citizens and legislators (and those in other states) see that law in a new light, they can change the law, perhaps leading to fewer tragic outcomes in the future.

For it may (as many suspect) be the case that Zimmerman was not forced to kill Trayvon Martin. But in a state like Florida with a "stand your ground" law, that is no longer the standard for determining whether someone acted lawfully in self-defense.

The opinions expressed in this commentary are solely those of Jeffrey Bellin.

@highlight

Jeffrey Bellin: Until recently, Florida's self-defense law included a "duty to retreat"

@highlight

In 2005, Florida overrode law enforcement objections, adopted a "stand your ground" rule

@highlight

Bellin says that even on a sidewalk, people may defend themselves with deadly force

@highlight

He says "Stand your ground" may ultimately decide outcome of Trayvon Martin shooting