(CNN) -- On Thursday, President Barack Obama is scheduled to deliver a major speech in Washington about his administration's counterterrorism policies, focusing on the rationale and legal framework for the controversial CIA drone program and his plans to wind down the prison camp at Guantanamo Bay.

So we thought it might be useful to examine some common myths about the drone program and the prison population at Guantanamo.

1. Drone strikes largely target the leaders of terrorist groups that threaten the United States.

In fact, of the thousands who have been killed in CIA drone strikes in Pakistan, only 37 were leaders of al Qaeda or affiliated organizations, according to a tally by the New America Foundation. And even if we add to that list the leaders of the Taliban who have been killed in drone strikes, only 2% of the victims of the CIA strikes in Pakistan have been militant leaders.

The drone program, which began more than a decade ago as a tool to kill leaders of terrorist groups, has evolved today into a counterinsurgency air force whose principal victims in Pakistan are lower-level members of the Taliban.

Drones, by the numbers

2. Drone strikes target specific terrorists who pose some kind of imminent threat to the U.S.

Obama's top counterterrorism adviser and now CIA Director John Brennan said in a speech last year that "in order to prevent terrorist attacks on the United States and to save American lives -- the United States government conducts targeted strikes against specific al Qaeda terrorists."

That's only partly true, because the CIA has also has occasionally conducted "signature strikes" against groups of men who display a particular behavioral "signature" that indicates they may be militants. In these cases, the targeter does not know the identity of the persons in the drone cross hairs.

3. Drone strikes kill a lot of civilians.

That was certainly once the case. Under President George W. Bush, the proportion of those killed by drones in Pakistan who were identified in reliable news reports as civilians or "unknowns" -- people who were not identified definitively as either civilians or militants -- was around 40%, according to data assembled by the New America Foundation.

But the civilian and "unknown" casualty rate from drone strikes has fallen steadily over the life of the program. Under Obama that number has fallen to 16%. And in 2012 it was around 11%.

In 2012, 2% of the drones' victims were characterized as civilians in news reports and 9% were described in a manner that made it ambiguous whether they were militants or civilians.

And in 2013, civilian casualties are at their lowest ever. That is partly the result of a sharply reduced number of drone strikes in Pakistan -- 12 so far in 2013, compared with a record 122 in 2010 -- and also more precise targeting. According to data collected by the New America Foundation, three to five "unknown" individuals have been killed so far in drone strikes in 2013. Two other organizations that track the CIA drone program in Pakistan, the London-based Bureau of Investigative Journalism and the Long War Journal, report zero to four civilian deaths and 11 civilian deaths respectively.

4. The United States has no reason to worry about the legal framework governing drone strikes because it is so dominant in drone technology.

Only three countries currently are confirmed to possess armed drones -- Israel, the United Kingdom and the U.S. But some 80 countries have drones, according to a count by the New America Foundation, and a number of them may already be able to arm them.

In February, a Chinese state-run newspaper reported that the Chinese government had contemplated deploying an armed drone in a remote, mountainous area to kill a drug lord, but decided instead to capture him.

Iran unveiled what it claimed was its first armed drone in 2010.

During a speech last week at the New America Foundation, the U.N. special rapporteur for counterterrorism and human rights, Ben Emmerson, estimated that "within a matter of certainly a year or two, other states will be deploying the technology, and within five years or so we will see a number of states and possibly nonstate actors deploying similar types of combat technology."

Emmerson also pointed out that the rapid proliferation of drone technology means whatever legal framework the United States puts together to justify its targeted killing campaign "has to be a framework that we can live with if it is being used by Iran when it is deploying drones against Iranian dissidents hiding inside the territory of Syria or Turkey or Iraq." A sobering and instructive thought.

5. The Pakistani government gives a wink and a nod to the drone program, providing tacit approval for its continuation.

It is true that Pakistan's President Pervez Musharraf quietly agreed to allow the CIA's targeted killing campaign to begin in 2004. But the program has become deeply controversial and unpopular in Pakistan because of the perception that it kills many civilians and that it erodes Pakistan's national sovereignty.

In April 2012, the Pakistani parliament voted unanimously to rescind any previous permission that had been granted by the government for the CIA to conduct the targeted killing program.

During Ben Emmerson's visit to Pakistan in March to discuss the CIA drone program with top officials, the point made to him "consistently, right across government, at the highest level and throughout, was that there is no continuing consent to the use of drones on Pakistani territory."

The next Pakistani prime minister, Nawaz Sharif, who was elected on May 11 with a clear mandate, has urged an end to the drone strikes, telling reporters, "Drones indeed are challenging our sovereignty. Of course we have taken this matter up very seriously. I think this is a very serious issue, and our concern must be understood properly."

6. Obama is soft on terrorists.

The CIA has conducted 355 drone strikes in Pakistan's tribal regions since the targeted killing program began there in 2004. The vast majority of these -- 307 to be precise -- were carried out under Obama.

Even if you take the most conservative estimate of the numbers of people the Obama administration has killed in drone strikes in Pakistan, 1,600, that is around twice the total number of prisoners that Bush sent to Guantanamo.

7. Many of the Guantanamo detainees who have been released return to the battlefield.

The U.S. government claims that 27% of those released from Guantanamo are suspected or confirmed to have taken up arms. For security reasons the government hasn't released the names of these men since 2009, but a review of the public record suggests that number is quite inflated.

According to a review by the New America Foundation of news articles, Pentagon reports, and other relevant documents, of the 603 detainees who have been released from the prison, only 17 individuals (2.8%) are confirmed to have engaged in terrorist or insurgent activities against the United States or its citizens, while 21 individuals (3.5%) are suspected of engaging in such activities.

8. The detainees still held at Guantanamo are too dangerous to release.

Some undoubtedly are, such as the operational commander of 9/11, Khalid Sheikh Mohammed. But contrary to the fulminations of officials such as Sen. Lindsey Graham, R-South Carolina -- who said last year that Guantanamo detainees are "crazy bastards that want to kill us all" -- half of the men still held at the prison camp were cleared for release three years ago by a task force of Department of Justice and Pentagon officials.

To be exact, 86 of the 166 men still imprisoned at Guantanamo were either found to be guilty of nothing, or were low-level fighters who could be repatriated subject to some continued monitoring by their home country's government.

9. There are no benefits for the U.S. to release additional prisoners from Guantanamo.

Obama correctly said of Guantanamo in April, "It is expensive. It is inefficient. It hurts us in terms of our international standing. It lessens cooperation with our allies on counterterrorism efforts. It is a recruitment tool for extremists. It needs to be closed."

The cost per year to keep one prisoner at Guantanamo is estimated to be $800,000, more than 30 times the cost of keeping a prisoner in a jail in the United States. And the Pentagon is asking Congress to approve a $200 million renovation plan for the prison.

The prisoners at Guantanamo have also featured frequently in jihadist propaganda, making it a recruitment tool for would-be al Qaeda members.

There is also a way forward through Guantanamo to obtaining some kind of peace deal with the Taliban. As a "confidence-building measure" for peace negotiations, theTaliban have agreed to release the only U.S. prisoner of war, Sgt. Bowe Bergdahl, in exchange for a handful of senior Taliban figures being held at Guantanamo, who would then be held under some form of house arrest in the Persian Gulf state of Qatar. This deal is a precondition for continuing serious peace talks with the Taliban.

The 27-year-old soldier has been in captivity since the Taliban seized him on June 30, 2009.

@highlight

President Obama to speak Thursday on drone program, Guantanamo

@highlight

Peter Bergen says there are many misconceptions about both issues

@highlight

He says idea that drones target leaders of anti-U.S. terrorist groups is mostly not true

@highlight

Bergen: It's a myth that all those at Guantanamo are too dangerous to release