Washington (CNN) -- President Barack Obama called on Tuesday for a short-term agreement to put off deep cuts to government spending, including the military, set to take effect next month.

Obama made his pitch in a statement to reporters at the White House, urging Congress to pass a measure that would offset some of the imminent automatic spending cuts -- known as sequestration -- that were part of a 2011 debt ceiling deal.

The president made clear that he still wanted a broader deficit reduction agreement with Republicans that included spending cuts, entitlement reforms and increased revenue from eliminating some tax breaks.

However, Obama said, with time running out before the sequestration cuts slash government spending and result in job losses and economic slowdown, Congress should pass a temporary fix that will allow time for further negotiations on a broader plan.

"Our economy right now is headed in the right direction and it will stay that way as long as there aren't any more self-inflicted wounds coming out of Washington," he said.

"So let's keep on chipping away at this problem together, as Democrats and Republicans, to give our workers and our businesses the support that they need to thrive in the weeks and months ahead," he added.

Before Obama spoke, House Republican leaders slammed him for failing to produce a budget proposal the day before, which they said is a long-standing deadline to do so under federal law.

We care: Cantor wants to give GOP a 'makeover,' change the message

In the 2011 debt ceiling deal that ended a showdown over whether to increase the federal government's borrowing limit to meet its obligations, Congress and the White House agreed to include the automatic spending cuts of sequestration as motivation to pass a comprehensive deficit-reduction plan.

Deep partisan divisions prevented such an agreement from happening in 2012, an election year, leading to the impending sequestration cuts this year. The government has already delayed the impact of sequestration for the first two months of 2013.

On Tuesday, Obama said he still supported a broader deal and made clear that revenue from tax reform measures previously agreed to by Republicans -- such as eliminating some loopholes to increase revenue for the government -- should be part of it.

However, he noted that it was unlikely Congress would reach a deficit-reduction deal by March 1 to render the sequestration cuts moot.

"If they can't get a bigger package done by the time the sequester is scheduled to go into effect, then I believe that they should at least pass a smaller package of spending cuts and tax reforms that would delay the economically damaging effects of the sequester for a few more months until Congress finds a way to replace these cuts with a smarter solution," Obama said.

'Without questions': Reid says more revenue needed to fix budget problems

Earlier, House Speaker John Boehner, R-Ohio, reacted to news of Obama's plan by saying it was the president who "first proposed the sequester and insisted it become law."

Reiterating the longstanding position of Republicans in budget negotiations, Boehner called for replacing the sequester plan with spending cuts and what he called reforms -- a reference to changes in popular entitlement programs such as Medicare and Medicaid.

A last-second agreement in the previous Congress that passed in the first days of 2013 raised tax rates on top income earners as part of a limited deficit-reduction package.

That measure followed weeks of tough negotiations involving Obama and Congress in which other steps to increase government revenue, such as eliminating some tax breaks for corporations, were considered but not included in the final deal.

Obama and Democrats now want such revenue-raising steps to be part of a package that would replace the mandated deficit reduction of the sequester cuts.

Senate Republican leader Mitch McConnell of Kentucky expressed his opposition to such a move Tuesday, saying "the American people will not support more tax hikes in place of the meaningful spending reductions both parties already agreed to and the president signed into law."

Federal spending cuts under sequestration total more than $1 trillion over 10 years, half of which would come from the Pentagon.

It's your fault: How our 'tribes' help create gridlock in Congress

Military officials have warned that those cuts, on top of steep budget reductions already in the pipeline over the next decade, would be devastating to its operations as well as the civilian economy that depends on defense-related jobs and spending.

Obama's push to avoid the sequester cuts comes a week before he outlines his second-term agenda in the State of the Union address.

Congress, which authorizes federal spending, has failed to pass detailed annual budgets in recent years due to partisan gridlock over spending and debt, as well as electoral politics.

Instead, it has approved a series of extensions of past spending authorizations -- called continuing resolutions -- to keep the government funded.

During his first term, Obama's annual budget proposals prompted immediate opposition from Republicans -- and Democrats at times -- that rendered ineffective the early year exercise of outlining his spending priorities.

The plan for temporarily extending the sequester deadline follows a similar move by congressional Republicans last month on raising the nation's debt ceiling. That deal put off further wrangling on the federal borrowing limit until mid-May.

Some analysts warn that Washington's fiscal paralysis harms the nation's fragile economy and could bring another recession.

Short-term approaches like the recent debt-ceiling measure and now Obama's push on the sequester cuts allows more time for negotiations on a possible broader deal that would address all issues at once.

@highlight

NEW: Avoid "self-inflicted wounds" out of Washington, President Obama says

@highlight

Obama says sequester cuts will hurt the economy

@highlight

Steep spending cuts from a 2011 debt-ceiling deal will impact the government March 1

@highlight

The cuts were intended to force a broader deficit reduction deal that never happened