(Financial Times) -- China plans to boost its official defence budget by 11.2 per cent this year as Beijing is balancing the modernisation of its armed forces against the need to keep military spending in line with economic development.

Defence expenditure is budgeted to rise to Rmb670.247bn ($110bn) in 2012, Li Zhaoxing, spokesman of the National People's Congress, told reporters a day before China's rubber stamp parliament opens to hear premier Wen Jiabao's budget report.

The rate of increase is slightly lower than last year's 12.7 per cent but in line with the growth trajectory over the past two decades. China has reported double-digit increases in official military spending for each year since 1989 except for 2009, when the announced growth rate dropped to 7.5 per cent.

Beijing says it is committed to keeping military spending in line with the overall pace of economic development.

Foreign analysts agree that Beijing's official defence budget does not represent the full amount China spends on the military, but most external estimates still assume that the overall growth trajectory of military spending is in line with the announced figure.

The Stockholm Institute for Peace Research, one of the most respected independent research institutions, estimates that the official figure accounts for about 60 per cent of China's total military spending.

Some of the remaining funds are for the People's Armed Police, a force directly under central government orders which has a separate budget, and the militia, which is partly funded by local governments. The SIPRI analysts say the biggest uncertainty is hidden in research and development and acquisitions of new weapons systems.

In general, the Chinese government lists soldiers' pay, training and maintenance, and equipment costs as the three areas on which its military budget is spent.

In a departure from this terse formula, Mr Li claimed that the official number included all other spending. "Spending on the research, testing, acquisition, maintenance, transport and storage of equipment, including new weapons systems, are also included in the defence budget figure which is announced every year," he said.

Independent defence experts doubt this claim as they believe the official figure is not enough to cover for the cost of major weapons systems that the People's Liberation Army has under development or which it has started deploying.

Last year, the PLA finished refurbishment of an old aircraft carrier which it has started using for exercises. "Given that they're taking it out for navigation training and that they're training large numbers of pilots for carrier operations, the cost here has to soar," said a south-east Asian military official in Beijing.

The Chinese military has also started deploying a land-based anti-ship missile with which it intends to limit access for US carrier groups to regional waters. Foreign defence experts said the additional radar and satellites needed for accurate targeting were also bound to cause a spike in weapons acquisition cost.

The 11.2 per cent increase comes as the US, which has the world's largest military budget, is cutting defence spending while at the same time shifting its focus to Asia-Pacific, widely seen as an effort to re-assert its regional influence against a rising China. Over the past year, the Obama administration has moved to strengthen military ties with traditional allies in the region including Australia, Japan and the Philippines.

South-east Asian countries welcome a stronger US presence in the region to balance what they see as an increasingly assertive China. As Beijing has stepped up patrols in disputed waters of the South China Sea and continued to add advanced military hardware, neighbours such as Vietnam, Singapore, Thailand and Malaysia have reacted by stepping up weapons purchases themselves.

For the US, maintaining its naval presence in Asia is more difficult and more costly than for China -- Washington relies on a 'forward' structure of foreign bases and carrier groups whereas the People's Liberation Army can concentrate on building equipment which will allow it to deny US forces access to regional waters.

"It is important to note that Beijing views itself as reacting to the increasingly assertive policies of other countries and has repeatedly said that it does not want to provoke military confrontation," said Sarah McDowall, Asia-Pacific analyst at IHS Jane's, a leading defence research firm. "That said, the increase will be partially motivated by Washington's strategic campaign to re-assert itself in Asia Pacific and will underscore China's growing means to assert its power over maritime claims in disputed waters of the South China Sea, East China Sea and Yellow Sea."

IHS Jane's recently forecast the pace of Chinese defence spending growth to jump to an average 18.7 per cent per year. But analysts believe that any bigger increases would have to wait until a new generation of political leaders have taken over.

Xi Jinping, the vice president who is expected to succeed Hu Jintao as president and Communist party chief, has much closer ties to the military than Mr Hu. However, even next year's budget will still be drafted under Mr Hu.

© The Financial Times Limited 2012

@highlight

Defence expenditure is budgeted to rise to Rmb670.247bn ($110bn) in 2012

@highlight

The rate of increase is slightly lower than last year's 12.7% but in line with the growth trajectory over the past two decades

@highlight

The increase comes as the U.S. is cutting defense spending while at the same time shifting its focus to Asia-Pacific