(CNN) -- Ever caught a glimpse of the secretive Iberian lynx? Or heard the croaking bark of a Mediterranean monk seal?

Arctic foxes are trapped and skinned for the pelts.

If not, and you want to do so, you had better hurry because pollution and habitat degradation have pushed both species to the brink of extinction.

According to a recent study by the Switzerland-based World Conservation Union (IUCN) human activity is threatening almost one-sixth of Europe's total land mammal population.

Among marine mammals the situation is even more grave, with some 22 percent of total numbers being pushed towards annihilation.

The IUCN's recently published European Mammal Assessment identified 17 European mammal species that are "vulnerable," seven that are "endangered," and six that are "critically endangered."

The Mediterranean monk seal population, for example, has now dwindled to just 350-450 individuals.

The outlook for the Iberian lynx is even worse, with only an estimated 150 still surviving, making it the most endangered cat species on earth.

Other species on the critically endangered list include the Arctic fox, Bavarian pine vole, European mink and North Atlantic Right whale.

"This new assessment proves that many European mammals are declining at an alarming rate," said IUCN Director-General Julia Marton-Lefèvre, a position echoed by the EU's Environment Commissioner Stavros Dimas.

"The results of the report highlight the challenge we currently face to halt the loss of Europe's biodiversity," said Dimas.

"It is clear that the full implementation of the Habitats Directive (adopted by the EU in 1992 to safeguard Europe's endangered wildlife) is of the utmost importance to protect Europe's native mammals."

Europe is home to a rich diversity of native mammal species ranging from the small such as shrews and voles, to the large such as wolves and brown bears. to the enormous -- in the case of the 70-ton North Atlantic Right Whale.

Human activity, however, especially in the form of agriculture, deforestation, hunting and pollution, has reduced the numbers of these species, leaving many of them in danger of vanishing.

The aforementioned Habitats Directive -- a corollary of the 1979 Bern Convention on the Conservation of European Wildlife and Natural Habitats -- introduced a range of measures aimed at protecting endangered species (including plants, birds and fish as well as mammals).

That directive has certainly had an effect, with a number of mammals that previously seemed destined to disappear from Europe now enjoying something of a revival.

The Alpine Ibex, for example, was almost hunted out in the 19th century, its population reduced to just a small group of survivors in Italy's Gran Paradiso National Park.

Thanks to extensive conservation and protection efforts, however, the species is once again flourishing and has been downgraded to the "least concern" category on the IUCN's "Red List."

It is the same story for the European bison, which was limited to just a few zoos before re-introduction programs across eastern Europe helped re-build the population to current levels of around 1,800.

"The fate of the European bison provides an example of the way in which a species may be brought to the brink of extinction in a very short time, and then saved only through great efforts," said Dr. Zbigniew Krasinski of Poland's Bialowieza National Park.

"The saving of the bison has been an undoubted success, although further action will continue to be essential."

Dr. Jean-Christophe Vie, Deputy Head of the IUCN's Species Program, agrees that significant progress has been made.

"In Europe we now have a network of protected areas, as well as strong conservation laws," he told CNN. "It is possible for species to recover even when their numbers drop to extinction level.

"Both the Alpine Ibex and European bison are recovering well because of appropriate conservation measures.

"The European beaver is another example. It was persecuted almost to extinction but has now been re-introduced and is colonizing all over the continent."

While there are positive stories, however, the overall picture remains a disheartening one, as the European Mammal Assessment demonstrates.

Commissioned by the European Commission and a year in the drafting, it is the first such overview of its kind and draws on the work of a Europe-wide group of scientists, zoologists and conservationists.

Its findings provide an unequivocal picture of biodiversity loss and species decline.

Habitat destruction, usually due to agricultural practices, is the key driver of that decline, although many other factors are involved, including pollution, disease and the introduction of invasive foreign species.

The case of the European mink, one of the IUCN's six critically endangered European mammals, is an example of how different elements can combine to drive a particular species to the brink of destruction.

Once found in great numbers across Europe from Spain to the Urals, the mink population has plummeted in recent years.

While hunting has certainly contributed to this decline, the main causes have been habitat loss and competition from invasive foreign species, according to Vie.

"The mink is freshwater dependent," explains Vie. "The more you damage its habitat by polluting rivers, or channeling them, or building dams, the more the population declines."

The introduction of the American mink into Europe for fur-rearing also proved disastrous, with some of those mink escaping from captivity, establishing their own colonies in the wild and setting up direct competition for food and resources with the native population.

The result: an 80 percent decline in that population in the last decade alone (in 1993 the IUCN only classified it as "vulnerable").

But experts say that species loss can be reversed.

"There is more and more perception across Europe that biodiversity conservation is crucially important," says Vie. "And we are seeing good recoveries in some species.

"The picture in the mammal world is not nearly as bad as, say, among freshwater fish, where the number of threatened species is far, far higher."

At the same time, the latest figures remain a source of considerable concern. At a time when so many conservation initiatives and laws are already in operation, the population of many European mammal species is in apparent free fall.

It is not simply the possibility of losing a particular species that worries experts, but also how the loss will affect the species' wider ecosystem

"The food web is extremely complex," says Vie. "If you lose one element that has a very specific role in that web, it has a knock-on effect and the whole system is threatened.

"It is very worrying. Some people think it is a disaster if a famous painting is lost in a fire, but that is just the work of a few weeks or months. These species and systems are the product of millions of years of evolution.

"I am biased, of course, but I think it would be an absolute tragedy if we lost these native species." E-mail to a friend

@highlight

Only an estimated 150 Iberian lynx remain

@highlight

Human activity is endangering many animals

@highlight

Experts say situation is redeemable