(CNN) -- The financial crisis has driven a wedge through Europe, with two economies emerging and -- more dangerously -- a psychological split between the north and the south, European leaders have told CNN.

Jean-Claude Trichet, former president of the European Central Bank, Mario Monti, former prime minister of Italy, and Joaquin Almunia, EU competition commissioner, joined CNN's Richard Quest to debate if the crisis had fractured the region, both economically and socially.

Trichet, who headed France's Banque de France before joining the ECB, said a two-speed economy was emerging, but that could be seen as a "major rebalancing."

When he began at the ECB in 2003, Germany was the sick man of Europe due to its lack of competitiveness, Trichet said. The country has since emerged as the eurozone's power player, and a lead negotiator in the four-year old financial crisis.

According to Trichet, Europe has been adjusting after "countries that went too far too rapidly, had bubbles and so forth...now those countries that were growing extremely fast, abnormally fast, [and] a lot of them are correcting."

However, member countries are not always going at the "same time, at the same speed," Trichet said.

Monti who stepped up as Italy's "technocrat" prime minister after the country's economic instability forced the resignation of Silvio Berlusconi, told Quest his greater concern was the prospect of a two class Europe.

READ MORE: Could euroskeptics spoil Angela Merkel's party?

"The crisis has been managed very, very poorly in my view as regards the psychology, and the eurozone crisis has generated a backlash against integration," Monti said. This "psychological conflict of north versus south and vice versa, this needs to be tackled."

Trichet echoed the concerns, telling Quest such a split was "absolutely unacceptable."

"If we had, in the past, fully implemented the rules including the stability and growth pact, and what was badly needed -- control and monitoring of competitiveness -- we wouldn't have two class Europe," he said.

Almunia, meanwhile, said his fear was that "after the crisis those who were, at the beginning of this crisis, at the bottom, would continue to be at the bottom."

However, he added, that would not happen if the countries in recession "do what they have started to do and ....continue to do [it]."

Germany's emergence as power player

Germany emerged as an economic force after labor reforms were implemented under its then-chancellor Gerhard Schroder.

Now, its export-led economy drives the 17-nation eurozone, with Chancellor Angela Merkel -- battling for third term in this weekend's federal elections -- a central figure during Europe's crisis.

Merkel's popularity remains high in Germany, and her party, the Christian Democratic Union, is expected to gain the most votes.

Merkel's leadership during the crisis saw her named as the world's most powerful woman by Forbes three years in a row. Efforts to combat the crisis included the implementation of bailout funds, closer fiscal cooperation and austerity measures.

READ MORE: It's the economy, Dummkopf

When asked if Germany is taking over Europe, Monti replied that the continent's largest economy would have more dominance if it had retained the deutsche mark "because they would then become the only relevant monetary policy power in Europe."

As it is, Germany remains shackled to the weaker countries in the euro, many of which continue to struggle with spiralling unemployment, high national debts and growing political instability.

Greece, Portugal, Cyprus and Ireland have received over 400 billion euros ($534 billion) in bailout packages from the euro-area's rescue funds. Last year European finance ministers approved a 39.5 billion euro ($51.6 billion) lifeline for Spain's banks, struggling after the property bubble went bust.

Yet Spain and Greece still have unemployment above 27%. Portugal and Ireland are also struggling with chronic unemployment.

Anti-austerity protesters in the worst-hit nations have held demonstrations against government cuts and the lack of jobs, with many turning violent.

And Eurostat's 2013 growth forecasts for eurozone nations show a growing chasm between the region's prosperous north and its struggling south.

READ MORE: German Finance Minister, on the campaign trail

Germany is expected to post 0.4% growth this year while all the Mediterranean countries' economies are likely to contract.

The imbalance had created a system "where the creditor nations rule and impose their conditions and the others are subservient to that," Paul de Grauwe, a professor at the London School of Economics, told CNN.

"At some point, these countries will not continue to accept this recipe."

The common currency's future

Public opinion continues to support the political push to integrate the eurozone, Almunia said. Discontent shown by the region's constituents is "with the way the European institutions tried to solve the problems," he said.

Indeed, despite efforts to tie the bloc closer, debate continues around the potential for worst affected countries to exit the common currency. Such an outcome has been decried in the past but could, according to European School of Management and Technology faculty member Jan Hagen, be of benefit.

Hagen said the bloc needed to "go for strong political integration, to basically create a single market or a strong fiscal policy, or get rid of the euro. " Otherwise, Hagen said, "my fear is .... people in these countries that have problems will turn violently against Europe."

Meanwhile, according to Monti, the region's leaders must work more closely together. Leaders who applaud decisions made in Brussels only to criticize them from home turf are playing a dangerous game, he said.

"This Europe bashing is, of course, very dangerous... because it's simply a dishonest game of shifting the responsibility where it does not belong," Monti told Quest.

And, as Trichet noted during the debate: "This is no time for complacency for Europe... it's absolutely clear we have very hard work to do, very, very hard work, and things will remain difficult for a while."

Richard Quest, Oliver Joy and Irene Chapple contributed to this report

@highlight

The crisis has driven a wedge through Europe, with two economies emerging and a psychological split, leaders say

@highlight

Jean-Claude Trichet, Mario Monti and Joaquin Almunia joined Richard Quest to debate the region's future

@highlight

They feared a two class Europe more than a two economy Europe

@highlight

They say there is still long hard road ahead of Europe before it recovers