ISIS has Americans worried. Two-thirds of those surveyed in a recent Pew Research poll said they consider the Islamic State in Iraq and Syria to be a "major threat" to this country. But are such fears really justified?

Despite the impression you may have had from listening to U.S. officials in recent weeks, the answer is probably not really.

For a start, U.S. officials have been inflating the numbers of Americans fighting for ISIS, which has muddied the issue for the public. U.S. Secretary of Defense Chuck Hagel, for example, told CNN's Jim Sciutto earlier this month, "We are aware of over 100 U.S. citizens who have U.S. passports who are fighting in the Middle East with ISIL forces." (ISIS is sometimes referred to as ISIL and now calls itself the Islamic State).

But the Pentagon soon corrected Hagel's comment, saying the 100 count is the total number of Americans fighting for any of the various groups fighting in Syria, some of which are more militant than others -- and some of which are even allied with the U.S. Indeed, Matthew Olsen, the director of the National Counterterrorism Center -- the government office tasked with assessing terrorist threats -- also confirmed that 100 is the total count of the various Americans fighting in Syria and not a count of those fighting for ISIS.

Hagel's comment is only the latest inflated claim regarding the number of Americans fighting with ISIS. Last week, the Washington Times cited anonymous official sources who said there are 300 Americans fighting with ISIS, despite the Pentagon estimating the figure to be more like a dozen.

Who is the ISIS?

True, a dozen is still too many. But it is important to remember that just because these Americans are fighting with ISIS, it doesn't necessarily translate into a significant threat to the American homeland.

One need only look at the example of Somalia to see why.

Bergen: When Americans leave for jihad

The last sizeable group of Americans who went overseas to fight with an al Qaeda-aligned group are the 29 Americans known to have traveled to fight with the Somali terrorist group Al-Shabaab after the 2006 invasion of Somalia by the Ethiopian army. However, none of those 29 subsequently planned or conducted a terrorist attack inside the United States, according to a survey of more than 240 jihadist terrorism cases since September 11 conducted by the New America Foundation.

What can the U.S. do against ISIS and could it work?

Indeed, for more than a third of the American militants who fought with Al-Shabaab, going to Somalia was a one-way ticket. In 2008, a missile strike in Somalia killed Ruben Shumpert, a resident of Seattle. A year later, Burhan Hassan, a 17-year-old from Minneapolis, was killed in the Somali capital, Mogadishu. Abdirizak Bihi, Hassan's uncle, reportedly said at the time, "We believe he was killed because he would have been a key person in the investigation into the recruitment (of young Somali men) here in Minneapolis."

Al-Shabaab militants also are said to have killed Alabama native Omar Hammami, who joined the group in 2006 and took a high-profile position in its media operations before his death last year.

At least two Americans fighting for Al-Shabaab died while conducting suicide attacks in Somalia.

Shirwa Ahmed, a 26-year-old from Minnesota, became the first known American to conduct a suicide bombing for an al Qaeda-associated group when he drove a car packed with bombs into a government compound on October 28, 2008.

In 2011, meanwhile, the FBI confirmed that Farah Mohamed Beledi, a 27-year-old Minnesota man who was born in Somalia and moved to the United States at age 12, was killed while attempting to detonate a suicide bomb in Somalia.

Bergen: An American's gateway to jihad

In addition to the American militants who died in Somalia, six were arrested, four when they returned to the West and two in East Africa. Kamal Said Hassan, a 28-year-old Minneapolis man who traveled to Somalia and attended an Al-Shabaab training camp before returning to the United States, was arrested and in 2009 pleaded guilty to supporting Al-Shabaab.

In another case, Mahamud Said Omar, an American resident who helped organize Al-Shabaab's recruitment pipeline and visited a training camp, was arrested in the Netherlands in 2009. Omar was extradited to the United States and in 2012 was convicted on terrorism charges.

Of course, the fact that 13 of the 29 American militants who fought in Somalia remain at large is a reminder that the CIA and FBI also need to pay attention to the potential threat posed by American foreign fighters in Syria. But this is no reason for U.S. officials to overhype the threat posed by ISIS to the United States.

Yes, Americans should always be mindful of the threats posed by extremists. But as the case of U.S. citizens in Somalia suggests, Syria could very well end up being a graveyard for Americans fighting there rather than a launch pad for attacks on the United States.

@highlight

Two-thirds of Americans say ISIS "major threat" to U.S.

@highlight

U.S. officials have inflated numbers of Americans fighting for ISIS, says Peter Bergen

@highlight

Claims that over 100 U.S. citizens fighting with ISIS are probably overestimate

@highlight

Somalia example suggests those fighting in Syria won't pose U.S. threat, Bergen says