(CNN) -- Six months after a devastating earthquake struck Haiti, most governments that promised money to help rebuild the country have not delivered any funds at all, a CNN investigation has found.

Donors promised $5.3 billion at an aid conference in March, about two months after the earthquake -- but less than 2 percent of that money has been handed over so far to the United Nations-backed body set up to handle it.

Only four countries have paid anything at all: Brazil, Norway, Estonia and Australia.

The United States pledged $1.15 billion. It has paid nothing, with the money tied up in the congressional appropriations process.

Venezuela promised even more -- $1.32 billion. It has also paid nothing, although it has written off some of Haiti's debt.

Former President Bill Clinton, a U.N. special envoy for Haiti, said he plans to put pressure on governments that have been slow to deliver on their promises.

"I'm going to call all those governments and say, the ones who said they'll give money to support the Haitian government, I want to try to get them to give the money, and I'm trying to get the others to give me a schedule for when they'll release it," Clinton told CNN's Anderson Cooper earlier this week.

He said the worldwide economic crisis was at least partly to blame.

"I think that they're all having economic trouble, and they want to hold their money as long as possible," Clinton said.

Altogether, about $506 million has been disbursed to Haiti since the donors' conference in March, said Jehane Sedky of the U.N. Development Program.

That's about 9 percent of the money that was pledged. But about $200 million was money that had been in the pipeline for aid work before the earthquake, and about another $200 million went directly to the government of Haiti to help it get back on its feet, Sedky explained.

That has left the commission with about $90 million in donations since the conference, Sedky said.

There is some dispute about the World Bank's contribution

The bank says it has made available $479 million dollars, and of that $56.6 million has "already been used" for different government-led projects. The World Bank says that this money was provided directly to the Haitian government and did not go into the Interim Haiti Recovery Commission.

CNN compiled the information for this report by reviewing commission figures and surveying the donors that had made pledges to determine the disposition of those pledges.

Spain, France and Canada are also among the countries that have not yet followed through on their pledges, CNN found.

No countries told CNN they do not plan to deliver the money eventually.

The pledges are for fiscal year 2010-2011, so the donors have until the middle of next year to get the funds to the Haiti recovery commission, Sedky said.

U.N. spokesman Farhan Haq said Wednesday that aid delivery to Haiti is going relatively well compared to other disaster relief efforts the world body has been involved in.

"Compared with other disasters, coordination systems in Haiti have actually functioned reasonably well," he said, adding that there was no requirement for aid efforts to work within systems.

"But within that constraint, what we've been trying to do is coordinate the aid responses as best as we can, and we are trying to provide food as quickly as possible," he said.

Some charities, meanwhile, are spending money as fast as they get it, while others are planning long-term projects.

Doctors Without Borders -- primarily a disaster-relief organization -- has received $112 million and spent $65 million, it says. The group plans to spend more than $109 million by the end of the year, spokesman Michael Goldfarb told CNN.

The Red Cross has spent $148 million of the $468 million it has taken in, and is holding some money in reserve for more permanent projects such as shelter and water.

Private money has also come in from the Clinton Foundation, from Mexican telecommunications billionaire Carlos Slim Helu and Canadian mining investor Frank Giustra, but that's not part of the $5.3 billion pledged by countries at the conference in March.

The January 12 quake left more than 220,000 dead, 300,000-plus injured and more than 1 million homeless. According to recent U.N. reports, the quake destroyed 60 percent of government infrastructure and left more than 180,000 homes uninhabitable.

Six months later, more than 1.5 million remain in overcrowded displacement camps.

According to the United Nations, 1,300 camping sites and 11,000 latrines have been built, and thousands of kilos of food and humanitarian resources have been delivered to those in need.

CNN'S Richard Roth at the United Nations contributed to this report.

@highlight

International donors promised $5.3 billion to Haiti after the earthquake

@highlight

Only four countries have delivered any money at all

@highlight

Less than 2 percent of the money that's been promised has been delivered

@highlight

U.S. and Venezuela pledged more than $1 billion each and have delivered nothing