(CNN)Wednesday's attack in Paris was not the first attack on the offices of Charlie Hebdo, nor the first terror attack planned against a European publication. But it was by far the most lethal act of terrorism to target the media  in modern Europe.

It raises many troubling questions for the future of a free press, unhindered in its reporting by fear. And it will reopen the debate on where freedom of speech becomes incitement and where restraint equals self-censorship.

Charlie Hebdo has published many cartoons lampooning Islamist extremism and, more recently, the Islamic State in Iraq and Syria. One recent cartoon featured ISIS' leader Abu Bakr al-Baghdadi. Under editor Stephane Charbonnier, who was among those killed Wednesday, it has been one of several European publications to make a point of taking on extremism and religious intolerance -- knowing it risked deadly consequences. Even when these publications have come under attack, they have continued plowing a lonely and provocative furrow.

Charlie Hebdo's offices were destroyed by a gasoline bomb in 2011 after the magazine carried a caricature of the Prophet Mohammed on the cover, saying "100 lashes if you are not dying of laughter." A cartoon inside showed the prophet with a clown's nose. It also announced he would be editor-in-chief of the next edition. No one was hurt in that attack.

Depiction of the prophet is prohibited in Islam and, along with desecration of the Quran, enrages jihadists even more than images of prison abuse or airstrikes -- precisely because it is aimed directly at the prophet and the holy book.

Charbonnier said at the time of the 2011 attack that it was the work of "idiot extremists" and insisted the magazine had the right to poke fun at anything. And then-French Prime Minister Francois Fillon said at the time: "Freedom of expression is an inalienable right in our democracy and all attacks on the freedom of the press must be condemned with the greatest firmness."

But Wednesday's attack shows that condemnation and round-the-clock protection of the media are two entirely different things. There was a regular police presence at the offices of Charlie Hebdo, but the  officers appear to have been as much a target as the journalists -- an easy, static target for a well-organized attack.

And what organizations merit protection? In the aftermath of Wednesday's attack, French Prime Minister Manuel Valls announced that "media organizations, major stores, religious places and public transport (in the Paris area) will be provided with reinforced security." It is the obvious response, but some would argue that this is just what terrorists want: a climate of fear.

In February 2006, Charlie Hebdo reprinted cartoons of the prophet that had first appeared in the Danish newspaper Jyllands-Posten, itself the target of several plots by Islamist extremists. The magazine said it was reprinting the cartoons in support of press freedom, but then-French President Jacques Chirac criticized the decision as "overt provocation." The editor of another French newspaper was fired for reprinting the cartoons.

Charlie Hebdo was also taken to court by two Islamic groups in France but acquitted of incitement to racism. The court decided there had been no "deliberate intention of directly and gratuitously offending the Muslim community."

Charlie Hebdo: Satirical magazine is no stranger to controversy

That case encapsulated the dilemma for governments and the media in Europe. When does the exercise of free speech become incitement, provocation or an act of racism? And is self-censorship necessary in a multicultural society where restraint helps social peace and provocation can bring violence?

The original publication of the cartoons in Jyllands-Posten in September 2005 caused riots across the Muslim world in which an estimated 130 people were killed. The newspaper received more than 100 death threats.

Flemming Rose, the culture editor of the newspaper, later published an article in The Washington Post entitled "Why I Published Those Cartoons," which is worth quoting at length:

"I commissioned the cartoons in response to several incidents of self-censorship in Europe caused by widening fears and feelings of intimidation in dealing with issues related to Islam. ... The idea wasn't to provoke gratuitously -- and we certainly didn't intend to trigger violent demonstrations throughout the Muslim world. Our goal was simply to push back self-imposed limits on expression that seemed to be closing in tighter."

He gave an example, saying one Danish comedian had told Jyllands-Posten that he had no problem urinating on the Bible in front of a camera, but he dared not do the same thing with the Quran.

The Tate Gallery in London had confronted the same dilemma -- withdrawing a work called "God is Great" by John Latham which depicted torn images of the Bible, the Quran and the Talmud. The Tate said that in the wake of the July 2005 bombings, displaying the work would "not be appropriate."

Some have argued that restraint shows respect and is not cowing to extremism. As Archbishop of Canterbury, Rowan Williams argued in 2008 for stronger measures against incitement of religious hatred, saying that the "sound of a prosperous and socially secure voice claiming unlimited freedom both to define and to condemn the beliefs of a minority grates on the ear."

There are also some who see the publication of provocative images as a cheap way to publicity. The critic Michael Kimmelman wrote in The New York Times at the height of the cartoon controversy that "modern artists and their promoters forever pander to a like-minded audience by goading obvious targets, hoping to incite reactions that pass for political point-scoring."

If anything, the atmosphere in Europe is now more combustible than it was in 2006. Recession has brought unemployment -- in France it is rising fast -- and with it, less tolerance for immigration and minorities, even when they are well established. The anti-immigrant National Front in France topped the poll in last year's elections to the European Parliament.

In the UK, the anti-Europe and anti-immigration party UKIP has made spectacular gains in by-elections. And in Germany, a group calling itself Pegida -- Patriotic Europeans Against the Islamization of the West -- drew nearly 20,000 people to a recent rally in Dresden. Despite condemnation from Chancellor Angela Merkel as well as German business and labor unions, Pegida continues undaunted to challenge the establishment.

At the same time, the rise of Islamist militancy has seeped into many of the Muslim immigrant communities that have grown across Europe in the last generation. Younger Muslims, with few prospects and often alienated by what they perceive as victimization by police, are vulnerable to recruitment by extremists. Several thousand from across Europe have already gone to Syria and Iraq, many to fight for jihadist groups such as ISIS and al Nusra. The French Interior Ministry estimates that hundreds of French citizens have left or plan to leave to join the ranks of jihadist groups in Syria or Iraq.

A video released by ISIS in November showed three French jihadists calling on other French Muslims to join the fight or carry out attacks in France. One of the fighters said: "Terrorize them and do not allow them to sleep due to fear and horror. There are weapons and cars available and targets ready to be hit. Even poison is available, so poison the water and food of at least one of the enemies of Allah. Kill them and spit in their faces and run over them with your cars."

Others have already come back from Syria and Iraq. One was arrested and charged in the gun attack on a Jewish museum in Brussels last year; another was detained in the south of France after bomb-making equipment was found in his apartment.

France and Britain have introduced tougher anti-terrorism laws that allow for the confiscation of passports of those suspected of intending to travel to Syria and Iraq to join militant groups. But a free society doesn't have the resources, the laws or even perhaps the will to track all such individuals.

Ultimately, journalists who want to publish material that's clearly offensive or inflammatory to some will have to accept the inherent risks in this new environment. Some, like Flemming Rose at Jyllands-Posten, accept that.

"If a believer demands that I, as a nonbeliever, observe his taboos in the public domain, he is not asking for my respect, but for my submission. And that is incompatible with a secular democracy," he wrote.

@highlight

Gunmen kill journalists at magazine that lampooned Islamic extremism, ISIS

@highlight

Attack raises questions about where freedom of the press becomes incitement

@highlight

Is restraint self-censorship and submission, or a show of respect?