Jamam refugee camp, South Sudan (CNN) -- The dried up cattle pond is only a few meters off the red road that runs through Jamam refugee camp. It's a huge hole in the ground, long emptied by the blazing sun. At the bottom of this pit women and children dig with cups and bowls in the smelly, spongy mud for the little dirty water that seeps into their shallow wells.

Jamam refugee camp is in a desperate situation. All day Oxfam trucks water from the very few working boreholes in or near the camp to tanks close to the road. Women wait in the heat for up to four hours twice a day, next to their long queues of buckets and jerry cans. Men with sticks and whips police the lines. Fights break out all the time. No one has to ask why. There is simply not enough water and we are running out of options and we are running out of time.

This is the daily struggle that is the human face of peace failing in the Sudans. The conflict in Blue Nile has been going on for months, and now in the past few weeks fighting between Sudan and South Sudan threatens to further destabilize the wider border region these refugees still live in.

Like a cruel reminder of the conflict that the refugees fled, unidentified Antonovs -- the kind of planes that bombed their villages in Blue Nile -- flew over Jamam camp three times in the past few weeks. In a panic, refugees ran and sought safety in holes in the ground.

To truly understand why peace is so important, the world needs to remember it's not just the fighting that matters but also the enormous suffering it causes those who have already been forced to flee it. The interrupted lives, deadened by displacement in the hot, unblinking heat. In barely established camps like Jamam there's nothing to do but wait.

In Jamam -- where water is rationed well below people's needs, enough only for cooking and bathing - that struggle has become a crisis that is about to deepen as the rainy season approaches.

How to get enough water? That is the burning question, but the ground here has few answers. There is just not enough water to cope with so many new people -- and now there are fears that more may arrive as conflict spreads. We've done a hydro-geological survey and we've drilled for new boreholes. We have even resorted to water divining -- a traditional method using metal rods in the hope of detecting ground water. Only one drill has produced any water, but very little.

We were completely reliant on four overworked boreholes pumping 22 hours a day. One of these collapsed last week, and now there are just three. Rationing has been tightened again. It was a grim evening in our base in the camp that night. We ate our meal to the loud hum of the generator with our hearts in our stomachs.

The refugees were settled here partly because the host community was welcoming. But as water sources run out or dry up and more and more refugees arrive, competition for water is beginning to cause conflict here too. Fights break out at water points. The pressure is intense and I fear it will get worse.

The heavy rains are coming, bringing fresh problems. It rained last week for three hours, long enough to destroy many of the flimsy shelters of plastic sheeting, sheets, or straw the refugees have constructed under trees. Whole families were left exposed.

The rains will flood large parts of the camp, bringing the threat of disease and making trucking water in very difficult -- perhaps impossible as the roads deteriorate into impassable mud slicks. Drilling in the rains is also near impossible.

It is hard to express how miserable the mud of Upper Nile is. It's a kind of black clay that sticks to everything, the stuff of quagmires. Largely impermeable, water sits on top of it, a massive health risk not just encouraging malaria but also water-borne diseases including cholera.

Humanitarian agencies working in the camp are looking into options including relocating a large number of the refugees to a new site, and putting in a pipeline that will hopefully mean the water can reach the camp more reliably when the roads fall apart.

But there's only one real solution. People need peace and people need to be able to go home.

Unless all parties involved in the fighting stop and focus on long-term peace then I fear that the situation in Sudan and South Sudan will reverse to how it was during wartime, Africa's longest civil war, the most recent phase of which lasted 22 years and left around 2 million people dead.

All that progress made in the years following the 2005 peace agreement risks being lost. The international community played a major role in brokering that peace -- now is the time to make sure it lasts. The people in Jamam, and across the two countries, deserve to be free from the constant threat of crisis.

The opinions expressed in this commentary are solely those of Pauline Ballaman.

@highlight

Hundreds of thousands of refugees have fled conflict in Sudan, South Sudan border region

@highlight

Many have taken shelter in Jamam camp, but water supplies are running low

@highlight

Oxfam worker Pauline Ballaman says international community must take action

@highlight

Ballaman: "People need peace, and to be able to go home"