(CNN) -- When the patrons of the Stonewall Inn fought back after the New York police raided that Greenwich Village gay bar 44 years ago, no one there imagined the federal government would ever recognize the rights of two women or two men to get married.

No other movement for equality in the United States has ever traveled so far or so quickly as the push for equality for gay men and women.

I have a vivid memory of a dinner at Gracie Mansion with Tom Stoddard, an early leader of the gay rights movement, and Ed Koch, then the mayor of New York, sometime in the late '80s, when the idea of same-sex marriage was first in the air.

"If you think people are going to go for this, you're crazy!" Koch said. I'm sure I agreed with Koch at the time.

As a gay man who came out the year after the Stonewall riots, I have witnessed more change than I had ever imagined would be possible in my own lifetime. When I was a reporter for The New York Times in the 1970s, like every other gay employee there, I was securely in the closet. No gay person there believed his or her career could survive a disclosure about sexual orientation.

Opinion: Fight for gay rights must continue

In fact, in 1980, there was exactly one openly gay reporter at a daily paper in New York City: Joe Nicholson of the New York Post. By 1996, more than 300 of Nicholson's colleagues at other mainstream media outlets had followed his example. That gives a small idea of how far and how quickly we have come.

With Wednesday's two decisions from the Supreme Court, one ordering the federal government to recognize same-sex marriages wherever they occur, the other reinstating marriage equality in California by letting a lower court ruling stand, the court's five-member majority has placed itself firmly on the right side of history.

This is the third historic gay rights decision written by Justice Anthony Kennedy. The first one was Romer v. Evans, in 1996, when the court threw out a Colorado state constitutional amendment that had forbidden protection for gay people from discrimination. The second one was Lawrence v. Texas, decided 10 years ago on Wednesday, which outlawed every state statute that had criminalized same-sex love-making.

The harbingers for Wednesday's decision were clearly in place in Kennedy's Colorado opinion. In 1996, he wrote, "A state cannot ... deem a class of persons a stranger to its laws." The Colorado provision had singled out gay people as "a solitary class," creating a legal disability so sweeping, it could only be explained "by animus."

On Wednesday, Kennedy wrote that the Defense of Marriage Act "writes inequality into the entire United States code."... (Its]) principal effect is to identify a subset of state-sanctioned marriages and make them unequal." The court called DOMA an "unusual deviation from the tradition of recognizing and accepting the benefits and responsibilities that come with federal recognition of their marriages. This is strong evidence of a law having the purpose and effect of disapproval of a class recognized and protected by state law. DOMA's avowed purpose and practical effect are to impose a disadvantage, a separate status, and so a stigma upon all who enter into same-sex marriages made lawful by the unquestioned authority of the states."

Among other things, Wednesday's decision is a reminder of just how important the political process is to progress in America. The first person nominated by Ronald Reagan to fill what is now Kennedy's seat was Robert Bork. Bork was a fierce opponent of equal rights for gay people, and if the Democrats in the United States Senate had not blocked his nomination, opening the way to Kennedy's appointment, none of these historic decisions might have been possible.

Opinion: How youth led change in public attitudes

Wednesday's decisions also would likely not have happened without the election of Barack Obama in 2008. As Andrew Tobias, treasurer of the Democratic National Committee, said Wednesday, John McCain repeatedly promised to appoint justices like John Roberts and Antonin Scalia, both of whom were in the minority on DOMA. "So the vote would have been 6 to 3 against, instead of 5 to 4 in favor," Tobias said, without the votes of Obama appointees Sonia Sotomayor and Elena Kagan.

James Esseks,director of the American Civil Liberties Union's Lesbian, Gay, Bisexual, Transgender & AIDS Project, said, "One of the things that's really important about the DOMA decision is that it gets rid of the core of the last federal law that requires discrimination against gay people. The country used to have a lot of laws that required discrimination against gay people," including an executive order signed by President Dwight Eisenhower in 1953 that banned gay employees in the federal government and all its contractors (an order that remained in effect until it was vacated in 1975). "Until 1991, federal immigration law actually barred gay people from entering the country," Esseks recalled.

We still have a long way to go. While the Proposition 8 ruling makes California the 13th state to allow same-sex marriage, there are still 37 that do not. For more than 30 years, Congress has refused to pass a law that would make it illegal to fire someone because of his or her sexual orientation, and there is no chance that will change as long as Republicans control the House. Bullying of gay children and gay teenagers also remains routine at elementary schools and high schools throughout the land.

There is something bittersweet about a decision that expands the equality of gay people the day after the same court, including Kennedy, issued a horrendous decision gutting the Voting Rights Act, perhaps the most important civil rights achievement of our time. This is especially true because the black civil rights movement provided all the blueprints that made the gay movement possible.

Opinion: The only history that counts for me is my own

But Wednesday is still a day for great celebration. On Wednesday my country continued its journey toward fundamental fairness for people like me faster than any member of my generation ever thought it could.

The opinions expressed in this commentary are solely those of Charles Kaiser.

@highlight

Charles Kaiser: At Stonewall riot 44 years ago, no one would have imagined today's ruling

@highlight

He says the push for equality for gay men and women has made incredibly fast, recent progress

@highlight

He says much of it due to political process; boons of Kennedy appointment, Obama election

@highlight

Kaiser: Still a long way to go on same-sex marriage equality, but there is cause for celebration