(CNN) -- When Macedonia celebrated the 20th anniversary of its independence from the former Yugoslavia last month, it did so in a capital city that has been radically transformed over the past two years.

Almost 20 new buildings -- and a similar number of statues, fountains and monuments -- are being built around the center of Skopje.

The transformations are being made as part of a project called Skopje 2014, aimed at rebuilding a city that lost many of its landmarks in a 1963 earthquake.

The centerpiece, in place in time for the anniversary celebrations on September 8, was a 22-meter statue, called Warrior on a Horse. It is widely understood to depict Alexander the Great, but has not been officially named as such because of a long-running dispute with Greece, to whom the ancient king is a national hero.

There is also a new Museum of Macedonian Struggle, which opened on Independence Day, a triumphal arch, a new foreign ministry building, a new constitutional court, a new national theater and a new archaeological museum, among other buildings.

Country profile: Macedonia

The official cost of the project is 80 million euros, although critics claim the final bill could be as high as 500 million euros, according to the online newspaper Balkan Insight.

Skopje 2014 has divided Macedonians, some of whom say a country with more than 30% unemployment, according the U.N data, should not be spending so much on a building project.

Goran Atanasovski, who runs an independent tourism website travel2macedonia.com.mk, said: "The project splits the people, like a river between the coasts, some of them are for it, while others are not.

"The controversy for the project is mostly that Macedonia belongs to a group of countries with high unemployment level."

However, Zoran Nikolovski, the government's head of tourism, said: "Skopje already has a totally new look from it did two years ago, and by 2014 it will have even more new buildings. Even in this global economic crisis we are building, not only buildings and attractions but also a new infrastructure and accommodation capacity, like brand new airports, roads and hotels.

"At first there was misunderstanding from people, but now they are seeing that it is really beautiful for people who live in Skopje as well as for travelers."

What do you think of the new buildings? Send in your images

Others question the taste of classic antiquity buildings and bronze statues.

One Macedonian who asked not to be named said: "I try to avoid the city center now. It has turned into a theme park. Wherever you turn there are new bronze statues and sculptures. It's as if they're trying to create a national identity.

"I would have thought in the 21st century we should be building something modern, urban and contemporary. I can't imagine any other city building a triumphal arch in the 21st century."

Regardless of personal opinions of the project, Skopje 2014 and other infrastructure investments do appear to be helping Macedonia to attract foreign tourists.

Nikolovski said there had been a 25% increase in foreign tourists visiting Macedonia in the first seven months of this year, compared with the same period last year.

Atanasovski said: "Whether it was due to Skopje 2014 or not, this was first season that I've actually seen mass groups of foreign tourists with a travel guides in the downtown and the Old Bazaar.

"This is the first year when Skopje received more tourists than Ohrid, the leading tourism destination of Macedonia."

Official government statistics show a steady increase in foreign tourists arriving in Macedonia from 99,000 in 2001 to almost 262,000 last year.

While the majority come from neighboring countries, there has been an increase in recent years from further afield, including Austria, Germany, Russia, Poland, Italy and Turkey.

Nikolovski said: "We have a lack of opportunities for mass market tourism because we don't have a coastline, but we do have beautiful lakes and mountains and interesting culture and history."

He said the country was also developing its gambling tourism market, with a number of casino hotels.

The government has recently introduced policies to boost tourism including a reduction in sales tax on hotels and catering from 18% to 5% and subsidies to attract tour groups from certain countries.

Atanasovski said: "The previous years, usually the tour operators have been including Macedonia as a part of wider Balkan tours and haven't stayed in Macedonia longer than a day. Starting from last year, the number of nights spent in Macedonia has increased."

Regardless of money spent on grand projects and infrastructure, national pride has been given a boost from a quarter that no politician could plan. Macedonia's 20th anniversary celebrations coincided with the national basketball team unexpectedly reaching the semi-finals of the European championships.

"Honestly, I haven't seen the people of Macedonia so happy and proud before," said Atanasovski. "Flags were all over, on people, on cars, on windows. People have replaced their economic problems with a smile and happiness."

@highlight

Skopje 2014 is a multi-million euro project to rebuild city center

@highlight

Triumphal arch, warrior statue and new museum opened for Macedonia's 20th anniversary celebrations

@highlight

Macedonia increases foreign visitor numbers by 25% this year