(CNN) -- In the cases that make the news, the stories are often murky and much debated. The hazy memories usually involve underage drinking, bad decisions, sexual acts, photos snapped and shared.

What's becoming clear in some recent high-profile sexual assault cases are the grave and lasting consequences for people on both sides of the camera.

It's a double-edged sword, experts said. Sharing images of rape or assault through text messages or social media re-traumatizes the victim. But it also provides evidence that could be crucial to building a criminal prosecution. Depending on the state, sexually explicit images of minors might be considered child pornography.

"One of the issues that's always part of a criminal case is the defendant's state of mind," CNN legal expert Jeffrey Toobin said. "Social media gives you an unusually direct picture of what's inside a defendant's head."

Related: When bullying goes high-tech

As evidence, however, it's often too little, too late. Two teens recently committed suicide after their alleged assaults were photographed and shared with others. Even if the photos and tweets lead to convictions, their existence does more harm than good for survivors.

"One of the reasons rape is so damaging is because it leaves you feeling a complete lack of control over your body," said Jaclyn Friedman, a rape survivor and author of "What You Really Really Want: The Smart Girl's Shame-Free Guide to Sex & Safety."

Shared images of assault can reinforce feelings of helplessness and vulnerability, she said; the victim has no control over who sees them or how far they go. Backlash toward the victim can deter others from reporting sexual assault.

"Nothing ever goes away on the Internet, so the knowledge -- that one way or another, the attack will be with you forever -- can be a constant source of trauma," she said.

Related: The healing process never ends after rape

Or worse.The family of 15-year-old Audrie Pott says she committed suicide in September after learning that someone shared a photo of her being sexually assaulted at a house party. Three teen boys were arrested last week in connection with the case, Santa Clara Sheriff's Office spokesman Jose Cardoza said. Formal charges have not been filed but they face two felony and one misdemeanor charge, he said. One of the felonies has to do with "distribution of harmful matter of a victim," he said. The other charges are related to sexual battery.

After learning that photos of the alleged rape had been shared with others, Pott wrote in an online post that her life was ruined. In a press conference Monday, Pott's mother read aloud posts from her daughter's Facebook page:

"I have a reputation for a night I don't even remember."

"I can't do anything to fix it."

"I just want this to go away."

"The whole school knows."

"I have a reputation I can never get rid of."

The Potts family intends to file a lawsuit against the parents who own the home where the alcohol was allegedly consumed, attorney Robert Allard said Monday.

The case has drawn comparisons to one that played out in court this year in Steubenville, Ohio, where two star football players were convicted of rape for assaulting a girl who had too much to drink. Images in that case were posted on social media sites.

In that case, the survivor benefited from a strong support group, including parents who believed her and stood up for her, despite allegations from the boys' lawyers that the she was a willing participant, said Jennifer Long, director of AEquitas, which collaborates with national, state and local advocates to help prosecutions of violence against women.

Related: Beyond vomiting, how to prevent rape

Images of the attack overcame the defense's arguments, said Long, a former sex crimes prosecutor in Philadelphia. A picture can mean a lot in cases where an accuser's credibility is called into question, when everyone was too intoxicated to recall details or when there's no physical evidence of an assault. An image can show the victim's condition, who was there and what took place.

And yet, the existence of images doesn't immediately lead to a criminal prosecution.

In another tragedy that made headlines this week, the family of Canadian teen Rehtaeh Parsons took her off life support Sunday. She had been hospitalized after she tried to kill herself. Her family said she became suicidal after being gang-raped in 2011, and was bullied for more than a year after the alleged assault.

Authorities confirmed that a photograph allegedly showing Rehtaeh having sex with one of the boys was circulated to friends' mobile phones and computers. As a result, her family said, she developed suicidal thoughts.

Law enforcement in the eastern Canadian city of Halifax, Nova Scotia, announced they were reopening the investigation Friday night after initially claiming that a joint investigation with the Royal Canadian Mounted Police found "insufficient evidence to proceed with charges."

Canadian justice officials told her family on Wednesday they would take a fresh look, the family told CNN.

If charges arise, Long, the AEquitas director, said she hopes courts will consider that the photos exist and were shared.

"For the victim, it never ends," she said. "That's definitely something the courts should keep in mind when determining a sentence."

Follow Emanuella Grinberg on Twitter

@highlight

NEW: "I have a reputation I can never get rid of," Audrie Pott wrote online after alleged rape

@highlight

Pott's suicide and others highlight consequences of sharing sex assault photos

@highlight

Expert say sharing photos of sexual assault on social media re-traumatize victim

@highlight

At same time, they provide evidence that can be crucial to building a criminal case