April 23 is, according to some reports, William Shakespeare's birthday.

In a nod to the Bard's enduring legacy 450 years on from his birth, as well as the UK's theatrical history, here are a few stages worth seeing, whether a play's being performed or not.

Shakespeare's Globe theater (London)

The original Globe theater was built by Shakespeare's company, the Lord Chamberlain's Men, in 1599, but was destroyed by fire in 1613.

A replica was built in 1997 just meters from the original site, with historical records used for guidance.

Though almost identical in appearance to the original, the new 857-seat structure has several modern features, including roof-based sprinklers and a concrete theater pit, as opposed to the straw-strewn one that would have existed in 1599.

One feature faithfully recreated is the roof -- Shakespeare's Globe has the first and only thatched roof permitted in London since the great fire of 1666.

Shakespeare's Globe, 21 New Globe Walk, Bankside, London; +44 20 7902 1400

The Düsseldorfer Schauspielhaus (Düsseldorf, Germany)

The history of this German theater dates to 1818, when King Friedrich Wilhelm II of Prussia presented it to the residents of Düsseldorf as a gift.

The modern theater that now stands on the original site was built in the late 1960s.

Its curved, undulating lines are designed to resemble a theater curtain.

Architect Bernhard Pfau's design was chosen in a competition.

The Düsseldorfer Schauspielhaus, Gustaf-Gründgens-Platz 1, Düsseldorf, Germany; +49 211 85230

Balboa Theatre (San Diego)

The Balboa Theatre was built in 1924 and named after Spanish explorer Vasco Nuñez de Balboa -- the first European to discover the Pacific Ocean.

The property fell into disrepair, but in 2002 a major restoration began.

A replica of the theater's sign, depicting Vasco's ship, was created using original colors identified from photographs, and stencils were used to painstakingly recreate the tapestry design that once adorned the walls.

"After a $26 million renovation, this elegant vaudeville theater has been fully restored, complete with its one-of-a-kind, fully operational interior waterfalls," says Ken Stein at the League of Historic American Theaters.

"If you could sum up the beauty of the City of San Diego in a single design, this would be it."

Balboa Theatre, 868 4th Ave., San Diego; +1 619 570 110

BAM Harvey theater (New York)

The BAM Harvey opened in 1904 as a venue for Shakespearean plays, vaudeville revues and musicals.

It was converted into a cinema in 1942, before dancer Harvey Lichtenstein commissioned architect Hugh Hardy to refurbish the interior so it could operate as a theater again.

Today's structure incorporates the original columns and water-stained ceilings, giving the venue a Greco-Roman feel.

"The 1987 restoration preserved the ornate detail and retained its historical associations, while rebuilding the stage and stripping it out to the bare brick back wall," says Professor Arnold Aronson at Columbia University's theater arts program.

"It was one of the most exciting theater renovations of the past three decades."

BAM Harvey theater, 651 Fulton St., Brooklyn, New York; +1 718 636 4100

National Noh Theatre (Tokyo)

Forget cement and plasterboard -- Japan's Noh theater was constructed in 1983 from 400-year-old bishu-hinoki cypress trees.

It's open on three sides and the seating spreads out from the stage in a fan shape.

Despite the traditional elements there's plenty of tech -- each seat has a personal subtitling system that can be changed from Japanese to English at the touch of a button.

Noh (meaning "skill" or "talent") is a form of traditional Japanese musical drama, and plays often last all day.

National Noh Theatre, 4-18-1, Sendagaya, Shibuya-ku, Tokyo; +81 3 3423 1331

Salle Richelieu (Paris)

The Salle Richelieu, also known as the Comédie Française, was built in the late 1600s.

The grand staircase is lined with busts of important figures from the theater's past -- the bust of French playwright Corneille is rather worn, due to the belief that touching it will bring good luck.

"It's the archetypal theater -- a womb-like curve of red plush and gold," says professor Jan Clarke at the International Federation for Theater Research.

"It's also a living museum, containing objects, artifacts, paintings and sculptures of huge interest for the history of French theater, including the armchair actor Jean-Baptiste Poquelin used in 'Le Malade Imaginaire' just hours before his death."

The Salle Richelieu, 8 Rue de Montpensier, Paris; +33 1 44 58 15 15

Minack Theatre (Cornwall, UK)

The setting is so stunning at this cliff-edge theater that you might find yourself getting distracted.

On the plus side, the roaring waves could be a blessing for those who've forgotten to turn their phones off.

The theater was the brainchild of the late Rowena Cade, who decided to allow her garden to be used by a local theatrical group.

In 1932, Cade, with the help of her gardener, hauled several tons of rock from the beach below and created a more permanent venue, which she opened to the public.

Today, there are performances between June and September, though the theater remains open all year round.

Minack Theatre, Porthcurno, Penzance, Cornwall, UK; +44 1736 810694

State Theatre (Sydney)

Sydney's State Theatre opened in 1928.

It was designed by Aussie architect Eli White, but his decision to base his masterpiece on the work of American John Eberson resulted in a mishmash of Gothic, Italian and art deco styles.

The theater contains the second largest chandelier in the world and a priceless Wurlitzer organ, and is recognized by The National Trust of Australia, which has classified it as "a building of great historical significance and high architectural quality, the preservation of which is regarded as essential to our heritage."

State Theatre, 49 Market St., Sydney, Australia; +61 2 9373 6655

Margravial Opera House (Bayreuth, Germany)

Built in 1745, the UNESCO-listed Margravial Opera House is regarded as the finest baroque theater in Europe.

The stage has a depth of 27 meters and was the largest in Europe until 1871.

Much of the original materials remain (including vast expanses of painted canvas and wood), along with original structures, such as the twin staircases that led up to the private box belonging to Margrave of Brandenburg-Bayreut and his wife, who commissioned the theater.

These staircases were designed so the audience below could observe the couple's ascension to their seats.

Margravial Opera House, Opernstrasse 14, Bayreuth, Germany; +49 9 21 7 59 69 22

Teatro Amazonas (Manaus, Brazil)

There can't be many theaters located in the middle of the Amazon rainforest, and the Teatro Amazonas is certainly the most spectacular.

The theater was built in the late 19th century during a rubber boom and was designed by Italian architect Celestial Sacardim.

Work took 15 years, largely thanks to the decision to source supplies from all over the world: the roof tiles came from Alsace in France, stairs and columns were made of Italian marble and the steel walls came from Glasgow.

Beautiful features include 198 chandeliers, which also came from Italy, and the central dome, covered in 36,000 ceramic tiles painted in the colors of Brazil's national flag.

Amazon Theater, Centro, Manaus, Brazil; +55 92 3622 1880

Palais Garnier (Paris)

The Palais Garnier was the most expensive building built in Paris during the second French empire (1852-1870) and was the setting for Gaston Leroux's novel "The Phantom of the Opera."

The interior is filled with marble friezes, bronze busts and ornate light fittings -- the most famous of which is a six-ton chandelier.

In 1896, one of the chandelier's counterweights crashed through the ceiling, killing an audience member -- an incident that inspired a scene in Leroux's famous play.

The Palais Garnier, Paris, France, 8 Rue Scribe, Paris; +33 1 71 25 24 23

Tampa Theatre (Florida)

Tampa Theatre is the work of architect John Eberson, who also designed the Paramount Theatre in Austin, Texas.

Highlights include a 900-pipe Wurlitzer organ and 99 bulbs embedded in the ceiling to resemble twinkling stars.

It was regarded as one of the world's most elaborate theaters when it was built in 1926 and the interior -- a somewhat garish explosion of flowers and angry gargoyles -- resembles a Mediterranean courtyard.

"The simplistic beauty of the Paramount Theatre confirms that Eberson was a genius at designing vaudeville houses," remarks Ken Stein at the League of Historic American Theaters.

"But when you see the Tampa with its complexity and elaborate atmospheric design, you realize Eberson was also a mad genius."

Tampa Theatre, 711 N Franklin St., Tampa, Florida; +1 813 274 8981

Teatru Manoel (Valetta, Malta)

Teatru Manoel is one of Europe's oldest working theaters -- it was built in 1731 with funds from The Knights of Malta, a Western Christian military order.

It remained unscathed during both World Wars, despite serving as a bomb shelter during the second, and many original features remain, including beautiful painted wooden panels and the silver leaf-adorned ceiling.

Teatru Manoel, Valletta, Malta; +356 2124 6389

Mabel Tainter Center for the Arts (Wisconsin)

If this tiny theater is anything to go by, bigger certainly doesn't mean better.

Within this building visitors find stained glass windows, fireplaces, lots of brass, walnut and oak and a water-powered pipe organ.

"It was built in 1889 by Harvey Ellis as a memorial to the daughter of Captain and Mrs. Andrew Tainter," says Ken Stein at the League of Historic American Theaters.

"This jewel box-like theater feels like it could have been inspired by a child's doll house."

Mabel Tainter Center for the Arts, 205 Main St. E., Menomonie, Wisconsin; +1 715 235 9726

The Elgin and Winter Garden Theater Center (Toronto)

This is actually two theaters, stacked on top of each other, to create the world's only operating double-decker theater.

The Winter Gardens Theater is seven stories above the Elgin Theater in downtown Toronto.

The Elgin has dancing cherubs, elaborately decorated boxes, vast expanses of gold leaf and plaster sculpting covered in wafer-thin sheets of aluminum, while the Winter Gardens has hand-painted walls and a ceiling decorated with dried beech leaves.

Elgin and Winter Garden Theater Center, 189 Yonge St., Toronto; +1 416 314 2901

@highlight

Tokyo's National Noh Theatre has a subtitling system for each seat that can be changed from Japanese to English

@highlight

Minack Theatre is an open-air stone venue looking out to the Celtic Sea

@highlight

Germany's largest theater, Tonhalle Düsseldorf, was the world's biggest planetarium when it opened in 1926