Another proposal for change is surfacing at the NCAA.

The body that regulates athletics at the vast majority of U.S. colleges and universities is thinking about redefining academic fraud.

There has been some confusion in the last few years about exactly what the NCAA's responsibility is when it came to academic fraud on campus. So the organization's Academic Cabinet ordered a review, deciding that for an academic scandal to lead to violations there needs to be both a nexus to a school's athletics department, and it needs to affect the eligibility of athletes.

"Now that it's clarified, do we like it?" said Carolyn Callahan, who chairs the 23-member Academic Cabinet. "How much institutional autonomy do we want? How much oversight do we want?"

Callahan said those questions were brought to the committee long before a firestorm of public pressure on the NCAA to revisit its decision not to sanction the University of North Carolina over its "paper class" scandal, saying it involved more  students than just athletes.

As CNN first reported, congressional hearings could be the upshot of inaction by the NCAA on the UNC scandal; U.S. Rep. Tony Cardenas, D-California, is sending a letter to NCAA President Mark Emmert demanding answers about the NCAA's handling of it. Two years ago, UNC's internal investigation uncovered that several athletes were enrolled in classes where little or no work was required. A grand jury in Orange County, North Carolina, recently indicted a former professor who allegedly accepted money for teaching those "no-show" classes.

Cardenas, a member of the House oversight committee, told CNN he is prepared to issue subpoenas and call for a hearing if Emmert doesn't provide substantive answers to his letter.

Callahan said there have been some passionate discussions among the Academic Cabinet members the last few meetings. The next meeting is in June, and she said there is a possibility that during that meeting they will make recommendations to the NCAA leadership council, which meets again later in the summer.

"Everyone assumes because of the timing this is a UNC issue," Callahan said. "This came up first on our agenda way before the UNC case. Everything the NCAA does takes a long time. The cabinet only meets three times a year for a day and half, and that's not the only thing on the agenda.

"Certainly, all of us are aware of it, but that's not the impetus for the discussion, and it's not the only case we're talking about," she said.

The NCAA Legislative Council recently said a discussion of academic misconduct will "occur in the new governance structure" that would include new members to the board of directors and giving five major Division I conferences more power in making decisions affecting student-athletes.

Juggling too much?

But Gerald Gurney, a former compliance director who worked in collegiate athletics for 30 years, is skeptical there will be academic fraud changes.

"They are trying to divert attention from what I consider to be a most obvious case of outrageous academic fraud, to needing a redefinition of academic fraud," Gurney said.

Gurney and another professor, David Ridpath at Ohio University, just started research that will compare what is known about UNC's academic scandal to other institution's academic scandals and how they were handled by the NCAA.

Gurney said he suspects this may be the NCAA's way of getting around taking a second look at what happened at UNC.

"From what I see at the moment, I feel strongly it is the worst academic fraud violation in the history of the NCAA," Gurney said. "... They choose to ignore it. They are juggling so many balls right now, with respect to lawsuits, unionization issues, they really can't afford right at this moment to open up a major investigation on North Carolina. It would further jeopardize public confidence in the NCAA's ability to control athletics."

He frames it with "from what I see at the moment," because the full breadth of what happened at UNC is still trickling out, two years after it was first reported by the News & Observer of Raleigh.

UNC has long insisted that the paper classes were solely the idea of one man -- now-indicted professor Julius Nyang'oro, who was head of the African-American studies department. The school says it has instituted reforms to ensure such academic problems don't recur.

A third look at UNC scandal

This year, shortly after CNN reported the findings of whistleblower Mary Willingham that showed a shocking number of functionally illiterate and ill-prepared student athletes at the prestigious public school, UNC announced it commissioned its third review of the scandal.

Whistleblower leaves: 'It's been a hostile work environment'

This time, former U.S. Justice Department attorney Ken Wainstein is taking a look. Among his questions: Did members of the athletic department know and talk about the paper classes? Previous reports commissioned by UNC said no.

Another question: How long was this happening? There is still no clear answer on that, either.

Meanwhile, Willingham says she expects to play a role in the upcoming civil case of former UCLA basketball star Ed O'Bannon vs. the NCAA. O'Bannon is suing to allow student-athletes to be compensated the use of their name and likeness.

Several NCAA critics have told CNN they believe the NCAA refuses to look at the fraud at UNC because it might mean conceding their biggest argument against paying players -- that they athletes are paid in the form of an education.

"The umbilical cord between the student and the athlete is being slowly cut and if it's cut I think that has very serious consequences for the NCAA," said Tom McMillen, former basketball star-turned-congressman and a member of the University of Maryland's Board of Regents. "Athletes are not given an education. They step out of the university and they may have a degree, but they don't have an education and that's the sad thing about it."

McMillen has advised those pushing for reform -- most recently those behind the attempt by Northwestern University football players to unionize -- to go after the NCAA over the way they handle academic fraud. He said during a forum at the Aspen Institute that academic fraud is "the chink in the armor" of the NCAA.

Power conferences may get more autonomy

Whether that pressure is working remains to be seen, but never before have there been so many consecutive pushes for reform. As O'Bannon's case goes to court this summer, the Northwestern union case will be moving through appeal, and an antitrust lawsuit filed by four current athletes to eliminate the compensation cap will be making its way through the first stages of the civil court process.

Emmert, the NCAA president, has spent the last few weeks making waves with polarizing media interviews. It all led to an NCAA board of directors meeting on Thursday and a proposal to give more power to five so-called power conferences and their 65 universities. In turn the schools would be able to give more benefits like having the option of increasing stipends for athletes to keep up with the cost of attending college and other small pleasures, like paying for airline flights to championship games for their families.

A final vote will be taken in August.

The changes are in line with what reformists want. But Ramogi Huma, president of the National College Players Association and the main force behind the Northwestern union attempt, cautions on the NCAA's motives.

For 13 years (the NCAA) has fought all of these changes and now that their backs are against the ropes," Huma said, referencing the legal actions. "They had no choice but to gravitate towards the goals that we've set to pursue. It's definitely a step in the right direction, but it's not quite voluntary. It's not that schools and conferences are coming to their senses, it's that players are mobilizing and forcing change."

@highlight

NCAA looking at two elements of definition of academic fraud

@highlight

Next meeting for committee is in June

@highlight

Critics are concerned NCAA didn't see a scandal at North Carolina as a case of athletics violations

@highlight

NCAA also looking at giving five big conferences more decision-making ability on benefits