NATO will suspend "all practical civilian and military cooperation" with Russia because of its annexation of Crimea, saying it has seen no sign that Moscow was withdrawing troops from the Ukrainian border.

Foreign ministers from the 28 members of the Western military alliance met in Brussels on Tuesday for the first time since Russia grabbed the Black Sea peninsula from Ukraine last month, triggering the worst East-West crisis since the Cold War.

They were discussing ways to boost NATO's military presence in formerly communist central and Eastern Europe to reassure allies worried by Russia's moves.

After the session, U.S. Secretary of State John Kerry said Russia has challenged truths that only a few weeks ago seemed self-evident: that European borders in the 21st century would not be redrawn by force.

"It is important for everybody in the world to understand that the NATO alliance takes seriously this attempt to change borders by use of force," he said. "So that is the wake-up call."

Russia's aggression "is the gravest threat to European security in a generation and it challenges our vision of a Europe whole, free and at peace," NATO Secretary General Anders Fogh Rasmussen told reporters.

In a joint statement announcing the suspension of cooperation, the ministers said political dialogue in the NATO-Russia Council could continue, "as necessary, at the ambassadorial level and above, to allow us to exchange views, first and foremost on this crisis."

They said they would review NATO's relations with Russia at their next meeting in June. NATO and Russia have cooperated on an anti-narcotics operation in Afghanistan, counterpiracy and various counterterrorism measures. Rasmussen said cooperation on the anti-narcotics operations would continue.

A NATO official told CNN the ministers had decided the alliance would develop, as a matter of urgency, "a series of additional measures to reinforce NATO's collective defenses."

These would include possible deployments and reinforcements of alliance military assets in Eastern European member states, a possible review of training and exercise plans in the near term, a possible increase of the readiness level of the NATO Response Force, and a possible review and update of NATO defense and military plans, the official said.

Russian troops on border

Earlier, Rasmussen said he saw no sign that Russia is pulling its forces back from the border with Ukraine.

"Unfortunately, I cannot confirm that Russia is withdrawing its troops," Rasmussen said at the opening of the two-day meeting. "This is not what we're seeing. And this massive military buildup can in no way contribute to a de-escalation of the situation."

Concerns are high that Russia, which U.S. officials last week said had about 40,000 troops near the frontier, might seek to enter eastern Ukraine, after it annexed Ukraine's Crimea region last month.

Russian President Vladimir Putin told German Chancellor Angela Merkel on Monday that he'd ordered a withdrawal of some Russian troops from his country's border area with Ukraine, Merkel's office said. The news prompted U.S. State Department spokeswoman Jen Psaki to say Monday that if the reports were accurate, "it would be a welcome preliminary step."

On Tuesday, Merkel told reporters: "I can only take what the Russian President has told me. I will, of course, try to find out whether this is perceptible or not perceptible."

According to Russian state media Monday, one Russian infantry battalion was being moved from the border area to its base deeper in Russia. A battalion would typically number several hundred troops.

But Rasmussen appeared to quash hopes that the situation might be easing with his remarks Tuesday. His assessment was echoed in Brussels by UK Foreign Secretary William Hague, who said: "We have had some statements or rumors from Russia about pulling back forces from the eastern border of Ukraine.

"But we haven't seen the evidence of that yet. Of course, we continue to call for that and continue to use every possible diplomatic lead to seek a de-escalation of this crisis."

Kerry, among those in Brussels for the NATO meeting, also called for a Russian withdrawal in lengthy weekend talks in Paris with his Russian counterpart, Sergey Lavrov.

What do we know about Russia's troop buildup on Ukraine's border?

Also Tuesday, the U.S. House gave final congressional approval to legislation that would impose sanctions on Russia for its takeover of Crimea and provide $1 billion in loan guarantees to Ukraine. The bill now goes to President Barack Obama for his signature.

In a statement, the White House said the President welcomed the move.

"This legislation will allow us to provide crucial support to Ukraine through loan guarantees that will facilitate access to needed financing to Ukraine as it takes essential steps to restore economic stability and return to growth and prosperity," it read.

NATO and Ukraine cooperation

The foreign ministers also met with Ukrainian acting Foreign Minister Andriy Deshchytsia in the latest demonstration of Western support. Moscow does not recognize Ukraine's new government, saying President Viktor Yanukovych was removed in an unconstitutional coup.

In a joint statement, they called on Moscow "to reverse the illegal and illegitimate 'annexation' of Crimea; to refrain from any further interference and aggressive actions in Ukraine ... and to abide by international law."

At the same time, NATO and Ukraine announced they would intensify cooperation and promote defense reforms in Ukraine through training and other programs.

Rasmussen told reporters the ministers agreed to help Ukraine make its military "more professional and more effective" and provide advice on how it can defend its infrastructure. "A possibility is also deployment of mobile training teams as and when appropriate," he said.

Pressed on how NATO was prepared to help Ukraine improve its military,  Rasmussen cited enhanced military exercises as an example.

As the talks got under way, Russia's Foreign Ministry had warned Ukraine against seeking integration into the defense alliance.

Discussion of the issue while Yanukovych was in power "led to freezing of Russian-Ukrainian political communications, to headaches in the relationship between NATO and Russia and, what is the most dangerous, to the deepening of the split of Ukrainian society, the majority of which doesn't support the idea of Ukraine entering NATO," a Foreign Ministry statement said.

It added that Kiev must understand that the prospects for future cooperation between Ukraine and Russia, including on economic matters, "will largely depend on the actions Ukraine takes in its foreign policy."

Russia annexed Ukraine's Crimean Peninsula last month amid the political upheaval that followed the ouster of the pro-Moscow Yanukovych.

Ukraine's parliament on Tuesday granted permission for foreign military units, including some from NATO countries, to conduct military exercises in Ukraine in 2014.

Such military exercises by foreign troops, including naval drills in the Black Sea, are an annual event but take on additional significance this year in light of Russia's military takeover of Crimea.

Gazprom hikes natural gas price

In a move that will heighten pressure on the interim government in Kiev, Russian energy giant Gazprom announced a sharp increase in the price it charges Ukraine for natural gas.

Starting Tuesday, Ukraine will be charged $385.50 per 1,000 cubic meters of gas, up from the previous rate of $268.50, Russian state news agency RIA Novosti quoted Gazprom Chief Executive Alexei Miller as saying.

The move ends a discount that was agreed to before Yanukovych was ousted in February after months of street protests.

The gas price hike will only increase the pressure on Ukraine's interim government as it seeks to stave off economic collapse.

Ukraine, which is heavily reliant on Russia for energy, is also $1.7 billion in arrears in its payments for gas already supplied, Miller said, according to RIA Novosti.

The International Monetary Fund last week agreed to lend Ukraine up to $18 billion over the next two years in return for a package of reforms, including to its energy market.

Kiev has been running dangerously low on cash to pay for imports and service its debts since the ouster of Yanukovych, which killed off a $15 billion financial lifeline from Russia.

Is Crimea gone? Annexation no longer the focus of Ukraine crisis

Opinion: Russia's euphoria over Crimea won't last

CNN Money: Russia fallout pushes Europe to develop shale gas

@highlight

U.S. House gives final approval to bill to sanction Russia, provide aid to Ukraine

@highlight

It moves now to the President for his signature

@highlight

NATO says it will suspend civilian and military cooperation with Russia

@highlight

Gazprom says the price Ukraine pays for Russian natural gas will increase, starting Tuesday