(CNN) -- The steady hum of sewing machines fills the air inside a large glovemaking factory on the outskirts of Addis Ababa, the bustling Ethiopian capital. Patches of leather move through an array of working stations as busy laborers work feverishly to meet the company's export quota: 5,000 gloves a day.

The operation belongs to Pittards, a UK-based company whose trading partnership with Ethiopia dates back to the early 1900s.

Here, hardy, durable cow hide is made into work gloves. These are ideal for builders and gardeners, and are mainly exported to the U.S.

And then there are the stylish designs -- created from a different type of animal skin, these are made to keep fingers warm in Tokyo, Paris and Rome.

"The fashion glove is made of sheep skin which is unique to Ethiopia," explains Tsedenia Mekbib, general manager at Pittards Products Manufacturing. "The durability, the stretch ability and the strength makes it popular for gloving leather specifically. That has been the one strength of Ethiopia and the leather sector."

Sophisticated designs with decorative touches may be the hallmark of this type of glove, but they must also be practical. Ethiopia's climate makes this animal skin effective at withstanding the winter chill -- an essential selling point.

And this effective material is in abundant supply. Ethiopia's 90-million cattle, sheep and goat population is one of the world's largest, according to the United Nations Industrial Development Organization.

Creative process

What slips onto the customer's hand may be elegant, but the process to create the glove certainly is not.

It all starts in the tannery where workers -- dressed in aprons and thick, elbow-high protective gloves -- convert the raw animal hides and skins into finished leather through a number of processes.

Some of the steps include soaking the skin and fleshing it to remove any unwanted parts. A retanning process where the leather is colored is followed by a stage under a special vacuum dryer where the skin is dried and then stretched to increase its surface area.

Once all this has happened, another machine softens the leather to make it flexible -- an important feature of gloves. The end product, ready for export, is pure sheep skin prepared to be turned into gloves -- labeled with the thickness and the area it covers.

Export ban

In a move to encourage value addition and increase revenues generated by the leather sector, the Ethiopian government banned all exports of raw hides and skins in 1989. Between 2006 and 2012, the total value of Ethiopia's exports of leather and leather products grew from $66 million to $112 million.

And it's not just Pittards that have realized the opportunity to make gloves in Ethiopia. According to the Leather Industry Development Institute, two other factories in the country are focused on creating the hand garments.

Shoes is another major area which uses Ethiopian leather. The country is home to dozens of shoemaking companies, including local names such as Oliberte and international players like the Huajian Group, a Chinese company that has been exporting some 20,000 pairs of shoes a month since it launched its manufacturing facility outside Addis Ababa in 2012.

Business conditions

Despite a major focus to rapidly build its energy and transport infrastructure, Ethiopia is still struggling to provide the best conditions for businesses setting up shop in the country.

"The challenges that we encountered when we started business are from power cuts to logistics to foreign currency availability, to lead time in having available raw materials," explains Mekbib. "Having the solutions to these challenges would allow us to be competitive as a country and as a company as a whole."

Beyond these issues, international manufactures also struggle to recruit workers. Ethiopia's population is growing at a rate of 2.89%, placing it among the top 15 fastest growing populations in the world, according to the CIA Factbook.

But a large workforce and a skilled work force is not the same thing. In fact, Mekbib says "bridging the gap between the rest of the world and the skills set in Ethiopia on the ground has been the greatest challenge so far."

Another growth area, is the number of Ethiopians entering the middle class and showing a desire to buy high quality clothes. In a report published this month, the IMF said the country is on track to achieve its goal of reaching middle income status by 2025. The trend is so clear to Pittards that they are now targeting consumers inside the country.

But for Ethiopians, it's not just the top quality of the leather products that makes them take out their wallets, it's also access to a label they can call their own: made in Ethiopia.

Read this: Could Africa be world's next manufacturing hub?

Read this: Producing quality footwear in Africa

More from Marketplace Africa

@highlight

Sheep skin from Ethiopia is particularly useful in making gloves

@highlight

Ethiopia's 90-million cattle, sheep and goat population is one of the world's largest

@highlight

Foreign firms are establishing factories in Ethiopia to take advantage of the national resources