(CNN) -- Emeka Okereke is a hard man to pin down. When we spoke earlier this month, he had just arrived in Lagos from Abuja, a few days after returning to Nigeria from Chad and just before heading to Accra to put together a photography exhibition in the Ghanaian capital.

"It's been a long time since I spent three months in one place," said the celebrated 33-year-old Nigerian photographer, whose work has been exhibited in art festivals across the world. "I believe so much in movement -- movement in the physical sense, movement in the metaphysical sense, so I am always moving; this is basically who I am."

Describing himself as a "border being" who is always in motion, award-winning Okereke works and lives between Paris, Berlin and Lagos. But his constant need for movement is most clearly manifested through Invisible Borders, an artist-led project he co-founded in 2009 with the aim of finding new ways of portraying the complexities of life in contemporary Africa.

Read this: Glorious colors in the desert

Once a year, the project brings together a troupe of about a dozen African artists and photographers to brave tough terrains, adverse weather and brusque border officials as they embark on a road trip across parts of the continent.

Traveling for several weeks inside a crammed minivan, the intrepid participants use photography and art to capture the stories of the people they encounter, encourage cultural exploration and cut through geographical divides.

"We're talking about trans-African exchange," explains Okereke. "Transcending those limitations and those pre-definitions that exist about the continent," he adds. "What we're saying is that as artists we're not road builders; we don't build roads but we may as well build a trans-African highway of the mind."

The first "Trans-African Road Trip Project" was competed four years ago when the team traveled from Lagos to Bamako, the capital of Mali, and one year later they headed further west, all the way to Dakar, Senegal.

For the third edition, in 2011, the group journeyed eastwards, passing through Nigeria, Chad and Sudan to reach the Ethiopian capital of Addis Ababa. Last year, Invisible Borders planned to travel from Lagos to Lubumbashi in DR Congo but the trip was cut short after suffering a number of setbacks.

"Rather than continue and hurrying through places to Congo, we decided to spend more days in Cameroon and Gabon," explains Okereke. "We thought we would get more out of the road trip that way; besides, it is not really about the destination but the journey itself."

Read this: Photos show Congo in new light

Four years into the project, the experience has been both demanding and thrilling, intense and inspiring.

The group's refusal to pay any bribes often results in hours of waiting at border crossings. When not stuck at customs, there is the problem of the elements; last year, the tenacious artists spent four days stuck in the mud, pushing and digging all the way through the sinking soil to make it out of a neglected road near the Cameroonian and Nigerian border.

And then there's the risk of upsetting authorities; in 2011, the artists were arrested in Chad's capital N'Djamena for eight hours after taking photos in one of the city's markets

But it's not all about ordeals. The journeys are also full of high points.

"One of the times that was very inspiring and very surprising was our getting into Khartoum," said Okereke. He admits that the prospect of visiting the Sudanese capital had made the team nervous, because of the images of conflict that have shaped the narrative around Sudan in recent years.

"Sudan is not a place people just wake up one morning and try to go to -- it is the place you hear in the news, " said Okereke.

"But when we got into Khartoum it was just amazing," he recalls. "Everybody was just so welcoming and lovely; it had nothing to do with the war you'd heard in the news. That made us think that we have to keep doing this project even 50 years from now because there is a whole lot to know about our continent and about our neighbors."

Read this: Africa's magnificent views

Throughout its journeys, the team makes several stops in major cities to join forces with local artists, conduct workshops and exchange ideas. As an extension of the road trip, Invisible Borders members also often return to the cities they've visited to exhibit the work they created whilst passing through there.

The goal, Okereke said, is to engage with young minds and create a network of people that will push forward broader discussions about 21st century Africa.

"Everywhere we go to there is a lot of optimism, especially from the young people," said Okereke. "A lot of people are waiting to be inspired; a lot of people are waiting to find something to get into," he adds. "And this is what is beautiful now about Africa -- when people see something like this, they immediately imagine themselves being able to do it as well."

For its next journey in 2014, the team has set its most ambitious goal to date: completing its first intercontinental road trip, from Lagos to Sarajevo, Bosnia.

"The reason why we're making this is because we believe that part of Invisible Borders and trans-Africanism is to be proactive," said Okereke. "We think that now it's a good time to address the relationship between Africa and Europe and talk about it," he adds. "To make a road trip toward there and sort of try to touch that line between Africa and Europe."

@highlight

Every year a group of African photographers, artists, takes road trip

@highlight

"Invisible Borders" group aims to find new narratives about the continent

@highlight

So far, the team has held four road trips, exploring different parts of Africa

@highlight

It aims to complete its first inter-continental journey next year by reaching Sarajevo