(CNN) -- In their attacks on the food stamp program, some Republican presidential candidates are leaving a deeply misleading impression of the nation's leading anti-hunger program. No one aspires to enroll, but for those who must, it is an essential lifeline that addresses one of the harshest impacts of poverty and unemployment -- hunger.

The food stamp program, now officially known as the Supplemental Nutrition Assistance Program (SNAP), provides about 46 million Americans in about 22 million low-income households with debit cards to buy food each month. Participants include families with adults who work in low-wage jobs, unemployed workers and people on fixed incomes, such as Social Security. About three-fourths of SNAP recipients live in households with children; more than one-quarter live in households with seniors or people with disabilities.

SNAP reduces poverty while providing people with much-needed help to buy food. The program kept more than 5 million people out of poverty in 2010 and lessened the severity of poverty for millions of others, under a measure of poverty that counts SNAP benefits as income.

SNAP is also highly efficient, with one of the most rigorous quality control systems of any public benefit program. In 2010, only 3 percent of payments went to ineligible households or to eligible households in excessive amounts. Payment accuracy has been improving in the past few years, despite a large increase in SNAP enrollment.

While some have attributed that enrollment increase to Obama administration policies -- Newt Gingrich has termed President Barack Obama the "food stamp president" -- in reality it has two main causes that have little to do with this administration.

Millions of people hit by the recession a few years ago became eligible for SNAP. Today's large SNAP caseloads mostly reflect the extraordinarily deep and prolonged recession and the weak recovery that has followed. Long-term unemployment hit record levels in 2010 and has remained extremely high. Today, 43% of all unemployed workers have been out of work for more than half a year; the previous post-World War II high was 26% in 1983.

Workers who are unemployed for a long time are more likely to deplete their assets, exhaust unemployment insurance and turn to SNAP for help. It is one of the few safety net programs available to them. In most states, other programs -- such as cash assistance under the Temporary Assistance for Needy Families and state General Assistance programs -- have not responded effectively to the rising need brought on by the economy.

More than one in five workers who had been unemployed for over six months received SNAP in 2010, according to Congress's Joint Economic Committee.

The increase in enrollment is also because it's easier for eligible families to participate. Federal and state officials as well as Congress, with leadership from both parties, have worked throughout the last decade to simplify SNAP procedures so that the program can reach more eligible households, particularly working families and senior citizens. These efforts are paying off: The share of eligible individuals who participated in SNAP rose from 65% in 2007 to 72% in 2009, the most recent year for which we have the data.

The recent growth in SNAP enrollment and spending because of the sluggish economy is temporary. One of SNAP's great strengths is its ability to respond, quickly and automatically, to changes in the economy: Enrollment grows during downturns but contracts during periods of economic growth.

The Congressional Budget Office predicts that SNAP spending will fall in the coming years as the economy recovers more robustly and the temporary benefit increases of the 2009 Recovery Act expire. By 2021, SNAP is expected to return nearly to pre-recession levels as a share of the economy.

Over the long term, SNAP is not growing faster than the economy. So it is not contributing to the nation's long-term fiscal problems.

A weak economy has swelled the numbers of unemployed workers and poor families. That's a serious problem that our policymakers need to address. In the meantime, SNAP helps protect the most vulnerable from very difficult circumstances.

Join CNN Opinion on Facebook and follow updates on Twitter.

The opinions expressed in this commentary are solely those of Stacy Dean.

@highlight

Stacy Dean: Criticism aside, food stamp program is a lifeline for 46 million people

@highlight

Dean: Program is highly efficient; only 3% of funds went to ineligible people

@highlight

Numbers of recipients growing because of weak recovery and joblessness, she says

@highlight

Number of recipients will go down as jobs increase, she says, but the need is high now