(CNN) -- Nobody looks to Olympic opening ceremonies for historical exactitude. Yet the brutal denialism of the opening spectacle at the 2014 Sochi Games should anger and sadden every viewer -- and Russian viewers most of all.

"The struggle of freedom against tyranny is the struggle of memory against forgetting." So wrote the great Czech novelist Milan Kundera. In Russia, forgetting has won. These Olympics opened with a pageant of Russian history that excised the crimes of Soviet Communism. No Red Terror. No Gulag. No Ukrainian famine. No Katyn.

The Russian state refuses to reckon with the past. After a brief and partial opening in the early 1990s, it has closed its archives to historians. The few memorials erected in the Yeltsin years are already crumbling, untended and disregarded. Surviving victims have received no compensation or recognition. The sorry story of this failure of conscience is well told by David Satter in his aptly titled study, "It Was a Long Time Ago and It Never Happened Anyway."

Nor does Russian society press its leadership to emulate the example of modern Germany, where Nazi crimes are acknowledged, memorialized and repented. The victims of Soviet communist crimes numbered in the millions, but so too did the perpetrators and accomplices. They and their children do not wish to be confronted with the truth -- and they certainly do not wish to be held to account for it.

An apologist for the Russian state might reply: "What about slavery?" OK, fair question. American presidents from Abraham Lincoln through George W. Bush to Barack Obama have eloquently denounced and apologized for the crime of slavery. Americans fought a horrific war to arrest and overthrow slavery, and it was the foes of slavery -- including 180,000 former slaves and free black men -- who won the war, and whose institutions continue to this day. The Sochi opening ceremony did not have to address Russian history. The opening ceremonies at Salt Lake City in 2002 and Atlanta in 1996 did not offer an equivalent pageant. But had they done so and omitted slavery, yes, that would have been a scandal.

Sochi did worse than omit. It actively glorified the era of Stalinism. What was presented at Sochi was the equivalent of a German historical pageant that suggested the major events of the 1930s and 1940s were the building of the autobahn and the invention of the jet engine. It's shocking, and we should not lose our ability to be shocked by the shocking.

Oblivion of the past betrays the future. Because Russia failed to do justice to the old communist apparatus in the 1990s, it opened itself to the recapture of the state by that same apparatus in the 2000s. Gulag officials and secret policemen were not brought to book, and today, former Gulag officials and former secret policemen again control the Russian government -- and now also own much of Russia's wealth.

Vladimir Putin has held continuous power since 2000, without ever once facing a fair and open election. The Russian media are less free today than they were 20 years ago. More than 300 journalists have been murdered since 1991, including an American, Paul Klebnikov, the former editor of the Russian edition of Forbes.

Regional governments are controlled from the center by presidential appointment. Citizens have little voice in their own affairs. Prosecutions and imprisonment for political dissent have resumed and are accelerating.

Those who gained wealth in the Yeltsin years either come to terms with the Putin circle or are expropriated or imprisoned.

Standards of living for ordinary Russians remain miserably low. No beginning has been made on cleaning the environmental disasters bequeathed by communism. Old-age pensions are scanty, and health care provision miserable outside the capital.

Yet even as the state fails to meet these basic domestic responsibilities, it has resumed the old practice of bullying its smaller neighbors and subverting its bigger ones. The violence in Ukraine divides a public that wants to align with Europe from an authoritarian leadership backed by Moscow. Wherever you find an international bad actor, from Venezuela to Iran, there you find a Russian ally. As authoritarian regimes so often do, Russia has even taken to stigmatizing and persecuting a scapegoat minority: gays and lesbians, whose basic free speech rights have now been defined as a crime against the state.

Truth-telling about Russia's history won't suffice to redress these wrongs. But so long as the truth is denied and suppressed, the work of correction cannot begin -- and Russia's future will be polluted, as Russia's present is, by the corpses of Russia's unenumerated, unmourned and unatoned past.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Olympic organizers chose to make opening ceremony a historical pageant

@highlight

He says by leaving out Soviet era brutality, Russia glided over a central part of its story

@highlight

Frum: Ignoring Soviet crimes enables Putin regime to cut gains Russians made in 1990s

@highlight

He says Russia can't correct its ills unless it faces its past squarely