(CNN) -- The proliferation of semiautomatic weapons in the hands of Americans of the types that were used in the Newtown massacre is sometimes framed as a public health issue in the United States.

There is considerable merit to the notion of treating gun violence as a public health matter. After all, homicides -- around 70% of which are accomplished with firearms in the United States according to an authoritative study by the United Nations -- are the 15th leading cause of death for Americans.

But framing gun control as a public health issue doesn't quite do justice to the problem. It's probably more or less inevitable that most Americans will die of cancer or a heart attack, but why is it even plausible that so many Americans in elementary schools, colleges, movie theaters and places of worship should die at the hands of young men armed with semiautomatic weapons?

Americans generally regard themselves as belonging to an exceptional nation. And in terms of living in a religiously tolerant and enormously diverse country, Americans can certainly take some justified pride.

Will Newtown change America's attitude toward guns?

That tolerant pluralism was on display Sunday night at the interfaith memorial service for the 27 victims in Newtown, which featured priests from several Christian denominations, clerics of the Muslim and Baha'i faiths as well as a rabbi, a memorial that was led by the country's first African American president. But there is another side to American exceptionalism that many Americans seem strangely unable to recognize: Americans kill each other with guns at rates that are unheard of in other advanced industrialized countries. Britain, with around a fifth of the population of the United States, had 41 gun murders in 2010 while the States had around 10,000.

The scale of this death toll really resembles a national security problem as much it does a public health issue.

Consider that jihadist terrorists have only been able to kill 17 Americans in the United States since 9/11. Meanwhile, some 88,000 Americans died in gun violence from 2003 and 2010, according to the U.N. study.

That means that in the past decade, an American residing in the United States was around 5,000 times more likely to be killed by a fellow citizen armed with a gun than by a terrorist inspired by Osama bin Laden.

Consider also that there are cities in the United States today that exact a higher death toll from violence than the civilian death toll in the war in Afghanistan.

Last year, some 3,000 Afghan civilians died in the Afghan War out of a population of 30 million, which makes the civilian death rate from the Afghan war 1 in 10,000.

Yet residents of New Orleans are being killed at a rate that is six times that of Afghan civilians killed in that war. New Orleans had 199 murders last year, or 6 for every 10,000 residents.

Washington, D.C., where I write this from, had 108 murders last year or 2 for every 10,000 residents, making it twice as deadly as the Afghan War is for civilians.

The numbers of Americans dying in homicidal gun violence would be even worse if it weren't for the fact that some of the techniques the U.S. military has learned on the battlefields of Iraq and Afghanistan have been imported into American hospitals. So while the number of people seriously injured in gun-related violent incidents has actually gone up almost 50 percent in the past decade, you are more likely to survive a gun shot today than would have been the case even a few years ago, as the Wall Street Journal recently reported.

Analysis: Guns and the law

The number of deaths caused by semiautomatic pistols and assault rifles are not broken out in tabulations of the total deaths caused by guns in the U.S., but a recent study by the magazine Mother Jones found that in the 62 mass shootings in the United States carried out during the past three decades the vast majority were carried out with semiautomatic pistols or assault rifles, most of which had been obtained legally.

Legislation to control the spread of deadly semiautomatic weapons will not, of course, eliminate such violence. Critics of efforts to tighten gun laws can point to Norway, which has very tough gun control laws, and yet Anders Breivik was able to acquire semiautomatic weapons and kill dozens of people in and around Oslo last year.

But Breivik was, in fact, an exceptional case and the murder rate in Norway is still eight times lower than in the U.S.

The Second Amendment is, of course, very much part of the American fabric. But the intent of the founders was that the amendment protected the rights of citizens to bear arms in a militia for their collective self-defense.

Today, we are not likely to need to organize local militias for our defense now we have something called the Pentagon.

Semiautomatic handguns and semiautomatic assault rifles that fire many rounds in a minute were not envisaged by the founders nor do they do much more to enhance self-defense than an ordinary pistol or rifle.

Such semiautomatic weapons also are not much use for hunting deer and the like. But they are very good for killing lots of Americans quickly.

Do you own a gun that fell under the now-expired federal weapons ban?

If the murder of 20 small children in Newtown is not an opportunity for the country to challenge the theological position of the gun lobby that the Second Amendment allows pretty much any American to possess military-style weaponry, when will that day ever come?

@highlight

Peter Bergen: Gun violence is sometimes called a public health issue in the U.S.

@highlight

He says it also amounts to a national security issue, taking much larger toll than terrorism

@highlight

Civilians are more likely to get killed in some U.S. cities than Afghan civilians are, he says

@highlight

Bergen: Medical techniques taken from Afghan war being used to save civilians in U.S.