Washington (CNN) -- The U.S. government announced Friday that it will impose sanctions against the regime of Col. Moammar Gadhafi -- part of a series of measures designed to isolate the Libyan regime and loosen the dictator's grip on power.

The American embassy in Libya suspended operations for security reasons, though State Department officials stressed that diplomatic ties were not suspended and channels for discussion remained open.

"The flag is still flying. The embassy is not closed. Operations are suspended. Relations are not broken," Under Secretary of State for Management Patrick Kennedy told reporters.

State Department Deputy Assistant Secretary for Near Eastern Affairs Janet Sanderson reiterated at the same briefing that Libya's Embassy in Washington is still "up and running," and the department has not been informed of any change in the status of Libya's ambassador to the United States.

"We still continue to reach out to the Libyans where appropriate, both directly and through third parties," Sanderson said.

Kennedy said all American official employees were withdrawn from the embassy Friday, and only Libyan employees are "still on the payroll' and still working there. These remaining employees are not authorized to conduct any U.S. government business, he said.

Local and national security guards remain at the embassy, Kennedy said, but he would not discuss what measures if any are being taken to secure documents and the like inside the embassy.

"But I can assure you that there is nothing left behind that could be compromised," he said.

American operations at the embassy will resume when the security situation permits it, Kennedy said.

In addition to pushing both unilateral and multilateral sanctions, Washington will use the "full extent" of its intelligence capabilities to monitor Gadhafi's regime and gather evidence of atrocities committed against the Libyan people, White House Press Secretary Jay Carney said.

Steps were also taken to ensure that top Gadhafi officials don't steal Libyan financial assets in what may be their final days in power. The Treasury Department advised banks to monitor accounts held by the regime's key political figures and to report financial transactions "that could potentially represent misappropriated or diverted state assets," according to a government statement.

Gadhafi's "legitimacy has been reduced to zero in the eyes" of the Libyan people, Carney told reporters. "The status quo is neither tenable nor acceptable."

The point of U.S. action -- particularly the sanctions -- is to "make it clear that the regime has to stop its abuses" and end the bloodshed, Carney said. Reports from Libya suggest that possibly hundreds of protesters have been killed.

Washington also announced the suspension of all military cooperation with Libya, reversing a course of action taken after Gadhafi's government ended its pursuit of weapons of mass destruction.

Obama will meet with United Nations Secretary-General Ban Ki-moon in Washington on Monday to discuss the full range of diplomatic, legal and other steps that may be taken to bring a halt to the violence, Carney said.

The new steps against Gadhafi's government were announced less than an hour after a flight chartered by the U.S. government departed Tripoli for Istanbul. The flight carried personnel from the U.S. embassy and other American citizens.

Earlier, a ferry chartered by U.S. authorities carried roughly 300 people to Malta.

As U.S. citizens continued to flee the spreading unrest, clashes between Libyan security forces and protesters were reported in Tripoli, which has been a Gadhafi stronghold. Eastern Libya appeared to be largely in the hands of anti-government forces.

Obama spoke Thursday with the leaders of France, Italy and the United Kingdom on coordinating an international response to the crisis in the north African nation.

In separate phone conversations with French President Nicolas Sarkozy, Italian Prime Minister Silvio Berlusconi and British Prime Minister David Cameron, Obama "expressed his deep concern with the Libyan government's use of violence which violates international norms and every standard of human decency, and discussed appropriate and effective ways for the international community to immediately respond," a White House statement noted.

While some critics say the Obama administration has been slow to react to the deteriorating situation in Libya, the statement said Thursday's discussions were to "coordinate our urgent efforts to respond to developments and ensure that there is appropriate accountability."

On Friday, Obama discussed the Libyan crisis with Turkish Prime Minister Recep Tayyip Erdogan.

Earlier in the week, Obama strongly condemned the use of violence against protesters in Libya and said a unified international response was forming.

"The suffering and bloodshed is outrageous, and it is unacceptable," he said. "This violence must stop."

CNN's Alan Silverleib and Laurie Ure contibuted to this report

@highlight

NEW: U.S. will reach out to Libya "where appropriate," State Department official says

@highlight

The U.S. government is imposing sanctions against Libya and has suspended embassy operations

@highlight

U.S.-chartered ferry with around 300 people completes trip from Libya to Malta

@highlight

The U.S. Treasury Department advises banks to report unusual Libyan financial transactions