WASHINGTON (CNN) -- A series of e-mail exchanges between officials at the Department of Health and Human Services shows growing alarm at the amount of projected profit from a government contract for a drug company whose controlling shareholder is a longtime Democratic Party activist.

Ronald Perelman is controlling shareholder of Siga Technologies and a longtime Democratic Party activist and fundraiser. He's also a large contributor to Republicans, but has been a particular friend of the Obama White House.

Also on Siga's board of directors is Andy Stern, former president of the Service Employees International Union, who has had close relations with the Obama administration and who has supported President Barack Obama's health care initiatives.

In May 2011, Health and Human Services awarded Siga a no-bid contract worth nearly $433 million to develop and produce 1.7 million doses of an anti-viral smallpox drug called STS-246. The drug would augment the existing supply of smallpox vaccine now in U.S. control.

According to HHS officials, the government has already spent close to $1 billion to acquire smallpox vaccine since the September 11, 2001, attacks on New York and Washington.

A government spokesman told CNN that STS-246 is designed to be given over a 14-day course of treatment, with two pills a day suggested in the event of a smallpox outbreak triggered by a bio-terror attack.

But internal e-mails obtained exclusively by CNN show a contracting officer assigned to manage price negotiations between HHS and Siga was alarmed at the cost. Siga's return on investment, one e-mail said, was "an overwhelming 180 per cent."

The e-mail went on to say that margin "must be cut in half at a minimum" and later added: "I know you won't find a CO (Contracting Officer) in government who would sign a 3-digit profit percentage."

In reply, another HHS official, a doctor, agreed.

"Fully concur that 180 per cent is outrageous," the doctor said in an answer. Moreover, because taxpayer dollars had been used to fund research and development of the drug, "We should get a major discount given our support of front-end development," the e-mail states.

A few weeks later, the CEO of Siga, Dr. Eric A. Rose, wrote to HHS, saying "it was clear that we were at an impasse in negotiations" and urging government officials to remove the existing contracting officer and replace him "with a more senior official." The assistant secretary for preparedness and response, Nicole Lurie, agreed. In a letter to Rose, she told him she had instructed her officials "to appoint our most senior procurement official as the final authority for this procurement." Shortly thereafter, the contract was signed.

The contract award immediately raised concerns in some sections of the scientific community. One smallpox expert, Dr. D.A. Henderson of the University of Pittsburgh's Bio Security Center, said STS-246 has not been proven to work.

"The question is, what will it do in the way of treating a patient who's had a fever and now has a funny rash that could be smallpox?" Henderson told CNN. "Will it treat the disease? I've seen no data to suggest that it will."

The Republican chairmen of two House committees, Oversight and Investigations and Small Business, both wrote to HHS demanding all correspondence associated with the contract award and have begun an investigation.

"You certainly can't ignore the political connections between the company and the administration," Missouri Rep. Sam Graves, the chairman of the Small Business Committee, told CNN.

For its part, Siga told CNN in an e-mail that: "Never at any time was any elected official or political official asked to intervene in the procurement process by SIGA or anyone affiliated with the company."

Read Siga's statement

But a key Democratic senator wants an investigation of the contract. Sen. Claire McCaskill, also of Missouri, says the no-bid award raises serious questions.

"Was it justified as a no-bid contract?" McCaskill asked in a press conference last week. "Overall, I think we need to begin asking policy questions about the kind of money we're spending developing drugs where the United States is the only customer."

A White House spokesman declined to comment to CNN and instead referred all questions to Health and Human Services.

In a written statement, an HHS spokesman said the contract was awarded "after a rigorous market analysis determined that Siga was the only known company in the world with the capability to produce the required antiviral drug within the required time period."

A smaller drug firm based in Durham, North Carolina -- Chimerix -- had earlier told government auditors that it could develop a similar drug. Chimerix was then given the opportunity to bid for any additional funds beyond the original contract.

HHS also told CNN that the price of the drug was of no concern.

"We can't get into the details, but the final rates ended up well within industry standards," the spokesman said. As for replacing the contract officer, the spokesman said: "This change actually resulted in substantial savings for the U.S. government."

That's something McCaskill questions.

"If the United States government is going to be the only customer, why is it that the stockholders get all the profit if we're the ones putting up a significant portion of the development money when, in fact, the United States becomes the only customer?" she asked.

As for the replacement of the HHS official, Siga said in its e-mail to CNN:

"The findings, the negotiations and the decision to award were handled solely by career procurement officials at HHS who negotiated a fair and reasonable price."

Siga board member Fran Townsend, appearing on CNN's "Anderson Cooper 360" Thursday night, defended the contract process and insisted it followed standard operating procedures.

"I can tell you not Ronald Perelman, not Andy Stern, no member of the (Siga) board was involved in these contract negotiations and never contacted anybody in the government about this contract," said Townsend, who works full time for McAndrews and Forbes, a company owned by Perelman, and who also is CNN national security contributor.

Townsend contended that the contract was put out in a competitive process but "Chimerix ultimately was not competitive in this process."

"It ultimately was ... a sole-source contract ... because there was nobody to compete," Townsend said. "There was nobody (aside from Siga) with an anti-viral that could meet the government's standards."

She added that the government has given a research-and-development grant to Chimerix to encourage competition. "The government has bent over backwards to try and balance the need for an anti-viral against competition," Townsend said.

Townsend also said the claim that Siga's return on investment was 180% was "inaccurate." However, she said the actual rate was confidential.

She pointed out that an FDA advisory committee will be holding a public hearing on the drug on December 14.

Internal HHS documents obtained by CNN also show that as part of the early negotiation process, two key Siga executives granted themselves salary increases of $200,000 in the case of CEO Eric A. Rose and $225,000 for Siga Chief Financial Officer Daniel Luckshire.

According to the internal memo, dated January 14, 2011, Siga "now believes a pending government award merits bonuses for the most highly paid executives."

@highlight

In May 2011, Siga Technologies won a no-bid, nearly $433 million HHS contract

@highlight

Internal government e-mails obtained by CNN show questions were raised

@highlight

Siga's controlling shareholder is a longtime Democratic Party activist

@highlight

HHS says "after a rigorous market analysis" the contract was based on Siga's ability to produce