(CNN) -- The Hapsburg Palaces, romantic banks of the Danube and historic spas draw the crowds to Budapest, but there's a whole world underground within the city limits.

Literally underground.

While one half of the city, Pest, is flat, Buda's curvy hills are rich with secret labyrinths, hidden bunkers and caving adventures.

There are up to 200 caves in total.

Budapest's subterranean world owes its debt to the city's spas, or rather their water, which has carved out a network of caverns.

Here are some of the highlights.

Budapest's natural caves

One of the best things about Budapest is its proximity to nature.

Less than half an hour's bus ride from downtown, where the city's outer II District turns into lush hills, there are a number of natural caves worth visiting.

Beautiful crystal formations deck out the caves under Szemlo Hill,

At nearby Palvolgy, the caves are more familiar, with stalactites and stalagmites.

Palvolgyi Cave, Szepvolgyi ut 162, Budapest

Szemlo Hill Caves, Pusztaszeri ut 35, Budapest (websites in Hungarian)

Spelunking beneath the city

Adventurous cavers who enjoy getting dirty, wriggling through tight holes and scaling slippery walls are in luck.

The Palvolgy caves actually make up the longest cave network in Hungary, running from a valley housing the showpiece caves into Budapest's Matyas Hill.

Descending a metal ladder into a pit 10 meters (33 feet) below, tours emerge into a room known as the "chapel" that was once used as an underground place of worship.

The three-hour tour gets more difficult as the air gets thinner and the passages tighter -- but the humor and encouragement of the guide makes up for the physical discomforts.

Tours can be booked with an English-speaking guide for groups of more than four. Ticket price includes a guide, all necessary equipment and entrance to the caves.

Palvolgyi Caving Tours, Szepvolgyi ut 162, Budapest

The Hospital in the Rock

Castle Hill, the mound overlooking the Danube that shoulders Budapest's sprawling palace complex, also holds a few subterranean treasures.

Unlike the city's other caves, these passageways have been in use for centuries -- they tell a series of gruesome tales from the city's history.

Located on the side of the hill, on the road winding up to the castle, the Hospital in the Rock isn't technically part of the original cave system, although it connects up with it.

Once an underground hospital used in World War II, most notably during the siege of Budapest, it eventually became a secret nuclear bunker during the Cold War.

The museum can be visited only on a guided tour, which runs on the hour in both English and Hungarian.

Tours take visitors through tunnels into the old hospital and end up in the radiation contamination room, where they get to play with an air-raid siren.

Creepy wax figures lend an air of authenticity to the horrors of the conditions experienced in wartime, when the hospital, built for only 60-70 patients, took in more than 600 wounded.

Hospital in the Rock, Lovas ut 4/C, Budapest

Dracula's prison and the Labyrinth

The Labyrinth is part of the natural cave system under Castle Hill.

It's shown signs of being inhabited as far back as prehistoric times, with people living there as late as the 11th and 12th centuries.

Caves here have since functioned as wine cellars and masonry mines, but come wrapped in curious myths.

The Turks used them for military purposes in the 16th century, but archeological evidence also hints at an underground harem.

One of the Labyrinth's headline attractions is Vlad Tepes, known better as Vlad the Impaler, or Dracula, who spent a spell down here as a prisoner.

Visiting the Labyrinth is a campy experience filled with waxworks dressed in old opera costumes.

An overworked smoke machine and spooky soundtrack pump out into a damp corner known as Dracula's Chamber.

Bonus creepiness: After 6 p.m., visitors are guided around the dark caves by lantern and have to figure their own way out in the dark.

Labirintus, Uri utca. 9, Budapest, or Lovas ut. 4/a, Budapest

The Cave Church of Gellert Hill

Gellert Hill is a landmark in Budapest.

Rising above the Danube, it overlooks the whole city and guards its own cave network.

Unlike the caves beneath the city's other hills, most of these are closed off.

The main cave open to the public, St. Ivan's, houses a small church with an entrance facing one of Budapest's most famous spas, the Gellert Baths.

Use of the cave as a church is fairly new.

Pauline Monks occupied it in the 1920s but it was sealed up for decades after the Soviet Red Army captured Budapest in 1945.

Cave Church, Szent Gellert rakpart 1, Budapest (website in Hungarian)

Jennifer Walker is an Anglo-Hungarian writer and former physicist living in Budapest. She tweets at @JDWalkerWriter.

CNN Travel series often carries sponsorship originating from the countries and regions we profile. However CNN retains full editorial control over all of its reports. Read the policy.

@highlight

Hills under the Hungarian capital are riddled with caves, many formed by water from the city's spas

@highlight

Many of the caves are open to the public, with guided tours and spelunking expeditions

@highlight

Subterranean attractions include a former hospital, a Cold War bunker and a church