LONDON, England (CNN) -- Getting "out of this world" with civilian space travel is not quite as simple as you may think.

Ready for launch: video game programmer Richard Garriott shown in training for his space flight in October.

Aside from the obvious financial limitations which restrict space tourism to the rich and the ridiculously rich, there are also significant training programs and testing to be completed before proceeding to lift-off.

To gain a better insight into this training, well-known video game programmer and designer Richard Garriott, who is preparing for his own space adventure in October, is detailing in a blog what he and others have to go through in order to make it into orbit as a space traveler.

Garriott has been in training since the beginning of the year and told CNN the first major thing to surprise him was the intensity of preparations.

"When I first came here in January, I thought nine months to get trained for this is going to be plenty of time. Of course, very quickly, I realized that I had signed up for a very complex task, something much more difficult that I had anticipated. I immediately knew that nine months was going to be a lot of work to get everything prepared for the flight.

"And now that I am so close to the flight, I am still feeling the pressure, I definitively have been working very long days and most nights," Garriott said.

The training regime has three major strands: physical training, which includes preparation to acclimatize to the space environment; practical training for day-to-day living in space; and like any flight, be it 10 minutes or 10 days, training in safety procedures for emergency situations.

Trainees generally spend nine months or more on and off-site to complete the requirements, which include everything from flight simulations to learning how to use the toilet.

Eric Anderson, president and CEO of Space Adventures, the company sending Garriott into space, told CNN the training program is extensive, but does not exclude people from making the flight.

"Their total training program is a few months, but we tend to spread it out so they can fit it around their normal lives. They are not training to the same degree as the professionals."

As long as space hopefuls are in reasonable health, they can usually go ahead with their adventure, he said.

"There's some fitness involved. There are certainly [medical] things that are not allowable in space, but they are generally more serious conditions."

He said the major fitness issue with space travel was preparing for the change in "Gs."

"The body is designed to live on one 'G,' so when you expose it to higher 'Gs' it has an effect. With the training and given the [short] length of the visits there's a minimal effect on the body."

In his blog on the training process, Garriott said one part of the training was indisputably the worst.

"Hardest of all was the 'Spinning Chair of Ultimate Sickness.' I can't imagine that I will ever again voluntarily sit in a device designed to make you sick, or ride it as long as I can. Ugh, this is definitely my least favorite part of training!"

Despite such disturbing preparations, Anderson said much of the training, which takes place at Space Adventures' base in Star City, Russia, is centered upon general living in space.

"There's a few requirements about what you need to know to live in the space station ... how to eat, how to drink, and how to use the restroom, for example," he said. "There's also a lot of simulation you go through ... there's preparation to acclimatize you to the space environment."

Garriott said many of the procedures for living in space, or for emergencies, are very complex.

"There are a lot of technical details behind all the different systems we need to understand ... fire detection and alarms, plus procedures and equipment for dealing with fire emergencies; protective breathing apparatus in case of chamber decompression or malfunction; the toilet (everybody's favorite piece of space trivia!), including powering up the can for suction and waste removal; and lastly, onboard water sources."

He admits the learning requirements had him preparing for exams by "cramming like any good college kid."

And the most fascinating part of the training?

In Garriott's opinion, it was running in a hypobaric chamber, where the altitude was set at 10,000 meters (about 2,000 meters higher than Mount Everest).

"I felt no physical or mental problems, but I did notice an odd physiological issue that is quite hard to describe. Basically, it was possible to make a tennis ball-sized pocket in my mouth, but one which had no air in it as it was just a vacuum!

"By that I mean try to imagine creating a cavity inside your mouth without any air bubbles and by letting in no air through your lips or throat -- it's basically impossible at sea level because the air pressure outside your mouth pushes the air pocket closed," he said.

"However, at 10,000 meters the air is so much thinner that you can pull off this oral stunt without a hitch! Weird."

It truly is.

@highlight

Richard Garriott will fly with Space Adventures into space in October

@highlight

Training involves physical, practical and safety preparation

@highlight

Garriott says the toughest part is a spinning chair designed to make you vomit

@highlight

Learning to go to the toilet in space is part of the training