(CNN) -- Experts disagreed Tuesday over whether Amanda Knox is likely to be extradited to Italy, where the country's highest criminal court overturned her acquittal and that of her former boyfriend in the 2007 killing of her roommate, Meredith Kercher.

Knox and Raffaele Sollecito were convicted in 2009 of murder in Kercher's death, but a jury overturned the conviction in 2011. She then returned to her home city of Seattle, Washington, where she is studying creative writing at the University of Washington, according to her family's spokesman, David Marriott.

A U.S. court or the State Department would be unlikely to take up any extradition request from Italy, said Sean Casey, a former prosecutor who is now a partner at Kobre & Kim in New York.

He cited an extradition treaty between the United States and Italy that states: "Extradition shall not be granted when the person sought has been convicted, acquitted or pardoned, or has served the sentence imposed, by the Requested Party for the same acts for which extradition is requested."

"Under U.S. law, she was once put in jeopardy and later acquitted," Casey said. "Under the treaty, extradition should not be granted."

In 2011, deputy State Department spokesman Mark Toner told CNN that although the United States and Italy have an extradition treaty, he was not able to answer speculative questions on extradition issues in the Knox case.

Tuesday, State Department Acting Deputy Spokesman Patrick Ventrell noted that the matter was ongoing, and the Italian court's full ruling had not been released.

"We can't really comment beyond that," he told reporters. "We never talk about extradition from this podium in terms of individual cases."

Knox may be protected on another level, too, according to Casey. "Her original verdict was so terribly flawed by prosecutorial overreaching," the lawyer said, noting that the appellate court that overturned the original conviction detailed those flaws in a damning report more than 100 pages in length.

Timeline: Meredith Kercher murder case

Given those errors, "I would expect Italian law enforcement to not seek extradition, because it would only prolong this law enforcement ordeal."

But Harvard Law Professor Alan Dershowitz said that Italian prosecutors might very well extradite Knox. And, if retried, she "likely will be found guilty -- because the evidence supporting a conviction is pretty strong."

Knox, now 25, has established a fan base in the United States "because she has a beautiful face and an angelic appearance," Dershowitz said. "But remember, she originally admitted she was at the scene of the crime and she tried to blame an innocent man -- for which she was also convicted."

After Knox and Sollecito were detained for questioning in the killing, she allegedly confessed to being at her home when Kercher was killed and implicated Patrick Lumumba, the owner of a bar where she worked.

Lumumba was detained, but was released after two weeks when his alibi was corroborated: he had spent the night of the murder talking to a customer in his pub in Perugia, police say. He went on to sue Knox for libel, winning 40,000 euros ($54,000) in damages.

Dershowitz said the case was not well tried the first time. "But at a second trial, there's a very high likelihood that they may very well convict her."

He predicted that Knox would resist any extradition attempt. But even if she were to succeed in that, "she remains a prisoner in the United States, because Interpol will put a warrant out for her and, if she travels anywhere outside the United States, she'll be immediately arrested and turned over to Italy."

If Knox were to lose an extradition fight and then wind up being convicted, she would go to jail, he said.

Amanda Knox: Fascination with 'the evil female'

If he were advising Kercher's parents, Dershowitz said, he would recommend that they file a civil suit to claim the money Knox has received as an advance for a book about the case that is scheduled for publication next month.

"They have a right to sue her on behalf of their dead daughter," he said, noting that the standard required for conviction in civil cases is a preponderance of the evidence. "I think that would be easy to do."

And the extradition treaty's reference to double jeopardy may not be binding in some cases, he said. "In the United States, generally, when you appeal a conviction, you waive your double jeopardy rights, and we permit retrials of people who have had their convictions reversed, at least on procedural grounds," he said.

And what about Casey's prediction that Italian law enforcement would not seek extradition?

"I think he's wrong," Dershowitz said. "I think the Italian legal system will welcome a second trial. They'll put new prosecutors on the case, good ones, and seek to vindicate themselves."

"They will want to have a second opportunity to show that Italian justice can be pure."

Dershowitz said purity has also eluded many members of the U.S. news media who have covered the case closely.

"One issue is why the American media portrayed her in such positive terms," he said. "At best, she was a terrible person who tried to blame it on some innocent person and she was clearly a liar, and at worst she participated in a horrible murder, and the American media focused much more on Amanda Knox than on the victim of the case because Amanda Knox was prettier and an American and an American sweetheart."

Had she been ugly, he argued, the case would have attracted little attention.

Knox's lawyer, Ted Simon, told CNN that his client was not guilty. "These charges still remain just as unfounded, just as unjust, as they were before," he said.

2011: How the four-year court saga unfolded

@highlight

"Extradition should not be granted," former prosecutor Sean Casey says

@highlight

"The evidence supporting a conviction is pretty strong," Dershowitz says

@highlight

The State Department will not discuss individual cases

@highlight

"These charges still remain just as unfounded," Knox's lawyer says