(Lonely Planet) -- The youngest of Hawaii's main islands -- and it's still growing, with over 500 acres of new land added over the last 30 years -- the Big Island of Hawai'i overflows with outdoor adventures. Here you can hike to the edge of the world's longest-running volcanic eruption, then climb Hawaii's two tallest peaks.

Dropping back down to earth, trek into forested valleys harboring ancient heiau (Hawaiian temples) and wild beaches where you can camp by the surf in the silvery moonlight.

Hawaii: The state that doesn't vote

Hawaii Volcanoes National Park

Start by going straight to the heart of the Big Island's live lava action: Hawai'i Volcanoes National Park. Here Kilauea Caldera has been spewing lava since 1983. During just the last few years, Halemau'mau Crater has once again become a roiling lake of fire. Traditionally believed to be the home of Pele, the Hawaiian goddess of fire and volcanoes, Halemau'mau Crater looks especially hellish after dark.

Heavenly Hawaii: Dos and don'ts

Wait, isn't all this volcanic activity dangerous? Not exactly. Hawaiian shield volcanoes rarely erupt with fountains of fire, but instead send out lava flows that ooze above ground or in underground tubes with glowing skylights. When those flows reach the ocean, they send up huge plumes of steam that billow like clouds during the day and glow ghoulishly at night.

Lonely Planet: Hiking O'ahu: a walk through Hawaii's history and culture

Depending on current volcanic activity, you may be able to hike to within view of the lava flow, either inside the park or at county-run Kalapana viewing area; call +1 (808) 961-8093 for up-to-date information.

To luau or not to luau? Your Hawaii tips

If you want to set foot on older, more stable but still steaming lava flows, as seen in the alien landscapes of the 2001 Hollywood remake of "Planet of the Apes," follow the park's 4-mile Kilauea Iki Trail, which descends from the volcanic crater rim and traipses over jet-back lava flows, which are slowly being recolonized by native plants, and through birdsong-filled rain forest kipuka (oases) spared Pele's wrath.

Mauna Loa

In a far-flung corner of Hawai'i Volcanoes National Park, Mauna Loa ("Long Mountain" in Hawaiian), the most massive volcano in Hawaii, stands watch. If you're a peak-bagger, the 19-mile trek to its summit is a worthy challenge.

Intense sun exposure, white-out fog and the risks of hypothermia and altitude sickness don't deter ambitious, physically fit climbers from this multi-day ascent over a moonscape of volcanic lava flows to Manua Loa's otherworldly summit caldera.

Travel Snapshots: Natural beauty shines in Aloha State

Day hikers who want to take the shortcut use the Mauna Loa Observatory Trail, another strenuous and breathtakingly high trail (13 miles round-trip) that starts off Saddle Rd outside the park. It's a steep, unearthly beautiful climb through rainbow-colored volcanic cinders to Mauna Loa's windy, exposed summit.

Get an early start (before 8 a.m.) and check the weather forecast before setting out. The observatory access road is rough and mostly unpaved; a 4WD vehicle is helpful. Note most rental-car companies prohibit driving on unpaved roads, even in Jeeps.

Lonely Planet: Kaua'i's coast and mountains: a hiker's dream

Mauna Kea

Mauna Kea is the world's tallest mountain -- taller even than Mt. Everest -- when measured from its base deep on the ocean floor all the way to its summit at 13,796 feet above sea level. Startlingly clear skies have made the summit an ideal place for building high-tech astronomical observatories; some are open to the public for visits and tours.

For ancient Hawaiians, Mauna Kea was a pilgrimage spot for sacred ceremonies including burials, as well as collecting materials to make tools. The snow goddess Poli'ahu lives here, among the prehistoric lava flows and tiny Lake Waiau.

Start partway up the mountain at the Mauna Kea Visitor Information Station, which offers free star-gazing programs nightly. Acclimatize to the heady 9000-foot elevation while you sip hot chocolate indoors. Most rental cars are not allowed to drive up to the summit, but you can still get there the hard way -- on foot.

It's an eerie 6-mile climb each way, snaking around cinder cones at eye-level with the clouds and within distant view of the ocean, over two dizzying miles down below. Not up for such a workout? Catch sunset at the summit on a guided 4WD tour instead.

Waipi'o & Waimanu Valleys

As thrilling as the Big Island's volcanoes are, just as impressive are its emerald amphitheater valleys. Curving along the coast in the shadow of the Kohala Mountains, most of these enormous valleys are completely inaccessible.

But you can still capture panoramas of wildly bucking surf, patchwork fields of green taro plants and lacy waterfalls dropping off the cliffsides from the Waipi'o Valley Lookout. It's at the end of a paved highway from Honoka'a on the northern Hamakua Coast.

From the lookout, it's a knee-knockingly steep 1-mile walk down a 4WD road to black-sand Waipi'o Beach where spinner dolphins cavort offshore. Hire a guide if you want to venture further back into Waipi'o Valley, because locals are fiercely protective of private property and you'll need someone who knows the landscape.

Alternatively, get a permit in advance for a DIY backpacking trip to utterly remote Waimanu Valley, abandoned after a tsunami wiped out its village in 1946. The 9-mile Muliwai Trail from Waipi'o Valley into Waimanu Valley is rough, hazardous and extremely steep in spots, so only experienced backcountry hikers should attempt it.

Lonely Planet: Hawaii's Big Island: how to make the most of a short trip

Pololu Valley

A much easier day hike awaits in the North Kohala district, at the end of a paved highway winding past Hawi. Sacred to ancient Hawaiians, the fertile Pololu Valley thrived with taro fields into the 20th century until the Kohala Ditch diverted water. Today you can hike down into this amphitheatre valley on a rocky hiking trail that's less than a mile long.

Finish at a black-sand beach where you can sit, contemplate the breaking waves and feel the mana (spiritual power) of the Big Island's valleys and volcanoes.

Originally published as "Exploring the Big Island's Volcanoes & Valleys" Â© 2012 Lonely Planet. All rights reserved.

© 2011 Lonely Planet. All rights reserved.

@highlight

The Big Island has a long-running volcanic eruption and Hawaii's tallest peaks

@highlight

Hawai'i Volcanoes National Park has seen active lava since 1983

@highlight

Most of Hawaii's giant valleys are inaccessible, but they can still be viewed via lookout