ATLANTA, Georgia (CNN) -- In 1989, the warnings were dire. The Spike Lee film "Do the Right Thing," critics and columnists said, would provoke violence and disrupt race relations.

Spike Lee: "I wanted to do a film that would try to show what was happening at the time."

"This movie is dynamite under every seat," wrote Newsweek's Jack Kroll.

Other commentators believed the film would harm the candidacy of David Dinkins, an African-American who was running for mayor of New York. It might even spark riots at movie theaters, they thought.

Instead, what the film provoked was ... talk. There were no riots. Dinkins was elected. "Do the Right Thing" had a successful run at the box office -- if not as successful as Lee and his supporters hoped -- and was nominated for two Academy Awards.

Twenty years later, the film still maintains a hold on the imagination. In 2007, the American Film Institute ranked it as one of the 100 best American films. Roger Ebert, who has written he cried when he first saw the film at the Cannes Film Festival, still considers the film a wonder: "Spike Lee had done an almost impossible thing. He'd made a movie about race in America that empathized with all the participants," he wrote in 2001.

So what is the thing about "Do the Right Thing?"  Watch Spike Lee describe things in his own words »

Part of its staying power is in its boldness, both in look and action. Lee's first two films, "She's Gotta Have It" (1986) and "School Daze" (1988), had marked him as a rising young filmmaker. But it was "Do the Right Thing," made when Lee was just 32, that showcased his confidence, from the deliberately striking color scheme (bright reds and oranges that make a hot day seem even hotter) to its heightened -- sometimes stagy -- atmosphere, to its grim, documentary-style riot climax.

Then there was its willingness to address issues head-on. Lee has said he wrote the film quickly, upset by racial incidents roiling New York City in the 1980s. (In one, the 1986 Howard Beach tragedy, three black men who had wandered into the largely Italian neighborhood by mistake were beaten by a group of white teens; one of the men was killed as he fled across a nearby highway.)

"When I wrote the script ... New York City was a very polarized city, racially," he said. "I wanted to do a film that would try to show what was happening at the time."

He was also determined to roll in other clashes between poor locals and gentrifying whites, between police and citizenry, even between men and women.

That friction takes a simple, sketchy plot -- a scorching day in the life of Brooklyn's Bedford-Stuyvesant neighborhood -- and turns it into a series of tense standoffs. The generally African-American residents are trying to beat the heat. Sal, an Italian pizza shop owner, oversees his corner business.

A local agitator, Buggin Out, crosses Sal. Sal's prejudiced son Pino faces off with Mookie, the delivery man played by Lee. The residents grumble at the Korean grocer. But all is more or less calm until Sal busts the boombox of the defiant Radio Raheem, and then hell breaks loose.

The passion of "Do the Right Thing" is obvious: "Opinion will always be divided on ... 'Do the Right Thing,' " wrote The New Yorker's Anthony Lane. "But it remains a thrilling panorama of social crackup -- a wide and worthy development of themes that Lee had been mulling since 'She's Gotta Have It.' "

The film also boasts indelible performances -- Lee, Danny Aiello as Sal, Giancarlo Esposito as Buggin Out, Ossie Davis and Ruby Dee as Da Mayor and Mother Sister, John Turturro as Pino -- and memorable music, a mix of jazz penned by Lee's father, Bill, and the Public Enemy song "Fight the Power."

But perhaps the real reason people talk about "Do the Right Thing" two decades on is because it's still relevant. Lee makes the point that race issues haven't vanished simply because America has a black president.

"It's not like this thing has disappeared because {President Obama} is in the White House," he said. Some things have improved, particularly the atmosphere in New York itself, he said. But, "We've got a lot of work to do."

Ironically, some of that work has to be done at Hollywood studios. Though Lee is quick to credit Universal and its then head Tom Pollock for championing the film, he said things haven't changed much in the movie business.

"Sports is so much more advanced than Hollywood," he said. "I can go for a meeting at a studio [and] the only black person I'm going to see is the brother-man at the gate letting me in."

@highlight

"Do the Right Thing" came out 20 years ago this summer

@highlight

Spike Lee film examined race issues in a tinderbox situation

@highlight

Lee sees film as still relevant: "We've got a lot of work to do" on race, he says