(CNN)You're late for your flight, sweaty from having dragged your luggage to the check-in counter, and stressed about making it through security before boarding begins. For some of us, this is the rule, not the exception. For most of us, it's a pretty unremarkable scenario.

Not so fast, says the Transportation Security Administration. Typical airport behavior like this could make you a suspicious traveler who should be subjected to questioning and additional screening -- and possibly referred to the police for investigation, detention or arrest.

That should seem far-fetched, but it isn't. The TSA continues to use pseudo-scientific "behavior detection" techniques that have given rise to persistent allegations of racial and ethnic profiling at our nation's airports.

Through a program called Screening Passengers by Observation Techniques, or SPOT, the TSA employs thousands of "behavior detection officers" who scrutinize travelers to look for signs of "mal-intent" in airport screening areas. The officers typically spend less than 30 seconds scanning an average passenger for over 90 behaviors the TSA associates with stress, fear or deception. When the officers perceive clusters of such behaviors in any given individual, they refer that person for secondary inspection and questioning.

The SPOT program relies on theories about "micro-expressions," involuntary facial expressions that supposedly appear for milliseconds despite one's efforts to conceal them. Behavior detection officers look for such micro-expressions while scanning passengers' faces or engaging in casual conversation with them.

It's as nutty as it sounds.

Setting aside that the officers' perception of these behaviors is inherently subjective, there's just no evidence that deception or "mal-intent" can reliably be detected through observation, especially in an unstructured setting like an airport screening area.

The fact that many people find such settings inherently stressful only compounds the problem. If TSA's behavior detection officers look for stress in a stressful environment, they're going to find it, along with plenty of false positives.

Just about everyone outside the TSA who has reviewed the SPOT program has decided that it's unscientific and a waste of money. An exhaustive review by the Government Accountability Office found the SPOT program lacked a scientific basis, that the behavioral indicators it relied on were subjective, and that the TSA had no effective means to test its effectiveness. In no uncertain terms, the GAO recommended that Congress curtail funding for the program.

An independent scientific advisory group that reviewed the SPOT program also concluded that "no scientific evidence exists to support the detection or inference of future behavior, including intent."

And during a congressional hearing on the program, Republican Rep. Richard Hudson of North Carolina observed, "To my knowledge, there has not been a single instance where a behavior detection officer has referred someone to a law enforcement officer and that individual turned out to be a terrorist."

Rep. Michael McCaul of Texas, the Republican chairman of the House Homeland Security Committee, stated, "I am concerned that TSA will continue to spin its wheels with this program instead of developing a more effective and efficient approach."

Despite this withering criticism, SPOT remains in place and has cost taxpayers well over $1 billion (that's with a b) since its inception in 2007. Repeat: over a billion dollars on a misguided program that doesn't work.

Equally troubling is that SPOT has given rise to persistent allegations of racial and ethnic profiling -- an unfortunately inevitable result when law enforcement or border agents single people out based on hasty, gut-level judgments about them.

Allegations of profiling by behavior detection officers have come not only from travelers, but also from numerous other officers. Over 30 behavior detection officers at Boston Logan International Airport said that profiling was rampant there. One of the officers told reporters, "They just pull aside anyone who they don't like the way they look -- if they are black and have expensive clothes or jewelry, or if they are Hispanic."

Another officer submitted an anonymous complaint saying, "The behavior detection program is no longer a behavior-based program, but it is a racial profiling program."

The TSA has not revealed what, if any, steps it has taken to ensure that unlawful profiling does not occur in airport screening. Nor has TSA explained why -- despite overwhelming evidence to the contrary -- SPOT contributes meaningfully to aviation security.

That's why the ACLU submitted an FOIA request to TSA seeking information on its use of behavior detection. We've received no response, so we're taking the TSA to court to get the information the public needs to fully evaluate it.

People expect that when they travel, they will be screened for weapons or explosives that could bring down an airplane. They don't expect -- nor should they -- that officers will make probing judgments about their intentions based on little more than their facial expressions, or that they will be stopped, questioned and perhaps even searched because of their race or ethnicity.

It's time for TSA to explain and justify the SPOT program. Or better yet, listen to those who say it's a waste of money and scrap it entirely.

@highlight

TSA's SPOT program screens passengers for "micro-expressions" to determine if a person is suspicious

@highlight

Hugh Handeyside: SPOT program is unscientific, has wasted over $1 billion of taxpayer money and should be terminated