(CNN) -- One thing's missing from the official version of what happened to Malaysia Airlines Flight 370, say some experts and family members: hard evidence.

Malaysian Prime Minister Najib Razak has said the missing plane's journey ended in the southern Indian Ocean, and that the conclusion was based on an analysis of satellite data by a British company and aviation investigation agency.

"We have to assume beyond any reasonable doubt that MH370 has been lost and that none of those on board survived," Malaysian Airlines told family members of the missing passengers.

The announcement drew howls of grief. But it also provoked skepticism.

Hundreds of friends and family members of passengers marched to the Malaysian Embassy in Beijing Tuesday to express their anger and frustration.

They claimed they weren't being told the truth by the Malaysian government about what happened to the plane after it disappeared from radar on March 8.

"If you find something: OK, we accept," said one relative of a passenger. "But nothing -- just from the data, just from analysis."

'Something from the seas'

"I suppose I want to see something from the seas," said Bimal Sharma, an Indian man whose sister Chandrika was on the plane. "I don't know why I just want to see some debris off the aircraft and the black box to know what exactly happened because there are too many unanswered questions."

Sharma, who has worked for a long time in the Indian merchant navy, told CNN's Jim Sciutto that he had "sailed those oceans several times myself."

Australian authorities coordinating the search for the plane in a remote area of the Indian Ocean suspended efforts on Tuesday because of stormy weather.

Sharma said he hoped the search would continue. "Just for the relatives to see that there was something -- and it's conclusive evidence," he said.

Sarah Bajc, whose partner of two years, Philip Wood, was on the passenger jet, said in an e-mailed statement that, without confirmed wreckage, the announcement gave her "no real closure."

"I STILL feel his presence, so perhaps it was his soul all along," she said of Wood, one of three Americans on the plane.

'Still holding onto hope'

The reactions are understandable, said Heidi Snow, the founder of ACCESS, an organization that provides grief support to people affected by or involved in air disasters.

"I think that what we have been hearing is that basically this isn't enough evidence to change the grieving process," she told CNN's Erin Burnett. "Some people are still holding on to hope and really need more than these words."

"They need to see actual parts of the plane and really learn that their loved ones were actually on board by getting some remains back," said Snow, who lost her fiancÃ© on TWA Flight 800, which crashed in 1996.

"I am so glad there is some new information coming to them," she said of the Malaysian announcement. "But really, without anything tangible, they are still going back and forth."

Malaysian Acting Transportation Minister Hishammuddin Hussein said Tuesday he understood that relatives found it difficult to accept the news without hard evidence.

"Until we can find the debris, and then we can confirm the debris is from MH370, it is very difficult for me to have closure for the families," he said.

'Tantalizingly unsatisfying'

Aviation experts also expressed dissatisfaction and frustration with the information.

"We've been waiting for the shoe to drop for more than two weeks now. And what we got was the most tantalizingly unsatisfying thread of a resolution," Jeff Wise, a private pilot and aviation writer, told CNN.

CNN Aviation Analyst Miles O'Brien said he wanted to see more information about what was behind Malaysian authorities' announcement.

"There is a saying in science: extraordinary claims require extraordinary evidence," he said. "Show me. Show me the evidence."

The Chinese government, whose citizens made up about two thirds of the passengers on the plane, says it also wants to know more.

"We called on the Malaysian side to provide further evidence and all the information," Chinese Foreign Ministry Spokesman Hong Lei said at a news briefing Tuesday.

Portrait of an artist: The Uyghur painter on Flight 370

'Nothing is final'

An executive from Inmarsat, the British company that carried out the satellite analysis, said the route into the southern Indian Ocean was the "best fit" with the pings received from the plane.

"The most likely route is the south, and the most likely ending in roughly the area where they're looking now," Chris McLaughlin, a senior vice president at the company, told CNN's Wolf Blitzer.

"But, of course, nothing is final," he said. "We're not earth observation satellites, we're data satellites. So it will require a lot of different skills, a lot of different people, not least the naked eye, to finally confirm what happened to 370."

McLaughlin said the mathematics-based process used by Inmarsat and Britain's Air Accidents Investigation Branch was "groundbreaking." The new calculations underwent a peer review process with space agency experts and contributions by Boeing, he said.

Arthur Rosenberg, an aviation attorney, said he was troubled by the different language used by the satellite company and Malaysian officials.

"On the one hand, you have the executive from Inmarsat saying 'most likely' and somehow that got booted up to 'beyond reasonable doubt.' I don't agree with that," Rosenberg said.

"I am not convinced that they are certain where this airplane is," he said. "I think they have fine-tuned it to a general area, but to say beyond a reasonable doubt this plane went down where they are saying is a stretch."

Malaysia defends announcement

Prime Minister Najib on Tuesday defended the decision to make the announcement, saying it was based on "the most conclusive information we have."

He told Parliament he didn't want the government to be seen as hiding information on purpose from the families of the missing passengers -- an accusation Malaysian authorities faced earlier in the investigation into the plane's disappearance.

He noted that more answers would only come to light with the discovery of the plane's flight data recorder.

"We cannot verify any theories until the black box is found," he said.

Search for Malaysia Airlines Flight 370: the technology

How 'groundbreaking' number crunching found path of Flight 370

'They have told us all lives are lost,' says relative of Malaysia Airlines passenger

CNN's Steven Jiang and journalist Ivy Sam contributed to this report.

@highlight

Relatives of passengers express doubts about the Malaysian announcement

@highlight

They say they want to see tangible evidence of what happened to the plane

@highlight

"This isn't enough evidence to change the grieving process," a grief expert says

@highlight

The Chinese government calls on Malaysia to release "further evidence"