Apple's announcement on Thursday that it would be introducing a new iPad textbook experience and iBooks authoring tool presents huge opportunities for technology in classrooms.

The company is selling textbooks from McGraw-Hill, Pearson and Houghton Mifflin at a price comparable to print versions, and it's presented an unprecedented opportunity for teachers to compile their own materials.

But Apple has a long way to go -- and logistical hurdles to clear in tens of thousands of schools -- before it dominates K-12 classrooms the way it has done the music industry.

Instructional Technology Resource Teacher Jenny Grabiec recently purchased iPads for two of the ESL classrooms in her 160-school district using federal funds allocated for students with limited English proficiency.

Getting approval for the actual purchase was fairly easy. She sent a written request to the district CIO, and he approved it. But it took five months to get the iPads up and running after they arrived.

In order to download new apps, she needed to get the Apple volume purchase program approved as a vendor by the budget group. But who would explain to the budget committee the process of paying with an Apple ID? Who would be responsible for downloading the volume-purchased apps? Could the students use them outside of their hour-long ESL class? The list of logistical issues went on.

"Because nobody in our district had done it before, it took a long time," Grabiec says.

Becoming the next big thing

By Apple's count, 1.5 million iPads are being used by schools. But there are 55.5 million students enrolled in more than 130,000 U.S. schools. No matter how you slice it, the iPad is not a mainstream phenomenon in K-12.

Nor is there any guarantee it will become so. One-to-one initiatives for laptops have been pushing forward for years without mainstream adoption. Maine, for instance, gave 33,000 middle school students and 3,000 teachers personal laptops as early as 2002.

But in 2009, a survey by the National Center for Education Statistics found that while 99% of public school teachers have some access to computers, just 29% of public school teachers use them during instructional time "often." Just 3% of schools in a 2010 survey by the FCC said they have a one-to-one computer ratio.

iPads do have a couple of advantages over one-to-one laptop initiatives. Grabiec points out that the iPads' batteries last longer than the laptops she oversees in other classrooms. They also have been less expensive to maintain than the computers — not a single one has been damaged — and don't work as stand-ins for desktop computers, but as cameras, GPS devices and video cameras.

"With a laptop you were stuck with consuming content," says Timothy Smith, who works as an Instructional Technology Specialist in the same district as Grabiec. "But with the iPad you're taking videos and looking at ideas in a new way."

Textbook availability

Even though Apple's first iPad textbooks will sell for $15 or less, they won't be any less expensive for schools than paper books. Vineet Madan, head McGraw-Hill Higher Education eLabs, tells Mashable that iBooks will be sold to schools rather than directly to students, but that schools will grant students access to those books through their personal IDs.

In other words, even if a school reuses iPads, it won't be able to reuse books. The books will be kept on individual students' iTunes accounts.

Schools reuse the same paper book for about five years, and those books usually cost about $75. Because a new book will be purchased every year, the iBook version still costs $75 for five years.

Relying on iBooks as textbooks isn't a feasible option for most public schools at the moment because Houghton Mifflin Harcourt, McGraw-Hill and Pearson have each dedicated just a small number of titles each. Madan puts the typical cycle for textbook approval in most states at about five years.

Unless the school happens to be using one of the selected titles, it can't use iBooks yet. Most other options for digital textbooks that can be read on an iPad --including Coursesmart, Kno, Chegg and Inkling — focus on books for higher education.

Unless major publishers decide to add more of their titles to iBooks, it won't be a feasible default reader in most schools. Madan says that McGraw has already committed to adding five additional titles before September, but it will commit to additional titles based on uptake.

Broadband and red tape

In a FTC 2010 survey of the schools in its program for discounted telecommunications, almost 80% said their Internet connections don't fully meet their current needs.

"It's not atypical to see one classroom of students on connected devices bring down a network," Madan says.

Before schools introduce connected devices, many of them will need to introduce better Internet connections. And that's just one logistical issue. Schools and districts will likely have a longer list specific to their circumstances. Consider the situation that Smith, who recently helped put an iPad in the hands of every administrator in his district, faces when he thinks about introducing iPads district-wide:

Some types of funding, like the one used to buy iPads for the ESL classrooms, can't be used for anything already being paid for by the school district. If the district bought iPads for some students, in other words, it would be cutting off other sources of funding. It's a puzzle.

Bringing iPads to the mainstream

Many schools already use iPads in their courses. Policies that allow students to bring their own devices to school might make make this more common.

According to a 2011 Pearson Foundation survey, 70% percent of college students and college-bound high school seniors are interested in owning a tablet device, and 20% expect to purchase a tablet within the next six months.

The inevitable price decline on the iPad could also make iPads a more mainstream conduit for educational material.

"This is a change in how school districts think," Smith says, "and in a larger school district, that can take some time."

See the original article on Mashable.com

@highlight

Apple has a long way to go before it dominates K-12 classrooms

@highlight

There are 55.5 million students enrolled in more than 130,000 U.S. schools

@highlight

Even if a school reuses iPads, it won't be able to reuse books