London (CNN) -- Aung San Suu Kyi appealed for international support for Myanmar's process of democratic reform Thursday as she gave a historic address to both of Britain's houses of parliament.

This is her nation's time of greatest need, Suu Kyi told lawmakers, saying the help of Britain and other nations is needed if Myanmar is not to lose this opportunity to embrace true democracy.

Her first trip to Europe after years of house arrest signals the progress toward reform in Myanmar, also known as Burma, over the past year.

Suu Kyi is the first figure who is not a head of state, the first woman from abroad and the first person from an Asian nation to address both houses of Parliament in Westminster Hall, House of Commons Speaker John Bercow said as he introduced her.

He paid tribute to her as a "legendary" figure, who had "withstood unimaginable suffering" during the dark days of her long house arrest and political oppression.

Suu Kyi meets DJ who made house arrest 'bearable'

Addressing an audience that included current and past British prime ministers, Suu Kyi appealed for "practical help" from Britain in the days to come, saying international aid can help give her people a better life through education and training, as well as supporting civil and economic progress.

The Nobel laureate praised the "sincere" efforts of President Thein Sein, a former general, to promote political reform in Myanmar since his military-backed government was elected in 2010.

But she also called for international support to ensure Burma does not waver as it follows the path to a full, free and open democracy.

"We have an opportunity to re-establish true democracy in Burma. It is an opportunity for which we have waited many decades. If we do not use this opportunity, if we do not get this right this time round, it may be several decades more before an opportunity arises again," she warned.

It is also important that a permanent political resolution is found to ethnic conflicts and violence in the north, west and east of the country, she said.

Suu Kyi met with British Prime Minister David Cameron at Downing Street ahead of her speech to lawmakers, where they appeared jointly before reporters.

Cameron said it was a huge honor to welcome Suu Kyi to Britain, saying she has been "inspirational in her courage in fighting for democracy" in Myanmar.

Britain is a "resolute friend" to Myanmar and will "remain staunch in its support, just as it has been through the long period of darkness you and your people have lived through," he said.

The prime minister also backed Suu Kyi's warning against "reckless optimism" over political reforms in Myanmar, saying his country will "remain vigorous in our questioning until those changes have been made irreversible."

At the same time, Cameron defended the decision to invite Thein Sein to Britain, saying the visit signals the United Kingdom's willingness to engage so long as the president remains committed to reform. Britain's sanctions against the regime are only suspended, not lifted entirely, he pointed out.

Suu Kyi, who was recently elected to parliament as her National League for Democracy won dozens of seats in by-elections, said she supports the invitation to Myanmar's president because "we don't want to be shackled by the past."

She said it is by strengthening and empowering the people of Myanmar that a genuinely democratic society can be built.

She also called for responsible investment in Myanmar to aid its economic development. The country's future should lie in the hands of all its people, rather than those of the military or a small elite, she said.

What Suu Kyi's moment teaches us

Suu Kyi also spoke on the need for a "clean, efficient civil service" to help run the nation even as governments change.

Cameron said British lawmakers will visit Myanmar in July to scrutinize its progress toward full democracy, and will continue to support the country up to its planned elections in 2015.

Britain, which is the biggest aid donor to Myanmar, will also offer aid to support peacemaking in parts of the country torn by ethnic conflict and back responsible investment in the country, Cameron said.

Suu Kyi said she was moved by the warmth and kindness with which she had been welcomed to Britain.

During a four-day visit to Britain -- her first since 1988 -- Suu Kyi has also visited Oxford, the city where she studied from 1964 to 1967 and lived with her late husband, Michael Aris.

She received an honorary degree Wednesday at Oxford University, her alma mater.

Suu Kyi was awarded the honorary doctorate in civil law in April 1993, the university said, but until now has been unable to receive it in person.

"'The most important thing for me about Oxford was not what I learnt there in terms of set texts and set books we had to read, but in terms of a respect for the best in human civilization," she is quoted as saying at the ceremony.

Visiting London on Tuesday, Suu Kyi described how supporters around the world had given her strength while she campaigned against Myanmar's military regime.

She also paid a visit to the BBC's Broadcasting House, where she met DJ Dave Lee Travis, whose BBC World Service music show made her confinement "much more bearable," she said.

On Saturday, Suu Kyi finally gave her Nobel acceptance speech in Norway, more than two decades after she won the peace prize.

She was unable to accept the Nobel when it was awarded in 1991 because she was under house arrest in Myanmar. Her husband and two sons collected it on her behalf.

She has also visited Ireland, where a music concert was held in her honor Monday, and Switzerland.

The elections that gave her party seats in parliament, albeit in a minority, marked a turning point for the country after decades of oppression by its military rulers.

A military coup in September 1988 put Gen. Saw Maung in power, setting off anti-government demonstrations and a crackdown that left hundreds dead.

Suu Kyi -- whose husband remained in England when she returned to Myanmar in 1988 -- became a leading activist and co-founder of an opposition group, the National League for Democracy. She was placed under house arrest for the first time the following July on charges of trying to divide the military. She spent much of the next two decades confined to her home by the ruling junta.

When her party won the 1990 general election in a landslide vote, the military rulers -- in power since 1962 -- refused to let the National League for Democracy serve, nullifying the results.

The military rulers have recently loosened their grip on power, allowing a series of democratic reforms. Her house arrest ended in 2010, and she was able to travel around the country during her party's election campaign this year.

Smiling Suu Kyi lays out 'ambitious' plan for Myanmar

@highlight

NEW: Aung San Suu Kyi addresses both British houses of Parliament, a rare honor

@highlight

David Cameron says Britain will remain a "resolute friend" of her country, Myanmar

@highlight

Suu Kyi is on her first visit to Britain in 24 years

@highlight

Political reforms mean she can finally travel, after spending years under house arrest