(Parenting) -- With my 3-year-old twins in tow, I navigated several steep flights of subway stairs, managed four train transfers, and arrived safely at the Museum of Natural History in Manhattan. I took photos of them in front of the giant Apatosaurus skeleton and imparted (probably erroneous, but who cares?) facts about the Jurassic era. I am the best. Mother. Ever!

To top off the special day, I decided to treat them to an educational toy at the gift shop. My son Theo wanted an astronaut, so I brought him to the space display and let him choose between three astronaut-themed items (I'm so smart to give my preschooler a sense of control by offering him a choice!). "No, astronaut!" he began to whine. "This is an astronaut," I said brightly, pointing to one of the helmeted play figures. "No!" He then slapped all the items out of my hand and began screaming. Ten minutes later, after Theo had stomped on a dozen packages of freeze-dried ice cream, I tucked one boy under each arm and staggered out. I am the worst mother ever, I said to myself, embarrassed, drained, and near tears.

5 Tantrum Stoppers That Actually Work

Turns out, the scene at the museum was not all my fault, and it doesn't mean my boy is "bad," either. Michael Potegal, Ph.D., a pediatric neuropsychologist at the University of Minnesota, in Minneapolis, has spent the latest part of his professional career studying tantrums and how and why young children have such brutally emotional explosions. And what has he learned in that time? That their outbursts are as normal a biological response to anger and frustration as a yawn is to fatigue. So normal, in fact, that you can make a science out of the progression of a tantrum and predict one down to the second. Kids from about 18 months to 4 years are simply hardwired to misbehave, he says. And that means "nurture" (i.e., you) isn't always to blame.

8 Discipline Mistakes Parents Make

The mush behind the madness: Your tot's noggin

Let's take a quick tour of the human brain, stopping at a little blob of gray matter behind the eyebrows called the prefrontal cortex (PFC). This is the part of the brain that regulates emotion and controls social behavior. It's also the last area of the brain to develop; it has only just begun to mature at age 4. That immaturity -- as difficult as it makes parenting a toddler or a preschooler -- may serve an important developmental role in the acquisition of language (the most significant social tool humans have), says a new report out of the University of Pennsylvania.

The authors posit that the underdeveloped PFC is what allows young children to master a new language much more easily than adults. Simply put, our kids' more disagreeable behavior may be an evolutionary trade-off for the sake of human communication.

How Gross is It? Your Germiest Situations Analyzed

Okay, so they've got these mushy brain parts that make them prone to outbursts and irrational displays of emotion, but there's another factor at play in the toddler/preschooler's often difficult behavior: stress. "Kids this age think magically, not logically," explains Gina Mireault, Ph.D., a professor of psychology at Johnson State College, in Vermont. "Events that are ordinary to us are confusing and scary to them.

They don't understand that the bathtub drain won't swallow them or that their uncle can't really snatch their nose." And if you're not sure whether or not a simple bath will end in your demise, needless to say, you're going to feel pretty confused and prone to anxiety -- on a daily basis.

How to Say Goodbye to Mom Guilt

This feeling of heightened arousal causes our bodies to release cortisol, known as the "fight or flight" hormone. Maybe it should be called "tantrum juice:" Cortisol increases blood pressure, speeds up breathing rates, and may lead to confused or unclear thinking (sound like anyone you know?).

This anxiety is developmentally typical in moderation, but chronic anxiety or stress -- Is my stuffed Tigger going to come alive and eat me? -- is not; it can turn kids into virtual bundles of kindling primed to ignite at the slightest provocation.

How to handle a tasmanian tot

The next time your child has an episode, Potegal recommends asking yourself "What function does this inappropriate behavior serve?" If your tyke is looking for attention or a "tangible" (toy, food, or other treat), the best response is to ignore the behavior and maintain your own emotional composure. My friend Mana Heydarpour of New York City learned this lesson the hard way: When she told her strong-willed 3-year-old, Ella, that she couldn't watch her favorite TV show, she screamed, "I don't like you! I'm so disappointed with you!" "It made my blood boil so much that I couldn't help yelling back at her," Heydarpour says. As a result, Ella's fit lasted for half an hour. Potegal calls this the Anger Trap. "If you get just as mad and irrational as your child, it's like throwing gas on a fire," he says.

How to Be a Take Charge Mom

But he warns of another trap, too: the Sadness Trap. "When you comfort a child in the middle of a tantrum, you reinforce the behavior. Instead, say 'I'm sorry you're upset. When you calm down, I'll give you a hug and we can talk about what happened.'" This way, you offer support and sympathy while still showing your tot how to regulate his emotions. "Since that meltdown, I've learned to say 'I'm not talking to you while you're behaving like this,'" Heydarpour says. "Ella composes herself so much faster when I manage to do that."

But the above strategy doesn't apply to an "escape" tantrum: a child going bonkers because he doesn't want to do whatever it is you want him to (clean up, sit at the table, etc.). In this case, ignoring him gives him what he wants: You're no longer demanding that he wear his coat, or whatever it is that needs to be done. Putting him in a time-out chair doesn't work, either, since that's time he's not putting on his jacket. "Every second he's not complying, he's winning," says Potegal.

Instead, tell your kid that if he doesn't get dressed in five seconds, you're going to put your hands on his and do it together. If your tiny rebel makes no move after the five seconds are up, which he won't at first, take his hands in yours and gently force the coat on. "It's not meant to be pleasant," admits Potegal, but it should never include physical harm. If your child begins to slap or bite you, continue putting the coat on and then put him in time-out (or take away a privilege, if that's your standard discipline tactic). That way, your child sees he still has to wear the coat (so his protests were ineffective) and now has an additional consequence for his unacceptable behavior.

Toddlers are a literal force of nature who confound even the most calm and prepared. But there's a silver lining to these flop-and-flail-filled years: Just as kids can quickly slip into anger and sadness, so can they slip out of them.

The average tantrum lasts about three minutes, according to Potegal's research. That's why, shortly after a tantrum, your kid is back to playing as if nothing happened, while you're still quaking from the event a half hour later. His immature PFC (that mushy part responsible for social cues) allows him to move on without dwelling on past hurts. "Toddlers can transition from sad to happy and from angry to calm incredibly easily," says Potegal. So enjoy that post-freak-out cuddle, and gird yourself for the next round.

The life of a tantrum

A minute-by-minute breakdown of what happens when your tot blows his top.

0 SEC.

Uh-oh. Grocery-store meltdown in aisle 3.

30 SEC.

Foot stomping by this point means it will be a short one.

90 SEC.

Screaming and kicking: His anger has reached its peak.

3.5 MIN.

And just like that, it's over. He's now looking for comfort.

6 MIN.

Wow. He's acting like nothing ever happened.

10 MIN.

If his fits always last this long, talk to your doc.

Get 2 FREE YEARS of Parenting magazine - Subscribe Now!!

Copyright 2011 The Parenting Group. All rights reserved. Reproduction in whole or in part without permission is prohibited.

@highlight

The average tantrum lasts about three minutes, according to Potegal's research

@highlight

You can predict a tantrum down to the second

@highlight

Kids from about 18 months to 4 years are simply hardwired to misbehave