(CNN) -- A high-profile defector from Syrian President Bashar al-Assad's regime fled the country because he is outraged over the government's brutality, an activist told CNN.

Omar al Muqdad, a Syrian journalist and opposition activist, said he spoke to Brig. Gen. Manaf Tlas on Thursday night during an interview on Skype.

Tlas is a Republican Guard military commander, the son of a former defense minister and possibly the most senior Sunni in a power structure dominated by the Alawite minority.

He escaped from the Syrian city of Rastan to Turkey with the help of the Maher Noaimi Brigade of the rebel Free Syrian Army, al Muqdad said. But his whereabouts at present are not known, said al Muqdad, who once worked as a translator and journalist for CNN.

A Western diplomat who reported the defection said Tlas has been estranged from the regime over the killing of Sunnis. Al Muqdad said Tlas passed on similar sentiments, calling the regime brutal and al-Assad a dictator. He said Tlas said he left the regime because he doesn't want to be involved in any actions that would harm Syrians.

Tlas said he's not going to join the opposition now, al Muqdad said. But a U.S. official who is not authorized to speak on the record said if Tlas did join the insurgency, it would be "significant."

Reports of Tlas' defection first surfaced Thursday, and Western officials are saying he is on his way to Paris. His father, former Defense Minister Mustafa Tlas, and the rest of his family are in Paris, the official said.

Syria has been engulfed in nearly 16 months of unrest, resulting in thousands of deaths. Manaf Tlas' defection comes as government assaults against protesters led to a nationwide uprising.

His departure is regarded as a stunning blow to the embattled regime.

"He's an inside confidant of Assad. So it counts that even an insider thinks it's time to go," said one Western official, who spoke on condition of anonymity.

Pentagon spokesman Capt. John Kirby said the "crack in the inner circle" is "significant" because of Tlas' position and ties with the Assad family.

"We don't believe this defection should be taken lightly," he said.

Andrew Tabler, Syria expert at the Washington Institute for Near East Policy, said it's "by far the biggest defection."

"This is a good-sized step in the right direction," he said The Tlas family knows "how the place is wired."

Rafif Jouejati, spokeswoman for the opposition Local Coordination Committees of Syria, called the development "quite significant."

"It signals that the domino effect of defections is speeding up as longtime regime supporters and collaborators realize that Assad's ship is sinking fast. Expect more defections in the coming days as the regime accelerates its scorched-earth policy in a desperate attempt to destroy as much as possible before falling apart," she told CNN.

Jeffrey White, a defense fellow at the Washington Institute for Near East Policy, said the defection "raises questions about the cohesions of his brigade and division."

White recently wrote an essay describing the mounting pressures on the Syrian military, including the growing opposition clout and defections. He told CNN on Friday that the "defection process is accelerating somewhat and that we are getting more reports of higher-ranking officers leaving."

Tlas had been "the commander of an important regime protection unit, a component of the Republican Guard Division, whose main responsibility in the current conflict has been the defense of Damascus," White said.

The defection reflects two important trends, he said. One is that many of the higher-ranking defectors are staff officers and medical officers. Tlas, in contrast, is from a combat unit.

"If we start seeing more defections from the higher ranks of combat units that will be significant," White said.

The move also might indicate that the regime "cannot count on the Sunnis it has so far kept in the fold."

"It will create suspicions within the regime about 'loyalist' Sunnis and 'loyalist' Sunnis will be wondering what the regime has in store for them. Some will likely split, if they can find a safe path for themselves and their families. Manaf's defection will undoubtedly heighten the awareness of the regime's security personnel."

Ted Kattouf, a former U.S. ambassador to Syria, said the defection was "psychologically" important, "but it's not going to bring down the regime." He said a "much bigger blow" would be the defection of an Alawite senior officer.

Joshua Landis, a Syria expert at the University of Oklahoma, said Thursday in a post on his blog Syria Comment that if Tlas has indeed fled the country, "the regime will be thrown back on its heels."

Tlas "was a close confidant of Bashar from his earliest days and part of his inner circle," Landis said. And he "supported a policy of negotiation, flexibility and compromise" but "was overruled by the military leadership and has since looked for a way out."

For example, Tlas had been ordered to solve problems in the restive Damascus suburban towns of Harasta and Douma, Landis said.

"He did a good job by negotiating with the opposition leaders in both suburbs, agreeing that both government forces and opposition would pull back," Landis said.

But, Landis said, the "Alawi leadership said 'no, that is not how we are going to do this.' They pushed him aside and came down like a ton of bricks on the opposition in both neighborhoods, in an effort to assert state authority and crush the uprising through military means."

Tlas is "perhaps the most senior Sunni in the regime because he was a close friend of Bashar," Landis wrote.

"For 16 months the opposition has been complaining that elite Sunnis have not defected. That complaint can now, officially, be put to rest if the stories of Manaf's flight prove to be true. In March it was rumored that he had led with his father and brother, but those stories were false," he wrote.

Tlas exudes charisma, and Landis describes him as "smart, dashing and cunning."

"Manaf is as handsome as a movie star and carried a lot of authority. He was a true military guy and had spent his entire life in the military, unlike Bashar. People close to him say that when he walked into a room, all eyes turned to him. Not only did women find him attractive, but men did as well. He carried himself with an air of self-confidence and authority," Landis said.

The Tlas family has been part of the Syrian power structure during the tenure of Bashar and his father, Hafez Assad.

"When foreign statesmen or Syrians thought of a Sunni who could possibly take power, Manaf had to be at the top of the list or very close to the top," he said. "Manaf is respected by Bashar's generation and a military leader."

There has been a lot of buzz about the development on the streets of Damascus and the pages of Facebook. One man wrote it's important because the Tlas family wasn't just pro-regime, "they are the regime."

Another activist said, "You idiots, defect before it's too late. Tlas saved himself at the very last moment."

While opposition voices welcome the move, they voiced suspicion and scorn.

"Should we work with him? No, never," said one. Another said, "(H)e and his father and brother should return the money they stole from the Syrian people first."

This comment is an apparent reference to Manaf Tlas' brother Firas, a businessman. Firas Tlas has been in favor of reform in Syria. He told reporters in 2005 there was a "huge expectation" from Syrians of economic change.

CNN's Barbara Starr, Pam Benson and journalist Shiyar Sayed Mohamad contributed to this report.

@highlight

NEW: Activist says Brig. Gen. Manaf Tlas doesn't plan to join the opposition at present

@highlight

Tlas was perhaps the most senior Sunni in Bashar al-Assad's regime, scholar says

@highlight

Tlas was disgusted with the killing of Sunnis, a Western official says

@highlight

The Tlas family knows "how the place is wired," a Syria expert says