The airline industry has seen fewer travelers take to the skies in the wake of the global financial downturn and rising fuel costs. The knock-on result is that flight operators too, have had to cut costs.

In some cases that meant reducing routes or removing the additional amenities like the airline goodie bags of socks, toothpaste and eye masks. But one thing that hasn't changed is the care and attention paid to the fine wines and champagnes available on board.

According to wine connoisseurs and airline experts, the aviation world purchases several million gallons of wine annually and with many operators providing the finest vintages on offer, airline budgets can go into millions of dollars.

Read more: Happy snapping food critics take to the skies

But it is a tricky situation as at high altitudes the human taste palette changes, and so the sommeliers of the skies must combat this disparity while offering delicious wine for the travelers to savor.

Robert Joseph, the editor-at-large of Meininger's Wine Business International tells CNN: "What happens at altitude is that the product doesn't change, it's the way you perceive it that changes. Within your body you perceive less of the fruit that is in a wine and more of the acidity and more of the tannins, the hard texture, you'll get in red wines.

"Ironically, some of the finest wines in the world, some of the finest Bordeauxs, actually don't taste good at altitude," he says.

"Some sweeter wines from say Chile or California which are fruitier but softer to drink, merlot, pinot noir wines are often more fun to drink than cabernet sauvignon wines in the air."

Joseph also points out the act of air travel, which can often leave a traveler dehydrated and in a state of some tension, can also have an effect on the taste of a glass of wine for a passenger.

Doug Frost is the master sommelier for the world's largest airline, United, which serves seven million bottles each year. He is charged with the mammoth task of finding wines with a rich bouquet and unique palette, while also providing passengers with a vibrant array of choices.

"We're not certain why things change but what we can say is that....we need to pick wines that ramp up the intensity, that ramp up the character and flavors."

Passengers are given the choice of a champagne, two reds and two whites, but give little consideration as to how or why that particular wine was chosen by the airline during planning stages, which see wine choices made often months or even a year in advance.

Read more: 'Hidden' airline charges -- Dirty tricks or customer choice?

Frost says: "My focus is very much about whether the wine is stable -- so that I know the fruit and character of that wine is going to be the same in three to six months because it may be that long before we board it.

"I also need to know that the fruit is so forward that the wine is expressive, that the wine has so much to say that at 35,000 feet I can still smell it," he adds.

Frost meets with the rest of his team once a year and they go through the wine options provided for tender and pick 75 blends for the following year. If a wine can pass the altitude taste test and make it on board, the producing vineyard has a great opportunity to broaden its market.

Certainly for the first class cabin or business class, Frost says: "[Winemakers] see that as a really sexy place to be -- as a place they want their label to be seen."

An airline's selection often reflects the national and regional preferences of their passengers. With United, Frost chooses a variety of new and old world wines.

Read more: Beating the stress of business travel

"If you like wines across the board, new world wines tend to have brighter fruits, jammier fruits, so they're going to show a little better than older world wines. [But] that's painting with a very broad brush."

Other flight operators pride themselves on taking the opportunity to showcase their national range of wines.

For example, Qantas say they invest over $25 million dollars in the Australian wine industry annually through their Qantas wine program. The program has a panel of wine judges and winemakers who choose a diverse selection of 250 specially chosen local wines.

Alison Webster, Qantas executive manager customer experience says: "We pride ourselves on developing a selection of wines, from the latest wines made by boutique winemakers to the iconic drops that form the very base of Australia's great winemaking legacy."

And it seems this national focus has paid off for the airline, who earlier this year, won six accolades at the Cellar In The Sky Awards, a 27-year-old internationally-recognized competition that focuses on naming the airlines with the best wines annually.

Joseph says that for countries like Australia, who have strong wine production industries, showcasing a national wine selection is not unusual.

"You could argue that for airlines like Qantas, that's not so difficult. Air France... you could argue that they would find it easy. The Turkish airline for example, there are some very good Turkish wines but you've got a smaller range to choose from," he says.

"There is a question of how open is the tender? The ideal is obviously an airline with deep pockets that is prepared to buy wine from a broad range of countries and is aware of what you need to have to be serving wine in the air."

@highlight

Airlines might be cutting costs but not when it comes to their annual wine budget

@highlight

Wines must be carefully chosen for consumption at altitude as human palette changes

@highlight

Doug Frost, United Airlines master sommelier, tells CNN how he makes his picks