Men who are circumcised are less likely to get sexually transmitted infections such as genital herpes and human papillomavirus (HPV), but not syphilis, according to a study of adult African men published this week in the New England Journal of Medicine.

Circumcision rates have traditionally been higher in the U.S. than in Europe, but they've been on the decline.

The finding adds to the evidence that there are health benefits to circumcision. It was already known that circumcision can reduce the risk of penile cancer, a relatively rare disease. In a previous study, the same research team found that adult circumcision could reduce the risk of HIV infection.

Efforts to increase the practice of male circumcision in areas with high rates of sexually transmitted infections, including Africa, could have a tremendous benefit, say the study's authors. Genital herpes has been associated with an increased risk of HIV, and HPV can cause genital warts as well as a higher risk of anal, cervical (in women), and penile cancers. Health.com: Is your partner cheating? How to protect yourself

In the United States, infant circumcision is declining. About 64 percent of American male infants were circumcised in 1995, down from more than 90 percent in the 1970s. Rates tend to be higher in whites (81percent) than in blacks (65 percent) or Hispanics (54 percent).

Some opponents say the removal of the foreskin is an unnecessary surgical procedure that may reduce sexual sensitivity in adulthood. In Jewish and Muslim cultures, young or infant boys are routinely circumcised for religious reasons. Circumcision rates have traditionally been higher in the U.S. than in Europe, but the American Academy of Pediatrics currently says that the medical benefits are insufficient to recommend circumcision for all baby boys.

In the new study, a research team at the Rakai Health Sciences Program in Uganda -- in collaboration with researchers from the Johns Hopkins University Bloomberg School of Public Health in Baltimore, Maryland, and Makerere University in Uganda -- conducted two clinical trials involving 3,393 uncircumcised men ages 15 to 49. All the men were negative for HIV and genital herpes (also known as herpes simplex virus type 2); a subgroup of men also tested negative for HPV.

Roughly half of the men underwent medically supervised circumcision at the start of the trial, while the other half were circumcised two years later.

Overall, circumcision reduced the men's risk of genital herpes by 28 percent (10.3 percent of uncircumcised men developed genital herpes compared with 7.8 percent of circumcised men) and HPV infection by 35 percent (27.8 percent of uncircumcised men were infected with HPV compared with 18 percent of circumcised men). Circumcision did not, however, protect against syphilis. (About 2 percent of men in both groups contracted syphilis.) Health.com: A sexual risk taker comes to terms with drinking, depression, and STDs

Study coauthor Thomas C. Quinn, M.D., professor of global health at Johns Hopkins University, says that choosing circumcision, whether it's the parents of an infant or an adult male for himself, is and should remain an individual decision.

"But the critics need to really look at the benefits versus the risks," he adds. "By now a large body of evidence has shown that the health benefits clearly outweigh the minor risk associated with the surgery. In our study, we didn't see any adverse effects or mutilation. We're recommending supervised, safe, sterile environments -- not circumcision out in an open field with rusty instruments."

Increasing circumcision rates in Africa may not only help men, but would likely protect women too, possibly lowering the rates of female cervical cancer, the authors say. Ronald H. Gray, M.D., professor of public health at Johns Hopkins University and study coauthor, says that the researchers plan to look at whether male circumcision reduces the transmission of HPV to female sexual partners. Health.com: 10 questions to ask a new partner before having sex

Even in the United States, this study has relevance, says Anthony Fauci, M.D., director of the National Institute of Allergy and Infectious Diseases (which funded one of the trials).

"In this country, circumcision for infant boys remains a personal decision for the parents," he says. "This makes us rethink whether doctors should be more aggressive in recommending that it at least be considered. If parents say no just because generations before them have said no, they should learn more about the significant health benefits before making that choice."

Roughly three-quarters of U.S. adults have had at least one HPV infection, according to an editorial by Matthew R. Golden, M.D., and Judith N. Wasserheit, M.D., both of the University of Washington. Although vaccines against some of the most dangerous HPV strains have been approved for girls ages 13 to 26, the vaccines are expensive and routine Pap tests are still necessary to pick up cervical cancers. Health.com: How to tell your ex you have an STD

Golden and Wasserheit note that "rates of circumcision are declining and are lowest among black and Hispanic patients, groups in whom rates of HIV, herpes, and cervical cancer are disproportionately high." Medicaid, which insures many low-income patients in these populations, does not pay for routine infant circumcision in 16 states.

The study authors hope that this growing evidence in favor of circumcision will persuade policy-making bodies, both in the United States and in other countries, to officially recommend the procedure -- which could make patient education and insurance coverage more likely.

It's not clear why circumcision may affect infection rates. But the study authors suggest that penile foreskin may provide a moist, favorable environment for herpes and HPV to survive and enter cells on the skin's surface. Once the foreskin is surgically removed, the risk of infection may be reduced. Health.com: Men can lose their sex drives too

They also note, however, that male circumcision is not completely effective in preventing sexually transmitted infections. Safe sex practices, including consistent condom use, are still necessary to provide the best protection.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Study: Circumcision reduces risk of HPV infection and herpes, but not syphilis

@highlight

Circumcision known to reduce risk of HIV infection and penile cancer

@highlight

64 percent of American baby boys circumcised in '95, down from 90 percent in 70s