BEIJING, China (CNN) -- Qin Xiaona used to visit the suburban Xiaotangshan Sanatorium in the summer to escape the scorching temperature in the city. Now she comes here to turn up the heat on a subject close to her heart.

Animal rights advocate Qin Xiaona mixes leftovers to feed stray cats.

"This is our experiment to save the city's stray cats," said the 62-year-old retired TV journalist, as she carried two plastic containers full of leftovers out of her villa surrounded by lush greenery.

Calling out a dozen snoozing cats by the bushes, Qin watched them rush over and devour the rice mixed with pork and fish. Qin, who heads the Capital Animal Welfare Association, estimates there are some 200,000 stray cats in Beijing, after her group spent more than two years studying the population.

She detailed the precarious state of the felines in an 80,000-word report and decided to start her rescue mission with the 72 cats roaming the sanatorium's sprawling ground.

"The health bureau runs this place and agreed to let us take care of the cats," Qin said, lifting up a female kitten to check the healing of the surgery wound on its stomach. "We have already neutered and vaccinated a third of them."

"We convinced the health officials that stray cats could be a more effective and environmentally friendly way of rodent control than placing 15 tons of rat poisons across the city every year," she explained.

This is the kind of win-win solution that Qin hopes to replicate throughout the capital, where stray animals are frequently culled by the government on fears of spreading diseases or attacking humans.

For Qin and other members of her NGO, saving stray cats is just one uphill battle in their war against animal cruelty in a culture that often treats man's four-legged friends with little favor.

For over 15 years and with meager funding, they have been setting up shelters to house abandoned pets, persuading restaurants to take dog meat off the menus and, most importantly, lobbying legislators to pass an animal welfare law -- a goal that nevertheless remains distant.

"Many in the government and society still consider us peripheral and alternative -- and don't recognize and approve our work," Qin said.

When Beijing won the bid to host the 2008 Summer Olympics seven years ago, she and fellow activists perceived a perfect catalyst in expanding animal rights.

To their dismay, the authorities have since stepped up their campaigns against animals -- pets and strays alike -- aimed at "cleaning up" the city for the Games.

In 2006 Beijing implemented a controversial "one family, one dog" rule for urban households and required such pet dogs no taller than 35 centimeters (14 inches).

"It is such a ridiculous law," Qin raised her voice, still livid. "Anyone with a little understanding of animals would know that the temperament of dogs has nothing to do with their size, but depends on their breed and training."

Although official policies are difficult to modify, Qin feels her efforts have slowly changed the minds of many ordinary citizens.

"People's attitude toward animals reflects their attitude toward fellow human beings," she offered.

"We should promote love, not hatred, from an early age on."

Qin has seen more young people grow receptive to the concept of animal welfare and now also counts some unlikely volunteers -- including a former policewoman -- among her 600-strong group.

With the Olympics around the corner, however, Qin has become jittery amid reports of an intensifying government crackdown on animals.

"I feel my heart is in my throat," she admitted. "Many officials get money and quotas for culling -- they simply find it so much easier than caring for animals."

As she finished feeding the cats at the sanatorium, Qin received a phone call from an animal lover living in a residential compound near the Olympic district.

"They are crying for help for the 30 stray cats there," she said.

"They have neutered and vaccinated 90 percent of those cats, but officials still sealed the cats in the basement with cement because of health and safety concerns during the Games."

Frantically dialing, Qin tried to reach the right person before time ran out for the felines.

"Innocent animals shouldn't have to pay the ultimate price for the Olympics," she said.

Steven Jiang is a Beijing-based freelance writer and former CNN producer.

@highlight

Clamp down on stray cats and animals in China's capital leading up to Olympics

@highlight

Qin Xiaona runs organization to help protect Beijing's estimated 200,000 stray cats

@highlight

Animal welfare still generally seen as 'alternative' idea, but 600 support Qin's group