(CNN) -- Senate Republicans have said no to any piece of legislation related to immigration that extends beyond border enforcement.

Most recently, they killed the DREAM Act (it stands for Development, Relief and Education for Alien Minors) with a filibuster and balked at the late-hour introduction of a comprehensive immigration bill by Sen. Robert Menendez, D-New Jersey.

The conventional wisdom has been the GOP's position was a good short-term strategy that would mobilize the Tea Party movement in a climate of left-of-center malaise and reinforce Republicans' seemingly inexorable November landslide. There is good reason to believe, however, that obstructing Congress on immigration will hurt the party in this election and in the long-term.

With the rise of Latino voters in the United States, obstructing immigration reform could cost the GOP votes on Tuesday and any chance of winning back the White House in 2012 and beyond.

The DREAM Act is as American as apple pie. Behind it is the uncontroversial idea that we do not hold children accountable for their parents' actions.

Its basic premise is to offer a path to citizenship to children whose parents brought them to this country with or without their consent. In our broken system, once they grow up, these children face deportation to countries they have never known.

Under DREAM, they would earn their citizenship by going to college or serving in the military, the latter option being the reason that Senate Majority Leader Harry Reid appended DREAM to a defense bill.

DREAM's message is practical and straightforward: Encourage children of immigrants who have grown up in America to continue studying (good for the economy) or join the military (good for national defense).

But the GOP said no, as it said on energy spending, financial regulation and health care.

On its face, this has just been the most recent episode in the GOP's broader strategy -- block Democratic efforts and then denounce the Democrats as incapable ideologues.

The difference on immigration is that Republicans said no while many simultaneously began supporting nativist state legislation, first in Arizona and then in more than 20 other states.

The combination of saying no on DREAM while saying yes to laws that raise the ugly specter of racial profiling has caught Latino voters' attention. Recent polls show that Latino concern about immigration is up.

Moreover, since the DREAM Act was introduced in mid-September, LatinoDecisions polls have found that Latino voters have become more likely to cast ballots on Tuesday.

Although Latinos remain displeased that Democrats have not passed immigration legislation, the same polls revealed increased Latino awareness of Republicans' obstructionism and Democrats' efforts. Moreover, a Pew Hispanic Center poll found that registered Latino voters are three times as likely to vote for Democratic candidates for the U.S. House (65 percent Democratic to 22 percent Republican).

These factors will likely have short- and long-term consequences.

In the short term, the GOP's intransigence on DREAM and active promotion of Arizona's law and copycat laws have made the case to Latinos more forcefully than Democrats ever could about the need to vote on Tuesday.

Latinos are the single-largest ethnic minority in the United States, and increased turnout in support of Democrats could reduce Republican gains in the House and Senate this week.

Long-term, there's recognition in some corners of the GOP that being the party of "no" and "get out" is a losing proposition. In the 1960s, the party lost African-American voters by opposing civil rights legislation, and they have never been able to bring them back. Today, they risk losing Latinos in the same way.

Latino voters are like other voters. They generally care more about the economy more than anything else. In fact, Republican have an ideological advantage with many Protestant Latinos because of the party's close ties to Christian conservatives. President George W. Bush won a majority among Latino Protestants in 2004.

But the party has squandered this advantage by turning immigration into a top issue in Latinos' consciousness. A recent LatinoMetrics poll shows that immigration is now of at least equal concern to Latino voters as the economy, and concern over discrimination and racism has surged.

Republicans should be concerned not only about Latino voting patterns in this election, but also about how their current position affects their chances of competing in future presidential elections.

If Latinos come out as strongly for the Democrats in November as they did in 2008, cooler heads in the GOP may prevail and press for compromise in the lame-duck session and the next Congress.

Presidential aspirants, too, may push for an immigration solution in 2011 so that the issue fades away before the next primary season pushes candidates back toward the right.

Finally, business leaders could play a key role in pushing the Republicans to their senses. Right-wing groups such as the Chamber of Commerce are already on the right side of this issue. Even Rupert Murdoch, whose Fox News continues to spew bile on immigration issues, has come out publicly for immigration reform.

But the ability of these figures to wrest back control of the Republican position in 2011 all hinges on  Tuesday's vote. If the House returns to Republican control, it's hard to imagine Rep. John Boehner -- who would become House Majority leader -- helping the GOP retreat from the precipice on immigration. A Boehner-led House could block any forward progress until at least 2013.

For Democrats, the longer-term silver lining of continued GOP obstruction would be the further alienation of Latinos from the Republicans.

The short-term tragedy, though, would be at least two more years during which our immigration system would remain broken and 11 million immigrants would remain undocumented in this country, living on the margins of our society without the rights that their neighbors enjoy.

The opinions expressed in this commentary are solely those of Daniel Altschuler.

@highlight

Daniel Altschuler: GOP has opposed any immigration legislation beyond border control

@highlight

He says party helped kill DREAM Act as part of strategy to thwart Democratic agenda

@highlight

Latinos see GOP's position, he says, and it could hurt the party in midterms and beyond

@highlight

Altschuler: If Latinos vote for Dems in midterms, GOP may decide to deal on immigration