London (CNN) -- Pakistani schoolgirl activist Malala Yousafzai added her voice Tuesday to calls for an end to female genital mutilation, a procedure affecting millions of women and girls worldwide.

A global "Girl Summit" is aimed at eradicating the practice, as well as child, early and forced marriage, within a generation. It's being held in London, hosted by the UK government along with U.N. children's agency UNICEF.

UNICEF estimates that at least 125 million women and girls around the world have been subjected to FGM, the "partial or total removal of the external female genitalia or other injury to the female genital organs for non-medical reasons."

As many as 30 million girls under the age of 15 may still be at risk, UNICEF says, although the practice appears to be declining.

FGM is concentrated in 29 countries, mostly in Africa, according to the agency.

Generally done without anesthetic, it "can have lifelong health consequences including chronic infection, severe pain during urination, menstruation, sexual intercourse, and childbirth, and psychological trauma," campaign group Equality Now states on its website. "No one knows how many girls die from FGM."

According to UNICEF, "social acceptance" is the most frequently cited reason for supporting the continuation of the practice.

The summit -- the first of its kind and attended by representatives of governments, grass-roots organizations, campaigners and survivors from around the world -- aims to change people's ways of thinking.

Malala said via Twitter: "We should not be followers of traditions that go against human rights ... we are human beings and we make traditions."

Alimatu Dimonekene, who underwent the procedure at the age of 16 in Sierra Leone and now campaigns against FGM, told the summit that while she was cut, her daughters never would be.

In a video produced ahead of the conference with the National Society for the Prevention of Cruelty to Children, a UK children's charity, she told of the day her life was changed forever.

"I was 16. It was a nice warm day, normal day. There was no idea it was going to happen," she said.

A room was already prepared for what is known in Sierra Leone as "the cutting," she said. A friend of her mother's sat on her chest to try to keep her quiet, Dimonekene said, as she struggled against others who were pulling off her clothes and underwear.

"She came in with a knife and little blades in her hands," Dimonekene said of the woman who carried out the procedure, who had been hired by her grandmother. "And a cloth was put in my mouth so I couldn't scream."

She and a friend who was also cut were left alone in the room. "For the next four days we were just crying, no one cleaned us up, we were still bleeding." The pain was just getting worse but she was unable to tell anyone, Dimonekene said.

"Physically, emotionally, it affected me terribly."

Prime Minister David Cameron announced new UK government measures Tuesday to tackle the problem, a day after a major study revealed that an estimated 137,000 women are affected or at risk of FGM in England and Wales.

The UK measures include legislation that will mean parents can be prosecuted if they fail to prevent their daughters being cut, as well as extra guidance for police and funding for support for survivors.

"I'll make reporting FGM mandatory for doctors, teachers and social workers. Let's end this abhorrent practice once and for all," Cameron said via Twitter.

The new study, by City University London and campaign group Equality Now, is based on an examination of 2011 United Kingdom census data, in an effort to determine how many women and girls have moved to the country from places where the practice of mutilation is common.

The last major report on the problem in England and Wales, in 2007, estimated that there were 66,000 women affected in the country and 24,000 at risk. The practice is illegal in the UK, but many girls are taken back to their parents' countries of origin for the procedure to be carried out.

Experts tie the practice to specific ethnic groups rather than a particular religion or country and say there's a variety of justifications, including diminishing or controlling female sexual desire and ensuring a girl's "marriageability."

CNN's Richard Allen Greene contributed to this report.

@highlight

A global "Girl Summit" held in London aims to end FGM and child marriage

@highlight

Campaigners want to eradicate female genital mutilation within a generation

@highlight

UNICEF estimates that 125 million women and girls worldwide have suffered FGM

@highlight

"We should not be followers of traditions that go against human rights," says Malala Yousafzai