(Health.com) -- Study after study has linked long work hours, demanding bosses, and other on-the-job stressors to health problems ranging from insomnia to heart attacks. But the jobs themselves may not be entirely to blame.

According to a new study of Swedish twins, the relationship between job stress and health problems is influenced in part by differences in personality and temperament, such as how optimistic, confident or self-critical a person is. And these traits are in turn closely related to genetic makeup.

The researchers analyzed data from about 300 pairs of fraternal and (genetically) identical twins, many of whom did not grow up together. The various combinations of shared genes and upbringings allowed the researchers to parse the connections between genes and environment, job satisfaction and stress, and physical health.

Health.com: Job killing you? 8 types of work-related stress

After crunching the numbers, they made two initial conclusions: personality type is associated with job stress and health, and a large portion of the differences in personality type -- nearly 45% -- can be attributed to genes.

Taking the analysis one step further, the researchers estimate that genetic effects are responsible for 32% of the person-to-person variance in job stress, 35% of the variance in job satisfaction and 47% of the variance in health problems.

The upshot? The path between job stress and poor health runs at least partly through our genes and personality.

"We're not saying job stress makes no difference, or there aren't things that cause stress," says lead author Timothy Judge, a professor of management at the University of Notre Dame in South Bend, Indiana. "But we can't have a concept ... that life would be better if we just changed jobs."

Health.com: 10 careers with high rates of depression

The findings, which were published in the journal Organizational Behavior and Human Decision Processes, seem to suggest a new twist on the old nature-versus-nurture question: What's more important for stress, the day-to-day work environment (the "nurture" side, in this case) or the inborn personality of the employee?

The question may not be so clear-cut, says Carol A. Prescott, a professor of psychology at the University of Southern California in Los Angeles.

In twin studies, Prescott says, it can be difficult to separate the shared environment -- whether that's a childhood home or the workplace -- from non-shared environmental factors, such as "random events," luck, and personal choices.

"Non-shared environment is by far the largest component for most behavioral outcomes," Prescott says.

Judge and his colleagues did try to distinguish between shared and non-shared factors. In addition to noting whether the twins grew up together, they also controlled for education and job characteristics (such as a hazardous workplace). Still, they acknowledge that "idiosyncratic" differences in non-shared environment are hard to pin down.

Health.com: How your job can hurt your heart

Although much gray area remains, the new study raises the possibility that previous research on the link between job stress and health woes may be providing an incomplete picture.

Epidemiological studies, which look for broad trends in large populations of people, often don't account for genes or temperament -- factors that can affect a person's experience of job stress, as well as how they describe it in questionnaires, Judge says.

"What if the very people who report they're really stressed are the very people who also report -- or actually have -- health problems?" Judge says. "We showed that a big part of the relationship between the two is genetic."

Health.com: Stressed? 7 steps to instant calm

Simon Rego, an assistant professor of psychiatry and behavioral sciences at the Albert Einstein College of Medicine in New York, says it's important to remember that genes, though influential, don't control us.

Someone who's genetically more vulnerable to workplace stress won't necessarily get stressed out. In fact, Rego says, stress often arises when our temperament and our environment clash. "We look at the interaction between predisposition and some sort of stressor to really activate someone's vulnerability," he says.

If you are predisposed to stress -- due to your genes, life experiences, or some combination of the two -- the good news is there are steps you can take to fight back.

Talk therapy, for instance, can help people recognize the situations that cause them stress and learn coping strategies, Rego says.

The vicious physiology of stress

Copyright Health Magazine 2011

@highlight

The study looked at 300 pairs of Swedish twins

@highlight

Genes can influence the relationship between job stress and health problems

@highlight

It's important to remember genes don't actually control us