(CNN) -- Few issues divide people more sharply than abortion. So it is great news when recently lawmakers across the political aisle in Britain voted 181 to 1 to ban sex-selective abortion. The overwhelming support for banning abortion of a fetus based on its gender is progressive, moral and just.

But what about gendercide -- the practice of killing baby girls, whether aborted or neglected after birth? Surely, there is no room for disagreement on the need to end gendercide.

For every woman who freely chooses to abort a girl, there are countless others who are being forced to do so because of strong cultural preference for son.

The sex-selective abortion of baby girls is not a pro-choice or a pro-life issue. It is a human rights issue that must be approached as an area of common ground. It is a woman's right to give birth to her daughter.

For most of us, hearing "it's a girl" during a pregnancy ultrasound is cause for celebration. But in many countries, this phrase can be a death sentence. In fact, the words, "it's a girl" are the deadliest words on earth when heard during pregnancy. According to a U.N. estimate, up to 200 million women are missing in the world today due to gendercide.

In China, the birth ratio of girls to boys is the most skewed in the world -- approximately 100 girls born for every 118 boys. When couples are restricted to one child, women often become the focus of intense pressure by their husband and in-laws to give birth to a boy.

A woman need not be dragged out of her home and strapped down to a table to be a victim of forced abortion. Crushing social, economic, political and personal pressures in cultures with a strong son preference trample women who are pregnant with a girl.

All too often, women in these cultures do not "choose" their daughters for abortion. They are forced. The "Terracotta Daughters" exhibit recently on view in New York City gave dramatic visual form to the girls that have been lost to the world through sex-selective abortion -- the haunting stares of an army of the dead.

Because of gendercide, there are an estimated 37 million more men than women in China. As a result, the presence of "excess males" is one of the driving forces behind human trafficking and sexual slavery, not only in China but in surrounding nations as well.

Alarmingly, China also has the highest female suicide rate of any country in the world. According to the U.S. State Department China Human Rights Report, the number of female suicides has risen sharply in recent years, from 500 women per day to a staggering 590. I believe that this grim statistic may be in some ways related to pressure on women to selectively abort or abandon their daughters.

In India, the sex ratio at birth is 112 boys born for every 100 girls born. Indian girls, moreover, die of disease and neglect at a much higher rate than boys.

Impoverished women in India are often manipulated or pressured into sterilization, which is one way of population control. There are even mass "sterilization camps" where women sometimes die of complications. Just this week, in Chhattisgarh, one of India's poorest areas, 11 out of 83 women who were sterilized died.

This is the true "war on women" on a global scale.

That one-third of the world's women -- those living in China and India -- are deprived of their right to bear girls is the biggest women's rights abuse on earth. These women deserve a passionate response from groups that stand for women's rights. Yet the response of the U.S. women's rights community has ranged from tepid to confused.

My organization, Women's Rights Without Frontiers, has launched the "Save a Girl" campaign in rural China, and we are stopping gendercide, one baby girl at a time.

We have fieldworkers in China who reach out to women who have learned that they are pregnant with or have just given birth to a girl, and are being pressured to abort or abandon her. A fieldworker will visit that woman and say, "Don't abort or abandon your baby just because she's a girl. She's a precious daughter. We will give you a monthly stipend for a year to help you support her."

The practical support we offer empowers these women to keep their daughters. Our effort has helped more than 120 families keep their daughters. We plan to launch a "Save a Girl" campaign in India in 2015 as well.

Every struggling mother in China and India deserves help to keep her daughter. Together, we can end gendercide one girl at a time and sweep sex-selective abortion into the dung-heap of history, where it belongs.

@highlight

The British Parliament recently voted 181 to 1 to ban sex-selective abortion

@highlight

Reggie Littlejohn: While abortion is divisive issue, we should all agree to end gendercide

@highlight

She says in countries such as China and India, women are often forced to abort baby girls

@highlight

Littlejohn: Gendercide is human rights abuse with bad and tragic consequences