Four years ago, the discovery of 11 decomposed bodies inside an East Cleveland home seemed like the kind of devastating, once-in-generations event that would spur change for the better.

Then, this spring, came the shocking allegations of three women who told police they'd been held captive for years, sometimes raped and beaten, by a man named Ariel Castro, in a house just a few miles away.

Lightning had struck twice. But, surely, it couldn't happen again.

Yet it did. Last weekend, authorities found the bodies of three women, wrapped in plastic in a style reminiscent of the victims of serial killer Anthony Sowell, the man sentenced to death in the 2009 case.

It does raise questions: What's up with Cleveland? Why so many high-profile crimes in such a short span? Why such violence against the metro area's women?

Cleveland neighborhood struggles with horrors

It's the kind of question academics could spend an entire career researching and still not reach a satisfying answer.

After all, the murder rate in Cleveland's metropolitan area isn't out of line with that of other Rust Belt communities. And while more rapes are reported per capita than in many other cities, the director of a Cleveland rape center says there's nothing particularly unusual about sexual violence there, compared with other cities.

Cleveland's police department declined a CNN request to talk about the recent crimes.

But to those who study the city, some patterns do emerge: crushing poverty, dehumanizing unemployment and thousands of tumbledown vacant homes -- ideal places to rape and kill in the shadows.

"I hate to say this, but in a sense, to a large degree, we have an underclass in the city of Cleveland of those that truly are disconnected from the social fabric, from the mainstream economy and society," said Ronnie Dunn, an urban studies professor at Cleveland State University. "They're left without anything to grasp onto."

Cleveland and poverty are no strangers. Once a hub of the nation's industrial might -- shipping out seemingly endless streams of iron, steel, machinery and automobiles from its perch on Lake Erie  -- the city that once housed nearly a million people now has barely a third of that population.

In East Cleveland, where authorities found the three bodies over the weekend, more than half of families with children under the age of 5 live in poverty, according to the U.S. Census Bureau. The median household income is half that of the nation as a whole.  And East Cleveland Mayor Gary Norton says 2,500 vacant and abandoned homes crowd his city's three square miles.

Across Cuyahoga County, home to the entire Cleveland metro area, about 76,000 residences are vacant, according to Census figures.

It's a perfect environment for crime and social indifference to thrive, said Dunn.

But that doesn't explain what makes Cleveland different -- plenty of cities across the nation suffer from urban rot.

Maybe it's a history of extreme racial disparity in Cuyahoga County's justice system, crime author James Renner says.

He says such disparities drive a wedge between police and residents of impoverished areas, making them reluctant to go to authorities to report crime for fear they might be hassled by police themselves. That, he says, allowed criminals time and space to do their work and "created the perfect killing fields for these men."

Sowell, for instance, killed for at least two years before he was caught.

Castro snatched the first of his victims a decade before he was finally arrested.

And authorities have not said how long they believe East Cleveland's Michael Madison, charged in the three most recent deaths, may have been killing.

The bodies of his victims were badly decomposed, authorities said this week. One of them was found in an abandoned house.

Again, similar things could be said of many big cities, where pockets of social rot provide an ideal habitat for criminals to set up shop.

"Violence knows no boundaries," Norton, the East Cleveland mayor, told CNN's Martin Savidge. "Violence occurs in California. It occurs in Iowa. It occurs in Texas. It occurs in Ohio."

Indeed, Cleveland's raw violent crime statistics aren't particularly out of line with those of other big Rust Belt cities.

The city had 84 murders in 2012 and a violent crime rate of 1,386 for every 100,000 residents, according to Bureau of Justice Statistics figures. That's lower than Baltimore's crime rate and a pale shadow of Detroit's, where 386 people were murdered in 2012 amid a crime rate one and a half times higher than Cleveland's.

But the city's rape statistics do seem to paint a somewhat different picture. In 2012, police took reports on 92 rapes for every 100,000 residents -- more than double the rate in Baltimore or Detroit. Only a few cities had a higher rate of reported rapes.

That might suggest a particular problem with sexual violence against women in the Cleveland area, Dunn said.

"There are some things in the culture in this area where it appears that the lives of women in particular have been devalued," he said.

He said some men seem emasculated by their economic plight, and violence sometimes results.

"They manifest their lack of control in a violent manner against women," Dunn said. "It might not always result in murder, but it often does in physical abuse."

Sondra Miller, who deals with rape victims as interim director of Cleveland's Rape Crisis Center, doesn't think violence against women is any more a problem in Cleveland than in any other community.  She believes that the data show that after years of high-profile cases in Cleveland, more people are willing to report rape and sexual assault.

Could it be just something in the city's DNA? Outrageous crimes are not a new phenomenon: In the 1930s, dismembered bodies kept turning up in the city's Kingsbury Run area, a string of killings that to this day remains unsolved. And, as crime author Renner points out, the city was once famous for its burning river, once dubbed the "Mistake on the Lake" and branded with an outsized inferiority complex after decades of being the butt of national jokes.

"You live here, you grow up here, and there is some kind of weird vibe in the air here that anything's possible," he said.

Whatever's going on, Miller says, residents can't help but wonder, "Why here? Why us?" as Cleveland's gritty side goes on display once again in the national media.

"I do think we're all asking how this happens in a city I love and care deeply about," Miller said. "We definitely have more questions than we have answers at this point."

@highlight

Cleveland is the site of three national headline-grabbing crimes in four years

@highlight

Poverty, vacant homes create perfect environment for crime, experts say

@highlight

But others question whether there's anything unique about Cleveland

@highlight

"Violence knows no boundaries," East Cleveland Mayor Gary Norton says