Washington (CNN) -- Newt Gingrich left the Republican presidential campaign with a mixed legacy and a campaign deep in debt.

The former speaker was left for political dead last year after his top campaign advisers quit over a disagreement on the direction of the campaign and its financial structure. But he came roaring back in late 2011 -- due in part to a Republican electorate that was not sold on Mitt Romney's candidacy. It is the past few months, though, for which he may be most remembered -- for staying in the race for too long, rather than for the big ideas he espoused on the campaign trail.

"He has not made a good case for his name after this primary is over," said Ari Fleischer, a CNN contributor who served as President George W. Bush's spokesman. "And that's a shame, because Newt's done a lot for the Republican Party, but graciousness is part of politics. You just have to know when your time has come to walk off the stage."

For most, that time would have been after his Southern strategy failed, when he failed to win the Alabama and Mississippi primaries after coming out on top of the South Carolina and Georgia primaries.

On Wednesday, Gingrich suspended his campaign and pledged to be an "active citizen" and to continue to work on behalf of "American exceptionalism," energy independence and health care reform.

In throwing his support to Romney, Gingrich seemed to put aside differences he and other conservatives have with the presumptive nominee and look instead to the general election.

"You know, this is not a choice between Mitt Romney and Ronald Reagan, this is a choice between Mitt Romney and the most radical leftist president in American history," Gingrich said.

After limping along for weeks, Gingrich's campaign ended last week after a disappointing last stand in Delaware, one of five states that went for Romney that day. Campaign sources said a day later that Gingrich would end his campaign this week.

Ron Brownstein, editorial director of National Journal and a CNN contributor, said the campaign's impact on Gingrich's legacy will be mixed.

"On the one hand, his ascent was a reminder that he remains one of the most skilled provocateurs in American politics. The fact that he was able to emerge as a serious contender, more than a decade after he last was a major player in Republican politics, was a testament to his skill at framing issues and shaping debate," Brownstein said. "On the other hand, the campaign was also a reminder of Gingrich's weakness, including a self-confidence that tips over into hubris and a lack of discipline. And while Gingrich reaffirmed his identity as a politician who believes in big ideas, that image is more lasting than any of the specific ideas he proposed."

Little of Gingrich's agenda will be part of the Republican campaign going forward, Brownstein said.

"He wanted colonizing the moon to be a symbol of thinking big and outside the box; instead it became a symbol of grandiosity and impractical thinking. After this campaign, as before it, Gingrich will always symbolize some of both."

Campaign on the rocks early

Gingrich formally announced his bid for the nomination last May, only to see it almost crash the next month when a half-dozen staffers, including the senior leadership, left the campaign. Among the gripes from the departed staffers was that it was difficult to schedule campaign events or spend the time needed to raise money to fuel the campaign. In addition, there were complaints that Gingrich's wife, Callista, had veto power over all scheduling requests.

While his staffers felt Gingrich should be hitting the trail, he and Callista embarked on a two-week luxury cruise in the Mediterranean that for some in the campaign was the last straw.

Two of Gingrich's top staffers with ties to Texas Gov. Rick Perry bolted for the Perry campaign in June, and Gingrich's campaign was presumed dead just as it was getting started.

His campaign languished over the summer and into the fall as conservatives test-drove a series of anyone-but-Romney candidates: first Michele Bachmann, then Rick Perry, then Herman Cain.

As his rivals rose and fell, Gingrich turned in strong performances in GOP debates -- which earned him a second look from those who were longing for an alternative to Romney, whose conservative convictions they questioned.

By December, polls had made Gingrich the front-runner with a double-digit lead over Romney.

But Romney, his supporters and Gingrich opponents went on the attack -- calling his consulting firm's work for the conservative-despised federal mortgage giant Freddie Mac "lobbying" and re-airing dirty laundry from his previous four decades in government.

After lackluster showings in Iowa and New Hampshire, Gingrich made a stand in friendlier South Carolina, with the help of a super PAC funded by casino magnate Shel Adelson which went on the attack against Romney. Gingrich scored a double-digit win.

That was arguably Gingrich's high-water mark.

Florida results stop momentum

Romney's better-funded campaign, aided by friendly super PACs, crushed Gingrich in Florida and stopped his momentum.

Gingrich focused his campaign on the South and Super Tuesday. He won Georgia, which he represented in Congress for 20 years, but he couldn't pick up Tennessee. He went on to lose Alabama, Mississippi and Louisiana, which all went to Rick Santorum.

As Gingrich and Santorum continued to split the conservative vote, calls got louder for the former speaker to drop out and make it a two-man race between Santorum and Romney. Hearing the calls, Gingrich instead suggested that Santorum drop out and questioned the former Pennsylvania senator's qualifications. And then as Santorum surged, Gingrich suggested that he and Santorum form an alliance to "tag-team" Romney and derail his run to the nomination.

Despite all this, Gingrich did accomplish something few have, Brownstein said.

"With this campaign, Gingrich established himself as someone who has been a serious force in Republican politics in five different decades, a pretty remarkable accomplishment."

Gingrich's five decades in government began when the then-college professor was elected to Congress in the late 1970s.

He rode the Republican Contract with America into the speaker's chair in the mid 1990s -- a pledge to the American people to institute sweeping changes if the GOP took over the majority in Congress. When Republicans took over the House in 1994 -- the first time in four decades -- Gingrich was chosen as the new speaker.

Gingrich challenged President Bill Clinton's White House as congressional Republicans pushed government cuts to help balance the budget. Both sides dug in and there were two government shutdowns -- but the shutdowns backfired on Gingrich, and Republicans came out the political losers.

Gingrich led efforts to impeach Clinton over an investigation of his infidelities with White House intern Monica Lewinsky, but Clinton was acquitted. It was later revealed the Gingrich was having an affair with a congressional staffer as he was leading the charge against Clinton.

Dogged by ethics questions

He was also dogged by ethics issues brought by Democrats. He voluntarily turned in a $4.5 million book advance after critics questioned its appropriateness. And in 1997, Gingrich agreed to pay $300,000 to the House to reimburse the cost of an investigation into whether he used tax-exempt funds to promote Republican causes. He was not found guilty of those charges, but was reprimanded by the House for giving what was considered misleading information.

Republicans kept control of the House for a third consecutive term in the 1998 elections, but won fewer seats than expected.

Gingrich took the fall. He resigned as speaker and left Congress the next year.

Over the next decade, Gingrich mounted a comeback, expounding on the lecture circuit and through think tanks on how to reform government and society -- ranging from creating a new Social Security system based on what a person contributes, to completely revamping the country's energy policy, to replacing the Environmental Protection Agency with a new Environmental Solutions Agency. He was also a prolific fundraiser for conservative candidates and causes.

His visibility was elevated when he joined Fox News as a contributor, which gave him a national platform to comment on the events of the day and promote a number of books he has written on subjects ranging from the American political scene to Ronald Reagan.

His Fox contract was suspended when he announced his bid for the White House.

Gingrich leaves the trail with his campaign $4.3 million in debt, according to Federal Election Commission filings.

A Republican strategist said that Gingrich's run reflected how badly the party wanted a big thinker in the White House.

"Republicans wanted an ideas guy like Newt Gingrich to be president so badly that at times we even turned to Newt Gingrich, a fatally flawed candidate," said Alex Castellanos, a CNN contributor who advised Romney's campaign in 2008.

Castellanos sees Gingrich's legacy as like Moses': "He helped lead his party to the promised land, but he didn't get there himself."

CNN's Kevin Bohn, Mark Preston and Shannon Travis contributed to this report.

@highlight

Former House speaker announces he's suspending campaign

@highlight

Gingrich leaves campaign trail $4.3 million in debt

@highlight

Analysts say 2012 campaign will have mixed effects on his political legacy

@highlight

Gingrich's campaign peaked with early win in South Carolina