(CNN) -- As you celebrate the holiday season, make time to see Alexander Payne's brilliant new film, "Nebraska." The movie is a riveting story, filmed in black and white, about an elderly man named Woody Grant (played by Bruce Dern) who takes a road trip with his youngest son, David (played by Will Forte).

The two of them drive from Billings, Montana, to Lincoln, Nebraska. Woody, an alcoholic who has lived a hard life, is convinced that he has won a million dollars based on a letter from a company that sells magazine subscriptions.

David tries to explain to his gruff father that the letter is simply a ploy to convince him to purchase subscriptions. The father is determined, and desperate, to claim the prize. With a kind heart, David ends up taking his dad on the trip to play out his dream.

Throughout the film, viewers see a landscape that is visually beautiful and economically devastating. The two travel through towns that are aging and fading, where almost every character is struggling to make ends meet.

Indeed, the fact that Woody is depending on this kind of letter to find fortune is in itself a devastating statement about what has become of the American dream.

David, a struggling salesman in the audio and electronics business, at one point asks what his father would actually do with a million dollars. It turns out that all Woody really wants is a new truck and an air compressor. That's the limit of his aspirations. He can't even dream of anything more or of a better way to obtain it.

The movie is a powerful statement about the economic challenges that face so many Americans who live in, or on the verge of, poverty. One of the greatest tragedies of the current political era is that neither party has been doing much to make things better.

Like Woody, many Americans cling on for their economic lives, daring to dream based on the flimsiest of opportunities. While the American dream once revolved around making your way up through a union job, selling products to consumers or starting a small business, today for many Americans that dream has come down to hoping to win sweepstakes, contests that are doomed to disappoint almost everyone.

In this context, it's remarkable that in recent years, many Republicans have actually threatened to make things more difficult in these communities. Besides the fact that the national GOP has not supported any kind of substantive policies to invest in certain regions to kick start economic growth, congressional Republicans have launched an all-out assault on the social safety net.

The House GOP, for example, has pushed for a reduction in food stamps, one of the most important benefits upon which millions of Americans have depended since the 1960s.

Rep. Paul Ryan of Wisconsin has called for a conservative War on Poverty that relies on private markets, voluntarism and vouchers to help the poor while he simultaneously promotes stringent budget cuts in nondefense spending that would weaken government support systems such as food stamps or the Earned Income Tax Credit.

Republicans have pushed for major reductions in programs such as Social Security and Medicare. Many Republican governors are continuing to reject the expanded Medicaid funding in the Affordable Care Act, which would be hugely beneficial to the poor and working poor.

There are many more Democrats who are clearly interested in using government to tackle some of the conditions with which the characters in "Nebraska" have to cope, though the actual programs they seek to put into place remain unclear (outside of the ACA, which is hugely significant).

President Barack Obama delivered a speech last week on economic inequality, calling on politicians to do more to address the issue, which he characterized as the "defining challenge of our time."

The president called on Congress to pass legislation strengthening unions, raising the minimum wage, reducing the gender pay gap and making college more affordable. But until now, there has been little movement during by the Obama White House to deal with these kinds of structural economic problems. Obama has also faced fierce opposition whenever he raises these issues.

Many Democrats assume that tackling poverty is politically impossible today, so they invest more energy in programs that will win them votes in prosperous suburban communities.

The nation can't afford to continue along this path.

Fifty years ago next year, President Lyndon Johnson and the 88th Congress launched a War on Poverty that committed government funding and created an agency to help impoverished Americans become self-sufficient and restore their communities. For over a decade, the program had many beneficial effects and played a role in diminishing the number of people living under the worst economic conditions.

A recent paper from the Center on Budget and Policy Priorities showed how government supports created since the New Deal lift millions of Americans out of poverty. In 2011, the paper found, the Earned Income Tax Credit and the Child Tax Credit rescued 9.4 million people from the grasp of poverty.

To be sure, the War on Poverty suffered from many shortcomings. The funding for the programs was always meager compared with the inflated promises that came from elected officials.

Some of the programs created huge friction among Democrats as local politicians didn't like what community activists did with federal money that was out of their control. Conservatives have also railed against the unintended consequences of the programs, claiming they made recipients dependent on government.

Regardless of the criticism, this was a period when the federal government tried to do something. Importantly, it was not just liberals who were behind these programs, but also conservatives such as Southern Democrat Phil Landrum of Georgia, who sponsored the Economic Opportunity Act of 1964 in the House.

The time has come to focus our attention on the issue of systematic poverty once again, to make sure that we move the nation on a path toward a better Christmas in Nebraska.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: A new film presents stark portrait of struggling Americans

@highlight

"Nebraska" vividly shows deterioration in middle-class America

@highlight

Zelizer says American politicians of both parties failing their down-and-out constituents

@highlight

Republicans seeking to unravel safety net, while Obama White House has done little, he says