Dublin, Republic of Ireland (CNN) -- Europe and the International Monetary Fund are in the process of finalizing a rescue package worth up to 100 billion euros to bail out Ireland's banking sector. What are the implications of the bailout for Irish people and the rest of the world?

When will we know the full details of the rescue package?

Over the next few weeks, the exact size of the bailout will be revealed and include details of when it will take effect, and what changes to Ireland's austerity measures the IMF will insist on in exchange for the facility.

On Wednesday, Irish Prime Minister Brian Cowen announced a tough four-year austerity plan, which included a huge cut in welfare spending, a rise in the Value Added Tax (VAT) rate, and thousands of redundancies in the country's public sector. However Dublin stopped short of changing Ireland's low corporate tax rate.

Why does Ireland need the money?

Ireland needs funds to shore up balance sheets after its government pumped billions of euros into Irish banks to keep them afloat, effectively nationalizing most of them. The European Central Bank is lending money to Irish banks because other banks won't. And lately people and companies have been pulling funds out of the banks. This couldn't have continued.

What would the dangers have been if the crisis continued?

A run on Irish banks -- mass withdrawals by customers worried their bank will go bust -- would have been bad for the eurozone, as it could have forced the EU and IMF to scramble to provide emergency funds within days, rather than in the more orderly, considered way now being organized.

Also if yields (interest rates) on Irish government bonds kept rising, the same would probably happen to bonds issued by countries such as Spain and Portugal -- this weakens the finances of banks in those countries (because their large holdings of Spanish and Portuguese bonds are growing less valuable), which will make them inclined to lend less -- which is damaging for the economy.

What does the bailout mean for Irish citizens?

Analysts say a bailout is not likely to affect Irish citizens directly but will have beneficial effects nonetheless. "All it's going to do is keep the banks going," said Peter Morici of the University of Maryland. "It's not going to change the objective conditions for the average Irish people." But Allan Timmermann, who holds an endowed chair of finance at the University of California San Diego, says a bailout will make life easier for ordinary folks because the aid might lessen the severity of service cuts the government will need to make. "If you imagine that there's no bailout, the measures that Ireland would have to take in terms of cutbacks would have to be much more drastic."

What will the bailout mean for people across Europe?

It means their tax dollars going to pay for yet another bank bailout plan, after the European Union bailed out Greece to the tune of 110 billion euros (currently $150 billion) in May.

But it also means the markets might calm down, taking pressure off Spain and Portugal, which are also facing budget problems. Bringing the yield on Portuguese and Spanish government bonds back to normal levels would mean they pay less on interest and more, hopefully, toward reducing their own deficits.

Would it mean anything for Americans?

The stock market might regain what it has lost in the past two weeks over "fears of European recovery." It could also mean the dollar starts to fall against the euro, which might boost American exports to Europe, since American good would be cheaper for euro-spenders to buy.

Who would pay for an Irish bailout?

After Greece took European and International Monetary Fund loans, European Union countries pledged nearly $1 trillion for any country that can't pay its bills by raising funds through normal debt markets. Ireland does not have that problem, but it's clear the EU will allow Ireland to pump loans into its banks (given the government controls them now anyway).

EU countries and their taxpayers pay according to their size: Germany the most and Malta the least. The United Kingdom and Sweden, neither of which use the euro currency, have also said they will lend about 8 billion euros and 1 billion euros respectively, to Ireland.

What strings will be attached to the rescue package?

The extra banking injection will take Ireland's fiscal deficit from the planned 11.75 percent of gross domestic product in 2010 to as high as 32 percent. That's 10 times higher than the three percent allowed under the Maastricht Treaty agreed by the EU when it laid out the foundations of its single currency in 1992.

The big question was whether the EU and the IMF would demand that Ireland's low level of corporation tax of 12.5 percent -- one of the lowest in the EU -- which helps keep the country competitive, be raised. Ireland has said it alone decides taxes, and decided against any change in its four-year austerity plan.

The IMF and financial markets will be analyzing the details of the plan to reassure themselves that Finance Minister Brian Lenihan can deliver on his pledge to shrink the fiscal deficit back down to three percent of GDP in 2014.

So how did Ireland get into this mess?

Ireland recorded stunning economic growth during what is known as the "Celtic Tiger" era from around 1993 to 2007 when the global financial crisis hit. Irish banks, like others around the world, loaned money to people who in some cases couldn't pay it back. Cheap loans created extra demand for housing and as prices surged the construction industry raced to build more. House prices multiplied during the period, making many homeowners impressive profits and generating fat tax receipts for the government. However, when the housing bubble burst, consumer spending slowed sharply. Unemployment tripled from around four percent in 2005 to 11.8 percent in 2009. The most recent figure, for September, puts it even higher at 13.7 percent.

What has been the reaction of Irish people towards the bailout?

One of Monday's papers carries the word "humiliation" as part of its headline, and many people are unhappy that the IMF has come to town. The government is unpopular and it is hard to see how the bailout will help. But what people don't want to see is the IMF dictating terms of the budget over the next couple of years. The government is trying to reassure voters that will not be the case, but it remains to be seen.

CNN's Jim Boulden contributed to this report.

@highlight

Europe and IMF discussing 100 billion euro bailout for Ireland's banking sector

@highlight

Irish PM announced swingeing four-year austerity plan

@highlight

No change to Ireland's low corporation tax of 12.5 percent

@highlight

Media express anger of Irish people over mess it is in; government is unpopular