Kettleman City, California (CNN)  -- Spring in California's San Joaquin Valley is seemingly idyllic, with rolling hills and miles of fruit orchards. But what's happening in the small town of Kettleman City has people scared.

In the past three years, 10 babies in Kettleman City, California, have been born with birth defects, including cleft palates and heart problems. Four cases were reported in 2008 and there was another possible case that same year.   According to the California Department of Public Health and California Birth Defects Monitoring Program, those four cases in Kettleman City are higher than expected. Nationally, the Birth Defects Monitoring Program lists one out of every 33 babies as born with a birth defect.

Three infants have died, including Maria Saucedo's daughter, Ashley.

"It's such a small town and such a large problem. We want to give our children life, not death," said Saucedo. "When Ashley was born, the doctors told me that there was something wrong with her. They told me that Ashley wouldn't live more than one or two months."

Despite a weak immune system, Ashley managed to live for almost 10 months. She died of a blood infection on January 24, 2009. Through tears, Saucedo said, "I apologized for not taking her earlier to the hospital, but the doctors told me that it wasn't my fault, that with babies like this, this is what happens."

But Saucedo wants to know why it happened to her and the other mothers living here.

Kettleman City is one of the poorest towns in the state. Maricela Mares Alatorre, who works as a teacher, grew up there.

"It's a really small town," said Alatorre. "Most people have been here for generations. I like to call it the Mayberry feeing with a Latino twist."

But unlike Mayberry, the 1,500 people of this farming community have no grocery store, no high school and few sidewalks. The town, which is surrounded by farms, is polluted. It is plagued with poor air quality, unsafe drinking water and exposure to pesticides. Kettleman City's water does not meet EPA standards, because of  high levels of naturally occurring arsenic. . The state and EPA have found poor air quality throughout the San Joaquin Valley. Kettleman City is surrounded by agriculture and is exposed to heavy use of pesticides. Because of its location right off Highway 41, there also is a lot of emissions pollution.

The major concern for many people in Kettleman City, however, lies just four miles outside town. It is the largest toxic waste site west of the Mississippi. The site is operated by the waste disposal firm Waste Management, which said that last year 400,000 tons of hazardous waste -- including lead and cancer-linked PCBs found in plastics -- was dumped there. Every day, hundreds of trucks pour in and out.

Some residents believe the birth defects could be linked to the waste site.

Waste Management has said its Kettleman Hills facility operates safely and fully protects human health and the environment. The site has been inspected by four separate local, state and federal entities since 2007. All concluded the facility operates safely and does not affect local residents. Waste Management has agreed to cooperate with investigations into the community's concerns.  Tension between Waste Management and the community goes back decades. Residents led by the Rev. Jesse Jackson waged a battle against Waste Management in 1991 to stop a toxic waste incinerator from being built. They won.

Now the residents of Kettleman City are fighting again, this time over a proposed waste site expansion, for which their local officials voted.

For Alatorre, environmental activism is in her genes.

"I'm a second-generation activist," she said. Alatorre has been fighting against the waste site expansion and fighting for a state health investigation into the birth defects for nearly two years. She and others are upset that the county voted to expand the waste site before a full investigation was completed.

"We don't want an expansion because we feel like there are a lot of health problems in town and we're not necessarily attributing it to the dump, but we feel like with all of the other environmental factors we face, why add more to it?"

In December, the Kings County board asked the state for a health investigation into the birth defects, but one week later they voted in favor of granting a permit to allow the waste site to expand.

Ingrid Brostrom, an attorney with the Center on Race, Poverty and the Environment, said, "If there is any potential that these birth defects are caused by environmental contaminants, then we shouldn't be introducing any new contaminants. There should not be an expansion of the existing hazardous waste dump. It is essential the county knows what is causing these birth defects before the hazardous waste site can be expanded."

Activists and residents have filed a lawsuit against Kings County in an effort to stop the waste site expansion.

In a press release, Gov. Arnold Schwarzenegger's office said he has "directed his State Department of Public Health and Environmental Protection Agency to expand their investigation into what could be causing an abnormal percentage of birth defects in the small farming town."

For Saucedo and the other mothers of Kettleman City, an investigation can't come soon enough.

"I want a response and I want it quickly. Nobody's given us any answers and children continue to be born sick," said Saucedo.

@highlight

In 3 years, 10 babies in Kettleman City, California, have been born with birth defects

@highlight

Residents blame a variety of pollution, including a toxic waste dump

@highlight

Government reports say the dump is not a hazard

@highlight

The latest on plans to expand the waste site on tonight's "Campbell Brown" 8 p.m. ET