LONDON, England (CNN) -- It was Anabella De León's frail 86-year-old mother who answered the door when the men came knocking. "They told her, 'say to Anabella that we are going to kill her very soon,'" De León told CNN. The visit left her mother crying, anxious and shocked.

Congresswoman Anabella de Leon with her husband in London for a performance of "Seven" by Vital Voices.

That was four months ago. No attempt on her life has been made, De León said, but she still looks over her shoulder, takes alternative routes in her car, constantly checking that she's not being followed.

Anabella De León is not well known outside Guatemala. Within the Central American country though, she has made headlines as an outspoken critic of corruption. She's serving her fourth term in Congress as a member of the Patriotic Party, which last weekend elected her to one of its top posts of Third National Secretary.

The death threats are not new. Since 2002, she's been protected by at least one security guard on request from the Inter-American Commission on Human Rights. Her 26-year-old son is also shadowed by a security guard; a precautionary move in response to earlier threats connected to De León's anti-corruption efforts.

"The fight against corruption doesn't give you friends," she said.  "[It] gives you enemies, important and dangerous enemies," she told CNN during a recent trip to London for a performance of the play "Seven," which profiles De León and six other international female leaders. Read more about "Seven."

After 22 years of speaking out against corruption, first as a lawyer and then as a congresswoman, De León says she remains fearful given the legacy of violence and instability in Guatemala.

De León noted that the country had recently been shaken by one killing in particular. On May 10, a high-profile lawyer was shot dead while cycling in Guatemala City. Rodrigo Rosenberg's killing might not have made headlines had he not recorded a video message just four days earlier.

"If you are watching this message," Rosenberg said on the video, "it is because I was assassinated by President Álvaro Colom, with help from Gustavo Alejos," his private secretary.

In the video, the lawyer predicted he would be targeted for speaking out about the killings of his client, a prominent businessman and his daughter. Rosenberg claimed they were killed because they had refused to participate in acts of corruption.

President Colom has vehemently denied the claims. "We categorically reject the accusations that pretend to tie the president, first lady and private secretary as those responsible for this assassination," Colom said in a national address in May. Colom's Foreign Minister blamed Rosenberg's death on members of organized crime who he says are seeking to destabilize the country.

The case sparked street protests both for and against the president.

The government has promised a full and fair investigation into the killing and has received the support of the Organization of American States (OAS).

The inquiry is being led by the International Commission against Impunity in Guatemala (CICIG), a United Nations-backed body established in 2007 to battle corruption in the country. The Federal Bureau of Investigation (FBI) is assisting.

De León sees the killing and the political scandal as a reminder of the enormity of the problems plaguing Guatemala.

The country has been struggling to recover from a bloody 36-year civil war which ended in 1996. According to the United Nations, Guatemala has one of the highest murder rates in the world, with many killed by street gangs or in robberies. Almost 2,000 violent deaths were recorded in the first four months of this year and the Office of Human Rights warns 2009 is on track to become the most violent year in the country's recent history. Offenders know there's little chance of being caught. The U.N. says only two percent of crimes are ever solved.

Meanwhile, the gap between rich and poor is more like a chasm and social services are suffering as a result of one of the lowest rates of tax collection in the world.

President Álvaro Colom and his party, the National Union of Hope, came to power last year with a promise to crack down on corruption, crime, poverty and impunity. Kevin Casas-Zamora, senior fellow in Foreign Policy and the Latin American Initiative at the Brookings Institution told CNN similar promises have been made by previous governments, but they have tried and failed to bring change.

"Business interests are very cohesive and very powerful in Guatemala, then you have organized crime which is a new and powerful actor," said Casas-Zamora, who recently served as Vice President of Costa Rica.

"Those actors have no intention whatsoever of letting the State become effective in fighting against corruption and organized crime. It's been proven time after time that [the government] has been blocked," Casas-Zamora said.

De León says regardless of the political outcome of the murder allegations, the scandal may have prompted a subtle and potentially powerful change among Guatemala's population. She believes recent street protests demanding justice for Rodrigo Rosenberg's death are a sign that people are ready for change.

"People in Guatemala are tired, tired of injustice, tired of corruption, tired of abuses, of violations," she said. "Guatemala needs to change. But for change, you need not one voice, not two voices, not 20 voices. Fifty-thousand people in the last demonstration are proof that everybody's tired."

@highlight

Congresswoman Anabella De León tells CNN of her fight against corruption

@highlight

De Leon: "People in Guatemala are tired, tired of injustice... abuses"

@highlight

Guatemala gripped by political crisis after murder of a high-profile lawyer

@highlight

President Álvaro Colom denies allegations of involvement in the murder