More than 1,200 people have died as the deadliest ever outbreak of Ebola takes hold in West Africa, but despite information campaigns, fear is spreading even more quickly than the virus itself.

This week some Ebola patients in Liberia ran away when the healthcare facility they were being treated at was attacked by rioters frightened of the disease.

As medical staff and authorities battle to contain Ebola, are rumors and superstition making the situation more difficult?

Are myths making the Ebola outbreak worse?

"Absolutely," says CNN's Nima Elbagir, adding that the Liberia clinic attack is just one sign of spiraling fear about the disease, which means that those who become sick are terrified of seeking help.

The World Health Organization says the "scale, duration, and lethality of the Ebola outbreak have generated a high level of public anxiety" over the virus.

"People worry that they will be ostracized by their community if they admit that they are ill or that their loved ones appear to have died of Ebola, so they delay reporting the symptoms, and we've heard anecdotes about secret burials," Elbagir explains.

A lack of understanding about what causes Ebola and how it is passed on means the region is fertile ground for speculation and mistaken beliefs.

And according to the WHO, the already difficult conditions are also being made tougher by public misunderstanding caused by "rumors on social media claiming that certain products or practices can prevent or cure Ebola virus disease."

What sort of myths and rumors are involved?

The WHO reports that at least two people died in Nigeria as a result of drinking salt water, after stories circulated that doing so would protect against Ebola.

Other supposed "cures" for the disease include raw onions, coffee, condensed milk and holy water.

While there are high hopes for experimental medicines and vaccines, the WHO points out there is, as yet, no known cure. "Decades of scientific research have failed to find a curative or preventive agent of proven safety and effectiveness in humans," it says.

The organization has warned against paying heed to any old wives' tales about potential treatments:

"A lot of rumours on social media claiming certain products, practices can prevent or cure #Ebola. They are false, their use can be dangerous," it tweeted Tuesday.

Earlier this year, at the start of the outbreak, a team from Medecins Sans Frontieres (MSF), also known as Doctors Without Borders, had to stop working in one isolation ward in Guinea because local residents mistakenly believed they had brought the virus with them.

It's a common misconception which makes the work of medical staff harder than it already is, MSF's Dr. Marc Forget told CNN: "[When we decontaminate houses] they think we are spreading the disease, so some villages just shut down their access, they put trees on the roads."

He says groups from MSF, the Red Cross and the Ministry of Health have also been pelted with rocks as they try to reach Ebola-hit areas.

Elbagir says the region's recent history of bloody civil war also feeds the rumor-mill, with some claiming that the fact the army has been deployed to stop people dumping bodies in the streets is a sign the government is deliberately infecting people in order to have an excuse to enforce martial law.

Why are they proving so hard to dispel?

According to Nima Elbagir widespread suspicion of authority, coupled with a lack of basic infrastructure mean that educating people about how to avoid infection is extremely difficult.

"These are very remote places in countries still bearing the scars of war [in Liberia and Sierra Leone] - people are already traumatized and there is a lot of distrust to be overcome: when the government says something, people don't necessarily believe it," she says.

"There aren't enough doctors and healthcare workers - people just aren't used to seeing them in their communities, and so they aren't the figures of authority that they are elsewhere."

Elbagir said the practise of quarantining whole areas "almost like the plague villages of the Middle Ages," had also led to anger and mistrust as entire communities were cut off from vital supplies. "People say 'We're going to die of hunger before we die of Ebola!'" she said.

The World Food Programme says it is working to "provide food assistance to around one million people living in restricted access areas in the three affected countries" in an attempt to "stabilize affected communities by limiting unnecessary movement and enabling them to cope with lost livelihoods."

"Emergency food aid is essential to enable people to follow strict quarantine rules, and to help people affected by the shock to recover socially and economically," Elisabeth Faure, WFP Guinea's country director said in a statement on the WFP's website. "We are doing everything we can to continue delivering food to people in need in time."

What can be done to counter the problem?

Those working to counteract the spread of Ebola say better health education is needed, to raise awareness of the virus, explain how it is spread and what can be done about it.

To do that, they desperately need more people on the ground in the remote regions of West Africa which have been hardest hit by the disease.

Forget says the only way to be sure the information is getting through is to pass it on personally.

"We need to go to the thousands of small villages and repeat the message on and on, because there are no radios, no TV there," he explains. "It has to be one by one contact that needs to be done through the chiefs, the local authorities, the youth. It is time-consuming and very difficult."

"We have about 250 community health workers going village by village to give the right message to the population," says Anja Wolz, MSF's emergency coordinator in Kailakun, Sierra Leone.

"Because still we have unsafe burials, done without disinfection, still we have patients who are hiding themselves, still we have patients, or contacts of patients who are running away because they are afraid."

How do people react to Ebola survivors?

Elbagir says those "lucky" enough to survive the disease frequently find that the stigma attached to Ebola means they are ostracized once they recover.

"They find it very difficult to come back to their communities and be accepted, because people just don't believe that they have been cured," she explains.

"There's a lot of superstition, a belief that Ebola is almost a 'curse' and that makes it much more difficult to deal with."

READ MORE: Get the facts on experimental Ebola drugsREAD MORE: Inside the Ebola outbreak with the CDCREAD MORE: Nine things to know about the Ebola virus

@highlight

Despite information campaigns, fear is spreading even more quickly than the Ebola virus itself

@highlight

People worry that they will be ostracized if they admit they are ill, says CNN's Nima Elbagir

@highlight

Those working to counteract the spread of Ebola say better health education is needed

@highlight

The World Food Programme says it is working to provide food to one million people