Hong Kong (CNN) -- The volume of Hong Kong property sales fell 60% compared with last year in a sign that recent government policies are cooling one of the world's most expensive real estate markets.

The Hong Kong Lands Registry recorded about 4,400 sale and purchase agreements in April with a valuation of $4 billion -- a 48% drop compared with the previous year.

"I'm not surprised," says Buggle Lau, chief analyst for strategic development and research at Midland Realty. "This is largely due to the measures implemented by the government. Residential property transactions -- primary and secondary -- dropped significantly. Non-residential transactions also dropped -- industrial spaces, car parks, commercial spaces."

The slowdown in Hong Kong's property sales was expected, echoes Simon Lo, executive director of research and advisory at Colliers International in Hong Kong.

"Most homeowners find they don't have a very strong reason to sell," he says. "They can wait for a couple of years" because of the government's property policies.

On February 22, the city announced a doubling of the existing stamp duty, or DSD, to 8.5% to target investors who want to buy a second property to lease. From April 2010, that rate had been set at 4.25%.

In October 2012, to target short-term investors seeking to flip a house for profit, Hong Kong extended the existing special stamp duty, or SSD, on property resales from two to three years. If the owner sold the property within six months of purchase, a 20% duty would apply -- between one and three years, a 10% levy would apply.

Also in October, Hong Kong enacted a 15% buyer's stamp duty, or BSD, against home purchases by foreigners.

"Altogether, we're talking about an additional 40-plus percent increase in costs," says Lo. "So you can imagine if you're the buyer then you're just going to hold on and wait."

Hong Kong's layers of levies have also stifled interest from mainland Chinese buyers -- with the 15% tax for foreigners widely interpreted as an attempt to stop them.

"Two years ago, 40% to 50% of all home transactions in Hong Kong were by mainlanders," adds Lo. "Now most buyers are local and most mainlanders aren't making any moves."

In Hong Kong's super luxury market, defined around $13 million and above by Colliers, "mainland buyers have all dried up" says Lo. Regular luxury homes, defined at around $2.5 million and above, can often be found in Hong Kong's prime districts of the Mid-Levels and the Peak.

"Two years ago, we would normally have ten to 15 luxury home sales every week. Now it's less than five," Lo says.

Hong Kong property has notoriously been some of the most expensive in the world for years. As recently as spring 2012, Savills found Hong Kong as the most expensive in a company survey, outranking Singapore, London, Tokyo and Paris. Property prices soared in the special administrative region 50% between 2010 and 2012.

Just last year, Hong Kong's priciest apartment -- the Frank Gehry-designed Opus -- sold for $58 million making it one of the most expensive residential properties in the world.

But now, as property transactions fall, property prices will follow, say Lau.

"They are falling already," he says. "The average price correction has been 2-3% from March and April -- and it will carry on in May. But property prices have dropped by as much as 6% between January and March for some properties already."

Lau adds that property prices "are very likely" to continue to fall but by "no more than 10%".

"It's all supply and demand. Demand has dropped significantly even as supply has stayed the same. The only option is to lower the price."

@highlight

Hong Kong property sales fell 60% in April 2013 year-on-year

@highlight

Government policies aimed at short term investors, mainland Chinese taking effect

@highlight

Fall in sales volumes hit both residential and commercial properties

@highlight

Analyst: Average property prices fell 2-3% since March; may fall no more than 10%