Aimee Curry recalls sitting on her couch one day, her back contorted, as spasms -- remnants of a car accident that almost killed her in 1992 -- rippled up and down her back.

A friend who had been visiting that day left, saying she would bring back some medication. "She came back with pot," said Curry, who says at first she was aghast.

"I was like, 'I can't smoke that, my daddy said no,'" said Curry, 39, whose father is an ordained minister. "'I can't do that, it's bad.'"

"But I was in so much pain, and they were promising me, 'Aimee, this will take the pain away.'"

Curry ignored the preaching voice in her head and tried the marijuana. Soon after she mastered the inhale, she says, her back muscles relaxed. Her pain did not melt away -- it still hurt when she finally got up from the couch -- but, Curry said, "I didn't care."

"It states in the Bible not to abuse a drug, it doesn't say you can't use it," said Curry.  "If you ask me, cannabis is a gift from God."

Dr. Sanjay Gupta: 'Doubling down' on medical marijuana

While some in the religious community may take issue with Curry's interpretation of the Bible, the scientific foundation for cannabis as a medical treatment, especially as it relates to treating pain, is solid.

Pain is the most common condition for which medical cannabis is taken, and one of the few for which there is promising clinical data in humans.

According to doctors who prescribe cannabis for pain, the current wave of U.S. legalization is bringing an unintended side effect: a greatly-reduced need, and in some cases complete cessation, of opioid-based prescription medications.

Dr. Mark Rabe, a Northwestern University School of Medicine-trained physician who treats Curry, said he sees it among his own patients.

"Patients often come into my office and drop down a brown bag full of pill bottles on my desk and say, 'I'm off Oxycodone; I'm off muscle relaxants. I'm off Ambien; I'm off Trazodone,' because medical cannabis does the job better," said Rabe, who runs Centric Wellness in San Diego.

"Time after time these patients tell me that medical cannabis works better than the pills, and with fewer side effects."

Side effects of cannabis are well-known to both medical and recreational users -- dry mouth, red eyes and insatiable cravings -- while opioids' side effects can include nausea, constipation and an ironic hyper-sensitivity to pain.

A more stark contrast between the two: Since 1999, according to the Centers for Disease Control and Prevention, the number of accidental overdose deaths associated with opioids (also called opiates) went up about 400%. Cannabis researchers say it is virtually impossible to overdose on cannabis.

"Cannabis has such a good safety profile and is much less addictive than opiates," said Rabe. "In my mind, cannabis is a good potential replacement for opiates."

Dr. Donald Abrams, a leading researcher on pain and cannabis, said that clinical data supports cannabis as a treatment for pain -- especially among cancer and HIV/AIDS patients with neuropathy, a painful condition involving nerve damage.

What's up with legalization of medical marijuana

Anecdotally, he said he has encountered many patients who have used cannabis to either reduce their need for opioids or get rid of them altogether.

Abrams described a recent scenario involving a 58-year-old patient with diabetes suffering with neuropathic pain.

"She had already lost two toes and they told her in the ER not to use cannabis for her pain relief," said Abrams, chief of hematology and oncology at San Francisco General Hospital.  "She said to me, 'When they give me pain meds they make me feel awful, and cannabis works.'"

It may work, but among pain physicians, receptiveness to cannabis as a viable therapy is muted, and complicated.

One such physician said that the debate is not about whether cannabis-based medications -- like Marinol, which is approved for use in patients by the Food and Drug Administration -- help with pain, especially among cancer patients.

They do, he said.

"I think that debate should be put to rest," said Dr. Jay Joshi, CEO and medical director of National Pain Centers, adding that overzealous proponents may be clouding the real issues surrounding cannabis.  "I see the enthusiasm for marijuana kind of like the enthusiasm we had for opiates years ago.

"A few years down the road I think you're going to see problems from this liberalization of marijuana," he added.  "We've seen these pendulums swing before and reality is somewhere in the middle."

Joshi said that, despite how it is framed, cannabis is not always safe.

Some of the hundreds of chemicals inhaled when cannabis is smoked, he said, are lipophilic -- they have an affinity for fat cells -- so that they stick to nerve and brain cells for months or years. That could prove problematic over the long-term, he said.

And, Joshi said, smoked marijuana introduces hundreds of chemicals to the body, some of which could prove harmful to the brain over time.

3-year-old is focus of medical marijuana battle

"I don't think (cannabis) is risk-free and there's no long-term potential side effects," said Joshi, who also is chief medical officer and director of Wellness Center USA.  Those who tout that, he said, "are drinking a little too much of the Kool-Aid. No medication is risk-free."

The issue, say cannabis researchers, is relative risk. To bolster his case for cannabis Rabe cites patient safety data.

According to the FDA, in 2011, 98,518 patients died in association with drugs approved by the agency, while 573,111 had serious outcomes -- hospitalization, disability, or some other life-threatening situation.

"Nearly 100,000 die from FDA-monitored drugs," said Rabe.  "If you look at those kind of numbers and then you hear about the properties of cannabinoids, it makes sense that there is increasing interest in something other than what pharmaceuticals have to offer."

What medicine offers in the distant future may reside somewhere between what doctors like Rabe and Abrams -- and Joshi -- are currently offering their patients.

A small study, authored by Abrams, published in 2011, found that taking cannabis in combination with opioids may enhance pain relief, reduce side effects of opioids and --  possibly most importantly -- reduce the dosage needed for both drugs.

More, and bigger, studies need to echo those results -- and cannabis needs to be rescheduled by the Drug Enforcement Agency -- before mainstream pain physicians get onboard.

Right now, it is a Schedule I drug -- what the DEA classifies as "drugs with no currently accepted medical use and a high potential for abuse."

"If (cannabis) was rescheduled I think there are a lot of physicians, including myself, that would not only reconsider it but would probably prescribe it," said Joshi.  "A lot of doctors are scared to prescribe something when the actual drug itself is Schedule I."

In the meantime, patients like Curry, who have become staunch proponents of medical cannabis, are confounded by the debate.

"I don't get why the government can recommend narcotics, your doctor can prescribe you Percocet or Oxycontin and you can literally die if you take too much," said Curry.  "But if you smoke too much pot you'll just ... fall asleep."

She said that her father's voice alternates between a whisper and roar in her mind as she considers her future use of medicinal cannabis.

Today, she is leaning toward honoring her father. But when the pain comes, "God's gift" may override everything.

@highlight

Aimee Curry found marijuana helped her pain

@highlight

Doctors say medical marijuana may reduce the need for opioids

@highlight

One expert cautions that cannabis is not always safe

@highlight

Rescheduling the drug would likely lead to greater medical acceptance