(CNN) -- At Thursday's Capitol Hill confirmation hearing, Chuck Hagel will finally get to answer his critics.

The decorated Vietnam veteran and two-term Republican senator from Nebraska is President Obama's choice to be the next secretary of defense. But the bipartisan pick hasn't brought the two parties together.

Instead, a cadre of conservative activists have been trying to drum up opposition to Hagel ever since his name was first floated in what has amounted to a pre-emptive attack on not just his policies but, too often, his character. It's time for a reality check.

The anti-Hagel campaign has accused him of being everything from "out of the mainstream" to anti-Israel to anti-Semitic to anti-gay -- serious charges, if true.

Politics: Five things Hagel may be asked

But let's be honest: Hagel's cardinal sin among neo-conservatives was his outspoken opposition to Bush-era foreign policy in Iraq and his decision to break Republican ranks and not support the 2007 Iraq surge.

Good people can disagree on policy and personnel; my wife and I disagree on the Hagel nomination. A confirmation hearing can usefully clear up any sincere questions. But a look at the facts, armed with a sense of perspective, suggests that it might be Hagel's most vociferous critics who are outside the historic mainstream, not Hagel himself.

Hagel's unvarnished independence is well-known in Washington, but his opposition to the quagmire of the Iraq war is not idiosyncratic. It is philosophically consistent with being a small government conservative and a Vietnam veteran, suspicious of calls to war by people who won't have to serve in the combat zone.

He still carries shrapnel in his chest from being wounded in Vietnam. After his war service, he said, "I made myself a promise that if I ever got out of that place and was ever in a position to do something about war -- so horrible, so filled with suffering -- I would do whatever I could to stop it. I have never forgotten that promise."

This doesn't mean Hagel is some kind of pacifist. But as the first enlisted man to serve in combat to be nominated for secretary of defense, he does have a grunt's-eye view of war and a commitment to making it a last resort, consistent with our national interest -- hence his reasonable regrets about the invasion of Iraq and his caution about charging into a war with Iran.

Politics: McCain moves from backer to skeptic on Hagel

"We blundered into Iraq because of flawed intelligence, flawed assumptions, flawed judgments, and ideologically driven motives," he wrote in his 2008 memoir, "America: Our Next Chapter: Tough Questions, Straight Answers."

"We must not repeat these errors with Iran and the best way to avoid them is to maintain an effective dialogue. Preventing an Iranian nuclear weapon is in the interest of both the United States and the world community."

He also repeatedly calls Iran a state sponsor of terrorism. As part of the effort to contain Iran's ambitions, Hagel believes that multilateral sanctions are more effective than unilateral sanctions, a belief largely borne out by experience. This policy disagreement is worthy of debate, but it is far from a disqualification.

In 2012, Hagel co-wrote an opinion piece with a bipartisan group of former congressmen and military leaders on stopping Iran from getting a nuclear bomb. It said, "our position is fully consistent with the policy of presidents for more than a decade of keeping all options on the table, including the use of military force, thereby increasing pressure on Iran while working toward a political solution."

This policy is common sense, consistent with that of both President Bush and Obama, and entirely within the mainstream. And yet, the accusation that Hagel is out of the mainstream on Iran and Israel percolates because it is in the talking points. An early broadside came from The Weekly Standard, which published an anonymous e-mail, allegedly from a Senate aide, reading, "Send us Hagel and we will make sure every American knows he is an anti-Semite."

This is a serious accusation and a transparent attempt to intimidate. Anti-Semitism is a rightfully toxic charge. Israel is America's closest ally in the world, along with the UK. But in a recent interview with his hometown paper in Lincoln, Nebraska, Hagel said that his record demonstrates "unequivocal, total support for Israel."

In his memoir, Hagel devotes an entire chapter to "The Holy Land: Israel and The Arabs," full of calls for negotiated peace with statements like this: "There is one important given that is not negotiable: A comprehensive solution should not include any compromise regarding Israel's Jewish identity, which must be assured. The Israeli people must be free to live in peace and security."

For what it's worth, five former ambassadors to Israel have endorsed Hagel's nomination, and former Israeli Consul Gen. Alon Pinkas has clarified that Hagel is "not anti-Israel."

Politics: Why some conservatives are still going after Hagel

The anti-gay charge has been pushed by the Log Cabin Republicans as well as some liberal groups for Hagel's opposition to Bill Clinton's 1998 nomination of the openly gay James Hormel to serve as ambassador of Luxembourg. At the time, Hagel questioned the wisdom of having an "openly, aggressively gay" ambassador -- a statement that reflects the unevolved times on this issue.

Hagel has since apologized. Christopher Barron of the gay conservative group GOProud questioned the RNC's aggressive promotion of this line of attack, tweeting, "The RNC website uses the Hagel is anti-gay smear, anyone told them to take a look at the GOP platform recently?"

The final reality check relates to the conservative senators who have criticized their former colleague. In 2006, John McCain said he'd be "honored to have Chuck with me in any capacity. He'd make a great secretary of state." But after Hagel was nominated by Obama, McCain questioned Hagel's "overall attitude toward the United States and the world."

Republican leader Mitch McConnell also broadly praised Hagel as recently as 2009, saying, "Chuck has earned the respect of his colleagues and risen to national prominence as a clear voice on foreign policy and national security." This generous perspective is unlikely to be recollected by conservatives during the confirmation hearings.

Since his nomination, Hagel has been diligently working the corridors of Congress, trying to address concerns directly. He's also met with leaders of organizations like the Anti-Defamation League and the American Israel Public Affairs Committee to address the accusations behind closed doors.

Consider the attacks on Hagel against the backdrop of facts, with a sense of perspective. And then look at the staunch defenders of Hagel's nomination: Republican Secretary of Defense Robert Gates, Republican Secretary of State Colin Powell, Reagan's respected Secretary of Defense Frank Carlucci and the first President Bush's national security adviser Brent Scowcroft.

The bottom line: Chuck Hagel is squarely in the Main Street Republican tradition. That he is being relentlessly attacked by some neoconservatives reflects how much their "you're either with us or against us" attitude has strayed out of the historic mainstream.

Listen: Hagel's other war

Policy differences can and should be debated, but stooping to personal smears smacks of desperation. It is doubly ironic because Hagel's appointment by a Democratic president is designed to help re-center American foreign policy, reminding us all of some forgotten Cold War era wisdom articulated by Republican Sen. Arthur Vandenberg during the Truman administration: "Partisan politics ought to end at the water's edge."

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Critics targeted Hagel since he was nominated for secretary of defense

@highlight

Avlon: Hagel wrongly called anti-gay, anti-Israel, but it's really about opposing Iraq war

@highlight

Hagel is a mainstream conservative and Vietnam vet, wary of calls to war, he says

@highlight

Avlon: Unfounded attacks show "you're with us or against us" neoconservative view