You may have noticed an interesting reaction when you tell people you're traveling to Amsterdam.  They sometimes get that curious look, that knowing half-smile on their faces. "Amsterdam," they say with a mischievous grin, "lucky you!"

Are they thinking about Van Gogh and Rembrandt, about the fabulous museums, the flowing canals, the teeming bicycle paths, the gorgeous tulips -- or is it something else?

To many, Amsterdam is synonymous with freedom. With the ability to do what is forbidden in other places.

Throwback lodging: Stay in another era

Undoubtedly, millions travel to the Netherlands to see the just re-opened Rijksmuseum and its famous "Night Watch" painting, along with many other attractions of this truly charming city. But, let's face it, Amsterdam conjures another fascination. Decades before anyone else considered legalizing marijuana, prostitution or gay marriage, the Dutch stood -- as they still do today -- at the forefront of change on many controversial social issues, legalizing or tolerating a range of activities that other countries placed squarely outside what they consider legally and socially acceptable.

That is not to say other countries did not have recreational drugs, homosexuality and prostitution. But the Dutch, with their history of practicality and compromise, decided to deal with these matters in a pragmatic way. In the process, they created a whole new world for tourists craving tolerance and a brush with the forbidden.

Amsterdam remains a magnet for travelers who find the idea of smoking marijuana in public -- perhaps in front of a passing cop to add to the experience -- simply irresistible.

Still, there are great misconceptions about what is and is not legal here. The picture of a hedonistic free-for-all is not altogether accurate.

The Dutch are a people of rules and laws. Although they also have an interesting approach to certain issues, where the law says one thing and the official policy is to look the other way.

8 hotels still fresh at 100

So what, precisely, is legal in the Netherlands?

You may be surprised to learn that recreational drugs are illegal in the Netherlands. Yes, even pot. But an official policy of tolerance emerged and in 1976 the Dutch parliament decriminalized possession of less than 5 grams of cannabis. That gave rise to a type of establishment found only in this country. In hundreds of "coffee shops" across the country -- not to be confused with "cafes" where you, in fact, go for coffee -- you can select from a menu of cannabis products and light up in full view indoors or at a sidewalk table.

It is the crowded, cloudy coffee shops that give Amsterdam its unmistakable summer aroma.

The city is also home to countless seed shops, a hash and marijuana museum, and other businesses aimed at extracting cash from the peculiarly happy drug tourists.

Things got a little complicated in 2008, when the Netherlands, as other countries, imposed restrictions on smoking in public places. A great battle ensued as coffee shop owners complained the ban would put them out of business. Dutch compromising ensued. So, today, you cannot smoke in most public establishments, but you can still smoke marijuana in a coffee shop.

All non-medical drugs, to be clear, are illegal. But there are two categories. Cannabis and some types of "recreational mushrooms" are in a separate class; still illegal, but largely tolerated. The most powerful type of "magic mushrooms," containing psilocybin, were made illegal in 2008, but authorities say they will not prosecute anyone holding very small quantities. Hashish is also in a gray area, up to each municipality to decide.

Not everyone likes this openness. Weed tourism is controversial in some circles and there are worries that lax laws attract more than just the tattoos and scraggly beard crowd, encouraging drug traffickers to enter the market.

Weed aficionados across parts of the world panicked a couple of years ago when a conservative government announced plans to stem drug tourism, partly as a result of friction with neighboring countries. Under the new rules, coffee shops would issue membership cards, Weed Passes, only to local residents. Foreigners would not be able to come to the Netherlands to get high.

But, as coffee shop owners admit, it's not the Dutch who are lighting up. Ninety percent of the customers getting buzzed in Amsterdam are foreigners. Amsterdam authorities complained the plan would take a huge financial toll, as millions of visitors every year inhale the offerings of coffee shop menus.

After a very Dutch debate on the pros and cons of the plan, the government rewrote the law, leaving it up to each city to decide on the rules. Amsterdam scrapped it, while Maastricht, on the border with Germany and Belgium, left the ban in place and imposed fines on coffee shop owners defying the ban on pot sales to foreigners.

So, to recap: No cigarette smoking in public; yes to pot in small quantities, but not in Maastricht, and mushrooms are OK in very small quantities.

Today, pot smokers can be found meandering aimlessly along Amsterdam's famous Red Light district, the warren of alleyways and canals where prostitutes rent small rooms and stand in their windows, bathed in the light of red lamps before potential customers and sightseers. Policemen pedal easily alongside visitors, keeping an eye on the scene.

Prostitution and brothels have been legal in the Netherlands since 2000. Prostitutes are supposed to have work permits and enjoy the protections of the country's labor laws.

Another area of controversy in which the Dutch moved swiftly to the fore of social change is gay marriage. The Netherlands was the first country to fully legalize marriage equality. In 2001, the world's first same-sex ceremony was conducted by then-Amsterdam Mayor Job Cohen. You can't come to the Netherlands with your beloved to tie the knot, however: One of the partners has to be a Dutch resident.

You can, however, share the city with the hundreds of thousands of Amsterdammers who ride their bicycles to and from work every day. The law does not require you to wear a helmet and practically no one does. You are, however, required to have a light and a bell on your bike. If you walk, make sure to stay out of the official bike lanes. If you choose to drive a car, it is illegal to use a mobile phone while you drive, and if you run into a bicycle, Dutch law places the responsibility on the driver of the car. So, if you go to a coffee shop, better not drive a car, or even a bicycle.

Your friends are right. Lucky you if you've come to Amsterdam. It's a very special city. Whether or not you want to enjoy the freedom of Amsterdam, just remember there's much more to the Netherlands than coffee shops and red lights. And the Rijksmuseum is definitely worth a visit.

@highlight

Recreational drugs are illegal in the Netherlands, but there's an official policy of tolerance

@highlight

Possession of small amounts of cannabis is not a crime

@highlight

Prostitution is legal

@highlight

Wearing a bike helmet is not required and there's no cigarette smoking in public places