(CNN) -- It's always been a mystery to me why Republican lawmakers who denounce the evils of government choose to run for office. If your belief is that the private sector holds the answers to all that ails us, it seems like you would want to go out and prove the case. So the May 9 vote by the House GOP to eliminate the American Community Survey, which collects statistics about the nation's population, is confusing.

Doing away with the data collection would seem to commit two cardinal sins against the right's ideology: Make government less efficient and eliminate a critical tool for profit-driven business.

You may not know the American Community Survey as separate from the U.S. census. While the census takes place once every 10 years, the ACS is an ongoing data collection survey administered by the U.S. Census Bureau to provide more in-depth and current statistics about demographic patterns in America.

This information is crucial if you care about smart direction of the $400 billion in annual state and federal grants to schools, hospitals, infrastructure projects and other critical services.

The data derived from the survey provides guidance about how to divvy up best those hard-earned taxpayer dollars so that they are spent with as much care and precision as possible.

Apparently, that dynamic is lost on U.S. Rep. Daniel Webster, a Republican who beat Alan Grayson to win Florida's 8th Congressional District in 2010. He introduced the amendment to repeal the survey as a way to make good on his campaign promise to "stop wasteful spending." With the affirmative House vote, he hopes to save $2.5 billion over the next decade. Here's the rub though. If Webster gets his way, Americans will spend $4 trillion in that same time period with no data to guide the funds -- essentially shooting in the dark with a massive amount of money.

That's the antithesis of efficiency; vastly more than $2.4 billion is likely to be wasted in the process. It seems that along with climate change and evolution, statistical science now appears to be viewed with suspicion by the tea party. I've not heard an alternative: perhaps a dartboard with pictures of all the states on it?

The GOP claims the survey is intrusive. But I have to wonder if the vote to repeal the survey is just a step toward tea party Republicans' Holy Grail of eliminating government spending entirely and with it, the $400 billion in annual disbursements.

If that is the path forward, let's look at where that road functionally leads us: Without the American Community Survey, we won't know where veterans are living, so we can't get them the financial assistance they're owed for their service to our country. Without the federal and state grants, we simply can't take care of them at all once they come home.

Without the survey, we can't know where there are pockets of uninsured people, so health care funds can be directed toward offsetting the costs of emergency room visits.

Without the state and federal grants, doctors will be forced either to let people suffer and die or raise costs on all their patients to make good on their Hippocratic oath.

Without the survey, we won't know where Americans still lack flush toilets and therefore risk contaminating the groundwater we all drink. Without the federal and state grants, we can't mitigate the impact of raw sewage on our water supply and prevent disease from spreading when our water gets tainted.

Webster might say: "Let the private sector take care of it." On that point, we can agree: The private sector can and should play a larger role maintaining the health of our country. The flaw in that plan is that our business sector is very reliant on the American Community Survey in making decisions about how best to serve their customers. That's why trade groups, including the U.S. Chamber of Commerce and the National Association of Homebuilders have voiced their opposition to the Webster amendment.

The data provided from the survey has informed everything from where to locate new stores to what kinds of products are popular with consumers.

These trade groups are hardly a bastion for government expansionists, and their opposition to this bill reveals the critical wedge in the Republican coalition. The business-first wing of the party is all too happy to allow government to foot the bill -- in this case, for solid market research -- when it's convenient for them. The small-government ideologues are more than happy to dismantle government piece by piece even when it harms business and creates bad spending strategies.

When asked about the elimination of the survey, MIT economist Jonathan Gruber said, "If you're opposed to the survey, you're opposed to understanding what's going on in America." For this reason, it will be an uphill climb to get the measure to pass the Senate and get signed by the president. Still, the initiative and the vote are telling.

If knowledge is power and ignorance is bliss, eliminating the American Community Survey will only pay dividends for those who live in powerful bliss. The rest of us would have to suffer through the mess being made of the informed and democratic process.

The opinions expressed in this commentary are solely those of Ilyse Hogue.

@highlight

Ilyse Hogue: It's odd House GOP voted to kill Census Bureau's American Community Survey

@highlight

She says survey makes government more efficient, is a critical tool for businesses

@highlight

Without it, she says, government will lack crucial information on where citizens are, their needs

@highlight

Hogue: If it's a tea party-driven yen to cut waste, it will do the opposite by misdirecting funds