(CNN)For those who hoped that the coming presidential election would usher in the dawn of a new, more inspiring politics, this past week has been deeply discouraging. In two key moments, leaders from both sides of the aisle have acted like the Bourbons of France, who famously remembered nothing and forgot nothing from battles of their past.

The first and substantively more important moment was the sending of that letter by Republican senators to the Iranian regime. The second, and perhaps more important politically telling moment, was Hillary Clinton's handling of her emails.

The two cases are oddly related. In both instances, the principals started with legitimate concerns but have wound up making things worse. In both cases, the principals have also created divisive issues that will deepen polarization through the campaign and probably into the next presidency. Both have diminished the chances for breaking out of today's ugly politics.

Republicans in Congress have reason to press hard with their views as negotiations with Iran enter the home stretch. They, like many others -- including a sizable number of Democrats, the current Israeli government, and friendly Arab nations -- fear the Obama administration will cut a weak, leaky deal that will allow Iran to come perilously close to having nuclear weapons.

Just as importantly, Republicans believe, with cause, that as he negotiates, President Barack Obama has tried to sideline Congress in general and them in particular. Who can blame them for arguing that if the President insists any agreement needs only executive approval -- not approval by Congress -- then the next chief executive should not be legally bound by its provisions?

Their basic concerns were not unreasonable. Thus, if they had sent exactly the same letter to the President, they would have caused a stir but would have been seen as within the norms of politics and statecraft. Instead, they made the mistake -- a wicked one -- of sending it to the terrorist leaders of Iran, leaving a clear impression they were out to sabotage both the deal and the President. We have had renegade members of Congress try to interfere with presidential negotiations in the past -- remember Sen. Jesse Helms? -- but never 47 members of the United States Senate tossing a hand grenade into delicate, life-or-death negotiations conducted by seven major nations and led by the United States.

Ayatollah Khamenei made clear this week that he may use the Republican letter as a pretext for rejecting any deal. Where do we go then? Will talks collapse? Will an Iranian rush toward the bomb set off a nuclear arms race, starting in Saudi Arabia, which is already taking preliminary steps? Will the United States then be compelled to use military force against Iran? Who knows for sure?

What we do know is that Iran is now almost certain to become a central issue in the 2016 presidential campaign and that the Republican nominee will be under relentless pressure from the right to adopt a hard, unyielding line. One can just imagine a number of GOP candidates pledging that if elected, they will abolish Obamacare on Day 1 and an Iranian agreement on Day 2. This is hardly a way to restore steady, bipartisan foreign policies, as we so badly need. And why have Republicans forgotten so soon the damage done from voters thinking the last GOP president was too hard line and reckless?

On the other side of the aisle, Hillary Clinton had absolutely legitimate concerns about the security of emails she might send as secretary of state. As one who spent a year and a half at the Clinton White House and State Department, I could see first hand how they -- more than any president since Nixon -- were hounded by enemies and reporters trying to ferret out secrets to cause trouble or win a prize. It is small wonder that both Clintons still have scar tissue.

Hillary Clinton's mistakes did not start with creating an email protection system. No, they started when she and her team failed to coordinate up front with the State Department system and record all official exchanges within the government system on a prompt, air-tight basis. That did not break laws. But it did run afoul of government procedures and, when revealed, naturally gave rise to suspicions about what she might be hiding.

In her press conference, she did accomplish her obvious mission: she began cutting legs off the story. In essence, she said one half of her emails (the official ones) are now safely with the State Department and, at her request, will gradually be made public. The other half (who knows what's in there?) have been deleted and she is keeping the server. In effect, she says, they are gone ... and gone forever, beyond Congressional subpoena, FOIA requests, and even hackers.

What fresh revelations can the press now pursue? Not many. And how can Republicans browbeat her in hearings without looking like bullies? Hard to do. In short, the story may soon die. You just have to trust me, she says. Clever.

But the very fact that instead of inviting a neutral, trusted party like Lee Hamilton to review all the emails, she chose to cut off the story by destroying the evidence comes with a price: she has freshly renewed public doubts whether she plays straight or by her own rules. Loyal Democrats will continue to invest their faith in her, but for many others, the controversy leaves a lingering sense of unease. And polarization deepens.

She was always going to face a rough campaign, but now she will begin with clouds already gathering. More to the point, they will obscure her very real strengths as a leader. Around the world, many women look upon her with heartfelt admiration from her years of promoting their empowerment. And she has also has a strong case to make that she and her husband know something about job creation: 22.9 million were created in the eight Clinton years, more than in any other presidency since World War II (Reagan was second at 16.1 million; there have been some 6.4 million in the first six Obama years.).

In short, she is worse off than she was before this controversy broke -- and so are American politics.

Bill Clinton likes to say that politics is always about tomorrow -- and he is right. But candidates also need to remember and learn from yesterday. After this last week, they might start by reading a wonderful book by historian Barbara Tuchman published some 30 years ago: "The March of Folly: From Troy to Vietnam." There she argues that leaders often start out trying to do the right thing but take a wrong path, stubbornly stick with it despite all evidence and eventually wreck. Tuchman calls their refusal to learn from experience "wooden-headedness".

We have seen too much wooden-headedness these past days.

@highlight

David Gergen: Iran almost certain to become big issue in 2016 campaign

@highlight

Clinton's mistakes did not start with creating email protection system, he says