(AOL Autos) -- Regardless of whether you're talking politics or automotive technologies, the voting and driving public often gravitates to what's new and fresh.

Compared to otherwise comparable non-hybrid models, hybrids cost anywhere from $1750-$15,000 more.

This herd mentality suggests that there's hope in what's new simply because it's new. Focusing on automotive technology, the green trend AOL Autos identified at the recent 2009 Detroit Auto Show seems to be pushing buyers into two camps: diesel or hybrid.

But we'll let you in on a secret: The traditional four-stroke internal combustion engine isn't dead, nor is it irrelevant to the green movement. Not by a long shot.

So let's assume you're interested in driving green. By this we mean you want a fuel-efficient vehicle that reduces your carbon footprint. Today, the celebrities of the green movement are diesel- and hybrid-powered vehicles.

Here's a quick review of these different technologies. The defining characteristic of the diesel engine is its compression ignition cycle; this means that the engine uses ultra-high compression ratios in the combustion chamber to ignite the fuel-air charge (gasoline-burning internal combustion engines use spark plugs to fire up).

The defining characteristic of a hybrid is that these vehicles use a combination of electric motors and internal combustion engines (working in tandem) to propel the vehicle.

Now that we've quickly defined diesel and hybrid, let's take a look at what you need to consider to make a smart choice between these technologies, or not (don't worry, we'll explain).

Clean diesel technology

With the advent of high-pressure direct fuel injection and special exhaust emissions systems, modern automotive diesel engines bare little resemblance to their stinky, smoke-belching forefathers.

And unlike the truly dreadful diesel engines perpetrated on trusting American drivers by Oldsmobile from 1978-85, today's diesels are reliable.

Ford Motor Company, General Motors, and Chrysler are adding clean diesel engines to their light trucks in 2010, but there are several cars and crossovers available this year that prove that diesel engines are viable for today's American driver. AOL Autos: Most fuel-efficient crossovers

The Volkswagen Jetta TDI was recently awarded "Green Car of The Year." Past award winners have been hybrids, but the Jetta's clean exhaust and exceptional real-world fuel economy (30 mpg city, 41 highway) won over the judges.

While the mileage matters, the Jetta TDI's pleasant driving demeanor is what will win buyers. Powerful torque is a characteristic of diesel engines. Even though the Jetta's turbo diesel displaces only 2.0-liters (about 128 cubic inches), with 236 lb-ft of torque, the Jetta accelerates as if it's powered by a large gasoline V-6 engine.

Thanks to this feeling of power, the $23,000 Jetta TDI shapes up to be an excellent choice for drivers looking for more economy than a gasoline-powered Jetta can deliver (21 mpg city/31 mpg highway).

Torque is the overriding trait that defines the diesel driving experience. Torque is the actual power generated by an engine or motor, and in a vehicle, you feel it most when accelerating from a dead stop. Lots of torque pins you back in your seat. A little torque makes you wish you were driving something faster.

We recently tested a 2010 Audi Q7 3.0-liter with a turbo diesel and enjoyed the crossover's quick throttle response and ever present thrust. Our real-world economy over hundreds of miles was nearly 30 mpg in this luxurious, 5500-pound, seven passenger crossover.

The Q7, just like the smaller Jetta TDI, demonstrated another diesel hallmark: efficiency (mpg) at highway speeds. The same holds true for the Jeep Grand Cherokee diesel and the vehicles it shares its 3.0-liter V-6 with, the Mercedes R-Class and E-Class diesels.

The downside of diesel

Unfortunately, diesel engines are more costly to produce than most gasoline engines, so there is a higher up-front cost when you buy or lease. The added cost varies by make and model, but expect to pay $1000-$5000 more for a comparably equipped diesel versus gasoline powered car or truck.

Another consideration: diesel fuel is more expensive than gasoline. According to Dan Larson, an oil industry consultant with 18 years experience, the new ultra low-sulfur fuel that makes clean diesel technology possible required a huge investment by refiners, and this cost is being passed to consumers.

Worldwide demand for diesel fuel is also up, putting further upward pressure on pricing compared to gasoline (Europe ships diesel to the U.S. at bargain prices).

Taxes add to the price differential between gasoline and diesel, and Larson estimates the difference is another six cents to diesel's cost-per-gallon disadvantage. Unfortunately, diesel fuel's higher cost typically erases most cost saving from its better fuel economy

Say hi to more hybrids

Recently, automakers have rolled out hybrids in great supply. Honda introduced their 2010 Insight hybrid. Toyota also recently launched their new 2010 Prius, as well as a new hybrid Lexus, the 250h. BMW also has new production hybrids, including a new mild-hybrid powertrain for their full-size 7-Series.

Back in November, Ford took the wraps off their 2010 Fusion and Mercury Milan hybrids, while Hyundai showed the hybrid powertrain for their 2012 Sonata. AOL Autos: Twenty cars of the future

Obviously, hybrids are hot. Why? It's their economy.

Because there are several different categories of hybrid powertrains, we'll generalize the group's benefit: hybrids use battery-powered electric motors to reduce the energy required from their vehicle's internal combustion engine. This saves fuel.

Most hybrids can operate on only electric power for short distances at city-driving speeds. This attribute generates high city-mileage ratings. For example, the 2010 Prius is rated at 50 mpg city, 48 mpg highway. Likewise, the 2009 Ford Escape Hybrid SUV racks up 34 mpg city, but only 31 mpg on the highway.

Clearly, hybrid vehicles tend to benefit those who frequent lower-speed urban areas rather than long-distance interstate trips. AOL Autos: Can I save money by going 87?

The lows of hybrids

Unlike diesel-powered vehicles, the highest-mileage hybrids tend to be a bit lackadaisical in regards to acceleration. Some also exhibit odd driving behaviors.

For example, the brakes on some hybrids feel unusual because when the brake pedal is pressed, traditional brakes aren't actually slowing the car, a regenerative motor is (recapturing the vehicle's kinetic energy, turning it into electricity to store in on-board batteries).

Hybrids also use electrically-driven power steering. These steering systems often have a less direct feeling that's closer to a video game than a sports car.

These dynamic differences mean that hybrids can feel odd to drive compared to a more traditional vehicle, plus they highlight the complexity that is systemic with hybrid vehicles. The special sub-systems, components, integration, and programming necessary to make hybrids run are nothing short of rocket science.

Of course, cost comes with this complexity. Compared to otherwise comparable non-hybrid models, hybrids cost anywhere from $1750-$15,000 more. You'll want to consider these dollars before you decide whether driving a hybrid makes any sense. AOL Autos: Cheap hybrids

What engine technology will drive us in 2014?

Diesel engines and hybrid powertrains will continue to offer high-mileage solutions for those willing to pay the required premium. Many manufacturers, such as Volkswagen, Audi, and Mercedes-Benz see potential for diesel-powered vehicles. Audi specifically expects the diesel Q7 to account for about 15 percent of Q7 sales this year.

Other manufacturers, such as Honda and Toyota, are taking a wait-and-see attitude toward diesels. These companies sell diesel-powered cars in Europe, and could bring those engines here easily. Until the cost of diesel fuel drops to be closer to gasoline, company representatives told AOL that they are content to focus on hybrids and maximizing the efficiency of their traditional engines.

What about a normal engine?

This may come as a surprise, but traditional internal combustion engines represent a solid green choice based on their improving fuel economy and comparatively low cost.

"Technologies such as dual variable valve timing, reduced pumping losses, and improved engine control systems will be where mileage improvements in internal combustion engines come from," Toyota's Dan Yerace, a senior powertrain engineer, said. "Also, the trend toward more forward gears in transmissions will contribute to mileage gains."

What this means is that a variety of technical improvements will make gasoline engines more efficient. Additionally, by adding more gears to automatic transmissions (including overdrive ratios), engines can run more slowly at any given speed, thus saving even more fuel. AOL Autos: How you can get 100 MPG

According to Volkswagen's Group Powertrain Engineer Wolfgang Hatz, internal combustion engines will continue to improve. Hatz estimates that the fuel economy of gasoline engines will improve 15-perent in the coming years. This is a figure confirmed by engineers from other manufacturers.

Both Ford Motor Company and General Motors are already introducing gasoline engines with a new type of fuel injection that enhances fuel economy. Their engines utilize direct injection that helps boost mpg up to 20 percent.

The plain truth

Evidence points to a technology battle that's broader than diesel versus hybrid. According to Nicholas Prague, an auto industry insider from JustAnswer.com, diesels and hybrids will certainly become more prevalent, but it won't be the tidal wave some are expecting or hoping for. By 2014, he expects hybrids to account for only one in five cars sold in the U.S.

Figures provided by J.D. Power & Associates show that these powertrains accounted for less than five percent of sales in 2008. Doing the math, this means that 80-percent of cars and light-duty trucks will remain powered by traditional gasoline engines in 2014

At most, diesel and hybrid technologies help focus the driving public's attention on efficiency, and that's a good thing regardless of which engine technology is under the hood of your next vehicle. While the tried-and-true internal combustion engine may have fallen out of favor with politicians and the mainstream media, gasoline-fueled engines remain vital to powering America into the future.

The good thing is that now you have a choice. Right now you can go out and buy a diesel-, hybrid- or traditional internal combustion-powered vehicle.

@highlight

Green trend at 2009 Detroit Auto Show pushing buyers into diesel or hybrid

@highlight

Modern automotive diesel engines bare little resemblance to forefathers

@highlight

Highest-mileage hybrids have a harder time with acceleration

@highlight

Diesel engines are more costly to produce than most gasoline engines