Suntech Power Holdings, which was until recently the world's largest producer of solar panels, has said its main subsidiary in China is bankrupt, in a further stark illustration of the declining fortunes of the global solar industry.

Suntech's Wuxi subsidiary is the first big Chinese solar group to declare insolvency and the world's biggest such bankruptcy, following a string of failed western solar companies including Q-Cells in Germany and Solyndra in the US.

"What the Suntech case shows us is that the Chinese companies are not too big to fail," said Jenny Chase, head of solar analysis at Bloomberg New Energy Finance. "We are entering a period of great difficulty for Chinese solar manufacturers."

China is the world's biggest producer of solar panels, but the sector is suffering from overcapacity after rapid expansion fuelled by cheap loans and preferential government policies. US-listed Suntech was the posterchild of the country's swift entry into, and then dominance of, the market.

It announced on Wednesday that eight Chinese banks had filed a petition for insolvency and restructuring of Wuxi Suntech in a court in Jiangsu province. The bankruptcy is a milestone because, until now, China's larger struggling solar companies have been kept afloat by cheap credit and indirect state support.

Suntech defaulted last week on a $541m convertible bond issued by its Cayman Islands subsidiary, which triggered cross-defaults on other loans outstanding. According to the company's most recent reports, Suntech's net debt stood at $1.6bn at the end of March 2012.

The case is set to be a big test of China's new bankruptcy law, which came into effect in 2007 but has rarely been applied to overseas-listed companies with assets in China. It will be complicated by the fact that neither the US-listed entity, Suntech Power Holdings, nor any subsidiaries other than Wuxi are declaring insolvency.

"It's going to be a test of what, exactly, do the US entities and the Cayman entities really own?" said one Singapore-based analyst who asked not to be named.

Under Chinese law, the courts will have six months to come up with a restructuring plan that is then presented to creditors, with the possibility of an additional three-month extension.

Bankruptcy specialist Han Chuanhua, a partner at the Zhongzi Law Office in Beijing, said: "It is rare for such a big company to get into bankruptcy proceedings, even though many companies cannot pay off their debts." He cited local government bailouts, and creditor reluctance, as two main reasons why insolvent Chinese companies avoid bankruptcy.

The government of Wuxi, the city where Suntech is headquartered, has come to Suntech's aid in the past -- and appears to be taking an even more active role in the company with the appointment earlier this week of a new president, Zhou Weiping, who previously worked for the government-backed Wuxi Guolian Development Co.

Mr Han said the co-ordinated action of the eight banks suggested the local government had given its blessing to the proceedings. "Without government support, even if creditors file a petition, the court wouldn't accept it," he explained.

David King, Suntech's chief executive, said: "While we evaluate restructuring initiatives and strategic alternatives, we are committed to continuing to provide high-quality solar products to our global customer base."

@highlight

Suntech Power Holdings has said its main subsidiary in China is bankrupt

@highlight

Until recently Suntech was the world's largest producer of solar panels

@highlight

Stark illustration of the declining fortunes of the global solar industry