(CNN) -- The goal of "BioShock Infinite," creative director Ken Levine said, was to have "moved the ball down the field" in terms of how video games can be vehicles for telling engrossing, expansive stories.

But the latest entry into the wildly popular franchise does more than just move the ball down the field. It kicks it squarely through the goalposts with a mind-blowing story set in an alternate reality that may be only a short trip from our real-world track.

"BioShock Infinite" takes place in a version of 1912 America in the floating city of Columbia, a technological marvel on which a prophet has chosen to lead his people away from the "Sodom below." Booker DeWitt, a former military man and Pinkerton agent, is charged with going to the city in the sky and rescuing a young girl, Elizabeth, who has the power to manipulate time and space.

Indeed, the game plays with the concept of time from its very beginning. An Edwardian barbershop quartet sings "God Only Knows" by the Beach Boys. A mechanical horse is advertised as "Horse of the Future Today." The city itself feels like a floating World's Fair, with new inventions, a carnival-like atmosphere and everyone speaking about how much better things will be tomorrow -- all based on the prophet's guidance.

The environments are colorful and vibrant, reflective of the game's disparate moods of optimism and turmoil. The city feels like it has gravitas while remaining lofty in the clouds. There is even a beach and "ocean," so I guess we get to see where rain really comes from.

Steampunkish "voxophones" and "kinetoscopes" scattered throughout the city help provide aural and visual backstories for current events. They fill in the history blanks and give the player a better understanding of actions that take place.

Of course, Elizabeth is key to the Prophet's plan to bring judgment on the sinners below, so Booker's time in Columbia is not going to be an easy one. Combat in "Infinite" is based very much on the principles from other "BioShock" games, with some slight tweaks.

Instead of plasmids (the power source in the first two games), so-called vigors are the source of Booker's environmental powers. From throwing fireballs to directing flocks of ravens or firing lightning bolts, the vigors are permanent once acquired and powered by salts found throughout the city. Think of salts as ammunition for your vigor weapons.

'Bioshock' creator talks history, writing and 'nerdity'

There are more traditional weapons as well. Pistols, shotguns, machine guns -- they're all here. Both the guns and the vigors are upgradable through purchased additions at vending machines, so keep an eye out for coins wherever you find them.

The nice addition for combat is making vigors and weapons dual-wieldable. You can mow down an opponent with bullets or rockets while tossing them in the air with a Bucking Bronco vigor. In previous games, this was an either/or venture, so it is nice to be able to mix and match your attacks to whatever you choose.

However, the heart of the game is Elizabeth.

She is your constant companion throughout the game, offering help in combat or pointing out items you might miss as you travel throughout Columbia. Her ability to create windows into other worlds can help bring in supplies or allies during battle as well. She is also a master thief who can pick locks quickly.

Elizabeth is never in danger during combat and never takes damage. In that way, she is not one big escort mission but a true companion during your adventures.

Getting Elizabeth just right was a massive undertaking for Irrational Games and Levine, who said the game's release date was pushed back a year solely to perfect her.

Their success lies in the empathy the player develops toward her as the game progresses. You feel and see her frustrations, her joys and her pain. Her tiny movements, such as bending over to closely examine a new item for the first time (even one that has no bearing on the game), give her a human feeling without treading into Uncanny Valley (where animation comes so close to actual human behavior that it causes discomfort).

Without going into spoiler territory, there were two separate instances where I really thought the development teams nailed it. The first was during a tense situation early in the game where Elizabeth is trying to understand what's going on and why people were fighting over her.

Booker tries to explain that different sides want different things from her. Her response: "Well, I want a puppy, but that doesn't mean I'm going to get one."

It felt like the way a teenager would react to a stressful situation.

The second came during a scene in which Booker is talking with people who suddenly disappear. As a gamer, I shrugged it off and accepted it. However, when I turned around, I caught sight of Elizabeth, who was standing there with the best "WTH?" look I've ever seen in a video game.

Little moments like that combine to reveal a character who isn't just a companion but who helps move the story along in a meaningful way.

At first, you want to help yourself. Later, you want to help Elizabeth. By the end, you want both.

The experiences will linger. And your emotions will be real. In this way, Levine and his team have succeeded in creating not only an excitingly wonderful game but one that will make the player think for days after the game is done.

"BioShock Infinite" earns its title by the end of the game. The possibilities, like time and space, are endless.

The overarching narrative portrays struggles on so many different levels, but it is your story of struggle that is ultimately important and the one you guide to its conclusion.

"BioShock Infinite" is available worldwide on Tuesday for the PlayStation 3, Xbox 360 and Windows PC. It is rated M for mature due to blood and gore, intense violence, language, mild sexual themes and use of alcohol and tobacco. This review was completed using a provided retail copy for the Xbox 360.

@highlight

"BioShock Infinite" is a mind-blowing story

@highlight

Popular series' latest installment is in an alternate 1912 America

@highlight

Fully realized Elizabeth, a companion character, is the soul of the game

@highlight

"BioShock Infinite" was released worldwide on Tuesday