(CNN)  -- The Avenue Gordon Bennett in France's capital is everything you would expect of a leafy lane in a quintessentially Parisian suburb.

The Serres D'Auteuil botanical gardens -- home to a myriad of rare and exotic plants -- sit alongside the center of a Gallic passion that is Roland Garros -- the site of the annual French Open.

But beneath the genteel surroundings a simmering war is brewing, one that pitches fauna lovers against forehand followers and has battle lines drawn between the ornate, glass greenhouses of the gardens and the clay of the courts that welcome stars like Roger Federer and Caroline Wozniacki to the second grand slam of the year.

Welcome to the fight to expand Roland Garros.

In one corner -- the French Tennis Federation (FFT) -- which maintain the tournament has become a victim of its own success and has outgrown its current site following player complaints of cramped conditions.

The FFT, as a solution, propose expanding into the botanical gardens next door, replacing greenhouses with a new arena fit to house some of the world's best tennis matches.

In the other corner, campaigners and local residents who accuse the tennis body of "environmental vandalism" and who bitterly opposed to the move.

Ahead of this year's tournament next month, it looks like the row is destined to be thrashed out in the French courts.

The opposition to the move hardened when the FFT voted in February to keep the French Open at Roland Garros in the 16th arrondissement (district) of Paris rather than move to an alternative site.

They rejected bids from three other venues in the inner and outer suburbs of the French capital, Gonesse, Versailles and Marne-la-Vallee (near Disneyland Paris) to the dismay of the anti-expansion campaigners.

The Serres d'Auteuil is one of only three botanical gardens in Paris and contain a series of unique greenhouses and campaigners say the very rare plant life will be lost forever.

"What the FFT is proposing is the equivalent of Wimbledon deciding to expand the All-England Club and take over Kew Gardens in the process," Agnes Popelin, who heads the campaign, told CNN.

Christiane Morin Muller worked as an English speaking guide in Paris's  Botanical Gardens for 18 years until she retired and said she was "very distressed and very upset" by the latest developments.

"We don't have many botanical gardens in France and just three in Paris and Auteuil is the main one," she added.

Under the plans, Roland Garros will grow from its current 8.5 hectare site to 13.5 hectares, with a new planned show court in the corner of the gardens.

Muller said that the encroachment will destroy the character of the gardens and the expansion would not stop there.

"With over 40,000 people going through this botanical garden every day for a fortnight it will be destroyed and little by little more ground will be given over to tennis," she added.

The 'no' campaigners, who also include local residents worried about the introduction of night matches and floodlights, have gathered an online petition of over 40,000 signatures and have vowed to fight on.

But Gilbert Ysern, the chief executive of the FFT and the man responsible for overseeing the project, told CNN that the protesters fears were groundless.

"I fully respect those who disagree with us but my concern is that most of the opposition is based on a lack of information, false information or false rumors," he told CNN.

"I would not have supported any project in this gorgeous place that would have destroyed ancient greenhouses," he added.

His assurances over the future of the plant life cuts no ice with Popelin, or that of the Mayor of Paris, Bertrand Delanoe, who campaigned to keep the French Open at Roland Garros.

"The mayor is promising their relocation in an other 'wonderful place', located at the floral park in the Bois de Vincennes," she said.

"But there are no existing greenhouses there and none can be built because this is classified as a protected site. There are only pavilions. But the mayor and his staff cannot tell the difference between a pavilion and a greenhouse.

"There is no temperature control, shade or ventilation."

What is not in doubt is that the status quo was not an option with players such as Federer speaking out.

"The players and the fans feel that even if it's quite a nice experience it's quite tough to live in every day. We need more room," he said last year.

Ysern spoke with Federer and other leading players when drawing up his plans and found support from five-time French Open champion and World No 1 Rafael Nadal, who wants the tournament to stay at Roland Garros.

"I believe we are going to meet the expectations of the players and the fans, all of those who have a strong attachment to this place," he said.

But others were not so sure about the viability of the extension, with France's former World No.1 Amelie Mauresmo voicing her doubts.

"I think that in Paris today we don't have the possibility to have the necessary space to develop Roland Garros," Mauresmo told Reuters.

"We are the smallest of the four grand slams and I think it is important to have the chance to grow, and for the public to have more room."

Mauresmo declined to be interviewed by CNN on the topic which has divided opinion in France with many such as Franck Ramella, the chief tennis correspondent of L'Equipe, having conflicting views.

"It looks very strange to put a tennis court on these gardens, it doesn't suit the place.

"But the tournament is for only two weeks and if you want to make room there is no other solution," he added.

Popelin is adamant that power politics has played a big part in the decision.

"The mayor of Paris has already lost the Olympics to London (for 2012) and couldn't be seen as playing a part in Roland Garros losing the French Open.

"I am a big tennis fan and I love watching the French Open but I am passionate in my opposition of these plans."

Lawmakers in the French capital must decide if they want to make changes to the local urban plan to allow the planned expansion but only the Green Party has expressed outright opposition.

Popelin and her followers are not hopeful of the outcome but she says they are prepared to take legal action to protect the botanical gardens and is also speaking with representatives of the three failed bids.

"I have told them not to sell their land for other projects because in perhaps two years I am convinced the French federation will change their mind on this matter," she added.

But again, Ysern has a completely different view and believes that once the political and likely legal process is exhausted that work will start in late 2012 and be finished at an estimated cost nearly $340 million by 2016.

"We are breaking no law here," he insists.

"We are not ashamed of what we are going to do which will be in the best interests of sport and France."

But even with the controversial expansion it will remain the smallest site of the for four slams, with Wimbledon just over half as big again.

"I don't care about being the biggest, we have a gorgeous location in a gorgeous city and as long as we have that why should we go anywhere else?," said Ysern.

"The best way to protect integrity of the tournament is to concentrate on the unique aspects of our tournament and make it even more unique."

@highlight

French tennis federation want to expand French Open venue Roland Garros

@highlight

Plans have met with fierce opposition from environmental campaigners

@highlight

Expansion will take over part of an botanical gardens and adjoining sports centers

@highlight

Move to one of three alternative sites rejected by federation in vote last month