(CNN) -- Forecasting future technology has never been easy. In the 1950s, scientists and technologists envisaged that by now the world would be free from disease, traversed by flying cars, and fueled by minerals from distant planets.

Such visions, of course, have not come to pass. But then again, as recently as 10 years ago, few would have envisaged that 3D-printed food, bionic body parts and invisibility cloaks were just around the corner.

So, in what areas will the next major breakthroughs occur? Keeping in mind that prediction is more of an art than a science, CNN spoke to a host of design and technology experts -- from academics to magazine editors -- in search of what might well just be the shape of things to come.

The Editor

According to Marcus Fairs, editor-in-chief of influential design magazine Dezeen, the most high-impact developments over the next decade will be primarily in the areas of manufacturing and wearable technology.

"New digital design tech, 3D printing, robotics and the emerging field of 3D scanning, plus exponential leaps in manufacturing -- together, they are putting really powerful tools into the hands of individuals," he says.

"In the same way that laptops revolutionized personal computing two decades ago and cheap video editing software did for film, so too there will now be a revolution in manufacturing."

For Fairs, wearable technologies such as Google Glass point to another major evolution in design: the disappearance of objects altogether.

"The broader movement in design no longer asks 'is something a nice object?' but rather 'how can we get rid of this completely?'"

From wearable devices such as those being pioneered by sportswear manufacturer Nike, and Jawbone to digital tattoos and "things that you can swallow that will check you out from inside, (such as) a project that adds an artificial organ to help the body use water more sparingly", Fairs believes the future could well be defined by objects almost disappearing entirely.

The Curator

Deyan Sudjic, the director of the Design Museum in London, controversially selected a simple website as the winning entry in the 2013 design awards. The government site GOV.UK won, he said, because of its dramatic subjugation of form beneath function: "The overall winner this year is very interesting. It is apparently very simple, but it works beautifully. I think there is nothing more irritating than design that doesn't work."

For Sudjic, the future of design is about how well an object fulfills its function, not just its aesthetic qualities. At the same time, Sudjic believes there is a revival of interest in physical objects, noting that 2012 was the first year in two decades that saw a rise in vinyl record sales.

"I see design trying to get to grips with both the longing people have for the physical world and those other more slippery digital developments. People are still interested in tangible experience (...) You see that with the Makerbot, which is currently just making combs and shoehorns, but will soon be creating objects which are significantly more complicated."

The Designer

Ross Lovegrove, an industrial designer whose work covers aviation, transport, timepieces, consumer electronics and everything in between, says that the future of technology requires complete understanding of material structure:

"You have to understand materials at a deep scientific or nano level. Once you get to that level and understand ... you can reconstitute anything."

Lovegrove points to the Nike Flyknits -- an ultralight shoe with a knitted construction -- as an example of how future design will draw heavily on the latest thinking in science, health and manufacturing.

"The way they are industrialized, the way they are woven. They put strength and structure where it is required. There are no aglets so they only need to be constructed with one material. They are so lightweight you hardly feel them. They promote ergonomic health in the way they adjust posture."

The Academic

Professor Miles Pennington, Head of the Innovation Design Engineering programme at the Royal College of Art in London, thinks we are on the brink of huge technological change.

"Some people believe that there are no big leaps to come, but then people said in the 18th century that man could never travel more than 40 miles per-hour."

Pennington predicts that the next decades will bear witness to significant change.

"We are within 20 years of developing an artificial brain capable of matching our own ... Material developments in the nanotech field are starting to bear fruit ... (and so is) the field of synthetic biology, which can produce artificial muscle."

Is it possible to distinguish genuine technological contenders, from those that will only ever be the realm of science fiction? Perhaps not. But Pennington suggests he will be able to "answer that question in 50 years' time, when I have got my feet up, sipping a cup of my GM tea grown in the Antarctic, in front of a fire powered by synthetic bacteria and hovering on a comfort-pad-chair using reverse-magnetic forces whilst reading a copy of Isaac Asimov's latest novel (written by a quantum computer-cloned version of the man himself)."

In the meantime, he suggests we all sit back and enjoy the ride.

@highlight

CNN spoke to a host of design and technology experts to see what future holds

@highlight

Key developments are in the field of wearable technology and 3D printing

@highlight

Best design is a marriage of technology, science and manufacturing techniques

@highlight

Digital tattoos and mind reading headphones give flavor of things to come