Cape Town, South Africa (CNN) -- As natural habitats disappear in South Africa, baboons and humans are increasingly coming into close contact, and conflict.

In South Africa's Cape Peninsula there has been a large-scale transformation of wild baboons' natural habitat into land for housing, industry and agriculture, according to the University of Cape Town Baboon Research Unit.

The result is that wild baboons are surrounded by humans, which the researchers say is causing human-baboon conflict to escalate.

But the problem isn't confined only to the Cape, as baboons are increasingly venturing into towns and villages across southern Africa in search of food, often leaving a trail of damage in their wake.

In the farming village of Barrydale, a four-hour drive from Cape Town, baboons are a growing problem. While some local farmers say they want to shoot baboons found in the village, others favor a more sustainable solution.

Report: Central African gorillas may go extinct

Jenny Trethowan, of advocacy group Baboon Matters, is known as the "Baboon Lady" back in Cape Town. She has spent her career trying to protect the primates in the Cape Peninsula, of which there are more than 400.

In Barrydale, she sees an opportunity to tackle the problem before it gets out of hand.

"What is so exciting about the Barrydale scenario is the fact that they are being extremely proactive," Trethowan told CNN.

"In many of the other areas it's been a long time, where baboons have become habituated and trained. Now in Barrydale they are saying 'let's stop this behavior quickly before it gets started,' and that's enormously exciting for me."

Trethowan has pinned her hopes on implementing a baboon-monitoring program in the village. At the Joshua Baboon Rehabilitation Project, just outside Barrydale, Baboon Matters is training locals to be baboon monitors.

The monitors are tasked with patrolling Barrydale and herding baboons away from homes and farms.

"If we can get the monitoring program going quickly before the baboons are habituated I believe we stand a good chance of success here," said Trethowan.

Nola Frazier runs the Joshua Baboon Rehabilitation Project and supports the village's monitoring program. "I don't think the baboon problem is going to go away," Frazier told CNN. "It's a learning curve. It's something that's happening here; it's happening all over South Africa."

An existing monitoring program on the Cape is yielding benefits. Statistics from the Baboon Research Unit show human-induced injuries to baboons are at their lowest for five years. Deaths are also down, and the baboon population is up, which means encounters with humans are more likely.

African football academy creates future stars

When she's not helping to run monitoring programs, Trethowan takes tourists on walks around the Cape Peninsula to see baboons in what she hopes will be their natural habitat.

But despite the monitors' best efforts, the baboons sometimes stray from their natural environment. The smell of cooking, and windows left open, are practically an invitation to hungry baboons, whose food raids can result in damage to property.

"When I take people to walk, I never describe baboons as something they are not," said Trethowan. "They do cause incredible damage, and the ideal thing would be for them to be on the mountain and not in the village.

"The monitors can struggle without a doubt. What's frustrating to me is to see the residents make little effort to help the monitors. If they were working with the monitors more, the monitors would be more efficient."

When it comes to taking on one of the continent's most opportunistic animals, researchers and advocates say there are no easy answers.

"Baboons are definitely incredibly opportunistic and incredibly adaptable, so from a management point of view it makes it incredibly difficult," said Trethowan. But she said it's these same characteristics that drew her into a life of advocacy for baboons.

"It is hugely amazing to watch how these baboons will adapt to a situation and will seize an opportunity and work with whatever they've got," she told CNN.

"I think we've got a lot to learn from them, in hopes of showing more people the positives in an animal so often labeled a problem."

Robyn Curnow and Mark Tutton contributed to this report

@highlight

Disappearing natural habitats are causing conflict between baboons and humans

@highlight

Baboons raid towns and villages in search of food

@highlight

Baboon Matters organizes teams of monitors to herd baboons away from villages

@highlight

Monitoring programs can reduce human-induced injuries to baboons