(CNN) -- Greece may have given us the word democracy and many of the principles of civil society. But now it is "the sick man of Europe," and the people of other European democracies are asking whether it's worth saving with billions more dollars of their money. Put crudely, their argument is this: So what if Greece slides ignominiously out of the eurozone?

Goodbye Greece...

In continental terms, Greece is peripheral. It doesn't sit on reservoirs of oil, and it relies on agriculture and tourism as money-earners. It accounts for just 5% of the European Union's economic output. With the Cold War long over, its strategic position on the edge of the Balkans is not as important as it was.

Second, critics question whether Greece has the will or capacity to stay within the eurozone. In last Sunday's elections, the main Greek parties -- those that had promised to swallow the medicine doled out by the European Union and International Monetary Fund -- were trounced at the polls. Thursday, a third political leader was invited to try to form a government. Greek commentators predict no stable coalition is likely -- and new elections probable, just as a further $15 billion of austerity measures are due.

Two weeks ago, the governor of Greece's Central Bank, George Provopoulos, warned that unless the country stayed the course, there could be "a disorderly regression, taking the country back several decades and eventually driving it out of the euro area and the European Union."

A majority of Greek -- some 70% -- tell pollsters they want the country to remain in the eurozone. But a substantial minority have just voted for parties that oppose what they see as austerity imposed by Berlin. They believe the medicine is actually making the situation worse. This year, the Central Bank forecasts the economy will shrink by 5%, after a 7% contraction last year. That means fewer jobs, less tax revenue and more difficulty meeting debt obligations.

Third, is the endless bailout smart economics? Or does it just perpetuate the crisis, as new debt replaces old? A confidential analysis by the IMF, European Central Bank and European Commission in February projected that Greek debt would still amount to 129% of GDP in 2020 and could be as high as 160%. The analysis, obtained by Reuters in February, estimated Greece would need some $175 billion in financing over the next two years.

Some argue that so long as Greece uses the euro as its currency, it will never become competitive. Research by investment bank Goldman Sachs concluded Greece needed a real depreciation in its exchange rate of a whopping 30% to restore competitiveness. Compare its situation to that of Iceland, which after a financial meltdown in 2008 thanks to its over-stretched banking sector, went cold turkey with a 40% devaluation of its currency and let bank creditors whistle in the wind. Now it's started growing again, albeit modestly.

U.S. economist Kenneth Rogoff has argued that Athens should be granted a sabbatical from the eurozone while remaining in the European Union, allowing it reintroduce the drachma at a deep discount to the euro and making its tourism industry wildly popular.

Hans-Werner Sim, head of German think tank Ifo, agrees. The money being showered on Greece to keep it in the eurozone would be better spent lubricating its departure, he says.

"The drachma will immediately depreciate, and the situation will stabilize very quickly. After a short thunderstorm, the sun will shine again," he told German magazine der Spiegel.

Fourth, beyond the discouraging arithmetic, some argue that the Greek state is too dysfunctional to cope with its massive obligations. Greece has a tax system that barely works, recalcitrant labor unions and extensive graft. The latest corruption league table from Transparency International ranks Greece as 80th - along with El Salvador.

"For decades the political elite, mired in corruption and rent-seeking, has followed the path of wasteful spending and patronage," wrote Kostas Bakoyannis, the mayor of Karpenisi, in the Wall Street Journal last month.

Greece hasn't privatized a single, state-owned industry despite repeated promises to do so. Its social fabric is fraying and it has a growing problem with political violence. Add to that, now, an unstable political order.

And finally, if Greece is unable to get its house in order and uncertainty persists, the dreaded contagion effect will rear its head again. It's a truism that markets hate uncertainty, and for the last year Greece has delivered it in weekly installments.

The never-ending melodrama could worsen the psychological climate for other "olive-belt" members of the eurozone. Negotiations on restructuring Greek sovereign debt have already left international investors wary of buying other south European debt. According to the Financial Times last month, investors have withdrawn $130 billion from Europe's sovereign bond markets over the past two years.

On the other hand...

The opposing argument is that a "disorderly default" or even a managed exit by Greece would have far-reaching consequences for Europe -- none of them good -- and misreads the Greek mood.

Pierpaolo Barbieri, Ernest May Fellow at the Harvard Kennedy School's Belfer Center, has written extensively about Europe's financial crisis.

"Greek voters have turned against the old duopoly of PASOK and New Democracy," he says, referring to the dominant parties of the past 30 years.

"They are tired of crisis. That doesn't mean they are against being part of the eurozone. They realize their savings would be wiped out if a devalued drachma took the place of the euro and that Greek banks would collapse. So it's important to separate the weakness of the existing political parties from the issue of the bailouts and the eurozone."

Second, there is no playbook for leaving the single currency, no rules governing expulsion. It was just never envisaged. A new Greek government, by persistently defaulting on debt repayments, might effectively vote itself out of the eurozone, but the process would be messy. Greek companies that take advantage of the single market would be badly affected.

"Any announcement of Greece's departure would wreck havoc in the markets. If Greeks elected someone who wanted to pursue this path, it would be impossible to get back in at a later date," Barbieri told CNN.

In addition, he says, there is no guarantee that excising Greece from the eurozone will relieve pressure on other members. It might simply refocus anxiety on the next most vulnerable state.

"If Greece were to fall out, what would that say to Portugal, Italy, Spain and Ireland? There would be a danger to the whole European construction, including the single market. The Germans often say "If the euro fails then Europe fails" -- and project Europe has been at the core of German foreign policy for half a century."

Italy, Spain and Portugal are in the middle of painful restructuring; just this week the Spanish government announced it would have to step in to rescue the country's third largest bank.

The worst-case scenario: that the whole concept of an "ever-closer union" toward which Europe has been striving will unwind, one state at a time.

"Europe will have difficulty forming a federation, if its first action is to jettison countries that are unable to make ends meet," wrote commentator Barbara Spinelli in the Italian newspaper la Repubblica.

Let them eat carrots

Is there a way to muddle through? Maybe. But it will require a tilt from "austerity" toward "growth" to persuade the Greeks that their suffering will not be endless.

The basic choice may remain bailout or bankruptcy, but the bailout can be sweetened, as a spokesman for EU Economics Commissioner Olli Rehn hinted Tuesday.

"We can do lots to assist Greece, and we are doing so. Our member states, our taxpayers in other European member states of the euro area, are providing this solidarity," he said.

Concrete action must follow, says Barbieri.

"Europe needs to show the Greeks that they have reason to hope by staying the course, that it won't just be pain and more pain. There have to be measures to help growth, such as European investment projects in infrastructure and help for small and medium businesses starved for funding, which can be achieved through the European Investment Bank. The ECB should continue to help Greek banks, so as to start lending again."

Next year, Angela Merkel will be seeking a third term as German chancellor. If she gets one, analysts say, she may have greater freedom to tilt toward growth.

"It would be a positive development if Francois Hollande [the newly elected French President] could hasten this development and create 'rewards' for reforming countries, so as to remind European electorates the monetary union is not a 'suicide pact,' says Barbieri.

It may be that even with a rancorous political atmosphere, mass unemployment and street protests, Greece is actually making progress. If (yes, it's a large if) the next round of public spending cuts goes through Greece get close to achieving what's called a primary balance, its revenue will pay for its spending. According to the Central Bank, the economy may finally stop shrinking in 2013.

But 2013 seems a long way off, and these are the first tentative steps toward convalescence. Anyone who has seen the movie "Monty Python and the Holy Grail" will recall what happened to the man who insisted he wasn't dead yet.

@highlight

Greece doesn't sit on oil reservoirs; it relies on agriculture, tourism as money-earners

@highlight

Critics question whether Greece has the will or capacity to stay within the eurozone

@highlight

Some argue that so long as Greece uses the euro, it will never become competitive