(CNN) -- The recent financial troubles in Cyprus have attracted a range of alarming headlines around the world, but we must be careful to avoid panic and reckless measures that would exacerbate the crisis.

For in reality, Cyprus -- one of the smallest economies in the eurozone -- has a manageable fiscal deficit, low debt and until very recently a thriving economy, based on financial services and tourism. Large reserves of natural gas and possibly oil have been discovered off its southern coast, which would bring a bonanza in three to five years.

Read more: Why is Cyprus trying to tax bank deposits?

The roots of the crisis go back to 2006 when the Cyprus Popular Bank, the country's second biggest bank was taken over by a smaller Greek bank. The new owners invested very heavily in Greek bonds and loans but kept it as a Cypriot bank, instead of transferring the HQ to Greece. This was because of the better corporate environment in Cyprus, where tax rates are just 10%, compared to Greece where it is at least double that.

Three years ago the Bank of Cyprus also bought large quantities of Greek bonds, largely for reasons unconnected with their rate of return or risk, to help out Greece. In 2011, when a struggling Greece was allowed to let some of its private bond holders take a loss -- a "haircut" -- Cypriot banks lost money and needed refinancing. So the big financial institutions like the Bank of Cyprus and Popular Bank asked for a bailout from the government, and the government came to the EU in June 2012 saying it needed a bailout in turn.

Read more: UK flies cash to Cyprus for soldiers

Last weekend under an EU plan, Cyprus agreed to raise â‚¬5.8 billion to prevent debt from ballooning to unsustainable levels. This would have seen a bank levy on all deposits over 100,000 euros in banks in Cyprus and a smaller percentage on deposits of more than 20,000 euros. The measure sparked fury in the Cypriot parliament, prompting Cypriots to withdraw money from bank cash machines and raising fears of a broader run on ailing banks. Russia, which has extensive business and banking ties to the tiny island, was angered by the move.

Read more: Cyprus deposit tax 'overnight robbery,' says businessman

Prudent bankers attracted depositors by following low-risk strategies. But now their depositors are asked to pay for the high-risk strategies of other bankers. High-risk bankers risked their depositors' money. But their depositors will not lose more than the depositors of other banks. This is the logic of the Cyprus "bailout" by the International Monetary Fund, the German-led Euro group and the European Central Bank. Delinquent bankers' losses are protected by prudent bankers' gains.

Watch this: Cyprus MP: Bailout plan won't work

What is the justification? It's better than letting the two risk takers go bankrupt, the argument goes. That probably is the case. But then Greek banks and those of other nations in trouble were also bankrupt, and yet the same troika lend to them on better terms in order to avoid bankruptcy.

Greece got 140 billion euros; the haircut on Cypriot depositors will yield 5.8 billion. But Cyprus could not have the 5.8 billion out of European funds set up to rescue banks in trouble. Deposits under 100,000 euros are insured in Europe. Yet, the terms of the euro group are so harsh, that the government of Cyprus could not raise the money without some haircut on the insured deposits.

It is important to note that on Tuesday the Cypriot parliament rejected a â‚¬10 billion eurozone bailout package due to investor alarm over the proposed tax on existing bank deposits. However we don't know what will come next. Maybe the tax on the insured deposits will yield 2 billion euros. Agreed said the euro group: we'd prefer not to tax deposits under 100,000 euros but if you cannot afford to raise the 5.8 billion in any other way, then you have no choice but to tax the small depositors.

What does this tell us about the European project though? Is the eurozone a partnership of equals who care about each other's subjects? Or is it a vehicle for scoring political points by the strong and powerful?

Russia's involvement with Cyprus as an offshore centre keeps coming up in these discussions. Attracted by a corporate tax rate of 10% -- half that of Russia's -- Russians have been investing money into Cyprus from the early 1990s. The money is then repatriated through investments in Russian ventures -- a legal way of reducing tax.

Cyprus accepted an order last month by the Eurogroup to allow an investigation into possible breaches of money-laundering rules, which is under way. But the euro group could not wait for the results before imposing the haircut; not a single case of money laundering has been discovered so far.

I have been involved both with central bank policy and with private banking in Cyprus for years (and at different times) and I have never come across anything non-compliant with European rules.

The Russians make Cyprus's financial sector too large, it is claimed. But it is still not as large as Luxembourg's, and not too different from those of other small nations with a highly educated labour force. And anyway, when a large system works well except for its involvement in a single and exceptional event like the Greek sovereign debt write-off, you don't cut off half the system and destroy the sector, causing acute unemployment problems. You try to fix it, with better regulation of risk and other vulnerabilities. But then they shoot the horses, don't they?

Sooner or later such policies could backfire on Europe. Those of us who supported the European integration movement are disappointed.

@highlight

Those of us who supported the EU integration movement are disappointed, writes Pissarides

@highlight

Pissarides says Russians have been investing money into Cyprus from the early 1990s

@highlight

Pissarides: "I have never come across anything non-compliant with European rules" in Cyprus