(CNN) -- Farmers in Tanzania are helping to conserve threatened forests by cultivating an unlikely crop: butterflies.

The Amani Butterly Project is one of the schemes using butterfly farming to help locals supplement their incomes and protect the environment at the same time.

The brainchild of American biologist Theron Morgan-Brown, it's based in Tanzania's East Usambara Mountains -- a region known for its biodiversity, but where forests are being cleared to produce charcoal and to open up farmland.

"The main objective was to find an alternative income for the local community in the surrounding village and forest, and also relieve the pressure on the forest of people cutting timber," says project manager Amiri Saidi.

The butterfly rearing process starts with farmers catching a few female butterflies and transferring them to an enclosure where they can lay eggs on host plants.

The farmers then collect the eggs and when they hatch, the caterpillars that emerge are placed on new plants, which must be regularly replaced to satisfy their voracious appetites. The caterpillars continue to feed until they pupate, and are ready to be transported.

Green in vogue at Nigeria Fashion Week

The Amani project has been selling pupae to live butterfly exhibits in the United States and Europe for between $1 and $2.50 each. Of that sum, 65% goes directly to the farmers, while another 7% goes to a community development fund that contributes to projects such as building schools and hospitals.

Because most tropical butterflies don't live for long, exhibits usually order new pupae every two to three weeks.

Farmers keep some pupae from each generation, so they rarely need to catch more female butterflies from the wild, although they sometimes catch new male butterflies to maintain genetic diversity in their farms.

The project now uses 250 butterfly farmers, more than half of them women, says Saidi.

He says the project's own studies show that because butterfly farmers rely on forests near their communities to provide host plants for their butterfly farms, many farmers now support forest conservation.

"Because butterfly farmers get tangible benefits, they get money, people involved in butterfly farming conserve the area," says Saidi. "They have their own forest area and use the money they are getting for replanting and other activities."

As well as training its own farmers the Amani project has helped train farmers for a butterfly project on the Tanzanian archipelago of Zanzibar.

The Zanzibar Butterfly Centre consists of a netted tropical garden that's home to hundreds of butterflies, all bred by local farmers. It was created as a tourist attraction, funded by admission fees, and like the Amani project the aim is to help protect the environment.

Congo's erupting volcano boosts tourism

"A lot of forest is being destroyed in Zanzibar," says project manager Rosa Santilli. "Local people cut down trees to make charcoal to sell. People need it for fuel because gas and electricity is very expensive, so people cook with charcoal.

"The center was set up to stop local people cutting the forest down, and to provide an alternative for them to earn money from."

Santili says the center has trained 17 local farmers to rear the pupae that provide all the center's butterflies.

It's not a solution to deforestation, but it is helping, says Santili. "The butterfly farmers don't make charcoal anymore, so it has stopped that small sector of the community cutting down trees," she says.

Like the Amani project, the Zanzibar center funds a village development association, which is improving the local water supply. It is also trying to get local people to produce crafts and honey to be sold as souvenirs at the center.

But there is a cloud on the horizon. Both the Amani and Zanzibar schemes rely on couriers to transport their pupae to overseas buyers, and they say they have been hit by courier DHL's decision to stop transporting their pupae.

Saidi says Amani has been hit especially badly. It now has to transport pupae by air cargo, which dramatically increases their cost to buyers.

He says that until the end of 2010 the Amani project was selling a total of 50,000 pupae a year to 13 buyers, but now the project has lost all but one buyer. But DHL says it will be now discussing transport options with both projects, and hopes to find a solution that will let it resume pupae deliveries.

The Zanzibar center sees exporting pupae as key to getting more locals trained as butterfly farmers.

Santilli says: "We are hoping to expand to get more farmers involved. We need butterflies for our garden and also to export. If the farmers can export to Europe then the sky's the limit."

@highlight

Tanzanian projects training people to farm butterflies

@highlight

Projects give locals an alternative income and protect forests

@highlight

Amani Butterfly Project use 250 local farmers and sells pupae to live butterfly exhibits

@highlight

Butterfly farmers in Zanzibar no longer have to cut down trees to sell charcoal