(CNN) -- It was not a blanket of snow that fell on the Northeast this past weekend. It was more like a futon of snow. A stack of futons. And not the light foam futons, but old-fashioned futons stuffed with horsehair or maybe potting soil. Sodden futons stacked 3 feet high with no place to shovel them.

But ignore my bitterness. I'm old and I just got in from shoveling the part of our driveway that the next civic-minded city plow is going to refill. In truth, New England handled this snow emergency like a champ -- so much better than the Blizzard of '78 in which people died stuck in their cars on the highway.

But before we break out the cocoa and self-congratulations, we might want to listen to Espen Andersen, a Norwegian in Oslo who lived in Boston for nine years. I blogged on Saturday about how well-prepared the Northeast was, and Espen jumped in with a "Yeah, but ..." comment. "I just can't get used to the New England oh-my-God-here-it-comes-again-flip-to-channel-5 attitude," he wrote.

He explained: "The fact that New England panics every time there is a flurry is due to lack of preparedness at the infrastructure level. In most of Norway, power and telephone lines are underground, it is illegal not to have snow tires on your car after December 1st or thereabouts (if you go in the ditch, you are fined) and during my own and my children's school days we have never had a snow day or any other interruption due to the weather (and we have plenty of weather). I have never been to the store to stock up on batteries and water. ... Our airport does not close down for snow, though there can be delays."

My pride makes me want to push back on the idea that we New Englanders "panic" in the face of blizzards, not to mention that referring to this past weekend's unpleasantness as "a flurry" goes beyond Nordic stoicism.

On the other hand, I remember being amused as a grad student watching the recent immigrants from sunny Mediterranean climes spinning their tires in a modest Toronto snowfall. What goes around comes around, and those Mediterranean tires were going around at an unmoving 60 mph.

But Espen raises a valid question: "Why doesn't New England harden the grid and communications systems, put winter tires on school buses, mandate winter tires in snowy conditions and just get rid of this stupid idea of snow days? It is winter; it happens almost every year."

I'd suggest there are two reasons we don't.

We'd all like to see the poles and wires that blight our landscape come down. Not only would this reduce power outages due to downed trees, it might also give us an opportunity to pull some optical fiber into our homes and businesses so that the United States could stop falling behind the developed world in high-speed Internet access. So let's do it.

Except, it's expensive. All those trenches to dig. All those rights of way to clear. All those transformers to move indoors. The bullet to bite is so large that we're more willing to dribble out the price of sending out repair crews, and to put up with the far more substantial costs borne by individuals and businesses that go without power for hours, days and sometimes weeks.

The aggregated cost of being without electricity for the 655,000 people plunged into the cold and dark by the so-called Nemo storm, are distributed among the sufferers, and thus that cost is invisible, as is everything if one closes one's eyes hard enough.

Besides, Massachusetts Gov. Deval Patrick estimated that it would cost $1 trillion to bury all the power lines throughout the commonwealth. Various experts I consulted (via the advanced knowledge network known as mailing lists) supplied counter guesstimates of $45 billion to $200 billion, but with caveats about everything from the frequency of buried rocks to the increased difficulty of fixing broken underground cables. Still, that's between three and 70 Big Digs, to use our local unit of currency. Not chump change, no matter how you measure it.

Which brings us to the second reason we don't bite the bullet and snow-proof our infrastructure: We think of snowstorms as emergencies that inevitably bring with them power outages and snow days, so we don't demand a snow-proof infrastructure. Yes, this is circular reasoning. We don't demand a fix because we don't see the system as broken. It takes a Norwegian to have us wonder why we're shutting down our cities as if it were the most natural thing in the world.

Even if we overcame both reasons and buried our power and communication lines, I doubt that we would escape all snow-caused work stoppages. Maybe I'm just being a panicky New Englander, but when 2 to 3 feet of snow drops on your city so fast that you can practically hear the thump, I can't imagine how we'd get our streets and trolley tracks cleaned fast enough to avoid a day when it's better if everyone just stays at home, does some shoveling and watches "Buffy" seasons 1-4.

For, as Espen points out, if we didn't treat snow as an emergency, we wouldn't get our snow days. And we love our snow days.

The opinions expressed in this commentary are solely those of David Weinberger.

@highlight

David Weinberger: Blizzard not the worst, but why isn't New England better prepared?

@highlight

He says an Oslo commenter to his blog notes Norway is more sensible about snow

@highlight

Like Norway, New England could bury power lines, snow-proof infrastructure, he says

@highlight

Writer: It's too costly, and in the end, people don't see storms as disasters -- just as snow days