(CNN)In 1984 Margaret Thatcher met Mikhail Gorbachev (before he became Soviet leader) for the first time. Asked of her impressions, she said: "We can do business together. We both believe in our own political systems. He firmly believes in his; I firmly believe in mine. We are never going to change one another."

"Doing business together" might sum up the Washington-Tehran relationship today. They have overlapping interests in Iraq, Afghanistan, perhaps even in Yemen -- as well as the shared goal of an agreement on Iran's nuclear program, if not how to reach it.

The Obama administration has a keen interest in coaxing Iran back into the "community of nations" because it is a regional power, a major player in a volatile part of the world. Were the nuclear talks to leave Iran as a "threshold state" -- capable of becoming a nuclear power in short order -- Turkey, Egypt and others in the region also might be tempted also to go nuclear. And Israel might carry out its threat of a military strike on Iranian facilities.

But U.S. and Iranian interests converge in more immediate ways. Defeating the Islamic State in Iraq and Syria (ISIS) -- the most high profile and urgent objective of U.S. foreign policy -- requires Iranian help, and quite a lot of it.

Beyond coalition airstrikes, ground forces are comprised of the Iraqi security forces, Shia militias and Iranian advisers and officers. In some areas, the Iranian air force has been active.

On Sunday, Iraqi troops and the militias began an offensive to retake Tikrit and the province of Salahuddin from ISIS. Next to Mosul, Tikrit may be ISIS' most important holding in Iraq. On the frontlines, according to the Iranian Fars news agency, was none other than the leader of Iran's Quds Force (or Revolutionary Guard Corps), Qasem Soleimani.

Soleimani -- often dubbed Iran's spymaster -- has huge influence in both Baghdad and Damascus. And the Revolutionary Guards have influence over the powerful Shia militia in Iraq known as Hashid Shaabi that is an important component of the fightback against ISIS.

The Institute for the Study of War observed that "the presence of an Iranian general, other Iranian advisers, and Shia militias on the ground alongside Iraqi Sunni fighters to retake a major Sunni provincial capital will be a significant test case for the success of similar future anti-ISIS operations."

And not only is Iranian help needed in defeating ISIS, but Iranian restraint will be required in preserving Iraq as a single and (dare one hope) stable state thereafter.

To many observers, former Iraqi Prime Minister Nuri al-Maliki set the stage for ISIS' rise through his increasingly sectarian and anti-Sunni policies. But now the excesses of some Shia militia in Iraq threaten to alienate the Sunni tribes that Maliki's successor, Haidar al-Abadi, is trying to woo.

In a veiled reference to alleged abuses by Shia militia of Sunni civilians, Prime Minister Abadi ordered all forces taking part in the Tikrit operation to take "utmost care in protecting civilian lives and property." But he needs Tehran's help in reining in the Hashid Shaabi.

A similar environment may yet produce a U.S.-Iranian "understanding" in Yemen. The Iranian-backed Houthi militia -- a Shia sect -- is now in power (at least in the capital, Sanaa). The Houthis are, ostensibly, hostile to the United States, and Washington would rather see President Abdu Rabu Mansour Hadi back in charge. But the Houthis and Yemeni troops are battling al Qaeda in the Arabian Peninsula (AQAP), which the U.S. regards as one of al Qaeda's most dangerous affiliates.

Even so, the same risk as in Iraq applies: Sunni tribes in Yemen may side with AQAP as the lesser of two evils, effectively partitioning the country.

There is no clear-cut link between the negotiations on a nuclear deal and U.S.-Iranian co-operation elsewhere. Last week, U.S. Director of National Intelligence James Clapper told a Congressional hearing: "I really don't think that the negotiations, one way or the other, will have much bearing on what [the Iranians] do in Iraq or any place they are trying to exert their influence, meaning Syria or now Yemen."

In any case, a substantive agreement on Iran's nuclear program does not seem imminent. Ahead of yet another meeting in Switzerland with Iranian Foreign Minister Mohammad Javid Zarif, U.S. Secretary of State John Kerry said Monday that "unless Iran is able to make the difficult decisions that will be required, there won't be a deal."

And he was at pains to insist the U.S. would not settle for anything less than a comprehensive, watertight agreement. "No deal is better than a bad deal because a bad deal could actually make things less secure," Kerry said.

The Israeli Prime Minister, Benjamin Netanyahu, is in the U.S. to tell Congress that the deal being discussed is a bad one -- simultaneously injecting himself into the partisan rancor of Washington and seeking to derail what would be the signature foreign policy achievement of Obama's second term.

Netanyahu appears to have accepted he is now part and parcel of the toxic atmosphere in Washington, saying he was going "because the American Congress is likely to be the final brake before the agreement between the major powers and Iran."

David Rothkopf, no fan of Obama's policy on Iran, wrote in Foreign Policy last month that "Netanyahu's decision to accept [House Speaker John] Boehner's invitation to address the U.S. Congress on the dangers of the Iran nuclear deal is a case of sending the wrong man at the wrong time to give the wrong speech in the wrong place."

In the days running up to Netanyahu's speech, U.S. officials have lined up to warn of its consequences. National Security Advisor Susan Rice said the speech would be "destructive of the fabric of the relationship" between Israel and the U.S.

Rarely if ever has the U.S.-Israeli relationship become so imbued with such animosity. Last summer, Israeli ministers ridiculed Kerry's efforts to secure a ceasefire in Gaza; Netanyahu has also repeatedly lectured Obama about the realities of the Middle East.

Now Kerry seems to take almost gratuitous pleasure in telling Netanyahu he is wrong. Last week he told the House Foreign Affairs Committee that interim agreements with Iran had made Israel safer, and the Israeli Prime Minister "was wrong" to oppose them, just as he had been wrong in his enthusiastic support for the U.S. invasion of Iraq in 2003.

Some have even suggested that Netanyahu's aggressive opposition has only energized U.S. officials in the belief that "if they're doing something that really pisses off Bibi, they must be doing something right," as Rothkopf colorfully put it.

No one would pretend that America has more in common with the Islamic Republic of Iran than with Israel. But right now, Obama may just feel he's more likely to find common ground with Iranian President Hassan Rouhani than with the Israeli Prime Minister.

Even so, the opportunities to "do business" should not be exaggerated. Iran is still supporting -- with fighters, equipment, training and lines of credit -- Bashar al-Assad's regime in Syria, which the U.S. is trying to oust.

Iran and Syria first bonded over a mutual loathing of Saddam Hussein, but the relationship has been sustained because the Syrian regime was the only non-Sunni government in the Arab world, and Damascus and Tehran see themselves as the "axis of resistance" to Israel.

Iranian training of militia such as the Jaysh al-Shabi has been critical to the Assad regime's survival. A former Syrian Prime Minister, Riyad Hijab, said after defecting that "Syria is occupied by the Iranian regime. The person who runs the country is not Bashar al-Assad but Qasem Soleimani."

Sanctions have made it difficult for Iran to afford its hefty subsidies to the Assad regime -- so ironically, a nuclear agreement and the easing of sanctions might have the unintended consequence of allowing Iran to continue its support of Assad.

Nor is there any sign that Iran is ready to soften its support for the Lebanese Shia militia Hezbollah, its frontline proxy in the confrontation with Israel. Eighteen months ago, columnist Ali Hashem quoted an Iranian source as saying that "Hezbollah to Iran isn't a card to play with. Hezbollah today is the crown jewel of the resistance bloc," answerable not to the Iranian President but to Supreme Leader Ali Khamenei.

There's no sign that posture has changed, and it's a reminder that on all these issues, President Rouhani is not the only -- or even the most powerful -- decision-maker in Iran.

All the same, the achievement of a nuclear deal - and the gradual lifting of U.S. and international sanctions against Iran -- would surely change the mood music. It might open other doors and enhance dialogue on other issues. And regardless of progress on the nuclear front, the U.S. and Iran will continue to share antipathy for the apocalyptic vision of ISIS, and an interest in buttressing Iraq as a viable state.

Even as a candidate for the presidency, Obama set out a vision for engaging with Iran, not least to help bring stability to Iraq.

"My decision making, with respect to military options versus diplomatic options, a containment strategy versus a strike strategy," he told the New York Times in November 2007, "is going to be informed by how is that going to impact not just Iran, but how is that going to impact the stability of the region and how's that going to impact our long-term security interests."

Eight years on, it is diplomacy and containment that are the centerpiece of his administration's thrust for a signature achievement on the world stage. And it can't hurt that the United States and Iran find themselves on the same side, for now, in Iraq.

@highlight

Longtime foes U.S. and Iran now find themselves on same side of some critical conflicts

@highlight

A nuclear deal would loosen sanctions on Iran, and allow it to devote more resources to propping up Assad regime in Syria