Our everyday concerns -- what's for dinner, what to update on Facebook -- seem small when we consider that there's a whole universe out there where other life may exist.

Astronomers now are upping that likelihood, announcing that they've identified a star system with up to seven planets -- three of which could potentially host life -- 22 light-years away.

The likelihood that conditions could support life on at least one of those planets, given that there are three terrestrial-mass planets in the habitable zone of one system, is "tremendous," according to at least one scientist. The "habitable zone" is the area near a star in which a planet can theoretically hold liquid water. In our own solar system, Venus is close to the inner edge of potential habitability, while Mars is closer to the outer edge.

The discovery is the largest number of "habitable zone" planets ever found within a single system, said Guillem Anglada-Escude of the University of Gottingen, Germany, who led the team of astronomers.

The findings were published Wednesday in the journal Astronomy & Astrophysics.

The findings are only the latest in a recent string of identifications of planets that may host life.

"As soon as our telescopes and data analysis tools have become sophisticated enough to find them, habitable planets are popping up everywhere," said Sara Seager, professor of planetary science at Massachusetts Institute of Technology, who was not involved in the study. "It's simply exhilarating to know that potentially habitable planets are ubiquitous."

What are these planets like?

The three planets orbit a star called Gliese 667C, part of the triple-star system Gliese 667. They are between four and eight times the mass of the Earth, making them "super-Earths."

If you were standing on any of the potentially habitable planets in this system, that sun would appear as a bright red star. The other two stars in the system "would look like a very bright pair of stars providing as much illumination as the full moon on Earth," Anglada-Escude said.

The planets are likely either rocky or water worlds, meaning they're entirely covered in water. These particular planets also appear to be "tidally locked," meaning the same side of a planet is always facing a star. That means one side of the planet always gets light and the other hemisphere is always in darkness.

"With three terrestrial-mass planets in the habitable zone, the likelihood of one of them actually being habitable is tremendous," Seager said.

The system also likely consists of two hot planets further in and two cooler planets orbiting further out, although scientists are less certain that the seventh planet exists.

Scientists determined these characteristics of the star system using new observations gathered from the W. M. Keck Observatory and the Magellan Telescope, with existing data from the European Southern Observatory's HARPS instrument in Chile.

Before, scientists had determined that the star Gliese 667C had three planets with one that could be a candidate for life.

The Gliese 667C star is about one-third the mass of our sun with about 2% of its luminosity, meaning it is much fainter. But all three of the potentially habitable planets, and their neighbors in their solar system, lie within the equivalent of the orbit of Mercury, meaning they are much closer to the host star than planets in our solar system.

If they orbited our sun, the Gliese 667C planets' surfaces evaporate and burn. But they may be habitable because their sun is so much smaller and dimmer.

"It's an extreme scaled down version of the solar system," Anglada-Escude said.

Another Earth called a certainty

Scientists said the findings suggest that stars with low mass such as Gliese 667C are the best targets for looking for planets that could host life. About 80% of the stars in the Milky Way are in this category of low mass. It's possible that there are many more of these systems that are packed with potentially habitable planets.

How they compare to other habitable planets

The Gliese 667C trio represents candidates for life that are about as good as three announced in April by scientists working with NASA's Kepler satellite. Kepler-62e and Kepler-62f both orbit the same star, Kepler-62, which is slightly cooler and smaller than our sun. The Kepler-62 star, however, is 1,200 light-years away.

These two planets are closer to the size of Earth than the third habitable candidate, Kepler 69c. It's less clearly in the habitable zone than the other two, and its sun is 2,700 light-years away from us.

That makes Gliese 667C seem like a stone's throw away by comparison, at 22 light years -- but that's still about 129 trillion miles. In the night sky, the system can be found in the Scorpius constellation.

The Kepler satellite has been keeping an eye on more than 150,000 stars much further away, but on May 15, NASA announced that a reaction wheel -- a part that helps aim the spacecraft -- stopped working. The most recent update, from June 7, says the spacecraft is in Point Rest State, after a second wheel was unable to preserve fuel for an eventual recovery effort. Immediate safety is not as issue, and a team is going to manage the wheel recovery efforts.

The Kepler space telescope, launched in 2009, allows scientists to measure changes in brightness of individual stars over time; these dimming events signal that a planet is nearby. Scientists undertake sophisticated calculations to verify that such signals are planets and not passing rocks.

"Scientists undertake sophisticated calculations to verify that such signals are planets and not astrophysical phenomena mimicking the signature of a planet," Anglada-Escude said.

By contrast, scientists who worked on the Gliese 667C system used the radial velocity method. With this, scientists look for wobbles in the motion of a star, which happens in response to the gravity of nearby planets.

How about all of those other planets that have been found previously to be in the habitable zone?

You may recall planet Kepler-22b, which was announced in December 2011 and also was hailed as a potential candidate for hosting life. That planet had a radius 2.4 times that of Earth and is 600 light-years away.

There is also a planet called Gliese-581g, discovered in September 2010, which is thought to be even more like Earth than Kepler-22b in terms of its suitability for plants and animals. It's only 20 light years from Earth, though there has been some controversy about its existence. In its solar system there is another planet, Gliese-581d, that is also of interest in the search for life, according to the Planetary Habitability Laboratory at the University of Puerto Rico at Arecibo. The group's catalog lists a few other candidates.

But do they really have life?

Because they are so far away, the composition of the atmospheres of all of these planets outside our solar system remains unknown. Whether life truly roams or swims out there is still to be seen.

"Whether the planets are actually habitable would be pure speculation," Seager said. "There's currently no way to observe surface liquid water (our habitability requirement) or even infer the presence of surface liquid water."

Still, Anglada-Escude says the existence of star systems packed with potentially habitable planets, and the diversity of planets that Kepler has found, suggest there are more exciting discoveries yet to come.

Follow Elizabeth Landau on Twitter at @lizlandau and for more science news follow @CNNLightYears

@highlight

Star system has 3 potentially habitable planets

@highlight

Standing on one of them, the sun Gliese 667C would look like a bright red star

@highlight

The Gliese 667 system has three stars in it