Police know who shot Michael Brown, but three days after the 18-year-old's death, they're still not saying.

Releasing the name of the officer who shot and killed the teen in Ferguson, Missouri, isn't as important, they say, as protecting the community and the person who pulled the trigger.

Police Chief Thomas Jackson told CNN his department decided against releasing the officer's name Monday after social media and phone threats targeted another officer who was falsely named as the shooter.

"We started getting death threats against him and his family, and although that's not most of the people, we took these things seriously," Jackson said. "We think that they're credible threats ... Right now the safety factor far outweighs the benefit from releasing the name, which is minimal."

Lawyers representing Brown's family blasted the decision, suggesting authorities were protecting one of their own rather than following standard procedures.

"That doesn't give the community confidence. That doesn't make it transparent," attorney Benjamin Crump told reporters. "And remember, we've got a long way to go before this community starts to believe that the police are going to give them all the answers and not try to sweep it under the rug."

Police should have released the officer's name 72 hours after the shooting, he said. If police are going to ask residents of Ferguson to obey the law, he said, "then it's got to work both ways."

Jackson said his office doesn't know yet when it will release the name, but it isn't skirting any laws.

"The prosecuting attorney and the St. Louis County police chief agree that this is the prudent step to take under the circumstances," he said.

Witness: I haven't spoken with police

Exactly what led up to Brown's death Saturday is a point of major contention.

Witnesses say the African-American teen was unarmed and his hands were in the air demonstrating that. Police have said that Brown attacked the officer in his car and tried to take his gun.

As federal civil rights investigators and the FBI carry out their own inquiry into the controversial case, tensions are running high in the town of 21,000 -- where there's a history of distrust between the predominately black community and the largely white police force.

Dorian Johnson, who said he saw the shooting, told CNN Tuesday that the officer who opened fire is white.

Johnson said he was walking with Brown in the street when the confrontation erupted.

But police didn't speak to him about the shooting that day -- and still haven't, Johnson said, adding that the officer seemed stunned afterward.

"It's almost like he wasn't paying attention to me anymore. It's like he was in shock himself, and his vision wasn't on anything but my friend Big Mike," he said.

Johnson's attorney told CNN that police reached out to him on Tuesday to set up an interview, but they haven't had a chance to talk yet.

Amid protests, calls for calm

The promise of investigations by local and federal authorities hasn't stemmed outrage in the community.

A vigil for the teen devolved into violent clashes with police Sunday as some looted stores. On Monday night, there was chaos again on the streets. Shots were fired, authorities said, and police used tear gas to disperse a crowd.

At a press conference with other African-American leaders Tuesday, the Rev. Al Sharpton urged people in Ferguson not to "betray the gentle giant" that Brown was by allowing their anger over his killing to lead to violence.

"Don't be a traitor to Michael Brown in the name of 'you mad,' " Sharpton said, reminding the crowd that Brown's parents are planning a funeral for their son, whom they had expected to head to college this week.

Michael Brown Sr., the teen's father, renewed calls for people to steer clear of violence.

"I need all of us to come together and do this right, the right way, so we can get something done about this," he said.

U.S. President Barack Obama echoed calls for calm, releasing a statement expressing condolences to the teen's family and describing his death as heartbreaking.

"I know the events of the past few days have prompted strong passions. But as details unfold, I urge everyone in Ferguson, Missouri, and across the country, to remember this young man through reflection and understanding," Obama said. "We should comfort each other and talk with one another in a way that heals, not in a way that wounds."

A town in turmoil -- 5 things about Ferguson, Missouri

College-bound teen sought a better life

Brown was going to defy negative stereotypes, staying away from the street life that plagued many African-American young men by instead going to college, his mother said.

"People may do things and it becomes repetitive in a certain race, but we didn't. We don't live like that. Not our family," his mother, Lesley McSpadden, told CNN.

"We feel like we can do anything and go anywhere. ... Just because my son is a 6'4" black male walking down a city street does not mean he fit the profile for anything other than just walking down the street."

About 63% of Ferguson's residents over age 16 are African-American. Three of the police department's 53 officers -- just over 5% -- are African-American, Jackson said, adding that he's pushed to improve diversity.

Racial profiling is "strictly forbidden," he said.

"Racial profiling is against our policies," he said. "It actually benefits nothing."

Speaking at a community forum scheduled in the aftermath of the shooting, Jackson said the situation "has been a tragedy for the city and the country."

"It breaks my heart some think I'm part of the problem," he said Tuesday night.

The police chief promised the crowd he would be part of the solution.

Teen was two days away from starting college

What we know about Michael Brown's shooting

Trayvon Martin case fast facts

Opinion: How many unarmed people have to die?

@highlight

Ferguson police chief: "It breaks my heart some think I'm part of the problem"

@highlight

Benefit from releasing the shooter's name is "minimal," he says

@highlight

Family's attorney: Police should be transparent, "not try to sweep it under the rug"

@highlight

A witness tells CNN the police officer who shot Michael Brown is white