(CNN) -- Almost before the smoke had cleared at Pearl Harbor, he had enlisted to serve his country in the Army Air Forces. He viewed the war in the South Pacific through the bomb sight of a B-24 Liberator as a second lieutenant and was awarded the Distinguished Flying Cross for bravery.

When he got home to Texas, he was eventually elected to Congress and served 34 years, including a term as speaker of the U.S. House of Representatives.

But Jim Wright found out the other day he wasn't qualified to vote in the election in his home state.

Wright, who no longer drives at 90, tried to get a voter card under a new Texas law and was told his expired driver's license and university lecturer's ID were not adequate proof of his identity. A war hero and former congressman had to go home and dig through old files to return with his birth certificate.

Hurrah for the flag of the free?

Although there has been only one indicted incident of voter fraud in Texas since 2000, Gov. Rick Perry and the GOP-controlled legislature passed a stringent voter ID law.

Perry had argued impersonators jeopardized the sanctity of elections. There had been, however, only four such cases on file with the Texas attorney general from 2008 to 2010, a brief time span during which 13 million people cast ballots. That data had much to do with the federal courts tossing out the Texas ID law as discriminatory against minorities. But a Supreme Court ruling on the Voting Rights Act immediately reinstated the Texas ID law -- which by design was intended to discriminate, as a lower court said.

Texas conservatives and other states pushing voter ID laws are facing demographic destinies they cannot avoid. The laws of mathematics might have prompted the laws of discrimination. According to U.S. Census Bureau figures, in 1990, white children younger than 18 outnumbered Latinos in Texas by 843,000. The 2010 numbers were an almost exact reversal with 995,000 more Hispanic kids than whites.

Assuming new Hispanic voters will follow familiar trends and tend to vote for Democrats, the end of the story for the GOP might just be biology. The average white female in Texas, and the rest of the country, is 41 with a fertility rate of 1.9, according to Census Bureau figures and and the Texas state demographer Lloyd Potter. The Latina female average age, meanwhile, is 25 with a fertility rate of 2.7. No need to be a mathematician to draw that graph.

Women, in fact, are the most likely to be jeopardized by the new Texas law, which requires a government issued photo ID to have your name be "substantially similar" to how it appears on registration rolls.

Unfortunately, divorces, taking a husband's surname, remarriages and retaining maiden names serve to create conflicts between old registrations and current IDs for women. And because younger women don't immediately update their government documentation after marriage, a survey by the Brennan Center for Justice indicates about 34% of them won't be qualified to vote because their names will not match state records.

Because there's no way to measure what doesn't happen, we can't know how many women simply did not vote in the election this week because they didn't have the appropriate photo ID.

The political impact of this plot is expected to be disproportionately significant with the gubernatorial candidacy of State Sen. Wendy Davis, which will likely increase turnout of female voters.

Unsurprisingly, Davis, who is divorced, encountered the problem when she went to cast her ballot in the statewide constitutional election, the first to be held under the law. She was allowed to vote after signing an affidavit confirming she was, indeed, a senator and resident of the state.

Davis' likely GOP opponent for governor is Texas Attorney General Greg Abbott. His name didn't match registration records. His campaign manager said Abbott, too, would have to sign an affidavit.

Abbott, a big supporter of the photo requirement, would not have been able to vote had it not been for Davis passing a last-minute amendment to the voter ID law that allowed the signing of sworn documents to enable voting when records did not match. Davis, essentially, saved the state's attorney general from disenfranchising himself.

And if a law nearly victimizes people with resources and advanced educations, consider its implications for the poor.

Up to a million registered voters in Texas could be without a valid ID to be eligible to participate in elections. How many did not show up at the polls November 5 because of worries about IDs? And Texas isn't exactly making it easy to acquire one, especially if you are a minority.

First, identification has to be confirmed with a document such as a birth certificate, which costs $22 in Texas.

The prospective voter can use that to get a driver's license -- but 81 counties out of the state's 254 don't even have a Department of Motor Vehicle office. Supreme Court testimonies showed that some people would have to drive 250 miles to reach a DMV facility and that in those counties, Hispanics were twice as likely as whites to be without a vehicle.

It's not exactly simple for wage earners in urban areas, either.

There are almost no DMV offices in the inner cities; they are mostly located in suburban areas and only open during work hours. An hourly employee would have to jump a bus out to a DMV location during lunch hour to get an ID. We can assume how often that might happen, which is rarely, especially in a state with almost no viable mass transit.

That's why generous Texas lawmakers funded mobile facilities in 20 counties to help people obtain IDs in locations with limited access to state services. Unfortunately, the Department of Public Safety has only issued about 100, which hasn't made much of a dent in hundreds of thousands of registered voters still lacking legal ID to vote. And that's probably what the legislature and the governor of Texas wanted to happen.

No, that is precisely the outcome they desired.

Texas law continues, however, to respect certain population groups.

In the state Capitol, if you have a concealed carry handgun permit, your gun and you can move right into the building through the security express lane and avoid inspection. That handy little gun card will also get you access to a voting booth, even when a war hero and former U.S. House speaker and potential future governors are temporarily denied.

The kinda, sorta right to vote is still safe in Texas.

Join us Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of James Moore.

@highlight

James Moore: Ex-speaker of the House wasn't qualified to vote in home state of Texas

@highlight

Moore: Tough voter ID law passed even though voter fraud practically nonexistent in Texas

@highlight

Moore: Hispanics, women, the poor, rural and urban folks most likely to be turned down

@highlight

Moore: If you have a concealed gun permit, you can walk right through Capitol