(CNN) -- Faultless service, delicious eateries, see-and-be-seen nightlife venues and fabulous decor are traditionally the key ingredients to creating the kind of hotels that attract the international jet set. But these days, a competitive, wildly diluted hospitality landscape requires hoteliers to come up with more unique ways to engage travelers.

A spate of properties are rising to the occasion with eye-catching arts programing -- from extensive collaborations with arts organizations to interior design that relies as much on paintings and sculptures as it does on furniture to set a scene.

Take the James Royal Palm in Miami. This months-old beachside haven has already gained quite the following for its stunning private rooms and Florida Cookery, the bustling on-site restaurant. But with its Cultural Collection initiative, the hotel has partnered with several local and national creative outfits that will stage site-specific projects exclusive to the property.

New York City-based fashion label Public School, for example, designed the staff's uniforms, and Miami's Museum of Contemporary Art worked with the hotel and artist Jorge Pantoja to craft a five-piece collection of paintings displayed in the lobby.

And across the Atlantic, the recently opened Andaz Amsterdam Prinsengracht is now home to what it says is the largest in-hotel video art collection in the world, transforming the property into more than just a hotel -- it's an art gallery now, too.

So if you'd like a little culture right on your doorstep, check out these hotels with an artful approach to hospitality:

The James Royal Palm, Miami

In addition to the hotel's joint efforts with some of the country's leading arts and culture groups, The James Royal Palm in South Beach also provides a great-looking backdrop for renowned interior designer Lauren Rottet's exquisite taste in art.

Titled An Ocean Apart, the collection's paintings (including the aforementioned works by Jorge Pantoja), digital pieces and sculptures were all hand-picked by Rottet herself. Some are from well-known names such as Alex Prager and Gavin Perry, while others are works by recent art-school grads and future industry luminaries -- like 2012 University of Florida alumnus Chad Cunha -- and can be found and admired all over the property.

Six new spots for architecture lovers

Andaz Amsterdam Prinsengracht

In Dutch design maestro Marcel Wanders, this canal-side property has a national treasure working on its decor and visuals, which would have been enough to garner it well-deserved attention. But walls animated with video creations from art-world celebrities like Yael Bartana, Martha Colburn and Cristina Lucas have made the hotel even more popular among Amsterdam's creative community.

Four Seasons Hotel Ritz Lisbon

Since it opened back in 1959, the Four Seasons' sole outpost on the Iberian Peninsula has been dedicated to supporting local artists and using their works to add Portuguese flair to the hotel's overall design. Now, the property owns no fewer than 500 pieces -- a massive collection on view throughout, from paintings of traditional countryscapes in the lobby to the bronze sculptures of seahorses that decorate the restaurant. To make sense of it all, a digital application is due out this fall to show guests where they can find each piece, who made it and what it's all about

Le Royal Monceau Raffles Paris

Raffles' City of Light outpost has a lot going for it, from the Philippe Starck-designed interiors to a can't-be-beaten address steps away from the Arc de Triomphe and Champs Elysees. Art aficionados will appreciate the on-site bookshop that stocks a wide range of coffee table volumes and catalogs both rare and mainstream, as well as the paintings, photography and installations that show up all over the hotel from international artists like Portuguese sculptor Joana Vasconcelos and English artist Stephen Smith.

If you're in town to experience art away from the hotel, Le Royal Monceau Raffles Paris has its very own art concierge who creates a weekly list of art-related events happening all over Paris, from small gallery exhibitions to private consultations with local dealers.

7 ways to celebrate Florida's 500th

Mandarin Oriental Hong Kong

Hong Kong will be the third destination to play host to Art Basel (after Miami and the title city of Basel), and the Mandarin Oriental there is geared to be the official hotel for the event when it kicks off in May. And why not? Works by aspiring stars of the local arts community can be found on its walls, including those of the Clipper Lounge, a chic watering hole that serves as a launch pad for Hong Kong's hopefuls. Last year, 28-year-old Tang Kwok Hin exhibited his work there, and this year, his creations will make an appearance in Art Basel in a group show called Discoveries.

Faena Hotel Buenos Aires

The Faena Group has created an important art district in Buenos Aires in a revitalized dock area. The Faena Hotel, housed in a converted grain barn, is blocks away from the Faena Arts Center, which opened in 2011 in a former flour mill. Rotating exhibits at the center feature contemporary art from all over the world. The general admission fee of $20 is waived for hotel guests.

Faena has also started a residency program, where an artist gets to shack up at one of the hotel's stylish rooms and work on his or her craft. In November, it was Franz Ackermann -- known for his colorfully bombastic yet abstract creations. Faena also awards a Prize for the Arts. The 2012 winner was Argentine artist Franco DarÃ­o Vico, whose work will be exhibited at the center in July.

21c Museum Hotel, Bentonville, Arkansas

While the rest of the hotels featured on this list hail from some of the biggest cities on the globe, 21c makes the cut for its third outpost, a 2-month-old operation tucked away in Bentonville, Arkansas. 21c has made headlines for delivering properties that nurture the contemporary arts scene in Louisville and Cincinnati. The Bentonville offshoot is equipped with 12,000 square feet of exhibition and event space that will see a rotation of solo and group shows. Eight site-specific installations (from sculpture to wallpaper) from emerging artists like Alexandre Arrechea and Rob Wynne are currently on display.

@highlight

Andaz Amsterdam Prinsengracht features an impressive collection of video art

@highlight

A Lisbon hotel will release a digital arts app to show guests where they can find each piece

@highlight

21c in Bentonville, Arkansas, is a boutique hotel and contemporary art museum