Washington (CNN) -- He was known only as A.J.A.-- a little boy at the center of a international custody fight that went all the way to the U.S. Supreme Court. The near decade-long dispute has now come to an end, not because of any judicial action, but simply because of time.

Alex Abbott turned 16 recently and has officially "aged out" of coverage under The Hague Convention dealing with child abduction across borders. A U.S. federal judge this week signed an order dismissing the case between the boy's parents.

Mother and son now live in Texas. She says the youngster seeks no further contact with his father.

Jacquelyn Vaye Abbott said she was shocked when she heard the news Monday, never quite sure her case would ever be resolved.

"Alex is safe and his own country, that's the most important thing," she told CNN from her office in Austin. "We're whole, we're here, we're safe. Everything else is inconsequential."

The Supreme Court in 2010 ruled the British father could continue his federal appeals in his effort to regain custody of his son, who was taken by his mother from Chile to Texas despite a Chilean court's decree prohibiting either parent from taking the child out of the country without consent from the other.

The judicial appeal tested the power of federal courts to intervene when fights over children go global, and tackled the issue of the scope of international treaty, and whether one country's court order preventing a child from being taken overseas by a parent represented a "right of custody" enforceable in the United States.

The justices, by a 6-3 vote, said Timothy Abbott had such a right of custody and could force the boy's return to Chile, even though courts in that South American nation had said that despite the earlier decree, the father enjoyed only limited power as a non-custodial parent.

The case was tossed back to the lower federal courts. During one recent hearing, the boy told a federal judge why he did not want to live with or see his father.

There was no immediate reaction from Timothy Abbott's Washington attorney to the judge's final order of dismissal.

This custody fight involved a broad mix of nations and nationalities. The father is a British citizen and his estranged wife is an American. They married in England and their son, born in Hawaii in 1995, is a U.S. citizen.

The family subsequently moved to Chile, and the couple separated in March 2003. The mother was later awarded custody of the boy, while the father was granted visitation rights. It was at that point that the Chilean courts issued a decree prohibiting either party from removing the child from the country without mutual consent.

But Jacquelyn Abbott did just that, taking the then-10-year-old boy amid a fight over visitation by the father. She claimed that due to visa restrictions in Chile, she could not find work or rent an apartment.

Timothy Abbott then hired a private investigator who eventually located the child in San Antonio, Texas. Abbott next went to federal court, asking that his son -- known in court papers as "A.J.A." -- be returned to Chile under provisions enforceable by international law.

The Hague Convention on the Civil Aspects of International Child Abduction grants parents in general a "right of custody" and a separate "right of access," ensuring the laws of one country are respected in the others.

More than 80 countries are a party to the treaty, including the United States and Chile.

A federal appeals court in New Orleans concluded the father had only visitation rights, not formal "custody, care and control." It said he could not claim a "right of custody" under The Hague Convention. The judges noted, however, that he had a "right of access," allowing him to see the child in the United States.

But the U.S. Supreme Court later voided that ruling.

"To interpret the convention to permit an abducting parent to avoid a return remedy, even when the other parent holds a ne exeat (custodial) right, would run counter to the convention's purpose of deterring child abductions by parents who attempt to find a friendlier forum for deciding custodial disputes," Justice Anthony Kennedy said.

In dissent, Justice John Paul Stevens said the father's rights were necessarily limited, and he lacked the ultimate power to say where the boy should live. Under the justice's reading of the convention, the father had authority only "to seek assistance from this country in carrying out the Chilean family court's visitation order."

But the now-retired Stevens accurately predicted the Abbott child could, under Texas law, eventually have a vital role in deciding where he would live. "So no matter what we do, the child may actually provide the answer to this case," he said when the case was argued two years ago.

The Abbott case has been cited in other similar custody disputes involving the United States, Italy, and Mexico.

Jacquelyn Abbott expressed frustration that her estranged husband used an international treaty and the federal courts to try to thwart earlier Chilean court decisions.

"My husband had threatened that he would do anything to leave me with nothing, including my child, despite the fact the (Chilean) courts had granted me full custody. So he tried to drag this out for as long as he could. And my son has been waiting for years for strangers to decide his future. The (Hague) treaty leaves too much room for abuse by a vengeful parent."

Jacquelyn Abbott has tried without success to get a divorce from her husband, who has long objected.

She said her son has adjusted surprisingly well to all the personal turmoil in his young life. "He's very relieved when I told him last night about the court order," she said. "He just smiled and said, 'That's very good news, indeed.'"

The Supreme Court case was Abbott v. Abbott (08-645).

@highlight

A case involving an international treaty and parental custody rights is closed

@highlight

Courts in Chile and the United States had issued different rulings in the case

@highlight

The question is left unresolved when the boy at the center of the case turns 16