(CNN) -- Ten years after the fall of Saddam Hussein, Iraq remains "enmeshed in a grim cycle of human rights abuses," Amnesty International said in a report Monday.

"Many Iraqis today enjoy greater freedoms than they did under his Ba'athist regime, but the fundamental human rights gains that should have been achieved during the past decade have signally failed to materialize," said Hassiba Hadj Sahraoui, Middle East and North Africa deputy director at Amnesty International.

Attacks on civilians, the torture of detainees and unfair trials permeate the country, Amnesty International said.

The report said government forces commit torture with impunity, especially against those arrested on suspicion of carrying out terrorism acts.

There was no immediate reaction from the Iraqi government.

Methods of torture

Methods of torture reported by detainees include electric shocks; including to the genitals; partial suffocation with a bag placed tightly over the head; beatings while suspended in contorted positions; and the deprivation of food, water and sleep, Amnesty said.

"Detainees have alleged that they were tortured to force them to 'confess' to serious crimes or to incriminate others while held in these conditions," the group said. "Many have repudiated their confessions at trial only to see the courts admit them as evidence of their guilt, without investigating their torture allegations, sentencing them to long term imprisonment or death."

129 hangings

Such death sentences contribute to one of the highest execution rates in the world, Amnesty said. Last year, 129 Iraqi prisoners were hanged.

"Death sentences and executions are being used on a horrendous scale," Sahraoui said. "It is particularly abhorrent that many prisoners have been sentenced to death after unfair trials and on the basis of confessions they say they were forced to make under torture."

Amnesty International opposes the death penalty worldwide.

Sectarian strife

Sectarian strife also continues to plague the country, where Shiite Muslims dominate the central government.

Thousands of demonstrators in Sunni-dominated areas have protested the arbitrary detention and abuse of detainees, Amnesty said. The protesters also denounced what they say is government discrimination against the Sunni population.

Sunni armed groups, meanwhile, continue to attack not only government targets but also Shiite civilians, including religious pilgrims, the group said.

Last month, Iraq's top judicial committee accused Sunni Vice President Tariq al-Hashimi's security detail of carrying out 150 attacks against security forces and civilians between 2005 and 2011.

Al-Hashimi denied those allegations, saying they are politically motivated.

This year marks the 10th anniversary of the U.S.-led invasion in Iraq. The country has struggled to define itself, even after U.S. troops withdrew from Iraq at the end of 2011.

Violence has dropped dramatically But insurgent attacks against civilians and security forces persist.

Many areas are still smoldering with sectarian tension and political infighting.

CNN's Neda Farshbaf contributed to this report.

@highlight

Amnesty International says the torture of detainees and unfair trials plague Iraq

@highlight

The group says detainees are tortured into confessing and sometimes sentenced to death

@highlight

Reported methods of torture include shocks to the genitals, beatings and partial suffocation

@highlight

Sectarian strife between Sunni and Shiite Muslims also plagues the country