(CNN) -- Iraq is placing big stakes on the success of this week's Arab League summit in Baghdad.

"It is a recognition of the new Iraq that emerged since 2003 by its new leaders, its new constitution, its new policies, its new political system at the heart of the Middle East," Iraqi Foreign Minister Hoshyar Zebari said Monday.

"This summit could truly be called the Arab Spring summit," he declared. Previous summits included Arab leaders who no longer hold power due to the uprisings in several nations, including the late Libyan leader Moammar Gadhafi, former Egyptian President Hosni Mubarak, former Tunisian President Zine el Abidine Ben Ali, and former Yemeni Persident Ali Abdullah Saleh.

Zebari described the summit as "the most important event for Iraq."

It will mark the first time Arab leaders have held the summit in Iraq since 1990.

The summit will take place Thursday, but it is considered a three-day event because many leaders begin gathering Tuesday.

The country is spending more than half a billion dollars on it, Zebari said.

U.S. President Barack Obama has highlighted the summit's importance as well.

"For the first time in two decades, Iraq is scheduled to host the next Arab League summit. And what a powerful message that will send throughout the Arab world," he said in a December news conference with Iraqi Prime Minister Nuri al-Maliki.

"People throughout the region will see a new Iraq that's determining its own destiny, a country in which people from different religious sects and ethnicities can resolve their differences peacefully through the democratic process."

The gathering tests Iraq's ability to provide critical organization and security in the country where deadly violence remains a weekly norm.

It was originally scheduled to be held in Baghdad last year, but was postponed due to the unrest.

Last week a militant group with links to al Qaeda claimed responsibility for a deadly wave of bombings, saying they were designed to undermine security for the summit.

The blasts were meant to target the security plan "of the government of fools inside the Green Zone, in preparation of the meeting of Arab tyrants in Baghdad," said a statement from the Islamic State of Iraq, an umbrella group that includes al Qaeda in Iraq.

The Interior Ministry said "all protective measures" have been taken to host the delegations and media at the summit.

In a statement, the ministry described the summit as a "great political achievement that suits Iraq's importance and geopolitical position in the region." It slammed terrorists "racing to prove their propaganda presence by carrying out hysterical acts aiming to affect the atmosphere of the summit."

Unprecedented security measures are in place for the event.

While the interior ministry has said it's unlikely roads will be closed off or a curfew will be imposed, the capital already appears to be in a state of lockdown.

Most of the main roads in central Baghdad, including those leading to the Green Zone -- the highly fortified area that includes government buildings -- have been cut off to vehicle traffic.

Cars are being thoroughly inspected at checkpoints, causing hours-long delays.

But similar checkpoints did not stop the large-scale bombings that recently hit the capital.

Following those attacks, Iraq announced a national holiday from March 25 to April 1. The traffic jams and additional security measures are keeping most people indoors -- and many who still need to get to their jobs are making their way on foot.

"How can we survive, how can we live?" asked Abu Ahmad, a street vendor. "I live from day to day and I make about $10 U.S. a day to support my family. Now how can I support my family in those coming days?"

"This is not the time for this summit," said another angry Baghdad resident. "If it was the right time, they would not have to shut everything down.... Shame on them. For weeks they have been planning on how to protect Arab leaders while Iraqis are not protected."

But Iraqi leaders insist the summit is shaping up to be a success.

All member nations plan to attend, except Syria, Zebari said Monday. Syria was not invited because its membership was suspended amid a violent government crackdown on an uprising,

The league includes 20 countries in addition to Iraq and Syria. Zebari said it's unusual to attract leaders from all the invited countries.

He did not say who would represent each country.

One leader who will attend is Sudanese President Omar al-Bashir, who is wanted by the International Criminal Court on charges of war crimes and genocide. Iraqi state television reported Bashir's plan on Sunday.

Bashir has traveled to other Arab countries despite the ICC warrants against him for alleged war crimes and genocide in the Darfur region, where rebels have fought government forces and allied militiamen such as the Janjaweed since 2003.

Arab League Secretary-General Nabil Elaraby arrived Sunday in Baghdad with a small delegation in advance of the summit.

The agenda includes 10 central issues, the most important of which is Syria, Zebari said.

While the Arab League has discussed Syria at numerous meetings in recent months, Zebari said the summit will be "a golden opportunity for the Arab leaders to think together collectively" about the mounting crisis and stalemate.

Other issues include Somalia, Yemen, the Arab-Israeli conflict, international terrorism and making the Middle East free of weapons of mass destruction, Zebari said.

To prepare for the big event, ministries were allocated about $500 million for expenses including building and renovation of palaces, hotels, convention centers, and more, said Zebari.

Baghdad municipality and other agencies have spent to cover costs related to the summit as well, he said.

It is Iraq's biggest challenge in many years, said Zebari, pointing to the era under Saddam Hussein when Iraq was sanctioned and boycotted.

"In fact, this country was isolated many years ago," he said, adding that that's why the summit "is a very, very important thing."

From CNN's Josh Levs, Jomana Karadsheh, Arwa Damon, and Mohammed Tawfeeq

@highlight

It could be called the Arab Spring summit, foreign minister says

@highlight

Iraq has spent more than half a billion dollars to prepare

@highlight

President Obama said people throughout the region will see "a new Iraq"

@highlight

The top issue at the summit will be Syria, Iraqi diplomat says