(TIME.com) -- Two of Emily Cunningham's three children have food allergies. And protecting her kids is taking toll on the family budget.

When she was nine months old, Cunningham's four-year-old daughter Elena ate a spoonful of yogurt and broke out in hives. Elena is allergic to eggs, tree nuts, dairy and peanuts, and even brief contact with one of the these hard-to-avoid items is all it takes to set off a potentially life-threatening immune reaction.

Cunningham's eight-month-old son Wyatt has a bad dairy allergy too.

In order to keep their kids safe and healthy, Emily Cunningham, a stay-at-home mother from Charlotte, North Carolina who writes the AllergenMenuMom blog, and her husband keep a completely allergy-free home, buying only food products that are free of any trace of their children's triggers.

But that protection comes at a high price. Between breathing medications and epipens of epinephrine, a drug used to treat anaphylactic shock, the Cunninghams spend about $1,000 a month to safeguard their children from their allergies, and that's before the grocery bill. Emily estimates her family spends $80 a month just on rice milk.

TIME.com: How nut allergies made me monogamous

About 4% to 6% of U.S. children under age 18 have food allergies, and the latest statistics show this percentage may be on the rise.

Why so many kids are experiencing allergies to common food items still isn't clear, although experts suspect that some of the trend can be attributed to improved public health and sanitation efforts that may have made us too clean to build strong enough immunity to common allergens found in food and the environment. Kids not eating things like nuts and shellfish at an earlier age may also contribute to the rise in food allergies.

Regardless of how the shift began, however, researchers reporting in the journal JAMA Pediatrics say that the economic cost of food allergies is also reaching a peak, with families like the Cunninghams spending an estimated $25 billion per year, or about $4,184 per child. About $4.3 billion of those costs involve direct medical fees such as medications and emergency treatments for allergic reactions, with $20.5 billion going to additional yearly costs to families.

TIME.com: Why we're going nuts over nut allergies

While other studies have investigated the economic toll of food allergies, few have studied in detail how these costs affect a family's finances.

A 2011 study published in the Journal of Allergy and Clinical Immunology, for example, calculated that the national cost was much lower at about $500 million, but the authors acknowledged that they underestimated the prevalence of food allergies, and excluded some other costs families cover, such as higher fees for special foods and lost productivity of parents who had to sacrifice their jobs to care for their children.

TIME.com: Being born in the U.S. puts kids at higher allergy risk

For the new estimate, the researchers looked at both direct medical costs like hospital visits, co-payments and medication purchases, as well as other costs that are unique to families of children with food allergies â€” including special child care arrangements, allergy-friendly summer camps and even changing schools.

"I am the room mom for [Elena's] class so I can be directly involved in planning activities," says Cunningham. "I always make sure I know what is being brought in when another child has a birthday, and during special events I provide safe alternatives for my daughter, which are as similar as possible to the treats the other kids will have."

The study authors also accounted for less direct costs, such as in lost career opportunities for parents of food-allergic children, which they estimated at $14.2 billion.

Overall, they found that caring for a child with major food allergies harms a caregiver's career, primarily because many parents, who live with the specter of imminent -- and often emergency -- care, choose to be around their children more frequently to ensure they are safe from exposure. Emily, for example, quit her job as a speech therapist to stay at home, and her husband Justin left his banking job to create apps that help families find restaurants that provide detailed information about their menu ingredients.

How can these costs be lowered?

The authors of the study say more policies that ensure safe environments for kids could provide some relief. A month ago, the Senate began considering a bill that would give states an incentive to make epinephrine more widely available.

States that allow schools to stock epinephrine are given preferential status when they apply for federal grants for asthma funding. The bill also encourages schools to allow trained staff instead of only nurses to administer epinephrine to students who may be having a reaction, and requires states to ensure that administrators have legal protections when they try to help students who might be in allergic shock.

TIME.com: Genetic glitch may explain most allergies, asthma

But will making more places "safer" cut back on costs?

In some ways, yes. But Dr. Carla Davis , pediatric allergist and immunologist at Texas Children's Hospital says families will start to see the greatest decreases in costs once better treatments are developed.

For instance, researchers are looking into oral treatments that could potentially "cure" children of their allergies by building their tolerance with repeated exposures to tiny amounts of the allergen. Doctors are encouraged by early results that suggest such de-sensitization can lessen the chances that allergic children will experience anaphylactic shock if they are exposed.

More options for treating immediate reactions can also lower costs of devices like epinephrine devices; when the new epinephrine auto-injector, Auvi-Q,which is slimmer and more portable that previous models, was launched last year, more coupons and discounts were available for epi pens overall.

TIME.com: Bullying over food allergies

"A little competition has made a big difference for a lot of families," says Cunningham. "The number of people dealing with foods allergies is promoting more products to become available, which should help with affordability and availability of options."

This article was originally published on TIME.com

@highlight

About 4% to 6% of U.S. children under age 18 have food allergies

@highlight

Families with food allergies are spending an estimated $4,184 per child per year

@highlight

Costs include special child care arrangements, allergy-friendly summer camps or schools