(CNN) -- A Chinese ship detects pulse signals deep in the Indian Ocean at the same frequency used by so-called black boxes like the one aboard missing Malaysia Airlines flight 370.

After almost a month of fruitless searching, hopes mount for final answers about what happened to the plane carrying 239 people that disappeared almost a month ago.

However, experts disagree whether Saturday's news is a breakthrough or another dead end, raising new questions about what the pulse signal means and what happens now.

Is this it?

Maybe.

The signals reported -- 37.5 kHz -- "is the standard beacon frequency" for the plane's cockpit voice recorder and the flight data recorder, said Anish Patel, president of pinger manufacturer Dukane Seacom.

That frequency was chosen for use in the recorders "to give that standout quality that does not get interfered with by the background noise that readily occurs in the ocean."

China's Xinhua news agency reported the detector deployed by the Haixun (pronounced "high shuen") 01 patrol ship picked up the first signal around 25 degrees south latitude and 101 degrees east longitude, adding "it is yet to be established whether it is related to the missing jet."

That location is outside the previously announced search areas for the missing plane off the western coast of Australia in the Indian Ocean. A Chinese search plane also reported seeing white objects on the ocean surface, according to Xinhua.

Later Saturday, the head of the Joint Agency Coordination Centre in Australia that is overseeing the search said there was "no confirmation at this stage that the signals and the objects are related to the missing aircraft." The statement said the floating objects were 90 kilometers, or about 55 miles, from where the pulse signal was detected.

Relatives react

What's the difference between the devices?

The most recent finds came from a Chinese ship slowly moving through the southern Indian Ocean.

So what was it doing?

Video on Chinese state-run CCTV shot Saturday shows crew members from the Haixun 01 boarding a small yellow dinghy and using what appears to be a handheld hydrophone.

The three men on board lower the device into the water on a pole.

A CCTV correspondent aboard the Haixun 01 reported that the first 37.5 kh signal was detected for 90 seconds.

CNN spoke to the U.S. company that makes such devices.

Handheld pinger locating devices were first built for scuba use, said Justin E. Manley, senior director of business operations for Teledyne Benthos.

The equipment starts at a list price of about $8,000; with all the options it costs about $16,000, according to the company.

Manley said holding the device over the side of a vessel may not be the best option, but it should work.

The handheld device used by the Chinese is much different from the U.S. Navy hydrophone -- or underwater microphone -- called a towed pinger locator. One is on board the Australian ship Ocean Shield, which recently joined the search for Flight 370.

This high-tech listening device can glide along near the bottom of the sea. The towed pinger locator, or TPL, is 30 inches long and weighs just 70 pounds.

It's towed behind the ship that generally moves at slow speeds, generally from 1 to 5 knots.

The device can pick up the pinger sound in depths reaching 20,000 feet. A pinger can be detected at a range of 1 to 2 miles.

The TPL is more sensitive, more expensive and, since it is towed in the ocean, will have a better detection range, said Tom W. Altshuler, vice president and group general manager for Teledyne Marine Systems.

"One is designed to find a pinger in deep water, the other is designed to find a pinger in shallow water," said Altshuler.

What now?

Searchers need more equipment in the area where the pulse signal was detected to determine if it comes from airplane wreckage.

It is a race against time, because the batteries for the acoustic pingers on Flight 370 could run out soon. They are expected to last at least a month once a plane goes down, but would then begin to lose strength. According to Malaysian officials, the batteries on the missing plane were due to be replaced in June under a regular maintenance schedule.

What happens after the pingers die?

"I'd like to see some additional assets on site quickly -- maybe some sonobuoys," Patel said, referring to 5-inch-long (13-centimeter) sonar systems that are dropped from aircraft or ships.

Confirmation that the signal comes from the Malaysia Airlines Boeing 777 would mean "the possibility of recovering the plane -- or at least the black boxes -- goes from being one in a million to almost certain," said Simon Boxall, a lecturer in ocean and earth science at the University of Southampton.

Up to 10 military planes and three civilian aircraft -- in addition to 11 ships -- searched Saturday for any sign of Flight 370, according to Australian officials. The British submarine HMS Tireless was in the search area, Malaysia's acting transport minister said.

Retired Air Chief Marshal Angus Houston, the chief coordinator of the JACC, said officials were considering deploying search assets to the specific area where the Chinese ship detected the pulse signal.

Clancy: Never had a story with 'so few facts, so much speculation'

CNN's Tom Watkins, Laura Smith-Spark, Will Ripley, Ingrid Formanek, Kevin Wang, Ben Brumfield, Pam Brown, Elizabeth Joseph, Aaron Cooper, Mike M. Ahlers and Rene Marsh contributed to this report.

@highlight

Pulse signals may be from the airliner with 239 people aboard missing for almost a month

@highlight

They also could be some other pulse-emitting device or even natural sound

@highlight

Experts disagree on the likelihood the plane has been found

@highlight

Some question the report by China's state-run news agency