Atlanta (CNN) -- Architect Ryan Gravel has lived in Atlanta, Georgia for more than 20 years, watching the city grow as it strives to compete among the world's finest.

"Great cities are great places to live and they're really vibrant and diverse," Gravel said. "Atlanta has a lot of those qualities, but it really needs to be sort of kick-started and prepare for the future."

With a growth in suburban sprawl in recent decades, Atlanta has acquired a reputation for unbearable traffic and poor public transportation.

But a project originally inspired by Gravel's 1999 graduate thesis is helping to change that perception, tapping into Atlanta's potential and steering it onto a more sustainable path for the 21st century. The Atlanta BeltLine is revitalizing a 35-kilometer (22-mile) loop of abandoned railway line, transforming the land and adjacent brownfield sites into attractive new public spaces.

With walking trails, cycle paths and parks dotted along the route, the project is helping connect 45 city neighborhoods. When it is completed, the BeltLine will have regenerated around 3,000 acres of land.

See Also: LA's green city challenge

Construction began in 2007, with the first trail (the West End) opening the following year. A Northside trail has since opened, with another, the Eastside, due to open this summer.

Along the route, residents can stop off in one of four parks, including D.H. Stanton Park (Atlanta's first energy-neutral park) and the Historic Fourth Ward Park, which has transformed 17 acres of wasteland into a "glistening oasis" according to developers.

And thanks, in part, to a $25,000 donation from famed skateboarder Tony Hawk, the BeltLine has also created Atlanta's first public skatepark.

Atlanta was losing population in the 1970s and 1980s Gravel says, but now the urban core is growing faster than most of the suburban counties.

"You've got thousands of people moving back into the city and that creates a lot of opportunities to leverage that growth to create the kind of place that we all want to live," he said.

"If we want to live compactly, sustainably and transit oriented, the BeltLine and that growth presents the opportunity to create that kind of place," Gravel added.

"Green space is kind of the living room of the city and as more people move into the city it becomes more and more important to have spaces where people can go get out of their homes and apartments and enjoy the diversity and life of the city."

Major work still needs to be completed and local voters will decide in July whether to raise taxes to pay for the work and a lengthy list of other transportation projects.

All the time and money being plowed into updating Atlanta's infrastructure proves that the city is "growing up," Gravel says.

"We're figuring out who we are and what we want to be. And there's a lot of opportunities. The Olympics were a big one, part of that. The BeltLine is the next big major move that starts to redefine us and create who we are going to be when we grow up."

@highlight

Atlanta BeltLine project is regenerating a 35-kilometer loop of land around the city

@highlight

Idea to transform disused railway line land was conceived by Atlanta resident Ryan Gravel

@highlight

Project hopes to redefine image of Atlanta as a sprawling city dominated by the cars and highways