(CNN) -- If there's only one African musician you've heard of, it's probably my father: Fela Kuti. His innovative musical style and flamboyant showmanship made him famous not just in Nigeria, but throughout the world as he pioneered what became known as Afrobeat. But Fela Kuti was more than a musician -- he was also a legendary activist, who with many other brave Africans was jailed for speaking out.

One of the great injustices of our time is that some of the poorest people in the world are living on top of some of the Earth's richest resources of oil, gas and minerals. But rather than benefiting from this wealth, they're too often being robbed of it. In many African countries, the deals to extract these resources are done in the dark, with no information made available to citizens who deserve to know what their natural riches were sold for, and whether the money went to the national budget, or someone's Swiss bank account.

As world leaders gather for the G20 summit in Brisbane, Australia, this weekend, it's time to draw a line in the sand over the corruption that wracks Africa. After all, you don't have to visit Lagos or Abuja to see the disparity between the haves and have-nots. Indeed, given revelations of government officials from some of Africa's poorest countries owning luxury homes in the United Kingdom, United States and France, it is clear we need strong international transparency laws to help ensure such assets aren't purchased with money stolen from public coffers.

But this is no longer my father's fight. It's time for the next generation of activists to hold today's leaders accountable to their people.

Corruption is not just an African problem; it's a global issue. In today's globalized world, where stolen money can be wired instantly from one country to another, we need global action to end corruption. After all, it takes two to tango. Although a corrupt official or business in Africa may be the one stealing money, those funds often end up in bank accounts and anonymous shell companies based in supposedly reputable financial centers like London, New York and Hong Kong.

Take, for instance, the case of former Nigerian military dictator Sani Abacha. During his five-year reign in the 1990s, an estimated $3 billion to $5 billion of public money went missing. It is widely believed that much of that money ended up in bank accounts and shell companies in Europe and the United States. The Nigerian government has spent the past decade trying to find and recover it, with only modest success.

With this in mind, we need to start by asking powerful countries to stop enabling the flow of ill-gotten spoils from developing nations to their shores. Rich nations must pull up the welcome mat to criminals and they have a great opportunity to do just that at the upcoming G20 summit.

So what practical steps can the G20 take to crack down on corruption?

First, they should require companies to publicize the names of their owners so that anonymous companies can no longer be used to steal the riches of developing countries. Second, they should endorse mandatory transparency laws for oil, gas and mining companies so citizens can follow the money and hold their governments accountable for the effective use of natural resource wealth. And finally, the G20 should lead on greater tax transparency for companies, making information publicly available that can be used to ensure that businesses pay their fair share of taxes to governments.

We cannot lose sight of the impact of corruption on real human beings. According to The ONE Campaign, nearly $1 trillion each year is siphoned out of developing countries through shady deals and money laundering, with sizable amounts of that money ending up in the world's richest countries and offshore tax havens. This money could and should be used to build hospitals, schools, roads and infrastructure necessary to save and improve millions of peoples' lives.

For decades, my father, and countless activists whose names history has forgotten, risked their lives to expose corruption and bring people to act, urging them to stand up for justice and human dignity. Now is the time for world leaders meeting in Australia to honor their legacy by tackling the problem of global corruption with smart, meaningful action.

@highlight

Many of the poorest people live in resource-rich nations, says Femi Kuti

@highlight

Kuti: Corruption not just an African problem; it's a global issue

@highlight

G20 should take steps to tackle corruption, says Kuti