New York (CNN) -- Let's imagine this terrifying scenario for a moment. You come home from a long day of work and sit in front of your computer to try out your newly purchased copy of the video game Assassin's Creed 2, and then ... nothing happens. You face an immobile title screen. You check to make sure everything's plugged in -- yup, sure is -- and simply cannot figure out what's going on. "Why doesn't this game work? It cost me $60!"

Meanwhile, on the other side of town, some no-good 12-year-old is illegally downloading the game from the Internet and playing it way past his bedtime. Whom do you blame?

You blame the game's publisher, Ubisoft, for implementing the most egregious form of digital rights management (DRM) ever seen by mere gamers; in order for the game you bought at a store to work, it has to interact at all times with the company's server online. Consumers, naturally, are the ones to suffer. Thanks, Ubisoft.

The French video game giant has created a form of DRM that made its big debut this week with the highly anticipated release of the PC version of Assassin's Creed 2. (The game came out for the Xbox 360 and PlayStation 3 in November.)

DRM is an "access control technology" used by publishers and other content owners to prevent piracy by placing limitations on how you use their products. It is always annoying, almost by definition, but Ubisoft's latest implementation is particularly onerous and has caused a giant kerfuffle in the gaming world.

The most glaring problem is the requirement that you always be connected to the Internet for the game to work. Now, in today's environment of widely available broadband, that might not seem like such a big deal. But unless you have a perfectly flawless Internet connection (or live in the middle of nowhere), you're going to run into problems -- namely that you won't necessarily be able to play the game when you want.

The Wi-Fi routers typically used by consumers are cheap, flimsy things, and it's not uncommon for the signal to frequently "die." (I have a D-Link wireless router, and it dies four or five times per day.) Without a constant connection to Ubisoft's servers, the game disconnects; you lose your game and have to wait for your connection to come back to start again. This is an offline-only game, mind you, not an online multiplayer game like World of Warcraft. You shouldn't have to connect to any server at all.

Imagine putting a new Blu-ray disc into your player and having the movie play for five minutes and then returning to the title screen because the player decided it didn't like the color of your shirt. Would you tolerate that?

Yes, you can almost understand where Ubisoft is coming from. It's merely taking the only course of action that it and other publishers think will stymie piracy. (It won't.) Ubisoft is part of a lucrative industry that is doing everything it can to protect its content.

Video games made $20.2 billion in 2009 and $22.11 billion the year before (the industry blames the recession for the slight dip). Estimates abound on what piracy costs the industry: The best-selling game of 2009, Activision's Modern Warfare 2, is said to have been illegally downloaded more than 5 million times, according to BitTorrent news site TorrentFreak. At $60 per copy, that's $300 million down the drain for the company.

Even going back to the days of floppy discs, publishers have made users do such things as inputting (only once, and not over the lifetime of the product, as Ubisoft now requires) a unique serial number at installation to prevent the disc from being passed around the office or university computer club.

Up until very recently, the only music Apple sold on its iTunes Store was wrapped tightly with DRM; songs could be played on only one iPod at a time. The music industry thought this would help ensure its survival, but it had long since alienated its customers with years of higher-than-necessary CD prices and uninspired pop acts hogging the spotlight (a discussion for another day).

And plain old DVDs have always had DRM, too. Ever try to copy a DVD to your laptop? It's impossible without special (and illegal, I might add) software.

As a consumer, your options with Assassins Creed 2 are fairly limited, which has caused the ongoing uproar on gaming Web sites. The new DRM cannot be circumvented legally -- you could pirate the game, but that would be stealing from the game developers' tables -- and Ubisoft has said the system is here to stay. Good luck trying to return the game, too, since many stores have a policy of only allowing a direct, one-to-one exchange of opened PC games.

The best part? The DRM has already been hacked! That means unscrupulous pirates are able to play the game without having to deal with DRM at all. They get off scot-free while legitimate customers have to jump through hoops to use what they actually paid for. That'll teach you to spend your money like an honest person. [A Ubisoft representative said that gamers who download and play a hacked version "will find that their version is not complete."]

All of this, of course, assumes that Ubisoft's DRM servers are even working to begin with. This past weekend, the servers were down for several hours. Ubisoft initially claimed that it was because of "exceptional demand" but later admitted to being the victim of a denial of service attack, leaving legitimate customers completely unable to play the game.

Think of all the time, money and effort that Ubisoft invested in coming up with this DRM, only for it to be broken before the big game even came out, and then for the servers themselves to go down. That's time, money and effort the company could have put toward, you know, just making a good game.

The opinions expressed in this commentary are solely those of Nicholas Deleon.

@highlight

Nicholas Deleon says game's rights management can shut down play

@highlight

Game company requires constant Internet connection to work, he says

@highlight

Digital rights management meant to protect content, but consumers suffer, he says

@highlight

Deleon: Hackers can, and do, break through content protections anyway