(CNN) -- Casey Anthony, accused of killing her 2-year-old daughter Caylee in 2008, was determined competent to proceed with her capital murder trial after she was examined by three psychologists over the weekend, the judge said Monday.

The psychologists' reports will be sealed, said Orange County Chief Judge Belvin Perry Jr. outside the presence of the jury.

"Based on privileged communications between Casey Marie Anthony and her counsel, counsel reasonably believes that Ms. Anthony is not competent to aid and assist in her own defense and is incompetent to proceed," said the motion, filed by defense attorneys Saturday under seal and made public Monday. "As a result of this well-founded concern, counsel requests a full competency determination before the continuation of trial proceedings."

It was implied -- but not expressly stated -- that the motion was the reason for the abrupt recess Perry called on Saturday morning.

Anthony, 25, is charged with seven counts, including first-degree murder, aggravated child abuse and misleading police, in her daughter's death. Prosecutors are seeking the death penalty against her.

Anthony's defense team is trying to discredit the prosecution theory that the Orlando woman rendered Caylee unconscious with chloroform, duct-taped her mouth and nose, and stored the body in her car trunk for a few days before dumping it in the woods.

The defense says Caylee accidentally drowned in the family pool and that Anthony and her father, George, panicked and covered it up. George Anthony has denied that theory.

Anthony's defense attorneys also filed a motion Monday asking Perry to reconsider an earlier decision and declare Florida's death penalty law unconstitutional.

The motion cites a June 20 decision by U.S. District Judge Jose Martinez, which found the method used to reach a death sentence in Florida is improper "because it does not require a jury to make the findings of fact necessary to impose a death sentence."

Anthony's attorneys had previously filed a motion asking for the statute to be declared unconstitutional, and Perry denied it. After the Martinez decision, they are asking him to reconsider.

"Because Florida's death penalty procedure is unconstitutional, the death penalty should be precluded as a potential sentence," according to the motion.

In the case Martinez ruled on, Evans v. McNeil, the jury recommended a sentence of death on a 9-3 vote but did not say on which aggravating factors it based the decision. A motion to alter or amend has been filed in the case -- basically a motion asking Martinez to reconsider.

Jurors heard Monday from two men who worked for Casey Anthony's parents, George and Cindy Anthony, after Caylee's disappearance on June 16, 2008.

Private investigators James Hoover and Dominic Casey both said they provided security services at the Anthony home from "protesters" who would show up. Hoover said he was working as a citizen although he is a licensed private investigator.

The two said they spent two days in November 2008 searching a wooded area for Caylee's body. The search site was near where the remains were found a month later. A videotape of that search was played for jurors.

Casey told defense attorney Ann Finnell the search was prompted by a phone tip he received from a psychic.

Both defense attorney Jose Baez and prosecutor Linda Drane Burdick accused Hoover of attempting to cash in on his association with the case by trying to sell the tape of the search, but he denied that, saying he actually thought he had taped over the search and only discovered later he had not.

He did say he at one point was going to sell some photographs of the search and give the money to Casey and the Anthony family. "I didn't need it," he said.

Jurors also heard from Kenneth Furton, a professor of chemistry and biochemistry at Florida International University and director emeritus of the university's International Forensic Research Institute. Furton testified that he studies chemicals emitted by both live and dead people.

Chloroform can be given off in small amounts by a decomposing body. One prosecution expert, Arpad Vass of Tennessee's Oak Ridge National Laboratory, described the levels of the substance in the trunk of Anthony's white Pontiac Sunfire as "shockingly high." Several witnesses also testified for the state about odors that they said smelled like the unmistakable scent of human decomposition.

Furton said there are alternative explanations for the chloroform found in the trunk, noting the compound is found in a number of household items, particularly bleach.

On his cross-examination, prosecutor Jeff Ashton held up the black spare tire cover from Anthony's trunk. Furton acknowledged that if bleach had been poured directly on the carpet, the cover would have showed some evidence of that.

Also, Furton said, the chemical reactions that produce chloroform also produce other substances. Testing was not done to determine whether any of those substances were present, he said -- either by him or by the Oak Ridge laboratory.

Furton said there is no instrumentation that can record with scientific validity the presence or absence of human decomposition, and said his studies suggest there are chemical compounds unique to human decomposition that were not present in Vass' analysis of the air samples from the trunk.

On cross-examination, however, he acknowledged that a decomposing human body would explain the presence of the compounds that Vass found, but Furton said a bag of garbage that was left in the trunk for weeks could have contributed.

Before a lunch break, Furton testified that the Oak Ridge laboratory should have done a quantitative analysis to determine how much chloroform was present in the trunk in order to state its importance.

Orange County Sheriff's Office Detective Yuri Melich, the lead investigator in the case, was also recalled to the stand Monday. Baez questioned Melich in an effort to cast doubt on the thoroughness of the investigation.

Under questioning, Melich acknowledged that he did not subpoena George Anthony's cell tower records, showing where he was when calls were made or received. Asked whether that might have helped investigators, Melich said it would have, "if I had had a reason to believe it would play a part in this case, which at the time I did not."

He said he also did not seize a computer belonging to Roy Kronk, the meter reader who discovered Caylee's remains in a wooded area near the Anthony home on December 11, 2008. Melich testified he had no reason to do so.

Melich also said that cadaver dogs were not deployed on George and Cindy Anthony's cars, only on Casey Anthony's. On cross-examination, Burdick asked Melich whether anyone ever reported that either of those cars smelled like a dead body, and he said they did not.

Monday marks the beginning of the sixth week of testimony in the trial, which began with opening statements on May 24.

Perry originally told jurors, who are being housed in an Orlando hotel shielded from media coverage of the trial, that the trial could last six to eight weeks.

On Friday -- before Saturday's delay -- Baez said he expected the defense to rest on Wednesday or possibly Thursday. That would leave room for a rebuttal case from the prosecution and closing statements before the Independence Day holiday. Saturday was planned as a full day in the trial, and it was unclear how the day's delay would affect those plans. Testimony on Monday lasted until after 7 p.m.

Caylee was not reported missing to police until July 15, 2008, when Cindy Anthony, tracked down her daughter Casey and demanded answers regarding Caylee's whereabouts. Prosecution witnesses described Casey Anthony's behavior in the month after Caylee was last seen as nonchalant, testifying that she spent time with her boyfriend, went shopping and to nightclubs -- but told no one her daughter was missing. They testified they noticed no change in her demeanor.

Baez said in his opening statement that Anthony behaved as she did because years of sexual abuse by her father had conditioned her to conceal the truth and hide her pain.

George Anthony has denied the claims that he abused his daughter or helped conceal his granddaughter's death.

In Session's Grace Wong, Jean Casarez, Jessica Thill and Michael Christian contributed to this report.

Watch Nancy Grace Monday through Sunday starting at 8 p.m. ET on HLN. For the latest from Nancy Grace click here.

@highlight

NEW: Jurors see a videotape of a November 2008 search for Caylee's remains

@highlight

The defense motion cites a June 20 ruling by a federal judge

@highlight

Three psychologists examined Anthony over the weekend at her attorneys' request

@highlight

The judge abruptly called a recess in her murder trial Saturday