(CNN) -- It was smooth sailing in the House, but things are looking much tighter in the Senate for a bipartisan budget proposal that aims to avert another government shutdown and relax sweeping forced spending cuts.

Still, despite strong opposition from Republicans to the compromise, supporters are within striking distance of rounding up the votes they need to pass it in the Senate next week.

Top aides in both parties privately expressed confidence on Friday the bill will get the necessary support, even if a couple of wary moderate Democrats end up voting "no."

At least four Republicans told CNN they are committed to backing procedural votes needed to pass the measure.

That gets the 55 Senate Democrats â€” most of whom are expected to support it -- close to the 60 votes needed to get the legislation through the chamber.

Final congressional approval of an elusive budget agreement that was overwhelmingly approved in the House and supported by the White House would mark a rare win for bipartisanship and a step up for a Congress infected with political dysfunction and held in low public esteem with midterm elections less than a year off.

It would also avert another government shutdown like the one in October that Americans largely blamed on Congress.

"I think it would be outrageous to shut down the government and I'm not going to do that to my constituents who I represent," said Sen. John McCain, R-Arizona.

Other key GOP members

In addition to McCain, Sen. Susan Collins, R-Maine, a moderate who often votes with Democrats, said she will vote for the bill. Sen. Richard Burr, R-North Carolina, and Sen. Jeff Flake, R-Arizona, said they are undecided on the bill itself, but both will vote with Democrats on the critical procedural motions.

Democrats think they have a chance of getting the support of Sen. Lisa Murkowski, R-Alaska, and Sen. Roy Blunt, R-Missouri. Each seemed to be struggling with their decision.

"I would say it's not as good an agreement I had hoped for but it's a better agreement than I was afraid it might be. So I'm certainly open to looking at it," Blunt said.

"It needs to get done for a lot of good reasons; we want to avoid a shutdown, clearly," Murkowski said. "Do I like a lot of the stuff in it? Eh, no."

Most GOP Senators, raising a variety of concerns, are expected to vote against the bill.

"I'm concerned we have once again kicked the can down now a long road," said Sen. Dan Coats, R-Indiana, who said he is undecided.

"I'm leaning strongly against it," said Sen. Chuck Grassley, R-Iowa, a veteran lawmaker who opposes some of the fees the bill raises.

Budget deal struck

The budget agreement, which was months in the making, eases spending caps for the next two fiscal years while softening the impact of across-the-board spending cuts, known as the sequester, on hard-hit defense and non-defense programs.

It does this, in part, by raising fees on airlines tickets, shrinking the retirement benefits of some veterans, extending some cuts to Medicare providers, and imposing other fees.

Current federal spending expires in mid January, raising the possibility of another shut down at that time without a new agreement in place to keep federal coffers filled.

The strong vote in the House on the budget plan on Thursday -- 332-94 -- brought a collective sigh of relief among supporters who initially thought it would sail through the Senate where bipartisanship has been more the norm than in the sharply divided House.

But after reading details of the agreement, many Senate Republicans -- including several in leadership positions -- came out against the bill.

"I'd really like to stay within the caps," complained Sen. John Boozman, R-Arkansas. "This busts the caps and as a result I'll vote against it."

"I believe it will do disproportionate harm to our military retirees," said Sen. Lindsay Graham, R-South Carolina, in announcing his opposition.

"We need to find a better way to save $6 billion than take it out of the hides of our retired veterans," said Sen. Roger Wicker, R-Mississippi who said he would vote against the bill.

Graham, Wicker, and Sen. Kelly Ayotte, R-New Hampshire, sent a letter to their Senate colleagues urging them to oppose the bill over the reduction in military benefits.

It was unclear if the emergence of the politically sensitive issue would increase opposition.

One Senator said outside interest groups for service members and veterans were caught off guard to the provision in the agreement and were just now beginning to mobilize against it.

Sen. Mike Johanns, R-Nebraska, said he finds the military pension issue "bothersome' but remains undecided on how to vote.

"I wouldn't say leaning 'yes' or leaning 'no.' I'm very concerned about the package but I can also see the merits of a two year deal. So I want the weekend to think about it," he said.

The retiring first-term lawmaker predicted the bill will pass the Senate regardless of the way he votes.

Midterm primaries, and 2016

The top Senate Republican, Mitch McConnell, R-Kentucky, has hinted strongly he will vote against it. He cites the weakening of budget sequester as a key complaint. The same is true for his top two lieutenants -- Sen. John Cornyn of Texas and Sen. John Thune of South Dakota -- both of whom have declared they will oppose the compromise.

McConnell and Cornyn are up for re-election and both facing primary challenges from the right. That might explain some of their sensitivity to giving up on the budget cuts, which are very popular with conservative voters.

Three leading tea party-backed senators -- Rand Paul of Kentucky, Ted Cruz of Texas, and Marco Rubio of Florida, -- each with 2016 presidential aspirations, also have come out against it for similar reasons.

"The new budget deal moves in the wrong direction: it spends more, taxes more, and allows continued funding for Obamacare. I cannot support it," Cruz said.

@highlight

The House passed a compromise budget bill easily, sending it to the Senate

@highlight

Bill aims to avert another government shutdown as early as mid January

@highlight

It would also ease unpopular spending cuts to the military and other programs

@highlight

Majority Democrats need some Republican support to get measure through Senate