(CNN) -- A scathing review of policing in Boston found that in a city where about a quarter of the population is African-American, two-thirds of police stops involved black residents, according to the American Civil Liberties Union.

The report, titled "Black, Brown, and Targeted," is based on the preliminary results of a study commissioned by the Boston Police Department -- which analyzed 204,000 "Field Interrogation and Observation" (FIO) reports from police officers between 2007 and 2010.

"The fact that blacks make up about 25% of Boston's population, but are stopped 63% of the time raises serious concerns of racially biased policing," said Nusrat Choudhury, an attorney with the ACLU Racial Justice Program.

The findings come in the wake of troubling incidents across the nation in which police actions disproportionately targeted African-Americans in cities like New York, where questionable police tactics have been captured on video. Additionally, the controversial shooting of an unarmed black teenager by a white police officer in Ferguson, Missouri, has drawn national attention to the issue of police/community relations.

Released jointly by the ACLU and its branch in Massachusetts, the report found that Boston Police gave no justification for 75% of the encounters with citizens and listed the reason for the stop simply as "investigate person."

Only 2.5% of the encounters lead to seizure of contraband, according to the ACLU.

"'Investigate person' cannot provide a constitutionally permissible reason for stopping or frisking someone," said Matthew Segal, legal director at the ACLU of Massachusetts. "It only describes what the officer decided to do. It basically means: 'Because I said so.'"

The Boston Police Department said it has made significant changes to procedures since 2011, including improved documentation and supervision of stops.

"Over the past month, the Department has held three separate meetings with the ACLU to receive feedback and engage the organization in the solutions," the department said in a statement. "As a result of the meetings, the Department agrees that publishing FIO statistics going forward is necessary, and the Department is working toward personalizing interactions between officers and citizens."

The report said that Boston police failed to show that its stops and frisks produced results.

"In a four-year span, the BPD targeted Blacks for roughly 129,600 encounters -- 63.3% of 204,739 -- that did not result in arrest," the report said.

Segal said the findings were clear evidence of racial bias by Boston officers.

"This practice contradicts the principle of equal protection under the law, which is guaranteed by both the U.S. and Massachusetts Constitutions," he said. "We hope that we can work collaboratively with the BPD to address this problem."

A report released in New York last year found that officers there also disproportionately targeted minorities during stops. Nearly nine out of 10 people "stopped and frisked" under a controversial New York Police Department policy in 2011 were African-American or Hispanic, the NYPD report said.

The New York report showed that of 685,724 stops made by police that year, 53% of those questioned were black, 34% were Latino, 9% were white and 3% were Asian. The citywide population in 2011 was 23.4% black, 29.4% Hispanic, 12.9% Asian, and 34.3% non-Hispanic white, according to the report.

Opinion: Obama needs to lead on racial profiling legislation

In Boston, the ACLU has requested that police release statistics on police-civilian encounters on a quarterly basis. It also recommended that officers who are involved in stops wear body cameras during interactions with the public -- a practice now in place in Ferguson, Missouri, after unarmed teenager Michael Brown was shot and killed by a white police officer.

A spate of incidents across the nation has drawn attention to police tactics.

Ferguson police officer Darren Wilson shot and killed the 18-year-old in the middle of the day on August 9 after telling Brown and a friend to get out of the street. A grand jury is expected to decide by mid-November whether Wilson will be charged criminally for the shooting, which has sparked weeks of unrest.

On Staten Island in New York on July 17, Eric Garner raised both hands in the air and told officers who approached him about illegally selling cigarettes to not touch him. Seconds later, a video taken by a bystander showed an officer grab Garner from behind in a chokehold and pull him to the sidewalk, rolling him onto his stomach. The video showed Garner lying on the ground motionless. An asthmatic and father of six, Garner was later declared dead at a nearby hospital.

An Indiana family is suing a city and the local police after officers smashed a car window to stun and arrest a black passenger during a traffic stop. The family said police pulled them over because the two front passengers were not wearing a seat belt on September 24 in Hammond, Indiana.

@highlight

In Boston, 25% of population is black, but 63% of police stops involve blacks, study finds

@highlight

ACLU report is based on study commissioned by Boston Police Department

@highlight

Findings come in the wake of troubling police incidents across the country