(CNN) -- Today's world is more interconnected than ever, making the transmission of communicable diseases that originate abroad easier to reach our shores. And the ongoing Ebola outbreak is simply the latest unsettling reminder that all the benefits of an interconnected world also come with significant risks that must be addressed and mitigated.

This Ebola outbreak likely began with a 2-year-old in the rain forest of GuÃ©ckÃ©dou, Guinea, and it has now reached halfway around the world to Dallas, Texas, where this terrible disease claimed its first victim in the United States, Thomas Eric Duncan, last Wednesday. We have the ability to prevent a significant outbreak of the virus here in the United States, but President Obama must act much more quickly and effectively if we are going to combat the disease at its source, and thus hinder further overseas transmission and ultimately prevent the spread of the disease outside Africa.

This challenge will only be made more difficult because many Americans lack confidence in our government's ability to effectively confront crises like this one.

Beginning with the first case in Guinea last December, the response to the Ebola outbreak by the international community has been slow and inadequate. Local health systems, which were weak at best, have been completely devastated as many health workers became victims of this deadly virus. The United States initially stood back and allowed the global response to be led by the World Health Organization, which failed to combat Ebola in its earliest stages. As a result, Ebola ballooned from a local problem to a regional problem, and now to a global problem.

The United States is the country best equipped with the resources and power to tackle the medical and logistical nightmare that the Ebola epidemic has become. With over 8,000 people infected, more than 4,000 dead and infection rates increasing, this outbreak of Ebola is not going to go away quickly.

Yet while we need a more effective and rapid response to contain the outbreak in West Africa, we also need to make sure sufficient safeguards are in place to protect Americans. We have to make sure that every aspect of our federal government's response -- from our passenger screening efforts to our public health system -- is effectively prepared to prevent the spread of Ebola.

To that end, the United States must take several steps to strengthen our response to this challenge.

First, Americans need to have some reassurance that someone in our country is in charge of confronting this epidemic and keeping Americans safe from it. So far, inexcusably, this has not really happened. President Obama should publicly designate a senior government official to lead a task force. This person would be in charge of coordinating the U.S. response to this crisis, both domestically and internationally, including our military presence, which in a limited amount of time has already had a real impact on the ground in Liberia.

Second, we need to target the problem at the source. Containing the outbreak in Liberia, Guinea and Sierra Leone is the right thing to do for humanitarian reasons, but it's also essential to protecting the American people. The longer the outbreak lasts in those countries, the greater the chance of the disease being transmitted to other countries, including the United States. As part of the response abroad, we need to bolster public health systems in the region to help prevent the virus from expanding across more borders.

Third, we need to prevent the growing crisis in West Africa from leading to more cases in the United States. The recent announcement of increased entry screening of those traveling from affected countries by Customs and Border Patrol at select points of entry in the United States is a good but, frankly, overdue first step. However, it will not be enough, and the State Department should institute a temporary ban on new visas to non-U.S. nationals seeking to travel to the United States from Liberia, Sierra Leone and Guinea.

Since March 1, 2014, over 6,000 visas have been issued to nationals of these countries. Foreign health workers coming to the United States to be trained should be exempted, provided they pass screening efforts. However, until we have a better handle on the problem, we need to prevent mass travel from the countries most affected. We should also ensure that Customs and Border Patrol agents at airports beyond the current transit points have the equipment and training to deal with potential cases. And additional travel restrictions should not be ruled out.

Fourth, the infection of two health care workers in Dallas during the treatment of Duncan raises questions about the ability of hospitals across the country to handle the extensive safety protocols required to treat Ebola patients. Two medical facilities in the United States have already successfully treated patients that have now been cured and two others have specialized facilities for treating patients with the virus. We should consider centralizing all future cases at these medical facilities, but hospitals across the United States will still need to focus on screening and isolating suspected cases that may arrive at their facilities.

Finally, we need to increase our efforts to develop an Ebola vaccine and to increase production of antiviral drugs. There are a few promising drugs to fight Ebola in test phases. We should speed up testing of these drugs and explore the possibility of scaling up drug manufacturing at the same time as clinical testing. Once we develop a drug with proven success, we should be ready to supply it in large numbers. In order to avoid bureaucratic red tape, we should begin discussion with the WHO, drug companies and West African governments on the processes for purchasing and distributing of these drugs.

The Ebola epidemic is a reminder of the evolving nature of our national security challenges. A sick child in Africa has advanced into a global health security issue that is now knocking on America's door.

We can successfully address this problem, protect our people and once again demonstrate America's compassion abroad. But much more needs to be done and it needs to happen quickly. Like other national security challenges, the longer we wait to engage, the more limited our options will become and the likelihood of success will be reduced.

Join us on Facebook.com/CNNOpinion.

@highlight

Marco Rubio: Americans lack confidence in government's ability to fight crises like Ebola

@highlight

But U.S. is country best equipped to tackle nightmare problems of Ebola, he says

@highlight

Important that U.S. help beat the disease in West Africa to ease threat to U.S., Rubio says