Forward Operating Base Salerno, Afghanistan (CNN) -- As Presidents Barack Obama and Hamid Karzai parry over troop levels and assistance, "retrograde" is the operant word I am hearing from U.S. commanders in Afghanistan. A nuanced military term for withdrawal, retrograde defines operations in this insurgency-plagued land.

After more than a decade of U.S.-led warfare, American commanders are now insisting their Afghan counterparts take over the fight.

The 101st Airborne Division's Rakkasan Brigade is the battle-space owner of eastern Afghanistan's restive Khost and Paktia provinces, both of which border Pakistan's anarchic tribal regions.

In the brigade headquarters at Forward Operating Base Salerno -- a building hardened against rocket and mortar attack -- Rakkasan Deputy Commander Col. Tim Sullivan told me, "Our mission was to go from a partnered role with the ANSF (Afghan National Security Forces) to an advise and assist role. We kind of gave it the 'tough love' approach."

With the announced U.S. withdrawal in 2014, American officers have no choice but to push the Afghan security forces forward.

What does the future hold for Afghanistan?

It's a big change for Afghan commanders used to U.S. troops taking the lead and accustomed to having the formidable U.S. firepower and air support.

Sullivan talked of turning down a cosseted Afghan commander who demanded helicopter transport to one of his bases. "We fly them nowhere," Sullivan told me. "It's a big transition. It has to happen. It's a clash of wills."

Sullivan is the right man for the job. A hulking, gravel-voiced Brooklynite from an Irish Catholic family of seven boys, Sullivan is a West Point graduate who has served in Somalia, Haiti, Iraq and Afghanistan.

Sullivan and other U.S. officers in Afghanistan talk about the need to transition to "Afghan Good Enough"" a sustainable Afghan security force that does it the Afghan way.

The U.S. partnering strategy of "Shohna ba Shohna" (Shoulder to Shoulder) has abruptly given way to "After You" as Afghan security forces take the lead -- sometimes reluctantly.

"Across the A/O (Area of Operations), I wouldn't paint a rosy picture," Sullivan says. "We've had some very good success. We've had some moderate success. We have not encountered any nightmares."

Across the insurgent heartland of eastern and southern Afghanistan, there's a palletizing fever as U.S. equipment is packed for shipment.

In military briefings, U.S. bases scheduled for imminent closure are highlighted on PowerPoint maps.

Long convoys of armored vehicles are making their way back from forward bases as combat outposts are closed or transferred to Afghan security forces.

Remaining U.S. bases are groaning with the influx of transiting troops and contractors, housed in new barrios of Alaska tents and "tin-can" metal housing pods.

Turning off the lights in Afghanistan

Some bases are being dismantled and returned to nature. Combat Outpost Tillman, named after NFL star and Special Forces soldier Pat Tillman who died in an infamous friendly fire incident, was one of those closed.

"We scraped it clean," Sullivan said. U.S. anti-IED teams traveled north to blow up the watchtowers.

The base is now a soccer field, where Afghan boys play a wolfish style of football.

As Obama administration representatives float the big round trial balloon of zero troops in Afghanistan, soldiers here talk about the spring 2013 drawdown of 20% of the remaining 66,000 US troops, with another 50% to be gone soon after.

How are the Afghans responding to U.S. retrograde? Among some, there is clearly denial. They simply can't imagine a country rich enough, or foolish enough, to just walk away from the enormous investment poured into these bases, many just built during the boom that accompanied Obama's troop surge.

Aid and development money is drying up. I listened to one Afghan government farm worker in insecure Zabul Province insist that a U.S. military development team needed to build a fence around a section of a U.S.-financed Afghan demonstration farm.

The U.S. commander patiently told the farmer he should ask his provincial agriculture minister to do it. "We don't do projects anymore," the commander repeatedly said. The farmer, who sported a bright gold wristwatch that signifies inordinate wealth (and sometimes indicates Taliban ties), retorted that the ministry was "weak," so the American "friends" needed to do it.

Many Afghans tell me they are very pessimistic about post-2014 security. One Afghan who has translated for U.S. forces in Khost Province for nine years says, "The Afghan situation right now is kind of bad. If the American forces withdraw from Afghanistan, I don't think the Afghan army is strong enough to defend everybody."

Karzai, in his own words, on U.S. troops

He told me he hoped coalition forces would keep training the Afghan security forces. "Right now if the coalition forces would leave, it's going to be so hard for the Afghan people."

Like many of his colleagues, the educated interpreter, whose father was an Afghan National Police general, is applying for a special U.S. immigration visa.

Other Afghans are getting angry. One U.S. commander in southern Afghanistan told me about his Afghan counterpart flaring up when he learned American support was being quickly scaled back. It's a dictum that "retrograde under contact" (withdrawal under pressure) is among the most difficult of military operations. At some point when troop levels have dropped, all a force can do is protect itself.

As U.S. forces withdraw after well over a decade of war, the insurgents have responded in various ways. IEDs continue to be the weapon of choice. Media-magnet complex attacks, such as the spectacular attacks on Kabul and Camp Bastion when Britain's Prince Harry was stationed there, broadcast the insurgency is still thriving.

In some formerly insecure provinces such as Khost, insurgent attacks have diminished. I asked Sullivan about the contention that attacks dropped because casualty-cautious U.S. commanders ordered fewer combat patrols.

Sullivan challenged the idea that U.S. soldiers are not "out there," saying soldiers constantly travel the roads on retrograde convoys.

"We're not finding the mother lodes of caches (insurgent military supplies) when we go out," he says. "We're not getting a fight."

Then I asked about the assessment that Afghan insurgents are just husbanding their forces while the U.S. withdraws. "Husbanding of forces," Sullivan quickly agrees. "I might buy that."

Opinion: U.S. needs significant military presence in Afghanistan

@highlight

Front-line U.S. soldiers stepping back, forcing Afghans to step up

@highlight

Wissing: "Shoulder-to-shoulder" policy with Afghan troops is now an "after you" policy

@highlight

Some Afghans don't believe that U.S. will leave or that Afghans are ready to take their place

@highlight

But U.S. troops are already dismantling some bases