(CNN) -- For five generations, the Meserve/Kunhardt family has been the collector and custodian of some of the most valuable photographs and memorabilia of Abraham Lincoln.

Peter W. Kunhardt, left, Philip B. Kunhardt III and Peter W. Kunhardt Jr. co-authored "Looking for Lincoln."

In fact, eminent Lincoln historian Harold Holzer said there's only one other family that's contributed more "to our understanding of America's most enduring leader," and that's the Lincolns themselves.

"The Kunhardts -- and before them, their ancestor Frederick Hill Meserve -- have been active, and crucial for generations, in preserving Lincoln's image for posterity," Holzer said.

"Mr. Meserve literally saved photos from destruction, then cataloged and analyzed them. Later members of the family wrote seminal books incorporating the family-owned archive into the stories of Lincoln's life and death."

The family collection was the basis for the new book, "Looking for Lincoln" (Knopf), and for a PBS documentary. One of the book's co-authors, 26-year-old Peter W. Kunhardt Jr., has now joined the family business as assistant director of the Meserve-Kunhardt Foundation.

Kunhardt, who recently earned a master's degree in art business and photography, also works on the Gordon Parks Foundation, a division of the Meserve-Kunhardt Foundation, which includes the life's work of the pioneering African-American photographer.

Kunhardt spoke with CNN in an interview and follow-up conversations about the extraordinary family history.

CNN: Tell us about your family.

Peter W. Kunhardt Jr: I'm the fifth generation to be working on Lincoln. My great-great-grandfather was a man by the name of Frederick Hill Meserve. His father, William Neal Meserve, was a soldier in the Civil War who was wounded at the battle of Antietam, and he kept a diary of the entire time he was in war.

That diary was illustrated by his son, Frederick Hill Meserve, years after the war through collecting photography. He became one of the leading collectors of 19th-century American photography. ... At that time photography was still quite new.

In the late 19th century, the war-weary nation lost its interest in the images of that era. Many glass negatives were thought to be worthless. The emulsion was washed off, and many were used to build greenhouses.

Meserve wrote a book in 1911 called "Photographs of Abraham Lincoln." He became obsessed with Lincoln. Lincoln was the first president to be photographed while in office. Meserve's goal in life was to find and catalog all the existing images of Lincoln, of which we now know there were about 120.

Each photograph in Meserve's book, which he updated for the next half century, was given an "M" number. Part of our work was to update his numbering system and establish a new national standard.

Then his daughter Dorothy Meserve Kunhardt, she became heavily involved with Lincoln scholarship and the collection as well. She was the author of the children's book, "Pat the Bunny," which ... as everyone knows today, it's one of the most popular children's books. She worked with her father on Lincoln publications and continued to collect Lincoln.

The collection was passed to Philip Kunhardt Jr., my grandfather, who eventually passed this collection of photographs on to my father and uncle, who were my co-authors in this book, "Looking for Lincoln."

My grandfather, father and uncle wrote a book on Lincoln in 1992 called "Lincoln: An Illustrated Biography," using the contents of the collection.

Each generation has continued the fascination with the collection but with a special interest in Abraham Lincoln.

CNN: What's your involvement now in the collection?

Kunhardt: My role is the assistant director of the Meserve-Kunhardt Foundation. The foundation was established in 2002 by my father and uncle in order to preserve our family's collection and make it available to the public.

During the past century, the collection had grown so large that we decided it was finally time to place it in public hands. That is why we first formed the Meserve-Kunhardt Foundation. And this year the collection will be moved to the Neuberger Museum of Art at the State University of New York in Purchase, New York, and the Purchase Library at SUNY, where it will be made available to students and scholars.

CNN: Was there ever any doubt in your mind that you wanted to go into this field?

Kunhardt: I was an art history major at Wheaton College in Norton, Massachusetts. I've always been fascinated with our collection. I was flattered to be asked to help with this project, the Lincoln book. I've been an intern since I was about in fifth grade. I've grown up knowing this collection very well, putting everything in plastic sleeves. Then when we found out that they weren't of archival quality, I had to change them to polyester sleeves.

It's really been a family love. We've all grown up with this collection. A great portion of this collection is now housed at the National Portrait Gallery. It was sold after my great-grandmother's death.

CNN: What are some of the most valuable parts of the collection?

Kunhardt: It includes many gems, like Alexander Gardner's oversized portrait of Lincoln that was taken just before he went to Gettysburg. As a young boy, I remember it hanging on the walls of our home. We also own the bronze life mask of Lincoln cast by Leonard Volk.

CNN: Was Lincoln particularly interested in being photographed?

Kunhardt: It was his way of reaching out to a wider audience. It was a process that was so slow, he had to sit for long periods of time with a neck brace in order to be photographed because the exposure time was forever. There are pictures where if he moved just slightly, the picture was blurry. Crowd scenes are always blurry because you couldn't make the crowd stay still.

CNN: What's the story of the Gordon Parks Foundation?

Kunhardt: My grandfather Philip Kunhardt was managing editor of Life magazine. He and Gordon became close personal friends, and shortly before both of them died in 2006, my grandfather showed Gordon how we were preserving our 19th-century collection. After Gordon's death, his estate placed all of his photographs with us, and we formed the Gordon Parks Foundation.

CNN: What else are you working on?

Kunhardt: Our next book is "Lincoln Life Size," which will be published in September 2009. We're taking the Lincoln photographs and blowing them up to the actual size of Lincoln's face ... and it will include his own reactions to some of the photographs.

@highlight

Meserve-Kunhardt family has been collecting Lincoln items for five generations

@highlight

Frederick Hill Meserve began collecting endangered Lincoln photographs

@highlight

He published groundbreaking work on images of the 16th president

@highlight

His descendants have carried on and expanded his work