(CNN)More than 100 people in 14 states were reported to have measles last month, with most cases linked to exposure to the disease at Disneyland from December 15 to December 20. President Obama urged parents to make sure their children are vaccinated. And yet three potential Republican candidates for the 2016 presidential election have suggested in recent days that parents should have a choice in whether children should be vaccinated.

When we are not exposed to the suffering that childhood infectious diseases can cause or didn't experience them ourselves, we as a society tend to forget just how dangerous they can be.

In 1938, President Franklin Roosevelt founded the National Foundation for Infantile Paralysis, now known as the March of Dimes Foundation. Children and adults everywhere collected dimes to raise money for the development of a polio vaccine. There was such fear about the disease that children were kept from going to community swimming pools and parks. Their way of life was changed by the disease.

Today, in contrast, we don't seem to be alarmed at all. Federal research funds, the major source of funding to support research by immunologists, virologists, and other scientists who create the vaccines that protect us, were 22% less in 2014 than they were in 2003 when adjusted for inflation. Why was everyone so gung-ho to raise money for research then but not now? Because we forgot.

We forgot that the "black death" plague of the 14th century wiped out 60% of Europeans. We forgot that smallpox killed 30% of people who got sick before a vaccine was available.

We also forgot that the smallpox vaccination campaign was so successful that the last case of smallpox in the United States was in 1949, and, with the exception of two vials in storage, it was eliminated from the planet in 1977.  By forgetting the sheer horror these diseases inflicted on humanity and the decisive way in which vaccines eliminated them, it's easy to forget how fragile we are.

In 1954, the first polio vaccine became available. Parents jumped at the chance to enroll their children in a vaccine trial that eventually included 1.8 million children from 44 states.

Those parents saw children crippled by the polio virus; they saw images of iron lungs that breathed for a child because the child's own lungs were effectively paralyzed. Those parents willingly enrolled their children in the trial despite not knowing if their child would be in the group that received the vaccine or the control group that did not. They were terrified enough that the benefit outweighed the risk.

More recently however, for some parents, the risk has outweighed the benefit. They have become complacent. Maybe they bought into disproven science about a link between autism and vaccines. Maybe they think because they have not seen anyone with polio, that their child is safe. Our collective historical amnesia has led to increased numbers of unvaccinated children, and we are all worse off for it.

The recent outbreak at Disneyland will hopefully boost our collective memory as to how contagious a virus can be. The 102 cases reported in January is a staggering number when we consider that for the past decade, the average total number of cases in a year was under 150.

Many, but not all, of these cases were in individuals who did not receive the full course of childhood vaccinations, making us realize that any one of us could be at risk. Given that there are only a limited number of doctors still around that have ever seen a patient with measles, or remember diagnosing a case of measles decades ago, only compounds the problem and aids the spread of disease.

The unfortunate reality is that it may take the occasional serious outbreak to provide that reminder to all of us how quickly we can be overcome by something as tiny as a virus. Today's tourist destinations are just like the pools and parks when polio was rampant, places for the virus to find new victims.

Viruses don't care about borders and easily hitch rides around the world in a matter of hours. We can't protect against every infectious disease, but why should we risk getting sick from diseases, especially measles, for which we have safe and effective vaccines?

We can all hope that parents will see this as a wake-up call and vaccinate their children, and that all of us will make sure we are up to date on our boosters. Hopefully, the memory of these events will not fade so we won't need a reminder like the measles outbreak of 2015 again any time soon.

@highlight

102 cases of measles were reported last month in the United States

@highlight

Cynthia Leifer: People forget what a deadly toll diseases took on children before there were vaccines