(CNN) -- Robin Williams was in the early stages of Parkinson's disease when he died this week, his wife says. Williams was found dead in his Northern California home Monday after what investigators suspect was a suicide by hanging.

What is Parkinson's disease?

Parkinson's disease is a "progressive disorder of the nervous system," according to the Mayo Clinic, that primarily affects a patient's movement. It often starts with a small tremor in the hand or muscle stiffness and gets worse over time. There is no test for Parkinson's, so it is occasionally misdiagnosed.

Parkinson's patients often have trouble walking and talking. Symptoms include slowness of movement, a loss of balance and slurred speech. With Parkinson's disease, "you may have a decreased ability to perform unconscious movements, including blinking, smiling or swinging your arms when you walk," the Mayo Clinic says. The symptoms are often worse on one side of the body.

Whom does it affect?

Approximately 1 million people have Parkinson's disease in the United States, according to the Parkinson's Disease Foundation. Men are more likely to get it than women, and it usually affects people over 50.

What causes Parkinson's disease?

Your body uses a chemical called dopamine to control movement, according to the National Institutes of Health. Dopamine is produced by neurons in the brain, which begin to die with Parkinson's disease. With fewer live cells, a dopamine deficit occurs, causing movement issues.

Scientists don't know what exactly causes these cells to start to deteriorate but believe it's a combination of genes and environmental causes. About 15% to 25% of Parkinson's patients have a family member with the disease, the Parkinson's Disease Foundation says.

In some cases, researchers have identified a single gene mutation that's passed from generation to generation, according to the Michael J. Fox Foundation. "Mutations in the LRRK2 gene are the greatest genetic contributor to Parkinson's disease discovered to date," the site states. But in most cases, the cause is probably a combination of gene mutations.

Studies have also linked chemicals like TCE and PERC to Parkinson's, though the relationship has not been proved. "A simple exposure to an environmental toxin is never enough to cause Parkinson's," the Parkinson's Disease Foundation states. "In fact, there is no conclusive evidence that any environmental factor, alone, can be considered a cause of the disease.

Can you treat it?

There is no cure for Parkinson's disease, according to the National Institutes of Health, but doctors can help patients cope with symptoms.

A medication called levodopa is often given to patients to help their brains make more dopamine. It's often prescribed with carbidopa, which helps bring the levodopa into the brain.

The U.S. Food and Drug Administration has approved deep brain stimulation, which is also used to treat depression, to reduce symptoms in Parkinson's patients. Electrodes are implanted into the brain and connected to a small device that emits programmed pulses to help control movement.

Other patients prefer less invasive forms of therapy like tai chi.

A recent study done at Harvard University found that patients with Parkinson's improved after researchers transplanted tissue from fetal dopamine cells into their brains. Patients with severe symptoms experienced 50% fewer symptoms in the years after surgery. People who had been taking medication to control their Parkinson's but found that the medicine no longer worked also saw significant improvements after surgery.

Complete coverage on Robin Williams

Parkinson's didn't stop his space walk

@highlight

Parkinson's disease is a progressive disorder of the nervous system

@highlight

Neurons die, leaving the brain with a deficit of a chemical called dopamine

@highlight

Approximately 1 million people in the United States have Parkinson's