(CNN)A year ago, when Dr. Stephane Hugonnet was dispatched to Guinea to investigate a series of unexplained deaths, he had little  idea that he'd be contending with an outbreak that would quickly spread from a small southern rainforest village, across borders, and around the world.

The Ebola outbreak, ravaging primarily Guinea, Liberia and Sierra Leone, is a year old today. According to one official count, it's infected 24,000 people and killed 10,000.

And it's managed to do so because of an institutional failure on several levels: weak public health systems locally and a painfully slow response globally.

But in order to get to where we are, we need to go back to how it began.

It takes a village

Before the virus ravaged West Africa, before the deaths soared into the thousands, before the outbreak triggered global fears, Ebola struck a toddler named Emile Ouamouno

The 2-year-old boy is who researchers with The New England Journal of Medicine believe was the first person to contract the disease in December 2013.

Emile lived in a rainforest village in southern Guinea.

How he got infected, no one is sure, but Ebola can be spread from animals to humans through infected fluids or tissue.

One thing that is certain, within a month Ebola not only took Emile's life, but also those of his mother, sister and grandmother.

From there, it spread like wildfire, passing to neighboring villages and beyond when people attended the grandmother's funeral. Where they went, the virus followed.

By the time Dr. Hugonnet landed in Guinea, he didn't yet know that it was already too late.

Hugonnet leads the Global Capacities, Alert and Responses team of the World Health Organization, and was one of the first doctors on the ground.

"We were following this rumor of a small cluster of unexplained deaths in Guinea," he said in a first-hand account of the early days of the crisis.  "When the lab results came back, we learned that there was Ebola Zaire in West Africa. This was a first."

Hugonnet was working with a team of logisticians, a medical anthropologist, laboratory technicians, virologists and infection prevention and control specialists.

It was an impressive collection of professionals with the goal of rapidly assessing the situation and getting it under control, keep it localized.

But this outbreak was different, Hugonnet said.

"Person-to-person transmission had quickly spread from a rural area to a large urban city," making it harder to contain, he said.  "And, the outbreak was becoming multi-national; cases were confirmed in Liberia and were suspected in Sierra Leone."

From those early days, the outbreak would mushroom.

In July, Patrick Sawyer became the first American citizen to die at a hospital in Monrovia, Liberia.

His case raised fears the virus could spread beyond the countries at the heart of the outbreak.

And it does. International flights took the disease as far as Spain and the United States.

On August 6, a businessman with Ebola died in a hospital in Saudi Arabia. He had been to Sierra Leone for work.

Five days later, a Spanish Catholic Brother died in Madrid.

And on September 20,

The Spanish Catholic Brother with Ebola, Brother Miguel Pajares, dies in Madrid.

September 20, a Liberian named Thomas Duncan arrived in Dallas to visit relatives. He had been unknowingly exposed to the Ebola virus -- and he became the first known case of Ebola diagnosed in the U.S. He died a few days later.

Meanwhile, the disease took an ugly toll in West Africa

By September, it had orphaned about 3,700 children in Guinea, Liberia and Sierra Leone.  Scared relatives didn't want to take them in, and officials worried the number of kids without parents would rise higher -- much higher.

"Ebola is turning a basic human reaction like comforting a sick child into a potential death sentence," said Manuel Fontaine, UNICEF's regional director.

"We cannot respond to a crisis of this nature and this scale in the usual ways. We need more courage, more creativity, and far, far more resources."

Why didn't we?

In a scathing new report, published Monday, Doctors Without Borders puts the blame squarely on a "global coalition of inaction" that waited months to respond to the epidemic.

"The Ebola epidemic proved to be an exceptional event that exposed the reality of how inefficient and slow health and aid systems are to respond to emergencies," said  said Dr Joanne Liu, the organization's international president in the report, "Pushed to the Limit and Beyond."

For example, by March 21, 2014, 78 victims had died, mostly in Guinea. The World Health Organization said at the time that while the Ebola outbreak is serious, it is "relatively small, still."

"For the Ebola outbreak to spiral this far out of control required many institutions to fail," said Christopher Stokes, the director general for Doctors Without Borders.  "And they did, with tragic and avoidable consequences."

Local hospitals were overwhelmed. International response was weak.

By October, when Sierra Leone was reporting a rate of five infections an hour, UNICEF said it had received only 25% of the $200 million it needed for emergency assistance for families affected by Ebola in the region.

A significant challenge remains ahead, Doctors Without Borders says.

"To declare an end to the outbreak, every single person in contact with someone infected with Ebola must be identified. There is no room for mistakes or complacency; the number of cases weekly is still higher than in any previous outbreak, and overall cases have not significantly declined since late January."

It's sobering news a year into the outbreak.

Although the headlines have faded a bit from public view, the threat has not.

CNN's Holly Yan contributed to this report.

@highlight

The world was just starting to become aware of the Ebola outbreak a year ago

@highlight

The director general for Doctors Without Borders calls the outbreak "tragic and avoidable"