(CNN) -- With the departure of the last U.S. combat brigade from Iraq, the Obama administration has taken a large stride toward its goal of complete American military withdrawal from Iraq by the end of next year. And there are many other signs of progress.

The rate of Iraqi civilian deaths in political violence has fallen by 90 percent from its awful peak in 2006, before "the surge" in American forces and strategy began to roll back the insurgent challenge.

American military deaths in Iraq have fallen to 46 so far this year, by far the lowest level since the American invasion in March 2003, and again a 90 percent decline from the pace of casualties in 2007.  In March of this year, Iraq held the most democratic election any Arab country has held in a generation (with the possible exception of Lebanon).

Unfortunately, however, the new milestone in U.S. military disengagement from Iraq comes at a moment when the country is starting to slip backward on both the political and security fronts.

Since the March 7 parliamentary election results were announced, the country's major political alliances have remained hopelessly deadlocked on the formation of a new coalition government.  Despite months of negotiations and repeated imploring from high-level U.S. government officials, Iraq's major leaders and parties remain unable to agree on who should be prime minister or how power should be shared.

As Iraq staggers on essentially without a government, electricity and other services remain sporadic, economic reconstruction is delayed and terrorist violence is once again filling the breach.  In the deadliest single incident in months, at least 48 people died and more than 140 were injured on Tuesday when a suicide bomber struck outside an army recruiting center in downtown Baghdad.

As the American troops withdraw, Iraq is also losing top government officials, judges and police officers to a rising pace of targeted assassinations.  All of this has the familiar signature of al Qaeda in Iraq, although it is difficult to attribute responsibility among the shadowy web of insurgent groups.

Complicating the political impasse are deep continuing divisions along sectarian lines.  Iraq's Sunni Arab minority -- which ruled under Saddam Hussein but was marginalized in the wake of his downfall -- bet heavily on the electoral process this time, in marked contrast to the first parliamentary election in 2005.

But the Sunni Arabs were the main group affected when more than 400 parliamentary candidates were disqualified earlier this year for alleged Baathist ties.  Now they feel doubly aggrieved in that the political alliance they overwhelmingly supported in March -- former Prime Minister Ayad Allawi's al-Iraqiya list -- is being blocked from leading the new government, even though it finished a narrow first in the voting.

The obstacle to a political solution in Baghdad is not only the pair of Shiite-dominated political lists (including that of Prime Minister Nuri al-Maliki, who finished second in the vote), but, it is widely believed, the Islamic Republic of Iran, which cannot abide an Iraqi prime minister over whom it does not exercise substantial leverage.  Indeed, the only two interests that benefit from Iraq's drift are al Qaeda in Iraq and the hardliners in Iran.

President Obama deserves more than a little sympathy as he confronts this thorny situation.  Although he opposed the war in Iraq, he essentially accepted the Bush administration's measured timetable for American military drawdown.   Particularly at a time when the budget deficit is soaring and the war in Afghanistan demands more military and financial resources, Obama and most other Americans would like to be out of Iraq completely by yesterday.

But accelerating or even completing the timetable for American military withdrawal in Iraq may only compound the gathering crisis there, for two reasons.

First, as the recent spike in violence is meant to suggest, it is not yet clear that Iraq's security forces are even close to being able to handle the country's security on their own.  Privately, most Iraqi political actors (Sunni, Shia and Kurd) would like to see some sort of continued American military presence well beyond 2011.  Many worry not only about Iraq's internal security but also about growing Iranian dominance once the United States is completely gone.

And second, U.S. political influence declines markedly as the American military presence phases out.

The worst thing the United States could do at the moment is to take Iraq for granted.

The Obama administration has had the right instinct in trying to press for and facilitate a political breakthrough in Baghdad, but more needs to be done and soon, while the United States still retains significant leverage.

The situation may now require the designation of a high-level American official or envoy to devote sustained attention to the stalemate in Iraq, while working closely with high-level representatives from the United Nations and the European Union.  Such combined diplomatic leverage and mediation broke a dangerous political stalemate in Iraq in 2005 and might help again.

One thing should be clear.  No matter what one may think of the original decision to invade Iraq (which I still believe was a mistake), Iraq has come too far and the United States has paid too dearly to now stand by and watch it sink back needlessly into chaos.

The opinions expressed in this commentary are solely those of Larry Diamond.

@highlight

Larry Diamond says there are signs of progress in Iraq

@highlight

However, he says, the country is slipping backward on political, security fronts

@highlight

Iraq's major leaders, parties unable to agree on how to share power

@highlight

As U.S. troops leave, Iraq is also losing top government officials, judges to assassinations