Bangkok, Thailand (CNN) -- Political tensions in Thailand exploded into a major outbreak of violence this week as police opened fire on anti-government protesters near Bangkok.

Thailand's capital has been at standstill during the past few weeks as the protesters seek to unseat a leadership -- led by Prime Minister Abhisit Vejjajiva -- they say is illegitimate and undemocratic.

The demonstrators support Thaksin Shinawatra, who was prime minister from 2001 to 2006, before he was ousted in a bloodless coup. After his removal, he continued to play a role in Thai politics -- even from outside of the Southeast Asian nation.

What is the background to the current protests?

Abhisit declared a state of emergency on April 7, hours after anti-government demonstrators (known as "red shirts" for the clothes they wear) stormed the country's parliament. Three days later, the deadliest clash in more than a decade between protesters (in this case the red shirts) and the military erupted, leading to the deaths of more than two dozen demonstrators and military forces.

Media and analysts in Thailand say civil war may be looming, with another group called the "multi-colored shirts" emerging. They are displeased with the disruption caused by the red shirt protests. They are generally middle-class city dwellers. They are not pro- or anti-government, they simply want the government to shut down the reds to end the violence and interruptions to daily life. The red and multi-colored shirts have clashed in Silom Road, Bangkok's business and financial district.

Meanwhile, Thailand's independent election commission has recommended the dissolution of Abhisit's Democrat Party after accusing the party of accepting an $8 million campaign donation from a private company and mishandling funds allocated to it by the commission. The ruling still must be reviewed by the country's attorney general's office and its Constitution Court. A democrat party spokesman maintains the party has fully complied with all laws concerning the uses of funds during the election campaign and the party says it will fight the recommendation.

Haven't these protests been going on for a long time?

Yes, Thailand has been embroiled in political chaos for years and many here are growing weary with the instability. Ever since Thaksin came to power, there have been protesters opposing his allegedly corrupt and autocratic rule. Those protesters donned yellow shirts (the color of the king) and occupied the two main airports in Bangkok, until finally the pro-Thaksin government was brought down by a court ruling. In revenge Thaksin's supporters copied the yellow shirt tactics and took to the streets in red shirts.

Why do the sides divide on colors?

It's an easy way for them to create an identity. It all started with the yellow shirts wearing a color associated with Monday, the day of the week that Thailand's revered king was born on. That was designed to show their allegiance to the king, and more broadly the traditional elite which has dominated Thai politics for years. Thaksin's supporters then picked a color to distinguish themselves from the yellow-shirts.

Why are they arguing?

Essentially this is a classic power struggle. It's easy to portray this as simply rich against poor, but it is much more complicated than that, as illustrated by the fact that the reds' leader is in fact a multi-billionaire. Thaksin rode to power by enacting populist policies which gained huge support from the rural poor. His radical approach ruffled a lot of feathers among the elite, who felt he was in danger of becoming too big for his boots, and could erode their position.

The "civil society" also become concerned over allegations of corruption and his brutal war on drugs, which saw summary executions. He was also criticized for his heavy handed response to violence in the Muslim-dominated south.

Finally the army decided to oust him in a coup, which had the backing of the aristocratic elite and much of the middle class, who were becoming uneasy with the cult of personality growing around Thaksin. That set the stage for an embittered power struggle, between Thaksin loyalists and those loyal to the army, aristocracy and their traditional Democrat Party.

What are the wider implications of the protests?

If the divisions in Thailand can't be healed it could lead to a deteriorating security situation which would have wider implications for the region. Thailand's relations with Cambodia are especially frosty since Thaksin was appointed economic adviser to Cambodian Prime Minister Hun Sen. The worst case scenario would see Cambodia drawn into the dispute, with Thaksin using the country as a political base, adding to the already considerable tensions on the border.

So who is Thaksin?

Visionary leader or venal despot: Opinions vary, like the color of the shirts his supporters and detractors wear. If you sport red, you think Thaksin was the only prime minister to offer the rural poor a voice and real benefits; if you wear yellow, you view him as akin to Ferdinand Marcos: greedy, self-serving and dangerous.

What is not in dispute is that he won two elections, was the only Thai prime minister to serve a full-term in office and is still hugely popular. But critics say he bought his support and was only in politics to help himself.

What is he accused of?

In 2008 he was found guilty and sentenced in absentia to two years in prison for a land deal that enabled his wife to buy a valuable city plot for a fraction of its true value.

The case currently being considered by the Supreme Court relates to the transfer of shares in his communications company Shin Corporation. The prosecution alleges he illegally transferred the shares to his family, who then sold them to the Singapore government's Temasek without paying tax.

The court will also rule on whether Thaksin's government implemented policies that benefited his businesses, including a low interest loan from the Thai government to the Myanmar government to buy equipment from Shin Corp, a change in tax laws that benefited Shin Corp and changes to satellite laws that helped Shin Corp.

What does Thaksin's defense team say?

The defense team argues that neither Thaksin nor his wife owned the Shin Corp shares while he was prime minister, selling them to their son before he took office. It was their son who decided to sell Shin Corp to the Singaporeans. The defense also claims that the Assets Scrutiny Committee -- which has led the investigation in this case -- was politically motivated, having been appointed after the coup that ousted Thaksin, and therefore was biased against him.

How much money is at stake?

76.6 billion baht (about $2.3 billion). That is the total value of his and his family's assets that are currently frozen in Thailand. But there is speculation that he has a great deal more money elsewhere.

Why bother going after Thaksin when so many other Thai leaders have been perceived to be corrupt?

Well, Thailand certainly has had a checkered history. But current Premier Abhisit Vejjajiva is widely believed to be honest and free from any taint of corruption. He wants to give the country a fresh start by showing no one is above the rule of law and that means ensuring Thaksin isn't allowed to get away with his alleged corruption, even though he is in exile. However, many analysts say this case is not just about corruption, but more about Thaksin's challenge to the Thai political elite that has ruled for decades.

The theory goes that Thaksin was dangerously popular and refused to submit to powerful factions in the army, privy council and aristocracy -- hence the 2006 coup and the lengthy efforts to shut him down.

CNN Producer Kocha Olarn contributed to this report from Bangkok

@highlight

Thaksin supporters say that he gave the rural poor a voice and real benefits

@highlight

Detractors say that as prime minister he was greedy, self-serving and dangerous

@highlight

Current premier Abhisit Vejjajiva keen to show no one is above the rule of law

@highlight

Current court case relates to shares transfer in Thaksin communications company