(CNN) -- In writing the book "Love 2.0: How Our Supreme Emotion Affects Everything We Feel, Think, Do, and Become," here are 10 lessons I have learned:

1. It can be hard to talk about love in scientific terms because people have strong pre-existing ideas about it.

The vision of love that emerges from the latest science requires a radical shift. I learned that I need to ask people to step back from their current views of love long enough to consider it from a different perspective: their body's perspective. Love is not romance. It's not sexual desire. It's not even that special bond you feel with family or significant others.

And perhaps most challenging of all, love is neither lasting nor unconditional. The radical shift we need to make is this: Love, as your body experiences it, is a micro-moment of connection shared with another.

2. Love is not exclusive.

We tend to think of love in the same breath as loved ones. When you take these to be only your innermost circle of family and friends, you inadvertently and severely constrain your opportunities for health, growth and well-being.

In reality, you can experience micro-moments of connection with anyone -- whether your soul mate or a stranger. So long as you feel safe and can forge the right kind of connection, the conditions for experiencing the emotion of love are in place.

3. Love doesn't belong to one person.

We tend to think of emotions as private events, confined to one person's mind and skin. Upgrading our view of love defies this logic. Evidence suggests that when you really "click" with someone else, a discernible yet momentary synchrony emerges between the two of you, as your gestures and biochemistries, even your respective neural firings, come to mirror one another in a pattern I call positivity resonance. Love is a biological wave of good feeling and mutual care that rolls through two or more brains and bodies at once.

4. Making eye contact is a key gateway for love.

Your body has the built-in ability to "catch" the emotions of those around you, making your prospects for love -- defined as micro-moments of positivity resonance -- nearly limitless. As hopeful as this sounds, I also learned that you can thwart this natural ability if you don't make eye contact with the other person. Meeting eyes is a key gatekeeper to neural synchrony.

5. Love fortifies the connection between your brain and your heart, making you healthier.

Decades of research show that people who are more socially connected live longer and healthier lives. Yet precisely how social ties affect health has remained one of the great mysteries of science.

My research team and I recently learned that when we randomly assign one group of people to learn ways to create more micro-moments of love in daily live, we lastingly improve the function of the vagus nerve, a key conduit that connects your brain to your heart. This discovery provides a new window into how micro-moments of love serve as nutrients for your health.

6. Your immune cells reflect your past experiences of love.

Too often, you get the message that your future prospects hinge on your DNA. Yet the ways that your genes get expressed at the cellular level depends mightily on many factors, including whether you consider yourself to be socially connected or chronically lonely.

My team is now investigating the cellular effects of love, testing whether people who build more micro-moments of love in daily life also build healthier immune cells.

7. Small emotional moments can have disproportionately large biological effects.

It can seem surprising that an experience that lasts just a micro-moment can have any lasting effect on your health and longevity. Yet I learned that there's an important feedback loop at work here, an upward spiral between your social and your physical well-being.

That is, your micro-moments of love not only make you healthier, but being healthier builds your capacity for love. Little by little, love begets love by improving your health. And health begets health by improving your capacity for love.

8. Don't take a loving marriage for granted.

Writing this book has profoundly changed my personal view of love. I used to uphold love as that constant, steady force that all but defines my marriage. While that constant, steady force still exists, I now see our bond as a product of the many micro-moments of positivity resonance that my husband and I have shared over the years. This shakes me out of any complacency that tempts me to take our love for granted. Love is something we should re-cultivate every single day.

9. Love and compassion can be one and the same.

If we reimagine love as micro-moments of shared positivity, it can seem like love requires that you always feel happy. I learned that this isn't true. You can experience a micro-moment of love even as you or the person with whom you connect suffers.

Love doesn't require that you ignore or suppress negativity. It simply requires that some element of kindness, empathy or appreciation be added to the mix. Compassion is the form love takes when suffering occurs.

10. Simply upgrading your view of love changes your capacity for it.

The latest science offers new lenses through which to see your every interaction. The people I interviewed for the book shared incredibly moving stories about how they used micro-moments of connection to make dramatic turnarounds in their personal and work lives.

One of the most hopeful things I learned is that when people take just a minute or so each day to think about whether they felt connected and attuned to others, they initiate a cascade of benefits. And this is something you could start doing today, having learned even just this much more about how love works.

The opinions expressed in this commentary are solely those of Barbara Fredrickson.

@highlight

Love and compassion can be the same, says psychologist Barbara Fredrickson

@highlight

Small emotional moments can have disproportionately large biological effects

@highlight

Don't take a loving marriage for granted