(CNN) -- The one-eyed jihadist commander known as "Mr. Marlboro" is back in action.

Moktar Belmoktar, whose group was responsible for the deadly attack on the BP oil facility in southern Algeria last January, appears in a new video released by his group -- the al-Mulathameen Brigade, which translates as the "Signatories in Blood Brigade."

More than 30 foreign workers at the In Amenas facility in Algeria were killed during a three-day occupation of the plant.

Belmokhtar is an Algerian but was more recently based in northern Mali, where he had combined kidnapping and smuggling (hence the nickname) with audacious terror attacks. He got his nickname for smuggling cigarettes across borders.

Thought to be about 40, Belmokhtar was rumored to have been killed or wounded in March during the French military intervention in Mali. But in the new 51-minute video he is shown training fighters and paying tribute to another jihadist commander who was killed earlier this year.

Belmoktar shows no sign of having been wounded.

The video shows a group of jihadists preparing for two deadly raids in neighboring Niger in May, which targeted a French-owned uranium mine and a Nigerien military academy.

"My brothers, all you should do is strive and make efforts with all determination and power to bring down their sites and harm their troops," Belmoktar says before embracing the group. At one point, he appears to be instructing recruits in using a rocket-propelled grenade.

The government of Niger sent troops to join the French-led operation in Mali.

Commanders from the al-Mulathameen Brigade, which is linked to al Qaeda in the Islamic Maghreb (AQIM), also appeal in the video to Muslims in Europe and America to carry out attacks.

One of them, Omar Ould Hama, a top Belmoktar deputy, is filmed standing in front of a pickup truck in the desert flanked by half a dozen masked armed fighters, and issuing a direct threat in heavily accented French.

"This message is sent to France especially, to the USA and to all NATO countries. Like we have said since the beginning, the jihadists are ready to go on the offensive at any moment. We need to transmit this message to the whole world. We need to complete our mission at any price. We have told you that we will hit you in the middle of the Quai D'Orsay in France, and we will target you like we have done before -- all the French interests, both military and economic in the whole world."

The Quai D'Orsay is the site of the French Ministry of Foreign Affairs. In 2008, Hama kidnapped Canadian diplomat Robert Fowler on Belmoktar's orders and held him for 130 days, Fowler told CNN after his release.

French minister: Islamists' heavy weapons found in Mali

Analyst: Focus likely will be on Sahara

"Such threats have been made before by Belmoktar and his commanders and associates but they have not yet demonstrated a capacity to launch attacks in the West. For the time being, it's more likely they will focus on hitting Western targets in the Sahara region," Andrew Lebovich, an analyst who closely tracks the group, told CNN.

Belmoktar himself is seen providing encouragement to the jihadists about to attack the French mine and Nigerian military academy in May.

Another commander, Abu Usama al-Masri, appeals for 'lone wolf' attacks in France. He talks of the young French-Algerian man -- Mohammed Merah -- who carried out a string of gun atttacks in the French city of Toulouse last year, killing seven people.

Merah was later cornered and killed by French police in his apartment.

"To every Muslim brother," says al-Masri, "whether his nationality is Algerian or Tunisian or Moroccan ... I believe they walk on the street and make the French people scared.....So the Muslim youth inside France have a great duty, even if it is with a stone or knife" to hit a Frenchman, according to a translation by the SITE Intelligence group.

The video was made available to CNN by Flashpoint Partners, an outfit tracking jihadist websites. It has since appeared on YouTube.

It shows jihadists operating in the northern Mali cities of Gao and Konna earlier this year, and the application of strict Shariah law. And it shows an interview with a man described of French-Mauritanian origin, who was detained by Belmoktar's group for drinking alcohol. He says he will be judged by Shariah law and will never drink alcolohol again.

The French intervention in Mali, which began in January and was aimed at defeating jihadist groups that had seized much of the north of the country, has subdued, but not eliminated, the threat from Belmoktar and allied jihadist groups.

One source briefed by Western and regional intelligence officials told CNN Belmoktar is believed to have moved to the triangle regions straddling the borders of Algeria, Niger and Libya in late 2012 after signs that an international intervention in Mali was growing more likely.

Known as the "Salvador pass," the area is a key transit points for drug traffickers and international criminal groups. Some counterterrorism analysts believe Belmoktar may have relocated in southern Libya, where an absence of state authority gives him room to regroup.

CNN previously learned that Belmoktar had visited to Libya after the uprising against Moammar Gadhafi and established ties with the emerging jihadist groups there. Intelligence sources told CNN earlier this year that he may also have had a role in the attack on the US diplomatic compound in Benghazi exactly a year ago.

According to one source, militants in the area called him up in Northern Mali shortly after the attack and offered congratulations. The call, which was intercepted, did not however provide proof of his involvement.

Working with other al Qaeda affiliates

According to analysts, the new video, which includes computer animations of attacks, is one of the most sophisticated yet produced by al Qaeda fighters in the region and should be seen as part of Belmoktar's pitch to have Zawahiri recognize his group as the stand alone al Qaeda affiliate in the Sahara.

The video also confirms the presence in Mali of fighters from Nigeria, where Boko Haram and Ansar al-Muslimeen have been involved in a campaign of sabotage and suicide attacks against police, government officials and Christians. There were reports earlier this year that Nigerian jihadists had joined AQIM in the city of Gao, in eastern Mali.

A fighter in a black and yellow headscarf who calls himself Abu al-Nigiri says: "To my mujahedeen brothers everywhere and in Nigeria in particular, I say to you: Wherever you find them, attack them and kill them."

Last year, simmering tension between Belmoktar and AQIM's paramount leader Abdelmalek Droukdel, who is based in northern Algeria, burst into the open -- leading to Belmoktar's dismissal from the North African al Qaeda affiliate's leadership.

But this video suggests Belmoktar's group is again joining forces with other al Qaeda affiliates across the region. The video features clips from speeches by Qasim al Raymi, a leader of al Qaeda in the Arabian Peninsula (AQAP), as well as from Osama bin Laden and Ayman al Zawahiri.

Belmoktar has a deep file of jihadist contacts across the region because of the time he spent fighting with other Arab fighters in Afghanistan in the early 1990s, which analysts say he is likely to continue to leverage.

On his way back to fight in the Algerian civil war he spent time in Yemen, where he made contacts in militant circles.

Since the Arab Spring, according to western counter-terrorism sources, North African and Yemeni jihadists have consolidated their connections. Those officials say three Yemeni fighters who belonged to AQAP participated in the attack on the U.S. compound in Benghazi and then fled to northern Mali where they connected with Belmoktar's group.

And, this month, three Libyans were arrested in the Yemeni capital, Sanaa, suspected of belonging to AQAP.

There appears to be a growing effort by al Qaeda's leadership -- and not just by individual jihadists -- to improve co-operation among the various arms of the group. In 2012 AQAP leader Nasir al Wuhayshi, who was recently appointed al Qaeda's global No, 2, sent several letters to AQIM emir Droukdel which were subsequently discovered by the Associated Press in northern Mali.

They indicated that Wuhayshi had emerged as a bridge for communications between al Qaeda figures in Pakistan and the North African group.

al Qaeda document sheds light on attack plans

@highlight

Jihadist Moktar Belmoktar appears to be back on the stage

@highlight

He had claimed responsibility for a deadly attack on an Algerian gas facility

@highlight

In video, he trains fighters and pays tribute to fallen commander