(CNN) -- A woman who Australia deems to be a national security risk has given birth to a child who is likely to spend the early months, if not years, of his life in detention.

Baby Paari was born on Tuesday to Ranjini, a 33-year-old mother of two other boys aged six and nine, who was granted refugee status by Australia in 2011 after fleeing violence in Sri Lanka.

Read more: Australia's 'overwhelmed' asylum centers slammed

Since May, they've been living in residential housing within the walls of the Villawood Detention Center, a secure facility in suburban Sydney where asylum seekers remain while their cases are processed.

Ranjini's husband Ganesh clearly remembers the day in May 2012 when his wife and two children were summoned to a meeting with immigration officials to be told that the country's security intelligence organization, ASIO, had given Ranjini a "negative assessment."

"We don't comment on any individual cases, but it means that an assessment by our security intelligence organization has identified that person may be of risk, and we need to take seriously that it's our job to make sure that the community is safe," Australian Attorney-General Nicola Roxon said recently when asked about the case.

Read more: Australia grapples with policy on asylum seekers

Ganesh says they were not told why she is considered a national threat. In any case, she had no legal right to appeal.

She and the boys were given five minutes to say a tearful goodbye to Ganesh before they were flown from Melbourne to Sydney and into indefinite detention. He says the very next day they found out that she was pregnant.

Ganesh told his and Ranjini's story to CNN but has received legal advice not to be quoted. He has requested their surnames aren't used as they still have family living in Sri Lanka.

CNN is unable to verify details of Ranjini's story with the Australian Department of Immigration and Citizenship (DIAC) because it will not comment on individual cases.

"It's a very difficult situation -- I understand why people are agitated about it -- but it is important for people to remember that we do have an obligation as a government to keep the country as safe as we can.

Where these fairly rare security assessments are made, it's very difficult for us to do anything other than to act upon them," Roxon said.

Ranjini's supporters say they suspect her detention has something to do with her former husband, a Tamil who was killed during fighting in Sri Lanka, though that is also unable to be confirmed.

Ranjini's story

Ganesh tells CNN that in 2008 Ranjini was living as a widow with two young children in Sri Lanka as the country lurched toward the brutal end of a civil war between the government and the Liberation Tigers of Tamil Eelam (LTTE)

Her first husband had been killed in 2006, leaving his young family at the mercy of fighting in the Vanni area, where the United Nations alleges both sides murdered civilians, according to a report released in March 2011.

Ranjini first sought refuge in India before boarding a boat that she was told could take them to a new life in Australia. Their vessel arrived in Australian waters in April 2010, long after it had run out of food and fuel.

Ganesh says Ranjini told him the Australian Navy brought his wife and children ashore and took them for processing by immigration authorities on Christmas Island. Three more moves followed, to detention centers in Perth, Adelaide and then Brisbane where they were released to community detention in April 2011.

Five months later, they were granted refugee status. There was just one more security check to go through before they were granted permanent visas.

Ganesh's story

Ganesh says he met Ranjini at a friend's house in Brisbane during the Christmas of 2011. Her two young boys were polite and well-behaaved and Ranjini seemed to like him.

Ganesh was three years older and from the same region of Sri Lanka before he left in 2004 to study information technology in Australia on a student visa. He finished his degree course in June 2009, just as the Sri Lankan government was declaring victory over rebels in the north.

It was not safe to return. He applied for a protection visa and was later granted permanent Australian residency. He says he will soon qualify for Australian citizenship.

In April of 2012, life was good. He was working as an IT consultant, had just married Ranjini, and she and her sons had moved in with him in Melbourne. They started calling him "dad," or "appa" in Tamil.

The law

Ranjini is not the only refugee who is being indefinitely detained in Australia. There are 56 whose cases are being reviewed by the country's first independent reviewer, retired Federal Court judge Margaret Stone.

Stone was appointed in October 2012, six months after an Australian Senate Committee report into the country's Immigration Detention Network concurred with the government's stated view that cases of indefinite detention should be subject to review.

The committee's final report, released in April 2012, said that it "resolutely rejects the indefinite detention of people without any right of appeal. Such detention, effectively condemning refugees who have not been charged with any crime to detention for the term of their natural life, runs counter to the basic principles of justice underpinning Australian society."

Because she has already been found to be legitimate refugee, Ranjini can't be deported. And her high risk status prevents her from being released.

"It's still the government's strong view that non-Australian citizens who have been given an adverse security assessment should not be permanently settled in Australia. We ensure appropriate arrangements are in place for the care and support of people detained due to an adverse security assessment," a DIAC spokesman told CNN.

ASIO has not revealed the criteria it uses to decide if someone is a security risk.

The organization's Director-General David Irvine told the Senate Committee that "once the criteria for making assessments are known, then you will find very quickly that all the applicants will have methods of evading or avoiding demonstrating those characteristics."

He said the decision to issue an adverse assessment "was not taken lightly." "Nor are we contemptuous of or blasÃ© about the human rights of the individual's involved.

"We take very seriously our responsibility to behave ethically and professionally and, obviously, with the utmost probity," he added.

Still, the process undertaken by Stone has offered a glimmer of hope to those in indefinite detention that their status could change.

Letters dated December 4, 2012 were sent to all 56 detainees who are considered a national risk. So far, 54 have requested their cases be reviewed, according to Stone's office.

During the review process, detainees will be allowed to see an ASIO summary explaining why they are considered a risk to Australia. However, according to the terms of reference, information will only be included "to the extent able without prejudicing the interests of security."

Stone's office has confirmed to CNN that Ranjini's case has been given priority, along with a number of others.

Life in detention

Ranjini and her sons are being held in a "lower security" section of Villawood Detention Center in Sydney with other families who are waiting for their claims to be processed.

The boys are not free to leave. Ganesh says that they were given refugee status but had not been granted permanent visas when their mother failed the security test. He says he's trying to secure them a visa but until then they must stay in detention.

Very soon they'll be joined by Baby Paari. Because his father has permanent residency, Paari qualifies as an Australian citizen and will be allowed to leave the center, just not with his mother.

"The situation is deplorable," said Ranjini's lawyer, David Manne, executive director of the Refugee and Immigration Legal Center. He called on the government "as a matter of basic decency, humanity and common sense" to use its powers of discretion to release Ranjini and her children "so they can reunite and live in freedom with their husband and father as a family."

More than a dozen children now live in Villawood Detention Center, according to ChilOut, an advocacy group that campaigns against the detention of minors.

A DIAC spokesman declined to confirm how many, but said the children have access to play areas and are taken on regular excursions outside the center, swimming and to the park.

Every day, the older children are escorted to and from school by officials from Serco, the company contracted to run Australian detention centers. Their parents are also allowed to accompany them, the DIAC spokesman said.

ChilOut's campaign director Leila Druery says that despite efforts to support the children they are clearly traumatized by their surroundings. "They feel that they're bad people and that they're being punished which means they have very low self esteem," she said.

"They have nightmares, suffer from anxiety and are quite stressed and I don't think you should find a five year old having anxiety attacks, wetting the bed and waking up in the middle of the night distressed."

In its final report, the Senate Committee said it "received no evidence to contradict the view that detention was an unhealthy and damaging environment for children."

And this is where Ganesh knows their baby will be unless his wife is freed.

The campaign

Since Ranjini's story emerged in the Australian press, campaigners have lobbied for her release.

People who have met her in Australia describe her as a "very shy" and "very sweet" woman, who is now confused and anxious.

Hundreds of people have emailed their support to "Letters for Ranjini," a website that urges the Australian government to reassess her case.

On Ranjini's due date, January 6, pregnant mothers with children showed up at closed prisons in Australia and held up signs reading "born free."

Ganesh says he's excited by the birth of his first born, but fearful for his son's future.

He says he has no reason to doubt his wife's story and does not accept that she is a threat to national security.

He just wants his family home.

@highlight

Widowed by fighting, Ranjini fled Sri Lanka with her two young boys in 2008

@highlight

They took a boat to Australia where they were granted refugee status in 2011

@highlight

However, the 33-year-old failed an ASIO security test and was detained in Sydney

@highlight

She gave birth to a baby boy Tuesday, he will join his mother and brothers in detention