Japan's new defense white paper has done little to mend fences with Beijing, with the Chinese government complaining that its Asian neighbor is using the "China threat" to justify a bigger defense budget.

Japan will spend about $49 billion on defense in the fiscal year to March 2015 -- up about 3% from the previous year -- in the face of what it says is a worsening security environment in the region. It cites tensions on the Korean peninsula and territorial disputes in the sea lanes running south from northern Asia as its key concerns.

Under Prime Minister Shinzo Abe, Japan is becoming more assertive about its defense posture, and is looking to upgrade its military over the next four years with bigger helicopter carriers, more anti-submarine patrol aircraft, surveillance drones, better amphibious warfare capability, and first deliveries in 2018 of its new fifth-generation fighter, the U.S.-made F35 Joint Strike Fighter.

In terms of regional defense, Japan benefits substantially from its security alliance with the United States, and is a big buyer of U.S.-made weaponry. It also builds its own submarines, surface ships and fighter variants.

China, which will likely spend about $200 billion this financial year on defense -- second only to the United States -- is a significant buyer of Russian aircraft, ships and submarines, but is concentrating on its own domestic capabilities. It launched its first aircraft carrier in late 2012, with two more likely to be built by the end of this decade. It is also developing its own fifth-generation stealth fighter, the twin-engined J20, with the first deployment expected in 2018.

Dangerous activities

Japan's annual defense document, approved by the Abe cabinet on August 5, says Chinese ships and aircraft have engaged in "dangerous activities" in disputed areas such as the South China and East China Seas, and these could have "unintended consequences."

China's Defense Ministry quickly rejected the Japanese claim, calling it simply an excuse for Japan's own military expansion. It said it strongly opposed Japan's "ignorance of facts" and its "groundless accusations" about China's military development.

Japan says China needs to be more transparent about the reasons behind what Tokyo calls a "broad and rapid" buildup of Chinese military might. It says China hasn't been clear about the rationale for its expansion.

In the air, China already has more frontline fighters than Japan, with the Chinese combat arsenal including advanced Russian SU-27 and SU-30 planes, and the domestic J10, J11 and J16. Japan has about 260 planes, including about 200 F15s, its mainstay fighter. Qualitatively, Japan still is seen to have an edge because of its close integration with the Japan-based U.S. military forces, in areas such as early warning, electronic warfare and refueling. By 2018, that air superiority could tilt to China, depending on how smoothly the roll-out proceeds respectively for China's J20 and the Japanese variant of the U.S. F35.

U.S. pivot

For the United States, the China-Japan defense spending spat is another point of Asia-Pacific regional tension. The administration of U.S. President Barack Obama wants to expand and maintain good relations with China, but is mindful that Japan hosts most of the key U.S. forward bases in the region. Plus there is a powerful economic incentive: Asia-Pacific continues to be a major focus of arms sales for the U.S., in competition with Russia, some European suppliers, and China itself.

According to the Stockholm International Peace Research Institute (SIPRI), global military spending last year was about $1.75 trillion, with the top 15 nations accounting for about $1.4 trillion of that. It ascribed a figure of $640 billion to the U.S. in 2013, followed by China on $188 billion. Russia ranked third, with a 2013 spend of about $88 billion, ahead of Saudi Arabia ($67 billion), France ($61 billion), UK ($58 billion), and Germany ($48.8 billion). Japan, India and South Korea ranked 8th, 9th and 10th in 2013, according to SIPRI's calculations.

U.S. military spending declined in 2013 and is budgeted to fall again in the year to September 2014 to about $526 billion. In contrast, SIPRI says that China, Russia and Saudi Arabia have more than doubled their military spending since 2004.

Territorial spat

China and Japan have a long-standing territorial dispute in the East China Sea over a group of islands known in Japan as the Senkakus and in China as the Diaoyutai. The islands lie about 111 miles (180 kilometers) northeast of Taiwan and about 248 miles (400 kilometers) west of Okinawa.

The area has seen a number of air and sea confrontations in recent years -- a point highlighted in the Japanese defense white paper. It says: "China has intruded into Japanese territorial waters frequently and violated Japan's airspace by its government ships and aircraft belonging to maritime law-enforcement agencies, and has engaged in dangerous activities that could cause unintended consequences, such as its vessel's direction of a fire control radar at a JMSDF destroyer, the flight of fighters abnormally close to JSDF  aircraft, and  its  announcement  of  establishing  the  'East  China  Sea  Air  Defense Identification  Zone'  based  on  its  own  assertion  thereby  infringing  the  freedom  of  overflight over the high seas."

In response, a Chinese Foreign Ministry spokesperson said on August 8 that there was "nothing disputable" about China carrying out "normal maritime and air activities which are consistent with international laws and relevant domestic laws and regulations." The spokesperson said China was exercising its legitimate rights and interests in establishing the East China Sea ADIZ, and was "in conformity with international laws and common practices."

Japan also has a territorial dispute with South Korea over the Takeshima/Dokdo group of islands in the Sea of Japan/East Sea. South Korea complained that the Japanese defense white paper included the disputed islets as Japanese territory and called on Japan to withdraw what it termed an "unjust claim."

Further south, in the South China Sea, China is in dispute with Vietnam, the Philippines, Malaysia, Brunei, Indonesia and Taiwan over competing claims to various islets and rocky outcrops.

@highlight

Japan will spend about $49 billion on defense in the fiscal year to March 2015

@highlight

Compares with the $200 billion China will likely spend on defense

@highlight

Under Prime Minister Shinzo Abe, Japan is becoming more assertive about its defense posture

@highlight

China's Defense Ministry says defense paper is an excuse for Japan's military expansion