Princeton, New Jersey (CNN) -- The Republicans have an authenticity problem. After many decades of enjoying huge political power, elected officials are struggling to energize voters about the party's brand name. Even the troubles faced by President Barack Obama don't seem to help.

The recent interest in governors such as New Jersey's Chris Christie or national politicians who are relatively new to Washington, such as Sen. Rand Paul or Sen. Marco Rubio, reflects a thirst in the electorate to find Republicans who will stand for something and mean what they say. According to The New York Times, the Koch brothers are pouring money into rebuilding the party around candidates who stand for their libertarian ideals.

The challenge that Republicans face is captured in a new pilot airing on Amazon Instant Video, "Alpha House," written by Doonesbury creator Garry Trudeau and starring John Goodman. The comedy focuses on the life of a group of four GOP senators who room together on Capitol Hill in what the producers call a "man cave."

The pilot shows Republicans in Washington who are essentially faking it, putting on theater for constituents despite what they really believe. The show begins with one of the senators, played by Bill Murray, oversleeping on the morning he was supposed to turn himself in to the Department of Justice for some kind of unspecified wrongdoing.

One of the senators, a closeted homosexual, tries to bolster his heterosexual credentials by castigating gay marriage in front of a conservative group and trying to learn to shoot a gun for a possible photo op.

Goodman plays a South Carolina senator who is grudgingly forced to campaign in his state even though he has little interest in dealing with voters.

The parody, with an admittedly liberal slant, conveys the essential dilemma that the party faces: the growing skepticism about a number of arguments that the GOP continues to make about itself.

The party of fiscal restraint: Republicans claim to be the party of fiscal responsibility, the people who will balance the budget and constrain the budget in contrast to the reckless Democrats. Yet the GOP now has a long history of running up the deficit. When Republicans are presidents, spending has continued to rise and deficits have gone up.

The presidency of George W. Bush burst any illusion that Republicans would maintain a tight fiscal order. Bush inherited surpluses from President Bill Clinton but as a result of the tax cuts of 2001 and 2003, combined with military and domestic spending, he turned them into a deficit.

Even with all the rhetoric coming out of Congress today about Republicans who desire to control spending, a close look at the plans of individuals such as Congressman Paul Ryan shows that deficits would remain alive and well if their policies went into effect.

The party of outsiders: This has been a favorite trope for the GOP, with Republicans still acting as if they live in an era dominated by the Democrats. But nothing can be further from the truth. Republicans have enjoyed a strong run in the White House since Richard Nixon's victory in 1968 and they have maintained control of Congress for much of the period since 1994.

During this time, Republicans have formed close connections with the K Street lobbying community and become accustomed to the benefits of pork barrel spending.

Goodman's character reflects an image that too many, on the right and left, have of Republican elected officials. Belying the notion that they are not part of life inside the Beltway, Republicans have also been implicated in many scandals involving the abuse of power, such as all the politicians who fell as a result of their connection to the lobbyist Jack Abramoff in 2006, making it difficult for many Americans to hear Republicans blast away at the very Washington in which its members thrive.

The party of morality: This remains a chestnut for many Republicans who want to appeal to notions of social and cultural conservatism. Although this position has come under fire as out of touch with where many Americans are on issues such as gender rights and gay rights, the party's leaders are generally standing firm.

Yet scandals in recent decades have rocked the image of the party. In South Carolina, former Gov. Mark Sanford's congressional campaign has stumbled as voters were reminded of the affair that brought him down from power.

The party of national security: This was one of the most important claims for the party since World War II. The Republicans had made significant political gains, arguing that they were better equipped to handle national security than the Democrats. They used this argument to devastate their opponents.

But the memory of the war in Iraq under President George W. Bush continues to haunt the party. The recent opening of Bush's presidential library brought up memories of the controversy, as does the current debate over whether to send arms to Syrian rebels following evidence that the government used weapons of mass destruction. The deployment of military resources based on faulty intelligence and the enormous failures of the post-reconstruction period in Iraq have put Republicans on the defensive.

The party of opportunity: Republicans have always argued that their policies would offer the greatest opportunities to the largest number of Americans. Through trickle down economics and the expansion of markets, Republicans said, all Americans would gradually prosper.

Yet many of the party's economic policies have proved to benefit a small portion of the population, bolstering critics who claim that the GOP does not support the middle class. When 2012 GOP presidential nominee Mitt Romney was secretly taped talking about 47% of the nation consisting of people who didn't pay taxes, he perpetuated this image, which was damaging to his campaign.

For many voters, the rhetoric of the GOP does not reflect the recent history of the party. Until Republicans put forth more compelling ideas and offering politicians who stand for something, they will have trouble regaining strength.

Until they do, shows such as "Alpha House" will continue to ring true.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

A pilot show, "Alpha House," depicts GOP senators in unflattering light

@highlight

Julian Zelizer says show makes Republicans out to be hypocrites

@highlight

He says the party is perceived to lack authenticity in pushing conservative values

@highlight

Zelizer: GOP hasn't shown it is party of fiscal restraint, national security, morality