(CNN)Once again the global community waits to see if the United States and its partners can really halt Iran's quest for nuclear power through a verifiable accord or if Tehran is trying to buy more time for a clandestine nuclear weapons program it is suspected of having.

True, the government of the Islamic Republic of Iran has consistently denied it seeks anything more than nuclear energy for peaceful purposes. But Supreme Leader Ayatollah Ali Khamenei's repeated claims in public forums that "We do not have nuclear weapons, and we do not intend to produce them," have failed to convince the United States, European Union and Israel.

Suspicion is well-warranted.  Iran reluctantly disclosed to the International Atomic Energy Agency, or IAEA — only after U.S.-led detection — its clandestine enrichment of uranium at an underground facility near Qum, testing of bridge wires to explode the detonators of atom bombs at the Parchin military facility near Tehran, and development of an advanced multipoint trigger system for nuclear warheads. Even the IAEA director noted on March 2 that the agency still could not "provide credible assurance about the absence of undeclared nuclear material and activities in Iran and therefore to conclude that all nuclear material in Iran is in peaceful activities."

As a result, the chief ayatollah's words seem more intended for defusing the international storm rather than changing domestic policy. Moreover, Khamenei has made it amply clear to Iran's citizens in the text of an infographic on his website, also reproduced by the state-controlled news media, that "Iran must not cease or slow down" but should "continue nuclear research, expansion, and progress."

He has threatened as well, repeatedly, that Iran will unleash a "crushing response" against any nation with which it clashes, making his stated intent to continue nuclear activities more ominous.

However, economically strapped and internationally isolated, Iran's citizens are putting pronounced pressure on President Hassan Rouhani and Khamenei. A November 2014 Gallup Poll indicates 70% of Iranians hope their leaders will accept an agreement. They expect the country's economy will jump-start through reduction or elimination of sanctions.

So Iranian politicians and clerics, even those on the National Security and Foreign Policy Parliamentary Committee, have gradually begun acknowledging that sooner or later "some sort of a result [i.e., nuclear deal]" will have to be accepted by Tehran.

Ordinary Iranians' desire to reach a pact with the West is understandable. Iran's economy ranks only 32nd  in the world, according to data from the World Bank, despite its vast energy resources and well-educated public. Consequently its people's prosperity has fallen to a lowly 107th among the world's societies, according to the Legatum Institute.

Plunging oil prices have recently added to domestic woes, with that country facing deeper deficit in revenues much needed for development projects. Iranian leaders realize their regime remains vulnerable not only to externally imposed sanctions, but more so to internally generated widespread discontent, which erupted and was violently repressed in 2009.

Regime preservation has multiple facets, however. It's not just about keeping citizens fiscally happy. Nuclear weapons work well in deterring external adversaries. Processing such technology generates much pride at home, too. Fifty-six percent of Iranians responded favorably to its continued development when polled in January. Consequently there will be countervailing internal pressure on Iran's leaders to withstand fully meeting obligations under the Nonproliferation Treaty, irrespective of whether a deal is reached, even if the socioeconomic cost to their citizens and fever-pitch global consternation continue to rise.

But Iran's leaders also know full well that agreeing to a pact that lifts most or all sanctions will boost the economy and thereby generate additional resources to enhance the regime's popularity at home and influence abroad. This central goal of Iran's presence at the negotiating table was made crystal clear during the Supreme Leader's Nav Roz, or New Year, public address on March 21: "Removal of sanctions is part of the subject of negotiations, not of the results ... removal of sanctions should occur without any deal when an agreement is reached."

"We can see a path forward here to get to an agreement ... [and] very much believe we can get this done by [the deadline of] March 31," stressed a senior State Department official traveling with U.S. Secretary of State John Kerry to Lausanne on March 25. Negotiators have even added three more months to resolve the technical details of the overall agreement.

Diplomacy may, as the Obama administration has stressed repeatedly, indeed be the most efficient and least dangerous way to prevent Iran from obtaining a nuclear weapon. Certainly neither the American nor the European publics want another drawn-out war in the Middle East.

But as the United States and other world powers work fervently toward clinching the long-awaited nuclear agreement with the Islamic republic, it is important for Western negotiators and politicians to bear two central considerations in mind: (1) Irrespective of mechanisms written into the deal, will verification actually be possible on the ground to ensure Iran both limits and becomes fully transparent about its nuclear program? (2) Would the world collectively or the United States independently be able to enforce punitive actions, such as re-establishing sanctions, if Iran fails to comply fully and in a timely manner?

Iran's President continues to suggest that his country seeks a "win-win deal which would serve the interests of all the parties," as does his negotiating team. But many Western and Middle Eastern leaders fear the United States and its allies will not be able to truly enforce nuclear limits upon Iran through any treaty.

Certainly not only many Asian and African nations, but even two of the superpowers, Russia and China, see little if any threat from Tehran and would much prefer to reopen large-scale trade with Iranians than argue about atomic fission. Last November, Russia even entered into an agreement to build at least two nuclear reactors in Iran.

Once sanctions are lifted, multinational corporations will likely invest heavily in Iran and resist having to pull out subsequently.

Not surprisingly, influential hard-line Iranian leaders including Ayatollah Sadegh Larijani, who heads Iran's judiciary, trumpet: "Our country and our negotiating officials ... are the real winners in these talks."

Four years ago Iran's Revolutionary Guards declared: "The day after Iran's first nuclear test is a normal day ... but for some of us there will be a new sparkle in our eyes." Even if a deal is done, will Iran gamble that with the exception of the United States and Israel, nations can come to live with it eventually reaching the threshold of nuclear breakout or wielding nuclear weapons?

@highlight

Authors: Iran's people want a deal in hopes of a better economy

@highlight

They say Iran's leaders recognize that having a nuclear program can elevate its international clout