(CNN) -- Some stunning buildings have appeared in American cities the past four years -- buildings, like the Aqua skyscraper in Chicago, Illinois, that attest to the creativity of 21st-century architecture.

But there might be fewer of them in the near future, because the recession has forced many architects to tone down their ambition.

"A lot of projects have been delayed, a lot of projects have been scaled back, a lot of projects have been scrapped. ... It's not a time to see a lot of architectural masterpieces being created," said Kermit Baker, chief economist of the American Institute of Architects.

Baker said the emphasis today is on value.

"I think most buildings that are being built are very much focused on managing cost," he said. "So you tend to see less creativity in that environment, less exciting designs, less upscale materials being used in them."

At Aqua, the curved terraces vary slightly from floor to floor, giving the 82-story tower a soft, billowy look -- as though Chicago's celebrated winds are ruffling its façade. It's an award-winning structure that stands out for its innovative design by Studio Gang Architects. But its construction was well under way before the recession.

Now "we are hearing that there's more renovation work than construction work -- kind of retrofitting existing buildings rather than building new ones," Baker said.

It might not be the most stimulating work for innovative minds, but at least it's work in what industry experts say has become an intensely competitive market. Where there were once two or three firms competing for a small project, now there are 20 or 30 as larger firms move in to take whatever jobs they can get.

The larger firms might "rather do a skyscraper, but if they can get a much smaller job they will, to keep the firm going and to keep people employed," said Robert Campbell, a free-lance architecture critic for The Boston Globe. "And that drives people out of the field at the bottom who would otherwise have been getting those small jobs."

Many firms have had to lay off employees to stay afloat. According to the U.S. Bureau of Labor Statistics, employed architects have dropped from an average of 233,000 in the first quarter of 2008 to 217,000 in the first quarter of 2009 and 198,000 in the first quarter of 2010.

George Miller, the president of the AIA and a partner at world-renowned architecture firm Pei Cobb Freed & Partners, worries about the long-term effects this job shortage will have on the industry.

"It's really difficult, of course in these last several years, for students coming out of school to find appropriate positions in the field," he said. "That really concerns all of us because we're afraid that we're going to lose a generation of architects. ... There are going to be fewer of us around to do the work that really needs to be done in the future."

What will be the architectural work of the future? Miller says it will likely be energy-efficient design and a renewed focus on infrastructure, especially in urban areas.

"We're going to be considering not only the individual building solution, but also the way in which our buildings fit in neighborhoods and communities and regions," he said. "We really have to have a plan now that considers the infrastructure of our communities. ... I think if we're smarter in terms of designing our urban centers, we'll be more efficient in terms of the utilization of our natural and physical resources."

Experts agree that architecture is a cyclical industry and that the market will eventually rebound. The question is when.

"It's always been highs and lows, highs and lows," said Campbell, who is also a registered architect. "I remember in 1975 I was working for a prominent firm in Harvard Square, and we dropped from 68 [employees] to 20. And that was the oil embargo, '74, and that led to an extremely steep recession but a short one -- not like this one that's lasted so long."

Some architects think recovery might be around the corner.

"We are seeing the private sector picking up," said Thomas Fridstein, head of global architecture for AECOM, a provider of technical and management support services. "I feel like we've been through the worst, we've sort of hit the trough of the recession and things are on the upturn. We've had some major commercial clients contacting us about projects potentially starting up again, so that's a very positive sign."

It's a positive sign for the nation, too, because busy architects are a bellwether of economic stability.

"If you don't design it, you can't build it," Baker said. "So [architects] are really the first step in the process toward seeing a recovery."

@highlight

Many architecture firms have laid off workers because of the recession

@highlight

Projects are tough to come by, and they're often conservative in scope

@highlight

America could "lose a generation of architects," one industry expert fears

@highlight

Experts agree the market will eventually rebound; the question is when