Boston (CNN) -- Widespread power outages and transit delays marked the start of a challenging week for millions of residents of the Northeastern United States, where a freak October snowstorm dropped more than 2 feet of snow in some places.

Close to 1.7 million customers in five states remained without power Monday evening, and officials warned it could be Friday before power is back on everywhere.

Utilities throughout the region reported significant progress in restoring power, but the cold, snowy conditions and house-by-house nature of the damage was slowing work, officials said.

At least 13 deaths have been blamed on the weekend storm, which prompted emergency declarations from the governors of New York, New Jersey, Connecticut and Massachusetts, and also put Halloween trick-or-treating plans in jeopardy.

President Barack Obama signed an emergency declaration for Connecticut on Monday, ordering federal aid to supplement state and local response efforts.

About a dozen Massachusetts cities have postponed Halloween celebrations, according to CNN affiliate WGGB.

At least 20 Connecticut cities and towns, including the capital city of Hartford, canceled events or asked parents to wait until later to take their kids trick-or-treating, according to CNN affiliate WFSB-TV. Even Gov. Dannel Malloy and his wife, Cathy, said they will be leaving the lights off.

"No amount of candy is worth a potentially serious or even fatal accident," the governor said in a statement.

In Worcester, Massachusetts, officials asked residents to postpone celebrations until Thursday, when temperatures are expected to climb to 60 degrees. Trick-or-treating, the city said, would "put families and our youth in harm's way as they negotiate piles of snow and downed limbs."

In Springfield, Massachusetts, school officials announced classes would be canceled for the week.

Massachusetts Gov. Deval Patrick said some roads in the state are expected to ice up again after dark, and he warned that downed power lines continue to pose a threat.

"It was a particular challenge not just because it comes unseasonably soon, but because there are leaves on many of the trees, which caused a number of limbs to come down on power lines," he said.

Some of the heaviest snow fell in Massachusetts, Connecticut, New Jersey and New York, but snowfall amounts of at least a foot were recorded from West Virginia to Maine. The Berkshire County community of Peru, Massachusetts, received 32 inches of snow during the storm.

"I never have seen this, and I've lived here all my life, and that's more than 90 years," 92-year-old Genevieve Murphy of Westfield, Massachusetts, said in an interview with CNN affiliate WWLP-TV.

Aaron Kershaw in Mahopac, New York, about 50 miles north of Manhattan, told CNN he was using a 4,000-watt generator to provide power for his family of five.

The wet, heavy snow brought down a number of trees while coating the area in a thick blanket of white.

"Thank God no homes, cars, people, etc. were harmed," he said. "But Mother Nature left us beautiful scenery."

About 1,300 people were staying in Massachusetts shelters, state officials said. In Connecticut, 50 shelters were open, Malloy said.

With no electricity and no heat at home, Jessica Taylor took her six children and spent the night in a shelter in the Hartford area.

"We've been eating meals here," she told CNN affiliate WTIC-TV. "They've been serving us, taking good care of us."

Connecticut power officials said Monday that about 748,000 people were still without power, down from a peak of more than 900,000.

"It's all hands on deck," said Mitch Gross, a spokesman Connecticut Light and Power, the state's largest utility. "We have a lot of work to do."

Power crews from across the country are converging on the state to help restore power, according to Gross, who said every town that Connecticut Light and Power serves was adversely affected in some way by the storm.

In Massachusetts, state officials said utility crews had come from as far as Louisiana and Texas to help. Patrick said utility crews had made a 23% dent in the number of buildings without power as of Monday morning.

"A 23% reduction overnight is pretty great, but we have a whole lot more to do and a few days yet before power will be restored to everyone," Patrick said.

About 478,000 people remained without power Monday evening, according to officials.

Elsewhere, about 202,000 customers were without power in Pennsylvania; 116,000 in New Jersey and 127,000 in New York, according to figures from emergency managers and power companies in those states. Thousands also lost power in New Hampshire, Maryland, Virginia and West Virginia.

Kimberly Lindner of Chappaqua, New York, said the family whiled away the hours by building a "jack-snow-lantern."

"It's October, and there are 12 inches of snow on the ground," she said in a submission to CNN's iReport. "But the kids think it's great. They've been playing outside all day and really don't care that there is no power. Why not make the best of things and have some family time in the snow? A snowman without a head, a jack-o'-lantern without a body ... enough said."

For others, however, the unexpected storm brought unexpected misery. Airline passengers left stranded by the storm spent a restless weekend night on cots or airport floors.

"Whatever kind of system they had, it completely and utterly broke down," said passenger Fatimah Dahandari, who spent a night in Hartford, Connecticut's, Bradley International Airport while trying to get to New York. "It looks like a refugee camp in here."

Passengers stuck on jet for hours

As of Monday, authorities reported at least 13 deaths attributed to the storm.

Three people died in Massachusetts, Patrick said, including a Lunenberg resident who died in a fire and a resident of Hatfield who succumbed to carbon monoxide poisoning, apparently from an improperly vented generator.

The third death happened in Springfield when a man in his 20s ignored police barricades surrounding downed power lines and touched a metal guardrail, which was charged, city fire department spokesman Dennis Legere said.

At least four people died in Pennsylvania -- two of them in a crash Sunday on Interstate 95 in Philadelphia, CNN affiliate KYW-TV reported. A third death happened in Temple, when an 84-year-old man was resting in his recliner Saturday and part of a large, snow-filled tree fell into his house and killed him, according to a state police report. The fourth death was blamed on carbon monoxide poisoning, after the victim in Lehigh County used a charcoal grill to heat a home, said Ruth Miller, a spokeswoman for the Pennsylvania Emergency Management Agency.

Four people also died in New Jersey because of the storm, police said. Two were killed in motor vehicle accidents, one in Bergen County and one in Passaic County, while two others died after trees fell on their cars.

In Connecticut, two people died, including a motorist involved in a traffic accident in Hebron.

CNN's Marina Landis, Leslie Tripp, Ashley Hayes, Miguel Susana, Chris Boyette, Greg Morrison, Sara Weisfeldt, Elizabeth Cherneff, Susan Candiotti, Ivan Cabrera and Dominique Debucquoy-Dodley contributed to this report.

@highlight

NEW: Power outages fall to about 1.7 million in five states

@highlight

Deaths attributed to storm rise to 13

@highlight

Trick-or-treat postponements spread through Northeast

@highlight

Roads could ice up again, and fallen power lines remain a risk, officials say