In our Behind the Scenes series, CNN correspondents share their experiences in covering news and analyze the stories behind the events.

Tito Mukhopadhyay uses poetry to talk with his mother, Soma. The autistic teenager is a published author.

(CNN) -- Tito Mukhopadhyay shuffles to the front door of his home in Austin, Texas. He's coming home from school, something that would have been unthinkable just a few years ago.

His mother, 45-year-old Soma Mukhopadhyay, is considered a pioneer in a breakthrough treatment for some autistic children who face the stigma of being considered "mentally retarded."

That was a label Soma never accepted for 19-year-old Tito. And after hearing Tito's story, you'll never look at an autistic child the same way.

"How was your day?" Soma asks.

Before Tito can answer, he obsessively moves around the house, placing the TV remote in its proper place, arranging the salt and pepper shakers just so. Then he sits down in front of his specially designed keyboard to type his response.

"It was like a floating kangaroo that kept itself invisible," Tito answers.

Tito's cryptic reply is part of his  medical condition. But his distinctive way of speaking is also a gift that has made him famous in a misunderstood community.  Watch Tito interact with his mother »

Though Tito is virtually mute, that changes when he picks up a pencil to write, or begins tapping at his keyboard.

He is a poet, and the author of several books and essays in which he eloquently describes what it's like to be autistic.

In his writings, he explains why he doesn't make eye contact, what it is like to be obsessed with a ceiling fan, and how his brain has trouble processing sound, touch and sight all at once.

Experts confirm Tito's observations of autism. One doctor described it as the way the brain fails. None can agree on its exact cause, but most believe there is a genetic predisposition to the condition, with significant environmental triggers involved.

The developmental disorder affects the way the brain works and affects the way the child interacts with society.

Some doctors and parents see a link between childhood vaccines, others suspect pesticides or drugs taken during pregnancy. The theories are endless and most experts agree there is no single cause.

Whatever autism is, its symptoms range from a mild form to rendering individuals dependent on others for life.

Many people with autism are able to take in information very well, but the wiring in the brain simply won't allow the information to be processed in the form of organized thought and language.

Tito has given experts some rare insight into what that feels like. His poetry includes stanzas like this:

"I am he.

And I am me.

I am he behind that mirror

I am me watching the he."

One of his favorite books is Plato's "Republic."

The world may have never known about Tito's gift except for the efforts of his mother, Soma, who is from India.

Doctors there told Soma that Tito was mentally retarded and beyond hope. She gave up her career in chemistry, determined to teach him.

Eventually, an organization in the United States brought Soma and Tito, then 10 years old, to the United States to study him because he defied the stereotype of an autistic child.

Soma's method of teaching Tito is called the Rapid Prompting Method. I watched her work with other children at the HALO -- Helping Autism through Learning and Outreach -- center in Austin, Texas, where she teaches while Tito attends school.

The therapy starts by asking the children to point at words on pieces of paper. Once they've mastered that, they use the stencil.

If their motor skills develop well enough, the children will type on a specially designed keyboard.

Her technique seems to be working for the children who attend therapy at HALO. There is a yearlong waiting list for four-day therapy sessions. It can take years to see progress.

Rapid Prompting has not been tested in long-term scientific studies, and Soma is not without her critics. Some criticize her methods as harsh and unproven.

During her sessions, Soma never says "good job," never rewards a child with a high-five or a treat, which is a common reward in other therapeutic techniques.

Soma is unapologetic.

"I don't see the child as autistic. I don't see the label at all," Soma says, speaking quickly in her musical Indian accent.

"I see the child as a person. And just as I would talk to any person, I would talk to a child, because the world is not going to talk to them in a very slow way."

Dr. Michael Merzenich was one of the first experts to pay attention to Soma's technique. He's a neuroscientist at the University of California, and he believes Soma's rapid prompting works.

He says there is no doubt the children are using their minds to create their own words and express their own ideas. Unlike facilitated learning techniques that have been discredited, Soma does not guide the children's hands.

"Imagine what it would be like," he says, "to be able to understand everything that's said to you -- to think and to be unable to communicate your own thoughts and ideas."

Merzenich does not believe Rapid Prompting works for all autistic children, but has no doubt it can help thousands.

I watch several young children in their therapy sessions on this day in Austin. Some struggle horribly. The session makes the children appear stressed, but they continually make small breakthroughs and answer questions correctly.

Soma conducts about 10 therapy sessions a day.

"You must be exhausted," I say to her.

"I can't be," she answers curtly but with a smile. "I have to go home now and teach Tito."

At their home, I ask Tito if he is happier now that he can communicate. He writes out a long response on a piece of paper on a clipboard.

"I can't say whether I am happy or not, because happiness is a state of my mind. So sometimes I think I'm happy. Other times it is hollowness."

It's probably a true statement for most of us at some point in our lives. Soma smiles at the response and doesn't miss a beat.

"Keep writing," she says to Tito. "Keep going." E-mail to a friend

@highlight

Autistic poet defies stereotypes about mystery illness

@highlight

Doctors told mom he was beyond hope

@highlight

Tito is now published poet