(CNN) -- In the seven years since its founding, Twitter has become a go-to place for news updates, witty one-liners, political one-upmanship and even absurdist storytelling.

It's also become a go-to place for intolerant bile.

On Sunday night, Nina Davuluri, an American of Indian ancestry, was named Miss America. Immediately, the Twitterverse started spewing.

"This is Miss America... not Miss Foreign Country," said @MeredithRoanell.

"Congratulations Al-Qaeda. Our Miss America is one of you," posted @Blayne_MkItRain.

What is it about Twitter? Whether the events are earthshaking or trivial, the site of more than a half-billion accounts has something to say -- and often, it's upset.

Ben Affleck is named the new Batman; the anger flows. George Zimmerman is acquitted; people fly off the handle. Comments on sports, TV shows, politics, news media -- when there's something negative to be said, it will be said (occasionally with poor spelling and IN ALL CAPS) on Twitter.

As Stephen Colbert summarized the Miss America outcry on "The Colbert Report," "And Twitter, as usual, could not be happy."

David Reiss, a San Diego-based psychiatrist who specializes in personality dynamics, observes that Twitter's impulsiveness can get the best of people.

"It's very easy to jot something off and hit send, and you can impulsively say something without thinking it through," he says, noting that it's the reverse of the classic angry letter you write and then put in a drawer until you cool off. "With Twitter, you don't need to (do that). And if there is feedback or push back, you don't necessarily even see it."

As of Friday afternoon, Twitter had not responded to a request from CNN for comment.

'Anger is more influential'

Such anger isn't just limited to Twitter, of course. You can find it on other social media platforms, news site comment boards -- including on CNN.com -- and pretty much all over the Internet. YouTube, for example, also has been known for attracting mean-spirited comments.

Still, Twitter is an easy target. Besides the impulsiveness Reiss mentions, there's a typical litany of virtual-world reasons for Twitter's vitriol: anonymity, a perceived lack of consequences, a troll-ish desire to stir the pot.

But perhaps the most intriguing was revealed in a study published recently by Beihang University researchers. By analyzing posts on Weibo, a Chinese version of Twitter, they determined that anger is the most powerful online emotion.

Of the four basic emotions into which they classified tweets, sadness and disgust barely travel. Joy does better. But anger, like a potent virus, spreads the fastest and most widely of all.

"Our results show that anger is more influential than other emotions like joy, which indicates that the angry tweets can spread quickly and broadly in the network," the researchers wrote.

23 key moments from Twitter history

The idea of Twitter anger is so prominent that Monica Stephens, a geography professor at Humboldt State University in California, put together a map titled "The Geography of Hate." The project was inspired, in part, by racial slurs on Twitter after President Obama's re-election.

The map highlights sections of the country that engage in certain hate speech based on keywords, aggregated by county and adjusted for population. The results have favored rural areas, which Stephens attributes to insularity and fear of outsiders.

Indeed, a more accurate title for the map would be "the geography of xenophobia," she says.

The map certainly hit home with certain parts of the country, Stephens says.

"So many people lashed out in anger towards me after seeing it," she says. "I have hundreds of really angry e-mails that start with the term 'racist bitch.'"

Anonymity and distance

This isn't the sort of thing that tends to happen as widely on Facebook or other social media sites. There are a couple reasons for that, says Tammy Vigil, a professor at Boston University's School of Communication.

One is that Facebook is largely a closed system in which you mainly communicate with people you know -- unlike Twitter, where a tweet goes out to the whole world.

Moreover, Facebook friends can react more directly to vitriolic posts, either by calling the poster out or simply unfriending him or her, she says. In May, the site strengthened policies to stamp out hate speech.

"With Facebook, there's more accountability," says Vigil. "Most people's Facebook accounts have multiple pictures of them, they've got connections to 'these are my friends.' There's a lot less of the anonymity, so there's a little less of the disinhibition that occurs."

Twitter also creates more distance, adds Lesley Withers, a communications professor at Central Michigan University.

"It's asynchronous -- you're not chatting real-time with another person -- so there's less of a sense that the other people out there are real," she says. A phone call or even some kinds of online dialogue establishes a connection that you're dealing with actual human beings.

But on Twitter, that connection isn't there, so "that allows us to go off in ways that we wouldn't choose to do if we had to look at another person's face when we did it."

Consequences?

Twitter's brief screeds seldom have consequences, though that may be changing. The site recently created a "report abuse" button and the media -- which is often to blame for highlighting anger -- is paying more attention to bullying on the site.

But the idea of consequences is hard for Twitter users to understand, observes Withers.

"I think people don't think about the long-term ramifications," she says. "When I talk with students about how they use social media and say that a lot of employers will look to see what kinds of things you're posting on Facebook or Twitter, I'm surprised by the number of people who say, 'Any employer that would stalk me that way online, I wouldn't want to work for them anyway.'"

There are signs that a growing number of Twitter users don't like the venom in their midst. After the nastiness with Miss America, a number of people responded with positive tweets congratulating her. Some even reprimanded the angry tweeters -- and received apologies.

"I am so sorry. I didn't think before I tweeted what I did. I absolutely did not mean to hurt or offend anyone. Again I am SO very sorry!!!" tweeted @JAyres15.

Withers points out that the system has much to overcome.

"People use Twitter to get reactions out of others," she says. "It's like a popularity contest: If you can put something out there that's quick and inflammatory and it gets retweeted a ton, that's your feedback -- that's how you know that it was an interesting or effective tweet. And people don't seem to be as concerned if the response is positive or negative."

And what works? Let's all scream it at the top of our lungs: Anger.

"Anger is an empowering emotion. You can post something angry and it can make other people feel something. It allows us an opportunity to be dramatic," says Withers. "And a lot of people really like drama."

@highlight

The crowning of Miss America on Sunday led to angry, often bigoted tweets

@highlight

Twitter has become a go-to place for online anger

@highlight

Many reasons: It's fast, brief, requires little thought -- and anger is powerful

@highlight

Such behavior is less common on Facebook, where people interact mostly with friends