(CNN) -- The pilot at the helm of Asiana Airlines Flight 214 was training to fly a Boeing 777 and was sitting next to a man in his first trip as an instructor pilot when their plane's main landing gear hit a seawall around San Francisco's airport, a U.S. official said Tuesday.

Deborah Hersman, the head of the National Transportation Safety Board, revealed these and other details during a news conference that included information about the pilots and their flying experience, based on the interviews they've conducted with investigators.

Having finished classroom and simulator training, the "flying pilot" -- as Hersman referred to him -- was in the piloting portion of his training to fly a Boeing 777 at the time of Saturday's crash.

He had flown 10 legs and had about 35 hours of flying time with the 777, which put him about halfway through the training required by Asiana of 20 legs and 60 flight hours, when the plane went down, Hersman said.

Did pilot have enough 777 experience?

Sitting beside him during Saturday's flight from Seoul to San Francisco was the instructor pilot. The trip across the Pacific was the first time he had been an instructor pilot and the first time he'd traveled with the flying pilot, according to Hersman.

That seemingly uneventful, more than 10-hour flight ended in a few chaotic, panicked minutes of fury, after which two people were dead and 182 others were transported to local hospitals.

"Sections of the cabin ... are found very early in the debris field," said Hersman, who had walked a few hundred feet from the seawall where the plane's landing gear and then tail first slammed into the seawall to where it mercifully came to a rest. "You can see aircraft parts, gallery materials, newspapers, magazines and flooring."

According to the pilots' accounts, the tensions started before the plane touched ground.

The three pilots in the cockpit -- another was in the cabin -- told investigators they set the "auto throttle" speed to 137 knots (157 mph), which is the speed it should have been going. Akin to cruise control, auto throttles are used to maintain a plane's speed.

At 200 feet above ground, the instructor pilot said he noted precision approach path indicator lights indicated the giant jet was too low.

It was then "he recognized that the auto throttles were not maintaining speed, and he established a go-around attitude," said the NTSB chief. "He went to push the throttles forward, but he stated that the other pilot had already (done so)."

Hersman cautioned anyone from jumping to conclusions as to whether a mechanical or pilot error is to blame for the crash. She also spoke specifically about the auto throttles, saying investigators were delving into how they were working and how they were used.

But Hersman also stated: "The crew is required to maintain a safe aircraft ... One of the very critical things that needs to be monitored on an approach to landing is speed. So we need to understand what was going on in the cockpit, and also what was going on in the aircraft."

2 dead, 182 injured -- including 2 ejected flight attendants

When it departed South Korea, Flight 214 had 307 passengers and crew aboard.

Despite the scale of the wreckage -- a hole burned through much of the cabin's roof and the aircraft's back half lopped off -- 123 walked away.

Others weren't so lucky, most of all the two Chinese teenagers who died in the crash.

Girls killed in crash were headed for camp

Those working on the flight were among the injured. The third pilot in the cockpit cracked a rib. One flight attendant was temporarily trapped by an evacuation chute that opened inside the plane.

Two other flight attendants were not in their seats at the rear of the aircraft when the plane finally ground to a halt, because they were ejected as the aircraft broke up.

"They were found down the runway and off to the side of the runway," Hersman said.

Flight attendants hailed as heroes

Many of those hospitalized have been released. At San Francisco General Hospital, for instance, 50 of the 62 patients are now free to go home.

But others still require care.

Four adults and one child in critical condition are still at San Francisco General suffering from internal bleeding, fractures and spinal cord, abdominal and traumatic brain injuries, according to the hospital.

Crew recall plane being too high, then too low

The "flying pilot" and "instructor pilot" who were in the front seat of the cockpit were not among the injured, according to Hersman.

Asiana hired the flying pilot in 1994, after which he reported amassing nearly 10,000 hours of total flight time. That experience included time piloting 737, 747 and A-320 aircraft, and he was a ground school and simulator instructor for the latter model.

The instructor pilot, a South Korean air force veteran with about 13,000 hours of flight experience, recalled Flight 214 being "slightly high when they passed 4,000 feet (and) they set vertical speed mode at about 1,500 feet per minute," explained Hersman.

But they ended up coming in low. The third pilot in the cockpit told investigators that, with "the nose ... pitched up, ... he could not see the runway," said the NTSB chief.

In the last few hundred feet before touchdown, the crew was making both lateral and vertical adjustments -- meaning they were both trying to move sideways to get toward the runway and adjust their height.

Shock and survival: Plane crash through the eyes of children

When the aircraft hit, it spun 360 degrees. An oil tank ruptured and leaked fuel onto the plane's right engine, starting a fire.

Eventually, evacuation chutes deployed, and at least seven of the aircraft's eight doors were opened. (An eighth was found on the ground, Hersman explained.)

Very soon after the plane stopped, tending to the wounded and the investigation began.

That probe will continue for months, though authorities have released significant details so far. So much information, in fact, the Air Line Pilots Association, for a second straight day on Tuesday, criticized what it called the "NTSB's release of incomplete, out-of-context information" that "has fueled rampant speculation about the cause of the accident."

First responders describe eerie, chaotic moments after crash

The union further questioned whether some tools were available to the crew, claiming, for instance, that the "Instrument Landing System, a critical aid to pilots, (was) out of service."

"Without the full body of facts surrounding a catastrophic event, partial or incomplete information can lead to erroneous conclusions and, in turn, skew the perception of individuals' behavior," the pilots union said in its Tuesday statement. "This could then lead to misguided assessments of the crew's intentions and actions."

Hersman disputed the union's claims earlier Tuesday on CNN, saying the agency believes that transparent release of information is crucial.

"We believe that it is always better to put out the correct information and factual information so that bad information is not able to propagate," she said.

Aviation experts say that air crashes often involve several factors, and the San Francisco tragedy appears to be following form. Experience, training, crew actions, airport navigation, and now the possible role of a mechanical system are all in the mix. The NTSB is not expected to render a decision on probable cause for months.

During her news conference later Tuesday, Hersman stressed that "there's still a lot of work to be done."

"We will not determine probable cause while we are here on scene," she said, adding there's a lot of information to collect and analyze. "...I would really encourage all of you to be very cautious about speculating on the cause of the crash."

How does an air crash investigation work?

CNN's Chelsea Carter, Mike Ahlers and Michael Pearson contributed to this report.

@highlight

NEW: 1 flight attendant was trapped by chute, 2 were ejected, NTSB chief says

@highlight

"Flying pilot" was training to fly a Boeing 777, adds Deborah Hersman

@highlight

Sitting next to him was a man who was an "instructor pilot" for first time, she adds

@highlight

The plane's main landing gear hit a seawall at the airport, followed by its tail