Washington (CNN) -- As it nears the 10th anniversary of the terrible events that led to its creation, the Department of Homeland Security is getting a report card of sorts. And the grade, to few people's surprise: Incomplete.

In a massive 221-page report, the Government Accountability Office -- the investigative arm of Congress -- says DHS has "made significant strides in protecting the nation, but has yet to reach its full potential."

CNN obtained a draft of the report, which is to be the subject of a Senate hearing on Wednesday.

The GAO report is largely a compilation of previous GAO reports, and gives no new recommendations. But for Homeland Security buffs, it is a virtual catalogue of the work that has been accomplished since the department was formed in 2003, and the work that remains to be done. The GAO said the department has addressed about half of the 1,500 recommendations it has made over the years, and is working on other recommendations, but has left some untouched.

Formed from 22 different agencies, the Department of Homeland Security is now the third-largest department in the federal government. It has more than 200,000 employees and an annual budget that has grown from about $39 billion in fiscal year 2004 to about $55 billion this year.

Readers of the report will find a wealth of information about the department's accomplishments, and of woeful lapses, all organized in 10 areas of responsibility, such as "aviation security," "border security," and "emergency preparedness."

In a written response to the report, the DHS accentuated the positive.

"America is a stronger, safer and more resilient country because of the work DHS and its many partners do every day," wrote DHS's Jim Crumpacker. Crumpacker wrote the GAO report neglects to mention some DHS accomplishments, such as improvements to terror watch lists and implementation of the Western Hemisphere Travel Initiative, which requires documents from border crossers.

The following is a summary of key areas in the report:

Aviation Security

The report says DHS has enhanced aviation security by improving the pre-screening of passengers, checkpoint screening, baggage checking and airport security.

The Transportation Security Administration currently has about 54,800 people, and a $7.7 billion annual budget. But the GAO said it is unclear whether full-body imagers would have detected the so-called "underwear bomb," which failed to ignite on Christmas Day of 2009 when passengers intervened. DHS also has not validated the science behind behavior detection officers. And it does not yet have a way to ensure that air cargo screening is being conducted at reported levels.

Border Security

The report says DHS has deployed more than 600 miles of infrastructure, such as fencing, along the border, and implemented a program to verify the identities of foreign visitors to the U.S. But DHS has not implemented a program to track when visitors exit the country, nor has it fully followed up on plans to improve Visa security.

Maritime Security

The report says DHS improved port security by tightening access to ports, conducting advanced screening of foreign seafarers entering U.S. ports and developing a security credential for truckers and other entering ports. It also developed a strategy for cargo container security.

But the GAO noted that during covert tests, investigators were able to enter ports using counterfeit credentials or authentic credentials obtained fraudulently. And the U.S. has trouble tracking smaller, noncommercial vessels, it says. Further, DHS has not yet developed a plan to fully implement a requirement that 100 percent of U.S.-bound container cargo be scanned by 2012.

Immigration Enforcement

The report says DHS increased resources to investigate people who overstay their visas, and alien smuggling operations, and improved E-Verify, a computer tool that allows employers to verify a person's authorization to work in the United States. It also expanded efforts to remove criminal aliens in jails and prisons from the United States.

But key weaknesses remain in DHS's efforts, the report says. While DHS field offices had closed about 34,700 overstay investigations during the past six years, the cases resulted in about 8,100 arrests, a small portion of the estimated overstay population of 4 million to 5.5 million.

@highlight

Government Accountability Office report: DHS "has yet to reach its full potential"

@highlight

Report is to be the subject of a Senate hearing on Wednesday

@highlight

GAO says department has addressed about half of its recommendations

@highlight

DHS says report fails to mention some accomplishments