In January of 2011, at 25, I was diagnosed with non-Hodgkin's lymphoma. I went through four months of chemotherapy and eight weeks of radiation.

As of this writing, one and half years later, I'm happy to be in remission, but many people think that is where the battle ends. For me, that's where the real fight began.

After all of the procedures were over and my hair finally grew back, the physical side of being a cancer patient was behind me. There was some relief in knowing that I'd no longer have to spend hours over the toilet vomiting partially digested Jell-O because that was the only semi-solid food my body would tolerate.

It was also refreshing to know that my appearance was slowly morphing from a powdery white, emaciated, bald, albino-looking bag of bones to a somewhat normal and healthy 25-year-old guy. But shortly after the treatment stopped, the psychological stress of being a cancer patient set in.

Every month, since my last day of radiation, I go to my doctor for a battery of tests designed to determine whether my cancer has come back and whether the treatment caused any residual side effects. It's a seven-day process that causes more mental anguish than any single person deserves.

The week begins with blood tests and scans. Then, I go home and wait seven days for the doctor to tell me whether I'm still in remission.

The period in between the tests and the results is the worst. Every time my phone rings, my heart sinks. I wonder if it's my oncologist calling to deliver bad news.

Are we close to beating cancer?

My mind spends a lot of time analyzing the "what if" scenarios. What if it comes back? Will I go through the treatment again? What if the chemotherapy and radiation caused some other form of cancer or did it cause a genetic mutation that's going to force me to be isolated from the human population and live in a clean room forever? I try to run every possibility through my head. That way, I'm be prepared for whatever news I'm given.

On the seventh day, I drive myself back to the cancer center, check in and wait for about two hours for my 15-minute appointment. (My doctor has a problem with punctuality.)

In the waiting room, I sit with many other cancer patients. Some wear surgical masks to protect them from germs, while others are in wheelchairs. Their situations seem far worse than mine was, so I don't complain.

After reading 16 magazines cover-to-cover, mostly about how to prevent cancer, and several rounds of counting the floor tiles, the nurse calls my name. My heart, once again, sinks because I know I'm about to learn my fate. I try to play it cool and act calm, but after she takes my vital signs, my cover is blown.

"Are you nervous, Mr. Curry? Don't be nervous," she says. That's easy for her to say.

She then peels the Velcro cuff off my arm and walks me to the examination room where I wait for the doctor. A few minutes later, he knocks on the door and then enters the room. He's usually carrying an iPad and some papers.

"Good news, Mr. Curry," he says. "The tests show no evidence of disease."

A sense of relief comes over me and my sphincter muscles loosen.

More lives being saved: Cancer death rates drop 20%

Before I leave, the doctor hands me the paper with the test results. I treat it like a trophy or diploma. I never fold the document, and I save all of them.

Before leaving, I make another appointment for next month, so I can then start the same process all over again. They tell me I'll have to do this for the next five years.

In between appointments, any cough, ache or pain forces me to wonder whether it's cancer growing in my body. As a cancer survivor, it's something I can't help but think of.

As time goes on, I'm getting better at managing the stress. The monthly exams are a small price to pay for staying alive. Some aren't so lucky.

@highlight

James Curry was diagnosed with non-Hodgkin's lymphoma in 2011

@highlight

He undergoes a battery of tests each month to see whether the cancer has returned

@highlight

The process causes him mental anguish, he says

@highlight

But he acknowledges it's a small price to pay for staying alive