With the boom of Internet booking sites, the traditional travel agent was, we were told, an endangered species.

CareerCast recently included travel agents in its roundup of "useless jobs."

For younger, independent, brand-disloyal, budget-conscious travelers used to the Web and getting instant information, the idea of having somebody else book your trip while you wait is all wrong.

To be sure, many agents are no longer with us.

In the United States there are about 13,000 travel retail locations, down from a peak of 34,000 in the mid-1990s.

But they also account for a third of the U.S. travel market -- some $95 billion in 2011, according to a recent study by PhoCusWright, a travel market research company.

So what happened? Did the naysayers get it wrong?

Agent evolution

The reality is that the typical travel agency of 15 or so years ago, which focused on point-to-point trips, is largely dead.

But as online bookings have grown, new breeds of agent have emerged that target luxury, business and niche travelers who value personal relationships and expertise over savings.

"Some industry watchers indicate a return to the traditional agent," says Douglas Quinby, principal analyst at PhoCusWright.

But they're wrong, he adds.

In the valley of the recession in 2009, luxury and business travel took serious losses, especially compared to deeply discounted travel; traditional agents were hardest hit, losing nearly a quarter of their revenues.

But then they rebounded, and fast, and the areas with the sharpest declines were the same ones that rebounded fastest, led by corporate travel.

That led to reports of booming business in this area, which is not inaccurate, but doesn't tell the whole story, either.

"We've seen continual incremental shift to online channels. We see no migration back to travel agents."

But they still account for $95 billion in revenue, so who's using them?

Below are some areas where travel agents are still succeeding.

Corporate travel

Agencies in this area analyze a company's travel patterns and suggest ways to save money, such as discounts through the managed travel provider.

Some are popular with executives, as they provide interfaces that limit the number of options available.

Many executives admit to not sticking to their company's travel policies because they book whatever is most convenient, according to a report by Carlson Wagonlit Travel.

And the business traveler by day can become a DIYer by night.

"When it comes to business travel, most people don't check online. They just want to book," says Ashutosh Sharma of Sadhana Travel Services, a boutique agency in New Delhi.

"But when it comes to holiday travel, that has gone substantially online. When the same person is now paying from their own pocket, they care much more [about price]."

Luxury

The luxury market also works well under the agency model and has the benefit of being to some degree recession- and even Internet-proof.

"When you've got people who are 50-plus and have got money, the recession doesn't change that," says Graham Pickett, head of travel, hospitality and leisure at Deloitte UK.

Pickett says that the luxury traveler "wants to talk to someone who has experience. That's a sustainable model."

Cruises

Cruise line and tour operator sales remain a lifeline for agents catering to the leisure sector, according to the PhoCusWright report.

These income streams still pay agents' commissions and agents still book these more often than individuals do.

Complicated and important trips

Travelers also seek agents for complex itineraries and once-in-a-lifetime trips, such as honeymoons.

Emerging markets

Although online bookings are growing rapidly in emerging markets, in northern Asian countries such as Japan and Korea, there's still a substantial amount of offline booking, especially when people travel to countries where they don't speak the language, says Pickett.

In China, where large numbers of first-time travelers are heading overseas, it's common to travel with an organized group.

"It's very different than the mature U.S. market, where people are more comfortable traveling internationally independently," says Quinby.

Germany

In Germany, one-on-one contact is still more common than in other developed countries, partly due to remote credit card restrictions.

Specialty trips

"Agents are trying to differentiate themselves, to be much more specialist," says Pickett.

Niches catering to specific activities, sports and students are viable or those catering to journalist and nonprofit circles.

Sharma fielded calls in the middle of the night from journalists leaving at the last minute to cover the Arab Spring, or trying to get out of Afghanistan or Libya ASAP.

Normally seats can't be booked online within six hours of departure, but Sharma has booked seats as clients rush to the airport.

What's next?

Social media and travel apps are expected to continue to whittle away at the remaining agency share.

Agents who embrace technology to improve their clients' experience -- say, with webcast discussions with a rep -- can improve their chances of survival.

It seems that those who initially predicted technology would eclipse the need for human agents underestimated the needs of Baby Boomers, Luddites, executives, the wealthy and the super-niche.

The travel agent as we knew it is dying. But it's not yet dead.

Do you prefer to book online or via an agent? Tell us why in the comments.

@highlight

Travel agents in the United States down from 34,000 to 13,000

@highlight

But they still made $95 billion in 2011

@highlight

Niche specialists now offer best opportunities for agency model