On his recent visit to Mexico, President Barack Obama called on both our nations to let go of attitudes "trapped in old stereotypes." Sadly, a column written for CNN by Ruben Navarrette -- "Should the U.S. be more like Mexico?" -- makes just the sort of sweeping generalizations about a diverse country of 110 million people that the U.S. president urged us to avoid.

It might come as news to Navarrette that the Mexico of his grandparents, which still seems to inform his view of the country, is no longer an accurate description of a nation that, in 2013, has a growing, sophisticated middle class and is a relevant and responsible actor in global affairs. Because Navarrette says Americans should be fully informed on the matter, his misinformed and outdated characterization of Mexican society deserves some correcting.

With regard to immigration, Mexico respects the sovereign right of the United States to determine its own immigration policy, and the American people and their political representatives will ultimately determine what course that policy takes in the United States. Navarrette's depiction of Mexico's immigration policy, however, is inaccurate and outdated.

To my knowledge, no Mexican official has ever expressed a desire for a porous northern border. Moreover, in 2011, Mexico passed its own immigration reform focused on the decriminalization of immigration and providing protection for migrants, regardless of their migratory status. The legislation earned praise from the United Nations and established a solid framework to assist in the protection of migrant rights while better aligning Mexico's domestic policy with international treaties on migration.

Those significant steps do not merit an easy dismissal with a rhetorical wave of the hand. They are meaningful changes that will affect lives. Navarrette's column goes on to paint Mexicans as desperate to escape their home country, but the numbers tell a very different story. According to a 2012 report by the Pew Hispanic Center, migration between the United States and Mexico is at net zero. And a recent Gallup survey found that only 11% of Mexicans would like to change their country of residence;  that number is identical to the 11% of Americans who say the same thing.

By 2010, around 40% of Mexico's population had joined the ranks of the middle class, according to data from INEGI, Mexico's national bureau of statistics. The characterization of Mexico as a bifurcated country of rich and poor is less accurate than ever, and according to in-depth research from economist Luis de la Calle and writer Luis Rubio, authors of "Mexico: A Middle Class Society," that trend is expected to continue.

It is not something that has happened by accident. To say, as Navarrette does, that Mexico "has no real economic policy beyond tourism" is not to be paying attention. Mexico's fiscal discipline, which will include another balanced budget this year, has led to the steady macroeconomic growth that is directly responsible for lifting many Mexicans into the middle class.

Our tourism industry, which also somehow appears to be worthy of Navarrette's disdain, does so well because Mexico is heir to two of history's greatest civilizations, and is a country of astounding natural beauty. The Mexican government embraces those realities and so do the millions of visitors we welcome, who generated $11 billion in  revenue last year. But the idea that Mexico is content to rest on its tourism industry requires willful blindness to the  transformations taking place in our nation.

As a result of unprecedented agreements between the country's main political parties, Mexico has recently pushed through large-scale reforms to education, anti-trust laws and legal procedures, with energy reform still on the agenda. Does that sound like a country with no real plan beyond tourism? The administration does have a National Development Plan, although Navarrette claims it does not exist.

The tone of the column pits Mexico and the United States in a sort of competition, deeming one of our countries "superior" to the other. For our part, we stand by the U.N. Charter that affirms the sovereign equality of all its members. Careless comments about superiority easily lend themselves to racism and xenophobia. Thankfully, bilateral cooperation between our nations has long since moved beyond such thinking.

Twenty years after the implementation of NAFTA, Mexico and the United States have become global partners. Our relationship is not one of competition and rivalry but of synergy and complementarity. For example, the National Bureau of Economic Research has estimated that nearly 40% of Mexican exports to the United States contain components manufactured in the U.S. Mexico is also the second largest export market for U.S. goods. In fact, according to the Woodrow Wilson Center's Mexico institute, some 6 million U.S. jobs depend on trade with Mexico.

Our nations build things together to sell here and abroad, and business is booming. In 2011, trade between our two countries reached $500 billion. But we share more than business and value-added chains -- we share geography and people. Our people live together, work together and break bread together. Given that 30% of immigrants in the United States are of Mexican origin and Mexico is home to the largest community of American expatriates in the world, both our countries have a responsibility to ensure that we continue to grow together.

Mexico and its people are evolving, and both our countries are stronger for it. If I may invoke the words of President Obama once more, "It's time to put old mindsets aside."

@highlight

Ariel Moustatsos: Ruben Navarrette's column full of misinformation about Mexico

@highlight

Fewer Mexicans moving to U.S., he says, and U.N. lauds Mexico's immigration reform

@highlight

Mexico's balanced budget and economic growth lifting many into middle class, he says

@highlight

Moutstatsos: U.S., Mexico trade booming; nations share geography and people