(CNN)Eating a Mediterranean diet may be your key to living longer. That's according to a new study led by Immaculata De Vivo, associate professor at Brigham and Women's Hospital in Boston and Harvard Medical School.

The diet involves eating items off a menu that is rich in vegetables, fruits, nuts, beans and peas, unrefined grains, olive oil and fish. It keeps dairy, meat and saturated fats to a minimum. And you can have a glass of red wine with dinner without cheating.

Can meditation really slow aging?

The diet has been consistently linked with health benefits that includes helping you manage your weight, and it can lower your risk for chronic issues such as cardiovascular disease.

This new research looks at data from 4,676 healthy middle-aged women involved in the Nurses' Health Study, an ongoing study tracking the health of more than 120,000 U.S. nurses since 1976.

It found women who ate a Mediterranean diet had longer telomeres.

A Mediterranean diet prevents strokes

Telomeres are part of your chromosomes, the thread-like structures that house your DNA.  At the end of these chromosomes are telomeres, a kind of protective "cap" that keeps the structure from unraveling. It thereby protects your genetic information.

Even in healthy people, telomeres shorten with age. Shorter telomeres are associated with aging, lower life expectancy and age-related diseases such as artherosclerosis, certain cancers and liver disease.

Scientists have noticed some lifestyle choices such as smoking, being overweight or obese and drinking a lot of sugar sweetened drinks can prematurely shorten a person's telomeres.

Scientists believe oxidative stress and inflammation can also shorten them.

How to get super fit at any age

Fruits, vegetables, olive oils and nuts -- the key components of a Mediterranean diet -- have well-known antioxidant and anti-inflammatory effects. The team of U.S. researchers led by De Vivo therefore wanted to see whether the women who stuck with this diet had longer telomeres.

"This is the largest population-based study addressing the association between Mediterranean diet adherence and telomere length in healthy, middle aged women," they write. The study included completed detailed food questionnaires and blood tests to measure telomere length.

Each participant had a calculated diet score ranging from 0 to 9 points; a higher score signifies a closer resemblance to the Mediterranean diet. Each one point change in diet score corresponded an average of 1.5 years of telomere aging.

Telomere shortening is irreversible but healthy "lifestyle choices can help prevent accelerated shortening," says De Vivo.

Healthy aging, four keys

This study's results provide "some insight into the underlying physiologic mechanism behind this association," indicating that greater adherence to this diet is significantly associated with longer telomeres, she says. Because of the antioxidant and anti-inflammatory effects of the Mediterranean diet, following this diet "could balance out the 'bad effects' of smoking and obesity," De Vivo says.

These findings further support "the health benefits of greater adherence to the Mediterranean diet for reduction of overall mortality, increased longevity and reduced incidence of chronic diseases, especially major cardiovascular diseases."

None of the individual dietary components was associated with telomere length. Researchers suggest that means the whole diet is an important element, rather than one item being a kind of superfood.

That sweet drink may age you

Dr. Peter Nilsson, a professor of Clinical Cardiovascular Research at Lund University in Sweden, who wrote an accompanying editorial, suggests that the variation in telomere length and dietary patterns may also be because of genetic background factors.

While promising, Nilsson believes that future studies "should take into account the possibility of interactions between genes, diet and sex."

With these results, De Vivo and her research team hope in the future to figure out which components of the Mediterranean diet may be having a bigger impact on telomere length.

Next they also hope to study the same thing in men.

@highlight

Study: Women on a Mediterranean diet had a key biological marker for slower aging

@highlight

Mediterranean diets have also been linked to lower cardiovascular problems

@highlight

Next scientists want to see if one particular food had a bigger impact