(CNN) -- In February 1990, the same month that Nelson Mandela, also known as Madiba, walked free after 27 years behind bars, South Africa's then-President, Frederik Willem de Klerk, issued written instructions to dismantle the nation's atomic arsenal.

Like Madiba's achingly long incarceration, the apartheid regime's development of these most abominable weapons, though never officially acknowledged, had become an intolerable blight on South Africa's image abroad. Divesting ourselves of the bomb was -- as de Klerk later remarked -- an essential part of our transition from a pariah state to an accepted member of the family of nations.

In his time as president, from 1994 to 1999, Madiba frequently implored the remaining nuclear powers to follow South Africa's lead in relinquishing nuclear weapons.

All of humanity would be better off, he reasoned, if we lived free from the threat of a nuclear conflagration, the effects of which would be catastrophic. Addressing the U.N. General Assembly in 1998, he said: "We must ask the question, which might sound naive to those who have elaborated sophisticated arguments to justify their refusal to eliminate these terrible and terrifying weapons of mass destruction -- why do they need them anyway?"

Despite Madiba's undisputed moral authority and unmatched powers of persuasion, his cri de coeur for disarmament went unheeded in his lifetime. South Africa, to this day, remains the only nation to have built nuclear weapons and then done away with them altogether.

Nine nations still cling firmly to these ghastly instruments of terror, believing, paradoxically, that by threatening to obliterate others they are maintaining the peace. Quite unaccountably, all are squandering precious resources, human and material, on programs to modernize and upgrade their arsenals -- an egregious theft from the world's poor.

Madiba attributed the lack of progress in achieving total nuclear disarmament to "Cold War inertia and an attachment to the use of the threat of brute force to assert the primacy of some states over others."

To his mind, the struggle against the bomb was intertwined, inextricably, with the struggles to end racism and colonialism. He abhorred the double standard, deeply entrenched in today's international order, whereby certain nations claim a "right" to possess nuclear arms -- in the hundreds, even the thousands -- while simultaneously condemning, and feigning moral outrage towards, those who dare pursue the same.

We must vociferously challenge the perceived entitlement of a select few nations to possess the bomb. As Ban Ki-moon, the U.N. Secretary-General, put it succinctly in January of last year: "There are no right hands for wrong weapons."

But how do we uproot the discriminatory order? How do we end the minority rule? In our decades-long fight against apartheid in South Africa, we depended upon the combination of an irrepressible domestic groundswell of popular opposition to the regime and intense and sustained pressure from the international community. The same combination is needed now in the movement to abolish nuclear weapons.

This week, in the Mexican state of Nayarit, ministers and diplomats from three-quarters of all nations -- those not coming include the Permanent Five members of the U.N. Security Council, the U.S., UK, France, Russia and China -- are gathered to discuss the devastating humanitarian impact of nuclear detonations.

This will cover the inability of emergency workers to provide relief to the wounded; the widespread dispersal of radiation; the lofting of millions of tonnes of soot from firestorms high into the upper troposphere; the collapse of global agriculture from lack of sunlight and rainfall; the onset of famine and disease on a scale never before witnessed.

This conference is not only a much-needed reminder of what nuclear weapons do to humans beings -- something seldom mentioned in arms control discussions -- but also a vital chance for the international community to chart a new course.

It is high time for the nuclear-free nations of the world, constituting the overwhelming majority, to work together to exert their extraordinary collective influence.

Without delay, they should embark on a process to negotiate a global treaty banning the use, manufacture and possession of nuclear weapons -- whether or not the nuclear-armed nations are prepared to join them.

Why should these weapons, whose effects are the most grievous of all, remain the only weapons of mass destruction not expressly prohibited under international law?

By stigmatizing the bomb -- as well as those who possess it -- we can build tremendous pressure for disarmament. As Madiba understood well, a world freed of nuclear arms will be a freer world for all.

The views expressed in this commentary are solely those of Desmond Tutu.

@highlight

The month Mandela left prison, South Africa's president ordered its atomic arsenal dismantled

@highlight

Desmond Tutu says nuclear weapons -- like apartheid -- were a blight on S. Africa's image

@highlight

As president, Mandela implored the remaining nuclear powers to also give up their weapons

@highlight

Tutu says nuclear weapons and those who hold them should be stigmatized