Austin, Texas (CNN) -- Historically, the tech industry has not been especially hospitable to women.

In 2009, the U.S. Department of Labor released a list of the 20 leading occupations of employed women. None of them was in the technical field. That same year, only 3% of the CEOs of Fortune 500 companies were women, according to the National Center for Women & Information Technology.

From coders to venture capitalists, women remain a small minority in most tech-related businesses.

This issue was a recurring theme at last week's South by Southwest Interactive festival in Austin, Texas, where attendees gathered at women's-only parties and panels featured such titles as "Sausagefest: Getting More Women Into New Media & Tech."

Conversations focused on the unique set of challenges women face as minorities in the tech workplace. This isolation, they said, spurs a need to gather and to collectively exchange ideas.

As a result, an increasing number of groups has formed to help women find mentors and build their confidence.

Tamara Hudgins is the executive director of Girl Start, an nonprofit based in Austin. The organization provides science, technology, engineering and math (STEM) programming for girls outside of the classroom.

"Less than 12 percent of STEM jobs in America are filled by women. So for us, making sure that more girls feel that they have access to STEM jobs is critical," she said. "Having more women in the field is important for innovation."

In interviews with CNN, many female developers said they felt they had to fight for respect or deal with internal issues of self-doubt to advance in their career.

"As a female, there's kind of that perception that you don't have certain skills or reasoning," said Patty Cifra, a software developer for IBM in Austin. The perception goes, "You are just not as good at science as males, or else why wouldn't there be more females (in scientific fields)?"

Women at SXSWi also talked about the desire to be respected in the tech workplace, not just liked.

"How we have been conditioned to be maybe works fine for being the popular girl in school. But at a certain point in our professional life, being the nice one does not get us to the level of respect or responsibility that we want," said Tara Sophia Mohr, a San Francisco-based life and leadership coach for women.

"We have to be more authoritative and more assertive and be OK with not being liked by everyone," she added.

Laura Kilcrease, sitting in an audience at a panel on women entrepreneurs, jokingly refers to herself as the only female venture capitalist in Austin. She said a lack of assertiveness can prevent women from properly scaling their new business venture and asking for money.

"Women generally want less money than they really need, and they don't show me a big business plan," Kilcrease said. "I challenge women to think about scaling their business and asking for enough funds to cover their projected growth."

As conferences like SXSWi bring together thought leaders from all over the world, women here hope these discussions can help close the gender gap in tech fields.

Business strategist Valeria Maltoni of Philadelphia offered a solution, broken into three parts.

"Women need to become better at stating clearly what they want," she said. "We're not very good at stating clearly and consistently what our contribution is going to be and asking for our part in the project.

"The second part of that is be better at self-promoting. As women, as wives, as daughters, as partners, as team members, we tend to be very good at promoting others. We tend to really suck at highlighting what we're good at," she added. "We need to find a way to be OK with the results we bring to the table and being OK with being confident in those results."

Finally, she stressed the need for women to find mentors, whether those mentors are male or female. However, having a female role model can help women visualize their own future, she said.

The desire to connect other like-minded women and build a community led developer Garann Means to form all-girl hack nights in Austin. Attendees come together to exchange ideas and work on projects.

"If it was open to men, it would be mostly men. The fact that it's exclusive to women helps bring women out," Means said. "It's just a little easier when you know this is for you."

"Being the only [female developer], you don't have role models," Cifra said. "Then you go into these groups and you see distinguished engineers at IBM that are females, and it encourages you to be like, 'Yeah, she did it. She went through the same path, and it's something that I can follow.' "

"I think these organizations form because women have certain issues that don't pertain to guys," agreed Cifra. "You're more comfortable voicing these opinions to someone who is sympathetic and understanding of what you are going through."

Such segregation by gender is not a popular idea to everyone in the industry. But Hudgins said they are necessary because time and time again, educators see women drop out of nonsegregated programs.

Despite the bleak statistics, there was plenty of optimism in Austin.

With so many people working together to increase opportunities for women in tech, many of the woman CNN interviewed at SXSW said they don't think this conversation will be happening in 10 to 15 years.

"Development is becoming more social. They (men and women) are talking. They're not hiding in basements. I think that's really good for this industry," Means said.

Cifra also is hopeful about the future of the industry, thanks in part to the rise of social media, which tends to attracts more women, she said.

"The social computing aspect brings a lot more people," she said. "I see more and more women in the technical field."

@highlight

Conversations at SXSW focus on issues women face as minorities in workplace

@highlight

Less than 12% of (science and tech) jobs in U.S. filled by women, nonprofit director says

@highlight

Women at SXSW hope these discussions could close the gender gap in the industry