Meriam Yehya Ibrahim faces a death sentence in Sudan for apostasy after a court ruled she converted from Islam.

Now the 27-year-old Christian woman, a wife and mother expecting another child, embarks on a long and unpredictable legal journey.

A variety of factors -- Sudan's legal system, differences between its constitution and Sharia law imposed by the sentencing judge, her pregnancy -- ensure there will no execution any time soon.

Ibrahim's lawyer argues the sentence should not stand, and an international outcry could pressure Sudan's government to intervene.

Even if the sentence stands, Sharia law as practiced in Sudan prohibits carrying out the death sentence on an expectant woman until two years after she gives birth.

Here are some questions and answers on what happens now:

What is this all about?

On Thursday, a Khartoum court convicted Ibrahim of apostasy, or the renunciation of faith, and sentenced her to death.

Ibrahim was born to a Sudanese Muslim father and an Ethiopian Orthodox mother. Her father left when she was 6, and she was raised by her mother as a Christian.

Her lawyer, Mohamed Jar Elnabi, said the case started after Ibrahim's brother filed a complaint against her.

The brother alleged Ibrahim had gone missing for several years and that her family was shocked to find she had married a Christian man.

Because her father was Muslim, the Sharia law court considered her to be the same. It refused to recognize her marriage to a Christian and also convicted her of adultery, with an additional sentence of 100 lashes.

Before imposing the sentence, the court gave her an opportunity to recant her Christian faith, but Elnabi said Ibrahim refused to do so, declaring: "I am a Christian, and I will remain a Christian."

Attempts by CNN to contact Sudan's justice minister and foreign affairs minister about the case were unsuccessful.

Can she appeal?

Elnabi told CNN on Friday that he plans to ask an appeals court to review the sentence, and could file the request as soon as Sunday.

That will begin a legal process in which the case works its way through Sudan's Supreme Court and up to the Constitutional Court, the nation's highest, he said.

There was no definite timetable for the appeal process, according to Elnabi, who said any death sentence must be ratified by both the Supreme Court and Constitutional Court.

What is the basis of the appeal?

Elnabi argues that Sudan's constitution allows religious conversion without restriction.

"I am very much optimistic that the appeal court will reverse the death sentence issued by the primary court," he said.

Katherine Perks of the African Centre for Justice and Peace Studies agreed. She said the verdict goes against Sudan's "own constitution and commitments made under regional and international law."

However, Sudan has a history of religious discrimination.

Under President Omar al-Bashir, the African nation "continues to engage in systematic, ongoing and egregious violations of freedom of religion or belief," the U.S. Commission on International Religious Freedom said in its 2014 report.

The country imposes Sharia law on Muslims and non-Muslims alike and punishes acts of "indecency" and "immorality" by floggings and amputations, the commission said.

"Conversion from Islam is a crime punishable by death, suspected converts to Christianity face societal pressures, and government security personnel intimidate and sometimes torture those suspected of conversion," said the commission appointed by the U.S. Congress and president.

Since 1999, the State Department has called Sudan one of the worst offenders of religious rights.

Do her pregnancy and family situation make a difference?

Ibrahim is eight months pregnant and has a 20-month-old son who stays with her in prison. Elnabi said her husband, Daniel Wani, uses a wheelchair and "totally depends on her for all details of his life."

As practiced in Sudan, Sharia law prohibits the execution of pregnant women. Instead, the sentence is delayed until two years after lactation.

In past cases involving pregnant or nursing women, the Sudanese government waited until the mother weaned her child before carrying out the sentence, said Christian Solidarity Worldwide spokeswoman Kiri Kankhwende.

According to Elnabi, Ibrahim is having a difficult pregnancy, but a request to send her to a private hospital was denied "due to security measures."

Will international pressure make any difference?

Human rights groups and Western governments are complaining about Ibrahim's case.

"We call upon the government of Sudan to respect the right to freedom of religion, including one's right to change one's faith or beliefs, a right which is enshrined in international human rights law as well as in Sudan's own 2005 Interim Constitution," said a statement by the embassies of the United States, Britain, Canada and the Netherlands.

Amnesty International described Ibrahim as a prisoner of conscience.

"Adultery and apostasy are acts which should not be considered crimes at all, let alone meet the international standard of 'most serious crimes' in relation to the death penalty," said Manar Idriss, Amnesty International's Sudan researcher. "It is a flagrant breach of international human rights law."

The case comes as the world focuses on more than 200 schoolgirls abducted by Islamic extremists in northern Nigeria who threaten to sell them into slavery.

Whether Ibrahim's case will generate the same strong reaction as the Nigerian situation remains unclear.

In the past, a forceful international outcry has influenced similar apostasy cases.

In 2006, an Afghan man threatened with the death penalty for converting to Christianity was released into exile after Afghanistan President Hamid Karzai reportedly intervened at the behest of his Western backers, over the objections of the country's conservative judiciary.

@highlight

Pregnant Christian woman sentenced to death for apostasy in Sudan

@highlight

Meriam Ibrahim's sentence now must get higher court endorsement

@highlight

Sharia law in Sudan delays executing pregnant women until two years after they give birth

@highlight

Rights groups, Western governments protest the case