(CNN)Months after Iraqi troops dropped their weapons and ran for their lives in Mosul, up to 25,000 are expected to head back there in April or May to try to retake the city from ISIS, according to a U.S. official.

But can they actually do it?

Answering that question is key to what might happen in Mosul but also as to whether the terrorist group can be taken out entirely in Iraq. Mosul has been a symbol of Iraqi military incompetence, given how troops and police ran from their posts as militants arrived in June.

The stunning collapse stirred concerns about the ability of then-Iraqi Prime Minister Nuri al-Maliki not only to recapture Mosul but to save the entire country. And it also shined a harsh spotlight on the will and capabilities of Iraq's military, now that U.S. combat troops had exited the country.

The group calling itself the Islamic State is still a force in Iraq, controlling vast swaths of the country and neighboring Syria. But Iraq's government has made changes since Mosul fell, including the appointment of a new Prime Minister, Haider al-Abadi, as well as some discussion and action to address sectarian divisions. There has been the start of airstrikes by the United States and others against ISIS as well.

The Iraqi military has also had fresh training, some of it conducted by U.S. and allied forces, to make it more effective. It has had some success in curbing the ISIS onslaught, but not in taking back a lot of territory -- much less that as valued as Mosul.

Yet al-Abadi told the BBC this week that, while there's still work to do, he is sure the Iraqis are going to retake the crucial northern city.

"We are now planning an offensive on Mosul in the coming few months," the Prime Minister said. "We have to prepare for it carefully, because the only choice we have in Mosul (is to win). We have to win in Mosul to keep (ISIS) out."

Up until now, one of the biggest and most successful forces has been the Kurdish Peshmerga that serve Iraq's semiautonomous Kurdish government, often at odds with Baghdad.

These fighters will have a role, including around Mosul. In his BBC interview, al-Abadi said that liaisons between Iraqi forces and the Peshmerga "must be powerful and must be watertight" to defeat ISIS.

According to the U.S. official, who spoke to reporters Thursday, Mosul police and tribal forces would likely join Iraqi troops in the assault on the city. Peshmerga would play a supporting role, not going into Mosul but instead blocking off supply and escape routes north and west of the city.

Count Sirwan Barzani, a senior Peshmerga commander, is among the skeptics that such a spring assault would work.

"I don't think it's realistic, and I don't have any idea about a plan," Barzani told CNN's Ben Wedeman.

"And if it involves the Iraqi army only, it's not going to work. The Iraqi army is not ready for the fight."

If the Iraqi forces -- from five army brigades -- do the street-to-street fighting, theoretically they should significantly outnumber their ISIS counterparts. Right now, ISIS has an estimated 1,000 to 2,000 fighters in Mosul, the U.S. official said, but more could join the fight if they take the threat of attack seriously.

The approximate time of the attack had previously been reported: A U.S. Central Command official told CNN earlier this year that Iraqi forces could make their first move in April.

A Central Command official said Thursday that the hope is for an operation in April or May to avoid running into Ramadan (mid-June through mid-July) and Iraq's summer heat. Still, the official stressed a final decision on the go-ahead for an attack is a ways off.

Even then, the question arises, why divulge such specifics? The U.S. official said that offering the details demonstrates Iraq's commitment to winning back Mosul.

In the BBC interview, al-Abadi said that more needs to be done to get Iraqi forces up to speed but, once they are, "I'm pretty sure we can liberate Mosul with a minimum of casualties and cost."

If Iraqi troops are ready to go into Mosul, what about their American counterparts?

In addition to providing air support, the U.S. military has troops on the ground in Iraq. They're there ostensibly for training and other purposes, but not combat.

Still, if they were ever needed to be in the thick of things in the ISIS fight, Mosul would be the place.

That could happen. Gen. Lloyd Austin, head of Central Command, and Gen. Martin Dempsey, chairman of the Joint Chiefs of Staff, have both suggested a small number of U.S. troops could be needed on the ground to help call in airstrikes.

The more ISIS reinforces its defenses around Mosul -- as it has been doing -- the more help Iraqi forces would need in locating military targets, a Central Command official told CNN this month.

The Central Command official who spoke to reporters Thursday said no decision has been made in this regard.

Still, even with all this talk about U.S. advisers, no officials have indicated American troops will engage ISIS in fighting on the ground -- something President Barack Obama has been wary to do.

@highlight

U.S. official: Up to 25,000 Iraqi troops could take part in Mosul assault in April or May

@highlight

He says the details are being offered to show Iraq's commitment to retaking the city

@highlight

A Kurdish military commander is skeptical, saying Iraq's army "is not ready for the fight"