Cairo (CNN) -- In Cairo, where huge protests are now in their fourth day, the angry protesters in Tahrir Square are reclaiming the pro-democracy revolution they started January 25. Since it took control of the management of the transitional process, the Supreme Council of the Armed Forces -- appointed by the former president, Hosni Mubarak -- has been following a three-sided strategy to contain and even frustrate the persistent demands for handing over power to a civilian authority and establishing an effective democratic system.

The military council is breaking the revolutionary will of the protesters by arresting many and putting them in military courts (12,000 civilians so far); deliberately humiliating them (torturing many and exposing female protesters to virginity tests); making ordinary people feel disillusioned and even hate the revolution by failing to take tough measures against anarchy and restore law and order; and finally, encouraging fragmentation and discord among the country's political actors.

Like Mubarak, the military council has adopted the policy of "me or anarchy."

Over the past few months, Egyptians have used enormous demonstrations to press their demands, starting with insisting on dismissing the government that Mubarak had appointed before he was ousted, purging the security forces and cleaning the Ministry of Interior, trying Mubarak and those responsible for the death of more than 800 peaceful protesters and the injury of thousands, and setting a clear and specific timetable for handing over power to civilians.

The military council has been reluctant to respond, and when it has, it has completely emptied these demands of any meaningful effect. Indeed, it appointed a new Cabinet in March but deprived it of any effective authority. It changed the name of the state security force while maintaining its old structure and savage practices, and it reluctantly put Mubarak and some of his aides before trial, but none has been indicted, and the process has been incredibly slow.

With parliamentary elections set to begin on November 28, the military council wanted to secure its position in the transitional process and threw a wrench in the form of a draft of supra-constitutional principles that, if it were to be agreed upon by the major political forces, would grant the military council a special status in the new political process.

It would make the council sovereign above all other state institutions, including the parliament. The proposed principles would prevent civilian control or overseeing powers over any of the military's affairs, grant the military veto powers over the laws and strip the elected parliament of some of its authority.

The document revealed the military council's insecurity about the results of the coming elections and the fear that Islamists might win a majority. It also engendered a deep state of polarization among the country's political forces.

Many liberals and secularists supported the document, while Islamic parties and youth movements rejected it and organized a massive demonstration Friday under the name "The Friday of Protecting Democracy." Several youth and grass-roots movements joined the demonstrations and continued with sit-ins, insisting on a specific timeframe for transitioning authority. The security forces brutally cracked down on the protesters, igniting further clashes over the past few days.

To many protesters, what Egypt is witnessing is "phase two" of the January revolution. One cannot ignore the striking similarities between the two phases, particularly the snail-paced responses of the military council and Mubarak and the unjustifiable use of force against unarmed civilians.

I was in Tahrir Square on Saturday when army soldiers clamped down on thousands of peaceful protesters, killing two in their initial thrust and savagely beating many of them. This excessive use of force was a major factor contributing to the fall of Mubarak.

The military council also repeats another fatal mistake by responding too late with too little, leading protesters to raise the ceiling of their demands. What started as protests calling for protecting democracy and a timetable for transferring power under the management of the military council has become firm demands for ending the rule of the council and the military generals.

Despite this revolutionary situation, and perhaps because of it, Egypt has great hopes in transitioning to democracy. Several steps need to be taken.

The military council needs to bring to justice those responsible for the death and injury of peaceful protesters, including the immediate dismissal of the minister of interior and his aides. A new national salvation government has to be formed of credible public figures to manage the transitional process -- writing a new constitution, restoring order and reviving the country's economy.

Finally, sticking to a clear road map that allows timely legislative elections to be held under the immediate supervision of the newly formed government, followed by presidential elections, would position Egypt on a stable path toward democratic transition.

The military council might try to exploit this precarious situation to impose martial law and postpone or even cancel the parliamentary elections. This will prove counterproductive and, in fact, disastrous because Egyptians will then have nothing to lose and will continue with their revolution to end military rule and earn their democracy.

The opinions expressed in this commentary are solely those of Emad El-Din Shahin.

@highlight

Emad Shahin: Military government in Egypt has been blocking transition to civilian rule

@highlight

He says the armed forces are standing in the way of democracy

@highlight

Protesters had to return to the streets to reset the revolution, he says

@highlight

Shahin: Military using violence, arrests and torture to repress those seeking change