(CNN) -- The world received word yesterday that the publishers of Encyclopedia Britannica would stop producing hardbound, paper copies of their venerable reference.

Actually, they stopped in 2010 but didn't tell anyone. Now they've disclosed they've been able to sell just 8,000 copies of the collection. The rest are in a warehouse in Chicago, looking for someone who needs historically accurate, out-of-date information.

According to the company, they'll continue publishing online and will sell their services to individuals, schools and libraries. In some respects, that's good. The Web is much more easily updated, more interactive, and can deliver motion, sound, and color simultaneously. In other respects, that's not good, particularly for young readers, older folks, immigrants, and technophobes who'd rather read a book.

Britannica's decision is, in so many ways, simply a mile marker along the way to the new world of the 21st century. In mid-20th century America, a set of Britannicas on the shelf was a status symbol: a sign that the family had money, taste, some pretense to intellect, or at least a very strong desire to be seen that way.

Other families had the World Book, Colliers, or the Encyclopedia Americana (my own family's choice). Annual yearbooks updated entries in science, technology, industrial manufacturing, botany, and more. And, for so many of us who grew up in the 20th century, it was fun just to look through those volumes, read, and wonder about the world.

Wikipedia has largely replaced those printed volumes, principally because it's free. Everything on the Web is free (or should be, according to its most passionate users). The fact that it's not written, edited, or monitored by content matter experts seems to be of little concern. Crowd-sourcing has replaced experts and, though not good, the accuracy quotient of Wikipedia articles seems to be improving.

This is, however, part of a trend that assumes expertise is overvalued. Today, most technology users value connectivity and experience. Newspapers and magazines are in decline, bloggers and content aggregators are on the ascendant. The problem with crowd-sourcing the answer to any particular question is, of course, that you're as likely to find ideologically driven opinion as hard fact. You also have little in the way of support for judgments about credibility, reliability, and accuracy.

Ours is a society that cannot afford to do without a postal service, daily newspapers, and expertly edited sources of public knowledge. The notion that all knowledge is available online within six clicks is both exciting and a bit frightening (have you Googled yourself, your friends, or your children to see what's online, including images?).

The disappearance of our printed sources of information poses two serious concerns. First, our antiquated, overtaxed, patchwork power grid is perennially on the verge of collapse. Chinese hackers, aging components, or an F4 tornado could take down large segments of our power supply. No power, no Internet.

Second, just two-thirds of all Americans have access to the Internet at work or home. Those of us who live with an iPhone, Blackberry, tablet device (or a desktop computer) seem to think just about everyone is connected. Not so. Online access is far from a given for lower-income people. Wireless handheld devices and municipal WiFi systems look promising, but more than 100 million Americans are not connected to the Internet, according to the Pew Research Center's Internet and American Life Project.

Clearly this is a hinge point in history, much like Gutenberg's use of moveable type to operate a printing press, or Marconi's use of wireless communication to transmit the human voice over vast distances. The arrival of video scanning -- which made digital optics possible -- and high-speed data processing have accelerated the rate of change and we're simply going to have to live with it and make the best of it.

In the interim, we could think about buying a book or subscribing to a newspaper (just for old time's sake), or we could do something important for that one-third of our neighbors that will serve as an information safety net: Support your local public library. They, too, offer access to the Internet, but they also offer a clean, safe, nicely organized source for each of us to find information that's useful, valuable, interesting, and helpful.

Looking forward to the world our children and their children will live in doesn't mean simply abandoning technology that seems anachronistic. It means preserving the best of what we know and making it accessible to everyone.

The opinions expressed in this commentary are solely those of James S. O'Rourke, IV.

@highlight

Encyclopedia Britannica announced that it won't print more books

@highlight

James O'Rourke says as much as we gain from the Internet, there are also losses

@highlight

Britannica's accuracy and availability made it a valuable resource, he says

@highlight

O'Rourke: A third of Americans aren't connected to the web