(CNN) -- When it comes to rock 'n' roll on the radio today -- outside the ghetto of rock-only stations --- to paraphrase punk patriarch Lou Reed, there's almost nothing going down at all.

Take a look at the Billboard singles charts in 2011. The only relatively new artists to successfully cross over from the rock and alternative rock charts to the Hot 100 have been Mumford and Sons and Foster the People, and the ubiquitous genre-buster Adele has gone the other direction.

As radio has become more stratified, the Top 40 format appears to have marginalized rock, focusing on tempo-driven pop, R&B, dance music and hip-hop.

It's like 1989 to 1991 all over again, when the likes of Milli Vanilli, Bell Biv Devoe and Roxette dominated the airwaves and the charts.

Twenty years ago, two little-known Seattle-based bands released albums that would change the music industry, both commercially and artistically.

Pearl Jam's debut "Ten" came first. But that now-revered album, full of weighty anthems, took several months to gain traction.

A few weeks later, Nirvana released its second album, "Nevermind," a disc rife with noise, but also verse-chorus-verse pop structures. It quickly burned up the charts behind its lead single, "Smells Like Teen Spirit."

Nirvana had just finished a two-week tour of Europe, opening for the underground trailblazers Sonic Youth. Filmmaker David Markey documented the tour, then returned home with his film. Soon, he realized his movie, "1991: The Year Punk Broke" (which was released on DVD on September 13), was going to have an adjusted focus.

"Every day, we'd come into the editing room (and say), 'Oh, yeah. Nirvana sold another million overnight,'" Markey recalls. "It was just surreal. It was also very exciting, because for the first time, something from my end of the world -- you know, something from the left-of-the-dial end of the world that was previously relegated to college radio (made it big)."

The success of Nirvana and the "grunge" movement helped open the doors for hundreds of other "alternative" (as "college radio" was re-named) acts. In reality, none of those definitions told the listener much about the bands that rode the wave to commercial and/or critical acclaim in the early to mid-'90s.

Some artists, such as the Gin Blossoms and Counting Crows, sounded a lot like those heard on classic rock stations. Other bands brought some variety to radio. Without "Nevermind," commercial radio stations probably may not have played the singles from underground veterans like Butthole Surfers or Cobain's heroes the Meat Puppets.

While many rock bands and "movements" have garnered critical acclaim over the intervening two decades, commercial success is harder to come by, as radio is locking rock out of the mainstream again, says Silvio Pietroluongo, Billboard magazine's director of charts.

"You look at the top of the rock chart, and you see all kinds of bands who have had Top 40 radio hits, from Staind and Foo Fighters and Blink-182," he said. "You think there'd be an appetite for Blink-182, and some stations are playing it, don't get me wrong. But on a national level, it's hard ... to get these stations to get these songs on the chart," he says. "It's just not in the lexicon of Top 40 now. Top 40 has moved on away from those acts. And it's going to be a challenge to get it back."

Part of that challenge is today's fractured media landscape. In September 1991, the Internet, satellite radio, digital downloads, iPods and tablets weren't factors.

Lee Leipsner, Columbia Records' senior vice president of promotions, helped Adele and Foster the People break through earlier this year. Leipsner started in the industry in the late '80s working in a record store before he moved on to a gig at Mercury Records. He says success is measured differently now, and every band has a different view of what success means.

"A big touring base," Leipsner said. "Merchandise that you sell. Some sales are important. But I think building a community, building a following, building a groundswell. ...There's just so many things to measure now."

"You've got to consider them all right now," he continued. "Anything gold or platinum in the past used to be a success. Getting a gold record nowadays is very tough. Selling half a million records, albums, is one of the toughest things. The bar is a lot higher now."

The bands that broke through in '91 built communities the old-fashioned way: touring nonstop and mixing with fans in and out of clubs. A lot of those artists, including Nirvana, were influenced by the '80s post-punk and hardcore scenes that filmmaker Markey was part of. He said bands such as Sonic Youth had created benchmarks for success in that culture: a few hundred thousand units sold, airplay on MTV's 120 Minutes and headlining their own tour.

Leipsner said getting close to fans is still part of the equation for artist development, but in 2011, that includes an online component.

"If (a new artist) has 200,000 Facebook friends, and he goes on tour for the next six months without a record, doing his own grass roots, selling his own CDs, putting them up when he needs to, doing his own videos, and the next thing you know, you're at 400,000, you have a better chance when you do launch an album," he reflected. "You already have that audience. That tribe's already built in. They're already lined up. They're ready to go. All you have to do is ignite them."

Nirvana ignited an audience that didn't even know it was flammable in 1991, and no one -- even those close to the band -- foresaw that spontaneous combustion.

"It wasn't like anything that was planned. I don't think any great things that happen in culture and music are. It's obviously something people see and respond to. You know, I think that record was in the right place at the right time, combined with being a great record and great songs," Markey said.

He's skeptical about anyone replicating Nirvana's success.

"The music business has changed so much, and I don't think it will happen in that 20th century way." Markey said. "The odds at the time were still incredibly far for what happened for them. It's like the perfect storm."

It may have been the perfect storm for Nirvana. But just like weather cycles such as El Nino, the music industry tends to repeat its trends.

"It wouldn't be surprising if you called us back in a year from now, or a year-and-a-half from now, and suddenly, there's a whole lot more rock acts on our charts, because everything is cyclical," said Keith Caulfield, Billboard's associate director of charts. "Right now, we're in a very dance-pop phase, just as we were in that time in the '90s where everything was Ace of Base and La Bouche. And then in the 2000 thing, Britney and Christina. And now, we're in this Katy Perry, Britney-again era."

Leipsner agreed, with one caveat.

"Music is cyclical and it does change," he said. "I do believe there will be another movement. It's starting to happen already. Will it ever achieve the numbers that it used to have? No. It just won't, because it is a bit too fragmented. But I still think great music rises to the top."

"It's hard to predict when, but it seems like every decade, there's that bang. And you know what? You just wait for it , and you hope to be a part of it... as a music lover."

@highlight

Nirvana and the "grunge" movement helped open doors for hundreds of "alternative" acts

@highlight

Nirvana's second album, "Nevermind," has a verse-chorus-verse pop structure

@highlight

Pearl Jam's debut "Ten," full of weighty anthems, took several months to gain traction