(CNN) -- Television viewers around the world were treated to the grudge match of the Winter Olympics as the U.S. edged Russia in a thrilling ice hockey pool match in Sochi this month.

Even for those not familiar with the rules, the sheer drama of the sporting contest was gripping and it made for compulsive viewing.

It's not the only time this year that ice hockey has made for a stunning spectacle and generated huge interest.

In North America -- ahead of Sochi's start -- the NHL went on a big marketing blitz, with outdoor matches in massive stadiums previously used for other sports.

Some 106,000 hardy souls braved brutal subzero temperatures at the Winter Classic in Michigan on New Year's Day and over 8.2 million watched the telecast.

"We want to give our fans the most remarkable two months in the history of the league," NHL Commissioner Gary Bettman announced after the Toronto Maple Leafs beat the Detroit Red Wings 3-2 in the annual showdown.

Then, ahead of the NFL's Super Bowl, the Yankees Stadium in New York -- an iconic baseball venue -- was packed out for another clash in the NHL's "Stadium Series" to underline the popularity of these events.

So, with a growing audience among casual sports fans in its traditional markets and now a global audience watching the best of the best competing for their countries, can ice hockey capitalize on this popularity and go truly global?

For now, the NHL is coy about any expansion plans, but a spokesman told CNN: "We have a long history of playing games in Europe and are working with the Players' Association (NHLPA) to formulate a comprehensive calendar of games and activities in Europe.

"International hockey, and the growth of international hockey, we've always identified as a real opportunity for continued growth of this game. Now might be the most opportune time to seize on it."

From the NHLPA's point of view, it believes there is a real window of opportunity offered by Sochi.

"The Olympics will be a great platform to showcase the players and the sport at this best-on-best tournament," its executive director Don Fehr told CNN.

"There is a lot of opportunity to continue to grow our game not only in North America, but internationally as well."

All that points to a revival of the World Cup of Hockey. The successor to the Canada Cup (1976-91) it has not been staged since 2004, when Canada beat Finland in the final. The only other year it was held was 1996, when the U.S triumphed.

"We are working with the NHL to bring back the tournament, while establishing a long-term international hockey calendar," Fehr said.

Allain Roy, a former Olympic silver medalist for Canada who now acts as an agent for more than 200 players, said he would be in favor of a return of the World Cup because of its traditions.

"That's classic hockey, so to me there's some value in it," he told CNN.

"One-offs" such as a World Cup may well help spread ice hockey's appeal, but can the NHL follow the NFL's lead and stage regular-season games in other countries? Goodell is already openly talking up the possibility of a gridiron franchise in London after the success of taking teams to the British capital.

Fehr believes that if the NFL can expand its fan base so aggressively outside of the United States then the NHL should be even better placed.

"Of the four major sports in North America, the NHL is situated best to grow there, as there is great support for hockey already in Europe and we have a lot of international players in our game," he said.

"The players feel strongly we need to continue to grow our sport internationally."

Roy, who was a goaltender in the Canadian squad for the 1994 Lillehammer Games, sounds a note of caution. The 44-year-old is concerned that the traveling involved if a European-style division is put in place would place intolerable demands on the game's elite stars.

"I think they would love the idea but in an NHL season you are talking about a sport where there are over 90 games in an eight-and-a-half-month period," he said.

"In the NFL it's just one game a week, so it's a bit different."

Roy says occasional regular-season games in cities like London may offer a better way forward to help spread the influence of the sport.

He also floats the idea of a preseason tournament involving the top European teams taking on the cream of the NHL.

"The best teams in the world playing in a series, I would have an interest in watching that," he said.

Whatever the future holds for expansion plans, the NHL is thriving financially off the back of recent commercial deals.

Television and broadcast rights in hockey-mad Canada alone for the next 12 years were sold for an eye-watering $5.2 billion.

NHL Deputy Commissioner Bill Daley shares his boss Bettman's optimism over the game's health, citing a "great season" last year capped by Chicago Blackhawks' 4-2 win over Boston Bruins in the Stanley Cup Finals.

"On the franchise ownership front we're clearly more stable than any time in my time with the league (he joined in 1996) and concluded a landmark television deal," Daley said.

The 2013-14 regular season has taken a break from February 9-26 while its best players headed to Russia to represent their countries in the quest for gold.

Seven NHL referees and six linesmen also lent their expertise for the 12-team men's tournament and eight-nation women's event, though the Olympics were played under the auspices of the International Ice Hockey Federation (IIHF).

A slightly wider and longer rink was used in Sochi and the playing regulations also differed slightly from the NHL, but the uninitiated spectator at the venues or on television would have noticed little difference.

What they witnessed was the world's top professionals battling for gold, although it's only since the 1998 Nagano Games that the NHL has released its players for the competition.

Before each Winter Games there have been reports that the arrangement could come to an end. Some NHL franchises were opposed to allowing star players to compete for fear of midseason injury, but it has been maintained.

With over 50 million television viewers in North America alone watching Sidney Crosby give Canada an overtime victory over its neighbors in the 2010 Olympic final, it is difficult to argue a case against participation.

Crosby was a hero again with the second goal against Sweden as Canada took gold for the second straight Winter Games in Sochi.

But the tournament was notable for the strong performances of European nations, with Sweden handicapped by the loss of three key players in the final, while Finland thrashed the United States in the bronze medal match.

In the women's tournament, Canada beat the U.S. in the final, but Switzerland took the bronze.

Whether this is enough to prompt the spread of ice hockey into more uncharted territory, only time will tell.

Roy, who has played in Japan and China, believes there is "some potential" to move into markets in Asia.

Closer to home, he also wants the NHL to license more franchises in the U.S. because he has seen for himself the quality and depth of players now available, many of whom are on his books.

@highlight

NHL took a 17-day break during the Winter Olympics in Sochi

@highlight

Its top players competed for their respective countries in quest for gold

@highlight

NHL and Players' Association liaising over expansion plans

@highlight

Return of ice hockey World Cup is likely