(CNN) -- For the past decade, Microsoft researcher Gordon Bell has been moving the data from his brain onto computers -- where he knows it will be safe.

Gordon Bell wearing a SenseCam, which automatically records photos throughout the day.

Sure, you could say all of us do this to some extent. We save digital pictures from family events and keep tons of e-mail.

But Bell, who is 75 years old, takes the idea of digital memory to a sci-fi-esque extreme. He carries around video equipment, cameras and audio recorders to capture his conversations, commutes, trips and experiences. Microsoft is working on a SenseCam that would hang around a person's neck and automatically capture every detail of life in photo form. Bell has given that a whirl. He also saves everything -- from restaurant receipts (he takes pictures of them) to correspondence, bills and medical records. He makes PDF files out of every Web page he views.

In sum, this mountain of data -- more than 350 gigabytes worth, not including the streaming audio and video -- is a replica of Bell's biological memory. It's actually better, he says, because, if you back up your data in enough places, this digitized "e-memory" never forgets. It's like having a multimedia transcript of your life.

By about 2020, he says, our entire life histories will be online and searchable. Location-aware smartphones and inexpensive digital memory storage in the "cloud" of the Internet make the transition possible and inevitable. No one will have to fret about storing the details of their lives in their heads anymore. We'll have computers for that. And this revolution will "change what it means to be human," he writes.

Bell, who, along with fellow researcher Jim Gemmell, is the author of a new book called "Total Recall," talked with CNN about the advantages and drawbacks of recording one's life in painstaking digital detail. The following is an edited transcript.

CNN: What have you learned about yourself through this process?

That's been a really hard question to answer. ... The main driver of the recall turns out to be a [computer] screensaver or something where I go looking for [a digital memory] and I find something else. I guess it's the rich set of connections and people that I've been involved with.

CNN: What do you use to record your memories?

In a way, most of what happens during the day is sort of routine -- what you've done before. So I carry the SenseCam only when I think there's an episode or a sequence or a certain set of events that I want to capture and have automatically photographed. But I tend to always carry a camera with me. I live next to a fire station and I've got lots of photos of the hook and ladder coming out of the house. And I like food so I tend to photograph wonderfully presented food all the time. To me those are very pleasant memories.

CNN: If we rely on computers instead of our brains, will humans become mentally sluggish?

That's certainly one of the concerns. I tend to counter that theory. To me, I feel a lot freer. In a way I feel like I still remember all that stuff, but I generally remember that [the computer is] remembering something for me so I can find it.

People have no memory of phone numbers now because of the cell phone -- their address book is in a cell phone. So I don't think they're getting any worse or any less facile about that. What an e-memory does, to me, is gives me a really wonderful free feeling.

CNN: If we all record audio of our lives, do you think conversations will become stilted and fake?

I think there will be a lot of court cases and lawyering around all of that. I'm personally less hung up about that. Certainly, people my age and Baby Boomers are. But the current X-Generation, [they think] this is pretty natural.

CNN: Are you on Facebook and Twitter?

Yeah, I'm on Facebook and Twitter and occasionally I will tweet something. Somehow my problem is that I don't think I have anything interesting to tweet about.

CNN: Should all of our memories and observations be public?

Absolutely not. Our own memories are our own private thing, and how much you choose to have on Facebook or blogs, that's your thing.

CNN: What does your family think about your effort to record everything?

Gradually, everybody is getting this idea. ... Think of it: You are a librarian for your life. Somebody has to be the family librarian.

CNN: Are you worried about losing your memory?

... Forgetting is not a feature, it's a flaw. I don't think forgetting is an important feature of human memory. I think it's important to be able to remember things accurately.

CNN: Are there any memories you deleted?

No. When we were scanning stuff I had written a memo about a company, an unpleasant company -- probably the only company I was ever ashamed to be a part of. ...

I put a note on that file that said, "Don't ever scan or copy this!" My assistant who was doing the scanning ran across this and said, "What do you want me to do with this?" And I said, "Well, gee. This is my life." I said, "It's OK, just go ahead." So it's all there.

CNN: Do you think it's possible for people to turn away from new technologies? Or are advances like "Total Recall" inevitable?

I think it's inevitable because so much content is being created. Virtually everything is coming in digitally -- everything from your photos to your videos to your music. ... I will love that day when the world is just bits. It's the ultimate in green, by the way.

@highlight

Microsoft researcher Gordon Bell argues we will soon have searchable memories

@highlight

Bell details his ideas in a new co-authored book called "Total Recall"

@highlight

Bell has been recording almost every detail of his life digitally for a decade