Boston (CNN) -- Convicted Boston gangster James "Whitey" Bulger displayed no emotion Wednesday as he heard one final time from the wives, brothers, sisters, sons and daughters of the people he killed, and those of others who were shot, stabbed or strangled by accomplices in the treacherous Winter Hill Gang.

Bulger, 84, who faces life in prison at his sentencing Thursday morning, declined to address the court or the families. He did not make eye contact with them.

During a final chapter in the life of a mobster whose rise and fall were as convoluted as any Hollywood script, the families of his victims described Bulger variously as a coward, a rat and even Satan in the emotional first day of his sentencing hearing.

Steve Davis, fighting back tears and gasping for breath, struggled to address the court. His wife stepped up to help him utter the words that he said he had been holding inside for three decades. The judge asked him to take his time.

"This man has built up so much hate in my heart, I'd like to strangle him myself," said Davis, whose sister Debra was allegedly strangled by Bulger, her remains exhumed from a shallow grave.

Debra Davis was the girlfriend of Bulger's partner, Steve "The Rifleman" Flemmi, who testified that Bulger killed her. The jury did not convict Bulger of the slaying.

"This son of b---- should look every one of his victims in the eye when they speak," he said. "You piece of s---, look at me!" Bulger looked up at the front of the courtroom, raising his hand from a pad he scribbled on and began to turn slowly. He shot a brief glance at the podium but then turned to look at the judge. Davis, weeping, did not notice.

Bulger was convicted of racketeering, extortion and money-laundering in August after a rancorous two-month trial, with a federal jury linking him to 11 killings. Federal prosecutors urged District Judge Denise Casper to hand down a life sentence for the longtime fugitive, calling him one of the city's "most violent and despicable criminals."

On Wednesday, Casper ruled -- despite the objections of Bulger's attorneys -- that the families of all 19 people killed by him or his associates would deliver victim impact statements. Asked by the judge at one point whether he has anything to say, Bulger -- in an orange jumpsuit and sneakers -- said no.

Casper said she would hear all the victims and determine later which statements were relevant to the sentencing.

Mostly, it was a day for the victims -- a procession of human suffering chronicling some of the darkest years of the city's history.

Patricia Donahue recounted the life of her husband, Michael, a World War II vet and Boston cop. He was an innocent bystander shot by Bulger. She was shaky and teary but regained her composure when talking about her husband. "He was always happy," she said. "It drove me crazy."

At Bulger's trial, Donahue and her three sons often sat in the front row. When Bulger said he would not take the stand, Donahue yelled, "coward!" -- a word that was repeated by some at Wednesday's sentencing.

She said of her late husband: "He would cook a prime rib so well done you didn't know what you were eating... Michael was kind and thoughtful. He'd send me long-stem roses for birthdays and anniversaries. He'd also send them when he was in the dog house."

Bulger: The 25-million-dollar man?

Bill O'Brien said he was born four days after his father, William O'Brien, was gunned down in a drive-by shooting on Boston's Morrissey Boulevard. His mother could not attend the funeral. According to trial testimony, Bulger was in one of the cars in the drive-by shooting.

"Every time I drive that boulevard I think of the horror that man went through," he said. "Every time I pass the spot he was killed, I bless myself twice, seal it with a kiss and look up to him. One for him, one for me."

Sean McGonagle, the 49-year-old son of Paul McGonagle, who was killed in 1974, called the architect of the long reign of terror on the streets of Boston "Satan." The electric chair, he said, would be too good for him.

"In '75 you stooped to an all-time low when you called my house and said, 'Your father is not coming home for Christmas,'" McGonagle said. He recalled that when he asked the caller who was on the phone, Bulger responded: "This is Santa Claus."

"My father was no Boy Scout," he said, "but he was a better man than you will ever be."

Theresa Bond, the daughter of Arthur "Bucky" Barrett, who went missing in 1983 after a dispute with Bulger, politely asked, "Mr. Bulger, could you please look at me?" He never looked up.

"I just want you to know that I don't hate you," she said. "I do hate the choices you made. ... I hate the choices our government has made that allowed you to rule streets."

Bond added, "Hours before (my father) was murdered, he was praying, from what I understood, to a picture of a little girl. ... That was me. ... You will be summoned to the highest judge. A lethal injection would be too easy of a punishment."

She addressed him one more time. "Mr. Bulger, do you have remorse for taking my father's life?"

The convicted killer did not look up.

"I think you do," she said. "I forgive you."

In a November 7 sentencing memorandum, U.S. Attorney Carmen Ortiz wrote: "Presiding over a massive criminal enterprise, Bulger extorted dozens of individuals, flooded South Boston with cocaine, shot innocent people, strangled women, murdered his competitors, corrupted FBI agents, and then ran away and hid for 16 years."

She added, "There are no mitigating factors, and defendant Bulger has no redeeming qualities which would justify any sentence below the one called for by the U.S. Sentencing Guidelines and the applicable case law and statutes."

Prosecutor: Whitey Bulger 'deserves no mercy,' should get life sentence

Bulger didn't testify at his trial, complaining the proceedings were "a sham."

Bulger was captured in California in 2011, a decade and a half after skipping town ahead of a pending indictment. After he fled, investigators learned that the longtime head of South Boston's Winter Hill Gang had been an FBI informant and that Bulger's FBI handler had not only tipped him off to the charges, but also gave up another informant, who was later killed.

Meanwhile, Bulger's brother William had risen from the family's blue-collar Irish neighborhood to become president of the state Senate and head of the University of Massachusetts. But in 2003, he was forced to resign the school's presidency after admitting to a congressional committee that he had spoken to his brother while Whitey was on the run, though he denied any knowledge of his whereabouts or alleged criminal activity.

Whitey Bulger denied being an informant, even as he insisted that he'd had an immunity deal with the former head of the Justice Department's Organized Crime Strike Force in New England. Prosecutors countered that with a 700-page file outlining how Bulger provided information on murders, drug deals, armed robberies and criminal fugitives that led to several arrests.

The tale became the basis for the Oscar-winning film "The Departed," which starred Jack Nicholson as a character modeled on Bulger.

At the trial, Bulger snarled, hissed and scowled at prosecutors and witnesses. At one point, he and onetime enforcer Kevin Weeks shouted obscenities at each other when Weeks called Bulger a "rat" during his testimony.

But Weeks told CNN after the verdict that the Bulger who sat at the defense table was a shadow of the underworld legend he'd once known.

"He wasn't the same guy I knew," Weeks said. "I mean, he's a lot older, but he had no life in his eyes. He was subdued. He had changed. He just kind of lost his spark."

Their lives had one thing in common: 'Whitey' Bulger

CNN's Kristina Sgueglia reported from Boston, while Ray Sanchez reported and wrote in New York. CNN's Matt Smith, Greg Botelho and Deborah Feyerick contributed to this report.

@highlight

Families of victims speak to Bulger with anger, emotion, forgiveness

@highlight

Bulger declines to speak and refuses to look at victims as they address him

@highlight

Feds seek life for convicted Boston mobster James "Whitey" Bulger

@highlight

He was convicted of racketeering in August after 16 years on the run