Twelve months ago, Ruler of the World made history for trainer Aiden O'Brien by capturing the 2013 Epsom Derby, arguably the world's most prestigious flat race.

O'Brien's former stable jockey, Kieren Fallon, was not in contention that day.  He was not even at Epsom.  He was 200 miles away in Doncaster, where his best result was second place in a low-key Class 4 handicap.

On Saturday, Fallon will resume his rightful place alongside the country's best jockeys when he lines up for the Derby's 235th running aboard 12-1 chance True Story. It caps a remarkable reversal in fortunes for the veteran, who turns 50 next year.

Yet, like all the best true stories, this one has something of a ring of fiction about it.

To many in racing, Fallon is at once the most brilliant and most controversial jockey of his generation. His numerous successes on the track are matched only by his excesses off it.

Born in County Clare, in the west of Ireland, he was one of six children. Although not from a racing family, Fallon always had a natural affinity with animals. His love of horses was sparked by the wild Connemara ponies that roamed the harsh landscape near his childhood home.

"I'd have to say it was a gift, because the first time I sat on a horse I was able to ride," remembers Fallon.

"I rode them through the fields with no saddle and bridle, just loose and wild. They would tear off across the field and I'd stay on them as long as I could!"

From there he found his way to The Curragh, Ireland's horse racing heartland.

After serving his apprenticeship with trainer Kevin Prendergast, he crossed the Irish Sea and eventually wound up as stable jockey to Henry Cecil, a relationship that would prove fateful for both parties.

Auspicious beginnings

In his first season with the Englishman, Fallon recorded his first Classic success, winning the 1,000 Guineas on Sleepytime, following it up with the Epsom Oaks a month later. He ended that 1997 season with 202 winners and the first of his six Champion Jockey titles.

He retained the jockeys' championship for the next two seasons, during which time he also won the first of his three Epsom Derbies with Oath.

However, less than two months later Fallon was summarily dismissed following allegations -- which he denied -- of an affair with Cecil's wife.

It was the first of a series of spectacular highs and lows which would come to define Fallon's career.

Indeed, few sportsmen can boast a résumé as checkered as Fallon's.

In addition to his 16 English Classic wins, he has Group 1 victories in the United States, Dubai and Hong Kong to his name, and has twice captured Europe's ultimate prize, the Prix de l'Arc de Triomphe, with Hurricane Run in 2005 and Dylan Thomas in 2007.

But he has also served two bans for testing positive for recreational drugs, spent time in rehab for alcohol dependency, and was a defendant in a high-profile race-fixing case in 2007, although he was cleared of all charges.

He suffered a potentially career-ending shoulder injury in a fall at Royal Ascot in 2000, earning him a place in the medical annals as the recipient of the world's first successful nerve graft.

Then there are his fractured personal relationships: he was punched by owner David Reynolds in 2010, and banned for six months for pulling jockey Stuart Webster off his horse during a race meeting at Beverley 16 years earlier.

As recently as last year, he was effectively blackballed by owner Sheikh Mohammed Obaid Al Maktoum, the main patron of his then employer Luca Cumani, seemingly ending his top-flight career once and for all.

"From there it just fizzled out," admits Fallon. Last season, he rode just 80 winners.

A new start

Yet Fallon has rebuilt his career more times than he has rebuilt his battered body, and today he is once more a force in top-class races, 11 years after his last champion jockey title.

Last month, he won the 2,000 Guineas for the fifth time in a dramatic finish aboard Night of Thunder, some 14 years after his first victory in the race.

Come Saturday, he has a realistic chance of landing his fourth Derby and completing what would surely rank as one of the all-time great sporting comebacks.

His road to redemption began last winter when he headed to Dubai to ride work for Godolphin trainer Saeed bin Suroor following his dismissal by Sheikh Obaid.

He picked up a chance ride in an important race on Prince Bishop, the horse he credits with saving his career.

"Prince Bishop was going to be my last ride," he confesses. But then he won. Two weeks later, he won again, and Fallon was back.

"From being more or less dead and buried and on the way out, that really rekindled my buzz and my love for winning," he says.

Fallon was soon snapped up by bin Suroor and occupies the coveted top jockey spot at the stable.

"I'm really enjoying riding for Godolphin," he says. "You couldn't be in a better place, riding better horses for better people."

Hard work rewarded

Indeed, Fallon has now completed a unique full house, having been stable jockey for both Coolmore and Godolphin, as well as Michael Stoute and a pre-knighthood Cecil when their stables were at their peak of dominance.

"He's one of the best jockeys in the world," explains bin Suroor.  "In big races you need a guy like him who has experience.

"He's very tough and he's very fit. He comes every day to ride in the mornings and knows every single horse in the stable."

Fallon's work ethic is something that even his detractors appear to agree on -- even Cecil called him a very hard worker.

In 2008, when Fallon received an 18-month ban for his second positive drug test, he continued to ride out for Stoute.

"I spent from first lot to fourth lot riding out and I really enjoyed it," he says of that time. "I loved riding out with the lads and having a laugh, and getting physical exercise as well."

Now in the twilight of his career, Fallon appears to be in the best shape of his life, both physically and mentally.

"I play golf and  I play squash," he says. "I like to cook -- fish, chicken, stews. I don't eat a lot but I'll eat little and often. I never let myself get hungry."

Stranger than fiction

Has he finally banished the demons that haunted him throughout so much of his career?

"I'm happy doing what I'm doing at the moment. This time I'm able to enjoy it because I can't really go anywhere now, this is it for me.  I'm just planning to get out there this weekend and just take it from there."

Fallon could not have picked a more aptly-named horse for what might prove to be the final chapter of what has been, by all accounts, a sensational career.

"True Story is really going well," he says of his Derby mount. "He's a big, well-balanced horse with a turn of foot. I don't think he'll have a problem handling Epsom."

Standing in the way of Fallon and his fairytale ending is Australia, trained by his former boss O'Brien and widely regarded as favorite to win the race.

O'Brien's Coolmore and Godolphin are, of course, great rivals. And Godolphin, no stranger to reversals of fortune, having weathered its own doping scandal last year, is yet to capture English racing's biggest prize.

These omens do not appear to faze Fallon: "I believe you make your own luck.  Enjoy it while you can."

From enfant terrible to master of reinvention, you would not bet against Fallon producing an ending that is stranger than fiction.

@highlight

Kieren Fallon thought his career was over last season but is back at the peak of the sport

@highlight

Now just shy of his 50th birthday, he is targeting another prestigious Epsom Derby win

@highlight

His career has been littered by controversy both in and out of the saddle

@highlight

His targets are set on a potentially fairytale ending on board the horse True Story