(CNN) -- Sigrid Avrillier might be a 65-year-old woman living in Paris, but for four hours each day she is transformed into the legendary Renaissance painter, Peter Paul Rubens.

You wouldn't know it to look at her -- a former physics teacher with mousey brown hair and a cheeky gap-toothed smile. But over the last few months Avrillier has come to know Rubens intimately, recreating his every brush stroke, his every color choice.

"I live with him," she says. "I become him."

Avrillier is a copyist. And if you wander around the grand rooms of Paris' Louvre gallery, you'll see dozens of people just like her with their easels pitched in front of a masterpiece, paintbrush at the ready.

Curious children scamper up to them, doing a double-take between the painting on the wall and the version being created before their eyes: "What are you doing?" they ask.

The copyists are recreating some of the most famous paintings in the world, in a remarkable tradition dating back to when the museum first opened in 1793.

Grand tradition

It's a tradition that continues today -- albeit it, in a far more regimented fashion. Just 150 copyists are allowed in the Louvre, with a one-year waiting list for the privilege.

Each canvas is signed, dated, and stamped three times before even a drop of paint hits it. And even then, it must not be the same size as the original or include the artist's signature.

Five-days-a-week, from 9.30am to 1.30pm, copyists stream into the most popular museum on the planet, using one of the easels and stools provided.

There is one easel however, which never leaves the office -- the very same one renowned post-impressionist painter Paul Cezanne used 150 years ago.

Mastering the masters

Indeed, Cezanne, who would often copy the great masters, once famously said: "The Louvre is the book from which we learn to read."

He wasn't alone. Pablo Picasso also painted a fantastical version of Eugene Delacroix's "Women of Algiers."

"That bastard," Picasso reportedly said of Delacroix. "He's really good!"

So why do these artists -- ranging from professionals painters, to students, and retirees -- spend painstaking hours perfecting what has arguably already been perfected?

"You spend so much time in front of this painting, that little by little you understand what's in it -- how he did it, the people in it, the historical context," explained Avrillier, who has completed five paintings from the Louvre, over four years.

"You find the right brush, the right colors, the right movement in your hand. You feel very close to them."

Curious copyists

Of course, not everyone saw copyists in quite the same light. "Poor ridiculous folk, picking up the crumbs and alms of art at the feet of the Gods," said the New York Times in 1887.

Today, many museum visitors appear baffled or intrigued to see the artists quietly working among the crowds, and children will often be the first to poke their head in.

"The children, they can't believe it," said Avrillier, who sometimes gives the youngsters a paint brush of their own. "If you go into a museum and see paintings on the wall, you think you will never be able to do it. I say: 'But you can.'

"Anyway, we are doing copies, we are not trying to say it's a new Raphael," she added.

It's a date?

But the Louvre isn't just a giant studio for these artists -- it's also a potential meeting place for single copyists. Or at least, that's how 19th century French art critic and novelist Champfleury -- otherwise known as Jules-FranÃ§ois-FÃ©lix Husson -- reportedly saw it.

"Copy a painting next to hers, then ask to borrow some cadmium or cobalt. Then correct the odious mess of colors she calls a painting (they're always glad to get advice) and talk about the Old Masters until the Louvre closes and you have to continue the conversation in the street. Improvise the rest," was supposedly his advice for meeting like-minded ladies.

For Avrillier, love at the Louvre comes in a very different form -- her own paintings.

The last picture she completed, a one-mete- tall copy of Correggio's 16th century "Mystic Marriage of Saint Catherine," now sits proudly in her house. In fact, she can't bear to be apart from it.

"I love this painting so much, I put it in the room where I am," she says. Does that include moving it to her bedroom at night? "Yes!" she says.

@highlight

Who are the Louvre's copyists and why do they do it?

@highlight

Since 1700s, artists have copied the gallery's masterpieces

@highlight

Famous copyists included Pablo Picasso and Paul Cezanne

@highlight

Today, just 150 copyists allowed, one year waiting list