(CNN) -- The midterm elections are less than three weeks away, but by several measures, Democrats have already won.

Sure, elections are about the race to the top between competing candidates, but they're also a barometer on long-term trends, issues and party trajectories. While the winners of this season's sprints have yet to be determined, Democrats look well-positioned for the lengthier political marathon. How?

1. There's still a contest for the Senate

Historically, the party in the White House tends to lose seats in Congress during midterm elections. The second midterm election of a two-term president -- as this election is for President Barack Obama -- is usually brutal. Only six times since the Civil War has a president come close to gaining seats in both chambers in a sixth-year election.

Add to that this year there are simply more Democratic-held Senate seats up for grabs -- with more ranked "toss ups" than Republican-held seats -- and the very fact that Democrats still have a shot at holding onto the Senate is, as Vice President Joe Biden might say, a BFD.

2. Democratic policies are emerging as third rails

Witness Republican Senate Minority Leader Mitch McConnell, running for re-election in Kentucky, and the dance he did around Obamacare during a debate. McConnell insisted that he would repeal Obamacare "root and branch" but somehow, miraculously, keep the law's state-based health insurance exchange.

This shows that despite the lackluster rollout of the Obamacare website, voters still overwhelmingly support the particular details and programs of the law, even in places such as Kentucky, where over 400,000 people have enrolled for health coverage under Obamacare's provisions.

As the law continues to take hold -- and become more effective and popular -- that rhetorical dance will get more uncomfortable for Republicans, who are still struggling to reconcile their opposition to equal pay legislation, raising the minimum wage, refinancing student loans and extending benefits for the unemployed.

When President Obama said -- "I am not on the ballot this fall. Michelle's pretty happy about that. But make no mistake: these policies are on the ballot" -- he was right. And when the American people weigh in on Democratic policies, they'll probably side with Democrats.

3. Voters know about "Republican War on Women"

In 2012, it was easy to say the whole "War on Women" thing was an aberration that can be blamed on a few errant GOP candidates such as Todd Aiken. But this year, Republicans doubled down on their attacks on women's opportunity and reproductive freedom -- and the "Republican War on Women" brand will now forevermore stick.

In New Hampshire, the Republican platform has adopted "fetal personhood" into its state party platform, echoing conservative-backed referenda on the ballots in Colorado, Tennessee and North Dakota that would severely restrict women's control over their own pregnancies. Republicans also opposed the mandate in Obamacare to make birth control affordable and accessible through all health insurance. They have also blocked equal pay legislation and held up re-authorization of the Violence Against Women Act.

Economic equality and reproductive freedom are basic priorities for women voters, a group that Republicans already had a tough time winning over. The GOP even commissioned its own poll that found women voters are "barely receptive" to Republican ideas and think the party is "intolerant" and "stuck in the past." By their own deeds, not to mention rhetoric, Republicans just keep reinforcing their war on women and driving voters away.

4. Republicans appear desperate

Wasn't this election supposed to be about Obamacare? No, that didn't work. So Republicans tried to make the midterms about Benghazi. No luck there either. Now they're just generally fear-mongering around ISIS and Ebola and hoping that would work.

But the constantly shifting Republican shell game shows how little substantive traction conservatives have with average voters outside their highly gerrymandered House districts. Every time they open their mouths, Republican candidates show that they habitually bash President Obama to distract from the impression that they have neither the intention nor ability to help solve urgent problems facing the country.

When you're so worried about the outcome of an election you actively try to discourage Americans from voting, even if it means violating the constitution and values you're sworn to protect. Mind you, it's deeply disturbing that Republicans have used the fig leaf of voter fraud to justify disenfranchising countless legitimate voters to serve their partisan ends.

But voter ID laws are a kind of Hail Mary pass thrown by a GOP all too aware that if it just lets everyone keep voting, Republicans are going to keep losing elections -- especially as the American electorate gets younger and more racially diverse.

That Republicans don't mind alienating voters by opposing same-sex marriage and immigration reform, which most young voters support, suggests a profound desperation -- namely, a party aware that it can't transform itself for the future and so willing to settle for last gasps of power with its old white voter base. Meanwhile, Democrats are registering new progressive voters in states such as Georgia and Texas at unprecedented rates.

We still don't know which party will prevail on Election Day this November. But if these trends are any indication, it will soon become clear which party will increasingly prevail in elections down the road -- the kind of ultimate victory that really counts.

@highlight

Sally Kohn: Midterm elections are also a gauge for trends and party trajectories

@highlight

Kohn: By that measure, Democrats have won on issues and policies that matter to the public

@highlight

She says GOP's war on women have turned off voters; some Republicans act desperate

@highlight

Kohn: Democrats will likely prevail in elections down the road, which is the ultimate victory