WASHINGTON (CNN) -- NASA's launch of the Mars Science Laboratory -- hampered by technical difficulties and cost overruns -- has been delayed until the fall of 2011, NASA officials said at a news conference Thursday in Washington.

A photo illustration of a laser-equipped vehicle that is set to be part of the Mars Science Laboratory.

The mission had been scheduled for launch in the fall of 2009.

The Mars Science Lab is a large, nuclear-powered rover designed to traverse long distances with a suite of onboard scientific instruments aboard.

It is, according to NASA's Web site, part of a "long-term effort of robotic exploration" established to "study the early environmental history of Mars" and assess whether Mars has ever been -- or still is -- able to sustain life.

The delay of the launch, according to NASA, is due to a number of "testing and hardware challenges that must (still) be addressed to ensure mission success."

"The progress in recent weeks has not come fast enough on solving technical challenges and pulling hardware together," said Charles Elachi, director of NASA's Jet Propulsion Laboratory in Pasadena, California.

Changing to a 2011 launch "will allow for careful resolution of any remaining technical problems, proper and thorough testing, and avoid a mad dash to launch," argued NASA Associate Administrator Ed Weiler.

The overall cost of the Mars Science Lab is now projected to be roughly $2.1 billion, according to NASA spokesman Dwayne Browne. The project originally carried a price tag of $1.6 billion.

NASA's entire budget for the current fiscal year, according to Browne, is approximately $15 billion.

According to NASA, the Mars rover will use new technologies and be engineered to explore greater distances over rougher terrain than previous missions to the planet. This will be done in part by employing a new surface propulsion system.

"Failure is not an option on this mission," Weiler said. "The science is too important and the investment of American taxpayer dollars compels us to be absolutely certain that we have done everything possible to ensure the success of this flagship planetary mission."

Weiler asserted that, based on the agency's preliminary evaluations, additional costs tied to the delay of the Science Lab launch would not result in the cancellation of other NASA programs over the next two years. He did, however, concede that it would result in other unspecified program delays.

Critics have charged that the delay and cost overruns associated with the Mars Science Lab are indicative of an agency that is plagued by a lack of accountability and inefficiency in terms of its management of both time and taxpayer dollars.

"The Mars Science Laboratory is only the latest symptom of a NASA culture that has lost control of spending," wrote Alan Stern, a former NASA associate administrator, in a November 24 op-ed in the New York Times. "A cancer is overtaking our space agency: the routine acquiescence to immense cost increases in projects."

Stern charged that the agency's cost overruns are being fueled by "managers who disguise the size of cost increases that missions incur" and "members of Congress who accept steep increases to protect local jobs."

Browne replied in a written statement saying that NASA administrators are "constantly working to improve (the agency's) cost-estimating capabilities. ... We continually review our projects to understand the true risk in terms of performance, cost and schedule."

"The fact of life at NASA, where we are charged with creating first-of-a-kind missions of scientific discovery, is that estimating the costs of ... science can be almost as difficult as actually doing the science," Browne said.

NASA's most recent Mars project -- the mission of the Phoenix Mars Lander -- came to an end last month after the solar-powered vehicle's batteries ran down as the result of a dust storm and the onset of Martian winter. It had operated two months beyond its initial three-month mission.

NASA officials had landed the vehicle on an arctic plain after satellite observations indicated there were vast quantities of frozen water in that area, most likely in the form of permafrost. They thought such a location would be a promising place to look for organic chemicals that would signal a habitable environment.

Scientists were able to verify the presence of water-ice in the Martian subsurface, find small concentrations of salts that could be nutrients for life, and observe snow descending from the clouds, NASA said Thursday.

@highlight

NASA's launch of the Mars Science Laboratory delayed until 2011

@highlight

Mars Science Lab is a large rover designed to traverse long distances

@highlight

Delay is due to a number of "testing and hardware challenges"

@highlight

Overall cost of Mars Science Lab now projected to be roughly $2.1 billion