The United States and China have the most important bilateral relationship in the world.  Whether they can develop a constructive, cooperative relationship or whether they become each others' greatest nightmare has enormous consequences for each country and for the capacity of the international system to manage regional and global issues.

Both leaderships recognize what is at stake, which explains why, despite many disagreements, Washington and Beijing constantly stress the importance of building ties.  The two governments conduct more than 60 formal dialogues a year and engage each other daily, to a far greater extent than most people realize.

Despite these efforts, each country has an underlying and growing distrust of the other's long-term intentions. Such distrust is corrosive, casting even well-intentioned actions and initiatives in a negative light.

When President Nixon opened the door to Beijing 40 years ago, nobody imagined that U.S.-China relations would develop to this point.  But extensive governmental contacts between the nations, economic interdependence and huge flows of students and tourists back and forth have failed to stem the growth of underlying mutual distrust.  That distrust could well create a self-fulfilling prophecy of eventual confrontation.

A key problem is that neither government is confident that it understands how the other sees the future of their relationship. Although each side senses distrust in the other, the real reasons for that attitude are unclear.  So, how do they separate propaganda efforts designed to manipulate from sincere concerns?

Because this is such a tough and consequential problem, I teamed up with one of China's leading America specialists to write a report that lays out the underlying worries that each side has about the other and, especially, why they have these deep concerns.  Our report was published simultaneously last week in English and Chinese.

My colleague wrote, in unvarnished fashion, about the analysis that leads many policymakers in China to believe the ultimate goal of the United States is to constrain or disrupt China's rise and to undermine its political system.  I wrote about U.S. hopes for a normal major power relationship with China over the long run and the reasons why many American policymakers are increasingly concerned that this may prove impossible.

The reasons are complicated. In part, they include the inevitable tensions that arise when a global balance of power is changing.  My colleague and I expect that America will retain its leading role for many years to come, but the gap between U.S. and Chinese power and position is narrowing. Because of that, many in China fear the United States might resort to anti-Chinese measures  to maintain its lead.  American officials worry not so much that China will rise, but that Beijing will believe it can only do so at direct cost to the United States.

Our enormously different political systems exacerbate this distrust.  Neither side understands very well the political and institutional constraints in the other's system, and both are inclined to assume the other is more strategic, centralized and internally disciplined than it is.  Neither is certain that it knows when the other is being honest about its domestic political constraints, and both tend to take random events as reflections of strategic intent.

Beijing views America's pro-democracy foreign policy as aimed, in part, at changing China's system, while Washington inherently distrusts the motives and actions of authoritarian governments. And unsurprisingly, both sides have partially institutionalized distrust in their militaries, intelligence agencies, and offices focused on cybersecurity.

Distrust about long-term intentions is thus grounded in complicated narratives in both countries.  Neither side wants an adversarial relationship, but both worry that it may become unavoidable.  And extensive efforts to build mutual trust to date are not working.

New measures are necessary. Both governments must discuss, in depth, topics they have been avoiding.  What overall military postures in Asia will both permit China to meet its vital security needs and enable America to defend its allies and interests?  What kinds of mutual restraint can help bring about this outcome?

How does each side view potential developments on the Korean Peninsula over the coming decade, and how would both plan to react to each scenario?

America conducts surveillance activities just outside China's territorial waters that Beijing views as hostile and degrading. Could China provide some type of increased military transparency that could change this?  Could the military component of the Taiwan issue be reduced?

Understanding views of the long term, clarifying thinking on key military issues and devising concrete efforts to build mutual confidence are the initiatives that could alter the perceptions in Washington and Beijing that enhance distrust.  The future can be shaped by intelligent actions, but those must be based on clear recognition of the reasons why  each side fears the future intentions of the other.

@highlight

Kenneth Lieberthal: U.S. and China have the most important bilateral relationship in the world

@highlight

Although the nations stress cooperation, he says, each side distrusts the other's intentions

@highlight

Lieberthal: China believes U.S. wants to stop its rise and change its political system

@highlight

Military topics must be discussed in depth, he writes, and confidence needs to be built