London (CNN) -- Art exhibitions don't usually float on water but the CNM Estates Fine Art Sails regatta, which debuted this weekend on London's River Thames, is no ordinary expose of contemporary culture.

Part fine-art show, part boat-race, the three-day event saw 10 sailboats -- skippered by a host of Olympic and World Championship sailors -- take to the water bearing sails adorned with the work of some of Britain's foremost modern artists.

Monochrome prints of giant facial features, manic flocks of imposing seagulls and a menacing child with tribal war-paints comprised just a few of the surreal and arresting works on show during a snow-blanketed weekend in the UK capital.

Organizers say the concept marks a first of its kind collaboration between art and top-class sailing and could soon be casting off at famous waterside locations around the world.

See also: Inside the mind of a yachting cartoonist

"This is the first time anyone has really tried to do this and the reaction has been quite amazing," said the founder of Fine Art Sails, Michael Ross.

"There is already interest in staging an event on the [Moskva] River in view of the Kremlin," he said, adding the possibility of others in San Francisco, Miami and on the Caspian Sea.

Artists who contributed works to the riverside event -- which formed part of the week-long London Boat Show -- include the fashion duo Mark Eley and Wakako Kishimoto, portrait artist Christian Furr, as well as musician and actor, Goldie.

As Fine Art Sails moves on to other locations, Ross hopes creatives of all disciplines and nationalities will be inspired to add their handiwork to the project.

"It's a totally new way for artists to display their work," he explained. "This event has given those involved the opportunity to try new things, display their art in a very public place and access to an audience they otherwise might not reach."

Ross also makes a point of highlighting the artistic difficulties encountered in this new mode of exhibition.

See also: World's unluckiest boat bows out

Racing sails are generally made from Dacron, an ultra-lightweight cloth that differs greatly from some of the more the conventional materials artists use, such as canvas.

The manner in which sails are designed to capture wind meanwhile ensures that any design, painting or print is constantly moving and changing shape when on the water, altering the appearance of the artwork in the process.

According to British sculptor, David Begbie, who donated a print for the regatta entitled "An Eye for the Buoys," tackling these unorthodox requirements was an enjoyable part of the creative process.

"The sails are a very rich concept for artists to work with and it has culminated in something of pretty majestic proportions," Begbie said.

"It's a versatile and adaptable format [which] when you think about it is basically a new kind of art form.

"Most artists work in a rectangular format but this creates a totally new shape," he added.

See also: Computer hackers conquer high seas

Begbie's enthusiasm is shared by competing sailor and British Olympic gold medalist, Pippa Wilson.

While unsure about the extent to which artistic sails can integrate into sailing at the very highest level -- where sails have to be as light as possible -- Wilson believes they can be a valuable asset in garnering the attention of a non-traditional sailing audience.

"This is something that has never been done before and hopefully it will add a little bit of culture to our sport," Said Wilson before taking to the water.

"I've been so lucky to be involved in sailing since a young age and know how wonderful it can be, so if an event like this can grab people's attention and get them involved then it will definitely have been worthwhile," she added.

@highlight

The CNM Estates Fine Art Sails regatta debuted this weekend at London's Royal Victoria Dock

@highlight

Olympic and World Championship sailors took to the water bearing sails adorned with contemporary artwork

@highlight

Organizers say the concept marks a first of its kind collaboration between art and top-class sailing