(CNN) -- Coming out of the closets of our culture seems to be the thing to do these days, but it is not a new phenomenon.

In the inaugural issue of Ms. magazine in 1972, dozens of American women signed a statement declaring "We Have Had Abortions," even though abortion was still mostly illegal in the United States. Celebrity names dotted the listâ€”Gloria Steinem, Nora Ephron, Lillian Hellman and Billie Jean King among them.

This consciousness-raising maneuver played a key role in changing public attitudes toward abortion. It contributed to what legal scholars Linda Greenhouse and Reva Siegel call the "successive waves of arguments" that "prompted growing public support for liberalizing access to abortion." A year later, the Roe v. Wade Supreme Court decision decriminalized most abortions.

In 1978, former first lady Betty Ford entered the Long Beach Naval Hospital's Drug and Rehabilitation Service, and publicly admitted her own alcohol and drug dependency. In 1982, she became founding director of the Betty Ford Center for the treatment of drug and alcohol abuse. While many remained silent, celebrities Liza Minnelli, Elizabeth Taylor and Ali MacGraw all chose to openly share their experience at the center.

At a 1991 press conference, NBA megastar Magic Johnson announced that he had tested positive for HIV. He retired from basketball and subsequently served as a public voice for HIV-AIDS education, prevention and anti-discrimination efforts.

Opinion: Jolie's choice carries risks along with benefits

Last month, NBA player Jason Collins announced that he is gay. While he justly deserves praise for an action that puts him among the first active American athletes in any of the four major professional team sports to publicly so identify, it has also been widely noted that he is far from early or alone in the coming out ranks of major athletes. Celebrity names already dot that list too -- Greg Louganis, Martina Navratilova, Sheryl Swoopes and former NFL player Wade Davis among them.

Tuesday, Angelina Jolie made public the fact that she elected to undergo a double mastectomy, at the age of 37. This was her attempt to lower her risk of breast cancer, given the fact that she carries "the breast cancer gene." She hopes to encourage other women to consider the potentially life-saving procedure for themselves. No doubt, other women will now come forward. A new list of celebrity names will coalesce.

What is particularly remarkable about the public statement made by Angelina Jolie is that she is a young, beautiful, sex symbol. She risks her career by changing her image in this way. To medicalize her breasts in the public's perception is potentially to de-sexualize them. The bodily care of cancer prevention is far from the glamorous dream world that Hollywood sells.

Clearly, Jolie has chosen the high moral ground of trying to save lives by publicizing the procedure and stating that she feels as beautiful as ever. We should be grateful for her straightforward and courageous statement.

Indeed, we should be grateful for all -- celebrities or not --who have driven social change by publicly outing themselves. It is arguable that we might not have had as much support for abortion reform, or addiction treatment, or HIV-AIDS research, or marriage equality, without them. Destigmatizing cancer prevention surgery will happen more quickly if celebrities and others get publicly vocal about their personal health choices.

Sambolin: I feel empowered, supported in cancer fight

Importantly, abortion and addiction and HIV-AIDS and love are different issues from preventative mastectomy. Abortion is a difficult but fundamentally ordinary choice in an untenable situation. Addiction is a disease that is relatively well understood, even if it is still difficult to treat. HIV-AIDS is a global pandemic that is by now well known. Marriage equality is a function of health and happiness in the first place.

But the phenomenon of breast cancer still eludes scientists. We still do not know how to prevent it or reliably cure it, save perhaps by surgically removing a vulnerable organ.

Furthermore, it seems that a lot of our current ideas about it are not even correct. While the public receives the message that getting regular mammograms is an effective preventive strategy, it has recently been reported that such screenings turn out to be only minimally effective in lowering the morbidity of the disease. As Peggy Orenstein wrote in the New York Times, our war against cancer has been a "feel-good war."

In fact, given the incidence of false positives, and of cancers that do not actually need to be treated, such screenings can cause harm. According to a survey of 30 years of screening published in the New England Journal of Medicine in November 2012, as cited by Orenstein, "mammography's impact is decidedly mixed: it does reduce, by a small percentage, the number of women who are told they have late-stage cancer, but it is far more likely to result in over diagnosis and unnecessary treatment, including surgery, weeks of radiation and potentially toxic drugs."

When a celebrity such as Angelina Jolie makes such a generous and powerful intervention, it is right for the world to pay attention. But the list needs to grow longer, as well, of those demanding greatly increased support for primary cancer research and stricter environmental controls on the toxic substances we eat and breathe. Cancer needs a social movement demanding change.

Otherwise, no matter how many celebrities and others come courageously forward, and how well the world adapts to preventive mastectomy, it will not be enough.

The opinions expressed in this commentary are solely those of Laura Wexler.

@highlight

Laura Wexler: Angelina Jolie deserves credit for disclosing her preventive mastectomy

@highlight

She says Jolie joins tradition of celebrities whose openness has improved life in America

@highlight

Wexler: There's much we don't know about breast cancer; a movement for change is needed