What motivated an American soldier to allegedly open fire and kill 16 innocent Afghan civilians in cold blood? No one knows at this point. The soldier, an Army staff sergeant, seems to have acted alone, and he turned himself in to authorities after the shooting rampage. What we do know is that he had been injured in an accident while deployed to Iraq in 2010. Despite being diagnosed with traumatic brain injury, he was found fit for duty.

It's common for the military to evaluate service members for fitness for duty. The most important question asked is: Can the soldier safely and effectively perform his job from a mental health or neuropsychological standpoint?

More than a million individuals suffer a traumatic brain injury each year in the United States. Many of these people have experienced problems processing complex information. However, the execution-style killing of innocent people is not something that people with a traumatic brain injury would carry out. So while it's possible that "brain damage" is a contributing factor, it is unlikely to explain the slayings.

One convenient answer would be that he is a "bad apple," he simply went temporarily insane. If that were the case, then no military leader or peer could have predicted the rampage. He is a rogue soldier who can plead insanity in the court of justice. The blame falls solely on him.

However, one can't help but wonder whether the recent spate of events, including the desecration of Taliban corpses by four Marines, the burning of the Quran by U.S. troops, and now, the slaying of Afghan civilians, point to the toll that the Afghanistan war is taking. Has the psychological impact of the long war been underestimated?

Afghanistan, by any standard, is a tough terrain with complex politics and even more complex culture. The mental, emotional and physical burden on our troops is formidable.

Most of Afghanistan's population is uneducated and illiterate, and held in terror by the Taliban, who operate through threats, corruption, extortion, blackmail and intimidation. Our troops must not only deal with the daily risks of attacks from the Taliban, but also mistrust, unease or hostility from the Afghans. While U.S. forces attempt to interact as much as possible with locals, the fact remains that they are foreigners who are mostly stationed on temporary bases, located far away from community centers and operate mostly on mission-based initiatives.

War, of course, is always stressful. History has many examples. And the war in Afghanistan is no exception.

During the American Civil War, the stress associated with going to war was known as homesickness. During WWI, it was shell shock. After WWII, it was battle fatigue. During the Gulf War, a new term was coined -- Combat Stress Reaction.

Combat stress is now thought to be a normal reaction to the abnormal events encountered during war, including different rules of engagement, morale ups and downs, fatigue, sensory overload or extreme weather. Anger toward the civilian community is also considered a symptom.

The U.S. military is not naïve to combat stress. Much effort has been made to prepare troops for the symptoms of combat stress before deployment. Once troops are deployed, they can be provided immediate assistance if problems arise and help is nearby.

Our military has been a technological leader in building better armored vehicles, using superior aerial surveillance via remotely operated drones and employing ever better laser-guided missiles. But the Pentagon should also emphasize an important nontechnological component in its military training: the need to include a better understanding of the crosscultural challenges that are likely to be encountered when troops are deployed into foreign combat zones like Afghanistan.

As we learn more about the 38-year-old married staff sergeant who is a qualified infantry sniper and serving his third deployment in the Middle East, we have already learned one very painful lesson. Namely, there is an expensive psychological cost to sending our men and women to war.

@highlight

An American soldier allegedly went on a rampage and killed 16 Afghan civilians

@highlight

Eric Zillmer: Has psychological impact of Afghanistan war been underestimated?

@highlight

He says the soldier's horrific act cannot be attributed solely to traumatic brain injury

@highlight

Zillmer: Our military must do more to prepare troops for challenges in combat zones