Tokyo (CNN) -- The words "Ganbaro Nippon" -- "Be strong, Japan" -- shine down on the nation's capital nightly from the soaring steel of the landmark Tokyo Tower.

But a society known worldwide for its culture of stoicism has been knocked a bit off balance by the one-two punch of a massive earthquake and a nuclear disaster, according to both ordinary residents and experts. Andrew Grimes, a clinical psychologist working in Japan, said the events and their literal and figurative aftershocks have had "a severe effect on people's sense of security."

"It's uncharted territory to some extent," Grimes said. "But I think the mental health aspect is already with us, and it's going to stay with us for a while."

And Junichi Onodera, the director of a badly damaged hospital in northern Japan, said the disaster's psychological scars will linger longer than the current crises.

Onodera runs the Iwate Prefectural Hospital in Yamada, a town in the bulls-eye for the tsunami that followed the March 11 earthquake. Seaweed still drapes cabinets on the first floor of the facility, and X-ray machines, beds and wheelchairs too badly damaged to salvage line the parking lot.

Exhausted doctors and nurses whose homes have been destroyed sleep alongside patients, many of whom arrive suffering from what Onodera likens to post-traumatic stress disorder.

"But what can we do?" he asked. "There are no psychologists here to help with that."

The quake killed more than 13,000 people in the region. Another 15,000-plus are still missing, and Japanese troops are still combing the ruins of coastal villages in search of bodies.

The island nation has long been plagued by earthquakes. But last month's magnitude 9 quake has generated strong aftershocks for more than a month, with more than eight deaths blamed on fresh tremors in the past week.

"The degree of fear of earthquakes has risen up these days," Tokyo businessman Ryuji Kita told CNN. Kita said the repeated aftershocks have put his entire family on edge, and he gets e-mails from friends and relatives in western Japan after each temblor.

In Tokyo, more than 300 km (190 miles) south of the quake's worst impact, the disaster was followed by a brief period of rolling blackouts and an extended campaign of power conservation.

Outside a nightclub around the corner from the Kantei, the prime minister's office, a sign advises passerby, "Save power and carry on" -- an echo of iconic British posters from World War II. Many subway stations have been half-lit, and when baseball returned after delaying the start of its season for three weeks, many games played in the Tokyo Electric Power Company's service area were moved to afternoons.

Tokyo Electric faces a 20% capacity shortfall since the quake knocked out two of its nuclear power plants. One of those is Fukushima Daiichi, the center of a slow-motion crisis that Japan declared a top-scale nuclear accident Tuesday.

Yoshi Domoto, executive director of the Atlanta-based Japan-America Society of Georgia, said the Japanese have been sticking together, as they have through a long history of disasters.

"They're more group-oriented than Americans, so that's helping them out," Domoto said.

That sense of community leaves people less isolated than they would be otherwise, said Professor Lonny Carlile of the Center for Japanese Studies at the University of Hawaii at Manoa.

Neighborhoods tend to come together, accounting for residents, handing out circulars, or holding regular cleanups. After the tsunami, local governments quickly designated which towns would take in survivors from other towns that were hit, Carlile said.

"You have what in essence is a routine (that will) kick in during an emergency," Carlile said.

And in the United States, expatriates are raising money for disaster relief. The Japanese community in Los Angeles is so large that Japanese prefectures have their own local organizations, said Gwen Muranaka, English editor of the Rafu Shimpo, a daily Japanese-American newspaper there.

"I think there's a real commitment," she said. "This isn't going to go away in a month. People feel that they're committed to helping."

But in the shadow of Fukushima Daiichi, fears about possible contamination of the basics of life --- food and water -- have fueled an "enormous inability to calm down," said Grimes, the director of Tokyo Counseling Services. And many people in Tokyo who depend on trains to get around "are very concerned and afraid of being stuck again, like we all were on that first Friday."

Grimes said psychiatrists and psychologists expect to see an increased number of patients suffering from depression, anxiety, sleeplessness, nightmares and problems with appetite in the coming months.

"We've had many more people first-time people coming in, including couples," he said.

As the nuclear crisis drags on, both the Japanese government and Tokyo Electric have faced increasing criticism of their early response and the utility's inability to offer an estimate of when it might be resolved. Prime Minister Naoto Kan's ruling Democratic Party of Japan took a beating in the first round of local elections Sunday, losses he said Tuesday were "very difficult for our party." And with the crisis also pinching Japan's economy, Kan urged citizens to ease up on some self-imposed austerity measures.

"While keeping sympathy with the disaster victims, shall we try not to apply too much self restraint and go back to daily life?" he asked. "Consuming products from the disaster-hit area is one way of supporting the victims."

The Japanese government has begun easing restrictions on produce from the stricken region as radiation readings go down. Vendors selling vegetables and fruit from Fukushima Prefecture were doing a land-office business outside Tokyo's packed Shimbashi subway station at Wednesday's rush hour, with some stands selling out in minutes, their operators announced.

A woman named Shiho, who would not give her last name, told CNN she was more worried about continued earthquakes than radiation. She said she was worried about how to evacuate with her two cats, since pets weren't allowed in shelters, and had stockpiled food and water for an emergency kit in case of another major quake.

"The government is confused about what they should do," she said. "We need a clear scenario to recover. If we Japanese people could have a clear vision about how to recover, then the recovery would be more effective."

CNN's Brian Walker in Yamada, Matt Smith, Yoko Wakatsuki and Noriaki Kawai in Tokyo and Melissa Gray in Atlanta contributed to this report.

@highlight

The mental health impact of twin disasters is "uncharted territory," psychologist says

@highlight

Many quake survivors show signs of post-traumatic stress, one doctor tells CNN

@highlight

Japan has a long history of pulling together after disasters

@highlight

"We need a clear scenario to recover," a Tokyo commuter says