(CNN) -- In Sao Paulo's affluent Butanta neighborhood, a green haven in the heart of the notoriously polluted megalopolis, Guilherme Amaral Nunes, 25, and partner Luiz Ramirez, 51, enjoy a brief respite from the limelight.

While trying to seem tranquil while playing with their "children," two rescued dogs and a cat, excitement is building as news of their plans to become the first married gay couple in Sao Paulo goes viral.

On Monday, court papers are set to publish their names as the first couple to petition for a marriage license in this conservative-leaning state, two weeks since Brazil's Supreme Tribunal ruled unanimously that the nation should recognize gay marriages.

"We feel anxious until we hear the results," Ramirez said. "We hope we won't receive a legal challenge to block our dreams."

Nearly two weeks ago, Brazil's highest court voted on behalf of gay marriages by 10-0.

The court ruled that the same rights and rules that apply to the "stable union" of heterosexual couples will apply to same-sex couples, including the right to joint declaration of income tax, pension, inheritance and property sharing.

Argentina became the first Latin American nation to approve same-sex marriages in 2010. Mexico City recognized same-sex marriages in 2009. Several other countries in the region now recognize same-sex unions.

Brazil's ruling, however, does not allow same-sex marriage. It leaves it to judges to evaluate on a case-by-case basis.

"It's not like Argentina, where the law is more evolved, Nunes said. "But it's a step ahead," he said.

On Friday, Ramirez and Nunes took the first legal step to legalize their union. Holding hands and brushing off some curious onlookers in one of the city's busiest public registries, the two delivered a petition to convert their civil union document into a marriage certificate.

Next stop, the Sao Paulo courts, Ramirez said. That is where the fate of their legal bond will be decided by a judge.

"This is not really about us," said Nunes, who added that his job as an IT consultant for HP already allows them to have very good same-sex benefits. "It will be a victory for many of us, many of my friends who suffered discrimination."

According to many gay rights groups in Brazil, discrimination and bullying is rampant in Brazil, despite generational and cultural changes.

Ramirez, president of CORSA, a large gay-activist group, said government studies show that 260 people die a year in Brazil as a result of homophobia.

Gay people in Brazil, as in other Latin American nations heavily influenced by the Catholic Church, continue to encounter strong resistance.

"On one hand, we have made some considerable judicial strides," said Ramirez, who helped turned Sao Paulo's gay parade into one of the world's largest.

"On the other, the intensity and frequency of homophobia in Brazil is alarming," he said.

Ramirez was referring to a hotly contested issue by Brazilian lawmakers on the proposal to distribute the so-called "homophobia-kit" in public schools, an educational packet that includes a DVD and other information distributed through Brazil's Ministry of Education to address homophobia among Brazil's youth.

Ultraconservative lawmaker Jair Messia Bolsonaro of Rio de Janeiro, has led the outcry against the ministry's move to deliver the packets, joining hands with evangelist lawmakers, who are growing in numbers.

"I have now seen the most scandalous thing I have ever seen in my 20 years in politics, and of course I am not talking about corruption, which is a daily matter here in our circles," he said.

"Attention parents of 7-, 8-, 9- and 10-year-olds in public schools! Next year, your children are going to receive educational kits titled, 'Combating homophobia," Bolsonaro told Brazil's House of Deputies in November.

"But what this is is an incentive to enforce homosexuality and promiscuity," he said.

Bolsonaro claimed that in one of the videos, a boy named Ricardo goes to the bathroom to urinate when he sees another boy and falls in love.

"Listen here lawmakers, this was published in our congressional papers. This could be your son one day," he said.

Brazilian Minister of Education Fernando Haddad denied that the so-called "kit homophobia" circulating among lawmakers was created by his office. During a meeting Thursday with evangelical and other conservative lawmakers, Haddad said the kit was still being put together by his ministry.

"Yesterday, this material was delivered to the Ministry of Education from hired NGOs," Haddad told Agencia Brasil.

"Now, we will have an internal debate within the ministry," he said.

While the debate heats up in conservative circles, throughout Brazil, gay couples are trickling into local courts to fight for their marriage rights.

"This is not about making people gay. This is about letting people who are gay live respectfully and in peace," Ramirez said.

"There won't be any more gays in Brazil as a result," he said. "But there will be happier ones."

CNN's Marilia Brocchetto and journalist Luciani Gomes contributed to this report.

@highlight

Nearly two weeks ago, Brazil's highest court overwhelmingly voted to allow gay marriage

@highlight

Judges to decide on case-by-case basis

@highlight

Homophobia still rampant, kills 260 a year, a study says

@highlight

Conservative lawmakers lash out against anti-homophobia kits to be distributed in public schools