(CNN) -- Next time there's a mass shooting, don't jump to blame the National Rifle Association and lax gun laws. Look first at the shooter and the mental health services he did or didn't get, and the commitment laws in the state where the shooting took place.

Strengthening gun control won't stop the next mass shooter, but changing our attitudes, the treatment options we offer and the laws for holding the mentally unstable and mentally ill for treatment just might.

Take the case of the recent mass shooting incident in Isla Vista, California. Police say Elliot Rodger went on a killing spree near the University of California campus in Santa Barbara, shooting and stabbing victims, killing six and wounding 13 before he killed himself.

He had legally purchased three guns, passed a federal background check and met several other requirements in one of the most liberal states with the toughest gun control laws in the country. California was one of eight states that passed major gun reforms in the wake of 2012's Sandy Hook Elementary School shooting, in which a lone gunman killed 20 children and six adults.

In fact California's gun control laws received an "A-" grade from both The Brady Campaign to Prevent Gun Violence and the Law Center to Prevent Gun Violence, the Los Angeles Times reported.

In this climate, how did Rodger succeed in his lethal plan? It wasn't the gun laws, it was the lack of common sense mental commitment laws.

A 2014 report by the Treatment Advocacy Center, a nonprofit aimed at removing the stigma of mental illness and barriers to treatment, analyzed the state of mental commitment laws state by state, looking at both the "quality of involuntary treatment (civil commitment) laws which facilitate emergency hospitalization during a psychiatric emergency and the availability of court orders mandating continued treatment as a condition of living in a community."

On virtually all counts, California received an "F" (it got a "C" on emergency evaluation). In Rodger's case, a friend concerned about alarming videos he'd posted on YouTube had alerted a county mental health staff member, and police had conferred with his mother, but this was not enough to get him committed.

Under California's Welfare and Institutions Code Section 5150, a person must be a danger to himself or others before he can be held for 72 hours for evaluation, and the standard is even higher to mandate treatment. Police visiting Rodger found him to be "polite and courteous" and not an apparent danger, so they had no authority to detain him or search his home for weapons to seize. The reason had nothing to do with gun laws. It had to do with the commitment laws in California.

We need to adopt a nationwide standard for involuntary civil commitment, and that standard should be "need for treatment." If a family member, law enforcement officer or mental health professional is concerned about the well-being of an individual, they should be able to have that individual held for a mental health evaluation.

Indeed, the Treatment Advocacy Center's report describes the exact situation police found themselves in when they conducted that "well-being" check on Rodger:

"But what if the person is neither threatening violence against anyone nor at any apparent imminent risk of injuring himself? What if the concern spurring the family member to seek help is simply that the person is suffering, tormented by terrifying delusions, yet somehow unaware that he is ill? Do we as a society have reason to intervene? To answer 'yes,' we must believe there is a compelling societal imperative beyond preventing imminent injury or death -- an imperative to liberate a person from a hellish existence he would never -- in his 'right mind' -- choose."

The truth is that commitment laws shouldn't be a stopgap to prevent imminent harm, but rather seen as an essential tool to help a loved one needing treatment before things reach the imminent harm stage.

Next, we've got to connect the dots between mental health records and National Instant Background Check. In 2014, Mayors Against Illegal Guns released a report calling for states to close this gap. It found that 11 states and the District of Columbia have no reporting laws, and another 12 states have submitted fewer than 100 mental health records to the national background check system.

But connecting the dots won't help unless every gun sale is subject to an instant background check imposed on all licensed gun retailers.

And finally, the police need tools as well. They need training and the discretion to ask about and remove guns from any household where there is a domestic dispute, a call for a "well-being check," or a person who exhibits violent or unstable behavior. They also need a mental health professional on call for such checks.

Connecticut, Indiana and, yes, even Texas have firearms seizure statutes aimed at dangerous persons. Laws like these enable the police to temporarily remove guns from someone who is exhibiting dangerous behavior until a judge can make a final determination on fitness for gun ownership based on evidence presented at a hearing.

I know what you're thinking. "This will only penalize gun owners. Most gun owners are law-abiding citizens." You're right. And most gun owners believe in responsible ownership and agree that these mental health measures make sense

You may also be thinking: "But most people suffering from serious mental illness are nonviolent." You're right about that, too. Indeed, mentally ill people only account for a small fraction of the gun deaths in America every year and the vast majority of those are suicide, not homicide. Violence by the mentally ill is usually a symptom of the untreated mental illness -- that's why access to treatment, not gun control, is the answer.

Overhauling mental health laws would give family members and professionals more responsibility and authority in care decisions. And in some cases, medications and therapies should not be optional.

We've got a major problem on our hands. And since guns aren't going anywhere, the discussion about solutions needs to place the focus somewhere else.

Even the NRA agrees that the seriously mentally ill should never own a gun. So let's finally do something about it.

@highlight

Mel Robbins: When there's a mass shooting, don't blame NRA, blame mental health laws

@highlight

She says we must adopt nationwide "need for treatment" standard for civil commitment

@highlight

She says mental health laws prevented cops from holding Isla Vista shooter before rampage

@highlight

Robbins: Fixing mental health laws would give families, professionals more control