Growing up as a child in Damascus, it was evident that the current president of Syria, Bashar al-Assad, was first perceived by majority of Syrian people as a shy, reserved, introverted, weak, and hesitant child.

He seemed to inherit none of his father's (Hafez al-Assad) or his brothers' (Maher and Bassel al-Assad) intelligence, strength, and leadership skills.

Even Bashar's physical appearance — his tall and thin frame — added to his image as a frail person in the eyes of the majority of Syrian people.

But, more fundamentally, the invisible hand of history would soon sweep away these perceptions and prove the majority wrong.

How did the blue-eyed, tall, Western-educated ophthalmologist and reserved al-Assad, the one who was trained as a doctor to diagnose and eradicate diseases, so misgovern the domestic, regional, geopolitical and socio-economic affairs of Syria?

How did the soft-spoken, withdrawn al-Assad, who favors a thin mustache, transcend into one of the most despised political figures of his generation?

Before Bashar al-Assad became president, he was viewed by various Syrian social groups as rather bookish, not someone with the instincts or the drive to lead a country.

Even a sympathizer with the Assad regime, an Alawite named Abu Hisham said to me: "Bashar cannot stand against powers such as Israel and the United States. We need a leader who is strong like Bassel." "He's certainly not a leader," my cousin (who was later killed in the recent uprising) and his friends would say of Bashar before he assumed power.

Bashar's destiny changed dramatically when he received a phone call from his father Hafez al-Assad in 1994. While studying at the Western Eye Hospital in England to be a professional ophthalmologist— and later live a luxurious life in the West— he was told to return to Damascus.

The news of his older brother, Bassel's death in a car accident had reached Bashar and changed the direction of his life. Bassel was a parachutist, an accomplished athlete, a ladies' man, and an outgoing statesman being groomed to succeed his father as president.

As Bashar was far from the public eye and not as involved in political affairs, Hafez al-Assad and his old guard advisors trained Bashar for several years in military and political affairs, along with Socialist Ba'ath and secular ideals. The military and ideological training of the al-Assads' old guard altered Bashar.

However, Bashar al-Assad seems to have a distinct vision for Syria, other than the Socialist Ba'ath agenda of his father's old guard. While he endorsed the old guard's use of hard power and mass repression, the lifestyle and wealth of the West still occupied al-Assad's mind when he assumed power.

In his inaugural speech, Bashar al-Assad emphasized that it was time to begin modernizing Syria. He stated: "I shall try my very best to lead our country towards a future that fulfils the hopes and legitimate ambitions of our people."

While Hafez al-Assad and the old guard favored the more fundamentally socialist agenda of the Ba'ath party and attempted to gain legitimacy and support through minorities (Christians, Alawite, Shiite, and Druze), Bashar al-Assad focused on gradually adopting economic liberalization, neo-liberal and capitalist policies.

This economic policy change intended to accumulate capital and wealth for the gilded inner circle, as well as to gain the support of other crucial social base— the business class— besides minorities.

Bashar al-Assad miscalculated his policy changes though, as economic liberalization requires parallel political liberations. While Bashar al-Assad transferred public assets into the hands of his inner circle and top members of the business class, he resisted political liberations, equality, and redistribution of the wealth.

He also increased the political repressions against political dissidents and human rights activists. Those social groups, that opposed the trained doctor, became the diagnosed diseases which had to be eradicated.

In addition, his policies tremendously increased the gap between the rich and poor. Bashar al-Assad also allowed Iran to enjoy greater influence in Syria.

Internal clashes and tensions between Bashar al-Assad and the old guard founding members of the Alawite-Ba'athist and socialist regime of Hafez al-Assad occurred.

Men such as Ali Duba (the former head of the Syrian military intelligence and a close adviser to Hafez al-Assad), as well as hardliners such as Maher al-Assad (Bashar al-Assad's brother and commander of the Republican Guard and the Army's elite Fourth Armored Division) disagreed with Bashar's departure from Socialist Ba'ath policies.

Bashar and his inner circle did gain short-term benefits, however, the long-term consequences sparked in March 2011.

When the popular uprising erupted, Bashar focused on retaining the support of three significant social and political groups: the business class, the minorities (Alawite, Christians, Shiite, Druze, etc), and his hard power apparatuses (the army, Shabiha, snipers, intelligence, police, etc).

Additionally, Bashar responded to the uprising with mixed reactions, on one hand offering promises and on the other enforcing mass repression.

Bashar also allowed the empowerment and return of the old guard and hardliners such as one of the orchestrators of the Hama massacre Ali Duba and Maher al-Assad. For Bashar, Maher, and the old guard, tolerance for dissidents and compromise meant encouragement of further revolt.

Bashar al-Assad and the old guard managed to survive as Syria's civil war has entered into its third year. Besides the mass repression and use of brute force, a crucial reason that the regime has been able to retain power is that a considerable amount of the business class, the minorities, and the army have not yet defected.

Secondly, Bashar is cognizant of the international political structure and how he can use the strategic and geopolitical significance of Syria in order to gain financial, military, and intelligence support from the Islamic Republic of Iran, Hezbollah, and Russia.

Thirdly, Bashar al-Assad has been capable of creating distinct narratives among the minorities, the business class and the West.

Finally, Bashar has worked to pass off, to the international community, the idea that there is no better or more efficient alternative to his rule.

As Bashar al-Assad has repeatedly argued, either he, or the "terrorists" will rule Syria. He has infused this argument with a threat -- that if he does not rule over a unified Syria, he can instigate as conflict throughout the region and turn the nation into a conflagration.

@highlight

Syrian President Bashar al-Assad was seen as a reserved child, writes Majid Rafizadeh

@highlight

But how did this Western-educated ophthalmologist misgovern Syria, asks Rafizadeh

@highlight

Al-Assad's distinct vision was to modernize Syria to assimilate the Western world

@highlight

Rafizadeh says during the Arab Spring, al-Assad focused on retaining support of three groups