(CNN) -- When Michaela Cross, a U.S. student at the University of Chicago, posted a CNN iReport about the sexual harassment she says she experienced during a study abroad trip in India, the response was overwhelming.

Cross' story, which is now the most-viewed iReport of all time, spawned thousands of impassioned comments and responses, many from women who live in India or who had traveled there and who wished to share their own experiences.

Sexual harassment in India: 'The story you never wanted to hear'

"This is a side of India that is a reality to most young women who reside here -- or for that matter travel here," said Meera Vijayann, 27, from Bangalore in India.

"I wish I could take your pain away," said Anaka Kaundinya, 22, from Mumbai.

Sexual harassment remains a pervasive problem in Indian society. Often referred to by the euphemism "Eve-teasing," a 2011 survey supported by UN Women found 95% of females in New Delhi said they felt unsafe in public places.

Earlier this year the country introduced stricter anti-rape laws following the fatal gang rape of a young woman in New Delhi, but gender inequality remains embedded within Indian society. As reports of another gang rape emerged in the Indian city of Mumbai on Friday, the issue remains as pertinent as ever.

While Cross has garnered attention for speaking up about her experience, she's not alone. Four women with connections to India shared their own experiences, whether they felt it fair to single out India on the issue, and how best to tackle the problem.

Please note that CNN cannot independently verify the incidents described below.

Shwetha Kalyanasundara, 27, business development professional from Chennai

When I read Cross' article I was ashamed of my country (for the first time). But I realized that I cannot sit in my comfortable space and watch people tear my country down.

Almost every woman who grows up in India has been subjected to some kind of sexual innuendos ... but for every man who cannot control his libido and gives in to his over-crazed sexual drive, I can assure you that there will be 10 men who will fight for you and your dignity.

Keeping chivalry alive: Men respond to India rape crisis

In Sanskrit, we say "Matha, Pitha, Guru, Deivam" (translated: Mother, Father, Teacher, God). The meaning of this adage is the greatest truth and is the order in which we offer reverence. This is the basic tenet in existence from time immemorial, and every man has been taught to place the womankind even above God.

Indian men know to treat their women with respect. And I cannot tolerate your generalization that Indian men are bad. You cannot blame the entire male population for the actions of few.

In all the countries I have been to, I have been subjected to roving eyes and sexual overtures from men. I have been leered and heckled by cab drivers and pedestrians alike. Even a middle-aged woman is not spared.

Let's not be too dramatic here and accept that sexual crimes against women are a problem the world over.

Shaheen Madraswala, 22, student in U.S., grew up in Mumbai

Born and raised in India, I moved to the USA three years ago to pursue my undergraduate education. Like Cross, I studied abroad in the fall of 2012. My chosen destination was Paris.

Upon my return, I told family in India and friends from around the world exactly what they expected to hear. I told them I was in love -- in love with Paris. I did indeed relish the experience of living in a country whose culture and language is so different from my own.

How it feels to be a woman in India

However, I fell short of mentioning the time I was harassed by a drunk man at the Gare Montparnasse, while numerous people simply stood and watched, the time I was groped by a man on a bus who threatened to follow me home, or the time I was actually followed back home from my afternoon run at Champ des Mars.

This, unfortunately, is a woman's plight, wherever in the world she might be. Although an Indian women who is expected to be used to the staring and teasing, I am not prepared. I am not prepared to look over my shoulder after sunset. I am not prepared to think twice before using public transport. I am not prepared for the reactions that my clothing might elicit.

Having lived in three of the world's megacities, Bombay, Paris and New York, I have been equally unprepared wherever I might be, for the simple reason that I am a woman. The pervasiveness of sexual harassment is global.

Aishwarya Subramanian, 25, reporter from Bangalore

A lot of us in India ... feel a collective responsibility for what happened to Cross and feel terrible for what's happened to her.

But I also think it is terribly unfair to turn every man in India into a monster. It also hurts to read comments where people urge others to stay away from this beautiful country.

Should solo female travelers avoid India?

As someone who lives here every day of her life, it hurts when someone says "if you have white skin, you should stay away from India." It's this kind of racist bigotry we should try and overcome.

Yes. Unfortunately I have been groped at and harassed by men. I am a runner and every time I set out to run by myself, I make sure I have my phone with me and pepper spray in case men on the streets decide to harass the girl running in sweatpants (I never wear my shorts on solo runs).

But that's not what the country is all about. It's a big nation that should not be generalized. In any city you will find millions talking different languages, following different cultures. You simply cannot speak for all of them in one breath. It's not possible in India.

I think sexual harassment is a global problem, and it's something women have to live with every day of their lives. It's unfortunately as bad as it gets in India. I really do believe that there needs to be mass education to help change attitudes toward women.

Sanjana Govindarajan, 21, student from Mumbai

Reading line after line of Cross' story filled me with an overwhelming sense of shame. I have been stared at, leered at, groped and followed by strangers for close to 11 years of my life. And yet, I feel ashamed before I feel indignant.

I believe the poor treatment of women and their sexual objectification is endemic in Indian society today. Children might be taught to treat women with respect in their classrooms, however, most of them go back home to see the exact opposite in implementation by members of their families.

'She could have been me': Action urged after Delhi gang rape case

It appears to be a fairly daunting and uphill task to go about educating a billion-plus population about the importance of proper treatment of women, and in a way that translates into meaningful change in the society. But it needs to happen.

Stricter laws would be an essential part of the solution. Police apathy and in some cases, blatant disregard for the plight of the victims only encourages and empowers this disgusting behavior.

I think it is most important for women to come out and speak about the issue. We have grown up being taught to remain silent about sexual abuse. I think one of the most significant changes one can bring about in this situation is to remove the shame attached to being a victim of sexual abuse.

If we talk about it more, millions of women will draw strength from speaking the truth and will come closer to being liberated.

@highlight

U.S. student's iReport on harassment In India most viewed iReport of all time

@highlight

Thousands of comments and responses poured in to CNN

@highlight

Many expressed sympathy and apologized, others stressed the problem is not restricted to India