(CNN)Even in their greatest moments of triumph, American presidents can make decisions that in the long run will devastate their legacies.

We have seen this in recent times, such as with President George W. Bush's decision to invade Iraq. But the classic example was Lyndon Johnson's experience with Vietnam.

Fifty years ago, when the 89th Congress convened in January 1965 following Johnson's landslide election victory against Sen. Barry Goldwater, LBJ was at the height of his political power.

Liberal Democrats commanded huge majorities in both the House and Senate. The coalition of southern Democrats and Republicans had lost much of their power. Conservative Republicans were marginalized since nobody wanted to look anything like a protégé of Barry Goldwater.

With the backing of a mass civil rights movement and organized labor, the White House was determined to push forward a huge domestic agenda ranging from Medicare to more anti-poverty programs to voting rights. Bills would soon be passing at a breathtaking pace as the nation saw Washington remake the social contract.

But in these very same months, Johnson intensified America's involvement in the war against communism in Vietnam -- a war that would prove to be disastrous, devastating and arguably the aspect of his presidency that continues to define him more than anything else.

The previous year Johnson had already strengthened the nation's commitment to the conflict in Southeast Asia. While President John F. Kennedy had increased the number of advisors working with the South Vietnamese in the fight against communist forces, Johnson set the groundwork for a much bigger intervention.

He didn't do so with great confidence. In one of the most revealing White House recordings -- on May 27, 1964 -- he and Georgia Sen. Richard Russell, a southern hawk who was Johnson's mentor, have a lengthy conversation where both men express their doubts about whether this conflict was essential to the Cold War and whether it could ever be won.  Russell said that it's a "damn worse mess that I ever saw."

Russell added, "I don't see how we ever going to get out without fighting a major war...."

"I just don't know what to do," said Johnson.

Regardless, because of the political pressure that Johnson felt from Republicans who were attacking him as weak on defense and since he agreed to the logic of the domino theory -- that if one country fell to communism others would follow -- Johnson requested that Congress authorize the use of force through the Gulf of Tonkin Resolution on August 4, 1964.

Based on weak evidence about an attack on U.S. Navy destroyers (Johnson admitted that the attack, if it occurred, was a mistake or the result of a decision by a low-level commander), Johnson worked with Arkansas Sen. William Fulbright to convince Democrats to support him with this resolution.

The resolution was "like Grandma's nightshirt," Johnson said of the resolution, "it covers everything."

Fulbright assured his colleagues that they needed to pass the resolution to protect Johnson from Republican attack. If he intended to actually use his full power to deploy force in the conflict, Fulbright said, he would return to Congress for their approval. He never did.

On February 15, 1965, LBJ received encouragement from a former president about how he was handling the situation. When Johnson told him he was "having hell," including with the situation in Vietnam, President Truman assured him it was fine.

Johnson thought he could learn from how Truman handled his problems with Korea. He reminded Truman that as a senator he had sent a letter in support of his efforts in Korea, even when Republicans like Ohio Republican Robert Taft were "raising hell" in the Senate.

Johnson said he was "doing the best I can", that when they "go in and kill your boys you to hit back." Truman, who said he was handling the challenges well, gave him support, agreeing that you "bust them in the nose every time you get a chance" and "they understand that language better than any other kind."

But as the new year began other Democrats warned Johnson that he should not make use of this resolution for force.

Two days after Johnson spoke with Truman, Vice President Hubert Humphrey implored the president in a lengthy and powerful memorandum to pull out. Humphrey argued that, for the first time, Johnson didn't have to fear Republicans attacking him as weak on defense. Liberals controlled Congress and he had just won a great landslide electoral victory. He could make a bold move and get out of this conflict before it was too late.

"Politically," Humphrey wrote, the Johnson administration is in a stronger position to do so than any Administration in this history."

But Johnson didn't listen to Humphrey's logic, and still feared the danger of being characterized as weak on defense just like Democrats had been in 1952 when they lost control of the White House and Congress.

As Democrats in Congress spoke out against LBJ for Vietnam, he became more belligerent. He isolated Humphrey from his inner circle of advisors on foreign policy. He dismissed the criticism from Democrats and warned that they were giving propaganda support to the communists.

We can hear this on a tape with one of Johnson's greatest allies in the Senate, Minority Leader Everett Dirksen. On February 17, 1965 , the two men discussed speeches that had been given by Idaho Sen. Frank Church and South Dakota Sen. George McGovern.

Dirksen brought up how the two men had been "teeing off" against LBJ's Vietnamese policy. Dirksen thought Johnson needed some defense from his "friend on the other side of the aisle."

Johnson told Dirksen that former President Dwight Eisenhower, a Republican, fully supported him. Johnson added that the kinds of speeches Church and McGovern were making posed the "worst problem" to the United States, more so than raids or ambushes or military accidents, since the speeches about the need for negotiation or withdrawal were used by the communists in pamphlets and newspapers. The statements undermined the confidence of the South Vietnamese government that the United States would continue to support them.

At the same time that he spoke with such great bravado, he admitted to his advisors all of his fears and concerns.  On February 26, LBJ told Secretary of Defense Robert McNamara: "I don't think anything is going to be as bad as losing, and I don't see any way of winning...."

On March 6, many months after their haunting conversation about what could likely happen in Vietnam, Johnson didn't sound much better. When explaining that he was preparing to send Marines into the conflict, Johnson they were "getting in worse" and admitted that: "The great trouble I'm under, a man can fight if he can see daylight down the road somewhere. But there ain't no daylight in Vietnam."

In response Russell said, "there's no end to the road."

During the very month that the House passed a sweeping version of Medicare and Medicaid and Congress prepared to send him an education bill to sign into law, Johnson got deeper into one of the most devastating military quagmires that the United States has ever faced. Johnson's fears of being pummeled by the right, combined with his adherence to the "domino theory" about communism, would gradually drive him deeper and deeper into a disastrous war.

Presidents are complex beings. Sometimes the very qualities that allow them to make great breakthroughs in public policy, that greatly improve the condition of the country, also allow them to implement decisions that become highly destructive.

​

@highlight

50 years ago the stage was set for decisions that doomed LBJ's presidency

@highlight

Julian Zelizer says LBJ was riding high after 1964 landslide, could have avoided Vietnam escalation