Several boats carrying as many as 150 people are believed to have capsized near the western coast of Myanmar as local residents scrambled to avoid a storm that's approaching the area, a U.N. agency said Tuesday.

The boats ferrying Rohingya, a long-suffering Muslim minority, are reported to have run into trouble on Monday night as they traveled from Pauktaw township in Myanmar's Rakhine state, said Kirsten Mildren, a spokeswoman for the United Nations Office for the Coordination of Humanitarian Affairs (OCHA) in Bangkok.

One of the boats was towing the others, and between them they were believed to be carrying 100 to 150 people, she said, noting that the exact number of boats and people involved is uncertain as conflicting reports from Rakhine continue to emerge.

Some people are reported to have survived and made it to dry land, according to Mildren. Hindered by heavy rain and choppy waters, rescuers have found some bodies floating near the scene of the disaster, she said.

The boats were part of an effort to relocate people in Rakhine away from low-lying areas, according to the OCHA, ahead the potential arrival of Cyclone Mahasen, a storm that may hit parts of Myanmar and Bangladesh later this week.

Despite reforms, Myanmar's ethnic violence continues

A community at risk

The advocacy group Human Rights Watch has expressed concerns about the safety of tens of thousands Rohingya and other Muslims who were driven from their homes and into camps during sectarian attacks by Buddhists in Rakhine last year.

Human Rights Watch estimated that half of the roughly 140,000 displaced Muslims are now "living in flood-prone paddy fields and coastal areas that may be hit by storm surges associated with Cyclone Mahasen."

"If the government fails to evacuate those at risk, any disaster that results will not be natural, but man-made," Brad Adams, the group's Asia director, said in a statement Tuesday.

The OCHA said Myanmar authorities had begun late Monday to carry out a plan to move 138,000 displaced people to higher ground ahead of the storm.

The boats that capsized were part of that operation, Mildren said. They were traveling from Pauktaw, where thousands of Rohingya live in camps, to other Muslim communities in the area that were to provide shelter to the passengers, she said.

Pauktaw sits on a network of waterways near the coast of Rakhine, on the Bay of Bengal.

"Most of the Rohingya there in the camps are in bad conditions to begin with," Mildren said. "Their shelters are not in any way cyclone-proof and these low lying areas where they are sheltering will flood."

Cyclone Mahasen is currently expected to make landfall Thursday near Chittagong, in southeastern Bangladesh. The Bangladesh border with Rakhine is a little over 100 kilometers south of Chittagong.

Recent violence

Relocating the displaced Rohingya to safer areas in Rakhine comes with particular difficulties related to their troubled history.

"Some of the IDPs are reportedly afraid of the security personnel in charge of the relocations in some of the sites," the OCHA said in a report on the situation Monday, using the abbreviated term for internally displaced people.

The Rohingya are a stateless Muslim minority -- thought to number between 800,000 and one million -- who suffered during decades of military rule in Myanmar.

Though many Rohingya have only known life in Myanmar, they are viewed by Rakhine's estimated three million Buddhists as intruders from neighboring Bangladesh. Myanmar does not consider them citizens or one of the 135 recognized ethnic groups living in the country.

In a report last month, Human Rights Watch accused Myanmar security forces of involvement in a Buddhist campaign of ethnic cleansing against the Rohingya in Rakhine last year.

The group alleged that crimes against humanity were committed by in the attacks on the Rohingya in which scores of people were killed.

The report said that while local Arakanese Buddhists were also killed and displaced in the unrest, the Rohingya suffered by far the worst of the violence.

The Myanmar government dismissed the report as "one-sided."

With the storm approaching this week, Human Rights Watch is again drawing attention to the precarious situation of the Rohingya and other Muslims in Rakhine.

"Vulnerable Muslim populations are at risk not only from the cyclone, but from violence at the hands of ethnic Arakanese communities and the very local security forces who were responsible for their displacement in the first place," Adams said.

@highlight

Some survivors have reportedly been found, the U.N. OCHA says

@highlight

The boats were ferrying Rohingya to safer areas as a storm nears, the U.N. says

@highlight

The Rohingya are a stateless Muslim minority who suffered in ethnic violence last year

@highlight

A human rights group warns that the Rohingya are particularly at risk from the cyclone