London (CNN) -- When British economist Jim O'Neill coined the term BRIC at the turn of the century -- referring to Brazil, Russia, India and China, countries he predicted would be future economic powerhouses -- it was difficult to imagine how big an impact the acronym would have.

In the following years, the four BRIC countries formed a federation that has met annually since 2009 to discuss their role in the global economy.

"Who would have ever dreamt that there would be a BRIC political club? It certainly isn't something that I ever imagined," O'Neill, now chairman of Goldman Sachs Asset Management, told CNN's Nima Elbagir.

The BRIC partnership took a new turn last December when its four members invited South Africa to join them at their third heads-of-states summit, to be held in Beijing this month.

But the news of the formal invitation, which came after persistent lobbying by the South African government, has left some economists puzzled.

According to O'Neill, South Africa's economy of about $350 billion can't come close to matching the prospects of the BRIC countries, which account for about half of global growth.

"It is nowhere near constituting a BRIC, and without staggering productivity improvements and major immigration or improvements in birth rates, etc., it is never going to get there," said O'Neill.

Some analysts argue that South Africa is simply too small to join the group of the world's top-four major emerging markets. Its population of about 50 million cannot be compared to the BRIC nations, which represent around 40% of the world's people.

But South African officials have said that it is the country's strategic importance that matters and not its size.

In December 2010, following the BRIC nations' invitation, South Africa's minister of international relations and cooperation Maite Nkoana-Mashabane said: "The rationale for South Africa's approach was in consideration of a matter of crucial importance to BRIC's member states -- namely the role of emerging economies in advancing the restructuring of the global political, economic and financial architecture into one that is more equitable, balanced and rests on the important pillar of multilateralism."

O'Neill said: "South Africa has played on the notion that because they do have developed markets and Western governing standards in some areas they've said 'look, we are the gateway to the rest of Africa.'"

He said this argument had some legitimacy but added that it would be interesting to see how it would resonate with the rest of the countries on the continent.

"What intrigues me is whether other big African countries accept that and I doubt that Nigeria is going to be very happy about that," O'Neill said.

"In the context of the continent, Nigeria is the place that really matters," he added, pointing to the country's 155 million population.

Nigeria has been identified by Goldman Sachs as one of the nations that constitute the "Next 11" group -- a phrase used to describe the 11 most-populous countries from the emerging world after the BRIC block (besides Nigeria, these are Mexico, Egypt, Turkey, Iran, Pakistan, Bangladesh, Indonesia, Vietnam, South Korea and the Philippines).

O'Neill says that within that group, there are four countries that could potentially join the BRIC block.

"Korea, Turkey, Indonesia, and Mexico are big enough to stand on their own feet and are increasingly similar economies to the so-called advanced ones of the four BRICs," he said.

When asked whether the BRIC label would bring with it a huge degree of international investment interest for South Africa, O'Neill remained cautious.

"Being part of the BRIC political club doesn't guarantee that you are going to be regarded as a BRIC economically," he said.

"At this particular point in time, just because South Africa has been accepted into that club doesn't change the way that I'll think about it in terms of how we focus on what constitutes a BRIC or not and whether it affects others in terms of investment flows."

But O'Neill is not entirely negative. He urges South African leaders to be bolder about basic policies to boost productivity and not be too concerned about which "club" they belong to or not.

He said: "Stop thinking that the world owes South Africa something for its past and do things to create a better environment where you can attract a lot more international businesses.

"And most importantly, embrace all your own people in a competitive, open way and find everybody jobs -- unemployment in South Africa is a huge dilemma still."

Nima Elbagir and Teo Kermeliotis contributed to this report.

@highlight

Economist Jim O'Neill is the creator of the BRIC acronym

@highlight

The world's top emerging markets have invited South Africa to their next meeting

@highlight

O'Neill says the country's economic prospects can't be compared to the BRIC block