(CNN) -- People like to say history repeats itself, but Southern Co., which is building the first U.S. nuclear reactors approved in decades, is hoping this isn't true.

With last year's tsunami-induced disaster at the Fukushima Daichi plant in Japan, Southern doesn't want its reactors to meet the same fate.

"We learned a lot from Fukushima, and all that has been taken into account," said Cheri Collins, general manager of Atlanta-based utility, one of the largest electricity distributors in the United States. "Our uncompromising focus is safety and quality."

During October's annual France-Atlanta 2012 conference, Collins explained how the newly designed Westinghouse AP1000 nuclear reactors at Plant Vogtle in Waynesboro, Georgia, will feature safety measures meant to prevent a Fukushima sequel.

They include the reactors' not needing electrical power to shut down safely and relying less on pumps and valves and more on natural heat.

Also, because of digital operation, a human controller won't be required for 72 hours, and the main core will remain cool because of a containment cooling system.

These design changes, Collins said, are meant to protect employees and the surrounding community in the event of a natural disaster.

Collins noted that while Southern keeps safety atop its list of priorities, it can't "control the weather," and it's hard to prepare for natural disasters such as the 2011 earthquake and tsunami in Japan or 2005's Hurricane Katrina on the Gulf Coast.

According to Mike Altizer, Southern's nuclear engineering programs manager, tests involving floods, earthquakes, fires and tsunamis were conducted in hopes of ensuring a natural disaster wouldn't affect the reactors.

Yet while Southern moves forward, last year's disaster has soured the prospects for nuclear energy in some European nations, while critics ask why more isn't being done to tap safer energy such as natural gas.

On March 11, 2011, a 9.0-magnitude earthquake, the fourth-largest on record, struck off the coast of Tohoku, Japan. It triggered a tsunami with 30-foot waves that later forced the shutdown of eight reactors at two plants in Fukushima.

The next day, a nuclear emergency was declared at the Daichi and Daini plants after the tsunami cut off electricity and disabled the backup generators at the former while causing the cooling systems to fail at the latter.

Roger Hannah, a Nuclear Regulatory Commission spokesman, said the agency is taking a number of actions in response to Fukushima. They involve equipment, training, procedures, maintenance and fire protection, he said.

"The Vogtle reactors are an advanced design that has more passive safety features," Hannah said. "The NRC does not allow a plant to operate if it does not meet the agency's stringent safety regulations."

According to the NRC website, on March 12, the commission passed regulatory requirements for nuclear plants in response to Fukushima. Those requirements include mitigation strategies to respond to extreme natural events that result in a loss of power at the plant, steps to ensure the safety and reliability of venting systems designed to release pressure and the enhancement of spent fuel pools.

Also, the NRC created the Japan Lessons Learned Project Directorate, a group that focuses exclusively on implementing regulations based on the lessons learned at Fukushima.

Edwin Lyman, a senior scientist for the watchdog Union of Concerned Scientists, isn't for or against the new reactors, he said, but he expressed concerns with the tests and safety features.

"In my judgment, the AP1000 design does not have any safety advantages compared to currently operating reactors and, in fact, may be less safe," Lyman said. "The features described are only designed to function in the event of [a] so-called 'design basis accident' -- not the type of severe accident that occurred at Fukushima."

At Fukushima, there was a total loss of power for nearly 10 days, so even if the reactors had been AP1000s, they would have run into trouble after 72 hours, Lyman said. In addition, the NRC has exempted the AP1000 from some of the modifications it is requiring at operating nuclear reactors after Fukushima, he added.

He said he isn't familiar with the NRC natural disaster tests, but "certain components of the AP1000 shield building were tested for their structural integrity under certain stress conditions and actually failed the tests, but the NRC discounted the results because it claimed that those components didn't need to pass those tests."

In a May 2011 New York Times report, NRC Chairman Gregory B. Jaczko said the shield building's design numbers seemed off. Jaczko, who stepped down as chairman in July, said the company had not tested the buildings under enough possible seismic activity situations.

However, the five-member NRC voted in favor of the licenses four to one, with Jaczko being the lone vote against it. Jaczko said he wouldn't speak on record to CNN, but he told CNNMoney on February 9 that the new licenses don't go far enough in requiring the builders to incorporate lessons learned from Fukushima.

Hannah explained there were many versions of the AP1000 design that raised questions among critics during its creation. The shield building was a major area of concern but was fixed before the final design was approved, he said.

A total of 19 changes have been submitted since the design began in 2002, the last of which came in June 2011, according to the NRC website.

Asked about Lyman's assertion that the Vogtle plants would incur problems if they went 10 days without power, as did the reactors at Fukushima, Hannah said all plants have some sort of backup generator that allows power to be generated in an emergency -- even one as big Fukushima.

"We have a task force specifically designed to find out what kind of backup generators will work best in these situations," he said.

Along with the safety concerns, critics have other questions about the reactors.

For one: Why build new reactors when there are cheaper energy sources, namely natural gas?

Lyman is one of those critics, and he points to the $14 billion price tag for the two reactors, which some estimates indicate may be $1 billion short of the actual cost.

"The enormous price tag of new nuclear power projects, such as Vogtle 3 and 4, means that nuclear power is not cost-effective, especially given the low price of natural gas," Lyman said.

According to the Energy Information Administration website, new low-cost drilling technologies, growing production and an increase in reserves have made natural gas a primary source for energy, rivaling coal for the first time in April.

Before the U.S. approved plans for 13 nuclear reactors this year, the last nuclear reactor was built in 1990.

Collins downplayed the natural gas argument during the France-Atlanta conference.

While it is "the right choice of energy in terms of cost" right now, she said it has been volatile lately and that using nuclear energy is a better option as a long-lasting energy source.

The EIA states that prices for 1,000 cubic feet of natural gas, a standard measure, have fluctuated greatly of late, from $9.84 in December 2011 to $15.94 in August.

Plant Vogtle has had two nuclear reactors in operation since 1989. Unit 3 is scheduled to be in operation by 2016, and Unit 4 is scheduled to be operational a year later.

Vogtle's were the first reactors to be approved since 1978, the year before America witnessed its most serious nuclear plant meltdown.

On March 28, 1979, a unit at the Three Mile Island nuclear power plant experienced a combination of equipment malfunctions, design-related problems and worker errors that led to a partial meltdown of the unit's reactor core. It took nearly 15 years to clean up the damage.

Though no deaths or injuries occurred to plant workers or people in the nearby community of Middletown, Pennsylvania, the Three Mile accident brought about numerous safety changes in the nuclear plant industry that still resonate today.

Likewise, other countries haven't taken the events at Fukushima lightly either, and much like Three Mile Island gave the world pause in its nuclear ambitions, Fukushima is prompting changes around the globe.

For instance, Belgium and Germany have decided to get out of nuclear power entirely. Italy had been planning to start using nuclear power but decided not to, said European Commission spokeswoman Marlene Holzer.

"We have conducted a reassessment of all existing nuclear reactors in the EU in the light of Fukushima. We hope that the results and the recommendations made will be included when building new reactors," Holzer said. "Building on these results, we will come out with a new EU law on nuclear safety."

@highlight

The two new nuclear reactors are the first to be approved by the NRC since 1978

@highlight

NRC group focuses on implementing regulations based on lessons learned at Fukushima

@highlight

Critics say natural gas is cheaper; so why use nuclear energy?

@highlight

Because of the events at Fukushima, other countries have stopped using nuclear energy.