(CNN) -- Angelina Jolie stunned many people with an op-ed Tuesday describing her reasons for choosing to have a preventive double mastectomy. Her mother passed away at the age of 56 after battling ovarian cancer. Moreover, Jolie found that she had the BRCA1 gene, which significantly increases the lifetime risk of breast cancer. In fact, she reports that her doctors estimated that she had an 87% chance of developing breast cancer.

I have no doubt that this piece is causing many women across the country to think about their own health and chances of developing the disease. Thanks to many successful organizations, breast cancer awareness is at an all-time high in the United States. A person of Jolie's stature publicly discussing such a personal and difficult decision will likely weigh on the minds of many women who have similar concerns. Breast cancer is a real disease, it's not rare, and it can potentially strike almost anyone. I have no doubt that her op-ed in The New York Times will help many women who would not have considered this procedure to do so now.

Five reasons we love Angelina Jolie

In one sense, that is a good thing. There are legitimate and real reasons for some women to consider a preventive, or prophylactic, mastectomy. Some women who have had breast cancer in one breast elect to have a mastectomy of the other breast to prevent the cancer from spreading there. Some women who have a family history of cancer, especially before age 50, might consider the procedure.

More recently, women who have been able to learn through genetic testing that they have the BRCA1 or BRCA2 gene, both of which make it more likely that they might develop cancer, have been given new information that may help them make a decision.

It's a personal decision. It's also a serious one, because there are downsides to a preventive mastectomy as well.

First of all, it's still a major procedure, and it carries all the risks of one; one should never minimize the risks of a big operation. It's also irreversible, and some women do suffer psychological or physical consequences afterward. No one should ever judge another woman's decision in this area, but it would serve individual patients poorly for doctors not to discuss with them both the potential harms as well as benefits.

Opinion: Angelina Jolie's brave message

It's also important to recognize that even a preventive mastectomy is not a guarantee against cancer. Studies show that it's about 90% effective in preventing breast cancer in moderate and high-risk women. That still leaves a 10% chance of developing cancer in the chest wall, armpit or even in the abdomen. That's because it's pretty much impossible for even the best surgeon to remove all breast tissue from a woman.

Because of this, some women choose not to have the procedure done, even when they are at high risk. Just a few weeks ago, Peggy Orenstein wrote a compelling account of her decision not to undergo the procedure after her first brush with breast cancer. Her reasons are just as valid and important as Jolie's but may not make the same splash in our national discussion.

Part of the reason for that is that there are few stars with Jolie's fame who could claim this sort of attention. But there's a larger current here that is worth considering. We in America sometimes are risk averse. We favor trying to reduce the chance of something bad happening to as close to zero as possible. We also tend to err on the side of doing something rather than nothing. There's nothing inherently wrong with this type of behavior. But we should recognize it.

My preventive mastectomy: Staying alive for my kids

We tend to screen more than other countries. We tend to push for more invasive and technologically driven solutions. We do these things, sometimes, at the expense of both health and money. In the last few years, there has been some pushback against the potential over-use (and detriment) of mammograms and prostate specific antigen tests. Such debates are controversial but important.

You can't reduce risk to nothing. Trying to do so will lead to practices none of us would support. After all, someone could make the argument that we should remove all breast tissue from all women because you never know where breast cancer will strike. That's hyperbolic, and no one is suggesting it, but it shows that this is really a personal, and individual decision.

That's how it should be. Jolie's relating her decision to have a preventive mastectomy is no more or less brave than Orenstein's decision not to have one. But both are welcome in their bringing to the forefront that these are discussions that every woman should have with their physicians, their loved ones and themselves.

The opinions expressed in this commentary are solely those of Aaron E. Carroll.

@highlight

Aaron Carroll: Jolie op-ed on elective double mastectomy was brave, raised consciousness

@highlight

Women have more info today to make such a decision, but it also has downsides, he says

@highlight

He says other women, such as Peggy Orenstein, have written about opting not to do it

@highlight

Carroll: Jolie's decision was brave, but Orenstein's was, too