(CNN) -- Western intelligence agencies were able to form a detailed picture of Osama bin Laden's movements in the years after 9/11, and came closer to capturing or killing him than has so far been acknowledged, a former European intelligence official has disclosed.

The former official, who declined to be identified, told CNN that in 2003 and 2004 an informant in the Afghanistan-Pakistan border region with close connections to al Qaeda's top leadership provided a stream of reliable information on bin Laden's movements. But the information was never quite fresh enough for Western intelligence agencies to target al Qaeda's leader.

Nearly nine years ago, bin Laden and others in the al Qaeda leadership escaped as their haven among the caves and mountains of Tora Bora -- close to the Afghanistan border with Pakistan -- came under withering U.S. air attacks. Despite bin Laden being the world's most sought-after fugitive, to date very little has been reliably reported about his movements beyond a consensus that he is now likely hiding somewhere in the tribal areas of Pakistan.

The former official said that in the period after bin Laden left Tora Bora, under pressure and on the run, he and his lieutenants were little able to communicate with each other. But gradually, al Qaeda restored its communications and was able to resume meetings.

Bin Laden even met with 9/11 mastermind Khalid Sheikh Mohammed at some point before the latter's arrest in February 2003. Additionally, bin Laden and his deputy Ayman al-Zawahiri were frequently in the same area and regularly in communication.

During this time, Western intelligence agencies were able to draw up a detailed map tracing bin Laden's movements, according to the former intelligence official.

In 2003-2004, bin Laden spent time in several areas -- amid the rugged mountains of Pakistan's Federally Administered Tribal areas and in Pakistan's North West Frontier Province, a more heavily populated area where Pakistan's security forces had a greater presence.

But according to the former official, bin Laden shunned big cities, preferring to stay in rural areas. The intelligence stream indicated that al Qaeda's leader also made several trips across into Afghanistan during this period, despite the presence of tens of thousands of U.S. troops.

In a high-stakes game of hide-and-seek, Western intelligence agencies were always playing catch-up as bin Laden moved from location to location. Tantalizingly at one point, according to the former official, information about his exact location was only one week old. But the intelligence stream on bin Laden's movements never resulted in what is known as "actionable intelligence" that could have led to his capture or assassination.

After 2004 the intelligence stream dried up, according to the former official, who did not elaborate why. But he said that despite the setback, information on al Qaeda's leaders' movements never completely dried up; and recent intelligence suggested bin Laden and al-Zawahiri were still in close geographic proximity and able to communicate with each other.

However, few al Qaeda followers get to meet them. European and American jihadists who joined up with al Qaeda in 2008 have subsequently told Western interrogators that for security reasons access for them to bin Laden was strictly off limits.

Bin Laden is now mainly concentrating on providing "strategic direction" to the al Qaeda organization, rather than involving himself deeply in the daily running of the terrorist organization, the former official told CNN. Raw intelligence reports leaked in July on the Wikileaks website suggesting bin Laden took part in detailed planning of operations should be treated with skepticism, said the former official.

U.S. intelligence officials play down the possibility that bin Laden might be captured soon. CIA Director Leon Panetta stated in June that very little hard information on bin Laden's movements had come to light in recent years.

But on Friday, President Barack Obama said that pressure on the al Qaeda leadership meant that "they have been holed up in ways that have made it harder for them to operate." He added: "Bin Laden has gone deep underground. Even Zawahiri, who is more often out there, has been much more cautious."

@highlight

A former European intelligence official offers details on bin Laden's movements after 9/11

@highlight

In 2003 and 2004 Western authorities had "a stream of reliable information" on bin Laden

@highlight

But the information was never fresh enough for agencies to take action

@highlight

The intelligence consensus is that bin Laden is now hiding in the trial areas of Pakistan