Washington (CNN) -- NASA's Hubble Space Telescope has reached back 13.2 billion years -- farther than ever before in time and space -- to reveal a "primordial population" of galaxies never seen before.

"The deeper Hubble looks into space, the farther back in time it looks, because light takes billions of years to cross the observable universe," the Space Telescope Science Institute said in a statement released Tuesday.

"This makes Hubble a powerful 'time machine' that allows astronomers to see galaxies as they were 13 billion years ago -- just 600 million to 800 million years after the Big Bang," the institute said in a statement released Tuesday.

The existence of these newly found galaxies pushes back the time when galaxies began to form to before 500-600 million years after the Big Bang, the institute said.

"These galaxies could have roots stretching into an earlier population of stars. There must be a substantial component of galaxies beyond Hubble's detection limit," according to James Dunlop of the University of Edinburgh in Scotland, who was quoted in the release.

Members of the American Astronomical Society are meeting this week in Washington to review the data and images retrieved by Hubble's new infrared Wide Field Camera 3 (WFC3), which was installed in May, institute spokesman Ray Villard told CNN. Some of the images were shared with the public in September.

The camera, Villard said, is far superior to the previous camera, which could only see galaxies about 900 million years after the Big Bang -- the cosmic explosion that is theorized to mark the origin of the universe.

But it is reaching its limits, he said. A more powerful instrument, the James Webb Space Telescope, is planned for launch in 2014. It will allow astronomers to study the detailed nature of early galaxies and discover many more even farther away.

From the current cache of images, astronomers can see for the first time that "galaxies grew from small, bright clusters of stars to the big spiral cities of stars today," Villard said. The small galaxies show up as ultra-blue in color.

He likened the Hubble results to "looking through a scrapbook of baby pictures."

According to the institute, "the deep observations also demonstrate the progressive buildup of galaxies and provide further support for the hierarchical model of galaxy assembly, where small objects ... merge to form bigger objects over a smooth and steady but dramatic process of collision and agglomeration. It's like streams merging into tributaries and then into a bay."

The camera was pointed at a section of sky known as the Hubble Ultra Deep Field, which was initially surveyed in visible light in 2004, and showed a dark sky filled with more than 10,000 galaxies.

The WFC3 instrument repeated the exercise in August for infrared light. Some mosaics were formed with the images from both surveys.

According to Villard, the archive from Hubble contains more than 500,000 pictures that can be accessed by the world's 6,000 astronomers. The data from the Ultra Deep Field have been analyzed by at least five international teams of astronomers, he said.

@highlight

Findings show galaxies grew from small, bright clusters of stars to big spirals of today

@highlight

Hubble functions as a type of time machine, looking at early formation of universe

@highlight

Hubble reaching its limits; more powerful telescope to be launched in 2014.