Washington (CNN) -- With "candor comes a measure of vulnerability."

Sonia Sotomayor wants readers to know in the first pages of her new memoir that this will be different from other books by members of the Supreme Court.

The dynamic story of the first Latina to sit as a justice seeks to inspire by revealing often-painful chapters in her self-described "extraordinary journey": her father's early death from alcoholism; a complex, often distant relationship with her mother; growing up poor in the Bronx projects; self-doubts about her looks, brief failed marriage; and professional path.

But her strengths are celebrated, too: self-reliance to the point of giving herself insulin shots at age 7, after being diagnosed with diabetes; her loyalty to a large circle of friends; and vivid pride in her Puerto Rican heritage.

"Experience has taught me you cannot value dreams according to the odds of their coming true," she writes in "My Beloved World" (Knopf/Random House). "Their real value is in stirring within us the will to aspire. That will, wherever it finally leads, does at least move you forward."

She will speak this week in depth to CNN's Soledad O'Brien and CNN en Espanol's Juan Carlos Lopez.

____________

The 58-year-old Sotomayor was named to the high court in 2009 after 17 years as a federal judge in New York.

Her autobiography ends as she takes the bench in 1992. The narrative is often hauntingly personal: no legal analyses here. Anyone seeking to glean her views of hot-button political issues like abortion, health care reform, or same-sex marriage will be disappointed.

Clarence Thomas speaks in court

Some of the most vivid recollections concern her Type 1 diabetes. Sotomayor recounts how she gave herself the shots of out necessity, with her mother gone much of the day at work, and her father's illness causing his hands to tremble.

And within her from that early age was a sense of destiny she has struggled at times to shape. When young Sonia was diagnosed in 1962, the prospects of living a full life past her 40s were not good.

"I've lived most of my life inescapably aware that it is precious and finite," she writes. "The reality of diabetes always lurked in the back of my mind, and early on I accepted the probability that I would die young."

In many ways she considers that decades-long awareness a "gift"-- to persevere, grasp life at its fullest every day. She now manages her illness with ease -- at public events she has been seen giving herself needle shots, with hardly anyone noticing.

Sotomayor deals candidly with death, especially her father Juan's spiral from drink, and the effect it had on Sonia's mother especially. The loving daughter recalls the bottles of booze the family later discovered hidden in "Papi's" bedroom, including under the mattress.

Her beloved cousin Nelson's early death from AIDS is chronicled. In one amazing scene, she unwittingly drives him in his last weeks to an "appointment."

"He asked me to wait, so I sat in the car, parked outside the rundown tenement in Hunts Point (a neighborhood in the Bronx)," she recalls. "Inside he'd been scoring heroin. I wanted to kick myself -- how could anyone, let alone an assistant district attorney who'd seen everything I'd seen, be so naive. I recited that essential lesson of Papi's, simplistic but true: Good people can do bad things, make bad choices. It doesn't make them bad people."

Even Sotomayor's long smoking habit -- puffing up to three and a half packs a day -- gets the full unvarnished treatment, especially the difficulties of her quitting.

___________

The other driving narrative in this memoir is her heritage, rich with stories of childhood visits to the island of her parents' birth. She intimately describes the sounds and smells of her Bronx neighborhood too, especially the weekly visits to her paternal grandmother Mercedes -- whom she called Abuelita -- where food, dancing, and poetry readings brought some of the happiest moments of her childhood.

Pizza bomber appeal rejected

The justice says an innate awareness of larger forces around her often-chaotic childhood helped ground her, leaving the girl more trusting of her own instincts than what her once-distant mother and Catholic school education could provide. Her motto when she was in doubt: "Listen carefully and observe until I figured things out."

Young Sonia's evident intelligence and self-determination were boosted by affirmative action, just getting a hold in American society in the early 1970s, when she began applying for college. Sotomayor admits not being fully aware of its impact in her own life at that age, but certain polar memories still leave a bad taste. A fellow Hispanic student criticized her for not being more militant about the discrimination Hispanics were facing, while a high school employee baldly questioned whether as an underprivileged minority she truly deserved to go to Princeton University.

"I felt like an alien landing in a different universe," she says of her early college days, relating an experience shared by many of her minority friends. "There were vultures circling, ready to dive when we stumbled. The pressure to succeed was relentless, even if self-imposed out of fear and insecurity."

She drove herself hard to overcome that doubt, determined to prove critics wrong.

"I had been admitted to the Ivy League through a special door, and I had more ground than most to make up before I was competing with my classmates on an equal footing," she writes. But "to doubt the worth of minority students' achievement when they succeed is really only to present another face of the prejudice that would deny them a chance even to try."

The young woman from the Bronx projects graduated with honors from Princeton and later Yale Law School.

____________

Sotomayor is unmarried, has no children, and her laser focus on her work as a prosecutor, private lawyer, and later justice -- she admits somewhat sadly -- has often been at the sacrifice of greater personal growth.

She concedes that her intensity and drive has initially turned off some people. Her longtime paralegal developed hives when dealing with the often-brusque new boss for the first time. Sotomayor also overheard a law firm colleague describe her as "one tough bitch" who would not be pushed around by adversaries.

"I was shaken to hear myself so harshly categorized," she recalls. "When I'm focused intensely on work, I become oblivious to social cues, or any cues for that matter."

Seeing Justice Sotomayor on the high court, zeroing in on a lawyer's presentation at oral argument, is to witness that blend of street-smart manner, combined with a steely intellect. She does not mess around.

But in private, her demeanor is another story. When talking with her in small, intimate settings, Sotomayor quickly, easily makes you the sole center of her attention, bringing a warm smile and understanding manner.

Being single has also allowed her time to embrace the many dozens of relatives and colleagues -- many of them mentors -- she holds close to her, her "familia."

"I've always turned the families of friends into family of my own," she writes proudly.

In her newest role, Sotomayor has become an international role model, something she admits can be affecting and overwhelming at the same time.

"My education continues on the Supreme Court as I reckon with the particular demands of the finality of review," in the decisions the justice and her eight colleagues issue. She ends her book, "My highest aspiration for my work on the Court is to grow in understanding beyond what I can foresee, beyond any borders visible from this vantage."

@highlight

Supreme Court Justice Sonia Sotomayor has a new memoir, "My Beloved World"

@highlight

She is the first Latina to sit on the high court

@highlight

The 58-year-old was named to the court in 2009 after 17 years as a federal judge