(CNN) -- While studiously avoiding the word "torture," CIA Director John Brennan told reporters on Thursday that the aggressive interrogation program yielded information that helped the agency find Osama bin Laden. He also called the Senate Intelligence Committee's damning report on CIA abuses "flawed" by partisanship, as well as "exaggerations and misrepresentations."

Brennan's comments are certain to pour oil on the already raging debate over what constitutes torture, how effective it is and who authorized what in the chaotic days and months after the 9/11 attacks. They also put the Obama administration squarely in the crossfire between Democrats defending the committee's handiwork and Republicans and former CIA chiefs trashing it.

The culmination of a six-year investigation, the committee Democrats' report was intended to provide a moment of moral reckoning for America. Instead, it has underscored Washington's inability to rise above partisan truths and forge a common view on how to defend the country from terrorist attacks.

As an exercise in political accountability, a comprehensive report on the CIA's detention and interrogation of terrorist suspects after 9/11 is overdue. In its otherwise commendable zeal to avert further terrorist attacks, the agency sometimes overstepped the bounds of decency.

"Abhorrent" is how Brennan described the behavior of what he insisted was a handful of rogue CIA officials who acted without authorization, and understanding how that happened is necessary to prevent it from happening again.

Yet rather than move us toward consensus on that point, the report has revealed a shockingly deep partisan divide over the morality and efficacy of torture. This largely reflects the Republican Party's unwillingness to confront America's faults and misdeeds. "I think we were fundamentally justified and I would do it again in a minute," declared former Vice President Dick Cheney, who continues to insist that the CIA did not engage in torture.

But Senate Intelligence Committee Democrats, who wrote the study, also bear some responsibility for polarizing the debate. It is, literally, a partisan report -- none of the committee Republicans endorsed it, and instead produced a point-by-point rebuttal. What's more, the majority report's relentlessly adversarial tone hardly seems calculated to produce the catharsis its authors say the country needs.

Still, the committee gets the biggest thing right. Based on a huge review of 6 million CIA documents, it concludes the agency tortured 39 suspects at "black" sites around the world. The squalid details of the violence inflicted on captives can't be hidden behind bureaucratic euphemisms like "enhanced interrogation techniques." This was torture, plain and simple. It violated America's professed commitment to individual dignity. And, by handing our enemies a propaganda windfall, it damaged our national security. In today's press conference, Brennan also clung to the fictitious distinction between "enhanced interrogation techniques," which he said were authorized by the Bush administration, and torture, which was not.

Although President Obama prohibited the use of torture in a 2009 executive order (as did President Bush in an executive order he issued in 2007), Sen. Dianne Feinstein, D-California, chairwoman of the Senate committee, wants Congress to pass fresh legislation to outlaw torture. She's right, even if there's zero chance of that happening. The United States, after all, is still in the midst of a long, murky war with Islamist terrorism, with no end in sight. The people and agencies we've charged to wage that war deserve what they didn't get at the outset: clear legal and moral guidance to keep their conduct aligned with America's values.

The report begins by stating categorically that torture doesn't work. But while some intelligence experts echo this conclusion -- as does Sen. John McCain, R-Arizona, whose views on the matter command respect -- many top CIA officials insist brutal methods did yield vital intelligence that led to the capture of major terrorist leaders and foiled several pending attacks.

I have no way of telling who is right. Certainly, it's convenient to believe that torture never produces valuable information; if true it's purely a matter of sadism and there's no earthly reason to condone it. But absolutist claims on either side strike me as implausible, and the committee might have been better off conceding that torture may have yielded important tidbits, but that they weren't worth the moral cost of betraying our own ideals and giving our enemies the idea that it's alright to torture captured Americans, because we do it, too.

The committee also did itself no favors by declining to interview former CIA leaders, whom Brennan said could have provided important context that memos and papers lack. This puzzling omission has made it easier for Republicans to dismiss the committee's work as a partisan vendetta against the agency, rather than a dispassionate effort to set the historical record straight.

That said, the report builds a persuasive case that the CIA routinely exaggerated the value of whatever it gleaned from physically, mentally and emotionally abusing captives. Indeed, the most troubling thing about the study is its portrait of the CIA as a rogue agency running amok. The agency, after all, is an arm of the U.S. government and is answerable to Congress and the White House. As Brennan noted, its detention and interrogation program operated under guidance for the U.S. Justice Department. Yet the report alleges the CIA systematically lied to all its political overseers to shield its interrogation program from scrutiny and keep it going.

According to the report, the agency didn't even brief the Bush administration on the program until 2006 (by which time the program was winding down). False, says former CIA Director Michael Hayden, who took over the CIA in 2006. President George W. Bush "approved the waterboarding of Abu Zubaydah [in 2002]. It's in his book!" Hayden told reporter Michael Hirsh. Zubaydah was the first suspect subjected to torture.

Ultimately, scapegoating the CIA is a little too convenient. It lets the Bush administration, which ordered an unprepared CIA to set up the program, off the hook. And in belaboring the alleged mendacity of the CIA, the report obscures the larger truth about the whole shameful episode: After the shock of 9/11, the CIA did exactly what most Americans and political leaders wanted and expected it to do -- go after our enemies tong and hammer to prevent further attacks. They (and we) wanted results, and weren't too particular about how the clandestine service got them.

In the heat of battle, the agency went too far. But the CIA is not the KGB. If it erred, our political leaders (including the intelligence committees) erred, too, in not monitoring closely the methods it employed to keep us safe. Now, looking back on that intense period of anger, fear and retaliatory fervor, we feel badly about what was done in our name. That's the right reaction, as long we acknowledge our collective culpability, instead of pinning all the blame on the patriotic men and women we hire to do our dirty work.

@highlight

Will Marshall: CIA Director John Brennan's speech will fuel debate on torture

@highlight

Report reveals shockingly deep partisan divide over morality of torture, Marshall says

@highlight

Marshall: Report has relentlessly adversarial tone