(CNN) -- The Middle East Respiratory Syndrome Coronavirus, better known as MERS, may be an airborne virus, according to an observation paper published Tuesday in the journal mBio.

There have been 836 laboratory-confirmed cases of MERS infection since its first appearance in 2012, according to the latest numbers provided by the World Health Organization. At least 288 related deaths have officially been reported to the WHO.

Scientists are still trying to figure out how the deadly virus is transmitted.

Saudi Arabia reports big jump in MERS cases

Researchers from King Fahd Medical Research Center in Saudi Arabia collected three air samples from a camel barn. Previously, they had found MERS in a camel from that barn and in its infected owner, who later died from the condition. After analyzing the air sample, the scientists found one strain of MERS RNA, the viral genome.

Interestingly, the barn air tested positive for MERS on the exact same day that one of the nine camels in the barn tested positive for MERS. Also, the virus from the air sample was identical to the virus found in nasal samples from the infected camel and its owner.

"These data show evidence for the presence of the airborne MERS in the same barn that was owned by the patient and sheltered the infected camels," the study authors write.

But does that mean MERS is easily transmitted through the air?

"What they say is that virus particles can be airborne, but it's premature to conclude that MERS is transmitted through aerosols," said Dr. Mark Denison, a professor of pathology, microbiology and immunology at Vanderbilt University School of Medicine in Nashville, Tennessee.

The key point is the difference between dead virus particles and a viable virus.

"I could take billions of particles of dead viruses and could still find the RNA. That doesn't mean that there are infectious aerosols," Denison said.

Kevin Olival, a senior research scientist at EcoHealth Alliance, agrees on that distinction.

"We know that MERS is found in nasal secretion of camels, so virus particles being spread out in a barn is not a surprise," he said. "Whether or not you can get infected, and if it's a cause for concern, is still an open question."

However, previous studies have suggested that there must be a way MERS is shed into the environment. Several reports in the past have shown MERS infection of those in close contact with infected patients. The exact pathways of infections are unclear.

"Do we still need to consider the possibility of airborne transmission? Yes, of course," Denison said.

But in order to fully understand whether airborne transmission plays a role in MERS, further research is needed, Denison and Olival conclude.

Illinois man didn't have MERS, CDC says

@highlight

There have been 836 confirmed cases of MERS infection

@highlight

Scientists are trying to figure out how MERS is transmitted

@highlight

Researchers in Saudi Arabia found MERS RNA in barn air