(CNN) -- In Somalia, getting from point A to B can be a perilous business. Towns are remote, the roads that link them are poor and prone to attack, while the coastline is manned by pirates.

So why are so many airline operators eager to launch routes to Mogadishu?

Despite Somalia's many security woes, the aviation industry is experiencing an uptick. Mogadishu's Aden Abdulle International Airport -- which was essentially out of commission prior to 2010 following years of civil war, in-fighting and a reign of terror brought on by Al Qaeda -backed terrorist group Al Shabaab -- has been expanding.

"Before 2010, there wasn't really an airport, just a runway. Now, we have 35 flights a day. The airport is booming," says Sean Mendis, Aden Abdulle's station manager.

Security in the country is an on-going concern, though it has improved. Al Shabaab was forced out two years ago, allowing some local businesses to reopen and Aden Abdulle to beef up its security, which is currently under the purview of the African Union Mission in Somalia (AMISOM), the Somalia Civil Aviation and Meteorology Authority, the Somali police, the Somali National Security Agency, and SKA International Group -- the consulting firm charged with the airline's renaissance.

"The airport is very different from the town. There are 17,000 troops protecting it. We have four x-ray machines and several security checks passengers have to pass through before boarding a plane," explains Mendis.

These measures has given confidence to a range of carriers. Jubba Airways -- Somalia's unofficial national carrier -- has expanded its network and fleet considerably, and several neighboring outfits, like African Express and Fly540, have daily flights throughout the country.

Last month, Air Uganda started flying three times a week to Mogadishu, and last year, Turkish Airways became the first major commercial airline to service the Somali capital in over 20 years. Mendis envisions more international carriers, particularly some of the Middle East's heavy hitters, launching routes soon.

Watch: Turning around African aviation

Still, violence remains an everyday reality. Last month a car bomb was driven into a convoy of AMISOM troops near the airport.

If anything, the country's lack of infrastructure and stability is actually boosting the airline industry.

"The population is sparsely distributed throughout the territory. Traveling by land is dangerous -- not just because the roads are bad, but because of highway robbery. Police checkpoints charge you $50 just to pass through. For ordinary people, as well as UN peacekeepers, flying domestically is really the best way to go," says Christos Shepherd, head of business development and start-up airlines at aviation consulting firm Mango Aviation Partners.

For big carriers, like Turkish Airlines, flying to Somalia represents a bigger strategy of gaining a foothold in Africa as a whole. In 2012, the airline expanded its network to include 15 destinations throughout the continent.

"The most important geographic part of the world over the next 100 years will be Africa. In this respect, any destination (we fly to) in Africa will create more effective results than, say, a destination in Europe," says Ali Genc, Turkish Airlines' senior vice president of media relations.

Despite the increase in competition, airfares remain remarkably high. Even low-cost carriers charge upwards of $500 for internal flights.

"For the airlines operating these routes, the costs are very high -- much higher than they would be flying similar-sized aircraft with the same number of passengers in Europe, because you don't have the infrastructure, plus you're paying a premium to pilots and crew for being in a place they don't want to be," says Shepherd.

Read more: The worst airports for delays

According to Ruben Gamero, the director of operations for African Express, combat pay is a common incentive for pilots.

"All operators flying to Somalia have to be given a special permit, because the country is considered a hostile destination. We take into account every factor and calculated risk, and have never been involved in any unsafe or unstable situation," he says.

Surprisingly for a country whose economy is in shambles, there are plenty of passengers willing to pay the fare.

"Somalis are very resilient, and they get a lot of money from the diaspora," explains Mendis, who adds that U.N. and NGO traffic keeps the demand for seats high. African Express cites 90% occupancy, and Turkish Airlines says the load factor is increasing.

"Judging by the amount of traffic the airport is seeing, I'd say there's plenty of profits to be had," says Mendis.

@highlight

Business at Mogadishu's airport is "booming", with up to 35 flights scheduled each day.

@highlight

Last year, Turkish Airlines was the the first major carrier to fly to Mogadishu 25 years.

@highlight

Airlines are heartened by the tight airport security. Currently 17,000 troops protect the airport.

@highlight

Pilots and crew are paid more for operating in what is still classified as a hostile destination