Atlanta, Georgia (CNN)  -- Three decades after serial killings of African-Americans in Georgia shook much of the nation, most respondents to a nonscientific CNN poll say Wayne Williams committed what came to be called the Atlanta Child Murders.

Although Williams was convicted only of murdering two adults, police blamed him in the murders of two dozen African-American boys and young men that lasted from 1979 to 1981.

In Williams' first TV interview in at least a decade, he insisted to CNN's Soledad O'Brien that he's innocent. He's serving two life sentences.

A two-hour CNN documentary, "The Atlanta Child Murders," invited viewers to weigh the evidence and hear from witnesses in the case, and then go to CNN.com to cast votes on whether Williams is "guilty," "innocent" -- or the case is "not proven."

Nearly two out of every three persons who voted in the nonscientific poll said they would convict Williams.  According to poll results, 68.6 percent of respondents said Williams was guilty. Only 4.3 percent said he was innocent.  The remaining 27.1 percent chose a third option, "not proven," which was added to the CNN poll to offer a middle ground.  More than 55,000 persons took the opportunity to register their opinions about the case on CNN.com.  By March and April of 1981, bodies were turning up at the rate of one a week, stoking fears among Atlanta residents and many people across the nation.

In San Mateo, California, news reports detailing the killings drove 8-year-old Tyika Mitchell, her mother and her grandmother to the TV each night. The memory still gives Mitchell chills, she said.

"I remember being scared to death, especially since he was only killing little black kids, and as such, I believed that it was only a matter of time before the killer got to me," said Mitchell this week. The family had roots in Atlanta, heightening their concern.

"It felt like every day a new dead child had been discovered," she said. "I remember my mom and grandmother discussing how they recognized the area of Atlanta the kids were being found in," she said.  iReport: Mitchell's memories of scary times

Growing up in Atlanta, Texas, Lisa Dickerson was a 17-year-old high school student at the time. The murders made her more frightened during a class outing. "It affected everything that we did," she said. But looking back on the case, Dickerson feels police may have gotten the wrong man.

"I never thought that [Williams] killed the little boys, and I had a doubt about the two older men," she said.  "I think he made himself look guilty, but I don't think he did it."

iReport: Atlanta, Texas, remembers too

In Atlanta, Georgia, at the time, Jackie Proulx was a 4-year-old white girl, who also recalls being shaken by news of the killings.

"My little friends and I talked about being scared, and would talk about how to defend ourselves against the bad guys," Proulx said. "I also had several nightmares during that time about being chased and terrorized by a monster."

Proulx said she just couldn't believe there were people in the world that would hurt or kill children. "I had always assumed adults were to be trusted, so it made me feel vulnerable."

iReport: A frightening time in Atlanta, Georgia

Years later, trust for adults, even strangers, became a theme in a college thesis that Mitchell wrote for a criminal justice course. She wrote that children would "feel comfortable getting into a car with" Williams because he was a black man from the community.

Mitchell, who said she holds degrees in criminal justice and social science, also explored a deeper syndrome in her thesis, self-hate, which she attributes to negative images and stereotypes of blacks advanced by mainstream media.

"Then you have Wayne Williams, who took it to the extreme and engaged in a sort-of genocidal killing spree of only downtrodden African-Americans," she said.

To this day, the serial killings affect Proulx's parenting of her four sons, ages 4 and 8. "We have had many discussions about what to do in various situations, like getting lost, or being approached by someone they don't know," said Proulx.

"I keep them close to me at all times. I do not let myself just assume they are safe, even in our neighborhood."

Williams was convicted of killing two adults -- Nathaniel Cater, 28, and Jimmy Ray Payne, 21 -- whose bodies were found downstream from a river bridge where police spotted him.

Jack Mallard, who prosecuted the case, believes Williams was responsible for many more deaths during the period. "I would say about 25 of the 28 male victims on the list," he said.  Early in the case, Williams failed an FBI polygraph test, which is not admissible in court. DNA science was not widely used at the time of Williams' 1982 trial. But results from the 2007 testing of DNA evidence in the case have implicated Williams in the death of at least one 11-year-old victim, Patrick Baltazar, according to expert DNA scientists.

CNN's Jim Polk and Christina Zdanowicz contributed to this report.

@highlight

Nonscientific poll: 68.6 percent believe Wayne Williams is the Atlanta child murderer

@highlight

Many African-Americans across the U.S. recall being frightened by the case

@highlight

Years later, one woman says case leads her to closely watch her kids