Washington (CNN) -- Parts of Arizona's sweeping immigration law received a surprising amount of support from a short-handed Supreme Court Wednesday.

States throughout the country considering their own tough immigration laws are closely following the proceedings over what has become a thorny issue.

Fed up with illegal immigrants crossing from Mexico -- and what they say is the federal government's inability to stop it -- legislators in Arizona passed a tough immigration law. The federal government sued, saying that Arizona overreached.

"If, in fact, somebody who does not belong in this country is in Arizona, Arizona has no power?" asked Justice Antonin Scalia. "What does sovereignty mean if it does not include the ability to defend your borders?"

Even liberal Justice Sonia Sotomayor told the federal governments' lawyer that key parts of his arguments were "not selling very well."

Federal courts had blocked four elements of the state's Support Our Law Enforcement and Safe Neighborhoods Act, known as SB 1070.

While intense oral arguments took place among the justices, outside there were competing demonstrations on the courthouse plaza, with the law's opponents saying it promotes discrimination and racial profiling. Backers say illegal immigration has created public safety and economic crises.

At issue is whether states have any authority to step in to enforce immigration matters or whether that is the exclusive role of the federal government. In dry legal terms, this constitutional question is known as pre-emption.

Other states watch for outcome

Paul Clement, lawyer for Arizona, told the high court the federal government has long failed to control the problem, and that states have discretion to assist in enforcing immigration laws.

But the Obama administration's solicitor general, Donald Verrilli, strongly countered that assertion, saying immigration matters are under the federal government's exclusive authority and state "interference" would only make matters worse.

Several other states followed Arizona's lead by passing laws meant to deter illegal immigrants. Similar laws are under challenge in lower courts in Georgia, Alabama, Utah, Indiana and South Carolina. Arizona's appeal is the first to reach the Supreme Court.

Arizona is the nation's most heavily traveled corridor for illegal immigration and smuggling.

Opinion: What if justices let states make immigration policy?

Justice Elena Kagan did not hear this case. Before taking the bench last year, she had been involved in the administration's initial legal opposition to the law as solicitor general. A 4-4 high court split would be likely to keep the Arizona law in legal limbo, preventing the four provisions of the law from going into effect but not settling the larger constitutional questions.

It would also shift the election-year fight over the issue to other states with current or pending crackdown laws.

The four Arizona provisions on hold are:

-- A requirement that local police officers check a person's immigration status while enforcing other laws if "reasonable suspicion" exists that the person is in the United States illegally.

-- A provision authorizing police to arrest immigrants without warrant where "probable cause" exists that they committed any public offense making them removable from the country.

-- A section making it a state crime for "unauthorized immigrants" to fail to carry registration papers and other government identification.

-- A ban on those not authorized for employment in the United States to apply, solicit or perform work. That would include immigrants standing in a parking lot who "gesture or nod" their willingness to be employed.

Although the specific question before the high court relates to the law's enforcement, the justices could use the appeal to address the broader constitutional questions.

Mexican migration slows, but debate isn't over

During the 70-minute arguments, Clement faced relatively little tough questioning from left-leaning members of the bench.

"There will be a significant number of people who will be detained at the stop, or in prison, for a significantly longer period of time" if the state law is allowed to be enforced, warned Justice Stephen Breyer.

Justice Ruth Bader Ginsburg said the provision on carrying registration is especially problematic. "Congress enacted a complete registration scheme which the states cannot complement or impose even auxiliary regulations," she said. "We want the registration scheme to be wholly federal."

But the consistently tough questions were aimed at Verrilli from conservative members of the high court.

Even before the solicitor general began speaking midway through the argument, Chief Justice John Roberts framed the debate away from what has become a major complaint about the law: that it would target mostly Hispanic people for scrutiny and detention.

"I'd like to clear up at the outset what it's not about," Roberts said. "No part of your argument has to do with racial or ethnic profiling, does it?" Verrilli readily agreed.

Later the chief justice raised more serious concerns. When enforcing other law, "the person is already stopped for some other reason. He's stopped for going 60 in a 20 (mph zone). He's stopped for drunk driving. So that decision to stop the individual has nothing to do with immigration law at all. All that has to do with immigration law is whether or not they can ask the federal government to find out if this person is illegal or not, and then leave it up to you," Roberts said to Verrilli. "It seems to me that the federal government just doesn't want to know who is here illegally or not."

Justice Anthony Kennedy echoed the thought, suggesting the federal government is not doing enough on illegal immigration, which might give states discretion to intervene. Suppose, he offered, "the state of Arizona has a massive emergency with social disruption, economic disruption, residents leaving the state because of a flood of immigrants. Let's just assume those two things. Does that give the state of Arizona any powers or authority or legitimate concerns that any other state wouldn't have?"

Kennedy was echoing what the state had long been arguing, and he later suggested there is such authority.

Verrilli argued the law would hurt Washington's ability to carry out diplomatic relations with other nations, noting, "We have very significant issues on the border with Mexico."

"Well, can't you avoid that particular foreign relations problem by simply deporting these people?" Scalia asked. "Free them from the jails and send them back to the countries that are objecting. What's the problem with that?

"We have to enforce our laws in a manner that will please Mexico. Is that what you're saying?"

The Justice Department said Arizona's population of 2 million Latinos includes an estimated 400,000 there illegally, and 60% to 70% of deportations or "removals" involve Mexican nationals.

A tale of opposing views in Arizona

The court hearing over the illegal immigration law comes at an interesting time. The Pew Hispanic Center this week released a report that found that Mexican immigration to the United States has come to a standstill.

The economic downturn in the United States and better conditions in Mexico, along with deportations and other enforcement, has led many to return to Mexico.

However, the debate continues as more than 10 million unauthorized immigrants -- from Mexico and other countries -- continue to live in the United States.

Even if immigration has slowed to lows not seen in decades, proponents of tough immigration laws want to beef up enforcement ahead of any future pressures.

After the arguments, Arizona Gov. Jan Brewer expressed hope the state would prevail at the high court.

"We likely will not know the court's decision for weeks," she said. "But I am filled with optimism-- the kind that comes with knowing that Arizona's cause is just and its course is true."

The administration, backed by a variety of immigrant and civil rights groups, says allowing such discretionary state authority would hurt relations between the United States and other countries, disrupt existing cooperative efforts and unfairly target legal immigrants.

The legislation has a variety of supporters and detractors.

Republican lawmakers, outspoken Maricopa County, Arizona, Sheriff Joe Arpaio and various state governments were among those filing briefs supporting the law. The Mexican government, the Anti-Defamation League, the American Immigration Lawyers Association and the city of Tucson, Arizona, were among those supporting the Justice Department's side.

The outcome of the Arizona appeal could set important precedent on similar laws pending across the country.

The case is Arizona v. U.S. (11-182) and is to be the last argued before the high court this term. A ruling could come in late June, just before the justices recess for the summer.

@highlight

Roberts says it seems the federal government doesn't want to know immigration status

@highlight

The solicitor general warns against state "interference" in immigration

@highlight

Justice Sotomayor says the federal government's case is "not selling very well"

@highlight

The court's ruling will affect similar laws in several other states