Step right up and prove why you should get a one-way ticket to Mars! Well, wait -- you might want to know a little more about the venture first.

A Dutch company called Mars One began looking Monday for volunteer astronauts to fly to Mars. Departure for the Red Planet is scheduled for 2022, landing seven months later in 2023.

The space travelers will return ... never. They will finish out their lives on Mars, representatives from the nonprofit said.

"It's likely that there will be a crematorium," said CEO Bas Lansdorp. "It's up to the people on Mars to decide what to do with their dead."

Still, the company said it has received more than 10,000 e-mails from interested would-be spacefarers.

The one-way ticket makes the mission possible because it greatly reduces costs, and the technology for a return flight doesn't exist, according to Mars One's website. At a news conference, Lansdorp maintained that "no new inventions are needed to land humans on Mars."

NASA: Yes, Mars could have hosted life

The biggest obstacles, he said, are financial. The company has revealed some of its sponsors and hopes to gain more via media coverage. It's not clear whether enough money will be collected in time.

There are also practical issues: Can the kinks in having a sustainable system for people to survive in such a harsh environment be worked out by 2023?

"Questions of reliability and robustness have to be answered before we leave Earth," said Grant Anderson of Paragon Space Development Corporation, which builds life-support systems and is joining the Mars One effort.

Anyone may apply, for a fee

The company announced a casting call for candidates at a news conference in New York City.

Anyone 18 or older may apply via video but there is an application fee -- $38 for U.S. applicants. The money will fund the mission.

Mars One wants to build a colony that will be able to grow with an ever-expanding crew. The group has a plan for testing the technology that would transport people and things.

The group wants to launch a supply mission that will land on Mars as soon as October 2016. A "settlement rover" will land in 2018.

The landing systems will be tested a total of eight times before they're used to transport humans, which Lansdorp says would make this "much safer than moon missions."

The colony's budget comes in at "about $6 billion," Lansdorp said. "The $6 billion is for the first crew that goes there."

By comparison, NASA's rover Curiosity, the most advanced and biggest robot to ever traverse Mars, is a $2.5 billion mission.

Where exactly the $6 billion will go remains a mystery. Lansdorp said he didn't want to release an itemized budget because of competition.

Mars One intends for a second crew to join the first one in 2025, and more will follow regularly. Each flight will carry two men and two women, so reproduction on Mars would be feasible but not intended.

"We will certainly not send couples," Lansdorp said.

At the news conference, Lansdorp said he'd like to go to Mars himself, but he isn't because his girlfriend won't come along.

"I have a really nice girlfriend, and she doesn't want to come with me, so I'm staying right here."

501 days in space with your spouse: Could you handle it?

Are they for real?

The idea of starting a colony on Mars in 10 years seems so out of this world that CNN contacted one of the mission's potential suppliers to check on Mars One's credibility.

"I don't think they deserve to be dismissed," said a spokesman for an aerospace company that contracted for NASA's current Mars mission.

The spokesman did not want his company named because he didn't want to damage the company's relationship with Mars One, but he felt he should talk to CNN to help put the Dutch start-up into perspective for a news audience, he said.

With space opening up to the private sector, many companies large and small are trying to get in on the game, he said. Mars One's idea is one of the most audacious ones.

Strange, dangerous mission

As far as getting to Mars, Lansdorp said his organization is in discussions with SpaceX, the company that has now completed two commercial cargo missions to the International Space Station. The idea would be to use a slightly enlarged version of the Dragon capsule and land with retro-propulsion, not by parachute.

If they get there, Mars astronauts will face a lonely life of danger, subsisting for extended periods on dried and canned food. They will get some of their water by recycling their urine.

They will have to take care of sickness and injuries themselves.

"There will be emergencies and deaths," Lansdorp said. "We need to make sure that crew members can continue without those people."

Mars astronauts will have to be mentally fit to deal with the unusual stresses, he said.

"Their psychological skills will be the main selection criteria we will use," he said.

Once selected, a group of 40 astronauts will undergo seven years of training.

The flight to Earth's neighbor, with its barren red desert landscape and thin carbon dioxide atmosphere, sounds almost worse than a lifetime on it. The crew of four will be cooped up on a rocket for seven months with a limited supply of food and water.

It also might smell bad.

"Showering with water will not be an option" on the journey there, according to Mars One's website.

Mars, the greatest show on Earth

Mars One plans to fund the mission partly from the sale of technology developed during the mission, Lansdorp said. It will share it with potential suppliers, which Mars One lists on its website.

Media coverage will provide the main funding for the mission, Mars One said. Publicity is key, and the media event begins now with the casting of the astronauts.

"Not unlike the televised events of the Olympic Games, Mars One intends to maintain an ongoing, global media event, from astronaut selection to training, from liftoff to landing," it says.

How much money will that yield? It's tough to say, but the NCAA projects it will take in $700 million for television broadcast rights for its 2013 college sporting events.

Lansdorp said that after consulting with media experts and ad agencies, he's confident life on Mars will remain a hit for decades on Earth and will be able to weather any financial crisis or war on Earth.

"If humans land on Mars, everyone will want to watch," he said. "It will be bigger than the Olympic Games."

If all goes well, Earthling television viewers can look forward to a decades-long reality show, though Lansdorp said the astronauts will be allowed to turn the cameras off at times.

It's not just about the hype

The spokesman for the aerospace company credits Mars One for creating a media spectacle and marrying it to technology.

"They very aggressively seem to be pursuing the reality-TV angle," he said.

It has gotten the small company to a stage that it can begin feasibility studies with aerospace companies, he said. It's also allowing scientists to work on ideas they otherwise might not have been able to pursue.

"It may fund development that would otherwise not get funded," he said.

The aerospace spokesman is hopeful Lansdorp and his team may one day say, "Mission accomplished." Even if they don't, though, they will likely reach other milestones.

"We can't predict how far they'll get," he said.

If the mission flops, Lansdorp has  ideas about what the nonprofit would do with any leftover money: Donate it to organizations that support space travel, such as the Planetary Society.

You might be thinking that $6 billion would be better spent on Earth, but Lansdorp says the money won't mean much on our planet.

Besides, he said, "I don't have a business case to solve the problems on Earth. I have a really good business case to get humans to Mars."

More space news on CNN Light Years

@highlight

Mars One wants to fly people to Mars and leave them there to live

@highlight

Every two years, a new crew would join them

@highlight

There is no return flight; you die there

@highlight

Some of it is media hype, but some is not, a source says