If, as many observers believe, Daniel-Day Lewis wins the Academy Award for best actor on Sunday, he will become the first man to win three (Meryl Streep has done this; Maggie Smith might match her if she wins for her turn in Quartet). Such an honor would ratify Day-Lewis' standing not simply as one of the greatest actors of his time, but for all time.

Like Robert De Niro, Day-Lewis is seen as the quintessential method actor, a commitment he has taken to extremes in his well-known penchant for embodying his characters even when the cameras aren't rolling. Day-Lewis also is notable for the extraordinary breadth of roles he has played.

He first came to global attention in 1985 when he appeared simultaneously as the priggish Cecil Vyse in the Merchant-Ivory film adaptation of E.M. Forster's 1907 novel "Room with a View" as well as Johnny, the gay East End punk, in Stephen Frears' brilliantly brash "My Beautiful Launderette."

But it has been in playing Americans where Day-Lewis has made his most distinctive impact. Between 1988 and 2007 he played a string of American figures that ranged from a 17th century Puritan ("The Crucible") to a contemporary art collector (the otherwise forgettable "Stars and Bars"). His turn as the lead character in the 1992 film version of James Fenimore Cooper's 1825 novel "Last of the Mohicans" has become a classic, while his role as the driven oil prospector Daniel Plainview in "There Will Be Blood" won him his second Academy Award for best actor in 2008.

For all the range of the characters, however, there is a surprising degree of continuity in this gallery of Americans.

The quintessential Day-Lewis character is a frontiersman, even when that frontiersman is disguised as a gang member staking out a territory ("Gangs of New York"), or an iconoclastic Manhattan attorney chafing against social convention ("The Age of Innocence") on the same New York streets. Day-Lewis always plays a man apart -- someone at odds with the institutional arrangements that surround him. If he is to survive, which in many cases he does not, his protagonists must move to the margins, finding a place on the outskirts of society.

It's in this context that one can begin to appreciate how Day-Lewis's latest Oscar-nominated performance as Abraham Lincoln breaks fresh ground. For the first time, he's not playing an estranged outsider, but rather a man at the epicenter of his society, exercising the levers of power to -- successfully -- bend a system toward his will. And that will is not of a personal and/or self-destructive variety; instead, it's a collective moral vision codified in a 13th Amendment to the U.S. Constitution to end slavery.

The novelty of the performance doesn't end there. We all know about figures who attain greatness in public life but whose private lives are a mess, repellent, or both. Abraham Lincoln has rarely been portrayed as a tyrant (except by die-hard Confederates), but often as inscrutable.

But more than any other actor, even Henry Fonda's folksy "Young Mr. Lincoln" (1939), Day-Lewis' version seems like a likable, three-dimensional human being. He seems equally at ease chatting with troops, black and white, as he is in spinning a yarn for his Cabinet. He argues with his wife and son to the point of losing his temper (there's a memorable slap at Robert Lincoln, played by Joseph Gordon-Levitt). Much has been made of Day-Lewis' rendition of Lincoln's voice, free of the stentorian tones one might expect of a man of his literal or figurative stature; contemporaries reported it as high and reedy, which is how the actor renders it here.

This Lincoln is a man of moderation. Though clearly trying to lead public opinion in the face of significant political opposition, he's no radical; his foil in the film is Rep. Thaddeus Stevens (Tommy Lee Jones) who indeed was part of a Republican-party faction impatient with Lincoln's pace on emancipation. Stevens is portrayed far more kindly in "Lincoln" than he was almost a century ago as the villain of D.W. Griffith's 1915 epic "Birth of a Nation," but the film ultimately affirms Lincoln's recognition that compromise (including possible moral compromise) is an indispensable element of statecraft.

Yet for all the novelty of this performance, the role is of a piece with Day-Lewis' larger body of work. For while his Lincoln is far more integrated into the fabric of his society than any of his other characters, he remains a man who struggles against a sense of isolation, whether personal or political, amid the maelstrom. Unable to escape the fierce hatreds that rage around him, he becomes a casualty in a war he is determined to prosecute toward a just end.

The truest Americans, Day-Lewis seems to be telling us, are those who can never be fully at home in the world: Our collective character is a restless one. It's an insight with which Day-Lewis may make some history of his own.

@highlight

Jim Cullen: If Daniel-Day Lewis wins best actor award at the Oscars, it will be a record

@highlight

Cullen: Day-Lewis has made the most impact by playing Americans, notably frontiersmen

@highlight

He says the actor's version of Lincoln seems like a likable, three-dimensional human being

@highlight

Cullen: Day-Lewis seems to be telling us that the truest Americans are the restless ones