Pyongyang, North Korea (CNN) -- At Russia's urging, the U.N. Security Council will hold an emergency meeting Sunday morning aimed at defusing simmering tensions in the Korean peninsula.

The meeting will take place at 11 a.m. ET on Sunday, a day after Russia had originally wanted to meet, its ambassador to the United Nations Vitaly Churkin said in a statement. Churkin blamed the U.S. delegation -- which this month heads up the security council -- for the one-day delay, adding, "We assume that nothing will happen in the interim that would bring about further aggravation."

New Mexico Gov. Bill Richardson, a former prominent U.S. diplomat now in the middle of an unofficial four-day trip meeting with high-level Pyongyang officials, applauded the development as something that could help skirt further military escalation.

"It's a very, very tense situation, a crisis situation," Richardson told CNN's Wolf Blitzer from Pyongyang. "This is when the U.N. Security Council can be most effective."

The former U.S. energy secretary and ambassador to the United Nations met Sunday morning for one-and-a-half hours with Maj. Gen. Pak Rim Su, who leads North Korean forces in the demilitarized zone along the South Korean border. He called it a "very tough meeting" that included "some progress."

Richardson told CNN that Pak was receptive to his proposal that a military hotline be set up between North Korean and South Korean forces, in order to address issues should an incident occur.

Pak was also open to the governor's idea for a military commission -- with representatives from North Korea, South Korea and the United States -- to monitor disputed areas in and around the Yellow Sea. The goal, Richardson said, would be to address issues before they flared into larger confrontations.

The North Korean general, separately, told Richardson that the remains of several hundred U.S. servicemen killed about six decades ago during the Korean War had recently been recovered, showing the governor pictures of some of them and a dog tag from one soldier. Pak then offered to resume joint recovery efforts with the United States.

"It was a positive gesture," Richardson said.

Still, the governor said that the U.N. Security Council's meeting on Sunday might be an even more significant development when it comes to the regional crisis. He called China's recent statements on and Russia's leadership on the issue a positive -- saying he hoped that the council might issue a statement "urging all sides to exercise maximum restraint (and to) cool things down."

The Security Council has five permanent members in China, France, Russia, the United Kingdom and the United States. There are also 10 rotating members, which are currently Austria, Bosnia and Herzegovinia, Brazil, Gabon, Japan, Lebanon, Mexico, Nigeria, Turkey and Uganda.

The United States, as well as Russia and Japan, have been key international players in the crisis, and Chinese officials have also conducted a series of high-level talks with North Korean and South Korean officials.

On Saturday, Chinese Foreign Minister Zhang Zhijun reiterated his nation's strong desire to avert war, which he said would be devastating for both Korean nations and the region as a whole, according to state-run news agency Xinhua.

Richardson came to North Korea at the invitation of its top nuclear negotiator as a private citizen -- with the knowledge of but not as a representative of the U.S. government -- amidst one of the region's most serious crises since the 1953 Korean War armistice.

North Korea says that its South Korean counterparts are instigating tensions with planned live military exercises on and around the disputed Yeonpyeong Island. Seoul cited bad weather as its reason for pushing back the drills a day or two, which were originally scheduled between December 18 and 21, South Korea's official Yonhap News Agency reported.

Saying the exercises would be in "the inviolable territorial waters" of North Korea, the North's state-run Korean Central News Agency warned Saturday that its forces "will deal the second and third unpredictable self-defensive blow" if the drills proceed.

Such strikes, according to the agency, would be "deadlier ... in terms of the powerfulness and sphere" than its November 23 shelling of Yeonpyeong Island that left four South Koreans dead.

Noting that North Korea is "very, very provoked by this potential incident," Richardson said he hoped that a strong statement from the United Nations council might spur Seoul to cancel the drills and "give both sides cover" to tamp down their rhetoric and actions.

Pak was the first non-political official to talk to Richardson, who earlier said he had a "good meeting" with the North's chief nuclear negotiator Kim Gye Gwan and also met with the vice minister of North Korea's Ministry of Foreign Affairs on Friday.

Both Koreas have traded tough talk and conducted aggressive military drills in the weeks after the Yeonpyeong Island incident.

The U.S. military has said it is concerned that South Korea's scheduled exercises could spark an uncontrollable clash with the North, but the State Department said the exercises are not meant to be threatening or provocative.

CNN's Jiyeon Lee contributed to this report.

Watch The Situation Room with Wolf Blitzer weekdays at 5pm to 8pm ET and Saturdays at 6pm ET. For the latest from The Situation Room click here.

@highlight

NEW: Bill Richardson, who is not a U.S. envoy, says a N. Korean general was open to his ideas

@highlight

NEW: They include a military hotline and a commission to settle disputes in the region

@highlight

The U.N. Security Council will meet Sunday morning about the Korean crisis

@highlight

Planned South Korean military exercises have been delayed due to bad weather