(CNN) -- Twenty years ago this month, Ukraine, Russia, the United Kingdom and the United States signed an agreement that represented a major step in global anti-proliferation efforts. Under the deal, known as the Budapest Memorandum, Ukraine voluntarily surrendered the third largest nuclear arsenal in the world, which it had inherited after the collapse of the Soviet Union.

But fast forward two decades, and an agreement once heralded as a breakthrough is gradually being undermined by one of the very countries that signed it.

As part of the agreement, Ukraine willingly gave up more than 1,000 strategic and 2,500 tactical nuclear weapons, and agreed to the destruction of 176 silos used to launch intercontinental ballistic missiles. In return, Ukraine was offered security assurances by Russia, the United Kingdom and the United States in a document that highlighted the inviolability of Ukraine's existing borders and its sovereignty, called for the abstention from forceful actions that could threaten Ukraine's territorial integrity and prohibited economic pressure being placed on Ukraine.

Unfortunately, Russia has disregarded each of these provisions.

Russian aggression against Ukraine, first in Crimea and soon after in eastern regions of Ukraine, has created an unprecedented challenge to international peace. Indeed, rather than simply being a domestic or even regional crisis, what has been unfolding this year constitutes a violation of international law, undermining the existing checks and balances of the international system.

For many years, the Budapest Memorandum served as a practical model for the implementation of the international nonproliferation regime. But recent violations of the agreement now risk undermining a system that safeguards states against national security threats through diplomatic means. As a result, many states may start to view the possession of weapons of mass destruction as the only effective means of safeguarding against external risks, in the process provoking a new arms race and ultimately increasing the threat of nuclear disaster down the road.

None of this is to suggest that Ukraine is not grateful for the effort behind the memorandum; other nations offered decisive support for our country's independence. More recently, there has undoubtedly been practical assistance in our efforts at countering Russian aggression, and the United States and United Kingdom have both remained reliable and virtuous partners on the international stage.

And yet, despite this assistance, it has become increasingly clear that the power of the Budapest Memorandum to guarantee our national security has taken a hit. It is that realization that has prompted Ukraine in recent months to push for closer integration with NATO, a cause that is popular both with the Ukrainian people and which is also gaining political support.

As President Petro Poroshenko noted last month, "it is clear that the non-bloc status of Ukraine proclaimed in 2010 couldn't guarantee our security and territorial integrity. ...This position has led to serious losses. That's why we've decided to return to the course of Euro-Atlantic integration."

There is, of course, much work to be done if we are to reach the alliance's compatibility standards, which is why the government has formulated a six-year plan for meeting membership requirements. But in the end, it seems only fitting that the status of Ukraine's relationship with NATO be left to the Ukrainian people, and any decision in this regard will only be taken after consulting them in a form of referendum.

More broadly, recent events in Ukraine have underscored the need for a rethink of the existing global security architecture. And while Russian aggression is clearly the catalyst, any changes should not be seen as simply directed at a single country, but as part of generally much-needed changes.

It is imperative in our fast-changing world that states are granted new means of defending their territory, and that the most effective mechanisms are in place for preserving international peace. It's a conversation that Ukraine, now more than ever, is keen to take part in.

@highlight

Ambassador: Russian aggression against Ukraine has been challenge to peace

@highlight

Olexander Motsyk: Russia has disregarded provisions of Budapest Memorandum

@highlight

Time for Ukraine to rethink relationship with NATO, he says