Editor's note: Frances Fragos Townsend, a CNN contributor on national security issues, served as President George W. Bush's chief anti-terrorism and homeland security adviser. Townsend has spent more than two decades in the fields of intelligence and criminal justice and has served during the past three administrations. Townsend is currently a consultant to the U.S. Chamber of Commerce and a member of the Council on Foreign Relations and the Aspen Institute Homeland Security Program.

Frances Townsend says the priority for the White House must be protecting the American people.

WASHINGTON (CNN) -- The Washington Post recently reported that Gen. Jim Jones, President Obama's national security adviser, is reviewing plans to reorganize the White House National Security and Homeland Security councils.

Some, if not all, of the functions of the Homeland Security Council may be folded into an expanded National Security Council.

There is no more solemn responsibility that the president bears than to protect American lives.

During my 4½ years at the White House, I came to believe that, for this reason, organization must be dictated by effectiveness. How best to maximize effectiveness will inevitably change over time as we as a country continue to weaken al Qaeda and other enemies, as the Department of Homeland Security gains strength, and as our government better integrates the capabilities that have been built since the tragedy of September 11.

As the Obama administration considers the most effective means of organizing the White House structure, I respectfully submit that any structure should be judged against three fundamental criteria.

First, there must be a single person both responsible and accountable to the president who monitors threat information and who has the authority to marshal all instruments of national power (military, intelligence, law enforcement, economic, diplomatic and public diplomacy) to defeat the threat.

This individual cannot wait until threats arrive on our shores, but must have the responsibility and the means to identify those threats where they originate and to ensure a coordinated response to them. The president's homeland security adviser must not be constrained by geographic boundaries that our enemies do not respect.

Second, the homeland security adviser must have direct and immediate access to the president. Ultimately, if terrorists successfully strike the United States, it is the president, and not his staff, who will be accountable to the American people for the failure.

The homeland security adviser must be able to get to the president quickly without clearance from his or her colleagues on the White House staff.

Unfortunately, there will be times when American lives are at stake and the president will need to be advised and operational decisions taken and communicated to the relevant Cabinet secretary in real time. These sorts of crises do not lend themselves to the normal bureaucratic process.

Third, the homeland security issues faced by our government are diverse and many. They range from preparedness and response to natural disasters (ice, flooding, fires and wind) to pandemic planning and biological and nuclear threats. These issues are often distinct from the more traditional foreign policy issues faced by the National Security Council and require experienced staff with significant expertise.

The staff must understand state and local emergency management policy issues and concerns. They must be organized, not simply to facilitate the homeland security policy process, but also to anticipate and respond to state and local political leaders in a time of crisis. The homeland security adviser requires adequate staffing to deal with the counterterrorism and homeland security issues.

We remain a nation at war with a very determined enemy. We have troops deployed in Iraq and Afghanistan, but the national security adviser has many important responsibilities in addition to those two theaters. For example, he must contend with the Middle East peace process and counter proliferation around the world, but most especially in Iran and North Korea.

I worry that increasing the span of control of the national security adviser could dilute the homeland security mission and make it just one more item on a list already overburdened.

That said, I wish to be clear. We should judge any reorganization by the substance and criteria that I have suggested above. We must be careful not to assume that a merger means the president cares less about homeland security. We must resist this easy organizational chart test and look to the substance of how responsibilities are allocated and how we are being protected.

Let me suggest three questions the administration should ask before deciding on a new White House structure: (1) Is there one person responsible and accountable to the president who looks around the world at threats and advises the president? (2) Does this one person have direct and immediate access to the president? and (3) Does this person have adequate staff to fulfill his or her responsibilities?

These are the questions that we should be asking and the criteria against which we should judge the effort.

The opinions expressed in this commentary are solely those of Frances Townsend.

@highlight

Fran Townsend: White House's top goal must be protecting American people

@highlight

She says Obama's reorganization might expand National Security Council

@highlight

Homeland security concerns must not be downplayed in the process, she says

@highlight

Townsend: Homeland adviser needs direct access to the president