Bangui, Central African Republic (CNN) -- In two days I will leave the Central African Republic (CAR), concluding a four-month assignment here for the U.N. Refugee Agency. But today, instead of packing, I'm assisting with the relocation of 1,259 people facing death threats in the PK12 neighborhood of Bangui, the capital city. I arrived here on New Year's Day for an emergency humanitarian mission and quickly became a witness to the formation of enclaves like this one, where residents fear for their lives.

Since December, nearly one million people in CAR have fled their homes amid brutal attacks and reprisals by warring factions -- chiefly the Seleka and anti-Balaka militias. More than half the country's 4.6 million people are now in need of humanitarian help. But few are in graver danger than the people trapped in numerous neighborhoods like PK12.

I first visited one of these enclaves in late January, when I travelled to Bozoum in the country's northwest. Passing through MISCA peacekeepers, I entered a corner of the town where several thousand people had sought refuge. Their fear was palpable. I could see it in their eyes, in their posture and most of all in their alertness to everything happening around them. In PK12 I hear similar stories of people displaced from their homes and then trapped during their flight to safety.

The humanitarian community is aware of 15 places where entire communities are currently at risk, though their numbers and locations are in continuous flux.

Some have been evacuated, as with Bozoum. Some have fled on their own, taking enormous risks in becoming refugees in neighboring countries. And some have fled into the bush, like the people from Boboua, midway between the capital and Bozoum. When I met them in mid-February, they were in a desperate state, fearing for their lives after a month in the bush. Still others, as in Boda, west of Bangui, have become imprisoned in their own homes.

Each of these besieged communities faces distinct circumstances, and holds its own views. The people in Boda want to stay in Boda, where many of them were born and raised. But they also demand freedom of movement: the right to go outside their neighborhood, a small area that would fill only a few city blocks. They're not just seeking a sense of normalcy and human dignity -- this is about pure survival. A couple weeks ago, anti-Balaka fighters killed two women from Boda when they went beyond the bounds of their neighborhood to gather food in a nearby forest.

Some members of the Boboua community have returned, while others have fled to different enclaves. A fragile agreement there allows for coexistence, but there is a constant threat of outside interference from anti-Balaka groups in neighboring villages. But despite the harrowing conditions in Boda, there is also reason for hope. Vulnerable members of the Boda community -- as well as those who have not been targeted but are also living under a constant threat of the anti-Balaka and have been displaced from their homes -- are trying to neutralize a minority of spoilers to open up room for discussions.

But hope is harder to find in other enclaves, each of which has its own dynamics and characteristics. The humanitarian community looks at each situation separately, and for months we have been fervently trying to identify the best way to protect these individuals' fundamental rights to physical security and to provide the means for their basic survival. The international forces have been critical, but we have also been grappling with a steadily ticking clock and the stark reality that people can only survive so long in such conditions, both physically and psychologically. We also need to defer to the views of the community. In the case of PK12 this past weekend, people were demanding assistance to safely leave for more peaceful parts of the country.

As I interact with members of the community, many of them frighteningly frail, I ask myself: Did we wait too long in accepting relocation, a measure of last resort? And I wonder: Will they ever be able to return to their former homes in and around Bangui? Right after the convoy departs, belligerents pillage the mosque in PK12, underscoring the enormous challenges for future returns. But even more revealing, perhaps, is an exchange with three young children. As they follow me after leaving one of the trucks, I encourage them to return to their mothers. They respond, "Madame, we are Central Africans, not Muslims."

@highlight

One million people in Central African Republic have fled their homes to avoid ethnic violence

@highlight

Muslim rebel group's ousting of Christian president last year plunged CAR into chaos

@highlight

Rebel group's leader seized power briefly, but stepped down after failing to halt violence

@highlight

Mayor of capital city Bangui is now interim President, but situation remains tense