(CNN) -- Coming back this weekend after a stay in Europe, I had that distinct sensation -- last felt when Lehman Brothers capsized, setting off the Great Recession -- that we once again find ourselves at the mercy of events and people just beyond our control.

Here at home, one hears that by Wednesday dawn, we will know whether BP's latest big try to stop the oil spill will work. If it does, we can begin to feel that we are moving in the right direction, but if it doesn't -- well, no one is quite sure what Plan D looks like. Is this really where we have come: that the fate of our precious coastlines and the waters off our coasts are in the hands of a single foreign-based company?

A month ago, it looked like the White House was on top of this problem, as Cabinet officers scurried here and there, the Coast Guard and others swung into action, there were talks with BP, and the president paid a personal visit. But increasingly, it has become apparent that the federal government may be present but is not in charge.

It keeps saying that BP bears ultimate responsibility. It is keeping the press away. No wonder James Carville, Chris Matthews and Donna Brazile exploded late last week. They are right on a basic point: Ultimately it is not the responsibility of BP or any other company to protect American interests but the responsibility of the federal government. Some Obama supporters have argued that the 1990 Oil Pollution Act limits the president's capacity to take action. Others disagree. Either way, in an emergency, laws can be changed.

Although this disaster is not an existential threat, it could be argued that if the U.S. government had fought World War II in the same way it has fought the oil spill, we might well be speaking German now. Faced with a growing danger to our well-being, a WWII-type government would at minimum have:

• Brought in the CEOs of all the major oil companies and charged them with the duty of an all-hands collaborative effort to stop the spill and help ward off the damage.

• Brought in the best minds in the country, from universities and technology, for emergency efforts to find solutions.

• Moved quickly to mobilize the National Guard and other military forces, if necessary, ensuring that they received the resources needed to protect our beaches.

• Made a clear call to citizen volunteers to help where necessary.

• Given Cabinet officers an ultimatum: Get this under control in the next 30 days, or else.

There will be ample time after this disaster for finger-pointing and blame-laying. The key now is to get this spill under control before it does far more damage.

Meanwhile, the Washington Post had it exactly right Monday morning when it argued that with the European crisis spreading now beyond Greece, "the knife-edge psychology currently governing global markets has put the future of the U.S. economic recovery in the hands of politicians in an assortment of European capitals."

Across Europe, one finds people stunned at the rapidity with which this crisis has grown, threatening not only their weak economies but also their dreams of a European utopia with people living a honeyed existence. All that could go smash now. Indeed, it is ironic that Europe may now be forced to give up its strong welfare state even as the U.S. is moving toward it. But the immediate point is that the U.S. finds itself too much at the mercy of whether European politicians and publics now make the right moves.

It may take a while, but Americans are going to start feeling a lot happier about our country when we once again believe we have strong control of own destiny. Leadership, anyone?

The opinions expressed in this commentary are solely those of David Gergen.

@highlight

David Gergen: Growing concern that government is not responding adequately to oil spill

@highlight

He says it doesn't make sense that fate of U.S. coast is in hands of one company

@highlight

Determined government response would have mobilized more resources, he says