(CNN) -- As a college professor who has talked to hundreds of women who are aiming to break the glass ceiling, I find that all the hubbub about paving the road to success by enlisting mentors, joining a support group, and simply learning to take it like a man misses a crucial point: Young women are ambitious but worried about making it all happen.

Like clockwork, my female college students -- future doctors, lawyers, bankers, and computer programmers -- show up for office hours when course materials confront them with the realities of gender and family issues in the 21st century.

The key questions on these minds of these twenty-something-year-olds are: Will they ever be able to have kids if they pursue a career in medicine, law, banking, or high-tech? Should their Plan B exclude kids altogether? Is there any hope that will not repeat the mistakes of mothers who opted out and found out they couldn't opt back in when their children were grown? Is it really going to be that difficult?

Even though these women are, statistically, years away from marriage and bearing children, and they have come to take careers and economic independence for granted, they know that work/family balance is a thorny subject. And they are worried about how -- and if -- they can have it all.

Opinion: Don't ask for all, ask what makes you happy

So I do a little therapy with them. We start with the obvious: Find a spouse who will split up the housework; (the research is on their side; American men are pulling much more weight at home than ever before). We talk about delaying childbearing. We talk about finding the "right fit."

But there's no way to work around the elephant in the room: a supportive spouse, the right career choice, and delaying childbearing into their 30s won't help them figure out how to remain on the fast track when they're aching not to miss their babies' first steps or first day in kindergarten.

10 views: Our struggle to 'have it all'

"I don't necessarily need to be there with cookie and milk everyday when my kids come home from school but I want to be a part of my kids' lives. How can you do that if you're working 12 hours a day?" said one future doctor. She's considering forgoing children altogether.

And she's not alone. American women are having fewer children and at later ages. A staggering number of them are deciding to not to have children. Some pundits are worried, while others celebrate the diversity of choices.

Kathleen Gerson, a sociologist at New York University interviewed young men and women about their perceptions of work-family issues before the real juggle began. She learned that both men and women were planning on equally sharing their work and home requirements. However, there was a persistent gender gap between these young, still childless men and women. Their "Plan Bs" varied widely: Young men thought that if the equality ideal failed, their wives would be the ones to cut back on work. Young women agreed. Which brings us back to glass ceilings and shattered dreams.

Work, family and 'leaning in': Seven families trying to make it work

One particularly bright student, nearing graduation, reflected on how she has always felt equal to her male peers; in fact, she out-performed them.

"I was the total driven alpha male," she said. She was thrilled to land a lucrative internship at a bio-tech research lab after her junior year. "And that's when it hit me," she said, of her choice, to rethink her career plans; "I realized that I was never going to see daylight! I mean, I was working with these brilliant people. These brilliant women. But there was this young mother who always trying to get out early enough to spend time with her son; and of course it almost never worked out. I mean the kid was fine, the dad picked him up from preschool. But watching her struggle really made me think. I always thought that I was just going to make it work. But now I'm not so sure anymore."

She's still heading out to a prestigious Ph.D. program in the fall, but is now thinking of a less demanding career path.

For a new generation of women, they are making rational choices. They understand that their ability to balance their lives has much more to do with what the American workplace of the future will look like than any of the choices they will make. The question remains: Will the workplace of the future evolve for the better so that women won't have to worry anymore?

The opinions expressed in this commentary are solely those of Orit Avishai.

@highlight

Orit Avishai: My young college female students are ambitious and smart

@highlight

Avishai: But they worry about balancing family and career and whether to have children

@highlight

She says the choices that these women plan to make are rational and realistic

@highlight

Avishai: Much will depend on what the American workplace of the future look like