The world's response to Ebola is its own sort of tragedy.

Two facts make the point clear:

-- The United Nations has asked for $1 billion to fight the spread of the virus. As of Friday, it had collected only $100,000 -- or 0.01%. An additional $20 million has been pledged but not received, according to CNN Money. "We need to turn pledges into action," the U.N.'s Ban Ki-moon told reporters. "We need more doctors, nurses, equipment, treatment centers."

-- Liberia, meanwhile, which is hardest hit by the virus, says it requires 2.4 million boxes of protective gloves -- and 85,000 body bags, to be able to fight the virus in the next six months. Currently, it only has 18,000 boxes of gloves and less than 5,000 body bags.

Let that second number sink in.

Eight-five thousand body bags needed.

But what is actually-really-truly behind the lack of helpfulness on the part of the international community? If you listen to right-wing pundits in the United States, we should blame Obama -- who they say is having his "Katrina moment."

Those jabs are fueled more by upcoming midterm elections than reality. And they won't likely be quieted by Obama's announcement on Friday that he has appointed an "Ebola czar" to manage the U.S. response.

The true devastation, however, has been unfolding in West Africa for months. And it's the subject of far less outrage in the United States.

A more rational and deep-seated critique of the international community's relative inaction emerged in a recent BBC interview with Kofi Annan, the former U.N. secretary general, who is from Ghana.

"If the crisis had hit some other region," he's quoted as telling that news organization, "it probably would have been handled very differently.

"In fact when you look at the evolution of the crisis, the international community really woke up when the disease got to America and Europe."

It's hard not to agree that race and geography do play a role in the world's callousness. They help explain why "some other region" -- any other region, really -- would get more help.

Science tells part of the story.

There's evidence lighter skinned people have trouble "feeling" the pain of those with darker skin. Researchers at the University of Milano-Bicocca, in Italy, tested this in by showing a group of Caucasian people video clips of people of various races being pricked with a needle. They monitored the viewers to see how their bodies responded to the sight of another person being hurt. The white viewers reacted more strongly -- or showed more physical empathy -- when white people were hurt than Africans.

In another study, "researchers found that white participants, black participants, and nurses and nursing students assumed that blacks felt less pain than whites," Slate writes.

Except for a handful of health workers, nearly all of Ebola's 4,400 casualties have been black Africans -- and these simmering biases are deeply troubling.

"Ebola is now a stand-in for any combination of 'African-ness', 'blackness', 'foreign-ness' and 'infestation' -- poised to ruin the perceived purity of Western borders and bodies," Hannah Giorgis wrote for The Guardian.

There's a long, ugly history of this sort of thing.

Consider the 1994 Rwanda genocide, or the HIV/AIDS epidemic.

"In the case of AIDS, it took years for proper research funding to be put in place and it was only when so-called 'innocent' groups were involved (women and children, haemophiliac patients and straight men) that the media, the politicians and the scientific community and funding bodies took notice," John Ashton, president of the UK Faculty of Public Health, wrote for The Independent.

The headline of his piece: "They'd find a cure if Ebola came to London."

Maybe some blame should fall on geography, as well. Americans, in particular, know very little about Africa (just try this quiz on African geography from the Washington Post). The physical distance between Africa and North America or Europe -- two global centers of financial and political power -- also could lead people to feel emotionally distant from the crisis.

"I don't know about racism, but I do know when (Ebola) was only in Africa, hardly anyone in the U.S. cared that it was killing thousands," a friend wrote in response to a question I posed on Facebook. "But now that like four people have it in the U.S., it is all-out panic."

Whatever the reason, a lack of empathy is clearly at play.

Too many people panic when Ebola hits Dallas but shrug at the gruesome reality in Monrovia. Too many worry that someone who might have been in contact with an Ebola patient has boarded a cruise ship bound for Belize -- but we don't feel for Ebola's child orphans.

I hope shining light on these realities can help change them.

I'll leave you with a passage from an essay by Leslie Jamison, a woman who worked as a "medical actor," meaning she faked illnesses for emotionally tone-deaf medical students. As she listened to the sometimes hard-headed students interrogate her about her made-up illnesses, she learned a thing or two about what it means to actually empathize with a person.

"Empathy isn't just something that happens to us -- a meteor shower of synapses firing across the brain -- it's also a choice we make: to pay attention, to extend ourselves," she wrote.

Take that as a challenge.

Pay attention. Extend yourself.

And demand world leaders do the same.

@highlight

The world's response to Ebola is its own tragedy, writes CNN's John Sutter

@highlight

He argues race and geography play a role in the inaction

@highlight

Kofi Annan: If Ebola hit another region, "it probably would have been handled very differently"