Tokyo (CNN) -- The decommissioning of four reactors at the crippled Fukushima Daiichi nuclear power plant will likely take more than 30 years to complete, according to a report by Japanese officials.

The draft report, released by Japan's Atomic Energy Commission of the Cabinet Office on Friday, said the removal of debris -- or nuclear fuel -- should begin by the end of 2021.

"We set a goal to start taking out the debris within a 10-year period, and it is estimated that it would take 30 years or more (after the cold shutdown) to finish decommissioning because the process at Fukushima would be complicated," the report states.

Last month, the plant's owner -- Tokyo Electric Power Company -- said engineers might be able to complete the cold shutdown of damaged reactors by the end of the year.

Yukiya Amano, the director general of the International Atomic Energy Agency, told the U.N. General Assembly Tuesday that operators of the plant "are now confident that the so-called cold shutdown will be achieved by the end of the year."

Temperatures in the three reactors where meltdowns occurred in the wake of the historic March 11 earthquake and tsunami have already been brought down below 100 degrees Celsius (212 degrees Fahrenheit), but the company has to maintain those conditions for some time before declaring the reactors in cold shutdown, Tokyo Electric spokesman Yoshikazu Nagai said in October.

Experts have said it will take years -- perhaps decades -- to fully clean up the worst nuclear disaster since Chernobyl. Hydrogen explosions blew apart the No. 1 and No. 3 reactor housings, while another hydrogen blast is suspected to have damaged the No. 2 reactor. Fires believed caused by heat from the No. 4 spent fuel pool damaged that unit's reactor building.

The atomic energy commission's report noted it took 10 years to remove nuclear fuel after the 1979 Three Mile Island disaster in the United States. The commission predicted removing fuel at Fukushima would require more time, because the extent of the damage was more severe.

But the timetable doesn't address plans for dealing with the radiation released into the wider environment from the Fukushima disaster, said Timothy Mousseau, a radiation ecologist at the University of South Carolina.

Mousseau told CNN International's "Prism" on Wednesday that scientists "are just now starting to get a handle" on the amount of radioactive material released by the disaster.

"What's important to realize is there's a very large environmental problem that needs to be addressed head-on," he said. "At the moment, there's very little in the way of scientific research being done to determine what the scope and the time frame will be for dealing with the remediation of these effects in the coming years."

Mousseau said volunteers collecting data around the country are finding "quite a bit of radiation," while contaminated water released into the Pacific will take some time to be fully dispersed and diluted.

The plume of radioactive particles that spewed from Fukushima Daiichi displaced about 80,000 people who lived within a 20-kilometer (12.5-mile) radius of the plant, as well as residents of one village as far as 40 kilometers to the northwest. The government has yet to determine when those evacuated can return to their homes.

In mid-October, an IAEA team praised the country's efforts to decontaminate the area, but urged Japanese authorities "to avoid over-conservatism" in the effort. Japan's main strategy has been to scrape off the top 5 centimeters (2 inches) of topsoil from contaminated areas -- a plan the IAEA found could produce "huge amounts of residual materials" -- but it is conducting a variety of tests in different areas, the report concluded.

CNN's Matt Smith contributed to this report.

@highlight

NEW: Expert says "a very large environmental problem" remains beyond the plant

@highlight

IAEA chief says "cold shutdown" can be achieved by the end of 2011

@highlight

Government officials say the removal of nuclear fuel should begin by 2021

@highlight

The panel predicts it will take more than 10 years to remove nuclear fuel