Cairo (CNN) -- Muslim-Christian sectarian violence intensified in Egypt this weekend, spurring an emergency meeting of the Cabinet and public exhortations from Coptic Christians for international protection.

At least 12 people were killed and 232 others were wounded in sectarian clashes outside a Cairo church, according to state TV. Officials said violence began over rumors that a Christian woman who converted to Islam was being held at the church against her will.

Prime Minister Essam Sharaf postponed a trip to Bahrain and the United Arab Emirates to discuss the church attack and hold the emergency meeting, according to EgyNews, Egypt's official news agency.

A small group of Coptic Christians gathering near the U.S. Embassy in Cairo on Sunday called for international protection of Egypt's Christian community and condemned the government for not doing more to protect them.

Reporter's Notebook: Mere steps ahead of an angry Cairo mob

Small groups composed of Christians and Muslims engaged in heated debate sectarian tensions mounted, but they were peaceful. Soldiers stood in a line across the road to prevent protesters from approaching the U.S. embassy.

In the Cairo neighborhood of Maspiro, violence erupted when several hundred people, predominantly Christian but also Muslims, demonstrated in favor of national unity in front of the TV building.

Stones were hurled and people threw bricks from rooftops on predominantly Christian protesters. Some people were injured.

Chants could be heard of "with our souls and blood we will sacrifice ourselves for the cross." Military riot police with red helmets and clubs separated mutually hostile crowds.

Problems between Egypt's Muslim majority and its Coptic Christian minority have been on the rise in recent months, with a number of violent clashes reported between the two groups. Tensions flared after a recently-published U.S. government report on international religious freedom detailed the hostility targeting the minority Copts in the predominantly Muslim society.

During clashes on Saturday, witnesses said an armed group of Muslims marched on Saint Mena Coptic Orthodox Church, one of the oldest churches in Egypt.

Witnesses said Muslims and Christians exchanged gunfire, sending people running for cover.

"With my own eyes I saw three people killed and dozens injured," said Mina Adel, a Christian resident. "There's no security here. There's a big problem. People attacked us, and we have to protect ourselves."

There were conflicting reports about who attacked the church.

Some witnesses said the group was made up of Muslim fundamentalists, known as Salafists. Others, including Interior Ministry spokesman Alla Mahmoud, said it was angry Muslims from a nearby mosque.

Mahmoud said the clashes were sparked by reports of a Christian woman who married a Muslim man and was allegedly being held inside the church.

Military, special forces and riot police were called in to try to break up the violence, firing warning shots in the air, according to witnesses.

At the same time, at the nearby Coptic Church of the Holy Virgin, firefighters responded to a blaze that witnesses said appeared to have been started by the members of the same group that attacked the other church.

Hundreds of residents in the working class neighborhood of Imbaba stood outside as the church burned and two men were seen jumping from a window of the building, according to witnesses.

Across the street, residents standing outside the Al Wehda mosque blamed "thugs" for the violence.

"It was thugs who burned the church, not Salafists (fundamentalists)," said Jamal El Banan. "We never had such sedition before the revolution."

Tensions were high in the neighborhood following the clashes, with soldiers firing shots into the air overnight to break up the crowd, witnesses said.

CNN senior international correspondent Ben Wedeman, based in Cairo, described the crowd as "very hostile," saying he was forced to leave the neighborhood after his vehicle was targeted with rocks.

A Coptic church in the town of Alexandria was bombed on New Year's Day, killing 23 people -- the deadliest attack on Christians in Egypt in recent times.

Ten days later, a gunman killed a Christian man and wounded five others on a train in Egypt.

In November, a group with ties to al Qaeda in Iraq announced that all Christians in the Middle East would be "legitimate targets," as the group's deadline for Egypt's Coptic church to release alleged Muslim female prisoners expired.

The group's claim that the Coptic Church in Egypt is holding female prisoners is based on widespread rumors of Coptic women in Egypt converting to Islam and being detained by the church in an attempt to compel or persuade them to return to their original faith.

About 9% of Egypt's 80 million residents are Coptic Christians. They base their theology on the teachings of the Apostle Mark, who introduced Christianity to Egypt, according to St. Takla Church in Alexandria, the capital of Coptic Christianity.

The religion split with other Christians in the 5th century over the definition of the divinity of Jesus Christ.

The U.S. Commission on International Religious Freedom, an independent bipartisan federal agency, last month added Egypt to a list of countries named as the worst violators of religious freedom.

"The Egyptian government engaged in and tolerated religious freedom violations before and after President Hosni Mubarak stepped down on February 11, 2001," the commissioners wrote in the report. They cited violence toward religious minorities in Egypt including Coptic Christians and non-majority Muslim groups.

"Since February 11, religious freedom conditions have not improved and attacks targeting religious minorities have continued," the report said.

The group said Egypt was put on the list of "Countries of Particular Concern" for "a number of very specific reasons but one that was a particular concern to the commissioners was the issue of impunity," commission chair Leonard Leo told reporters at a Washington news conference about the report.

One benchmark the commission looked at for Egypt, Leo said, was the trial following the Naga Hammadi shootings, which involved a massacre on the day Coptic Christians celebrate their Christmas Eve services.

"That, for us, was a very important signal the impunity issue was getting worse and not better. When you combine that with other conditions that have existed, particularly various elements of state sponsored repression, we believe there was sufficient grounds for triggering the (International Religious Freedom) act standard, which is a systematic, egregious violations of the freedom of religion," Leo said.

Elizabeth Prodromou, a vice-chair of the commission, said the group noted "both a qualitative, as well as a quantitative, deterioration in religious freedom issues in Egypt."

"In particular, we saw a dramatic uptick in targeted religious violence, primarily against the Coptic Orthodox community, but also against the Roman Catholic community and other Christian communities," she said.

The commission recommended that the U.S. military direct some of the "existing military assistance" to protecting Coptic Christians and other religious minorities, in addition to diplomatic efforts to pressure the new government with reform measures.

CNN's Ben Wedeman contributed to this report

@highlight

NEW: Copts rally for international protection

@highlight

At least 190 arrested, state media says

@highlight

Witnesses: The Egyptian military fires shots into the air to break up a crowd

@highlight

Clashes erupt over rumor of a woman held against her will, an official says