It was billed as the day's marquee primary battle, but in the end it was an easy night for Mitch McConnell.

The five-term senator from Kentucky -- who's the top Republican in the chamber -- defeated tea party-backed challenger Matt Bevin in Tuesday's primary.

In Tuesday's other high-profile race, two Republican candidates in Georgia will face a July runoff for the U.S. Senate, CNN projects.

According to numbers compiled by The Associated Press, McConnell led Bevin 60%-36% with 97% of precincts reporting.

Bevin conceded, telling supporters that he had spoken with McConnell. That conversation was confirmed by aides to the incumbent.

In his concession speech, Bevin didn't back McConnell, but he said he has no intention "of supporting the Democratic platform over the Republican platform."

But Bevin appeared critical of McConnell and the groups that supported him, saying "the attacks that we have been on the receiving end of have made our opposition smaller people. It has cheapened their accomplishments and it has weakened the foundation of their platform."

McConnell praised Bevin and made a pitch for reconciliation.

"Matt brought a lot of passion and tenacity to this race and he made me a stronger candidate. A tough race is behind, it's time to unite. To my opponent's supporters, I hope you'll join me in the months ahead and know that your fight is my fight," McConnell said.

How McConnell crushed the tea party

Kentucky was one of six states holding primaries on Tuesday and again, anti-establishment candidates faced long odds in high-profile Republican showdowns.

In Georgia, CNN projects Michelle Nunn will win the Democratic Senate primary, taking another step toward following in the footsteps of her father, Sam Nunn.

On the Republican side, businessman David Perdue led the pack with 30% of the vote -- well below the 50% a candidate must get in order to avoid a runoff, according to numbers complied by The Associated Press.

Perdue will face off against Rep. Jack Kingston, who came in second with just under 27% of the vote.

The winner of the July runoff will go on to face Nunn in November to fill the seat of retiring GOP Sen. Saxby Chambliss.

In Oregon, CNN projects Sen. Jeff Merkley has won the Democratic primary, and pediatric neurosurgeon Monica Wehby is the projected winner of the GOP Senate primary. The two will face off in the general election in November.

And in Idaho, CNN projects Rep. Mike Simpson has won the GOP primary in the state's 2nd Congressional District, turning back a challenge from tea party candidate Bryan Smith.

5 key primaries to watch Tuesday

While his primary battle ended up easier than originally expected, McConnell now faces a much tougher test against Kentucky Secretary of State Alison Lundergan Grimes.

CNN projected that Grimes would win her primary. A rising Democratic star, she faced no real opposition in her primary and already has had big names -- such as former President Bill Clinton -- team up with her on the campaign trail.

Speaking to supporters who held up signs that read "Obama needs Alison Grimes" and "Kentucky needs Mitch McConnell," the Senate majority leader tied his Democratic challenger to President Barack Obama and to Senate Majority Leader Harry Reid.

"My opponent is in this race because Barack Obama and Harry Reid want her to be in this race," said McConnell, adding that "a vote for my opponent is a vote for Obamacare and the President who sold it to us on a mountain of lies."

Grimes, who spoke at her victory celebration just minutes after McConnell's speech ended, quickly fired back.

"I'm here to tell you tonight, my fellow Kentuckians, I am not an empty dress, I am not a rubber stamp and I am not a cheerleader. I am a strong, Kentucky woman who is an independent thinker who, when I'm Kentucky's next senator, the decisions I make will be what's best for the people of the Commonwealth of Kentucky, not partisan interests," Grimes declared.

And she highlighted where she doesn't see eye-to-eye with Obama.

"I don't agree with the President's war on coal. I think it's wrong for Kentucky," Grimes said.

Grimes connected to big donors, big hitters

Bevin, a businessman from Louisville, announced his primary challenge last summer, and quickly gained the support of tea party activists and some influential DC-based anti-establishment groups.

The race between the two men quickly turned ugly, and expensive, as both campaigns and outside groups spent big bucks.

Anti-establishment Republicans felt that McConnell represented everything wrong in Washington and thought he could be knocked off.

The Senate Conservatives fund dished out $1 million in support of Bevin and against McConnell. But the group recently became very quiet, with McConnell's formidable lead in the public opinion polls.

Large campaign war chest

But McConnell had a large campaign war chest, as well as the backing from two Kentucky-based super PACs, and such powerful national groups as the U.S. Chamber of Commerce and the National Rifle Association.

And McConnell ended his primary campaign by once again touting his endorsement from Kentucky's other Republican senator, Rand Paul, the one-time upstart who beat McConnell's pick in the 2010 GOP Senate primary in Kentucky.

But the two quickly mended fences, and Paul, who is very influential among tea party activists and libertarians, backed McConnell last year before Bevin got into the race. Paul congratulated McConnell in a tweet.

The narrator in one of McConnell's two closing statewide TV commercials says, "On Tuesday, join with Rand Paul and vote for Mitch McConnell." And the spot includes a clip of Paul saying last year that Kentucky "ought to be proud of having Senator McConnell."

Earlier this year McConnell predicted big wins for incumbents facing primary challenges from the right, saying, "I think we are going to crush them everywhere."

McConnell told the New York Times that when it came to tea party challenges, "I don't think they are going to have a single nominee anywhere in the country."

His prediction might come true, as McConnell's defeat of Bevin was the latest in a string of victories for incumbent and more moderate Republicans over candidates backed by tea party activists and other grassroots and anti-establishment groups.

Soon after the race in Kentucky was called for McConnell, two of the groups backing Bevin closed ranks behind the Senate minority leader.

"Now it's time for Republicans to unite for victory in November," said a statement from the Senate Conservatives Fund.

And the Madison Project released a statement saying, "We congratulate McConnell on winning the primary. We ask all Republicans to come together to defeat extremist Hollywood liberal Allison Lundergan Grimes this fall."

Now it's on to November's midterm elections, where Democrats -- who hold a 55-45 majority in the chamber (including two independents who caucus with the party -- are defending 21 of the 36 seats in play, with half of those Democratic-held seats in red or purple states.

Key races to watch

The only states where the Democrats currently hope to play offense are Kentucky and Georgia.

If the GOP flips six Democratic held seats, they'll will win control of the chamber, and McConnell will get a promotion from minority leader to majority leader.

McConnell made a pitch for that promotion in his victory speech, saying " we can take the reins of power away from Harry Reid and make this President accountable. Make me the majority leader and Kentucky will lead America."

A big question right now is whether Bevin and his supporters will rally around McConnell, or if they sit it out come November.

In 2010, after Paul topped McConnell-backed candidate Trey Grayson, the minority leader was quick to bring all sides together at a unity rally.

The battle ahead

The faceoff in Kentucky should continue to be heated, and expensive. When all's said and done, the race could become the most expensive Senate campaign in history, breaking the $82 million record set in the 2012 Senate battle in Massachusetts.

Grimes, 35, is using classic campaign strategy against the 72-year-old longtime incumbent: it's time for change.

"We've had 30 years of failed leadership under Mitch McConnell; we cannot afford six more," Grimes declared emphatically to a packed house at her campaign headquarters here in Louisville on Monday.

To counter that, McConnell is using a standard strategy for a longtime incumbent. He is trying to paint his seniority as a plus and warn Kentuckians about the perils of a junior senator with little clout in Washington representing them instead of a potential Senate majority leader.

"My opponent, I certainly agree, is a new face, but a new face for what? New face for the status quo. Same majority leader, same agenda, no change at all. A new face for no change at all," McConnell argues on the stump.

But Grimes' full-throated assault on McConnell goes beyond a call for change. She is using McConnell's GOP leader status and his frequent moves to block legislation to make him the symbol of gridlock in Washington.

Like Republicans all over the country, McConnell is trying hard to make this election a referendum on President Barack Obama, who lost Kentucky big in 2012 and is highly unpopular now.

"Do we want to go in a different direction, or do we want Harry Reid to continue to be the majority leader? Do we want a vote for Barack Obama in a state that he carried four out of 120 countries? That's what's really at stake in the fall election," McConnell told CNN Monday.

And the pro-McConnell outside group Kentuckians for Strong Leadership said they would spend nearly $600,000 starting Wednesday to run a television commercial that ties Grimes to the President.

The problem for McConnell is that he too has a high unfavorable ratings back home, and Democrats here are hoping that will be his ultimate downfall. The most recent polling indicates the two candidates are all tied up in the November showdown.

@highlight

CNN projects Mike Simpson has won the GOP primary in Idaho's 2nd Congressional District

@highlight

CNN projects Merkley and Wehby will win Senate primaries in Oregon

@highlight

CNN projects Perdue and Kingston will face a runoff in Georgia's GOP Senate primary

@highlight

Six states were holding primaries Tuesday