London, England (CNN) -- It is a device that three quarters of the world's inhabitants have access to, according to the World Bank, but the words to describe it and etiquette of how to use it differ starkly across cultures.

In the UK, it is called a mobile, in the U.S. cell phone, in Latin America celular, in Japan keitai (portable), in China shou-ji (hand machine), in Bangladesh muthophone (phone in the palm of your hand), in Sweden nalle (teddy bear), in Israel Pelephone (wonder phone) and in Germany a handy.

In Japan, train commuters receive a barrage of recorded announcements telling them to switch their mobiles to silent or vibrate, referred to as "manner mode". Using a mobile in public is frowned upon in a land where collective needs are put above the individual's.

"Japanese culture highly values social harmony and social disturbance is heavily sanctioned," explains Satomi Sugiyama, associate professor at Franklin College Switzerland.

If someone tries to board a bus while taking a call, the driver will not let them on, adds cultural anthropologist Mizuko Ito. "In Japan your phone shouldn't be a nuisance to others," she says. "This means generally keeping it on manner mode when out of the house, and not taking calls in cafes and restaurants. If somebody's phone rings, they will be flustered and silence it or take a very quick call," Ito explains.

The density of urban spaces, the high use of public transportation, and the relative lack of privacy in homes contribute to ways of communicating that don't impose on others, she explains.

Texting, mobile email, games and novels are more popular than voice calls among the Japanese.

In Spain and Italy, in contrast, mobiles are used everywhere and people discuss are not averse to discussing their personal lives in public. Renfe, the state-owned train operating company in Spain, once promoted its journeys on a poster depicting conversations people can have with their partners on cell phones from the train.

Smartphones are the new wingman

The Spanish, like the Italians, happily answer calls in restaurants, during business meetings, conferences and even sometimes during concerts. Discreetly texting or instant messaging under the table during meetings is also commonplace, Amparo Lasén, professor of sociology at the University Complutense de Madrid, says.

Spanish people have always discussed their private lives in the streets, so doing so on mobile is just an evolution of that. "Sometimes Spanish people leave movie theaters just to check what is happening on their phone," Lasén says.

"You have an obligation to be available to close friends, colleagues and customers. There is an obligation of accountability," she adds.

However, it is not the Spaniards but the Finns who are the chattiest on their mobiles in Europe, clocking up an average of 257 minutes a month, according to GSMA's European Mobile Observatory 2011.

Then again, it is the homeland of Nokia. Austrians follow closely behind the Finns at 240 minutes of use, while the Maltese spend the least time talking -- an average of 46 minutes per month.

In parts of India and Africa, there is also a culture of split-second calls known as "flashing" or "beeping." Jonathan Donner, a researcher at Microsoft India who published a paper on "The Rules of Beeping," said: "Beeping is simple: A person calls a mobile telephone number and then hangs up before the mobile's owner can pick up the call."

The mobile owner can then phone them back, thus picking up the tab for the call.

Donner first came across "beeping" in Rwanda and tracked it's use across Africa. He said the practice has many different meanings from "Come and pick me up", to "Hi", to "I'm thinking of you" to "Call me back."

Read related: Seven ways mobile phones have changed Africa

As blogger Shashank Bengali writes: "There are unwritten but deeply observed rules for flashing. When your mechanic wants to tell you your car is ready, for example, he can flash you -- it's your car, after all, and if you want it back, you'd better call him.

"It's also hierarchical: an employee calling a superior, who makes more money, is justified in flashing -- unless he really needs a favor."

He sounds a note of warning though: "If you're trying to woo a lady, don't flash her. Ever."

Read more from Our Mobile Society

In India it is common for people to take calls inside a movie theater. People don't know if the call is important so they pick up, Umang Shah, of PhiMetrics, a telecom audit and consulting firm in India, says. Like in Spain, few Indians have or use voicemail, he added.

Another quirk about India is that the caller may get to hear a Bollywood song, chosen by the subscriber instead of a ringing tone. Known as caller tunes, the subscriber is charged for this monthly and according to Shah, they are a big money-spinner. This is also common in parts of Africa where a caller might hear a quote from the Bible.

In both continents, it is also common for people to take calls inside a movie theater. "Even at highly official functions, during speeches and so on people in India take the call," Kadira Pethiyagoda, visiting doctoral student at St. Anthony's College, Oxford, says.

"Indian society has a long tradition of tolerance, including in terms of allowing others to infringe on what those in the West would consider one's personal space," he says. This is why phone use in cinemas and crowded trains, is tolerated, he adds. "Indian society is also more communal than the West which, in part, leads to an increased importance of constantly staying in touch," he adds.

"People pick up their phones everywhere in Africa. The only places they don't are the mosque or the church," Abdullahi Arabo, BT research fellow at the Oxford Internet Institute, explains.

"Part of it is showing off that they have the device and if the call is from far away they like to show it's an international call."

In Japanese movie halls, on the contrary, 45-year-old Tokyo housewife Kanako Shibamoto says "we are not allowed to even put phones into silent mode because the light of the screen might make other people annoyed."

Mobile manufacturers have also created double sim card handsets for the emerging markets so they can simultaneously benefit from the best data and voice deals. In general, Indians chat for an average of 346 minutes a month, benefiting from extremely low rates of 0.5 rupee (less than half a cent) a minute. Multiple sim ownership is common across Asia, Africa and Latin America.

In Africa, it is because most of the service providers are unreliable and they can't get a signal, Arabo says.

In the U.S., a Synovate market research poll found that 72 per cent of Americans considered loud conversations in public places to be the worst habits of cell phone users. Now the new gripe appears to be iPhone 4S users repeating simple questions to Apple's Siri, a robotic assistant.

"People seem to be accepting of phone calls but not of people talking to a disembodied voice on their phone," says Jane Vincent, visiting fellow at the Digital World Research Centre, University of Surrey.

Texting was initially slow to take off in America, because "differing networks did not work well together in the early days of mobile communication causing dysfunctional text messaging across networks," says Scott Campbell, professor of telecommunications at the University of Michigan.

"Texting is now as big in America as everywhere, " he says.

Campbell also said mobile internet has been slow on the uptake there as digital media tablets are becoming popular ways of going online.

"They have a larger screen and better interface than mobile."

Do you agree or disagree with the views in this article? What quirks have you noticed about your country or other places you have visited? Tell us in the comments box below.

CNN's Stephanie Busari contributed to this article

@highlight

Cultural differences dictate ways in which mobile phones are used around the world

@highlight

Words to describe it and etiquette of how to use it differ starkly across cultures

@highlight

The Spanish, like the Italians, happily answer calls in restaurants, during business meetings

@highlight

While in Japan it is frowned upon to answer your phone in public places