(CNN) -- Since the revolution in 1959 Cuba has been many things to many people, but the collapse of the Soviet Union meant few have seen the island state as a vision of the future.

But that could be changing -- at least in one aspect.

Cuba experienced a reordering of its food production in the early 1990's. A boom for organic foods, but problems persist.

As worries grow in developed nations about a future without plentiful supplies of oil, the communist republic is proving to be an increasingly popular example of how to cope when the spigots run dry, for the simple reason: they've already been there.

With the loss of supplies from oil-rich Russia in 1991, and a U.S. embargo preventing imports from elsewhere, Cuba was plunged into a severe recession in the early 1990's, referred to as "the Special Period."

Suddenly society was faced with dramatically reduced amounts of hydrocarbon energy, and the result was a fundamental reorganization of food production, leading to a boom in urban organic agriculture, which requires fewer inputs than conventional farming.

Despite the increase in organic production, problems remain for Cuba's agricultural system and ability to feed itself with local produce.

"Some estimates of the amount of food imports in Cuba go as high as 80 percent of domestic consumption," says CNN's Havana Bureau Chief, Morgan Neill. "This isn't to say that small scale organic farmers couldn't learn for isolated growers, but Cuba's overall agriculture is one of the government's biggest problems."

Cuba's organic example, however, has been a source for inspiration for many outside of the country, such as the UK-based Cuban Organic Solidarity Group (COSG).

"With the collapse of the Soviet Union Cuba was in a position where no-one thought it would survive -- they lost 80 percent of their trade overnight," says Wendy Emmett of COSG.

"As a result the priority given to food changed, and it was immediately seen as much more important."

All over Havana small-scale organic gardens were started on roof-tops, backyards and in empty parking lots, spreading rapidly to other cities and urban centers.

Farmer's markets known as "Kiosks" sprang up providing city-dwellers with access to locally-grown fruit and vegetables, cutting the use of oil in transporting food in from the countryside.

In the countryside, oxen and horses replaced tractors. Manual labor replaced machines. A huge program of land re-distribution was instigated. Many of the vast collective farms beloved by communist planners started to look inefficient, and so were broken up into units more manageable without fleets of tractors.

The process is still ongoing. In February 2009 the Cuban authorities announced that 1,827 square miles of state land would be given to Cubans with agricultural experience or other citizens.

But this change wasn't easy. Prior to the "Special Period" Cuba had been a heavy user of oil-based chemical fertilizers, and much of the land was heavily degraded, requiring years of careful manuring to restore fertility. However, despite the obstacles, they did it.

"I was there in 1992, which was one of the most difficult years, and certainly people were moaning a lot, but they worked together, they still kept the milk coming for the schoolchildren," says Emmett.

"Throughout it all they didn't close any hospitals, they didn't close any schools; they kept going against the odds. In many ways they show us what is possible, what a community can achieve when they work together; the power of co-operation."

A blue-print to cope with problems post-peak oil?

Of course a powerful authoritarian state and strong central planning made such huge changes easier to implement; a similar process of development might be very different, and possibly lees successful, in the West.

But as an increasing number of people believe we will soon face a major social and economic crisis as oil supplies dwindle over coming decades, many believe we have a lot to learn from the Cuban experience.

"The industrialized world can learn that its dependency on oil will eventually push it through similar experiences to that which Cuba had to face in the 1990's, and with similar outcomes," says Julia Wright, author of "Sustainable Agriculture and Food Security in an Era of Oil Scarcity: Lessons from Cuba."

"We can also learn that if we do not have the necessary capacities in place, our food production system will be caught short, as was Cuba."

All over the world from New Zealand to the United Kingdom members of the Transition Town Movement, which aims to help communities prepare for the twin challenges of peak oil and climate change, hold regular screenings of the film, "The Power of Community", an upbeat documentary that explores the Cuban experience, alongside films about our oil addiction such as "The End of Suburbia" and "A Crude Awakening."

"Cuba inspires groups overseas wanting to develop alternative, more sustainable farming and food systems, partly based on the myth that has built up around Cuba being organic," says Wright.

"Organic farming in Cuba only operates in urban areas, not rural... [but] the Cuban organic movement and the people within it are highly dedicated to their work and will continue to influence and be influenced by the organic movement overseas."

The future is less clear. New allies are once again opening Cuba up to the outside world -- and providing fresh oil supplies.

"Hugo Chavez is supplying Cuba with increasing quantities of oil and agrochemicals, so Cuban agriculture -- and here I'm talking about rural farms which supply 95 percent of the nation's domestic food needs -- is becoming more industrialized, though it will not revert back to the extreme practices of the Soviet era," says Wright.

"Organic urban agriculture will continue and likely continue to expand out to peri-urban areas."

But whatever the years ahead bring, Wright believes the experience of the "Special Period" has left its mark on Cuban society.

"The crisis that Cuba suffered has made it a better place in certain aspects, as people had to become more resilient and self-sufficient and less wasteful," says Wright.

"Although Cubans would certainly say that their food shortages and lack of inputs has been a hardship."

@highlight

Cuba's economic hardship in early 1990's led to reorganization of agriculture

@highlight

Urban and organic farming implemented plus break up of inefficient large farms

@highlight

Some see Cuba's experience as way to cope with problems of future oil crises