Washington (CNN) -- 45 years ago, while on patrol in Vietnam's Mekong Delta, Dennis Joyner was suddenly faced with his own mortality. He never heard the explosion that destroyed his legs and left arm, but be clearly saw what had happened to his body.

"Let me die" -- was his immediate reaction. But it was his sergeant who reminded him of his family and all he had to live for.

On Sunday in Washington, Joyner was able to thank Sgt. Ed Reynolds as he looked out on the only memorial to honor the living disabled veterans of America's wars.

The American Veterans Disabled for Life Memorial, located just blocks from the U.S. Capitol, was dedicated Sunday in a ceremony that focused on life after war and the many sacrifices disabled veterans still make.

President Obama spoke at the ceremony of the cost of war and the painful legacy it leaves behind.

"Each of you endured a moment that shaped the arc of your lives and that speaks to our debt as a nation," Obama said. "It was the moment that binds each of you forever, that moment of realization that life would not be the same."

Joyner, who served in the 9th Infantry Division, was awarded a Bronze Star and a Purple Heart for his service. While recovering, and learning how to function in his new body, Joyner worried about how his family would react.

"I can't image the fear, the terror, that must have been in my family's hearts and minds that day they received a telegram explaining the severity of my injuries," Joyner told the audience at the memorial's dedication. "Trying to think of what to say seeing me for the first time, minus three limbs."

The memorial was designed as a space for disabled veterans and those they love to find quiet reflection. A ceremonial flame hovers over a reflecting pool, surrounded by granite and glass walls and a grove of trees.

"What we gave, what our families gave, and what we continue to give, will be forever remembered here in our nation's capital," Joyner said Sunday. "We are not unique in our story, we are just one example of the thousands of lives affected by the lifelong disabilities that are the terrifying consequences of war."

Those consequences weigh heavily on the recent maneuvering of U.S. military operations in the fight against terrorist group ISIS. The President's refusal to send ground troops to the Middle East was echoed in his comments Sunday.

"Let's never rush into war, because it is America's sons and daughters who bear the scars of war for the rest of their lives," he said. "Let us only send them into harm's way when it's absolutely necessary. And if we do, let's always give them the strategy, the mission and the support that they need to get the job done."

Veterans Affairs Secretary Bob McDonald and veterans advocate and actor Gary Sinise -- who played the character of Lt. Dan in the movie "Forrest Gump" -- also spoke at the ceremony.

A long journey

Lois Pope was visiting the Vietnam War memorial when she was first struck by the need for a special place to honor disabled veterans. Pope saw a veteran in a wheelchair struggling to lay flowers on another veteran's grave.

"That was the catalyst that sent me on this 16-year quest to build this memorial so that our nations disabled veterans could earn the respect and the recognition that they so deserve," Pope said.

In 1998 Pope joined forces with Art Wilson, who was the national adjutant for Disabled American Veterans at the time. The two worked with former VA Secretary Jesse Brown to make the memorial a reality.

"Until this day, this very day, we have not remembered those who lived and whose lives were forever changed by the sacrifices they made in uniform," Wilson said at the ceremony. "Without their stories and the experience of their loved ones, we as a people cannot know the cost of war."

9 simple ways you can help veterans

Life after battle

For disabled veterans, the end of active military service is not the end of the battle, said Pope.

"The cost of war does not end when guns are silenced, for every day disabled veterans continue to battle with their physical and mental disabilities."

Obama also underscored that not all veterans' injuries are visible.

"No matter what war you served in -- and whether they called it 'shell shock' or 'battle fatigue' or the '1,000-yard stare' or post-traumatic stress -- you know that the unseen wounds of war are just as real as any other, and they can hurt just as much, if not more."

"You are not alone"

Although the U.S. Department of Veterans Affairs has recently admitted to mismanaging the care of veterans, the President emphasized the government's responsibility to provide care and support.

"When our wounded veterans set out on that long road of recovery, we need to move heaven and earth to make sure they get every single benefit, every single bit of care that they have earned, that they deserve," he said.

Obama also spoke of the responsibility ordinary citizens have to honor the sacrifice that veterans have made.

"If they're hurting and don't know if they can go on, we need to say loud and clear, as family and friends, as neighbors and coworkers, as fellow citizens, and as a nation: You are not alone," Obama said.

"If you're an American, and you see a veteran -- maybe with a prosthetic arm or leg, maybe burns on their face -- don't ever look away," he said. "Do not turn away. You go up and you reach out, and you shake their hand, and you look them in the eye and you say those words every veteran should hear all the time: 'Welcome home, thank you. We need you more than ever. You help us stay strong, you help us stay free.'"

@highlight

The American Veterans Disabled for Life Memorial was dedicated Sunday in Washington

@highlight

President Obama emphasized the cost of war, his commitment to caring for vets

@highlight

Co-founders Lois Pope and Art Wilson have worked on the project for 16 years