(CNN) -- Reginald DesRoches is deploying to Haiti to tag key infrastructure buildings with red, yellow and green markers -- designations on whether they're still usable.

DesRoches has years of experience as a civil engineering expert dealing with structures in the wake of earthquakes. This disaster is also personal: He was born in Haiti and one of his uncles died in the quake's aftermath.

The associate chair of Georgia Tech's School of Civil Engineering,  DesRoches will lead a team of experts in Haiti about the sustainability of buildings. He spoke with CNN before heading to Port-au-Prince.

Below is a transcript of the interview, a portion of which has been edited.

CNN: What will be your task in Haiti?

DesRoches: There's an urgent need for a group of experts in earthquake engineering, preferably French speaking, to come down and assess the critical buildings to determine whether or not they're safe to reoccupy. Essentially, we go about tagging them: red for unsafe; green for safe; yellow for something in between.

We were asked to do this on a number of critical infrastructure buildings, including hospitals, schools, U.N. facilities, government buildings, as well as buildings occupied by various nations' ambassadors. Evidently, there hasn't been anybody on the ground yet to do that service, so there's a need to get somebody in there ASAP to assess as many buildings as possible. ...

There's a specific manual that's been developed by the Applied Technology Council and the manual is geared toward the rapid assessment of buildings after earthquakes. The manual gives you guidelines based on the type of damage -- the type of cracking you have in columns and other load-bearing elements, as well as how many of them have specific levels of damage.

Based on this checklist, you can then determine what category your building should be classified as.

CNN: In many ways, this is the nightmare scenario. You have this quake in impoverished Haiti. Supplies are hard to get down there. In a month or two, you have the start of a rain season and following that you enter hurricane season.

DesRoches: There are a number of issues there. They clearly don't have the infrastructure to facilitate rapid recovery from this. There are a number of buildings that have collapsed and bodies are still there. It will take weeks, if not months, to recover those bodies. And like you said, the rain season is coming up. ...

It's really the worst of all cases. This is probably the one country that could not handle an event like this. I call this in some ways the perfect storm of an earthquake, given that it was large, it was very shallow, the infrastructure is extremely poor and the government wasn't prepared.

So I think the resulting disaster is really a combination of a number of factors working against it.

CNN: Describe your own personal feelings as you head down there, as Haitian and as somebody who lost a loved one.

DesRoches: I had one uncle that passed away. His was what we typically call "secondary effect." He was found safe following the earthquake. He had been somewhat ill with prostate cancer and he had [gone] back several times to the U.S. for treatment. ... My father spoke to him shortly after the event and he was doing fine on Wednesday. Then, it sounds like he wasn't feeling very well. On Friday, I believe, he went to the hospital and clearly with all the other critical patients, they couldn't really deal with him. And he died on Saturday.

A lot of these things are never captured during an event like an earthquake or hurricane. We call them "secondary effect," where a hospital is overrun and those that are ill -- maybe not directly from the earthquake -- end up dying whereas normally they probably would not.

CNN: When you first talked to him, you must have been relieved that he was alive and you must have been celebrating.

DesRoches:  Absolutely.

Another close relative, my godmother and godfather: We've been told through their children in the U.S. that they are safe but their home has been destroyed.

CNN: What's going through your mind as you return home?

DesRoches: I was born in Haiti. I came [to the U.S.] as a very young child. I was 1½. I spent the majority of my life in the U.S. ... But we still have a lot of family and ties to Haiti. For many years, as my capacity as a civil engineering professor, I've always wanted to do whatever I can to help Haiti. And I see this as one opportunity to do that, given that I do earthquake engineering.

I want to use this opportunity, not only to help them recover in the short term, but also rebuild Haiti so that it's safe and sustainable. And I think this earthquake , unfortunately, provides the opportunity to start from scratch and make it a much better, more resilient place.

@highlight

Civil engineering quake expert heads to Haiti to assess buildings

@highlight

Reginald DesRoches says the quake was "really the worst of all cases"

@highlight

DesRoches is a native of Haiti; his uncle died in the quake's aftermath

@highlight

Haiti must be rebuilt "so that it's safe and sustainable," he says