San Diego, Calif. (CNN) -- Twenty years ago, an editor at the Los Angeles Times told me the newspaper had changed the way it reported on Mexico. "Now we cover it as a local story," he said.

Why not? There are more Mexicans living in Los Angeles than in any other city in the world except for Mexico City.

From one end of the Golden State to another, Hispanics are a natural part of the cultural landscape. Mexican restaurants that are anything but exceptional don't stay open long because the competition is too stiff. Cities, counties, streets and subdivisions are named after Catholic saints. You hear Spanish in the air, and no longer question why that is. Most weekends, in many cities, there is a Mexican-style festival with food and music. Mariachis and margaritas are always on the menu.

Supermarket clerks, bank tellers and restaurant cashiers greet me by rolling the "r's" in my last name: Navarrrrrette.

Welcome to California, which will soon achieve a milestone of sorts.

If state demographers are correct, in the nation's most populous state, which is home to more than 1 in 10 Americans, Hispanics will soon overtake whites to become the state's largest racial/ethnic group. Demographers predict that sometime this spring in California, Hispanics will make up 39% of the population while non-Hispanic whites will account for 38.8%.

It's a nativist nightmare. For those Californians who worry about the phenomenon that sociologists call "cultural displacement," those feelings of being marginalized and left behind will only intensify.

So will the sense of irony. A state that was once controlled by Mexico, before Manifest Destiny came along and ordained that God wanted white folks from Kansas and Missouri to have it, is now heavily populated by the runaway children of Mexico and their offspring. An enormous swath of oceanfront property has been reclaimed without a formal declaration of war.

Forget what you've heard about a reconquista: the fabled reconquering of the Southwest by Mexican-Americans on behalf of Mexico. That's loco. Most Mexican-Americans are barely on speaking terms with Mexico. We (I am among them) understand that our neighbor had no room in its economy for our dark-skinned, uneducated parents and grandparents, who were forced to go north. Now, most of us reciprocate and have little room in our hearts for Mexico. Our loyalty is to the United States. Even if we were speaking to our Mexican brethren, we'd be conversing in different languages. Most Mexicans speak Spanish, and about 80% of U.S. Latinos speak English.

Americans need to study up on this group. The Census Bureau estimates that Hispanics, whose heritage can be traced to more than a dozen countries and who make up 17% of the U.S. population, will account for as much as 29% by 2050.

And while some Americans might like to believe that these figures are artificially high due to undocumented immigrants, these are U.S. citizens and legal residents we're talking about. These are just, as comedian George Lopez likes to say, the people who answer the door when the bell rings.

About 70% of this population will be Mexican or Mexican-American. And when we arrive at the point where nearly 3 in 10 Americans are Hispanic, Hispanics will see our imprint just about everywhere -- food, language, sports, fashion, entertainment, business, pop culture and beyond.

So what does it mean that California has gone back to its roots and become what it was before 1850: a Hispanic state?

On the one hand, there is always the chance that, in a state such as California, this could be a kind of psychological tipping point where even the densest folks in commerce, media, academia and other fields finally get the message that Hispanics are an essential and productive part of the state's economic engine. In the Golden State, whatever business you're in, and whatever goal you're pursuing, if you're not incorporating Hispanics into your vision and onto your team, then you're leaving money on the table for your competition.

On the other hand, those folks who worry about change might become even more fearful and hostile--for it is fear that drives the immigration debate. Americans didn't just wake up one morning and discover the concept of "rule of law" and that the United States shared a border with Mexico. Those things have been around for quite a while. What's new is the demographics. As soon as many non-Hispanics began to see this writing on the wall, they started building more walls.

So, if enough Americans deny and resist the new reality and try to -- as they say south of the border, cover the sun with their thumb -- things might get worse before they get better. There could be more conflict and hostility, as Hispanics become frustrated with efforts to thwart their ascendancy.

Of course, Hispanics themselves have the greatest power to determine their destiny. We have to make better choices and stop being a cheap date for the political parties. We have to put the United States, and our community, before our allegiance to any political party. Most Hispanics are registered Democrats, but this goes for Hispanic Republicans, too. We have to elect better leaders and hold them accountable. We have to be as hard on our friends as we are on our enemies. We have to reflect now and then on what road we're on, and change course if necessary. And we have to stop squabbling with one another, and make our community safe for diverse opinions that stray from the established narrative.

There is reason for optimism. There are better days ahead, and nothing to fear. Hispanics didn't just come to America. In California, and the rest of the Southwest, it was the other way around. America came to Hispanics. Now we are one and the same.

@highlight

Ruben Navarrette: Hispanics part of California cultural landscape

@highlight

He says last month Hispanics overtook whites as state's largest racial/ethnic group

@highlight

He says nativists balk, but Mexicans not new; they are long woven into fabric, loyal to U.S.

@highlight

Navarrette: Americans need to study up on this group, and Hispanics need to harness clout