BAGHDAD, Iraq (CNN) -- The fighting that erupted in Baghdad's Sadr City last month has killed 925 people and wounded 2,605, a top government official said Wednesday.

Iraqis mourn outside the Sadr City hospital Wednesday after several people were killed in clashes.

Most of the casualties consist of civilians and "criminal elements attacked by us," said Tahseen al-Sheikhly, a spokesman for the Baghdad security crackdown called Operation Enforcing the Law.

Civilians are being caught in the crossfire because militants "use the population to cover themselves," al-Sheikhly said.

The number of Iraqi civilians killed and wounded nationwide continued to increase during April. According to Iraq's Interior Ministry, 969 civilians died and 1,750 were wounded during April. In March, the total was 923 civilians killed and 1,358 wounded -- a sharp increase over February, when 633 died and 701 were wounded.

Despite Shiite militants' calls for the Iraqi government to honor a cease-fire, al-Sheikhly said, the crackdown on insurgents will end when the insurgency ends.

"I don't think there is a timetable for all this. I can't tell that this will end tomorrow or the day after," he said. The attacks "will end when those aspects of violence end."

He echoed sentiments expressed earlier in the day by Prime Minister Nuri al-Maliki, who said the government will not accept the existence of a nongovernment armed force.

Word of the casualties came as the U.S. military said its highest death toll in seven months reflected an effort by Iraqi militants to reassert themselves after weeks of government crackdowns.  Watch how civilians are dying in the urban fighting (graphic content) »

Three U.S. soldiers in Iraq were killed Wednesday in two roadside bombings, the U.S. military said. The first incident occurred about 1 a.m. during a walking patrol in northern Baghdad, the military said.

The other two died about 4:50 p.m. when an improvised explosive device detonated in southern Baghdad, the military said. Names of the soldiers were withheld pending notification of their relatives.

Another U.S. soldier died Wednesday in a bombing in the northern Iraqi province of Ninevah, according to the military.

The deaths bring the April death toll for the U.S. military to 50, the highest monthly tally since September. Most of the deaths occurred in and around Baghdad, and most were combat-related.

Since the war in Iraq began, in March 2003, 4,062 U.S. service members have died.

Over the past several weeks, militants have increased mortar and rocket attacks against civilian, government and military targets, said Gen. Kevin J. Bergner, spokesman for Multi-National Force-Iraq.

"These indirect fire attacks have killed some 40 people in Baghdad, with some 370 others injured," he said.

Troops "are responding appropriately to these lethal attacks. As we do so, we use precision strikes and take precaution to limit the damage," Bergner said. "We have said all along this will be a tough fight."

A member of the American-backed militia Sons of Iraq was killed Wednesday, and four others -- three of them also Sons of Iraq members -- were wounded, when an improvised explosive device detonated near the town of Hawija, Iraq, the U.S. military said.

The Sons of Iraq members were returning from a meeting when the explosion occurred, the military said. The wounded were taken to a hospital in Hawija, about 70 kilometers (43 miles) southwest of Kirkuk.

U.S. and Iraqi troops have clashed with Shiite militants in Sadr City, a sprawling, crowded Shiite slum. Many of the militants are loyal to cleric Muqtada al-Sadr and his Mehdi Army militia.

Much of the fighting has been between the Mehdi Army and U.S.-backed Iraqi security forces, which are dominated by a rival Shiite group, the Islamic Supreme Council of Iraq.

The fighting intensified March 25, when the Iraqi government announced a crackdown on "criminal elements" in Basra, a Shiite stronghold in southern Iraq.

The fighting soon spread through southern Iraq's Shiite heartland and into Shiite neighborhoods in the capital. There also has been violence in areas dominated by Sunnis, such as Nineveh and Anbar provinces.

Skirmishes in Sadr City were aggravated this month when al-Sadr aide Sayyed Riyadh al-Nuri was shot outside his home in the Shiite holy city of Najaf.

Al-Sadr suspended the activities of his militia in August. U.S. military commanders cited the suspension as a major reason for a decline in violence in Iraq. Another factor, commanders said, was last year's troop escalation, dubbed the "surge."

Al-Sadr issued a cease-fire for his followers March 30. Fighting in Sadr City waned but remained intense, the U.S. military said.

The cleric has intermittently appealed for calm and threatened to rescind his cease-fire order in recent weeks.

Al-Maliki has threatened to boot al-Sadr's supporters from parliament if the Mehdi Army does not stand down.

An adviser to al-Maliki said this week that the government would halt its assault on militias if the groups hand in their weapons, turn in wanted militia members and refrain from interfering in the affairs of the Iraqi government and security forces.

Al-Sadr has rejected the offer, saying al-Maliki hasn't kept his end of the present cease-fire -- under which, the cleric's supporters said, the Iraqi government would free nonconvicted prisoners belonging to the Sadrist movement and discontinue attacks on al-Sadr's followers.

Last week, al-Sadr threatened to wage "open war" on U.S. troops if attacks do not cease. He issued a separate statement Friday to emphasize that his militia would target "occupiers" and not Iraqis.

In that statement, al-Sadr also said he would not accept the long-term agreement that the United States and Iraqi governments are crafting to replace the U.N. mandate for multinational forces in Iraq. The mandate expires in December. E-mail to a friend

CNN's Mohammed Tawfeeq and Jomana Karadsheh contributed to this report.

@highlight

NEW: 3 U.S. soldiers killed in 2 roadside bombs; total U.S. death toll at 4,062

@highlight

Government attacks on militants will stop when insurgency stops, official says

@highlight

Official: Civilians killed because militants "use the population to cover themselves"

@highlight

Iraqi security forces, Shiite militants have been fighting in Sadr City for weeks