When Derrick Bell was a young lawyer in the Department of Justice's new Civil Rights Division in the late 1950s, his supervisor told him to drop his membership in the National Association for the Advancement of Colored People.

Bell refused, and soon saw his caseload reduced and desk moved into the hallway. Eventually he resigned.

It would not be the last time Bell gave up a prized position for a principle. Years later, he left Harvard Law School -- where he had been the first tenured African-American professor -- over the lack of any black women on the faculty.

Bell was a legal scholar who broke racial barriers in a career that influenced students, including a young Barack Obama at Harvard. He died last October.

Now Bell is in the news, due to a video clip made public by the website of the late conservative activist Andrew Breitbart, who died March 1 at age 43.

Breitbart had promised to release videos of Obama as a student at Harvard Law School that he said would show people "why racial division and class warfare are central to what 'hope and change' was sold in 2008."

The clip made public on Breitbart's website this week shows Obama introducing Bell at a Harvard demonstration in 1991. Obama encourages the crowd to "open up your hearts and your minds to the words of Professor Derrick Bell" and then embraces him.

To Breitbart and those at his website, the clip proves a connection between Obama and a radical academic with an anti-white message.

They seek to link Bell to the Rev. Jeremiah Wright, Obama's former preacher in Chicago who became an issue during the 2008 presidential campaign because of anti-white pronouncements.

Joel Pollak, the editor-in-chief of Breitbart.com, called Bell "the Jeremiah Wright of academia" in an interview Thursday on CNN. He argues that Obama's association with Bell and Wright shows his leaning toward radical social views, and that such issues need to be fully vetted in an election year.

"It carries over into his governance because his Justice Department won't treat black civil rights violators the same way it treats white civil rights violators," Pollak said, adding "there's a racial pattern in which justice is enforced and it gives us a sense of how Barack Obama thinks about these issues."

However, many who knew Bell through his legal and teaching career express admiration for his life's achievements and his academic prowess.

"Bell's pursuit of racial and social justice and his dogged critique of liberal incrementalism in universities and elsewhere was like a persistent wind that changed the landscape of law schools and influenced the larger academic world as well," wrote Harvard law professor Lani Guinier and Texas School of Law professor Gerald Torres in a remembrance of Bell published in the "Chronicle of Higher Education."

"He worked in so many ways: a mentor to many of today's leading academics, a master teacher whose commitment to his law students was unquestioned and unmatched, and a provocative scholar and critic," Guinier and Torres continued. "He was a celebrated maverick before that word lost its luster."

Guinier had particular reason to honor Bell. In 1998, she became the first black women granted tenure as a Harvard Law School professor, six years after Bell's departure over that issue.

Bell was a founder of critical race theory, which examined the intersection of race, power and law in a harsh portrayal of American society as one dominated by class and racial conflict.

His book "Race, Racism, and American Law" is taught in civil rights courses today, and those in the legal world offer a more comprehensive description of critical race theory than Pollak's assertion that it "is all about white supremacy."

In their remembrance, Guinier and Torres wrote that critical race theory "challenged liberalism for failing to go far enough in opposing the entrenched interests that historically benefited from the racial caste system that was being dismantled."

According to Guinier and Torres, the theory contends that racial liberalism in the 1950s and '60s relied solely on litigation as a strategy and focused on "top-down social reform" that emphasized interracial contact to promote tolerance.

"As Bell recognized, that strategy left poor whites haunted by the sense that they had been betrayed by the elites; at the same time, it enabled them to blame blacks as the beneficiaries of that betrayal," Guinier and Torres wrote.

"Bell led scholars in many disciplines to see how the interests of middle- and upper-class whites drove social change. Thus, litigation alone would not produce significantly new and inventive policy solutions."

Bell challenged the foundations of what he saw as racial injustice with little regard for political leanings or labels.

For example, the New York Times obituary on Bell noted that he once wrote that the violence from school desegregation in the United States after the Supreme Court's landmark 1954 decision in Brown v. Board of Education made him wonder if an order for equal schools for both races would have been a better outcome.

Guinier and Torres cited what they called Bell's "groundbreaking analysis" of what he labeled the interest convergence dilemma.

"The interest of blacks in achieving racial equality will be accommodated only when it converges with the interests of whites," they quoted from Bell's writing.

Bell's teaching included the use of narrative structure and storytelling to illuminate and challenge thinking on race, class and gender. One of his stories, "Space Traders," is a biting political and social satire that HBO made into a TV movie starring Robert Guillaume. It's about an alien offer to solve America's economic and energy problems in exchange for removing the nation's dark-skinned population.

"Derrick chose to speak and write in parables," said John Sexton, a student of Bell's who became president of New York University, in a eulogy at a memorial service in November.

"He created his own way of teaching about race through allegorical conversations stripped of pretense and euphemism. He examined complex dynamics of behavior through the simple need to hear and tell stories, among the most ancient of human tools."

Bell also came under criticism in his career. U.S. Appellate Court Judge Richard Posner, a conservative, wrote in the New Republic magazine in 1997 that critical race theory "turns its back on the Western tradition of rational inquiry, forswearing analysis for narrative."

"Rather than marshal logical arguments and empirical data, critical race theorists tell stories -- fictional, science-fictional, quasi-fictional, autobiographical, anecdotal -- designed to expose the pervasive and debilitating racism of America today," Posner wrote. "By repudiating reasoned argumentation, the storytellers reinforce stereotypes about the intellectual capacities of non-whites."

Sexton, who hired his former professor at NYU, said Bell was "a seeker and lover of truth, a radical in the sense that he chose to live ethically in a deeply flawed society" and "a scholar who spoke and wrote the truth of his own profound and deeply scarred experience of injustice with honesty and eloquence."

"He wrote and spoke with powerful authenticity about race in ways that alienated not only many an adversary but also many a friend, some who even begged for his silence," Sexton said. "But he knew that the cost of silence to his soul could exceed the sacrifice of good opinion and material goods to himself."

To Sexton, Bell "knew that he was meant to strive, to struggle, and to push -- there would be no short cuts."

"Yes, Derrick rocked the boat," he continued. "He also shook the tree, yielding fruits of exceptional scholarship that nourished the discipline of law and thousands of colleagues, students and friends, whom he inspired to teach each other the law and to stand up, speak out, and find joy and satisfaction in stretching the boundaries of justice."

In particular, Sexton said, Bell "placed his courageous and ardent protests within a crucible of reverence for every human being."

Guinier and Torres wrote in their remembrance that Bell's ideas and life experiences were inseparable. They quoted him from an NPR interview in which he described being a civil rights lawyer in the 1960s, flying from town to town to get information on discrimination and then returning to New York to file complaints and litigate the cases.

"And I thought that my place in heaven was assured," Bell told NPR. Only later did he realize nothing would change if local people failed to organize, telling NPR: "I am much more humble with regard to my role today than I was as a young civil-rights lawyer."

@highlight

Derrick Bell is in the news because of a video on a conservative website

@highlight

The video shows a young Obama embracing Bell at a 1991 Harvard demonstration

@highlight

Bell, who died last year, was a major academic on race and the law

@highlight

The website of the late Andrew Breitbart claims Bell promoted anti-white views