SANTIAGO, Dominican Republic (CNN) -- This Caribbean city already known for cigars, furniture, chocolate and coffee may become a magnet for Americans seeking controversial stem cell therapy for life-threatening illnesses if a Florida cardiologist has his way.

Dr. Zannos Grekos, a Florida cardiologist, says he's had success with stem-cell therapy in the Dominican Republic.

The Food and Drug Administration has not approved this stem cell therapy in the United States because no clinical trials to prove its effectiveness have been done. But Dr. Zannos Grekos says his company, Regenocyte Therapeutic, has successfully used adult stem cells to treat patients with heart and lung disease.

Grekos said he and his associates draw blood from a patient in Florida and then send it to a laboratory in Israel that produces what his company calls "regenocytes." The company defines regenocyte as "a stem cell that has been activated to become a target organ."

"These procedures work," he told CNN, standing inside a hospital room at the Clinica Union Medica del Norte in Santiago. "And it's substantiated by objective data that we are collecting."

But Grekos' procedures have not been reviewed by other researchers, and leading scientists involved in U.S. stem cell research efforts say Grekos is simply wrong. Dr. Irving Weissman, president-elect of the International Society for Stem Cell Research, told CNN, "There is no such cell. There is nothing called a 'regenocyte.' "

"As a stem cell scientist who works in the field of regenerative stem cells, I am disappointed and shocked that somebody would prey on a family that has an untreatable disease with the promise of a therapy that has no scientific or medical basis," Weissman said.

Grekos has a busy practice in Bonita Springs, Florida, outside Naples, and runs a company that promotes and administers stem cell therapies in Santiago, a noisy, crowded industrial city in the central Dominican Republic.

He told CNN that in the past 18 months, about 100 patients have received adult stem cell therapy at a Dominican hospital. Most of them have been patients with severe heart disease, while the rest have suffered from chronic lung illnesses, he said.

He said the Israeli laboratories can produce between 40 million and 80 million stem cells from a patient's blood sample.

"Then they also activate them and educate them to become the end organ to any tissues we are looking to regenerate," Grekos said.

Grekos said he makes no promise of results to his patients. He is collecting data from his procedures and has been in contact with a Florida hospital to independently review his findings, but that hasn't happened yet, he said.

He said he wants to present his data to the Food and Drug Administration by the end of 2009, then ask the federal agency to accelerate its approval process.

But Weissman said the FDA will not accept data from a physician if the doctor has a financial interest in the outcome. "It is simply not done," he said.

The procedure is costly. Grekos said he charges $64,500 -- none of it covered by insurance. He said the cost is driven by the expense of processing the stem cells, and providing clean rooms and couriers who hand-carry the cells to Israel and back.

A year ago, Barbara McKean of Naples, Florida, paid Regenocyte Therapeutic more than $54,000 for stem cell therapy in the Dominican Republic after suffering from chronic lung disease. She said she believes the therapy was worth the expense.

"Right away, the next morning, I felt a sense of well-being that I hadn't felt in a long, long time," McKean said.

"I know that I am living proof that this does work," she added. "I know that."

McKean's family physician, Dr. Robert Folsom, confirmed to CNN that she had been suffering for many years from an advanced state of COPD, an incurable lung disease. Folsom told CNN he was "quite incredulous" after seeing her condition improve.

The chief medical officer of the American Lung Association, Dr. Norman Edelman, said he does not doubt the sincerity of patients who believe they have been helped by stem cell therapy. But he added, "There's an enormous placebo effect in almost all of these cases."

"I have looked for the scientific efficacy of this approach, and can find none," Edelman said.

Folsom, who said he has been McKean's family physician for many years, disputed any suggestion that her apparent recovery stemmed from a "placebo effect" -- an improvement sometimes seen in patients who are given an inert substance in clinical trials.

"I know about the placebo effect, and her improvement does not seem to be a result of that," he said.

Grekos said his patients "are getting better" under his treatment, but he has not yet applied for clinical trials in the United States because of the high cost. He shrugs off the criticism from people who doubt his claims, saying he -- and not they -- are on medicine's cutting edge.

Stem cell experts who reject his methods "need to be better educated," he said.

@highlight

Florida cardiologist is administering stem cell therapy in Dominican Republic

@highlight

He claims he's had success in turning stem cells into cells from target organ

@highlight

"There is no such cell" as a "regenocyte," stem cell research expert says

@highlight

Therapy patient and her longtime physician say her improvement was significant