(CNN) -- Lawyer and human rights activist Seodi White has long been an outspoken campaigner for gender justice in Malawi, a country where half its women are married before the age of 18.

As the head of the Malawian chapter of Women in Law in Southern Africa (WLSA), White is at the forefront of the battle against inequality, traveling around the country to promote education and to stop young girls from giving up on school and marrying in their early teens.

But the prominent activist, who is herself the mother of a young daughter, is not only concerned with the rights of teenage girls. She is also targeting cultural practices that harm older, vulnerable women in Malawi.

'Widow cleansing'

One such custom, prevalent in the southern tip of the landlocked country, is "widow cleansing," a traditional practice in which a widow is expected to have sexual relations, "in order to cleanse her," explains White.

"There is a belief that if she does not sleep with someone, the spirit of her dead husband will come and visit upon her and her family will be cursed," she adds.

White says that the practice is not forced upon widows. Instead, she says, the tradition has become so much part of the culture that widows themselves call for it.

"It's a mindset issue," says White. "Even the widows, they've told me, 'I don't want to die, I don't want a curse to come to my husband.' They cry to be cleansed."

Read this: Married at 13 to man in his 70s

White says the tradition, which involves unprotected sex, thus increasing the chances of HIV infection, has been turned into a business.

"There are professional cleansers in villages," says White. She says these men charge widows up to $50 for their services, in a country where the minimum wage is less than $1 per day.

In recent times, there have been several initiatives by White's NGO, as well as other groups, to try and change the situation. One effort is to target the "professional cleansers" in attempt to get them to change their ways.

"Some have actually come out in the open and said: 'I used to be a commercial cleanser, I'm HIV positive, I've stopped, it's not fine and I go village by village telling other commercial cleansers to stop this, it's a risky taboo behavior.'"

The power of education

A daughter of a professor of English, White grew up in Malawi in a relatively privileged family. She received her law degree in Botswana before moving to the UK to focus on gender and development studies.

White saw first-hand the difference that education can make to a woman's life, and that's why all her efforts to promote gender equality -- from campaigning against child marriage and domestic abuse to protecting widows' rights through her work as a lawyer -- have been shaped by the transformative power of education.

"In this country, to get ahead in life, to beat poverty, you need education," she says.

Read this: 'Why women will change world'

"I know the difference between an uneducated woman in Malawi and a person of education, as I am, and I decided to use my position to uplift others," adds White.

"I decided I'm going to dedicate my life to dealing with injustice, just because I don't like it when a structure or system puts others in poverty, puts others in a position of inequality," adds White.

'The dispossession of widows'

Another campaign spearheaded by White is the fight against the prevalent culture of property grabbing, one of the most deep-rooted forms of discrimination suffered by widows in Malawi.

White says that all across the country widows are at risk of having their matrimonial property taken by their late husband's relatives, often leaving them and their children homeless.

"The way our family structures are done is that when a man and a woman get married they are not considered related," says White. "A man is still looked at by his family as he is theirs and the woman is looked at by her family as she is theirs."

Read this: 'Give African women a voice,' say activists

White says this entrenched culture, coupled with a prevalent assumption that women do not have an earning capacity, has condemned many widows to acute poverty.

"When the husband dies," says White, "his people, they come in and say, 'what did our son buy in this house? Where is the stuff?' They don't look at the stuff as belonging to the family."

WSLA fought hard for more than 10 years to advance women's rights to keep their marital estate, calling for reform in Malawi's inheritance laws. Its campaign, which met strong resistance, finally succeeded in 2011 when the country's parliament voted to make property grabbing an offense and protect the spouse's and children's share in the deceased's assets.

"A law is a law -- it might not be like it's working immediately, but it's got staying power," says White, adding that more needs to be done to raise awareness about the reforms and to inform widows of their rights.

White says that despite all the difficulties, it is victories like this that make her decision to commit her life in the fight against gender injustice worthwhile.

"I've been working on this business for 15 years; They've been moments of hope," she says.

@highlight

Seodi White is a Malawian lawyer and women's rights activist

@highlight

She says one tradition dictates that widows have sex in order to be "cleansed"

@highlight

White is determined to stop young girls from giving up on an education

@highlight

She also fights to protect widows' rights in Malawi