(CNN) -- Last week, I sat down with colleagues and students to an early Thanksgiving meal prepared by my university's cafeteria. Along with our winter greens, butternut squash, brussels sprouts with apples and bacon, and pumpkin grits, we ate a roasted "heritage breed turkey."

Accolades ensued: "To me, all turkeys taste the same—except for this one—I can tell the difference," said William Payne who works in the medical school. The local greens from Georgia farms were "really, really tasty," said a first-year student from the Atlanta area and her friend from Tianjin, China.

The meal was Emory University's fourth Heritage Harvest Feast. The turkey that had everybody talking was a Narragansett,  a heritage breed native to Rhode Island. Along with Bourbon Reds, Narragansetts have been saved from extinction by farms like the Good Shepherd Poultry Ranch in Kansas, where Emory's turkey's come from, and by the efforts of the American Livestock Breeds Conservancy, a nonprofit dedicated to conserving rare breeds of livestock.

The Heritage Harvest Feast is not only an occasion for thanks and a good meal, but it also is part of a commitment to building a more sustainable food system. Sustainability depends on variety. To preserve variety, we need to grow it and want to eat it!

Thanksgiving advice, recipes, solidarity and sanity

Genetic variety in our food system is the result of thousands of years of farmer and consumer choices, in itself a precious human heritage. Adapted to local climates and all kinds of diseases and pests, the seeds and breeds that have survived until the present day are often hardier, more resilient—and can be more nutritious as well.

As our planet warms and growing seasons shift, new patterns of flood, drought, frost and pests will stress our food system. When farmers plant large tracts of one variety--perhaps one that is bred to grow faster, is suited to mechanical harvest and travels well--or consumers demand only one breed of animal, our food supply is vulnerable. In the 1970s, for example, a disease wiped out more than 50% of the corn crop in some states, because those areas were planted to one single corn variety.

Crop uniformity is the enemy of resilience. The hardy traits of older, heirloom varieties provide a safety valve. They allow us to breed new, more resilient crops using traits we don't even know we need until disaster strikes.

But can we count on those genetic riches surviving today? Around the world, the loss of species to extinction is progressing faster than ever. And this loss includes our seed varieties.

Studies using USDA crop lists from 1903 estimate that only 6-7% of the nation's named commercial varieties remained available by the 1980s. We lost, for example, 86% of our apple varieties and 92% of our lima beans.

Cary Fowler and Pat Mooney in "Shattering: Food, Politics, and the Loss of Genetic Diversity" report that 93% of our lettuce varieties, 81% of our tomatoes, 93% of our carrots and 91% of watermelon varieties are extinct. To be sure, commercial seed catalogs now list many new hybrid crop varieties. But these hybrid seeds do not contain the range of genetic variability of the older, open-pollinated seeds (that is, plants pollinated by birds, insects or wind that "breed true") that reflect centuries of selection. This is a staggering loss of our precious genetic heritage.

The best guarantee of a safe food supply as we head toward an uncertain global future is a large number of diverse food producers growing a wide variety of healthy seeds and breeds. But to save this rich biodiversity—of potatoes or turkeys—there needs to be a market. Fortunately, there is a growing awareness of the importance of heirloom varieties, and local farmers markets and even some grocery stores feature multiple varieties. Savoring distinct flavors in special types of vegetables, fruits and meats encourages us to recognize, enjoy and support farmers who are preserving variety.

iReport: Who's at your Thanksgiving table?

That's why Cora and her husband, Simon, (who came from the chemistry department to our early Thanksgiving dinner) grow a garden with heirloom vegetable varieties. And they order a heritage breed turkey for Thanksgiving even though it costs more. They are willing to spend extra money because, says Cora, "it's tastier, and we'd rather eat meat less often and not get mass-produced and flavorless turkey."

So, as you plan your feasts this holiday season, can you add an heirloom vegetable? Try a local specialty? Seek out a heritage breed? Our food future may depend on it.

The opinions expressed in this commentary are solely those of Peggy F. Barlett.

@highlight

Peggy Barlett: Early Thanksgiving dinner drew raves for tasty heritage turkey served

@highlight

She says a sustainable food system needs diversity, preservation of old varieties

@highlight

She says new weather patterns will stress crops; old varieties provide growing options

@highlight

Barlett: Majority of food plant varieties are lost; help save the rest by providing demand