(CNN) -- I've just returned from a visit to Tanzania with the global health and development organization Population Services International to better understand the challenges facing health workers in the developing world. The outbreak of Ebola only underscores the dire need for trained health workers -- a global shortage of nearly 7.2 million health workers, according to the World Health Organization.

About half of the spending on health care in Africa goes to private providers and care can be unregulated and quality inconsistent. During my week on the ground, however, I met PSI community health workers, nurses, doctors and business owners who deliver controlled and quality health care across Tanzania.

PSI has ensured quality care by applying proven commercial franchising strategies -- think McDonalds or Subway -- to health care. PSI operates a franchise network that spans 31 countries and serves 10 million people every year. In Tanzania, the franchise is called Familia.

Lucy, a Familia community health worker, goes out into the community every day and educates women about family planning and other health issues. Lucy then refers these women back to the neighborhood Familia clinic located right in the village she serves.

I joined Lucy for a session she organized at a modest apartment building with a few rooms separated by concrete walls and colorful fabric curtains. When I climbed the stairs to the front porch, about a dozen women with babies who were seated on straw mats greeted me. Lucy began to talk with them about their contraception options, and they had lots of questions for her. The most vocal was a gregarious woman named Sophia.

Sophia had used condoms and pills to space her births, but when Familia began offering longer-term methods like implants, she switched. The implant prevents pregnancy for up to three years, and she shared with us how it was a great weight off her shoulders. She told the group that she wanted to be able to plan her family size, so she and her husband could save for the future. Lucy reiterated that for women like Sophia, access to family planning is a key to health and economic stability.

According to a report by the United Nations Population Fund and Guttmacher Institute, returns on investment in contraception can be recouped four times or more by reducing the need for public spending on social services. This is something Lucy knows well -- before she ended the session, she gave out vouchers to our new friends for a consultation at their local Familia clinic.

After the session, we walked back to the clinic together and Lucy introduced me to Dr. John -- the clinic owner and care provider. He's the kind of doctor anyone would want: one with a gentle bedside manner who cares deeply for the community he serves. We talked about the clinic, his needs and the number of clients he sees -- up to 200 per day.

Dr. John said what he most needed was better business management skills. He was most appreciative about that component of PSI's franchise model -- the ongoing training he and his staff receive. This helps him retain employees -- a major problem in developing countries underscored by this most recent epidemic -- and maintain a standard of care his clients can trust.

The Familia franchise incorporates 260 private health facilities across 16 regions in Tanzania. PSI establishes the quality standards that clinics in the network, like Dr. John's, must meet. And prices for products and services are set based on people's ability and willingness to pay. With this structure, the health facilities can reach the very poor with free services and those who can afford to pay something with reduced fees.

It's working and clients are happy with the services they receive. According to PSI's study of the Familia Network, the client retention rate is 81%. From 2009 to 2011, Familia health workers provided 45,000 IUDs and 14,000 implants to women who wanted a long-lasting method of contraception -- which equals 143,000 years of protection from unintended pregnanc y for Tanzanian couples.

This innovative model takes an unregulated sector with varying degrees of quality and standardizes the level of care. It provides the vital infrastructure necessary for a woman like Sophia to take care of herself and her family, and a doctor and business owner like John to earn a decent living.

As we left, I asked Dr. John if his future plans included opening a few more clinics. He smiled, and simply said, "That's my dream."

@highlight

Mandy Moore: Ebola underscores the need for trained health workers in Africa

@highlight

Moore: Care can be inconsistent, so PSI developed a "franchise" model for clinics

@highlight

Moore went to Tanzania to observe quality, controlled health care in clinic franchise

@highlight

She says the innovative model standardizes the level of care and business practices