(CNN) -- In a world where people power appears to be gaining momentum, you could be forgiven for thinking this month's meeting of the rich and powerful in the Swiss ski resort of Davos is an anachronism.

The World Economic Forum -- an informal meeting of executives, presidents, thinkers and stars -- once brokered history-changing encounters. Now critics say it is struggling for relevance at a time when the future is being shaped in the streets of Cairo or protest camps of Wall Street.

This appears to be borne out by events of the past 12 months. Despite hosting intense meetings about Greece's debt crisis and hastily-convened talks about the evolving political situation in Egypt, the Forum's 2011 enclave seems to have little to show for itself.

Davos's image problem is easy to quantify: It offers a haven for the capitalist world's elite at a time when social media has galvanized popular movements calling for greater democracy and a major rethink of the financial systems behind the global financial crisis.

"It is a very undemocratic meeting," said David Roth, president of JungsozialistInnen Schweiz (Swiss Young Socialists), who is helping to organize an "Occupy Davos" igloo camp in the icy streets beyond the Forum's heavily-guarded perimeter.

"It is a meeting for those who have created the crisis and they always have the same claims that, after being one of the reasons for the crisis, they think they are the solution to the crisis. We never get out of this because the same non-democratic people are making the decisions."

Those involved in the World Economic Forum are clearly not unaware of such viewpoints. This year's event is titled: "The great transformation: shaping new models," and features debates on the future of capitalism, democracy, the eurozone and the Arab world.

"This is not one of the easiest environments for Davos, there is so much economic uncertainty, so much resentment towards bankers and business leaders generally," said Mark Malloch-Brown, a former U.N. deputy secretary general and adviser to Forum financial talks.

But he and others insist that the five-day meeting can still play an important role in a turbulent world by offering lines of communication that bypass formal diplomacy to unite radically different perspectives.

"It is exactly these kinds of moments, where the official channels have clogged up in terms of finding solutions to the crisis both within Europe but more broadly at the global level, where Davos comes into its own," he added.

Nevertheless, he warns, the chances of this year's Davos delegates mapping a route out of the problems such as the debt crisis threatening to tear apart the eurozone, are as slim as in 2011 when, he says, little in the way of concrete economic policy was formulated.

"To be honest this year I don't see any great international initiatives," he said. "This is a very frightened, nervous and reactive global environment, so this is one of those years where Davos is much more about mood-taking; trying to find how intense or not the level of anxiety is in this strange environment, where so many of the formal business signals are going the wrong way."

Marco Magnani, a researcher in political economics at Harvard University appointed as a Forum young global leader, argues that in spite of its elitist nature, Davos offers diverse face-to-face encounters in an age when people are often sequestered behind computer screens.

"I don't think in those five days the world's problems get solved, but if people have good use of that time and opportunity they can prepare the ground to then have better communication with other folks and open communication channels," he said.

"To have a place where you can pretty much meet everyone in person and have a conversation -- that's very meaningful."

Ben Verwaayen, CEO of French telecoms giant Alcatel-Lucent and a Forum board member, also argues that although Davos "is not a negotiation," it represents a fruitful cross-cultural trade of ideas rarely seen in the closeted worlds of politics, business or academia.

Says Verwaayen, the failure of numerous crisis meetings held over the past 24 months by economists and European leaders to create a solution to the eurozone problem underscores the need for the alternative dialogues hosted by Davos.

"I would say it's more relevant than ever," he said.

@highlight

Critics say the World Economic Forum meeting in Davos is struggling for relevance in the era of people power

@highlight

Forum regular Mark Malloch-Brown says many now resent business leaders who attend

@highlight

But board member Ben Verwaayen says Davos dialogue is relevant part of effort to solve global problems