Frederick, Maryland (CNN) -- Nearly two years after arriving in America with the promise of a new nose and ears, Aesha Mohammadzai has finally begun the process of reconstructive surgery.

The young Afghan woman, whose face was mutilated by her Taliban husband and in-laws, checked into Walter Reed National Military Medical Center in Bethesda, Maryland, early Thursday morning.

After nearly six hours, the first of about six anticipated surgeries -- which will be performed over the course of up to two years -- is now complete, said Mati Arsala, who along with his wife has been caring for Aesha.

"I woke her up at 5 a.m.," he said Thursday night, recounting how the day began. "She said, 'Momo Mati' -- that's what she calls me, Uncle Mati -- 'let me sleep.' I said, 'You have an operation today,' and she jumped. As soon as I said that, she jumped! She was ready!"

Her spirits were high going in, he said. She was laughing and chatting with her doctors. Because of privacy regulations, CNN was not on hand Thursday and doctors were prevented from speaking directly about her case.

The haunting story and image of Aesha, now 22, became known the world over after her face appeared on the cover of Time magazine in August 2010. That same month she arrived in California, welcomed with the best of intentions by people wanting to help her start over with a new and restored face.

But Aesha, who effectively became a poster child for the oppression of women in Afghanistan, wasn't emotionally prepared for the grueling process that awaited her. Until now, and amid several moves, that hoped-for surgery remained elusive.

In May, 16 months after meeting Aesha, CNN published an exclusive piece documenting her complicated and winding journey in America. We set out to tell her story because the last the world knew, she was well on her way to a fairytale ending. We wanted readers to understand the truth: that fairytale endings aren't always possible, especially for someone with Aesha's challenges.

The responses from readers were overwhelming. Some messages we received were more surprising than others.

Many wanted to give donations to support Aesha. Others offered their own stories, tips to pass along to those caring for Aesha, as well as medical and psychological diagnoses. People in Afghanistan -- U.S. troops, NGO workers and a Kabul blogger -- reached out, as did a man who knew her on the base where she first was brought after being brutalized and left to die.

A New Yorker in the fitness business asked to send Aesha workout clothes -- with the hope that someday she might interview Aesha for a program she calls "Celebrity Sweat." Someone in Atlanta offered to choreograph and teach Aesha her very own Bollywood dance. A poet penned a piece to honor her.

Aesha and the Frederick, Maryland, couple caring for her, Mati Arsala and Jamila Rasouli-Arsala, need the well wishes and good vibes now more than ever. This medical odyssey will be a long and difficult one. The team assembled to work with Aesha did their best -- even putting together a three-hour presentation, the Arsalas say -- to prepare all of them for what was to come.

"Finally, she took the first step," Jamila said Thursday night. "I hope everything will be good."

A week before her surgery, we sat down with Aesha and her adopted family, including her 14-year-old "sister," Miena Ahmadzai, to talk about how they were feeling.

"I'm not scared. I'm happy," Aesha said, sitting between Jamila and Miena, all three of them wearing necklaces Aesha created.

Given all she's been through, the years of abuse and the mutilation of her face, surgery is nothing to be afraid of, she said in Pashto.

"I suffered a lot in my life," she said, as Jamila translated. "Now I feel that a light comes into my life."

She held hands with Miena, with whom she's become very close, the two only letting go to unwrap and chomp on chocolates plucked from a heart-shaped candy box in front of them.

The next day Miena, Jamila's daughter by her first husband, was boarding a plane to spend a month in Germany with her father and family there. Miena said she was sorry she wouldn't be around after the initial surgery, but she knows that she and Aesha will talk and visit with each other by Skype.

Miena looked over at Aesha with a grin and gave her own prediction of how things will go: "I'm pretty sure, once she gets all her surgery, she'll have a lot of guys drooling."

"Aii, Miena!" Aesha screamed, her eyes as wide as her smile as she play-swatted her friend.

The Arsalas and Aesha said they were ready for what awaits them. This is what she's wanted for so long, and they take great comfort in the confidence they have in the doctors who will be caring for her.

Walter Reed Bethesda, the shortened name for the facility that combines the former Walter Reed Army Medical Center and the National Naval Medical Center, is the world's largest military medical center.

U.S. Rep. Roscoe Bartlett and his office secured Aesha's treatment at the medical center. That the military, so often associated with violence, would step up to do this fills the Maryland Republican with pride.

People "know we take care of wounded soldiers. That's kind of an obligation; what else could you do? But this -- you don't have to do this. ... It puts a real human face on our military," he said. "How can your heart not go out to Aesha?"

Aesha will also have additional support from Fahima Vorgetts, Jamila's cousin, who introduced Aesha to the Arsalas. Vorgetts, who lives in West Virginia about an hour away from the Arsalas in Maryland, travels often. But she said she has carved out time to be there after the surgery and is prepared to help care for Aesha during her recovery. Vorgetts marvels at Aesha's smile and ability to be loving, despite all she's been through.

"She has this innocence about her, but she's also very smart and she understands things, Vorgetts said recently of Aesha. "I think she has, and I hope she has, a brighter future."

The road will not be an easy one to travel. Over the course of her multiple surgeries, there will be plenty of pain and discomfort, not to mention the emotional toll she will experience as she watches herself look far worse before she will look better.

Thursday's surgery, which set her up to have skin in her forehead expanded for future use in rebuilding her nose, is only the beginning, Mati said. But by the time he left her room Thursday evening, he said she seemed more than up for the challenge.

"She's in a private room. She's awake. She ate. She had a hamburger, fruit, ice cream and yogurt. And did I say fruit? She ate like a pig, " he said with a tired laugh. "It's only beginning, but it was very successful."

To support Aesha in her surgical journey, CNN iReport is asking people who have undergone reconstructive surgery to share their stories. Some already have. Submitted videos will be pieced together and played for Aesha so she knows she is not alone.

The family caring for Aesha has also set up a website, Aesha's Journey, so people can follow her progress, send her notes, make direct donations to her personal account and even reach out to buy her handcrafted jewelry. All this, the Arsalas hope, will help Aesha gain the life she deserves.

To contact the author of this piece, e-mail Jessica.Ravitz@turner.com.

@highlight

First of many surgeries to rebuild Aesha's nose and ears completed at Walter Reed

@highlight

Young Afghan woman was mutilated by her Taliban husband and in-laws

@highlight

Her haunting story and image became known worldwide after she appeared on TIME cover

@highlight

Last month CNN published exclusive story documenting her complicated journey in the U.S.