(CNN) -- Technology has been changing the way we access, enjoy and discuss our entertainment. From smartphones and tablets with streaming movies to video game consoles offering TV shows alongside game play, consumers have increasingly become accustomed to their entertainment colliding and intertwining in new and interesting ways.

In an effort to expand that world, the creators of "Defiance" are banking on the combined power of an online third-person shooter video game and a weekly science fiction television series to keep fans hooked and actively involved in the franchise.

Trion Games and SyFy Network joined forces five years ago to create "a truly unique entertainment experience," according to Nathan Richardsson, VP of development for Trion and executive producer of "Defiance."

The "Defiance" world is set in the year 2046 on a transformed Earth ravaged by conflict and alien attacks. Mutants, evil alien races and robots terrorize what's left of civilization and those who have the wealth and power have fled to Antarctica -- the last refuge for those who want to live comfortably.

The game takes place in the San Francisco area while the TV series is set in St. Louis, or what used to be St. Louis before alien terraforming technology destroyed most of the city. The town is now called Defiance, with a population of about 6,000 people of different races.

Creators say the geographic split of the story was necessary so each property could stand on its own. Mark Stern, president of original content at SyFy, said a gaming world where hundreds of players are completing missions wouldn't be a good environment for TV storytelling.

"We really did need to keep them distinct and not worry about what we could and couldn't do," Stern said. "We didn't want lots of people running up and down our streets (in St. Louis) shooting everything. It was going to be very, very hard to keep those things separate in that very specific way."

That's not to say the show and the game are completely separate. Events that happen in the game will refer to, and possibly affect, things in the TV series and vice versa.

Rob Hill, senior producer at Trion, points out the two main characters from the show, Joshua Nolan and Irisa, actually appear in the game before they show up in the series and go on missions with the player.

"Those two characters leave the game," Hill said. "They drive away from the player having gotten an object the player helped them get and then drive into the television show. (They) end up using that object, which really helps the solution to the pilot (episode)."

The game, which is available on the PlayStation 3 and Xbox 360 consoles as well as Windows-based computers, launched two weeks before the SyFy series premier to give fans of the "Defiance" universe a taste of what was to come in the show. However, you don't have to watch the show to understand the game -- and vice versa.

Hill said the game and the show can stand alone, but the idea of expanding the world through different outlets at the same time was something they felt would enhance the viewer's, or player's, enjoyment of the franchise.

"You'll be missing a lot of background of what maybe happens from either the show or the game, he said. "It won't be something you are confused by. It won't be 'Why did that just happen?' (But) if you play the game and are watching the show, you might have an inner knowledge that other people won't have about the show."

While both teams were telling a story in the same universe, Stern said the creative process was like digging a tunnel through opposite sides of a mountain to meet in the center.

"They're (Trion) building this deep, rich world and we were trying to create interesting character drama," Stern said. "That was a great benefit to us to have a company working 24 hours a day building out this detail, like a 300-page world Bible, that we could tap when it did become time for us to worry about (questions like) 'What color are the trees?' 'What do the buildings exactly look like?' "

Hill agreed, saying Trion pushed SyFy to think about larger details earlier when the show producers wanted to work in character details.

"We need to define a universe early because our entire game is computer-generated graphics and they take a long time to build. They usually think about what the universe looks like, what it sounds like, and they usually figure that out after they've got an initial script written," he said.

While some of the discussion about story development, environments and the overall reach of "Defiance" got heated, the idea of making something brand new kept both sides focused. Stern said there was genuine enthusiasm on both sides to make it work, but the pressure was intense.

"There's so much scrutiny because of what it is," he said. "There's also this real responsibility feel that, if this doesn't work, you've condemned the idea in general, which is not necessarily fair."

Are science fiction and gaming fans ready for this type of multilayered entertainment? The crossover audience between those two genres seems to be a natural and large one.

"(The SyFy show) is only on for an hour a week and 13 episodes a season, and then people have to wait for the next season," Hill points out. "The fan base really gets into the universe behind these television shows and they don't get to live in it outside of those 13 episodes. We give them the opportunity to come into the game and live in the universe 24/7 if they want to."

"Defiance" (the game) is available now for the PlayStation 3, Xbox 360 and Windows PC. It is an online game so it does require an Internet connection to play at all times. It is rated M for Mature due to blood, drug references, sexual themes, strong language, and violence. "Defiance" (the show) premiered April 15 on the SyFy channel and will run weekly until July 8.

@highlight

"Defiance" launched as both a video game and TV show

@highlight

Creators neither depends on the other, but that they accent each other

@highlight

Characters from a mission in the game later appear on the show

@highlight

The game is set in futuristic San Franisco, while the show's in St. Louis