(CNN) -- The wife of fugitive Libyan leader Moammar Gadhafi, three of his children and some of his grandchildren arrived in Algeria on Monday morning, Algerian diplomats said.

Mourad Benmehidi, the Algerian ambassador to the United Nations, said he relayed the news to Secretary-General Ban Ki-moon earlier Monday. Benmehidi said his country granted entrance to Gadhafi's wife, Safia, his daughter, Aisha, sons Hannibal and Mohamed and their children on "humanitarian grounds."

"We made sure the international community has been informed," said Benmehidi.

The ambassador said he did not know whether Moammar Gadhafi was expected to seek entry into Algeria and claimed none of the Gadhafis were subject to U.N. Security Council sanctions.

In fact, U.N. Security Council Resolution 1970, passed on February 26, includes the names of all three Gadhafi children who are now in Algeria as being subject to a "travel ban" because of their "closeness of association with (the) regime."

The U.N. ban requires "all member states" to prevent them and others listed from entering their territories, unless there is some special circumstance that the council agrees warrants an exception. The resolution also allows the nation -- in this case, Algeria -- to determine "on a case-by-case basis that such entry or transit is required to advance peace and stability (and) notifies the committee within 48 hours after making such a determination."

News on Monday of the Gadhafi relatives' departure from Libya came the same day that a senior rebel commander reported that Khamis Gadhafi, a son of the Libyan leader and military commander in his regime, had been killed Sunday night.

Mahdi al-Harati, the vice chairman of the rebels' Military Council, the military wing of the National Transitional Council, said Khamis Gadhafi died in a battle with rebel forces between the villages of Tarunah and Bani Walid in northwest Libya.

Khamis Gadhafi, who was a senior military commander under his father, was taken to a hospital where he died from his injuries, said al-Harati. He was then buried in the area by rebel forces, al-Harati said.

His father, Moammar Gadhafi, meanwhile, is still wanted by the International Criminal Court in The Hague on charges of war crimes. So, too, is Moammar's son Saif al-Islam Gadhafi and his brother-in-law and intelligence chief, Abdullah al-Sanussi.

But should any of those three get to Algeria, there is no guarantee they would face trial. Algeria is not a signatory of the Rome Treaty that established the International Criminal Court.

The longtime ruler's whereabouts have been a mystery since the rebels overran Tripoli last week. Rebel commanders said Gadhafi was not found in the network of tunnels beneath his Bab al-Aziziya compound, and reports that he had been holed up in an apartment block nearby or at a farm near Tripoli's airport didn't pan out.

The National Transitional Council, which is forming a provisional government in Tripoli since overrunning the city last week, has not yet confirmed the news about Gadhafi's family members, spokesman Mahmoud al-Shammam told CNN. But he said that if true, the NTC would demand the return of the family members. He promised they would receive a fair trial.

The rebels had previously speculated that Gadhafi could be trying to reach Algeria or Libya's southern neighbor Chad, both countries with which his government had close ties.

"Those are the only two neighboring countries that have been showing support for him," Guma El-Gamaty, an NTC official based in Britain, said last week.

In London, Britain's Foreign and Commonwealth Office said the fate of Gadhafi's relatives "is a matter for the NTC." In Washington, White House spokesman Jay Carney told reporters the United States has no indication Gadhafi has left Libya.

On Monday night, a senior official in President Barack Obama's administration -- speaking on condition of anonymity, given the diplomatic sensitivity of the issue -- said the Libyan leader's wife and three children are believed to be in the Algerian government's custody.

The official echoed earlier comments from U.S. State Department spokeswoman Victoria Nuland that what's important is that Gadhafi and his relatives, wherever they are, are held accountable.

"We want to see justice and accountability for Gadhafi and those members of his family with blood on their hands and those members of his regime with blood on their hands," Nuland said. "But it'll be a decision of the Libyan people, (as to) how that goes forward."

Algeria, which the CIA World Factbook says has a population of 35 million, repeatedly has been mentioned as a possible destination for Gadhafi and his family. Guma El-Gamaty, the Britain-based coordinator for Libya's National Transitional Council, said earlier this month that Algeria and Chad "are the only two neighboring countries that have been showing support for him."

Jon Alterman, director of the Middle East Program at the Center for Strategic and International Studies, noted similarities between Libya under Gadhafi and Algeria, with a largely oil-driven economy and strong central government under President Abdelaziz Bouteflika "that is concerned with popular uprisings."

"My sense is that Algeria was supportive, in part, because they had worked out a modus vivendi (or, practical compromise) with Gadhafi and they feared the contagion of mass popular unrest in the region," Alterman said.

Yet while many nations in Africa had determined "it was easier to manage (Gadhafi) than to defeat him," especially when he shared some oil-derived wealth around the continent, Alterman said he finds it unlikely any nation will now risk international scorn by taking in the embattled leader himself -- or that Gadhafi would ever leave Libya.

Of Gadhafi's family members now in Algeria, Aisha Gadhafi was a good will ambassador for the U.N. Development Program and has kept a low profile during the six-month revolt against her father. She had been named to the position in 2009 to address HIV/AIDS and violence against women in Libya, but U.N. officials terminated her position as Gadhafi unleashed his military on anti-government protesters early in the conflict.

She is due to give birth in early September, sources close to her family told CNN.

Hannibal Gadhafi is a headline maker. He has reportedly paid millions of dollars for private parties featuring big-name entertainers including Beyonce, Mariah Carey and Usher. Several of the artists now say they have given the money back.

Rebels who picked through his seaside villa on Sunday also introduced CNN's Dan Rivers to his family's badly burned former nanny, who said she had been doused with boiling water by his wife, model Aline Skaf, when she refused to beat one of their crying toddlers.

The nanny, Shweyga Mullah, is covered with scars from the abuse, which was corroborated by another member of the household staff.

Hannibal was also accused of a string of violent incidents in Europe, including beating his staff and his wife. Charges were dropped in the case of his staff, and Skaf later said her broken nose was the result of an accident.

In another high-profile episode, Hannibal was stopped after driving his Ferrari 90 mph the wrong way on the Champs-Elysees in Paris. He invoked diplomatic immunity.

Mohamed Gadhafi, meanwhile, was one of three Gadhafi sons who had been reported captured as the rebels overran Tripoli last week. But the rebels said he had escaped the next day.

CNN's Jill Dougherty, Greg Botelho, Richard Roth and Mohammed Tawfeeq contributed to this report.

@highlight

NEW: A U.S. official says the Gadhafi kin are believed to be in Algerian custody

@highlight

Algeria allowed the Gadhafi relatives entry on humanitarian grounds, diplomat says

@highlight

The 3 Gadhafi children in Algeria are named in a U.N. Security Council travel ban

@highlight

A rebel spokesman says the NTC wants them returned to Libya