(CNN) -- Change is never pretty. And the change that results when 50 states step in to take on a job Washington has tried and failed to do can be especially messy. This is what's happening -- with a vengeance -- on immigration. In the past five years, there has been a virtual revolution in immigration lawmaking. And the result is not just chaos -- it's a lot of bad policy.

States from Arizona to Virginia have enacted laws cracking down on illegal immigration. Some go after the immigrants; some target the businesses that hire them. Some rely on local police to do the job; others require that employers use the federal E-Verify system to check the immigration status of employees. Many of these statutes have been challenged in court, and the decisions that have been handed down are all over the map.

The most controversial provisions of Arizona's 2010 immigration law, Senate Bill 1070, were put on hold by a federal judge before they could go into effect, and in April the 9th U.S. Circuit Court of Appeals upheld that ruling.

But when Alabama's similar law, passed in June, came before a federal judge, she came to exactly the opposite conclusion, upholding sections almost identical to those blocked by the 9th Circuit. And on Friday, the 11th U.S. Circuit Court of Appeals took yet a third view, blocking some provisions of the Alabama law but upholding others -- including the section that permits local police to ask about the immigration status of people they stop for other reasons.

An immigration reform advocate who went to sleep five years ago when Congress last tried and failed to pass immigration reform wouldn't recognize the landscape today. The notion that immigration policy is a federal responsibility -- once widely accepted by both parties -- has been shattered, probably forever.

Far from finding state immigration laws unconstitutional -- as many legal experts once insisted -- the Supreme Court's May ruling in the Whiting v. U.S. Chamber of Commerce case endorsed the principle that states can and should play a significant role in controlling illegal immigration. And policies once unthinkable to many are now commonplace. A full one-third of the states now require some or all employers to use the federal E-Verify system to check the immigration status of new hires. Four states have enacted measures modeled on Arizona's controversial policing law.

Of course, it's understandable that states are stepping in to grapple with immigration: The system is dysfunctional, and voters want something done. The problem is that most state lawmakers respond to this clamor by intensifying state enforcement.

But critical as enforcement is, enforcement alone won't solve the problem.

To do that, lawmakers need to combine enforcement with fixes to the legal immigration system -- providing enough visas for immigrants who contribute to the economy, create jobs and keep our cities vital while also protecting U.S. workers. And these kinds of fixes are much harder for states to make. So instead, most simply crack down harder on the broken system.

Consider what happened this year in Alabama, the state with the nation's toughest immigration law. The new measure touches nearly every aspect of life in Alabama: hiring, firing, policing, the criminal justice system, state contracts, schools and religion -- the aim being to make every aspect of life harsher and less hospitable for illegal immigrants.The two recent court decisions on the law are not the last word -- there will be many appeals. And in the meantime, chaos reigns across Alabama.

Local law enforcement officials are at a loss, unsure who they should asking for immigration papers or where to house those they arrest -- most jails in Alabama are already full. Immigrants are fleeing the state in droves -- illegal immigrants but also legal residents who have unauthorized relatives and are afraid to lead police to their doors. Five percent of Hispanic children have stopped attending school. Employers -- particularly farmers -- are complaining desperately about labor shortages. And fruit and vegetables are rotting in fields across the state.

Is there a silver lining? At first blush, it's hard to see one. But sometimes things have to get worse before they get better.

Voters aren't blind. Most support tough immigration enforcement, but they can also see the crops rotting not just in Alabama but also in Georgia, Arizona and other states.

Employers and business groups once hesitant to get involved in the debate are coming out of the woodwork to complain about worker shortages.

And in a few states, this has led to productive dialogue, even, occasionally, a breakthrough. In a handful of states, the two parties have put their heads together and considered options for solving the problem. In other places, lawmakers have listened to employers when they explained the damage harsh enforcement would do to the economy.

This ferment bore fruit in several states this year.

In Arizona, Indiana, Kansas, Tennessee and Texas, legislators stopped short of passing the most draconian measures on the table. And in Utah, politicians, business leaders, law enforcement and faith groups came together to enact legislation that went beyond enforcement only -- trying to create a system that works, at least in Utah.

The most important part of the Utah solution is a state guest-worker program. Exactly how it will function is controversial -- Utah's answer involves unauthorized workers already in the state and others waiting in Mexico for legal visas. But the underlying principle is only common sense: replacing illegal immigrants with a legal foreign work force that employers can turn to when they can't find enough willing and able American workers.

Justice Louis Brandeis called the states the "laboratories" of democracy. A lot of what's going on in those laboratories today is disastrous. Certainly, in Alabama, the results look more like a train wreck than science. But maybe even that offers some reason for hope. After all, even Congress can stand by only so long. At some point, surely, Washington will have to impose order on the chaos spreading in the states.

The opinions expressed in this commentary are solely those of Tamar Jacoby.

@highlight

Tamar Jacoby: States grappling with immigration by making own laws have made bad policy

@highlight

She says feds failed at immigration reform, now states just focus on enforcement

@highlight

She says more visas for good workers needed as well as ways to protect U.S. workers

@highlight

Jacoby: Silver lining to bad laws is that they clarify need, can help start dialogue about reality