It's not the type of plane either Kent Brantly or Nancy Writebol likely planned to take home.

But when health officials evacuate the two American aid workers infected with Ebola in west Africa, it will be the plane they take.

The Centers for Disease Control and Prevention has outfitted a Gulfstream jet with an isolation pod designed and built by the U.S. Defense Department, the CDC and a private company. The pod, officially called an Aeromedical Biological Containment System, is a portable, tentlike device that ensures the flight crew and others on the flight remain safe from an infectious disease.

A U.S.-contracted medical charter flight left Cartersville, Georgia, Thursday afternoon, to evacuate the Americans, a source familiar with the travel plans told CNN. At least one of them will be brought to Emory University near the headquarters of the Centers for Disease Control and Prevention in Atlanta, Georgia, hospital officials told CNN's Dr. Sanjay Gupta.

The CDC raised its travel warning for Guinea, Liberia, and Sierra Leone from Level 2 to Level 3 on Thursday, warning against any nonessential travel to the region. Since 2003, the agency has only issued Level 3 alerts on two occasions: during the outbreak of SARS, severe acute respiratory syndrome, in 2003, and in the aftermath of the 2010 Haiti earthquake.

The CDC is sending 50 additional personnel to the three countries, CDC director Dr. Tom Frieden said. They will be working to speed up laboratory testing, trace potentially infected people and strengthen the local health care systems.

Ebola is believed to have killed 729 people in Guinea, Liberia, Sierra Leone and Nigeria between March 1 and July 27, according to the World Health Organization. Stopping this particular epidemic could take months. It's like fighting a forest fire, Frieden says -- if you leave even one burning ember, the epidemic can start again.

"It's not going to be quick. It's not going to be easy. But we know what to do."

Evacuating Brantly and Writebol was ultimately up to the aid organizations they work for, Frieden said. Moving them could do more harm than the good that might come with better treatment options in a developed country.

"I can tell you that airplanes are tough environments," said Dr. Lee Norman, chief medical officer at The University of Kansas Hospital. Norman was a flight surgeon for 16 years in the Air Force. "You want to have the shortest trip possible for the best quality medical care. That is as available in Europe as it is in the U.S. It's a matter of how much flight they can handle."

The American health care system is well-prepared for Ebola patients, experts say.

"I think any major medical center can take care of any Ebola patient," said Dr. William Schaffner, an expert on infectious diseases at Vanderbilt University's School of Medicine. "We have isolation rooms we use all the time."

These isolation rooms are used for patients suspected to have tuberculosis, SARS, Middle East respiratory syndrome or another infectious disease. Schaffner said not much would be different for an Ebola patient, though more stringent precautions might be taken to ensure health care workers are following all protocols. "But all that is minor compared to the adjustments you have to make during influenza (season), for example," he said.

The CDC has quarantine stations around the country staffed 24/7. And most hospital staffs have been alerted and are on the lookout for Ebola symptoms, said Dr. Eric Legome, chief of emergency medicine at Kings County Hospital in New York. Symptoms include fever, headache, diarrhea and vomiting. Some patients have trouble breathing.

Doctors are asking patients with these symptoms if they have traveled recently to the three countries primarily affected by the Ebola outbreak: Guinea, Sierra Leone and Liberia. They're also asking if patients have been in contact with anyone else who has traveled to the region lately.

Legome said hospitals have a low threshold to isolate patients, meaning anyone who is even remotely suspected of being infected will immediately be put in an isolated ICU room so health officials can run tests.

"They would most likely be flying in civilian aircraft and seek care in civilian hospitals, urgent care clinics, physicians' offices and emergency departments," said Norman. "That is exactly why this awareness is important for all caregivers."

Ebola is not airborne, he said. It cannot be transmitted via coughs or sneezes. If an infected person is exhibiting symptoms, he or she can transmit the disease via bodily fluids such as blood, breast milk or semen. The virus does not die with a patient -- so deceased bodies can transmit the disease.

There is no specific treatment for Ebola. Doctors can only administer what they call "supportive therapy," which means supporting the patient's own immune system as it tries to battle the infection. This usually involves intravenous fluids to prevent dehydration and shock, said Christopher Mores, associate director of Louisiana State University's Center for Experimental Infectious Diseases. This therapy for Ebola patients could also include blood or platelet transfusions and oxygen therapy.

Ebola can last two to three weeks, Mores said, so patients would remain in isolation until their symptoms subside and tests come back negative for the virus.

@highlight

American aid workers are being evacuated from Liberia

@highlight

At least one victim will be brought to Emory University near the CDC

@highlight

American health care system well-prepared for Ebola patients, experts say