The devastating attack on the Grand Mosque in Kano, Nigeria, on Friday was almost certainly the work of Boko Haram, which has stepped up its bombing campaign across northern Nigeria in recent weeks.

It may seem counterintuitive that Islamist militants should attack a mosque, but since its early days, Boko Haram has targeted the Muslim "establishment" in Nigeria, accusing it of not defending the interests of Nigeria's 80 million Muslims, of corruption and of "perverting" Islam.

One eminent member of that establishment is the emir of Kano, Sanusi Lamido Sanusi, a former governor of Nigeria's Central Bank who frequently preaches at the Kano mosque on Fridays. The emir of Kano is the second-most influential Muslim figure in Nigeria.

Sanusi was reportedly out of the country at the time of Friday's attack -- but two weeks ago, he used Friday prayers to urge Nigerians to defend themselves against Boko Haram.

"People must stand resolute" against a group that enslaves girls and "must not assume that the crisis will not reach their area," Sanusi said.

The Kano attack, which killed dozens of worshipers and injured scores more, is not the first aimed at a mosque or at an emir. Last year, at least 40 worshippers were shot dead at a mosque in Borno state, where Boko Haram is strongest. The group has also assassinated senior Muslim political and religious figures in northern Nigeria. And it has specifically targeted anyone calling for or organizing self-defense units, known as the Civilian Joint Task Force.

Sanusi's predecessor, Emir Al Haji Ado Bayero, was the target of an assassination attempt in February 2013. His driver and bodyguards were killed. Bayero died this year, at the age of 83.

Boko Haram has stepped up suicide bombings, causing mass casualties in several northern states. Just this week, two female suicide bombers attacked a busy market in the city of Maiduguri, killing 21 people. And the bombing of a bus station near Mubi in Ademawa state killed 40 people.

Boko Haram claimed to have taken control of Mubi, a town of 200,000 people, at the end of October -- a sign of its commitment to build an area in northern Nigeria ruled by Islamic law -- in addition to carrying out terror attacks. The Nigerian army, supported by civilian vigilantes, was able to expel Boko Haram from Mubi two weeks later, but the group still controls several towns across northeastern Nigeria, including Gwoza, a town of nearly 300,000 in Borno state.

According to Boko Haram's mysterious leader, Abubakar Shekau, Gwoza was evidence of the group's growing ambitions in northern Nigeria. "Thanks be to Allah, who gave victory to our brethren in Gwoza and made it a state among Islamic states," he said in August.

Virginia Comolli, research fellow for security and development at the International Institute for Strategic Studies, said the Nigerian military faces multiple problems. It has been plagued by indiscipline, desertion and mutinies, with some commanders attacked by their own men. It has developed a well-documented reputation for human rights abuses, alienating many of the people it is meant to protect.

Additionally, a lack of support has left many units exposed in the vast rural hinterland of the north, where Boko Haram has shown it can operate simultaneously on several fronts. Last week, for example, its fighters ambushed and killed nearly 50 fish-sellers close to Lake Chad, nearly 400 miles from Kano, despite the nearby presence of a multinational border force.

A state of emergency in parts of northern Nigeria has had little impact on Boko Haram, and despite intense international attention, the Nigerian military has been unable to rescue any of more than 200 schoolgirls kidnapped this year.

The group's resumption of a campaign of suicide bombings is probably aimed at humiliating the government of President Goodluck Jonathan, who recently declared he would run for re-election in February. Besides its ideological aversion to democracy, which it sees as inimical to Islam, Boko Haram despises Jonathan as a southern Christian and wants to make the north ungovernable.

Comolli says one of its aims is to ensure that February's election cannot be held in the three northern states where emergencies have been declared. Attacking Kano, the biggest city in the north and a trade hub, is part of that strategy. (The state of Kano is one of the two most populous in Nigeria.)

In an effort to win more international support, Nigerian officials have likened Boko Haram to the Islamic State in Iraq and Syria. Nigeria's ambassador in Washington, Adebowale Ibidapo Adefuye, said this month, "There is no use giving us the type of support that enables us to deliver light jabs to the terrorists when what we need to give them is the killer punch."

Dismissing claims that the army was responsible for human rights abuses as rumor and hearsay, Adeyufe said the United States needed to do more to help a partner in the battle against terrorism.

"We find it difficult to understand how and why, in spite of the U.S. presence in Nigeria with their sophisticated military technology, Boko Haram should be expanding and becoming more deadly,'' he told an audience at the Council on Foreign Relations.

Despite providing technical assistance in the hunt for the missing schoolgirls, the Obama administration appears wary of engagement with a military that has such a flawed reputation.

There is evidence that Boko Haram has links with other jihadist groups. Some of its fighters spent time in Mali alongside a faction of al Qaeda in the Islamic Maghreb in early 2012, when much of that country fell under that group's sway for several months.

Its rapid assimilation of bomb-making expertise and the use of kidnapping for ransom also suggests contacts  with al Qaeda in the Islamic Maghreb, says Comolli. But she believes that as AQIM has come under pressure following the French intervention in Mali, it has become less able to provide training or other help to Boko Haram.

For now, Boko Haram remains a very much Nigerian phenomenon focused on causing mayhem at home. And it is the civilians -- in their many thousands -- who bear the brunt of its attacks.

@highlight

Since its early days Boko Haram has targeted the Muslim "establishment" in Nigeria

@highlight

The group accuses the "establishment" of corruption and "perverting" Islam

@highlight

Boko Haram has stepped up suicide bombings, causing mass casualties

@highlight

Friday's attack at a mosque in Kano killed dozens, injured scores more