Denver, Colorado (CNN) -- The moral conscience of Iran's reform movement passed away  Sunday morning. Grand Ayatollah Hossein Ali Montazeri, who died at 87, was the Iranian equivalent of South Africa's Desmond Tutu for politics.

Over the past 20 years, he distinguished himself by virtue of his persistent, judicious criticism of human rights abuses in the Islamic Republic and his defense of the democratic aspirations of the people of Iran within the framework of an ethical interpretation of Shia Islam.

His death comes as a huge blow to the Green Movement, yet his supporters will take comfort that he lived a full life and intervened on all the major political questions plaguing Iranian and Islamic politics.

Born into a poor family in 1922 in the small town of Najafabad, Montazeri rose through the ranks of the religious seminaries to the position of a Grand Ayatollah (the most senior clerical position in Shia Islam) primarily because of his exceptional erudition and broad following as a source of religious authority.

During the oppressive political climate that enveloped Iran after the 1953 coup d'état, Montazeri emerged as a leading clerical leader, who allied himself with Ayatollah Khomeini to protest the dictatorship of the shah and Iran's close alliance with the United States and Israel.

He was frequently imprisoned and tortured -- acts that increased his prestige and credibility as an opposition leader who was willing to speak truth to power. He was one of the key intellectual theoreticians of the concept of the "rule of the Islamic jurist" (velayat-e faqih), which formed the foundation of Iran's post-revolutionary constitutional order, thus ensuring clerical domination of Iranian politics. It was a position he would regret later in his life.

Buttressed by his impeccable religious, revolutionary and political credentials, Montazeri emerged as one of the leaders of Iran's 1979 Islamic Revolution. He was soon designated as the official successor to Ayatollah Khomeini, a position he held until 1989.

During this period of increasing internal repression and a wave of political executions, Montazeri began his uncompromising criticism of the Islamic Republic. As a result, he was removed from his position as Khomeini's heir apparent. All formal ties with the ruling regime were severed. Montazeri retired to his home in the religious city of Qum to resume his teaching and study and to reflect upon the relationship between religion, ethics and politics.

In this period, Montazeri's religious and political thought underwent a reorientation. Human rights and democracy moved to the center of his religious teaching.

On many of Iran's most sensitive and politically charged debates, Montazeri intervened in an unprecedented manner that marked a clear contrast with the ruling ideology of Iranian regime. On the question of Iran's persecuted Baha'i minority, he called for the granting of full citizenship rights and rejected longstanding views on the punishment for apostasy in Islam.

In terms of Iran's international relations, he apologized for the seizure of the U.S. embassy in 1979 and called for the establishment of relations with the U.S. based on mutual respect. He even issued a fatwa on nuclear weapons, encouraging Muslims to "take the lead in banning legally and practically all such weapons for all countries and in soliciting the help of respectable and dependable international organizations in guaranteeing such a ban."

In November 1997, a few months after Muhammad Khatami's presidential victory, Ayatollah Montazeri delivered a harshly worded sermon on the birthday of the first Shia Imam.

In this famous speech, which circulated widely and clandestinely in Iran and abroad via audiotape, he criticized the growing authoritarianism of the ruling clerics and encouraged Iran's new reformist president to use his popular mandate to press forward with democratizing the political system. He also directly criticized and questioned the legitimacy of Iran's Supreme Leader Ali Khamenei.

Retribution was swift: his office and home were attacked by pro-regime thugs and the cleric was placed under house arrest for the next five years. Yet he continued to write and issue bold statements of support to Iran's reform movement, essentially using his religious authority to give moral sanction to democratic forces in Iranian society.

In the aftermath of Iran's discredited 2009 presidential elections, Montazeri was one of the most outspoken critics of Mahmoud Ahmadinejad and Ali Khamenei. In the final six months of his life, on a near-weekly basis, Ayatollah Montazeri issued a strong statement of support for the Green Movement and strongly condemned human rights abuses.

"A regime that uses clubs, oppression, aggression," he warned, "against [the people's] rights, injustice, rigged elections, murder, arrests, and medieval or Stalin-era torture, [a regime that] gags and censors the press, obstructs the media, imprisons intellectuals and elected leaders on false allegations or forced confessions... -- [such a regime] is despicable and has no religious merit."

In a widely reported fatwa on July 11, he called Iran's rulers "usurpers and transgressors" who have lost all legitimacy to rule. This was a historic statement as it explicitly affirmed that all believing Muslims have a moral obligation to oppose the current rulers in Iran and to seek their replacement, albeit through nonviolent means.

"People must express their opinion about the illegitimacy [of Iran's current rulers] and the lack of their approval of their performance, and seek their dismissal through the best and least harmful way," he affirmed. "It is clear that this [dismissal of the officials] is a societal duty of everyone, and all the people, regardless of their social positions and according to their knowledge and capability, must participate in this endeavor, and cannot shirk their responsibility."

Montazeri was feared by Iran's ruling establishment precisely because he undermined their legitimacy. He will join the pantheon of Iranian leaders before him who similarly struggled against dictatorship.

Arguably, his most important legacy bequeathed to Iranian and Islamic politics is that when given a choice, one must always follow the dictates of one's conscience over the temptations of political power.

The opinions expressed in this commentary are solely those of Nader Hashemi.

@highlight

Death of Iranian spiritual leader is a blow to Iran's reform movement, says Nader Hashemi

@highlight

He says Ayatollah Montazeri stood up for the rights of protesters

@highlight

Montazeri helped pave the way for Islamic Republic but turned against it, Hashemi says

@highlight

He says Montazeri apologized for seizure of U.S. Embassy and defended the persecuted Baha'is