LONDON, England (CNN) -- Sim Van der Ryn has been a leader in sustainable architecture for over 40 years. As well as creating a portfolio of inspiring green designs -- notably the 1977 Bateson Building in Sacramento -- he is also a teacher and an author. His most recent book "Design for Life" traces his ancestral and ecological design roots. Principal Voices talked to Van der Ryn about the passion which continues to consume his life.

Sim Van der Ryn has dedicated his working life to integrating nature's principals into his designs.

CNN: What inspired you to become an architect?

Sim Van der Ryn: Probably was when I was 14, I worked out on a farm helping a handyman build a Cape Cod cottage from a set of ten dollar magazine plans. I just thought the whole process of translating from a two-dimensional set of drawings to a three-dimensional reality was exciting.

CNN: At that time, was there anything that you were interested in pursuing?

SVdR: Let's see. I had a tendency towards art -- painting, drawing and sculpture. But my parents were really practical and told me that wasn't a suitable profession!

CNN: Was ecological architecture always something you wanted to pursue?

SVdR: My first interest was really in what we called Post-Occupancy Evaluation (POE). I was interested in the social side of architecture, because it seemed to me that you read architectural criticism and, you know, there was no criteria other than subjective, especially when you consider how a building works for people. I helped found POE which never really went very far. Later on I was the Chief Architect for the State of California and I had money to do that [POE] but none of my client agencies wanted to do that.

CNN: What is/was POE?

SVdR: There is an international association called the Environmental Design Research Association which kind of grew out of POE. I started it together with this English woman called Clare Cooper Marcus who was teaching at Berkeley [University of California]. She did an evaluation of public housing projects. And at the same time a fellow called Oscar Newman wrote a book called "Defensible Space", which was an attack on what was then the standard -- Corbu [Le Corbusier], high rise public housing -- which turned out to actually dynamite a number of projects in this country -- in Chicago, St Louis.

CNN: When you were starting out who did you look up to in the architectural world?

SVdR: The biggest influence on me was Buckminster Fuller who was a peripatetic character who would show up at schools. He really provided a larger vision that was far more than just designing a building. And that for me was the kind of Satori moment -- learning from him that the issue was much larger than the building. I never forgot that. He was thinking in "whole systems" terms and I have been ever since. And then my work was always involved in socially orientated architecture -- when we still cared about that in this country. I worked on migrant farm labor housing, I built a lot of prefab systems based on Fuller's work.

I was a refugee from Holland and as I say in my book [Design for Life] I found who I was just kind of being in the leftover pieces of nature that were in New York city -- during the war construction stopped. So that was a huge influence in shaping my life.

I lived in New York but I left as soon as I could. I really not much of an urbanist. I believe in cities, but basically, my work isn't very urban. I like to build in places where nature is.

CNN: After the 1973 oil crisis did you notice a change in mood? Wasn't there more of a push towards sustainable architecture during that period?

SVdR: No, that wasn't really true of most places. I was fortunate to hook up with Jerry Brown. He liked the outsiders. His great genius, when he was Governor [of California], was bringing all these outsiders to run these agencies that had always been run by insiders. That was a great gift.

The oil embargo of 1973 did wake some people up. [President] Carter got it but wasn't able to sell it. We did have some federal initiatives and in California we have some very strong state initiatives that I'm proud to say that I had a role in creating. That did make a huge difference. But then of course Ronald Reagan was elected in 1980 and we just went to sleep for the next twenty-eight years.

CNN: Of all the buildings you've created, do you have a favorite?

SVdR: Some of them are very process related. The early work where I had this class in 1971 and we built this little village out of reclaimed materials. That was a huge huge learning experience and that was a kind of a rehearsal for then doing this Farallones Institute -- Integral Urban House at Berkeley -- which Fine Homebuilding magazine called "the birth of green", which was a nice thing to say because it wasn't particularly pretty! We were just fooling around, figuring stuff out.

So those are some of the process/learning projects. Of that early period I think the Bateson Building has held up really well for 30 years. It created quite a bit of change and awareness in the building and architectural community. The fact that you could reduce energy consumption not just by 40 percent -- which was mandated by the laws we passed -- but by 80 percent. That's a landmark favorite for me.

Of a recent one, I would say the Kirsch Center [for Environmental Studies]. Another is the Solar Living Center in Hopland. I talk about second generation ecological design where we have a much higher level of integration. A lot of the first experiments were just trying to maximize one thing like the sun and then the more we learned we realized we could integrate everything.

In terms of experimentation, craftsmanship and beauty the Klein house [more commonly known as The Guitar House] is a kind of favorite. We worked on it for five or six years. I think of it as an experimental project because it's crazy in terms of four people living in that much space, but just in terms of an exercise and working with new materials like rammed earth it is quite beautiful.

CNN: Are you still teaching?

SVdR: No, I have no formal associations with an institution. That part of my life is over.

CNN: But students must contact you all the time wanting advice though. What do you tell them?

SVdR: Well, I have an association with down in Arizona called the Eco-Institute. I go there once or twice a year. It's good because it's a community -- 15-20 students -- who work on real projects. I tell them to go there.

CNN: What's your view on architecture education being taught now?

SVdR: I think that architectural education is pretty broken in terms of what we need to be dealing with today. They may have a few courses on sustainability, one or two people on a faculty in a large school who care about this stuff, but they are marginalized.

CNN: Who, out of the current crop of big name architects, do you admire?

SVdR: Of the British, Norman Foster...

CNN: Richard Rogers?

SVdR: And Rogers. I think they're both really good most of the time. I like Frank Gehry because I think he's a real person. He's made huge breakthroughs in terms of using computers to design complex surfaces.

CNN: Calatrava?

SVdR: Incredible. Maybe more as an engineer than an architect. I like the people who are organic and he's actually very organic particularly as an engineer. The architecture maybe a little less so. He did this bridge [Sundial Bridge] up in northern California. I think his bridges are remarkable.

People like Cameron Sinclair, I really admire what he is doing. If I were 40 years younger I'd be doing that. And also Ken Yeang. I think he's good because of anyone doing larger buildings he's one of the ecological pioneers who's really thinking about them in a climatic sense.

There are a lot of good architects who don't ever get a lot of attention. But, you know, architecture still operates with this fountainhead mystique which is such garbage.

CNN: How do your methods of engagement with a project differ from the "normal" processes an architect would go through?

SVdR: I focus a lot on process and on collaboration. We don't try and sell anybody anything. I spend more time interviewing clients than I do trying to sell them something.

I'm not sure what the normal architectural process is, but currently it's bureaucratic. It's all governed by metrics. What it seldom gets at is; what are your aspirations? What are you trying to do? The real questions don't get answered very much.

Now we have LEED and that's become the new excuse not to think. And it's not that it is bad. It is an incremental improvement but given what's happening on the planet right now it's not enough. And the sad thing is that we've wasted 30 years. We're gonna pay big time for that. Maybe we can play catch up but it's going to take a huge shift.

@highlight

Pioneer of sustainable architecture Sim Van der Ryn talks to CNN about his work

@highlight

The Bateson Building in Sacramento still regarded as an a icon of ecological design

@highlight

Former Chief Architect for California worried that LEED regulations aren't enough