(CNN) -- Monday morning, as we scrambled to get Luna off to school, there came a moment when the timeline of my life leapt into fast-forward. I was carrying around an iPad turned to CNN, checking in to see what news awaited me at work, while Luna danced around me, knowing my partner or I would turn off the TV if watching it slowed her down. Then, suddenly, something brought us to a halt.

"President Barack Obama is speaking at Barnard College today," the news reader said. Our eyes widened, and we shot each other a smile. The president was speaking at Mama's school.

I had arrived at Barnard in 1983, fresh from a school run by Jesuit priests, where gay groups were banned from the premises. A boy I'd known had been severely harassed for being gay. Barnard was a long step better, but on the first day of college, my dorm mates fell into silence when one young woman delivered this news: "I have two mothers," she said.

I remember asking whether one was her stepmother. "No. My mothers are gay," she said. "They had me together." She looked so uncomfortable, and no one was stepping up to make her feel any better.

Back then, Barnard had openly gay and lesbian professors and a group for students who were gay. But in 1983, it was still not cool to be a lesbian; AIDS was beginning to surface on campus, and discussions over sexuality and condom use quickly became explosive.

Barnard, a Seven Sisters women's college, had been embroiled in a battle over whether to merge with Columbia University's men's college, Columbia College, where Barack Obama was graduating that year. The buzz at Barnard was that nobody wanted it to be known as a college for "dykes." It was just another political debate to me. I was happily dating a wonderful guy, and it didn't affect me. Sexuality is a complicated thing.

Sudden pressure to get 'gay married'

That was the same year Evan Wolfson started a thesis at Harvard Law School on why gay people should have the freedom to marry. He had read an award-winning book by John Boswell, a prominent Yale professor, who argued that Christianity, particularly Catholicism, had once been OK with homosexuality. Wolfson believed that if things had once been different, there was an opening for society to reconsider. He made this argument: "You can't say you're for equality if you acquiesce to exclusion from the central social and legal institution of society, which is marriage."

I'm her mom, not the nanny!

He spent a career saying marriage rights could be the agent for social change around attitudes toward homosexuality, which prompted some folks to tell him he was flat-out nuts. In 1991, he served as co-counsel in a lawsuit by a group of Hawaiian gay couples against the state, alleging that it was unconstitutional for the state to forbid two people of the same sex to marry. In 1996, their Supreme Court agreed.

Wolfson has launched a national movement toward allowing gays the freedom to marry. By 2001, 10 countries allowed gays to marry. By 2005, our neighbors in Canada granted marriage licenses to gays, and my partner and I attended our first wedding of a couple who had traveled there from the U.S. to wed. I remember the voice of this heterosexual justice of the peace cracking as he called himself a participant in history in the making.

What a distance we have traveled as a society, even as our country debates whether allowing gay couples to marry is the right thing to do. There are six U.S. states that now allow gay couples to marry and an additional 12 that offer domestic partnerships or civil unions that are similar to marriage. There are 30 states that ban them. The federal government recognizes none of these unions, thus denying the couples hundreds of significant federal marriage rights.

Obama spoke at Barnard on Monday about how we arrived here and how much further we have to go: "Young folks who marched and mobilized, who stood up and sat in from Seneca Falls to Selma to Stonewall, didn't just didn't do it for themselves. That's how we achieved voting rights. That's how we achieved workers' rights; that's how we achieved gay rights; that's how we've made this union more perfect."

'Mama, would you please speak English?'

A year after that wedding in Canada, my partner and I had our daughter, Luna, and were legally bound to her through a second parent adoption, even as we could not marry each other.

Luna is now 6, an age when kids really can't conceive of the future but seem to find comfort in recounting the past. "What was it like when I was a baby" quickly reaches back to "What was it like when you were a baby?" So she had a broad smile the day I enrolled her at Bank Street Summer Camp and they told her she would be taking swim class at Barnard College. "That's your college, Mama! Let's go see!" she said and pulled me and my partner, Mafe, onto campus.

I showed her the pool I barely touched as a student and bought her an electric blue sweatshirt with BARNARD emblazoned on the front. She could sense the emotion in my voice when I told her what a life-changing experience it had been for a first-generation American to go to an Ivy League school. Barnard used to say it "makes women," and the confidence and smarts it instilled were something I want for her, too. I told her one too many times that she would have to study very hard to get in.

She ran along the patio in front of buildings named for women who'd accomplished incredible things. I walked around with my partner, wondering whether we would ever be able to afford to send her to a place so great, where I once met a girl raised by two mommies who struggled to explain herself and find support.

Monday afternoon, 594 young women, in their light blue caps and gowns, graduate from Barnard College of Columbia University. They will honor Rosa Alonzo, a former trustee and an out lesbian Latina, for her contributions to the university. Wolfson received the same medal of distinction Barnard gave to the president of the United States, days after Obama declared his personal support for marriage rights for gays.

Obama called upon the women at Barnard to change society for the better as the women who raised him had taught him, to persevere -- that in this country, "no matter who you love or what God you worship, you can still purse your own happiness." This is my alma mater, the same college our little girl talks of attending some day because it's "Mama's school," where it will be of absolutely no consequence that her mothers are gay.

@highlight

Barack Obama spoke Monday at Barnard, Rose Arce's alma mater

@highlight

Arce recalls that when a dorm mate said she had two mothers, other students fell silent

@highlight

Her daughter, Luna, wants to follow in her mother's footsteps by attending Barnard