At the outset of his term, the new president of Iran, Hassan Rouhani, will confront a thicket of national and international challenges.

Rouhani's presidential term starts at a particularly challenging time; the Islamic Republic of Iran is facing an unprecedented level of regional and international isolation. One of the most crucial foreign policy objectives which will take precedence in Rouhani's agenda is the Syrian conflict, which has now entered its third year.

The election result raises vital questions regarding whether Iran's foreign policy towards Assad's sect-based and police regime will be altered or whether Iranian-Syrian alliance will evolve into a new phase. Will the presidency of the centrist Rouhani influence Iran's diplomatic ties with Damascus and its unconditional support for Assad? Will Tehran change its political, military, intelligence and advisory assistance to Syria's state apparatuses, army, security forces, and Mukhabart?

While there is a significant amount of high expectations and enthusiasm among some Western political leaders and scholars that the election of the centrist Rouhani might influence Iran's support of Assad, it is crucial to be realistic about Iran's centrist and moderate camp's ideology, the power of the presidential office, Iran's political structure, and Tehran's foreign policy objectives.

First of all, it is necessary to note that the Iranian centrists and moderates' political spectrum analyze Syria from the realms of balance of power as well as from a religious and geopolitical paradigm rather than from a human rights one.

Although Rouhani argues for constructive interactions with other countries and although he supports applying a softer political tone -- as opposed to the combative, controversial and provocative language that Mahmoud Ahmadinejad or other hardliners utilize -- when dealing with the international community and regional state actors in regards to Syria, Rouhani has not called for an overall sweeping shift in Iran's foreign policy. For instance, Rouhani has neither asked Assad to step down from power nor pressed to halt the Islamic Republic of Iran's military, intelligence, financial, and advisory support to Damascus.

From the perspective of the centrists, including Rouhani, withdrawing support to Damascus equates to undermining Tehran's geopolitical leverage and balance of power in the region, which ultimately endangers their own power. This becomes particularly more significant to the Iranian leaders who argue that they are surrounded by what they perceive as existential and strategic enemies; the United States' military bases, for instance, are located throughout Iran's borders and in the Gulf Arab states (Qatar, Saudi Arabia, Bahrain, etc).

More fundamentally, because of the role the Supreme Leader plays in Iran's foreign policy objectives, it would be unrealistic to argue that Rouhani would alter Iran's current political status quo towards Assad's regime. Rouhani does not completely control the country's foreign relations with Syria; Iran's policy towards Damascus is closely guided by Supreme Leader Ayatollah Ali Khamenei, the high generals of Iran's Revolutionary Guard Corps, and Etela'at -- Iran's intelligence. However, Rouhani does have the ability to set the tone in regional and international circles for the Supreme Leader. In addition, the Supreme Leader has been very clear about his political stance on Syria, stating that Assad's regime is targeted by Israeli and U.S.-backed groups, foreign conspirators and terrorists.

Lastly, religiously and ideologically speaking, one of the major pillars of Iran's foreign policy has been that it has proclaimed itself as the safe-guarder of Islamic -- particularly Shiite -- values. The Alawite sect-based state of Syria serves as a crucial instrument for advancing, empowering, and achieving this ideological foreign policy objective.

Iran under Rouhani's presidency is unlikely to change the current status quo, push for regime change in Syria, ask Assad to step aside as many Western and Arab Gulf states did, or halt any political, military, intelligence and advisory assistance to Assad's ruling Alawite and socialist Bath party, due to the belief that they will be ideologically and religiously weakening their own regional influence and foreign policy leverage.

If the Alawites lose power, the next government would likely be constituted from the current oppositional groups and the Sunni majority in Syria, who comprise roughly 74% of the population. As in Egypt and Tunisia, where the Islamic Sunni parties were the ones who won the elections, in Damascus, the Sunni oppositional groups are more likely to win most of the parliamentary seats in the situation of a new government forming after Assad. This will be regarded as a considerable shift in regional and international balance of power against Iran and in favor of the Arab Gulf states, particularly Saudi Arabia.

Considering the aforementioned factors: the president's limited control over directing foreign policy compared to the Supreme Leader's more powerful role, the centrist and moderate ideologies, as well as the geopolitical, and ideological elements surrounding the issue , it is more likely that Iran will continue implementing its current strategies towards Syria to preserve Iran's regional and international balance of power, its political and economic national interests, and the survival of the ruling clerics.

Join us on Facebook/CNNOpinion.

@highlight

Syria conflict key issue for Rouhani as he takes Iran presidency

@highlight

Will the centrist president withdraw Iran's unconditional support for Assad?

@highlight

Rafizadeh says Rouhani has not called for sweeping shift in Iran's foreign policy

@highlight

He says: "Iran under Rouhani's presidency is unlikely to change the current status quo"