Jakarta, Indonesia (CNN) -- Relief organizations struggled to reach those in need Tuesday, one day after a 7.7-magnitude earthquake struck off Sumatra, Indonesia, triggering a tsunami and killing at least 112 people, officials said. Another 502 were reported missing.

The Pacific Tsunami Warning Center said the quake generated a "significant" tsunami. Some of the missing may include people who are unaccounted for after fleeing to higher ground, said Henri Dori Satoko, head of the Mentawai Islands parliament.

Although communication with remote areas was difficult, some witnesses in West Sumatra reported seeing a wave 6 meters (nearly 20 feet) high. Other reports described the tsunami as being about 3 meters (almost 10 feet) high.

Satoko said at least one village with a population of about 200 people was swept away, with only 40 people recovered.

Nine Australians on board a tourist vessel that had been feared missing were confirmed to be safe, the Australian Department of Foreign Affairs and Trade said. Those aboard the ship, the MV Southern Cross, were not aware that an earthquake and tsunami had taken place, it added.

The numbers of dead and injured were in flux because information was trickling in from remote parts of Indonesia, a country made up of myriad islands. The area believed hardest-hit was the Mentawai Islands, a popular surfing destination. In particular, Pagai Island was thought to have been affected, said Ita Balanda, a program manager for World Vision in Padang.

"There is no access for now," she said about the Mentawai Islands. "We want to get help to these children and their families as quickly as possible, but it's still too dangerous to reach the island by boat."

Large waves were keeping rescue crews and aid workers from reaching the area. An Indonesian Red Cross assessment team had set out for the island but was forced to turn back because of high seas and debris in the water, said Gayat, spokeswoman for the agency, who like many Indonesians only uses one name. She said the team will try again Wednesday morning.

The trip takes 10 hours, even under good conditions, Balanda said.

U.S. President Barack Obama said Tuesday he and and first lady Michelle Obama were saddened by the loss of life, and he offered support to the hard-hit region.

"As a friend of Indonesia, the United States stands ready to help in any way. Meanwhile, our thoughts and prayers are with the Indonesian people and all those affected by this tragedy," Obama said in a statement.

The quake struck at 9:42 p.m. Monday, triggering a tsunami warning that was later lifted when sea level readings indicated the threat had diminished or was over for most areas. Its epicenter was 240 kilometers (150 miles) south of Padang, at a depth of 20.6 kilometers (12.8 miles), according to the U.S. Geological Survey. The magnitude was revised upward from a preliminary magnitude of 7.5.

"Big, slow, long earthquake last night, and a couple tremblers afterward," WavePark Mentawai Surfing Resort said on its website. "Turns out it was a 7.5 about 70 [kilometers] south of us." The resort said it saw "about six waves on the beach after about 20 minutes" but none was higher than usually seen during high tide.

"No damage here, but reports of damage to other resorts and charter boats further south," the posting said.

"The local residents in the Mentawai Islands reported seeing a tsunami as high as 3 meters [that] reached as far as 600 meters inland," said Mujiharto of the Indonesian Health Ministry.

The Perfect Wave, a surf travel company that said it had 32 clients in the area, also described the wave in a statement as about 3 meters (10 feet) high, and said it washed through a bay where two boats with clients on board were docked. One boat hit the other, which caught on fire, and all the guests jumped overboard. Nine guests and five crew members were washed into the jungle and took more than an hour to make their way to safety, the company said.

All those aboard were picked up by a third boat and were safe "apart from suffering some smoke inhalation and minor scratches," the statement said.

A surf guide aboard the third boat reported "there was a lot of debris floating in the water including bar stools and other pieces of furniture from Macaronis Resort," the company said. "No news on the state of the village at Silabu."

The resort, where six clients were staying, is "all but gone," the statement said.

"It's very difficult to access the coast right now because the sea is quite bad," said Gilles Bordessoule, owner of the Siloinak Surf Resort. He said his property was unaffected, but his staff was attempting to help the Macaronis Resort, which was "completely destroyed" along with two others. Two of the Macaronis guests are missing, he said.

He said the only means of communication with the affected area is by satellite phone, which is how he found out about the resort and received some other information. The fate of the other 130 kilometers (80 miles) of coastline is unknown, he said.

Bordessoule said he had been in contact with authorities and residents of the area and was told between 150 and 180 people are dead and body bags are needed.

World Vision's Balanda said her organization is working with the Indonesian government and the United Nations to figure out how to get to the hardest-hit area. Indonesian government resources have been sent to central Java, where Mount Merapi was erupting, she said, but said her group hopes one or two helicopters will be freed up to help with the quake and tsunami response. She said she is receiving information from a local nongovernmental organization as well as others in the region.

The city of Padang and the Mentawai Islands are at the meeting place of two tectonic plates, making them vulnerable to earthquakes and tsunamis.

On December 26, 2004, a 9.1-magnitude earthquake struck off northern Sumatra. A tsunami generated by that earthquake killed more than 225,000 people in 14 countries -- mainly India, Indonesia, Maldives, Sri Lanka and Thailand. The Indonesian region of Banda Aceh was hard-hit: About 150,000 died there.

CNN's Sarita Harilela and Brian Walker contributed to this report.

@highlight

NEW: Relief organizations struggle to reach those in need

@highlight

NEW: President Barack Obama says U.S. stands ready to help

@highlight

Witnesses report a nearly 20-foot-high wave in West Sumatra

@highlight

Some of the missing may have fled to higher ground