Hanford Nuclear Site, Washington (CNN) -- The federal government has set aside nearly $2 billion in stimulus funds to clean up Washington state's decommissioned Hanford nuclear site, once the center of the country's Cold War plutonium production.

That is more stimulus funding than some entire states have received, which has triggered a debate as to whether the money is being properly spent.

The facility sprawls across approximately 600 square miles of south-central Washington, an area roughly half the size of Rhode Island. It was built in the 1940s as part of the "Manhattan Project" to develop the first atomic weapon during World War II.

Millions of dollars and thousands of jobs poured into the remote area about 75 miles east of Yakima where nine nuclear reactors were eventually built.

During the Cold War, Hanford became a main source of plutonium production for the nation's nuclear weapons program.

Decades of improper radioactive waste disposal earned Hanford the notorious distinction of being one of the most contaminated nuclear sites in the Western Hemisphere.

Today, the Hanford site is a virtual ghost town, and those involved in the cleanup say they will need every dollar of the federal stimulus funds.

There are still millions of gallons of untreated contaminated groundwater, hundreds of buildings used for plutonium enrichment that need to be torn down and underground tanks that are full of radioactive sludge.

The stimulus money will reduce the cleanup time by years, according to Jon Peschong, who oversees the federal project at Hanford.

"It was perfect work, ready to go for the stimulus package," Peschong said. "Each day that passes the conditions worsen [and] the receipt of the federal stimulus money allows us to reduce the costs and also allows us to reduce the cleanup footprint much sooner, years sooner."

The money has also created jobs for about 1,400 people at Hanford, including Joe Gill who manages a team that is tearing down equipment that is heavily contaminated by radiation. Despite the dangers of his job, Gill said it came just at the right time.

"I had managed a production warehouse facility for one of the largest companies in the world, [I] thought I'd be there for 20 years," Gill said. "We laid off 8,000 people in three months and they closed down our plant, [and] those jobs aren't jobs you just read the paper and get."

Hanford won't be decontaminated quickly. The workers have to suit up three to four times a day in protective gear. They break down contaminated equipment through a "glove box," allowing them to disassemble the equipment a room away through lead-lined gloves. Each time a worker removes the gloves, a colleague must check for radiation exposure.

The large scale of the project and years of cost overruns have led critics to complain that stimulus money is being misdirected at Hanford. A report by Sens. John McCain, R-Arizona, and Tom Coburn, R-Oklahoma, listed Hanford as one of 100 sites where stimulus money may have been wasted.

The Hanford cleanup "has been plagued by massive cost and schedule problems - and almost no progress," according to the report.

Gerry Pollet, who runs a Hanford watchdog organization, says he supports using stimulus money to rid the nuclear site of its radioactive waste. But he questions whether the funds are going where they are most needed.

"You are not seeing the value that we should be seeing for the cleanup and the environment," said Pollet, who heads Heart of America Northwest. "They are picking the low-hanging fruit, the easy projects that give very nice photo opportunities. But that doesn't cost $2 billion.

"Hanford is getting more money than many states in stimulus funds, and you would expect to see real progress for cleanup [to] happen with those dollars."

While debate continues over whether and how stimulus dollars should be used, the Tri-Cities area that surrounds the Hanford site -- which includes Richland, Kennewick and Pasco -- is reaping the benefits of the cleanup boom.

Hanford began receiving stimulus dollars in March 2009, which helped the surrounding cities and towns avoid the catastrophe that has plagued other communities impacted by the recent economic downturn.

The Tri-Cities area has one of the lowest unemployment rates in Washington, and the housing market has barely been affected by the recent economic downturn, according to the Tri-Cities Industrial Development Council.

Ken Brutzman, who owns a local office furniture store, said his business was "at a standstill" last year before the orders from Hanford contractors started pouring in. Brutzman had to hire six temporary workers, two of which he may keep on full time, to deal with the boom in business.

"We are on track to have the best year ever," Brutzman said. His business has been in his family for three generations and will likely stay profitable since the Hanford cleanup project is expected to take another 40 years.

"It has my manufacturers raising their eyebrows saying, 'Wow how does that guy do that?'"

@highlight

$2 billion in stimulus funds set aside to clean up Washington's Hanford nuclear site

@highlight

Money has created jobs for about 1,400 people

@highlight

Critics say funds are being misdirected, wasted at Hanford

@highlight

Cleanup "has been plagued by massive cost and schedule problems," their report says