(CNN) -- The blacklegged ticks are out, and they're infecting hundreds of thousands of Americans with a bacterial illness -- more often than experts previously thought.

About 300,000 Americans each year are diagnosed with Lyme disease, according to new estimate released by the Centers for Disease Control and Prevention this week. That number is 10 times higher than the number of cases reported annually to the CDC.

The latest estimates were presented at the 2013 International Conference on Lyme Borreliosis and Other Tick-Borne Diseases on August 18.

"This new preliminary estimate confirms that Lyme disease is a tremendous public health problem in the United States, and clearly highlights the urgent need for prevention," said Dr. Paul Mead, chief of epidemiology and surveillance for the CDC's Lyme disease program, in a statement.

Lyme disease, which comes from a bacterium called Borrelia burgdorferi, is the most common illness spread by ticks in North America and Europe, according to the Mayo Clinic. Blacklegged ticks can spread such bacteria while feeding on the blood of animals and humans.

Most humans are infected by immature ticks called nymphs, the CDC says, which generally feed during the spring and summer months.

Ticks carrying this disease hang out in grassy and heavily wooded areas.

Patients who take appropriate antibiotics early on in the disease are likely to make a full recovery, according to the Mayo Clinic. It may take longer to respond to treatment in later stages of Lyme disease, but, with appropriate treatment, most people recover completely.

Why you should be afraid of Lyme disease

Symptoms

Fever, headache, fatigue and a rash called erythema migrans are all typical symptoms of Lyme disease.

This rash often resembles a bull's eye and can appear within a few days of infection. Between 70% and 80% of people with Lyme disease develop this rash, and some patients develop it at more than one location on their bodies.

Left untreated, the Lyme disease infection can spread to the joints, heart and nervous system, according to the CDC. This can lead to joint pain and swelling.

After several weeks to months, patients may also experience swelling of the membranes surrounding the brain, temporary paralysis of one side of the face and "brain fog": forgetfulness or confusion.

What to do if you get bitten

Ticks can be tiny: Deer ticks may be as small as the head of a pin, so look for them carefully.

Removing a tick within 24 hours cuts your risk of developing Lyme disease because it takes time for the bacteria to move from the tick to the host. The longer the tick is attached to the human body, the more likely that person will be infected. Use tweezers to carefully and steadily pull the tick off, grasping near its mouth or neck. Then put antiseptic on the infected area.

Contact your doctor immediately if you've been bitten by a tick and start to experience symptoms. Even if your symptoms disappear, you should still see a doctor.

Treatment

The standard treatment for Lyme disease in early stages is oral antibiotics. Usually, a 14- to 21-day course is recommended, but some studies suggest that a 10- to 14-day course is equally effective, according to the Mayo Clinic.

If the central nervous system has been affected by the disease, intravenous antibiotics may be given for 14 to 28 days. This treatment eliminates the infection, but you may need more time to recover from symptoms. The side effects from this treatment may include a lower white blood cell count, diarrhea or infection with other organisms resistant to antibiotics that are unrelated to Lyme disease.

Prevention

The CDC recommends wearing insect repellent with at least a 20% DEET concentration and avoiding wooded areas with high grass areas where ticks are most often found. It also suggests checking for ticks daily and showering soon after being outdoors. Using a washcloth while bathing may remove any unattached ticks lingering on the skin.

Covering yourself outdoors can also help: Wear shoes, long pants, long-sleeved shirt, hat and gloves in wooded or grassy areas, says the Mayo Clinic. Your pets can also bring ticks into the house, so check them regularly.

More facts about ticks

These arachnids can't fly or jump but rather wait for a host -- whether it be a mammal, bird, reptile or amphibian -- to feed on while resting on the tips of grasses and shrubs. They hold on to leaves and grass with their lower legs, a position called "questing."

As the host passes by, the tick climbs on and finds a place to bite.

Besides Lyme disease, ticks can also transmit other illnesses such as babesiosis and Colorado tick fever.

Make it your quest to stay safe.

Buzz off, bugs! How to stay safe during insect season

@highlight

Lyme disease comes from a bacterium called Borrelia burgdorferi

@highlight

It's the most common illness spread by ticks in North America and Europe

@highlight

Most people recover completely with appropriate treatment