Belgrade, Serbia (CNN) -- After more than 15 years in hiding, onetime Bosnian Serb commander Ratko Mladic was in a Belgrade jail Friday to face charges that he presided over Europe's worst massacre since World War II.

Mladic was the highest-ranking fugitive to remain at large after the conflicts that accompanied the breakup of Yugoslavia in the 1990s. His arrest followed a three-year investigation, President Boris Tadic announced in a dramatic news conference Thursday morning.

Tadic told CNN's "Connect the World" that he expected Mladic to be transferred to the U.N. war crimes tribunal for the former Yugoslavia "within seven days." He said Serbian authorities are still investigating who aided Mladic during his decade and a half on the run, but he called allegations that the country's military sheltered him "rubbish."

Notorious Hutu militia leader captured

"At the end of the day, he was protected by a very small group of people from his family," Tadic said. He acknowledged that Mladic may have been aided by military officers early on, "but at the end of that process, I don't believe that," Tadic said.

Mladic's lawyer, Milos Saljic, said Mladic's hearing was halted and rescheduled for Friday when he could not address the judge "because of his physical and psychological condition." Saljic called the ex-general "a ruin of a man" who has suffered two heart attacks and three strokes since 1996.

"He is no longer the monumental personality he used to be," Saljic said. He said doctors would evaluate whether Mladic is fit to return to court on Friday.

Hundreds of riot police patrolled central Belgrade as the 69-year-old Mladic made his initial appearance on war crimes charges in a special Belgrade court. One squad chased away a crowd of 100 to 200 people, including one man who waved a Serbian flag, but they were far outnumbered by other people eating dinner or otherwise enjoying a warm spring night.

The former Yugoslav army officer was the commanding general of Bosnian Serb forces during the 1992-95 war that followed Bosnia-Herzegovina's secession from Yugoslavia. The International Criminal Tribunal for the former Yugoslavia has charged him with leading a genocidal campaign against Bosnia's Muslim and Croat populations, including "direct involvement" in the 1995 killings of nearly 8,000 men and boys in the Muslim enclave of Srebrenica -- the worst European massacre since the Holocaust.

However, Mladic remains a hero to some Serbs, and small outbursts of anger were seend in Belgrade late Thursday. A passenger in a speeding car hurled a full beer can at a Serbian television truck, while another driver shouted, "I like Ratko Mladic" and an obscenity as he passed the courthouse.

After midnight, three men stood beneath the building, clapping and chanting Mladic's name.

"That man fought for us, for my father and mother," 28-year-old Goran Stijela told CNN. One of his companions, Midorag Rodjenkov, called Mladic "a martyr for Christ."

Mladic was transferred from Lazarevo, about 80 km (50 miles) north of Belgrade, earlier Thursday. In a statement issued after the arrest, the tribunal said it looked forward to his "expeditious transfer" to its custody in The Hague, Netherlands, for trial.

Once there, he will be allowed to enter a plea to the charges against him, which include genocide, crimes against humanity and violating the laws of war, the court said.

"The arrest of Mladic is a milestone in the Tribunal's history and brings the institution closer to the successful completion of its mandate," the tribunal said. The sole remaining fugitive from the court is former Croatian Serb leader Goran Hadzic, "and the Tribunal hopes he will be arrested in the very near future."

Mladic is accused of leading a campaign of "ethnic cleansing," widespread killing, forcible deportations, torture, forced labor and physical, psychological and sexual violence during the Bosnian war.

The international police agency Interpol praised the arrest as "a triumph for international justice." Interpol officials had met with Tadic in January to discuss closer cooperation in the hunt for war crimes suspects, the organization's secretary-general, Ronald Noble, said in a statement on Mladic's capture.

"After today's arrest, no one should doubt Serbia's commitment to the rule of law and justice," Noble said.

Tadic said the arrest will help the process of reconciliation throughout the Balkans and should pave the way for Serbia's entry into the European Union. EU foreign policy chief Catherine Ashton hailed the arrest as a victory for "the rule of law in Serbia" and praised Tadic and his government for "this courageous action."

Mladic had been on the run since the Bosnian war ended in 1995. The Croatian newspaper Jutarnji List was the first to report his arrest, saying police were doing DNA tests on a suspect to determine whether he was the notorious former commander.

Mladic was the last fugitive from a triumvirate of Serbian leaders accused of genocide against Muslims and Croats as the three populations fought a brutal war over Yugoslav territory.

Former Yugoslav President Slobodan Milosevic was toppled in 2000 and sent to face charges in The Hague, but he died in 2006 while the trial was still going on. Bosnian Serb leader Radovan Karadzic was arrested in July 2008 and is now on trial in The Hague.

Karadzic was removed from power under the Dayton Peace accords that ended the Bosnian war. He went into hiding, grew a full white beard and long hair, and was working in an alternative medicine clinic in Belgrade -- right under the noses of authorities -- when he was captured.

Karadzic has insisted on defending himself at The Hague. Prosecutors accuse him of deliberately obstructing the trial with delaying tactics, and judges have threatened to impose a defense lawyer on him if he does not cooperate.

The Bosnian war was the longest of the conflicts spawned by the breakup of Yugoslavia in the early 1990s. Backed by the Milosevic government, Bosnian Serb forces seized control of more than half the country and launched a campaign against the Muslim and Croat populations.

The United Nations declared Srebrenica to be a safe haven, and tens of thousands of Bosnian Muslims flooded in, expecting protection. But a small contingent of Dutch U.N. peacekeepers, lightly armed and aware that no reinforcements were coming, stood aside and allowed Mladic's troops to overrun Srebrenica, leading to the slaughter.

NATO intervened in the conflict, bombing Bosnian Serb military positions. The United States brought the leaders of the warring factions to an agreement in Dayton, Ohio, in 1995, bringing the violence to an end.

CNN's Ivan Watson, Richard Allen Greene, Joe Sterling, Moni Basu and Lateef Mungin contributed to this report.

@highlight

NEW: Mladic is "a ruin of a man," his attorney says

@highlight

NEW: A few supporters praise Mladic outside the courthouse

@highlight

Mladic was wanted on charges of genocide, extermination and murder

@highlight

Serbia's president says he expects extradition within a week