(CNN) -- Three Al Jazeera English journalists were convicted in Egypt on Monday of aiding the Muslim Brotherhood in a ruling that immediately outraged journalists and activists around the world.

Peter Greste, Mohamed Fahmy and Baher Mohamed had been imprisoned in Cairo since December on charges that included conspiring with the Brotherhood, spreading false news and endangering national security.

The three men have steadfastly denied the charges, as has Al Jazeera, and the prosecution put forth no evidence to support the allegations. Prosecutors were criticized for presenting evidence that was purportedly made up or irrelevant to the case, like videos of Greste's old news reports from other countries.

A judge sentenced Greste, a native of Australia and a former BBC correspondent, and Fahmy, a journalist formerly employed by CNN, to seven years behind bars. Mohamed was sentenced to a decade -- seven years for one charge and three years for a second.

Fahmy has dual nationality, with Egyptian-Canadian citizenship. On Monday, Canadian Minister of State Lynne Yelich said in a statement that Canada is "very disappointed with the verdict."

After the verdict, Fahmy's mother, Wafaa Basiouny, wept inside the courtroom. "Why seven years?" she said. "What did he do? Who did he kill?"

Three other international journalists -- Sue Turton and Dominic Kane of Al Jazeera and Rena Netjes, a correspondent for Dutch newspaper Parool -- were sentenced in absentia to 10 years, reports said, adding that the journalists are expected to appeal, according to the nonprofit Committee to Protect Journalists, which advocates for media freedom worldwide.

Watch an earlier interview with Turton on CNN

Sherif Mansour, CPJ's Middle East and North Africa program coordinator, called the convictions "shocking" and "an extremely disturbing sign for the future of the Egyptian press."

Amid that international condemnation, the Egyptian foreign ministry defended itself on Monday, saying it "strongly rejects any comment from a foreign party that casts doubt on the independence of the Egyptian judiciary and the justice of its verdicts."

'Silencing the truth'

CNN has firmly supported the journalists throughout the trial. Because Al Jazeera has no staff operating in Egypt, CNN and other international broadcasters have been contributing reporting to its television coverage.

"All at CNN are dismayed at today's unjust sentencing of the Al Jazeera journalists in Egypt," the network said in a statement. "Freedom of the media must be protected, and journalists must be free to carry out their legitimate work without fear of imprisonment. We stand alongside the journalistic community in calling for the immediate release of these journalists."

Throughout the trial, a who's who of internationally known journalists, including CNN's Christiane Amanpour, repeatedly called for the release of Greste, Fahmy and Mohamed. Amanpour held up a sign on her CNN International show that said "#freeAJStaff" and joined a campaign meant to call attention to their plight.

See Amanpour, on her CNN show, confront powerful Egyptian about journalists' jailing

Amanpour spoke on CNN's "Reliable Sources" in February about the chilling effect of imprisoning journalists.

"If you try to be objective in your coverage, you are deemed a terrorist," she said. "I mean, it is terrible what's happening there. It is silencing the truth."

In an interview on Al Jazeera shortly after the verdicts were read, Amnesty International Director Steve Crawshaw deplored what he called an "outrageous ruling" and called the convictions an "absolute affront to justice."

In a televised interview, Mostefa Souag, the acting director general of Al Jazeera, called the verdict "shocking."

"I don't think it has anything to do with justice," he said, calling it another step in Egypt's "campaign of terrorizing people and terrorizing the media."

Al Jazeera English Managing Director Al Anstey said in a statement that the sentencing "defies logic, sense, and any semblance of justice."

"There is only one sensible outcome now," Anstey added. "For the verdict to be overturned, and justice to be recognized by Egypt. We must keep our voice loud to call for an end to their detention."

CNN correspondent Ian Lee, stationed outside the court in Cairo, said that through an appeals process, "there's a high likelihood that a judge could either reduce the sentence or acquit them later on."

Pawns in a geopolitical dispute?

The Egyptian Embassy in London released a statement Monday, saying that the sentences were the result of "a judicial process during which the court has examined this case over several sessions in the last six months" and that the defense and prosecution were given "full opportunity" to present their cases.

The embassy said it doesn't comment on the content of court rulings, but it added that "freedom of expression and thought are basic and unalienable rights" that are protected in Egypt's new constitution.

Read more about Egypt's new constitution

The prosecution, which has argued that channels like Al Jazeera brought down Iraq and were planning to do the same in Egypt, has been widely condemned by international correspondents, media organizations and foreign governments.

"We're obviously shocked, dismayed, really bewildered by the decision of the court in Egypt," said Australian Prime Minister Tony Abbott.

"We understand the need of the Egyptian government to maintain internal order and to crackdown on extremism including the Muslim Brotherhood, but it is important that there be due process, it is important that decisions be made on a fair and just basis," he added.

Amnesty International has said that Greste, Fahmy and Mohamed are pawns in a geopolitical dispute between Egypt and Qatar, the tiny Middle Eastern country that finances Al Jazeera. Qatar has long been perceived as a supporter of the Muslim Brotherhood, a religious and political group banned in Egypt and labeled a terrorist organization after President Mohamed Morsy's ouster last year.

That declaration came just days before the Al Jazeera journalists were arrested at the Cairo hotel where they were working. Egyptian state-run media said they were charged with "broadcasting false information" to harm the country's national security and being members of an illegal organization, the Muslim Brotherhood.

A number of other defendants, with no affiliation to Al Jazeera, were also convicted Monday of similar charges.

Canadian Minister of State Yelich said in the statement that Canada is "concerned that the judicial process that led to his (Fahmy's) verdict is inconsistent with Egypt's democratic aspirations. A fair and transparent legal system is a critical pillar of a future stable and democratic Egypt."

Canada wants the Egyptian government to "protect the rights of all individuals, including journalists," the statement said.

'Just doing their job'

The three Al Jazeera employees are "first-class journalists," Anstey said in a statement after the journalists had been detained for three months. "They were just doing their job covering and challenging all sides of the story in Egypt."

In an interview for CNN's "Reliable Sources," Greste's parents, Juris and Lois, said they could not understand why Peter was still behind bars.

"Peter had no reason, no motive for doing anything like the allegations against him," Lois Greste said. "He would have reported the same story, be it for CNN, BBC, Reuters or anybody else."

Juris Greste said it was not unreasonable to characterize his son as a "political prisoner."

"It looks like a kidnapping by the state, as it were," he said, even as he emphasized that he and his wife "bear no ill will against Egypt or its people."

After the verdict against their son, Greste's parents spoke to reporters in Australia.

"We are not usually a family of superlatives, but I have to say this morning my vocabulary fails to convey just how shattered we are," said Juris Greste said. "You can never prepare yourself for something as painful as this."

He held up a picture of his son and said: "This man ... is an award-winning journalist. He's not a criminal."

On Sunday, U.S. Secretary of State John Kerry said he spoke "specifically about Al Jazeera journalists" during a meeting with the new Egyptian President, Abdel Fattah el-Sisi.

While Kerry did not elaborate on the outcome, he said generally that they "discussed the essential role of a vibrant civil society, a free press, and rule of law, and due process in a democracy."

On Monday, Kerry said the "chilling, draconian sentences" were "a deeply disturbing setback to Egypt's transition." He said el-Sisi should "consider all available remedies, including pardons," for the journalists and "all of the political sentences and verdicts pronounced during the last few years."

Reading a statement at a media briefing Monday, White House spokesman Josh Earnest said the Obama administration "strongly condemns" the journalists' sentencing. The verdict, Earnest said, "flouts the most basic standards of media freedom," and he added that the White House is calling on the Egyptian government to pardon the journalists.

Journalists in jail

There are 167 journalists imprisoned around the world, including the three Al Jazeera journalists sentenced Monday, according to Reporters Without Borders.

China has the largest number of journalists behind bars, with 32, followed by Eritrea (28) and Syria (16), the media freedom organization says.

Twenty-eight journalists have been killed doing their jobs this year, the group says.

Reporters without Borders ranks Egypt 159 out of 180 countries for media freedom.

According to the Committee to Project Journalists, at least 14 journalists are imprisoned in Egypt and more than 65 journalists have been detained since Morsy was ousted in July. Most, the group said, have been freed.

CNN's Ian Lee and Sarah El Sirgany contributed to this report from Cairo, Richard Allen Greene contributed from London, and Kevin Liptak contributed from Washington.

@highlight

"We're obviously shocked, dismayed, really bewildered," says Australian PM

@highlight

CNN says sentencing is "unjust" and calls for immediate release of journalists

@highlight

Peter Greste, Mohamed Fahmy and Baher Mohamed were detained last December

@highlight

They are accused of spreading false news and conspiring with the Muslim Brotherhood