(CNN) -- Military intervention in Mali has been swift -- it took only a few months for foreign forces to step in to start helping the population.

Yet 10 years ago, the conflict in Darfur began. Many Darfuris are still waiting for the international community to help stop the bloodshed and ethnic cleansing. Civilians are still being systematically targeted, raped and killed and a recent upsurge in state-sponsored violence and human rights abuses is particularly worrying. Yet the response from the international community is to look the other way.

Watch video: Warning of new Sudan disaster

Why the rush to help Mali while Darfur has suffered for a decade? Quite simply, the answer is fear.

As British Prime Minister David Cameron claimed this January, all of North Africa is becoming a "magnet" for jihadists from other countries.

The West is worried about the possibility of an Islamist-aligned state, one that could offer a base to jihadist groups, allowing them to promote and export its extremist ideology -- a new Afghanistan, just when the international community's intervention there is set to wind down.

But the international community already confronts a similar reality in Sudan -- it just fails to truly understand the ugly nature of President Omar al-Bashir's regime. You only have to take a look at the friends he keeps, including Iran -- designated by the U.S. government as a sponsor of international terrorism. And let's not forget Sudan's long history of harboring global terrorists. In the early 1990s this included international terrorist "most wanted, Osama bin Laden.

Even today, analysts think elements of al Qaeda and other international jihadists still linger in Sudan, and at the beginning of this year, an al Qaeda student wing was established at Khartoum University.

Domestically, the Sudanese government promotes a violent, extreme form of Sharia law. At the very least this means anyone who fails to live by their strict and extreme interpretation of Islamism is castigated with public floggings and jail sentences. Moderate Muslims who signed the New Dawn Charter in January -- separating religion from state -- were labeled non-believers and infidels.

At worst, Khartoum's attempt to establish a racially pure Islamic state involves waging war against its own unarmed civilians, systematically and with impunity. In Darfur this has lasted a decade.

The U.N. estimates that 300,000 Darfuris have died since 2003, but it hasn't bothered to estimate casualty numbers since 2008. With fighting continuing to this day, the number is likely to be far higher.

However, since these human-rights violations occur in a media vacuum the world assumes "Darfur is over." It isn't -- and won't be until the international community stops applying a lesser standard to Darfuris than to others who have needed its help.

That's why a coalition of Darfuri organizations, like the Darfur Union and NGOs like Waging Peace -- which campaigns against genocide and human rights abuses in Sudan -- are launching a new campaign, Darfur10, to bring this war-torn region back onto the international agenda.

Taking action need not require lengthy international negotiations. Let's just start by finally implementing the numerous U.N. resolutions against Sudan since 2004.

Targeted smart sanctions against the personal finances of the architects of Darfur's genocide would help. As would travel bans for high-ranking officials, stocking up on luxury goods from Paris. And no-fly zones would stop the government's Antonovs from bombing Darfuri citizens.

But addressing the underlying cause of Sudan's troubles means ensuring al-Bashir and others in his regime are brought to the International Criminal Court to stand trial for crimes against humanity.

Media outlets are already publishing retrospectives on Darfur, 10 years on. But for the inhabitants of this blighted land, we are still staring the conflict in the face -- every day. It's time to take action.

The opinions expressed in this commentary are solely those of Hussain Begira

@highlight

10 years after conflict began, Darfuris still waiting for end to bloodshed, says Hussain Begira

@highlight

International community ignoring a recent upsurge in violence there, he says

@highlight

He argues that U.N. should implement its sanctions and impose no-fly zone

@highlight

'Darfur 10' campaign aims to put the crisis back on the international agenda