Knoxville, Tennessee (CNN) -- Heart-wrenching cries echo through the halls of the neonatal intensive care unit at East Tennessee Children's Hospital. Nearly half of the newborn babies in the hospital's NICU are suffering from prescription drug withdrawal.

For over a year, the Knoxville hospital has been dealing with a dramatic increase in the number of newborns with neonatal abstinence syndrome, or NAS, which is the withdrawal process a newborn baby goes through after in utero exposure to certain medications.

"When I first got into neonatology the most common problem -- and still the most common problem -- that we take care of is premature babies or babies with respiratory distress," said neonatology director Dr. John Buchheit, a 17-year veteran at Children's. "But I had no idea that we would be seeing this issue, to this degree."

Narcotics used during pregnancy pass through the placenta to the baby. Once the baby is born, he or she no longer has access to the drugs and will likely go through withdrawal. According to Buchheit, opioids -- like oxycodone -- are the worst offenders for the babies suffering from NAS at his hospital.

Between 55% and 94% of babies exposed to opioids prior to birth exhibit signs of withdrawal, according to the American Academy of Pediatrics.

The babies are easily agitated and cry constantly, and many cannot be near sound and light. Other symptoms can include a distinct, high-pitched cry, tightening of the muscles and seizures.

While prescription drug abuse is a problem in nearly every neighborhood in America, it is particularly epidemic in Tennessee, which ranks among the top states in the overuse of prescription pain medications.

Study: Every hour, a baby is born with NAS

A recent Tennessee health department survey found that about a third of pregnant women in state treatment programs are addicted to prescription pain meds. As a result, the number of babies born with NAS at East Tennessee Children's Hospital doubled from 2010 to 2011.

This epidemic is tearing apart families in eastern Tennessee, according to Department of Children's Services Attorney Susan Kovac.

"In Knox County, we're drowning," she said. "We've seen the number of children in foster care increase by almost 50% over the last few years, and that's just the tip of the iceberg because we're trying to keep the children out of foster care. We've got lots and lots of relatives who are raising drug-exposed infants."

State caseworkers are called in to handle the worst cases of babies suffering from NAS.

"We come and talk to the mom and try to find out, what's the level of her abuse, what's the level of her addiction, what can we do to get her clean so that she can be in a position to take care of her baby," Kovac explained.

Since the epidemic is relatively new, there is no national protocol on how to treat NAS. East Tennessee Children's Hospital focuses its treatment on two areas: environmental and medicinal. Last year, the hospital created a wing of private rooms that is quieter, darker and easier to control for the massive influx of babies suffering from drug withdrawal.

The hospital also trains volunteers, called cuddlers, to hold and comfort the babies.

Bob Woodruff, a retired marketing professor and grandfather, spends six hours a week giving these babies a little extra love.

"It's tremendously rewarding to take a stressed baby and work with that baby until that baby is feeling better or sleeping," Woodruff said. "It also makes the job of the nurses a lot easier. It's a lot easier for them to come into a room and deal with a calm baby, rather than a crying baby. So I feel like I'm really helping the nurses, as well as helping the babies."

In addition to improving their environment, the hospital has also developed a successful drug treatment program for these babies, according to pharmacist Terry King.

"When I first arrived, we were treating the babies and stabilizing them on methadone and then discharging them to have outpatient treatment," he said. "Then we decided that probably wasn't the safest and most effective way to treat them. So we decided to switch to the morphine."

Treatments are individualized based on the severity of withdrawal and babies are given small doses of morphine every three hours with feedings. Over the following weeks, doses are gradually decreased to wean babies off the drugs. Since adopting the morphine protocol, the average hospital stay for these infants has decreased by several days, now averaging 24 days.

As East Tennessee Children's Hospital continues to treat these defenseless drug-dependent babies and chip away at the underlying causes of drug abuse through education and proper medical care, Buchheit admits that the future for these newborns with NAS is uncertain.

"There is no doubt that they are at an increased risk for problems with their learning and development throughout their childhood, and problems with behavior once they reach school age," he said.

In the meantime, the hospital has become a pioneer in the treatment of babies with NAS. Other states are turning to them for guidance.

"This problem is faced all over the country ... and people are interested in what we're doing because we know it's a safe, successful plan to administer," King said. "The process is complex to wean these babies and we think that what we've developed has helped make the complex, simpler."

@highlight

Tennessee ranks among the top states dealing with prescription drug abuse

@highlight

About half of all babies in intensive care at one hospital suffer from drug withdrawal

@highlight

Opioids, like oxycodone, are the main drugs in these babies' systems

@highlight

Most are diagnosed with neonatal abstinence syndrome, or NAS