(CNN) -- Feed the world's starving. Cure vitamin and mineral deficiencies. Put an end to crop failure. Combat global warming. Such are the promises of genetically modified (GM) rice. But if it all sounds too good to be true, environmentalists say, that's because it is.

For proponents of GM rice, GM food is the obvious solution to the ongoing problems of population growth, changing climate conditions and malnutrition. For its opponents, it's an unnecessary and potentially catastrophic exercise which only feeds corporate interests and does little to solve the real problems of global food supply, malnutrition and farming practices.

According to seed producer Syngenta, there are around 81 million hectares' (200 million acres') worth of GM crops presently being grown in the world, representing the work of 8.25 million farmers in 17 countries. They are spread mainly between just five countries -- the United States, Canada, Argentina, China and Brazil -- which represent 98 percent of the US$44 billion GM crop market, according to TheCampaign.org.

Rice is by far the most important crop for more than 50 percent of the world's population, according to WWF, and relied upon by around 2 billion people in Asia for 60 percent to 70 percent of their daily calorie intake. Asia is the world's biggest rice market, growing and consuming 90 percent of the world's rice, according to Greenpeace.

Globally, we will produce around 633 million tons of rice this year, says the Food and Agriculture Organization of the United Nations. But in 20 years' time, that won't be enough, according to the European Association for Bioindustries, or EuropaBio (the self-proclaimed political voice of Europe's biotech industry).

Because of population growth, the rice industry will have 1 billion new customers annually requiring 200 million tons more of rice than there is today. To meet the nutritional needs of all of these people -- in addition to the 800 million presently starving -- food production will have to "more than double" in under 40 years, it says.

But problematic weather conditions such as flooding and drought, brought on by climate change, are putting strains on global food production, GM supporters say. And to make matters worse, around 40 percent of crops each year are lost to pests, weeds and diseases, says Syngenta.

GM rice proponents: Higher nutrition, environmentally friendly

With GM rice, these problems are confronted, if not solved, its proponents say, as different strains of rice can be bred to withstand attack from pests, diseases and hostile environments. Not only that, they say, but GM rice can be bred to offer much higher nutritional values than regular rice can, supposedly combating the issues of malnutrition that are now endemic in the developing world. (According to the Golden Rice Network, around 1 billion pregnant women in Asia are Iron-deficient; 2 billion more lack Zinc; while 250 million children are Vitamin A deficient.)

As a result, the Philippine Rice Research Institute and Strive Foundation have developed a GM rice strain they are calling "3-in-1" rice that is packed with Vitamin A, Iron and Zinc, according to the Philippines Information Agency.

And Golden Rice, developed by Syngenta, is said to be loaded with so much beta-carotene that it can combat the issues of Vitamin A deficiency (VAD) to the point that some say it can even prevent blindness.

The original Golden Rice was launched onto the world stage in 2000 by Syngenta, and it has recently been improved to the extent that "Golden Rice 2" now contains 23 times as much beta carotene as the original. Scientists testing the strain say a serving of 200 grams should provide the recommended daily Vitamin A intake; challenging critics such as Friends of the Earth who previously said its claim of beating VAD were erroneous.

GM proponents are now even claiming that GM crops are more environmentally friendly than traditional crops. A study by the International Service for the Acquisition of Agri-Biotech Applications (ISAAA) claims that the effect of farmers in the U.S., Canada and Argentina in 2005 growing weed killer-resistant crops was the equivalent to taking 4 million cars off the road and preventing 9 billion kilograms (19.8 billion pounds) of carbon dioxide from being released into the atmosphere. The reason: Farmers planting these crops didn't need to plough the fields to destroy weeds, which meant the organic matter didn't get exposed to the atmosphere, releasing greenhouse gases in the process, according to the New Scientist.

GM rice opponents: Unknown risks, chemical use

But for all GM rice's promises, the world's leading environmental NGOs -- Greenpeace, WWF and Friends of the Earth -- are simply not persuaded. Traditional farming practices need to be embraced they say, as farmers have been selectively breeding rice successfully for centuries. There are now as many as 140,000 varieties, says Greenpeace, which have been developed without genetic tampering to resist particular diseases, or pests, and to survive in drought conditions -- or floods.

No one knows what the long-term health impact of GM rice is, opponents also argue, and using GM rice seeds leads to the trap of having to buy the chemicals sold by the companies selling the seeds. NGOS such as Greenpeace argue these chemicals are unnecessary, particularly in the early part of the growing season. According to Greenpeace, the International Rice Research Institute in the Philippines reduced its insecticide use by 95 percent between 1993 and 2003, "with no yield loss" and a further study found that 80% of pesticide sprays used in the Philippines were "unnecessary."

Then there is the basic concern over introducing foreign genes into the rice itself. Golden Rice was developed by introducing two genes from a daffodil, for example, while new breeds of rice being given approval by the United States for trials actually contain human genes.

Adding to the concern of unknown health and environmental risks presented by altered rice is this worry: What happens when the seeds contaminate other types of neighboring non-GM rice?

That question was effectively answered last year, when two global rice scares shook the rice industry and substantially bolstered support for GM opponents in the process.

A U.S. rice strain, developed by Bayer CropScience -- which was unapproved for human consumption -- leaked into the global food chain, as did illegal seeds that were being sold in China. Bayer was sued by farmers claiming their crops were contaminated, the Reuters news service reported; the world's largest rice processor Ebro Puleva immediately announced it would stop buying U.S. rice; the European Union and Japan declared import bans on U.S. rice; and rice prices went through the floor.

Since then, says Greenpeace, and in a resounding victory for the anti-GM movement, 41 rice companies from around the world have come out and rejected GM rice. Furthermore, key rice producing countries Thailand and Vietnam have banned GM rice for good. Those two countries alone account for nearly 50 percent of all global rice exports, according to the NGO.

A contentious issue

The issue of GM rice has become so contentious that even the co-founder of Greenpeace came out publicly in defense of it recently, attacking the NGO's "scare tactics and sensationalism" in an issue of The American. "Golden rice can indeed contribute, in a cost-effective manner, to the alleviation of VAD [vitamin A deficiency], thereby easing children's suffering and, in many cases, saving their lives," he wrote. "My old Greenpeace compatriots counter these findings not with their own science, but rather with Hollywood-style fictions about 'killer weeds' and 'Frankenfoods.' Their campaign suggests a complete lack of respect for science and logic."

Greenpeace argues it is not anti-science or anti-biotechnology, however, and promotes the use of techniques such as Marker-Assisted Selection (MAS) which allows scientists to breed pest/weather-resistant crops by identifying which gene is responsible for the resistance, then repeatedly cross-breeding and backcrossing them (to eliminate undesirable inherited traits) until the desired crop has been achieved.

WWF, meanwhile says the system of rice intensification (SRI) can save "billions of cubic meters" of water every day (40 percent less than conventional methods, it says), while increasing yields by more than 30 percent, according to Treehugger.com.

SRI is based on farming methods first adopted in Madagascar in the 1980s and entail: developing nutrient-rich, un-flooded nurseries (as opposed to flooded ones); planting rice seedlings further apart from each other; using composts or manure instead of chemical fertilizers; and controlling the amount of water the rice receives.

If India were to dedicate 20 million hectares of land to this system, WWF says, "The country could meet its food grain objectives of 220 million tons of grain by 2012 instead of 2050."

WWF says that if this method was implemented, not only would it save water and bring food security, it would also help the environment -- SRI rice fields do not emit methane, WWF says, as do conventional rice growing environments. E-mail to a friend

(Sources: Syngenta; WWF; TheCampaign.org; Greenpeace; Food and Agriculture Organization of the United Nations; European Association for Bioindustries; Philippines Information Agency; New Scientist; The American; PlanetArk; Treehugger.com)

@highlight

Half of the world's population rely on rice

@highlight

Rice production will have to double in 40 years

@highlight

Five countries grow 98 percent of the world's GM rice

@highlight

Rice contamination scare in 2006 a setback for GM industry