Fairhope, Alabama (CNN)  -- Mark Castlow and Jimbo Meador have a solution for saving the oil-covered birds in the Gulf of Mexico. However, they also have a problem.

I saw the solution firsthand during a quick ride through a Gulf inlet, near Meador's home of Fairhope, Alabama, about a 20-minute drive outside Mobile.

The two co-owners of Florida-based Dragonfly Boatworks have been working at a breakneck pace for weeks to modify the design of their shallow draft fishing boats, turning them into mobile triage units for pelicans, seagulls, and pretty much any kind of critter caught in the catastrophe.

Their concern on the 65th day of the underwater gusher is deep rooted. Castlow, who says he has "salt water in his blood," grew up surfing off Miami and the Keys. Meador, a former shrimper, was raised along Alabama's Gulf shores.

They're keenly aware that each day adds to the death toll of birds and other animals dying in pockets of oil that invade their natural habitat.

"We have to do everything we can to take care of them," said Meador, who said he has a serious interest in the "birding world." "We want to do try to do what's right to help them because they can't help themselves."

Oil-soaked birds: Rescue or kill?

Unlike more traditional boats, which have deep keels that bog down when they push into shallow marshlands, the custom Dragonfly boats can operate in less than a foot of water.

Their broad hulls create very little wake that might further alarm wildlife; and they've even been painted a light green color to blend better with their surroundings.

On board, Castlow and Meador have added a whole set of tools to help wildlife rescuers: a large, skid-proof worktable for crews to handle animals, an adjustable shade canopy which can be easily lowered to slip beneath bayou tree branches, fine mist nozzles to cool the scorching summer temperatures for workers and critters. The oil won't hamper the boat's engines, thanks to a special cleaning solution.

The men consulted wildlife biologists and other scientists as they rushed to make the improvements, and they've found big donors, like Florida musician Jimmy Buffett, who are willing to help them make the boats available to rescuers free of charge.

The vessels will be outfitted with wireless Internet access, and plans are in the works to team up with Google Earth to enable anyone to track the boats online in real time. Onboard Web cameras donated by a group in Houston, Texas, will allow classrooms or anyone else to watch rescuers in action.

So far, Buffett has funded construction of one prototype boat, according to the duo. The plan is to produce a new boat every seven days from here on out. After the cleanup, the animal rescue groups will be allowed to keep the boats for use in research projects.

Clean up crews trample pelican nests

No one will make money off of the deal, but the animals could benefit immensely, including brown pelicans, a species native to the eastern Gulf which has fallen victim to the oil. Brown pelicans spent almost 40 years on the endangered species list until last year.

Salvaging just a few of the birds is so vital to the survival of the species, said Lee Hollingsworth, a wildlife adviser with the Royal Society for the Protection of Birds in Wales. "Something has got to be done, and of course, it's worth saving the bird."

Brown pelican: Symbol of survival

Every day adds to the death toll of the region's birds and other animals. According to a June 22 report from the U.S. Fish and Wildlife Service, rescue officials have collected 1,746 birds along the coastline from Louisiana to Florida. Of those, 749 were alive and "visibly oiled." Another 997 were found dead, and 265 of those were visibly oiled. Birds that were found alive and then euthanized numbered 143. The report states BP's Deepwater Horizon spill is not responsible for all dead birds.

How much is a pelican worth?

Although the vessels have been praised by wildlife experts, including marine biologists at the University of Southern Mississippi, Castlow and Meador say they've run into dead ends trying to get their boats into the hands of animal rescuers.

They've called federal authorities and BP too, but they say no one seems able to willing to tell them how and when the boats might be put to work.

Castlow and Meador call their support network the DEA, the Dragonfly Environmental Army, which is made up of those who have extended a helping hand, which include suppliers, donors and volunteers. They're hoping the combined forces of their group can break through the bureaucracy and get their boats in the hands of animal rescuers.

It is frustrating to both men, but they say they've been so encouraged by wildlife experts who have universally praised their innovation, that they're pressing on, convinced that no less than the lives of thousands of birds are at stake, and the future of their beloved Gulf too.

"And we're going to get all of these people, and we are going to break that ceiling," said Castlow. "And we will go through it -- because it's our livelihood."

CNN's Katie Ross and Eliott C. McLaughlin contributed to this report.

@highlight

Mark Castlow and Jimbo Meador develop boat to save oil-covered wildlife

@highlight

Musician Jimmy Buffett offers to fund boats for rescue operations, say boatmakers

@highlight

Boats operate in shallow water, are outfitted with special tools to save wildlife

@highlight

Wildlife experts praise their idea, but men say feds and BP haven't responded