(CNN) -- Sadly there is nothing new about the atrocities being inflicted against civilians in the Central African Republic. What is new is the scale of the violence and widespread and arbitrary targeting of people solely because of their religion.

Christian militia loyal to former President Francois Bozize began an offensive last week against the capital, Bangui. The militia attacked mosques, daubing walls with the slogan "Tuer les musulmans" (Kill the Muslims) in what Amnesty International describes as "a shocking escalation of anti-Muslim rhetoric within the Christian community."

In turn, largely Muslim militia known as the Seleka have killed Christians in their homes and attacked hospitals and churches. Tens of thousands of Christians have taken refuge in churches and Roman Catholic missions around the country. Some are taking shelter in hangars at the Bangui airport. One missionary in Bangui told a Roman Catholic charity: "We have never seen anything as bad as this before. We're at the mercy of God, please pray for us."

French troops are trying to disarm rival groups of vigilantes before a Rwanda-style genocide can take hold. But the Central African Republic is the size of France, and there are fewer than 2,000 of these troops currently deployed -- along with some 2,500 African peacekeepers. The French intervention has reduced the violence in Bangui, but the long-term danger is that sectarian brutality will perpetuate communal hatred.

Some analysts and U.N. officials also fear the situation may fuel a regional confrontation between Christians and Muslims -- one that has already devastated northern Nigeria and is percolating in neighboring Cameroon. According to a senior U.N. official, the militant Islamist group Boko Haram -- which has instigated much of the anti-Christian violence in Nigeria -- already has a presence in the Central African Republic, where the lack of government authority, porous borders and a ready supply of weapons provide the perfect incubator for such groups. In most provinces, there is no police or judicial system.

The rise of the Seleka militia

Muslims make up 15% of the country's population and live mainly in the sparsely populated northeast. The Seleka, the loose alliance of Muslim militia, emerged a year ago in response to the neglect of the region as well as human rights abuses -- including rampant torture of prisoners -- by Bozize's government.

The Seleka began advancing south this year, burning and looting as it went and seizing Bangui in March. One leader, Michel Djotodia, proclaimed himself president, the first head of state from the marginalized northeast. The Seleka was later officially disbanded, but as many as 15,000 kept their arms and instead continued to wreak havoc in Bangui and elsewhere. They mainly targeted Christian communities, which in turn mobilized self-defense units known as anti-Balaka (literally "anti-machete.")

In September, Human Rights Watch reported that "with no checks on (its) power, the Seleka rule (operated) arbitrarily and with complete impunity, with the government failing to follow through on its public commitment to bring to justice those responsible for recent abuses." Rape, summary executions, the theft of food and burning of homes were common.

The rights group said some of the Seleka fighters were as young as 13. A report by a U.N. mission to the Security Council in October estimated 3,500 children were among the ex-Seleka fighters and found "an alarming increase in inter-communal violence ... (which) threatens to degenerate into a country-wide religious and ethnic divide."

Complicating the picture, many of the Seleka are from outside the Central African Republic -- from neighboring Chad and Sudan. Some of the Sudanese were allegedly members of the militant Muslim Janjaweed militia, which killed thousands during the conflict in Darfur in western Sudan. Victims of Seleka attacks told Human Rights Watch that their assailants often spoke Arabic. Others in the Seleka had no ideology or political agenda: They just wanted power and wealth. The Central African Republic's northeast is rich in diamonds.

Like the Democratic Republic of Congo, the country has long suffered from the attention of outsiders wanting a slice of its natural resources: diamonds, gold, timber and ivory among them. It has borders with six countries and in its 53 years as an independent state has rarely seen political stability or economic growth. A bewildering array of rebel factions, based on ethnic and tribal affiliation or simply to serve a warlord's ambitions, has risen and fallen.

Sectarian killing may overlap with other problems

Some analysts believe the fighting in the Central African Republic is not about Islam and Christianity, which have become labels under which people have taken shelter as the state has collapsed. Few of the Seleka -- or of the country's Muslim minority -- would likely subscribe to Boko Haram's virulently anti-Western message.

Louisa Lombard, an anthropologist who has been visiting the Central African Republic for the last decade, said the sectarian killing overlaps with other grievances.

"Intercommunal relations have deteriorated for a lot of reasons: economic decline, for one," Lombard told CNN. "The speed with which alliances are made and broken in CAR shows that this is largely a question of resources."

There is also the perception that "foreigners" control the country's wealth, and a complete lack of trust among communities, Lombard said.

"This is not a case of religious extremism. This is a case of religion being bound up in other dividing lines in the society," she added.

But the current carnage, the physical separation and mutual fear of Christians and Muslims, provide a fertile recruiting ground for extremists. The U.N. report warned the dynamic of religious violence may spill beyond the Central African Republic and be exploited by groups from outside the country.

It said tensions between Muslims and Christians "might well lead to uncontrollable sectarian violence with untold consequences for the country, the subregion and beyond."

That can work both ways. Edmond Mulet, the U.N. assistant secretary-general for peacekeeping, told the Voice of America this week there are indications Boko Haram has some kind of presence in the country.

Lombard said radical Islam may be growing from a narrow base but said she sees no evidence of Boko Haram there.

Recruiting ground for extremists

Militant Islamist groups do have a growing presence elsewhere in West Africa, from Mauritania in the north to Cameroon in the south. Moderate Muslim leaders in Cameroon allege that Boko Haram has begun recruiting there. According to a U.S. diplomatic cable published by WikiLeaks, Cameroon President Paul Biya told the U.S. ambassador in 2010 that he "was concerned about the threat of Islamic extremism (and) beginning to worry about Islamic extremists infiltrating Cameroon from Nigeria and making inroads through Cameroonian mosques."

Last week, Boko Haram demonstrated its resilience in the face of a crackdown by Nigerian security forces with a mass attack on an air force base in the northern city of Maiduguri. Nigerian sources said several hundred men were involved and had arrived in a convoy of trucks. One captured fighter, paraded at a news conference, claimed that Boko Haram now had men from Niger, Chad and Cameroon in its ranks.

Boko Haram has already shown it can operate beyond Nigeria, kidnapping a French priest in northern Cameroon last month.

Intelligence sources told CNN this year that Boko Haram had trained with jihadist groups in remote areas of northern Mali before the French military intervention there, an assertion French Foreign Minister Laurent Fabius recently repeated.

But in the immediate future, the people of the Central African Republic face far greater challenges than the infiltration by militant groups. UNICEF Goodwill Ambassador Mia Farrow, who has visited the country several times, said six years ago she felt its citizens were "the most abandoned people on earth." Their situation has worsened since then.

Even before the latest implosion, some two-thirds of its people lived below the poverty line. Average adult life expectancy is 48 years, the second lowest in the world. In the past year, more than half a million have been displaced; one in four of the population has inadequate access to food. The United Nations said in the past week alone more than 70,000 people in Bangui fled their homes. Many have vanished into the bush beyond the reach of aid agencies.

Even if the United Nations and nongovernmental organizations can raise funds needed to deal with the humanitarian crisis, Lombard and others said the Central African Republic faces a long, hard road to anything resembling stability.

"In the middle and longer term, a real political project will be needed -- something that makes the country's politics more inclusive and establishes a kind of social contract," Lombard said. "Unfortunately, that is not something that international organizations are very well placed to help with."

She added, "We'll really be starting from scratch, but we won't be starting with a clean slate. The long history of violent politics is inscribed in this place."

@highlight

Some analysts fear fighting could fuel regional confrontation between Christians, Muslims

@highlight

"We have never seen anything as bad as this before," missionary says of violence

@highlight

Largely Muslim militia known as the Seleka wreaking havoc in capital and beyond

@highlight

Anthropologist: Sectarian killing overlaps with other grievances in Central African Republic