Mogadishu, Somalia (CNN) -- Bashir Osman moves hurriedly along a white sandy beachfront, giving instructions to a driver operating a bulldozer. Near them, a large truck is ferrying away piles of rocks, clearing a sun-soaked beach lapped by the azure blue waters of the Indian Ocean.

Work here is well underway as Osman presses ahead with his new multi-million dollar project: to build a luxury beach resort in Mogadishu, the capital of war-torn Somalia.

"I knew one day that Mogadishu will become peace and we'll get stability," says Osman, who already owns two hotels in the city. "That is why I started to buy that land."

After more than 20 years of violence, Somalia moved a step closer to stability last September after picking its first president elected on home soil in decades.

And now, hope is gradually returning to parts of the East African country.

Read this: Peace concert rocks Mogadishu

Although security is still an issue, Mogadishu has been experiencing an economic renaissance in recent months, boosted by members of the diaspora returning home to rebuild the country, as well as the efforts of local businessmen who never left.

Osman, who stayed in Somalia throughout its conflict, hopes his new development will attract holidaymakers from abroad. He says that he's already had American and British visitors staying in his hotels.

"More than 20 tourists they came," he says. "Some of them they came with their family to show Somalia, especially Mogadishu," adds Osman. "And really when they went back, they were so excited when they saw how Mogadishu looks like, how beautiful city we have, how beautiful beach we have and that is what we want to show them again and again."

Osman's ambitious new projects are part of a growing building activity that is reshaping many of the neighborhoods of bullet-ridden Mogadishu.

"If you go to Mogadishu the construction is very, very booming," says Osman. "That is the sign of peace," he adds. "Especially the people who came back from America and Europe, they start to open the new businesses."

Mogadishu's growing economy is manifested not just in real estate and the hotel sector. Telecommunications is also on the rise, while the aviation industry is spreading its wings too, with about 15 daily domestic and international flights.

"We have six different routes and basically next we'll be eight," says Osman Abdullahi, a young Somali entrepreneur who set up the ODAY express airline. "There is a lot of airlines that are planning to (come to) this country and hoping to (have) a hub over here."

Abdullahi admits that leaving the United States in 2010 to return home and start his business was a "100% huge risk."

He says that when moved back back to Somalia, it was too dangerous to even drive in Mogadishu. "That picture is already gone. It's a different picture today," he says.

This new picture can also be witnessed at Mogadishu's seaport -- Somalia's key national asset -- where creaking cranes lift goods from the commercial ships and boats lining the harbor. The wide array of imported construction materials, household goods and food are then loaded onto rows of waiting trucks.

Read this: Somali women defy danger to write history

The customs revenue collected from here has increased exponentially in recent times. And while the system is far from perfect, the income is crucial to the newly formed government in rebuilding the city, whose basic infrastructure has been shattered by war.

Currently, Somalia's economy is largely supported by aid from donor governments, while the relatively peaceful business environment is propped up by the African Union Mission in Somalia African (AMISOM).

The security forces squeezed the al Qaeda-linked Islamist militant group Al-Shabaab out of Mogadishu, but the insurgents still lurk and periodically launch terror attacks.

Read this: The global cost of Somali piracy

Brigadier Michael Ondoga, of AMISOM, told CNN recently that although Al-Shabaab was "largely defeated" in Mogadishu, there were still issues with its members "melting into the population" and taking advantage of the city's large size to hide.

But Somali security forces have succeeded in pre-empting many suicide attacks and have arrested some of the Al-Shabaab operatives hiding among the capital's population.

"The situation is generally good at the moment -- the security forces are controlling it very well," Ondoga said. "Here in the city now, the big guns are quiet, the streets are lit, many (in the) diaspora are coming back, new construction is going on, business is booming," he said.

And despite the long list of challenges, Mogadishu businessmen like Osman are hopeful of a brighter future.

"For me I was here (during the conflict) and the situation I see now is a situation I have never seen before. So the situation now is getting better," he says.

@highlight

Mogadishu, the capital of war-torn Somalia, is experiencing an economic renaissance

@highlight

Entrepreneurs hope tourists will return to the country

@highlight

Both real estate and hotel sectors are growing as well as investment optimism

@highlight

The resurgence is partly boosted by a returning diaspora