Crystal River, Florida (CNN) -- With the utmost care and a healthy dose of respect, Monica Ross brought the pontoon boat to a crawl, shut its engine down, and asked for quiet. She was careful not to disturb the small antenna, which floated on the surface of the Crystal River marking the location of Coral, an 800 pound manatee.

"She is in a nice, quiet cove. Perfect spot to be resting," said Ross, a marine biologist with Sea to Shore Alliance.

"Nice and protected ... for now," she said.

For now. These are uncertain days on the Crystal River, where boat tours take folks out to see the sea creatures, and where people can swim with them. Knowing where these endangered manatees are will help marine biologists, if Deepwater Horizon oil makes its way into these waters where about 1,000 manatees reside.

"We do know that the oil is toxic and depending on how weathered it is, it can have a lot of harmful effects if manatees come in contact with it," said Patrick Rose, executive director of Save the Manatee Club.

"Everything from coating their skin to getting in their eyes, to being ingested ... We don't know specifically because it's not been documented ... never happened as far as I know," he said.

Is there oil near you? Share your story

In winter, the gentle creatures -- sometimes called "sea cows" because of their underwater bucolic nature but actually more closely related to elephants -- congregate in the warm waters of the rivers, estuaries and springs along the Florida Gulf Coast. But in summer, manatees frequently leave the close confines of their winter spas and spread out along the Gulf Coast to Alabama, Mississippi and Louisiana and around the Florida Keys up the Atlantic coast.

With the population more widespread, would-be rescuers face a difficult task.

Long the victims of accidental boat strikes and careless boaters, the West Indian manatee population in the Gulf of Mexico stands at about 5,000, experts believe. This past winter's extended cold wiped out almost 10 percent of their number. And while everyone is hoping for the best, federal and state officials as well as environmental groups are planning for the worst. The U.S. Fish and Wildlife Service is the lead agency protecting manatees and other wildlife from the oil.

"We don't know how detrimental it will be if they inhale it, if they ingest it, if they're foraging in areas where sea grass has been oiled," said Nicole Adimey, the manatee oil spill response coordinator with the U.S. Fish and Wildlife Service.

"We have no idea how that's going to impact them," she said.

The Fish and Wildlife Service says that as its staff monitors the flow of the black crude across the Gulf, they will use aerial flights to monitor manatees and other wildlife. They hope to have about 72 hours to respond to save manatees unknowingly swimming in the path of the oil -- including physically moving these mammals, which can reach 10 feet long and weigh 1,200 pounds. Rescue teams are staging gear and will be ready to move in if necessary to try and capture manatees in distress.

But rescuing large numbers of manatees has never been done before. Is it realistic to capture large numbers of the sometimes uncooperative mammal?

"I don't know the answer to that question but we're going to move as many as we possibly can," said Adimeyr.

"If we had to move dozens, and it was a situation where we needed to move dozens, then I think we've been assured that we can get the resources, the extra hands that we need to do that," she said.

Adimey said that if manatees come into contact with oil, they will be cleaned with dish soap to break it up and to clean the surface of their bodies.

They will be transported to one of two de-oiling stations -- the Audubon Aquarium of the Americas in New Orleans, Louisiana, and the Institute for Marine Mammals Studies, in Gulfport, Mississippi. Additional facilities in Florida include the Homosassa Springs State Wildlife Park, Lowry Park Zoo in Tampa and the Miami Seaquarium.

Once medically cleared, the animal will be transported to a long-term holding facility at Homosassa Springs State Wildlife Park just south of the Crystal River Preserve, where many manatees have found a haven.

According to the federal plan, no manatees will be released back into the wild until the threat of oil contamination is over. And even then, experts hope the seagrass beds and vegetation that manatees eat aren't destroyed by the oil.

Experts say they have a large network of people working together in partnerships, but accounting for every situation, and every scenario is doubtful.

"Capturing, rescuing hundreds of manatees, it's never been done," said Patrick Rose of Save the Manatee.

"We would lose manatees, I believe, if those kinds of numbers of manatees are involved."

@highlight

Experts estimate manatee population in Gulf at about 5,000

@highlight

Officials, groups planning for the worst if oil encroaches

@highlight

Rescue efforts could include cleaning manatees, physically moving them

@highlight

"It's never been done," rescuer says