Washington (CNN) -- Additional information received recently by a United Nations watchdog group raises new concerns about the intent of Iran's nuclear program.

"Based on the agency's analysis of additional information which has come to its attention since August 2008, including new information recently received, there are further concerns which the agency also needs to clarify with Iran," the confidential report by the International Atomic Energy Agency (IAEA) stated in a section about a potential military dimension to the program.

The report, obtained Friday, does not elaborate on the new information. However, it does discuss possible nuclear activities tied to Iran's military "including activities related to the development of a nuclear payload for a missile."

The IAEA assessment appears to be in sync with a new U.S. intelligence community report. According to a U.S. official, the National Intelligence Estimate concludes that Iran has resumed research on building a warhead. The official, who is familiar with the report but is not authorized to speak for attribution about the sensitive document, said there is no indication Iran is manufacturing any components, but "research on weaponization is moving forward."

The new National Intelligence Estimate updates a controversial assessment in 2007, which indicated Iran had stopped work on its weaponization program in 2003. Many western intelligence services disagreed with the U.S. conclusion at the time.

At a recent U.S. Senate hearing, Director of National Intelligence James Clapper appeared to allude to the latest assessment, telling senators that Iran "continues to advance its uranium enrichment capabilities along with what appears to be the scientific, technical and industrial capacity to produce nuclear weapons if its leaders choose to do so."

Iran claims its uranium enrichment program is intended for civilian energy purposes, however the United States and others maintain Iran is seeking to produce fissile material for nuclear weapons.

The new IAEA report indicates that Iran is continuing to enrich uranium despite a U.N. prohibition. Former nuclear weapons inspector David Albright said he would have expected the enrichment rate to be higher based on earlier performance. He said the Iranians might be having ongoing problems with centrifuges, some of which could be after-effects of the STUXNET computer worm that reportedly infected the system last year.

Iran continues to use the less sophisticated IR-1 centrifuge machines. But according to the report, Iran has notified the IAEA of its intentions to install two new 164 centrifuge cascades comprised of IR-2 and IR-4 centrifuges. Albright, the president of the Institute for Science and International Security, says the more advanced machines should significantly increase the production of enriched uranium at a lower failure rate.

The IAEA chastised Iran for its continued stonewalling of the agency.

"Iran is not providing the necessary cooperation to enable the agency to provide credible assurance about the absence of undeclared nuclear material and activities in Iran, and therefore to conclude that all nuclear materials in Iran is in peaceful activities," the report said.

Albright noted a tonal shift in the latest assessment. "The IAEA seems to be running out of patience with Iran," said Albright, adding, "this could lead to more sanctions" against Iran by the international community.

@highlight

New report indicates concern about a possible military dimension to the program

@highlight

A 2007 intelligence assessment said Iran had stopped weaponization research in 2003

@highlight

A U.S. official says that research is now "moving forward"