Los Angeles frequently had "Stage 3" smog alerts when I was a kid, meaning that we weren't supposed to play outside. Fortunately, those days are over. Air quality in California, including Los Angeles, has vastly improved from decades ago. But compared to other states and to the Federal Clean Air Act health standards, California is way behind on cleaning up its air pollution.

The American Lung Association (ALA) just released its annual "State Of The Air" report listing the most polluted cities in the United States.  Of the seven worst cities ranked as having the worst air quality, six -- including Los Angeles - are in California, despite the state having the toughest regulations in the country.  Why is this?

The two biggest air pollution culprits are transportation sources such as cars and trucks and stationary sources such as oil refineries and industrial facilities.  The ALA rankings look at two different pollutants: ozone (smog) and fine particulate matter.

Ground-level ozone is formed when nitrogen oxides and volatile organic compounds "cook" in sunlight to produce ozone. This mix of chemicals largely stems from the burning of fossil fuels: the pollution that comes from our power plants and industrial facilities and from the exhaust pipes of our cars, trucks, ships and trains.

The ozone smog that comes from this chemical stew burns the eyes, makes breathing painful and can cause chest pain, coughing, throat irritation and can worsen asthma. Children are at greatest risk from exposure because their lungs are still developing, and they are more likely to be active outdoors when ozone levels are high.  Rising temperatures from climate change will only serve to spur even more of this pollution.

Particulate matter, the other major air pollutant in cities, is often smaller than the diameter of a human hair.  Just like ozone, fossil fuel combustion at power plants and by cars and trucks plays a major role in its production. The very small particles can lodge deep in the lungs, causing health risks such as premature death in people with heart or lung disease, asthma aggravation and decreased lung function. Children and seniors are at the greatest risk from particulate pollution.  And we're seeing these human health impacts all across Southern California and the Central Valley.

If you've been to L.A., you know how bad the traffic is -- it can take me 2 hours to drive the 18 miles from my office to Dodger Stadium.  All those vehicles contribute to Southern California's horrible air pollution.  It's true that cars now emit fewer pollutants -- due to regulation at the federal and state level -- but Los Angeles simply has too many cars for the carrying capacity of the region. A massive increase in public transit, hybrid and zero-emission cars and trucks is a sound solution to help alleviate this pollution.

The intense truck traffic on L.A.'s freeways is a symptom of the L.A. area ports' successes.  Over 80% of all U.S. imports from Asia come through these ports, and roughly 40% of those imports are moved by diesel trucks.  California state air regulators have taken strong steps to clean up the diesel truck fleet, but we are far from where we need to be -- diesel trucks, collectively, are still an enormous source of particulate pollution.

Another solution is replacing fossil-fueled trucks that haul cargo containers to and from Los Angeles' ports with zero-emission freight movement systems such as electric trucks. Ports and regulators have already spent many millions of dollars developing these sensible 21st century systems, but industry has yet to deploy them.

The San Joaquin Valley, California's other pollution center, is largely a rural area and home to the state's agricultural industry.  The wide, flat valley, like Los Angeles, is surrounded by mountains that trap air.  Since the valley's population is growing, there are also more cars and trucks. And two major north-south truck routes, I-5 and U.S. 99, bisect the valley. Off-road vehicles used in agriculture as well as agricultural practices such as burning off fields also contribute to particulate matter overload. I drove through the valley on my way to Yosemite National Park last October, but the smog was so thick I couldn't see the Sierra Nevada range until I was there.

Bottom line:  too many cars and trucks, and too much fossil fuel combustion by vehicles, power plants and industry are the problem.  And climate change is only making it worse.

But there's hope: California leads the movement towards a clean, renewable energy future, and if we can accelerate that transition, we have a fighting chance of getting off the ALA's "worst" list.

@highlight

A new report lists the most polluted cities in the U.S., including several California cities

@highlight

David Pettit: There are too many cars and trucks, oil refineries and industrial facilities

@highlight

He says Los Angeles, for example, needs to massively expand its public transit system

@highlight

Pettit: California needs to accelerate development of clean, renewable energy