(CNN) -- Here are reactions to the posting on WikiLeaks.org of tens of thousands of leaked U.S. military and diplomatic reports on the war in Afghanistan:

Afghanistan:

"The Afghan government is shocked with the report that has opened the reality of the Afghan war," said Siamak Herawi, a government spokesman.

Herawi focused on the allegation that Pakistan was secretly supporting al Qaeda and asserted that Washington needs to deal with the Pakistani intelligence agency, known as the ISI.

"There should be serious action taken against the ISI, who has a direct connection with the terrorists," he said. "These reports show that the U.S. was already aware of the ISI connection with the al Qaeda terrorist network. The United States is overdue on the ISI issue, and now the United States should answer."

Pakistan:

In a statement, Pakistan's foreign office said Monday that the documents are "misplaced, skewed and contrary to the factual position on the ground."

"The people of Pakistan and its security forces, including the ISI, have rendered enormous sacrifices against militancy and terrorism. Our contributions have been acknowledged by the international community, in particular by the United States. As underlined by the U.S. national security adviser in his statement on Wikileaks yesterday, the ongoing counterterrorism cooperation between Pakistan and the [United States] will continue with a view to defeating our common enemies."

Lt. Gen. Hamid Gul, the former head of Pakistan's intelligence service who is mentioned numerous times in the WikiLeaks documents, called the accusations that Pakistan was secretly supporting al Qaeda lies.

Qamar Zaman Kaira, Pakistan's federal information minister, said allegations against the ISI are "baseless."

"If someone has any evidence, it should be brought to us, and we will take action," he said. "The Pakistani military, especially the ISI, has sacrificed more than any other forces in the war on terrorism."

A spokesman for Pakistani President Asif Ali Zardari, Farahnaz Ispahani, said the "unsubstantiated leaks" based on uncorroborated "one-sided reports ... will not deter the Pakistani government's commitment to the eradication of terrorism, peace with our neighbors and stability in the region."

Husain Haqqani, Pakistan's ambassador to the United States, issued a statement Sunday saying the reports "do not reflect the current onground realities."

Rather, they "reflect nothing more than single source comments and rumors, which abound on both sides of the Pakistan-Afghanistan border and are often proved wrong after deeper examination," Haqqani's statement said.

"Pakistan's government under the democratically elected leadership of President Zardari and Prime Minister [Yousuf Raza] Gilani is following a clearly laid out strategy of fighting and marginalizing terrorists, and our military and intelligence services are effectively executing that policy," the statement said.

United States:

Sen. Carl Levin, D-Michigan, said in a statement that some of the documents "reinforce a longstanding concern of mine about the supporting role of some Pakistani officials in the Afghan insurgency."

Levin, chairman of the Senate Armed Services Committee, said he had "strongly urged the Pakistanis to take forceful action against militant networks using Pakistan as a base to attack Afghanistan and our troops."

But he said Obama's new strategy "has yielded some tangible improvements in preparing Afghanistan to take responsibility for its own security."

White House Press Secretary Robert Gibbs called the documents' release "a breach of federal law" and said that an investigation into the source of the leak was initiated before late last week.

But, he told reporters, "I don't think that what is being reported hasn't in many ways been publicly discussed -- whether by you or by representatives of the U.S. government -- for quite some time."

Asked about the leak, he said, "There is no doubt that this is a concerning development in operational security."

House Speaker Nancy Pelosi said Monday that the release would not affect a $33 billion war supplemental vote, to be held this week. "A lot of it predates the president's new policy," she said.

Rep. Dennis Kucinich, D-Ohio, who is co-sponsoring a bill that would direct President Obama to remove U.S. forces from Pakistan, said the documents "provide a fuller picture of what we have long known about Afghanistan: The war is going badly."

He added, "It is not the leak of documents that endangers the lives of American troops and our allies, it is the belief that occupying Afghanistan will make us safer. Congress must say no to war funding, bring our troops home and invest in the American recovery."

Sen. Kit Bond, vice chairman of the Senate Intelligence Committee, called the release of the documents "shocking."

"The damage to our national security caused by leaks like this won't stop until we see more perpetrators in orange jumpsuits," the Missouri Republican said in a statement.

The senator stressed that the leak underscores the need to start taking more seriously the threat to national security that leaks cause. Bond pointed out that this is not a new problem: The bipartisan September 11 Commission found that national security was threatened by widespread leaks of classified information. This point was emphasized by former CIA Director Michael Hayden, who testified before Congress that because of leaks, the U.s. effectively has applied "Darwinian Theory" to terrorists: catching only the dumb ones.

National Security Adviser Gen. James Jones issued a statement Sunday condemning the documents' release.

"These irresponsible leaks will not impact our ongoing commitment to deepen our partnerships with Afghanistan and Pakistan; to defeat our common enemies; and to support the aspirations of the Afghan and Pakistani people," the statement said.

The Department of Defense will not comment on them until the Pentagon has had a chance to look at them, a department official said.

Senate Foreign Relations Committee Chairman John Kerry, D-Massachusetts, issued a statement Sunday saying that the documents -- regardless of how they came to light -- "raise serious questions about the reality of America's policy toward Pakistan and Afghanistan."

House Armed Services Committee Chairman Ike Skelton, D-Missouri, issued a statement saying: "I am extremely concerned about the manner in which these documents were leaked and with the recklessness of WikiLeaks in posting them. Our nation's secrets are classified for a reason, and the release of classified documents could put our national security -- and the lives of our men and women in combat -- at serious risk.

"These leaked documents, while troubling, appear to support what I was asserting for years: The war in Afghanistan was not going well, and we needed a real strategy for success. For nearly a decade under the previous administration, our brave war fighters were under-resourced and lacked the direction of a clear strategy. Under the new counterinsurgency strategy implemented earlier this year, we now have the pieces in place to turn things around. These leaked reports pre-date our new strategy in Afghanistan and should not be used as a measure of success or a determining factor in our continued mission there.

"Additionally, some of these documents implicate Pakistan in aiding the Taliban and fueling the insurgency in Afghanistan. It is critical that we not use outdated reports to paint a picture of the cooperation of Pakistan in our efforts in Afghanistan. Since these reports were issued, Pakistan has significantly stepped up its fight against the Taliban, including efforts that led to the capture of the highest ranking member of the Taliban since the start of the war. The Pakistani military has also been in combat for more than a year against its country's own Taliban, which is aligned with al Qaeda and the Afghan Taliban attacking American forces and our NATO allies. While we still have concerns about Pakistan's efforts against the Afghan Taliban, there is no doubt that there have been significant improvements in its overall effort."

Britain:

UK Foreign Secretary William Hague said: "I have not seen those [reports] in detail, but they should not be damaging the international efforts. We saw last week in Afghanistan the huge progress that is being made and the phenomenal challenges that are still in front of us in Afghanistan. But the fact that a good deal of progress is being made in building up the capacity of the Afghan state and Afghanistan working together with so many nations in the world. I hope any leaks will not poison that atmosphere, and I do not think they will."

WikiLeaks' founder Julian Assange said the documents are "legitimate," but he added that it is important not to take their contents at face value.

"We publish CIA reports all the time that are legitimate CIA reports. That doesn't mean the CIA is telling the truth," he said.

"Similarly, with this material, there is reporting from military units of various kinds, in Afghanistan, U.S. embassies across the world, about matters relevant to Afghanistan. ... Those are legitimate reports," he said. "It doesn't mean the contents are true."

CNN's Brianna Keilar contributed to this report.

@highlight

NEW: Levin credits Obama strategy with "tangible improvements"

@highlight

Pelosi says leak won't affect funding vote

@highlight

White House spokesman calls release "a breach of federal law"

@highlight

Pakistan calls the documents "misplaced, skewed"