(CNN) -- A British navy ship abandoned and lost in Canadian Arctic waters since the mid-19th century has been found in relatively good shape at the bottom of a bay, the Canadian government says.

Parks Canada has released images of the HMS Investigator, found late last month at the bottom of Mercy Bay. The bay is located in the Northwest Territories' Aulavik National Park. The discovery is part of two Canadian archaeological missions to locate the Investigator and two other ships.

"This is definitely of the utmost importance," said Marc-Andre Bernier, Parks Canada's head of underwater archaeology.

"The ship is standing upright in very good condition," he told CNN. "This is the first ship to sail the last leg of the Northwest Passage," the Arctic sea route connecting the Atlantic and Pacific oceans.

A first analysis of images "indicate that the structure of the ship lies on the bottom in relatively shallow water and is in good condition, particularly considering the depth," said the agency, which manages the country's parks and protects the country's "natural and cultural heritage."

"The bottom of the vessel appears buried in sediment, and the structure rises to the upper deck, but the rigging and the bulwarks (side walls above the upper deck) have collapsed, likely damaged by the ice."

Archaeologists from Parks Canada are working to "understand the extent of the site and the debris field" and "will try to evaluate what is left on the wreck, how well it is preserved, and what are the environmental conditions impacting the wreck," the agency said.

The ship had been found by the Parks Canada crew "in the first moments of the search," it said. The sea floor lies 33 feet below the surface at the site.

"Fortunately, part of the bay where the ship had been abandoned became free of ice and the search began," Parks Canada said.

"We planned to conduct the project at the end of July," Bernier said, "because it was the best opportunity to have good weather and open water in Mercy Bay, according to our observations based on many years of experience in this national park."

Royal Navy Capt. Robert McClure led the 66-man HMS Investigator on an 1850 expedition through Arctic waters to rescue two other ships -- the HMS Erebus and the HMS Terror.

Those vessels, led by explorer Sir John Franklin, were lost in the Arctic during an 1845 voyage to discover a northwest passage.

The HMS Investigator became "locked in ice" and eventually had to be abandoned in 1853. It left equipment and provisions on the shore, a previously known cache, Bernier said.

As part of its mission to find the Investigator, archaeologists wanted to document the land sites tied to the ship's mission. The crew found the grave sites of three crew members who died of scurvy.

Bernier said the abandonment reverberated historically. The event "had an impact on the Inuit community."

"After the ship was abandoned, they came and harvested some of the ship's materials, such as iron and copper" -- items that were previously unavailable to them, he said.

Canada and Britain are "working collaboratively" on "what to do with the site and its artifacts," Bernier said, noting that the find represents part of a common heritage.

Bernier said McClure, an important figure in Canadian history, has been credited with the discovery of the Northwest Passage and was knighted for that.

"For the moment, we're still looking at options but there's no intention at present of raising the ship," he said of the complex and delicate site. A project to raise the ship would be very expensive, he said.

"We're going to find the best way to protect the site," he said. "We want to tell this story to the biggest audience. It's part of world history."

In another project, a Parks Canada and the Canadian Hydrographic Service team will also be searching for the Erebus and the Terror beginning on August 10. The search would be located southeast of Mercy Bay in Nunavut territory.

@highlight

A sunken British navy ship is recovered in Canada

@highlight

"The ship is standing upright in very good condition"

@highlight

The HMS Investigator had been on a mission to rescue two other ships