(CNN) -- Calling it a mission that may fundamentally change humanity's view of itself, NASA on Friday launched a telescope that will search our corner of the Milky Way galaxy for Earth-like planets.

This image shows part of the Milky Way region of the sky where the Kepler spacecraft will be pointing.

The Kepler spacecraft blasted into space on top of a Delta II rocket from Cape Canaveral Air Force Station in Florida.

"This is a historical mission. It's not just a science mission," NASA Associate Administrator Ed Weiler said during a prelaunch news conference.

"It really attacks some very basic human questions that have been part of our genetic code since that first man or woman looked up in the sky and asked the question: Are we alone?" Watch iReport video of launch

Kepler contains a special telescope that will stare at 100,000 stars in the Cygnus-Lyra region of the Milky Way for more than three years as it trails Earth's orbit around the Sun.

The spacecraft will look for tiny dips in a star's brightness, which can mean an orbiting planet is passing in front of it -- an event called a transit.  Watch how astronomers will try to find 'Earths' »

The instrument is so precise that it can register changes in brightness of 20 parts per million in stars that are thousands of light years away.

"Being able to make that kind of a sensitive measurement over a very large number of stars was extremely challenging," Kepler project manager James Fanson said.

"So we're very proud of the vehicle we have built. This is a crowning achievement for NASA and a monumental step in our search for other worlds around other stars."  See what the telescope looks like and which part of the galaxy it will monitor »

Are we alone?

The $600 million mission is named after Johannes Kepler, a 17th-century German astronomer who was the first to correctly explain planetary motion. His discoveries combined with modern technology may soon help to answer whether we are alone in the universe or whether Earth-like worlds inhabited by some type of life are common.

"We won't find E.T., but we might find E.T.'s home," said William Borucki, science principal investigator for the Kepler mission.

About 330 "exoplanets" -- those circling sun-like stars outside the solar system -- have been discovered since the first was confirmed in 1995.

Most are gas giants like Jupiter, but some have been classified as "super earths," or worlds several times the mass of our planet, said Alan Boss, an astronomer with the Carnegie Institution who serves on the Kepler Science Council. They are too hot to support life, he added, calling them "steam worlds."

Europe's COROT space telescope caused a stir last month when it spotted the smallest terrestrial exoplanet ever found. With a diameter less than twice that of Earth, the planet orbits very close to its star and has temperatures up to 1,500° Celsius (more than 2,700° Fahrenheit), according to the European Space Agency. It may be rocky and covered in lava.

Scientists have marveled how strange some of the alien worlds are.

"The density of these planets has been astounding," Borucki said. "We're finding planets that float like a piece of foam on water, [with] very, very low densities. We're finding some planets where the densities are heavier than that of lead."

The Kepler telescope, however, is seeking something much more familiar: Earth-like planets with rocky surfaces, orbiting in their stars' habitable, or "Goldilocks," zones -- not too hot or too cold, but just right for liquid water to exist.  Watch a NASA scientist explain where life could exist »

Quest for a 'pale blue dot'

Once Kepler spots a planet, scientists will be able to calculate its size, mass, orbital period, distance from star and surface temperature, Boss said. He called the mission a "step one" that will tell astronomers how hard it is to find nearby habitable worlds.

"Once we know how many there really are ... then NASA will be able to build space telescopes that can actually go out and take a picture of that nearby 'Earth' and measure the elements and compounds in its atmosphere of the planet and give us some hint as to whether or not it's got life," Boss said.

Boss believes that there may be 100 billion Earth-like planets in the Milky Way, or one for every sun-type star in the galaxy. He said scientists should know by 2013 -- the end of Kepler's mission -- whether life in the universe could be widespread.

The 20-year goal is to someday take a picture of a pale blue dot orbiting a nearby star, said Debra Fischer, an astronomy professor at San Francisco State University, during a NASA news conference.

Boss called it a potentially unprecedented time of discovery for scientists.

"Sometimes, people call this the golden age of astronomy. I think it's more like the platinum age of astronomy. It's beyond gold," Boss said.

@highlight

NEW: Kepler spacecraft launched from Cape Canaveral Air Force Station late Friday

@highlight

It contains a special telescope that will stare at 100,000 stars for several years

@highlight

Mission goal is to find Earth-like planets with potential to have liquid water on surface

@highlight

This is "the platinum age of astronomy," scientist says