Los Angeles (CNN) -- Michael Jackson's mother says she's hoping Dr. Conrad Murray will get the harshest sentence possible, four years in a state prison, in the death of her son.

"I don't believe that he intended for Michael to die," Katherine Jackson told CNN Monday. "He was just taking a chance."

A jury found Murray guilty of involuntary manslaughter three weeks ago, and Los Angeles Superior Court Judge Michael Pastor set Tuesday for his sentencing.

Pastor, who sent Murray directly to jail after he was convicted this month, has a choice ranging between probation and up to four years in a state prison. But measures to relieve California prison and jail crowding could significantly shorten his time locked up.

Prosecutors successfully argued that Murray's reckless use of the surgical anesthetic propofol to help Jackson sleep, without proper monitoring equipment, led to the pop icon's death.

Testimony during his trial revealed that Murray gave propofol nearly every night in the two months before the singer's death on June 25, 2009, as Jackson prepared for his comeback concerts set for London the next month.

Katherine Jackson and several of her children will be in court for the sentencing Tuesday, but her grandchildren Prince, Paris and Blanket will not. They'll be at school, she said.

She was uncertain whether anyone from the family would speak in court, but she was interviewed by a probation officer who will include her thoughts in the report to the judge, Jackson said.

Murray's elderly mother, Milta Rush, wrote a letter to the judge asking for mercy, saying "his compassion and his soft heartedness for others led to this dilemma."

Prosecutors are asking for the maximum four years behind bars, and they want Murray to pay Jackson's children more than $100 million in restitution. Defense lawyers want probation, not prison time.

Each side will have a chance to present oral arguments Tuesday, but their positions were detailed in sentencing memos filed with the judge last week.

Murray has "displayed a complete lack of remorse" about Jackson's death, and is, "even worse, failing to accept even the slightest level of responsibility," deputy district attorneys David Walgren and Deborah Brazil wrote.

The prosecutors cited Murray's decision not to testify in his own defense, even while he was giving interviews for a documentary that aired days after the verdict.

"In each of these interviews, the defendant has very clearly stated that he bears no responsibility for Michael Jackson's death," the prosecutors said. "Moreover, the defendant has continued to express concern only for his individual plight and portrays himself, not the decedent, as the victim."

"I don't feel guilty because I did not do anything wrong," Murray said in the documentary quoted by the prosecution.

"Finally, the defendant consistently blames the victim for his own death, even going so far as to characterize himself as being 'entrapped' by the victim and as someone who suffered a 'betrayal' at the hands of the victim," the prosecutors said.

Jackson's death came as he was preparing for a series of comeback concerts in London, which the defense argued pressured the singer to seek sleep or risk having the concerts canceled.

The prosecutors contend in their sentencing memo that Murray should be ordered to pay Jackson's three children restitution for the subsequent "wage and profits lost," as provided under California's "victim's bill of rights" law.

The singer's "estate estimates Michael Jackson's projected earnings for the 50-show O2 concert series to be $100,000,000," the prosecutors said.

With nearly $2 million in funeral expenses and 10% interest added each year, the prosecution is asking Pastor to order Murray to pay Prince, Paris and Blanket Jackson more than $120 million in restitution.

While it is doubtful that Murray, who is unlikely to ever practice medicine again, could pay much of that sum, it could prevent him from reaping financial benefits from any books, interviews or film projects in the future.

Defense lawyers, in their sentencing memo, said Murray is suffering "manifold collateral consequences" because of the felony conviction.

The memo included a biography of Murray that described him as "a self-made man of humble origins," who paid his own way through medical school without scholarships or family funds.

"He was raised in a home that lacked indoor plumbing or electricity, and he walked to school barefoot for his first couple years of school," the defense said.

He worked as a doctor for 20 years, with "no prior contacts with the law," and many of his patients were elderly in low-income, underserved communities, the defense said.

"It seems reasonable that the transgression for which he is to be judged should be viewed within the context of the larger life of which it is a part," it said.

The defense challenges the prosecution's contention that Murray is not remorseful.

"Dr. Murray wishes to make it unmistakenly clear to everyone that he deeply mourns the loss of Michael Jackson's life, and he profoundly regrets any mistakes or oversights on his part that may have contributed to it," the defense said.

The judge should also consider "the manifold collateral consequences that Dr. Murray has sustained as a result of his mistake," the defense said, including the loss of his medical career, the public disgrace and loss of privacy.

"Dr. Murray has been described as a changed, grief-stricken man, who walks around under a pall of sadness since the loss of his patient, Mr. Jackson," the defense said.

The defense memo included a letter from Murray's elderly mother, Milta Rush. She sat in court for much of her son's trial, just a few feet away from Jackson's mother.

"I sympathize with Mrs. Jackson as a mother," Rush wrote in a letter to the judge. "I sense she was very close to her son. I really wanted to approach her personally and tell her I am sorry for the loss of her son, but I was unsure if she would be receptive, and I did not want to take the chance of violating court rules. I am sorry for all her loss."

While Murray's mother told the judge her son is "saddened and remorseful" about Jackson's death, she said "his compassion and his soft heartedness for others led to this dilemma."

The defense contends that Murray was trying to help Jackson, who was desperate for sleep so he could be ready for rehearsals. "His compassionate intentions should not be overlooked," it said.

"The victim was a willing recipient of the medications administered," the defense said. "In fact, Mr. Jackson had repeatedly begged Dr. Murray for propofol to overcome his insomnia so that he could sleep."

Murray does not pose a safety threat to the public, it said. "The likelihood of recurrence is essentially nonexistent since Conrad Murray's medical license has been suspended."

Aside from the arguments of what Murray deserves, the defense contends that California's prison and jail crowding mean that "neither the space nor the public funds exist to continue imprisoning nonviolent, nondangerous offenders who do not need to be incapacitated for the sake of public safety."

"Dr. Murray is clearly such a defendant," the defense said. "He is an individual who remained free on bond for more than two years prior to the jury verdict, adhering assiduously to all of the bond conditions that had been imposed."

If Murray takes up a state prison or county jail cell, it "may mean that someone else with higher potential for violence will be released," the defense said.

Instead, the defense proposed that Murray could be sentenced to community service along with probation.

"Though he will perhaps not again be a doctor qualified to make diagnoses, he could educate and counsel patients about heart care and disease prevention," it said. "There are many nonprofit clinics and organizations that would benefit from his participation, if ordered to perform community service as a condition of his sentence and a means of 'putting some water back into the public well.'"

@highlight

Katherine Jackson's thoughts on Dr. Conrad Murray are in a report prepared for the judge

@highlight

Murray's "compassion and his soft heartedness" led to his troubles, the doctor's mother says

@highlight

Murray could get anything from probation to four years in prison Tuesday