(CNN) -- The underwater search for the missing Malaysia Airlines plane will effectively be put on hold this week, and may not resume until August at the very earliest, according to Australia's top transport safety official.

The new timeline means that once Bluefin-21, the American underwater drone operated by a team on board the Australian Defense Vessel Ocean Shield, wraps up its work in a couple of days, it will be up to two months, if not longer, until new underwater vehicles are contracted and deployed in the hunt for MH370.

According to Martin Dolan, Chief Commissioner of the Australian Transport Safety Bureau, the Australian government will post its request for tenders for the next phase of the search in the next week or so.

"The aim would be to have to negotiate and agree to contract with a successful tender within two months of the release of the tender documentation," Dolan said. The ATSB Chief would not comment on what role his Malaysian and Chinese counterparts have played in the process so far.

Australian officials had previously suggested that new underwater assets could be in place in the southern Indian Ocean much earlier.

Air Chief Marshall Angus Houston, who heads up the umbrella organization coordinating the search for MH370, told Sky News Australia in early May that he hoped that new equipment be starting its work in the search zone off Western Australia sometime in June.

Bluefin finishing up its search

The current phase of the underwater search will officially wrap up on Wednesday, when the Bluefin-21 is expected to finish its last of more than 20 missions, some 1,600 kilometers off Western Australia, in waters than can exceed depths of 4,500 meters.

Dolan says the ATSB expects that the Bluefin will have finished searching the areas around the four pings detected by the Ocean Shield on April 5 and April 8. The acoustic signals are believed to have been from at least one of MH370's black boxes, but to date, no trace of the missing Boeing 777 has been found.

Officials have publicly said they would prefer the next phase of the underwater search, which could take up to a year, to be led by a single private contractor who will operate several underwater assets in the search zone.

Appearing alongside Chinese and Malaysian officials at a news conference in Canberra on May 5, Australia's Deputy Prime Minister Warren Truss said search coordinators were specifically looking at side-scan sonar equipment that would be towed by a ship.

Some towed sonar devices, such as the U.S. Navy's Orion, can transmit data to the surface in real-time. They also have the capability of scanning a larger area than the Bluefin, which has been limited to some 40 square kilometers during each mission.

Australia has estimated that the next phase of the underwater search will cost some $60 million. The breakdown of who pays for what still hasn't been made public, but Malaysia and China are both expected to make significant contributions.

Mapping the ocean floor

Meanwhile, the Chinese survey ship, Zhu Kezhen, arrived in the search area on Saturday and has started its bathymetric survey, or underwater mapping of the ocean floor, according to Australia's Joint Agency Coordination Committee.

The ship will work toward mapping some 60,000 square kilometers, roughly the area where authorities believe MH370 may have gone down. The ATSB says it will be joined by a contracted commercial survey vessel in early June.

The data will be transferred once a week to Fremantle by another Chinese ship, the Haixun 01, and then flown to Canberra for processing by Geoscience Australia, a government agency. The ATSB estimates it will take about three months to map the area in question.

But search authorities are still considering the possibility that the MH370 search area could shift or be further refined in coming weeks, as it has several times since the flight vanished more than 11 weeks ago.

Review of satellite data

According to the ATSB's Martin Dolan, the international group of experts continues to review satellite communications data from Inmarsat to determine the most likely area where the Boeing 777-200ER may have entered the water.

Dolan said he expects the team, which is now meeting via teleconference, won't finish their review for at least another two to three weeks. "It's important for us to be sure that we have correctly defined the search area for this phase of the search, and it takes time to be sure," he said.

Analysis of a series of "handshakes" between MH370 and an Inmarsat satellite combined with analysis of aircraft performance led search teams to their current location in the southern Indian Ocean.

Family members of those on board the missing Malaysia Airlines flight have been pushing for the raw Inmarsat satellite data to be made public, so that it can be subject to independent review. Many do not believe authorities are searching in the correct place.

Malaysian authorities have indicated they will make that data public on Tuesday, along with an explanation of how the team of experts arrived at its conclusion. Malaysia's acting transport minister said Monday he is still confident in the team's analysis.

MH370 departed Kuala Lumpur for Beijing early on the morning of March 8, carrying 239 passengers and crew. On March 24, Malaysian Prime Minister Najib Razak announced that the flight had ended in the southern Indian Ocean.

READ MORE: MH370: Raw satellite data to be released
READ MORE: Movie-maker's plan for MH370 thriller
READ MORE: Three ways to prevent planes from vanishing

CNN's Saima Mohsin & Mitra Mobasherat contributed to this report

@highlight

Underwater hunt for MH370 will effectively be put on hold once Bluefin searches end

@highlight

New underwater vehicles not expected to join search for up to two months

@highlight

Satellite data to be released Tuesday; some families believe search is in wrong spot

@highlight

MH370, with 239 on board, disappeared on way from Kuala Lumpur to Beijing on March 8