(CNN) -- The Doha climate change conference this year was the most significant in nearly 20 years of gatherings under the U.N. Framework Convention process aimed at staving off future global warming disaster.

Since carbon dioxide emission limits agreed to under the 1997 Kyoto Protocol were to expire at the stroke of midnight on December 31, 2012, it was critical that the international community agreed to extend those obligations and to continue talks about future emission cuts.

But the outcome fell far short of what will be necessary to keep the world's average temperature from rising more than 2 degrees Celsius in the foreseeable future.

Under the Doha arrangement, 17 of the 25 biggest carbon emitting countries (including China, the United States, Russia and India) did not commit to any legally binding emission limits. The countries that did agree to extend and deepen their Kyoto emission reductions, including the European Union, Australia and Eastern Europe, make up only about 15% of the world's emissions. That seems like a rather meager return on the investment of time and effort over the past years.

But there is one silver lining.

The world's top 20 carbon emitters together make up about 77% of emission and account for about 4.3 billion people, which is about 62% of the global population. The remaining 170 or so countries account for just over 20% of emissions.

As often is the case, these negotiations over climate have come to symbolize epic David and Goliath struggles pitting poor developing countries against recalcitrant government officials from rich countries. Lobbying efforts, shaming tactics, and staging public demonstrations have been the slingshots of choice. One result is that more people are paying attention to environmental issues.

Nonetheless, it is time to abandon the myth that a consensus solution is necessarily the best approach. The unfortunate reality is that little can get done right now. It's like having hundreds of cooks with hundreds of different recipes attempting to prepare one meal in the same small kitchen. After two decades of hard work, it is time to consider reducing the number of cooks.

A better alternative to a United Nations-style conference would be for the 25 major emitters to come to an agreement just among themselves about their mutual commitments to deal with climate change effectively.

In other words, get the 25 cooks to work together on the main meal. The hundreds of other cooks ought to step out of the kitchen.

Some smaller, focused discussions have already started, such as in the Major Economies Forum. Imagine what kind of deals on cutting emissions would be possible just among China, India and the United States -- the top three emitters in the world respectively. Imagine a deal involving emission sources in China, which has some of the world's most polluting coal-fired power plants, and California, which is on a course to become one of the most stringently controlled states in carbon emissions.

Of course, there are no guarantees for success. But discussions within such a smaller group would allow government leaders to confront the realities of climate change and engage in direct horse-trading without the static of thousands of other voices desiring to load their issues into the deal.

Let's face it -- we are way beyond the time for finding an ideal solution. Every year the world waits to take further concrete steps to cut emissions, the atmosphere will be loaded with millions of tons more carbon dioxide that will stay for a century. And the job of limiting global warming to 2 degrees Celsius will be more out of reach.

At the best, gatherings like the one in Doha dangle a tantalizing mirage of achieving a sustainable future. At the worst, they give cover to governments that would rather avoid the hard choices they ultimately will have to make.

After one more expensive and time-consuming round of talks, it's time to be honest with what can really be accomplished in these U.N.-style gatherings.

The opinions expressed in this commentary are solely those of Tseming Yang.

@highlight

Tseming Yang: Result of Doha climate change conference less than desirable

@highlight

Yang: It's time to abandon the myth that a consensus solution is the best approach

@highlight

He says the 25 major carbon emitters should work out an agreement among themselves

@highlight

Yang: Smaller, focused discussions may be better than large, U.N.-style gatherings