(CNN) -- In 1961, my senior year in a rural Central Pennsylvania high school, I competed in the oratorical contest with a speech titled, "The Plight of the American Negro." My teacher informed me if I wanted to win, I had chosen a wrong and contentious topic.

While I was raised in the North, attitudes about Negroes were similar to those in the South.

From a relatively inactive movement in early 1960, dramatic events for racial equality captured national attention between 1961 and 1963 -- Freedom Rides, Interstate Commerce Commission's desegregation order, Voting Education Project, integration of the University of Mississippi, Gov. George Wallace's intervention against desegregating the University of Alabama, Dr. King's Letter from Birmingham Jail, national awareness of White Citizens Council and Ku Klux Klan brutality.

When I arrived in the capital as a college student to take summer classes in 1963, I heard about a national demonstration planned at the Lincoln Memorial for late August. Washington was not only below the Mason Dixon line, but it was then in many ways a outhern city. Few blacks attended Washington's white colleges and universities. Black collegians attended Howard University.

At my college, there were two black undergraduates, one of whom was from Africa. Job opportunities for non-college educated blacks were mostly in servile roles. College educated blacks were principally offered positions as teachers in colored public schools and ministers in colored churches.

The Kennedy administration, fearing unrest, discouraged the demonstration. Lead organizers A. Philip Randolph and openly gay Bayard Rustin were not deterred.

On Wednesday, August 28, 1963, I joined an estimated 250,000 black and some white Americans at the Lincoln Memorial for the March on Washington for Jobs and Freedom. For me, it was important that I attend. Being a Jewish-American, the Holocaust was a recent and painful reminder of unfettered prejudice. Negro lynchings without arrests reminded me of the horror of the pogroms that Jews experienced in Europe, while authorities looked the other way.

The March was a magical moment. Ordinary folks, mostly dressed as if they were going to church arrived from rural towns and large cities. Despite the repression exercised by authorities in the South, they were not intimidated. The magnitude of the largest crowd ever assembled on the National Mall inspired everyone. The statue of the Great Emancipator symbolized the long sought aspirations for a better life, equality and equal justice.

It was a hot day with lots of speeches. While Dr. King is recognized today as America's preeminent civil rights leader, his numerous co-organizers also spoke that day. One was Rabbi Joachim Prinz, president of the American Jewish Congress. Jews were among the early white supporters of civil rights. Rabbi Prinz was a German Jew who emigrated to the U.S. to escape Nazi persecution. His speech lived up to his honored placement between Mahalia Jackson's spirituals and Dr. King's speech.

When Dr. King began "I Have a Dream," I was struck as if by lightning. It was akin to hearing Moses speak to the heavens. His speech was a defining moment for those assembled and for Americans watching television in living rooms across the nation. The March led to a Civil Rights Act of 1964 and a Voting Rights Act of 1965.

In the late 1980s, I came out as a gay man and became increasingly involved in LGBT civil rights. I met Barbara Gittings and Frank Kameny, the mother and father of the LGBT civil rights movement. They helped organize the Annual Reminders at Independence Hall and Liberty Bell each July 4 from 1965 to 1969. The Annual Reminders, the first organized demonstrations for gay equality, laid the groundwork for the Stonewall Riots in 1969.

While working on "Gay Pioneers," a documentary to chronicle this history, I learned that the March on Washington had empowered early gay activists. They followed Dr. King's protocol of non-violence, decorum and picketing. It informed me of the March's pivotal impact on gay activism.

Gay pioneer Jack Nichols stated, "We had marched with Martin Luther King, seven of us from the Mattachine Society of Washington in 1963, and from that time on, we'd always had our dream about a (gay) march of similar proportions."

The first Annual Reminder on July 4, 1965, in Philadelphia had 40 participants. It was the largest demonstration for gay equality in the history of the world. By the 1969 Annual Reminder, the number swelled to 160 picketers.

From 1979 to 1993, a series of national marches on Washington for lesbian and gay rights drew, at first, tens of thousands and later hundreds of thousands of people -- culminating in the April 1993 March on Washington for Lesbian, Gay and Bi Equal Rights and Liberation that attracted an estimated 1 million demonstrators.

In the years between the 1963 March on Washington and 1993, the AIDS epidemic and societal changes propelled by the African-American and women's civil rights movements helped launch LGBT from nascent to engaged activism. For me, the March 50 years ago was a transcendent moment in a lifelong engagement for everyone's civil rights.

On August 28, 1963, Dr. King ascended a Mount Sinai. His biblical Dream forever changed institutional oppression, our nation and the world.

The opinions expressed in this commentary are solely those of Malcolm Lazin.

@highlight

Malcolm Lazin grew up in the segregated world of the North

@highlight

He says the March on Washington was a "magical moment"

@highlight

Lazin: Martin Luther King's words inspired broader rights movements

@highlight

He says that from 1979 to 1993, protests for gay rights grew ever larger, stronger