Holon, Israel (CNN) -- She never displayed the boundless energy of other children -- all she seemed to do was cry.

Her mother couldn't figure out why until a doctor examined her baby girl and broke the news. She had a heart condition that would eventually kill her if left untreated. Doctors said surgery should be done when she turned one but there was no one able to do it in her home town. The family did not have the money to go elsewhere.

It was torture. The longer she waited, the worse her daughter would get. Then something happened that changed everything. War broke out in Syria and eventually spread to their town. They tried to wait it out but it raged on with non-stop ferocity.

Escape from ruins

Then six months ago, the girl and her mother escaped what was left of their home. But they could not escape their child's medical problems. The girl had turned four and her condition was getting worse -- as doctors predicted.

"She could not play or walk or talk. She would get tired. She could not indulge in anything," her mother said. "She could only eat very little."

The child's mother asked us to keep their identity secret because of what happened after they left Syria. Their journey eventually landed them in Israel, which is technically still at war with Syria and has been for decades. The family worries they will be seen as traitors or spies when they return to their homeland if their neighbors find out they've been inside the "enemy state." But the family acknowledge their journey to Israel saved the girl's life.

Oxygen starved

Their perilous journey from Syria first landed them in a refugee camp with hundreds of thousands of others. Desperate and dirty, the camp was no place for a sickly child whose heart condition was slowly but surely starving her of oxygen.

"We all have in the heart two pumps but she has only one that is working," explained Dr. Sion Houri, the head of the Pediatric Intensive Care Unit at the Wolfson Medical Center in Holon, Israel. "We have two tubes in our body -- one going to the lung, one going to the body. The one going to the lung was severely narrowed."

Dr. Houri is from an organization called "Save a Child's Heart." Founded in Israel in 1995 by another surgeon at the Wolfson, the non-profit organization's mission is to provide heart surgery to children wherever they are. So far they have treated 3,200 children from 44 nations. Last week they added another nation to their list, Syria. The civil war across the border sent them a child in need they would probably never been able to help due to the breakdown in relations between the two neighbors. When Save a Child's Heart heard about the little girl's plight, they jumped through all the necessary security hoops to get her the treatment she badly needed.

Bridge stereotypes

"We hope that we can contribute in our small way first and foremost to the medical care to the children in our neighborhood. We also believe that this has the ability to bring people closer together to bridge stereotypes," said Simon Fisher, the executive Director of Save a Child's Heart.

While the treatment is free for the patients, the organization relies on donations to pay the bills that invariably need to be settled.

A team of doctors and nurses at the Wolfson performed open-heart surgery on the girl. Though it was a major operation, doctors say it is a relatively simple procedure that often produces amazingly fast results.

"You can see differences that are absolutely crazy. Kids that were thought to be retarded all of a sudden start talking and walking, all they needed was a little bit of oxygen," Dr. Houri added.

Healthy child

We met the little girl three days after surgery. Her curly hair, big brown eyes and huge smile captivated everyone around her. She was playing with bright colored plastic toys strewn alongside her bed. Though still hooked up to a machine, she acted like any typical four-year old, rather than the sickly, constantly exhausted child she was until very recently.

"Thank God, thank God, my daughter has recovered. She is so much better than before," her mother explained.

She is incredibly relieved. She had been worried about how she would be treated -- like so many others who have come to the hospital from far afield. At the moment there are young heart patients being treated from the West Bank, Ethiopia, Sudan, China and Tanzania.

As for the little Syrian girl who has survived a war and now open-heart surgery, she will need one more operation in about a year's time as her body grows.

As she sits on the bed recovering from surgery, the little girl begins to sing a lullaby asking God to protect her baby brother. It turns out she was the one who needed protection the most. The mere fact the wide-eyed infant is able to sing easily without losing her breath is evidence enough to give her mother a sense of hope she hasn't felt since before her country was plunged into war.

@highlight

Four-year-old girl with heart condition forced to flee home in Syria

@highlight

The infant required treatment outside of her war-torn country

@highlight

She eventually found a hospital willing to perform surgery in neighboring Israel

@highlight

Save a Child's Heart organization works to give children heart surgery for free