Johannesburg (CNN) -- At sunset, the smell of food simmering in dozens of pots starts to fill the air on 15th Avenue.

Soon after, as if summoned by the aroma of meat and spices, a steady stream of cars starts rolling in, pulling up to the food stalls and carts where local women armed with serving spoons prepare to ladle out portions of South African comfort food -- ox tripe known as mogodu, chicken feet, beans and maize dusted with spicy pepper.

A woman in a red dress loudly licked her lips as she waited to collect several containers full of food.

"Its food from the homeland," she said as she then hurried away to her waiting car. "My husband's going to be very happy."

The neighbourhood that hungry South Africans flock to on Monday nights is a township called Alexandra, or Alex. This densely-populated district is often associated with poverty and crime.

Squatters, many of them immigrants from other sub-Saharan countries in Africa, live in wretched conditions in shacks and derelict industrial buildings on the edges of the township, and within view of Sandton, one of the city's wealthiest, leafy enclaves.

Twenty-five-year-old Maurice Modipa wants to change the township's negative image.

"More than anything, I want to put Alex on the map," he said.

"In terms of getting people into Alex and change the stigma that we have, I just want people to see it from my point of view."

Modipa and his brothers are transforming their father's small liquor store into a nightclub that they hope will one day offer panoramic views of Alexandra township.

Their bar -- called "Stoep," which is a South African term for the veranda where locals gather next to the house -- is part of a larger attempt to attract members of the country's rising black middle class back to the townships.

Workers at Stoep set up amplifiers and haul in cases of beer under the watchful eye of 66-year-old Shimmi Modipa, who first started selling beer to his friends at this property decades ago, when it was little more than a collection of shacks on 15th Avenue.

"I used to call it 'Amstel Lounge,' because it's where we used to entertain myself, my friends and visitors," the elder Modipa said.

Deep inequalities

In the days of apartheid, Modipa said the white minority-ruled government confined black South Africans to the township after dark. He also said it was difficult to start a business, since white-owned banks refused to issue loans to blacks.

And though the poverty that is visible today in Alexandra reflects the deep income inequalities and high unemployment that continue to plague South Africa, Modipa said this working class neighborhood has come a long way in the last 20 years.

"There were no tar roads, there were just gravel roads.There were no sewage systems ... in the olden days [we had] bucket systems," Shimmi Modipa said.

Pointing to the paved road outside his family's bar, Modipa said, "We are still saying thanks, thanks, thanks. My thanks to our Papa Madiba," referring to Nelson Mandela, the first democratically-elected black president of South Africa, who has been lying in critical condition for weeks in a hospital in Pretoria. "Mandela made this possible."

By 9pm, loud dance music was blaring from amplifiers in the Modipa bar. Patrons arrived on roaring motorcycles, in Mercedes sedans and expensive sport utility vehicles They swayed to the music in the bar's unfinished open structure, sipping beer and whiskey and munching on chicken feet, apparently oblivious to the winter chill.

Maurice Modipa danced and played DJ behind a laptop with big headphones on his ears.

The customers who used to drink beer at Stoep have changed dramatically in the last decade.

"We know quite a few people who have made something of themselves...economically," Maurice Modipa said later.

The scene of affluent South Africans returning from wealthy suburbs to the poor township for a taste of their roots was a homecoming of sorts.

This uniquely South African night out showed much progress has been made since the end of apartheid, and highlighted how far the country still has to go to overcome its deep social and economic challenges.

@highlight

In the days of apartheid, black South Africans were confined to the township after dark

@highlight

Shimmi Modipa said his working class neighborhood has come a long way in the last 20 years

@highlight

"Mandela made this possible," he says