Baghdad (CNN) -- Iraqi Prime Minister Nuri al-Maliki on Wednesday warned that he could call for early elections, following a string of political crises since the U.S. withdrawal in the war-torn Middle Eastern nation.

"When the other side refuses to sit at the table of dialogue and insists on the policy of provoking successive crises in a way that causes severe damages to the supreme interests of Iraqi people, the prime minister found himself obliged to call for early elections," the statement said.

The next parliamentary elections are not scheduled until 2014, but al-Maliki's critics are threatening a no-confidence vote against the Shiite prime minister. It is not clear if there is enough support for the vote to be held.

Following the December U.S. troop withdrawal, the country has been confronted with an increasingly fractious legislature, which includes Iraq's Shiite, Sunni and Kurdish political blocs.

The Iraqi Constitution allows for a prime minister to formally ask the president to dissolve parliament, which -- if approved -- would set in motion a process that could prompt early elections within 60 days.

Al-Maliki in recent months has struggled to forge a lasting power-sharing deal, and has yet to fill key Cabinet positions, including the ministers of defense, interior, and national security, while his backers have also shown signs of wobbling support.

On Sunday, the powerful Shiite cleric Muqtada al-Sadr -- whose political bloc last year won 39 parliamentary seats and has backed the prime minister -- called for more political reforms, saying he would support a no-confidence vote should al-Maliki fail to usher in effective change.

On Wednesday, Iraq's deputy parliament speaker, Arif Tayfur, met with Joshua Harris, acting political counselor at the U.S. Embassy in Baghdad, to discuss the crisis, according to the parliament website.

The meeting is considered a sign of the seriousness of the burgeoning problems within the already fragile coalition.

"We will not comment on specific diplomatic exchanges," said U.S. Embassy spokesman Michael McClellan when asked about reports of a meeting. "However, we continue to encourage senior Iraqi politicians to work toward a solution that represents the interests of all Iraqis."

McClellan said U.S. officials "urge Iraqi leaders to move quickly to alleviate current tensions in order to refocus energy on critical state-building challenges."

Last year, the Sunni-majority Iraqiya bloc temporarily suspended its participation in parliament over claims that it was apparently being cut out of the political process.

Soon after, an arrest warrant was issued for Vice President Tariq al-Hashimi, the leader of the Iraqiya bloc, accusing him of running a death squad.

His party has since ended its boycott, though al-Hashimi remains a fugitive in Turkey and is still wanted by Iraq's central government.

Al-Hashimi has denied the charges, calling them politically motivated.

Meanwhile, relations between the Kurdistan regional government and the central government have also deteriorated.

Masoud al-Barzani, president of the Kurdistan region, in March blasted the government, calling the power-sharing deal between the various political groups "completely nonexistent" and saying it has "become meaningless."

"The Iraqi Constitution is constantly violated and the Erbil agreement, which was the basis upon which the current government was formed, has been completely ignored," al-Barzani said in a statement on the eve of Kurdish New Year. "As soon as they came to power, they disregarded the Constitution, the previous agreements that we had, and the principle of power-sharing."

The unfolding crisis also comes amid a string of deadly attacks across the country, including a pair of bomb blasts that rocked the capital and killed at least eight people on Wednesday.

A series of attacks in June has left nearly 180 people dead, including one bombing that led to the country's deadliest day since the U.S. withdrawal.

On June 13, a bomb targeted pilgrims headed to Baghdad, killing at least 93 people.

An additional 312 people were injured in the attacks, mostly aimed at Shiite pilgrims who had trekked to a shrine in the Iraqi capital.

@highlight

NEW: Al-Maliki's critics are threatening to hold a no-confidence vote against him

@highlight

Al-Maliki accuses "the other side" of provoking crises, leading to the need for elections

@highlight

The country has faced a string of political crises since the U.S. withdrawal

@highlight

The next parliamentary elections are not scheduled until 2014