Charlotte, North Carolina (CNN) -- Republicans avoided a major headache on Tuesday night when Thom Tillis, the North Carolina house speaker and establishment favorite, won the Republican Senate nomination outright, dodging a protracted summer runoff fight against a grassroots-backed opponent.

With an assist from big-spending outside groups, Tillis dispatched his two main primary rivals, tea party-backed Greg Brannon and the Baptist pastor Mark Harris, with relative ease, clearing the 40% mark needed to skirt a July runoff election.

Tillis moves on to face Democratic Sen. Kay Hagan, one of the Senate's most endangered incumbents, in what's certain to be among the most negative -- and expensive -- races of 2014.

2014 midterms: Six factors between now and election day

But that wasn't the only story line unfolding on Tuesday. Here are five takeaways from primary night in North Carolina.

1. Republican establishment passes early test: The GOP establishment — that galaxy of Washington-based political operatives, national party committees and business groups who care first and foremost about winning — promised early on that they wouldn't let controversial candidates jeopardize their chances of re-taking the Senate this year.

North Carolina was the first test in their mission to make sure that no Todd Akins, Christine O'Donnells or Richard Mourdocks would be on the Senate ballot in 2014.

The Chamber of Commerce and the Karl Rove-backed American Crossroads spent north of $2 million propping up state House Speaker Thom Tillis when the candidate himself lacked the resources to go on statewide television. A few weeks ago, most Republicans in North Carolina were predicting that Tillis would not be able to break 40% of the vote, thereby forcing a July runoff election. But with the help of outside spending, a largely error-free campaign and the inability of his underfunded grassroots challengers to land a punch, Tillis surged late and cleared the runoff hurdle easily. Republicans are breathing easier, confident they have the candidate with the best shot to beat Democrat Hagan.

Key races to watch in 2014

2. Democrats open up the extremist playbook: The Democratic National Committee fired off a memo to reporters right after Tillis secured the GOP nomination.

"Thom Tillis: Extreme, Scandal Plagued Conservative: Bring It On," it was titled.

No surprise there: For the better part of a year, Hagan's campaign has been planning to paint Tillis as a right-wing ideologue who, as state house speaker, curtailed voting rights, slashed education budgets and fought to limit women's access to contraception and abortion. They were just hoping he'd have to slog through a nasty Republican-on-Republican runoff first.

Now the general election begins. Democrats will work overtime to render Tillis unacceptable to suburban women and middle class voters by hitting him on issues like women's health and wages. Tillis plans to tie Hagan to President Obama and his health care law at every turn. If that sounds like the dynamic of pretty much every other federal race in the country so far this year, well, that's because it is.

3. Rand Paul stumbles: Rand Paul gambled — and lost. After spending much of the last two years making nice with the GOP establishment as he lays groundwork for a 2016 presidential bid, Paul confounded Republicans by making a last minute trip to Charlotte to campaign for Brannon, a controversial tea party candidate who turned out to be Tillis' most serious primary opponent.

Paul called Brannon a "hero" and a "dragon slayer" at a rally outside the NASCAR Hall of Fame on Monday, saying he would shake up the status quo in Washington. Brannon supporters hoped it would bring a last minute burst of energy to their upstart campaign. But for Paul-watchers, the appearance was a head-scratcher.

A bloody Tillis-Brannon runoff was precisely the scenario that Washington Republicans who might help Paul in 2016 — including Senate Minority Leader Mitch McConnell, his fellow Kentuckian — were hoping to avoid. And while Paul had already endorsed Brannon, he was further grafting himself onto a flawed candidate who was recently found liable by a jury for misleading investors in a failed tech firm.

The Kentucky senator said his endorsement was about principle. But Paul has also developed a reputation as a canny political operator who is taking a methodical approach to the presidential race. He didn't look very savvy in North Carolina, where he put his political muscle to the test but couldn't pull his favored candidate over the finish line.

Paul was quick to save face. He endorsed Tillis on Facebook soon after the race was called, and urged Republicans to unite behind him.

4. Immigration fight fizzles: Rep. Renee Ellmers is a rare specimen: A House Republican who backs immigration reform, including a path to legalization for undocumented immigrants. She calls it "an earned legal work status." Conservatives, of course, call it "amnesty."

Ellmers, a nurse from North Carolina's 2nd District who was elected in 2010 with tea party support, has been unapologetic, tangling with her constituents over the issue in town hall meetings and calling conservative radio talker Laura Ingraham "ignorant" during a recent on-air debate about immigration.

Her immigration reform cheerleading drew the attention of a pro-immigration reform group backed by Facebook founder Mark Zuckerberg, which ran television ads on her behalf. But she also drew a conservative primary challenger: a radio talk show host and GOP perma-candidate named Frank Roche.

Roche hit Ellmers hard, framing his entire candidacy as a referendum on Ellmers' support for immigration reform and her willingness to work with the GOP establishment. Roche's poorly funded campaign gave Ellmers a scare, but in the end she skated to a primary win.

5. Anti-war Republican survives: Rep. Walter Jones, a 20-year incumbent from the state's coastal 3rd District, faced perhaps the toughest challenge of his long career from Taylor Griffin, a Republican strategist and former George W. Bush administration official from Washington who returned to New Bern to run for the seat.

Griffin's critique of Jones centered on the congressman's libertarian drift. Jones famously broke with his party over foreign policy during the Iraq War, calling it a mistake and predicting that former Vice President Dick Cheney will someday rot in hell. Jones became an ardent supporter of Ron Paul, voted to regulate Wall Street, and has been a regular thorn in the side of House Republican leaders like John Boehner, who kicked him off the House Financial Services committee in 2012.

Griffin labeled Jones the "most liberal" Republican in Congress, a questionable line of attack considering Jones' fierce social conservatism. But Griffin worked hard and had the support of hawkish outside groups who ran blistering television and radio ads against Jones, and he picked up a a late endorsement from Sarah Palin.

But it was probably too late. Jones, with his deep ties to the district, survived. Republicans in North Carolina, however, believe Griffin scuffed Jones up enough to make him vulnerable in 2016. That's if he doesn't retire first.

GOP establishment 1, tea party 0 after NC Senate primary

Clay Aiken has slim edge in NC primary

@highlight

GOP establishment passes early test in family feud with tea party

@highlight

Democrats quick to label Senate candidate an "extremist"

@highlight

Rand Paul moves quickly to save face after curious endorsement

@highlight

Fight over immigration turns out to be fizzle rather than fury