Helga Jonsdottir still remembers in vivid detail the day her island home was swallowed by a volcano as she and her family joined others fleeing the molten lava.

"As my boat left the harbor, the fissure opened up, and flames burst into the sky," she recalls.

"The fissure extended into the ocean, and I could see red-hot lava beneath the water."

Jonsdottir was 18 in January 1973 when the Eldfell volcano exploded on Heimaey, a small island 151 kilometers (94 miles) from the Icelandic capital, Reykjavik.

Her childhood home was among 400 buildings engulfed as 200 million tons of ash and lava rained down in the days following the eruption.

Some of these structures have now emerged, perfectly preserved beneath the volcanic debris following an archaeological excavation begun six years ago.

Worlds of fire

The result is a captivating new museum, Eldheimar, meaning "worlds of fire," which opened its doors in May 2014.

At the museum, visitors can revisit 1973, see a snapshot of life on Heimaey and also get insight into the devastation wreaked by the volcano.

On the fateful night, the island's 5,300 residents were alerted to the eruption by the honking of fire engine horns.

When they stepped outside their houses, they saw bright red lava exploding from Eldfell and a wall of fire spurting from a fissure snaking across the island.

Only one person died as a result of the eruption.

The vast majority of the islanders were evacuated that night, not returning until months later.

Many of those living on the eastern side came back to find their houses engulfed by lava, while other properties had been completely flattened or buried under mountains of ash.

A few islanders stayed away, but the majority rebuilt their houses closer to Vestmannaeyjar, the 13-square-kilometer (five square miles) island's only town.

Time stands still

When archaeologists began to excavate the houses nearest to the volcano in 2006, they found that beneath the mountains of ash and frozen slabs of lava, time had stood still.

Prior to the eruption, tables had been laid for breakfast and clothes folded and piled by the fireplace, but everything had been abandoned when the fire engines started sounding their horns.

Archaeologists decided to focus on one particular cottage, which now forms the centerpiece of the Eldheimar museum, located on the outskirts of Vestmannaeyjar.

Inside the museum's walls, petrified waterfalls of ash pour from the cottage's windows, through which lampshades, tablecloths and curtains can be seen.

The mountains of ash visible from the museum's windows are reminders of just how close this island came to total destruction.

Heimaey, a 25-minute plane ride from Reykjavik or a 30-minute ferry journey from Iceland's mainland, is a barren chunk of volcanic rock.

Visitors who take the ferry arrive into a small harbor dramatically narrowed by a river of solidified lava.

When Eldfell erupted, the lava flow almost cut the harbor off entirely.

Locals slowed its progress by spraying it with cold water, but not before it had increased the island's size by one square mile.

Towering banks of ash

The horizon here is dominated by two enormous volcanic peaks.

Helgafell, a perfect, grass-covered cone, erupted thousands of years ago, spewing so much lava that two islands merged to form Heimaey.

Eldfell, meanwhile, is a jagged, ash-covered reminder of the 1973 eruption, although in places, bright purple lupins sprout from the blackened slopes where locals have planted grass to improve its appearance and prevent erosion.

On boat rides around the island, visitors pass towering banks of ash sloping down to the sea.

In places, the coastline has been imprinted with a semi-geometric pattern, as though someone has transplanted part of Northern Ireland's Giant's Causeway here.

A visit to Vinaminni Kaffihus, a cafe in Vestmannaeyjar run by Jonsdottir, offers fascinating insight into the events of 1973.

Jonsdottir, who returned to Heimaey as a married woman two years after the eruption, opened the cafe as a memorial to the volcano.

Each table tells the story of a different family, with before and after photos and accounts of that fateful night.

Today Jonsdottir, like other islanders, says she's simply grateful for the low death toll, and the fact that the island wasn't destroyed entirely.

"We're just so thankful that we've been allowed to continue living in such a beautiful place," she explains.

"We came so close to this island being uninhabitable."

How to get there

Flights to Heimaey depart Reykjavik's domestic airport, which is a 40-minute drive from Keflavik International Airport. Round-trip fares with Eagle Air start from $359; +354 5624200

Herjolfur ferries sail from Landeyjarhofn to Vestmannaeyjar. Landeyjarhofn is 132 kilometers (82 miles) from Reykjavik, in the south of Iceland. Prices start from $28 each way.

The ferry makes five crossings every day, apart from Tuesday, when there are four crossings; +354 4812800

It's possible to drive to Landeyjarhofn or take the bus from the Bsi bus terminal in Reykjavik.

Eldheimar museum, Sudurvegur/Gerdisbraut 10, 900 Vestmannaeyjar, Heimaey, Iceland; +354 4882700

Vinaminni Kaffihus, Vinaminni Kaffihus, 481 2424m Vesturvegi 5, 900 Vestmannaeyjum, Heimaey, Iceland; +354 4812424

Viking boat tours, Tangagotu 7, 900 Vestmannaeyjum, Heimaey, Iceland; + 354 4884884. Boat rides cost from $50.

@highlight

Iceland's Heimaey island was evacuated in 1973 when the Eldfell volcano exploded

@highlight

Houses buried by the volcano have now been excavated and preserved in a new museum

@highlight

Helga Jonsdottir, who fled the volcano as a child, now runs a cafe on the island