Washington (CNN) -- Problems were reported across the country during the first-ever nationwide test Wednesday of the Emergency Alert System, designed to allow the president to address the American people during a national emergency.

Some television and radio stations did not air the planned 30-second test at all. Some that aired it stayed with the signal longer than others.

There were anecdotal reports of TV stations failing to air the message in Washington, Atlanta, New York, California and elsewhere. The message did not air on a cable channel being monitored in a Capitol Hill office and in the Capitol's radio and TV gallery.

The Federal Emergency Management Agency and the Federal Communications Commission, which ordered the test, stressed that it was designed to find flaws, and scoffed at reports the system had failed.

By late Wednesday afternoon, an FCC official, not authorized to speak on the record, said about one-third of the test participants had filed preliminary reports, and those showed that 80% to 90% of the stations received the alert and were able to rebroadcast it, which was the major goal of the test.

The official called the failure rate of more than 10% "not insignificant," but said identifying problems "is why we have the test."

He said the glitches were found in all modes of transmission -- broadcast, cable and satellite -- and it was too early to establish patterns. "We'll dig back into it," he said.

"The nationwide EAS Test served the purpose for which it was intended -- to identify gaps and generate a comprehensive set of data to help strengthen our ability to communicate during real emergencies," said Neil Derek Grace, FCC spokesman, in a released statement. "Large areas of the country received the test but some areas did not. We are currently in the process of collecting and analyzing data, and will reach a conclusion when that process is complete."

A FEMA statement issued shortly after the test made no reference to problems, except to say the agency looks forward "to working with all our stakeholders to improve this current technology and build a robust, resilient and fully accessible next generation alerting system."

"I'm surprised about the amount of trouble I'm hearing about," said warning expert Art Botterell. "My overall impression is -- I kind of hoped for better."

In the office of Katherine Hern, a manager of warning systems for the Contra Costa, California, county government, screens "froze up" immediately before the test, Hern said.

When co-workers tried to turn to other stations, they were unable to, and had to "not only power down the TV, but power down the cable box" to restore service to the television, she said.

A cable industry group said late Wednesday that it is in the process of gathering feedback from its member companies.

"We do know that in many places, the Emergency Alert Notification flowed through to viewers without a hitch. However, we also know that in some places, it did not," said Joy Sims, spokeswoman for the National Cable & Telecommunications Association.

Stations must report the results to the FCC within 45 days. The FCC says it will not release specific test data to the public because broadcasters worry that potentially embarrassing results could discourage participation in future tests, and test data could reveal security vulnerabilities.

The test was the first "end-to-end" national test, starting with a tone sent from a FEMA operations center in Washington that was relayed to radio stations and then broadcast simultaneously on TV and radio stations in the United States.

The Emergency Alert System is regularly used -- and tested -- to notify communities about tornadoes, child abductions and other events. But all previous tests have been local or regional, and involve the voluntary compliance of broadcasters. Wednesday's test was the first national test featuring a live "presidential" alert code, which instructed TV and radio stations that the alert took priority over all other programming.

"I think the biggest reason nobody ever tested it was because of all the concerns of what could happen and what could go wrong," FEMA chief Craig Fugate told CNN Tuesday. "We take a different approach. If we don't test it, we don't know what we need to fix."

While some problems became evident in Contra Costa, Hern said the failure was not particularly concerning. The county of 1.1 million people just east of San Francisco has set up a system of sirens, cell phone alerts, Twitter, Facebook and other devices and services to warn citizens about hazards, including releases from area refineries.

Like other warning experts, Hern said it is difficult to conceive of an event that would require the president to deliver an emergency warning to the whole country.

"The whole point of a public warning is to tell people that there's a public threat, and (to inform them about) protective action that you take. So if you have an event like 9/11, what are you going to tell people? Not everybody in the entire country is affected in a real physical sense," she said. "How often do you have that one message that applies to everyone in the country?"

Warning systems are of greater value when they are targeted to local communities, she said.

But the Emergency Alert System could serve as a "last ditch 'reassurance' that the government is still up and running," noted Richard Rudman, vice chair of the California EAS State Emergency Communications Committee. Rudman called the test "useful."

Hern and others say an upgraded warning system FEMA is developing will be of greater reliability.

"I have pretty good confidence that the next generation is going to work out some of the kinks that we saw today," she said.

CNN's Jim Barnett contributed to this report.

@highlight

Some television and radio stations did not air the planned 30-second test at all

@highlight

80% to 90% of the first stations to report said they rebroadcast the alert, an FCC official says

@highlight

Officials say the test did what it was designed to do: find flaws in the system