(CNN) -- What is President Obama up to? When it comes to immigration, it's usually no good.

After all, this is the same president who ran for re-election packaged as a kinder and gentler alternative to cold-hearted Republicans who wanted illegal immigrants to "self deport" while, back at the ranch, the Department of Homeland Security was removing illegal immigrants 24/7 at a record pace. In the 2012 fiscal year that ended September 30, an unprecedented 409,849 people were deported. This was an increase from the previous year and it occurred despite policy changes -- i.e., those spelled out in the March 2011 memo by Immigration and Customs Enforcement Director John Morton urging prosecutorial discretion -- that were supposedly going to limit removals to hardened criminals.

In four years, the administration has removed a record 1.5 million illegal immigrants. And while administration officials may insist that many of them were guilty of felonies and thus less sympathetic, they leave out that under current law, a nanny or gardener who is deported and simply re-enters the country is a felon.

But there are two bright spots in Obama's immigration record. Last summer, the White House announced a policy change that lets undocumented young people avoid deportation by applying for deferred action and two-year work permits. And last month, in a much more obscure change, the administration said it would ease requirements to help undocumented immigrants who seek permanent residency and must return to their home countries to do so.

These folks currently have to wait up to 10 years outside the United States before being able to legally re-enter. But there is a waiver that gives them permission to return to the United States sooner if their U.S.-based families would suffer an extreme hardship from the separation. Under the change, immigrants can remain in the United States while applying for that waiver.

Now Obama wants to go further. According to the New York Times, Obama plans to finally make good on a 2008 campaign promise and push Congress in the next few months to move quickly on comprehensive immigration reform. His plan, which he is expected to unveil in the State of the Union address on February 12, includes a path to citizenship for most of the estimated 11 million illegal immigrants in the United States.

Opinion: Dispel the immigration myths

It won't be easy. For one thing, there is the politics. As immigration reform advocates have learned over the last 12 years, there is no magic formula. From 2001 to 2007, Republicans controlled the White House and both houses of Congress; from 2009 to 2011, it was Democrats who controlled both ends of Pennsylvania Avenue. And either time, nothing got done on immigration.

And there is always a deal breaker. In 2005-2007, the last time that Congress took up this debate, the big obstacle was guest workers. Republicans insisted on language that would have brought in a few hundred thousand guest workers to do jobs that Americans aren't doing. Under pressure from labor unions, Democrats objected. The result was a stalemate.

This time, the major sticking point is likely to be citizenship. Democrats, including Obama, have said they won't budge on their demand that undocumented immigrants get not just legal status, but also a pathway to citizenship. Naturally.

The GOP brand is so toxic with Latino immigrants right now that we could be talking about millions of new Democratic voters, which is precisely why the GOP won't go along with immigration reform if a direct path to citizenship is in the mix. As for whether it should be, I don't think so.

Here are three reasons why not:

-- Illegal immigrants don't care about citizenship nearly as much as politicians do. Their concerns are practical, not ideological. They want driver's licenses, the freedom to go to work without living under the threat of being picked up and deported and the ability to go back and forth between the United States and their home country;

-- As long as Republicans are dead-set against citizenship, we'll never get a deal on immigration reform because -- unlike the health care debate -- this issue doesn't unite Democrats. Many of those in the Midwest and South remain adamantly opposed to legalizing the undocumented. So without Republican votes, it's back to square one; and

-- U.S. citizenship is something special, and it has great value. It ought not to be bartered away in a round of horse-trading. By all means, those who are legalized should be allowed to become citizens, but only by their own effort and on their own steam. There should not be a roadblock to citizenship, but nether does there need to be a direct pathway.

Opinion: Both parties must lead on immigration

Politicians always play the same game when it comes to immigration. Democrats ask for the moon and stars, and the Republicans go into orbit. They want away from the table, and Democrats don't have the votes to do anything without them. So nothing gets done. Each side blames the other. Back to the drawing board. The status quo is preserved. See you in 10 years.

But, when that happens, the people who lose are the very ones who many people say they want to help -- those 11 million undocumented immigrants who live in the United States and contribute to our economy. They're caught in suspended animation, not belonging to one country or another. They deserve a pathway to legal status, and a final resolution to a debate that really isn't as difficult as some make it.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Immigration reform on Obama agenda, but deportations are his main record

@highlight

Obama also allowed deferred action for young people; eased re-entry rules

@highlight

Politics over path to citizenship will stall reform again; why not take it out of the mix, he says

@highlight

Navarrette: Undocumented immigrants, who help economy, deserve path to legal status