(CNN) -- Many women in Saudi Arabia remain defiant after they put keys to ignitions Friday to drive home a point: challenging the conservative Islamic kingdom's prohibition of female drivers.

Among the dozens of women in the country who challenged the status was well-known female Saudi blogger Eman Al Nafjan.

"This is only the beginning," Al Nafjan said.

Sitting on the passenger side for her 15-minute ride through Riyadh, Al Nafjan captured the journey on her cell phone while a female friend drove.

"The whole idea behind the campaign was that June 17 is the start date. It's not the only day. It's the date when women will start to drive," she said.

Fueled by Women2Drive, a campaign demanding the right for women to drive and travel freely in Saudi Arabia, women commanded streets and roads normally reserved for men.

There are no specific traffic laws that make it illegal for women to drive in Saudi Arabia. However, religious edicts are often interpreted as a prohibition of female drivers. Such edicts also prevent women from opening bank accounts, obtaining passports or even going to school without the presence of a male guardian.

Authorities stopped Manal al Sharif, 32, for driving a car May 21 and detained her the next day. She said she was forced to sign a form promising not to drive again and spent a week in jail.

Al Sharif has not been charged, but the case remains open, and she may be called back, according to human rights activist Waleed Abu Alkhair. Her name has become a rallying cry for women demanding their rights.

The "Women2Drive 17th June" Facebook page includes a banner that reads "We are all Manal Sharif" and a quote from King Abdullah stating that "the day will come when women will be able to drive."

Al Sharif said before her detention that she was determined to speak out.

"We have a saying," she said. "The rain starts with a single drop. This is a symbolic thing."

The Women2Drive campaign was expected to be a test of wills between the government and half of the nation's citizenry. However, campaign organizers were explicit in laying out conditions for participants.

Women were told to adhere to full Islamic dress. Wave the Saudi flag and plaster a picture of the king to show patriotism. It was best to have an international driving license if you planned to drive. And have a man with you.

The campaign said it would not be responsible for any women who breached a list of 14 such principles. They were asked to show defiance but within societal confines.

A Riyadh man who went out to document what would be an unusual scene in Saudi Arabia said that the streets were typically empty for a Friday morning but that there were many fewer police officers than in March, when online organizers had called for mass demonstrations.

"I'm thinking that the government is turning sideways," Ahmad Alafaliq said. "They don't want to see it. They don't want to deal with it."

"It's a disadvantage for us," said Sulafa Kurdi, who lived in the United States once and got her driver's license when she was 18.

"It's something that we want to do, and hopefully, it will happen," she said after driving to a Riyadh restaurant with her friends and cousin.

A Saudi woman said her mother drove her and her sisters down Riyadh's main street Thursday.

The woman, who asked not to be named because she was worried about harassment and possible reprisals, said no one bothered them.

"This is important for women here. This is one of our rights," she said

Nadya Khalife, a Human Rights Watch women's rights researcher for the Middle East and North Africa, said the freedom of movement is a basic right. Saudi Arabia, she said, is the only country that bans women from driving.

Strict segregation by sex means women in Saudi Arabia can't travel without a male relative or take public transportation. Ironically, many women are forced to hire expensive private drivers or taxis to get around, forcing them to be in the company of unfamiliar men, which, said activists, does not make sense from a religious standpoint.

Khalife said that what separates the latest campaign from other efforts to get women to drive is the degree to which it has relied on social media. Women who got behind the wheel were encouraged to shoot videos of themselves.

But Saudi women face challenges, Khalife said.

"They're up against society as a whole," she said. "Some women may even face harassment or pressure from their families. Some women have clearly been in support, but others are saying they don't want to 'shame.' "

Osamah Alluaidan, an opponent of female drivers, posted on Facebook, "It is not a sin for women to drive but when women drive and disobey the Kingdom's guardians, that's the problem, this is unacceptable."

Khalife noted that some men have been supportive of their daughters, wives and sisters taking part in the driving campaign.

Alkhair, speaking Thursday from London, said he encouraged his wife to drive in Jeddah on Friday.

"I think after what the police and the interior ministry did to Manal al Sharif, a lot of women became afraid," he said. "The Interior Ministry has put a lot of police on the street. They want to send a message to all women."

But on Friday, Saudi women defied tradition, no matter how bumpy the road.

CNN's Eve Bower and Atika Shubert contributed to this report.

@highlight

"This is only the beginning," Saudi blogger Eman Al Nafjan says

@highlight

An online movement encouraged Saudi women to drive Friday

@highlight

Religious edicts, not specific laws, bar women from a host of activities

@highlight

Women are emboldened to get behind the wheel