(CNN) -- Doctors in Colorado spotted it first -- a group of 10 children hospitalized with signs of a neurologic illness: limb weakness, cranial nerve dysfunction and abnormalities in their spinal gray matter.

Now doctors at Boston Children's Hospital have identified four patients with the same symptoms.

Dr. Mark Gorman said the patients, who ranged in age from 4 to 15, all suffered from a respiratory illness before being hospitalized with significant weakness in one or more of their limbs. Each case was different, he said; some had trouble lifting their arms; others had difficulty walking.

One has been discharged. Three are still in the hospital.

The Centers for Disease Control and Prevention is investigating the cause of this unknown neurologic illness. Health officials are asking hospitals across the country to be on the lookout for similar cases.

"We don't know, at this point, if there is any association between the enterovirus EV-D68 that's circulating and the paralytic conditions some of the children in Colorado are experiencing," CDC spokesman Tom Skinner said Monday.

Tests of the Colorado children's cerebrospinal fluid came back negative for enteroviruses and West Nile virus. But a test of their nasal passages found enterovirus in six out of eight patients who were tested.

Of those six, four tested positive for enterovirus D68, which has been sending children across North America to the hospital with severe respiratory illnesses. The other two test results are pending.

Boston Children's Hospital is still awaiting test results for three of the children, Gorman said. One has tested negative for enterovirus D68.

"We are approaching each patient on a case-by-case basis to work them up thoroughly for causes of their weakness and to determine the appropriate treatment," he said.

What parents should know about Enterovirus

Enterovirus D68 is part of the Picornaviridae family, which also includes the poliovirus, other enteroviruses and rhinoviruses. Enteroviruses are very common, especially in late summer and early fall. The CDC estimates that 10 million to 15 million infections occur in the United States each year.

These viruses usually appear like the common cold; symptoms include sneezing, a runny nose and a cough. Most people recover without any treatment. But some types of enterovirus are more serious. These can cause hand, foot and mouth disease; viral meningitis; encephalitis (inflammation of the brain); an infection of the heart; and paralysis in some patients.

Enterovirus: My son was 'like a goldfish gasping for breath'

This year, enterovirus D68 seems to be exacerbating breathing problems in children who have asthma. The virus has infected at least 443 people in 40 states, according to the CDC. Cases have also been reported in Canada.

CNN's Georgiann Caruso contributed to this story.

@highlight

Doctors at Boston Children's Hospital identify four patients with limb weakness

@highlight

Patients' symptoms are similar to those seen in 10 children in Colorado

@highlight

CDC is investigating the cause