(CNN)Bali's most renowned dishes, made rich by the heavy use of local herbs and spices, are traditionally eaten during the colorful Hindu ceremonies that punctuate life on the Indonesian island.

Dining out is a relatively recent development in Bali -- a few generations ago people may have grabbed takeaway from warungs (small shops and restaurants) but generally did not go out to eat.

These days though, plenty of classic dishes are served everywhere from tiny warungs through to high-end restaurants, making it easy for travelers to savor the flavors of real Balinese cuisine.

Babi guling (suckling pig)

Pork dishes are relatively hard to find across the mostly Muslim Indonesian archipelago, but Bali's famed suckling pig makes any roaming traveler's wait worthwhile.

While strictly speaking a suckling pig should still be feeding on its mother's milk, in Bali the pigs used in this popular dish can weigh about 70 kilograms (150 pounds).

They are rubbed with turmeric then stuffed with a "base gede," or spice paste, which usually includes a combination of coriander seeds, lemongrass, Asian lime leaves and salam leaves, chillies, black pepper, garlic, red shallots, ginger and kencur (lesser galangal).

The pig is roasted on a spit over coconut husks or wood to tender perfection.

When ordering a plate, expect sliced meat, a few pieces of satay, caramelized crackling and more obscure parts, like crispy intestines -- this is nose-to-tail dining at its most traditional.

While warungs serve the dish right across the island, Ibu Oka's in Ubud (Jalan Suweta/Tegal Sari No. 2) is the most renowned place to try it and is the choice of Bali-based U.S. pastry chef Will Goldfarb, of Mejekawi and Room 4 Dessert.

"They don't need the press, but I hate the haters," he says.

Richard Millar, director of cuisine at W Retreat, suggests Pak Malen Warung in Seminyak (Sunset Road).

"The skin is served crispy and the meat is always tender -- they also offer a special that is served with rice and spicy soup which is delicious."

Lawar

Lawar is a crunch-tender mix of vegetables, grated coconut meat and minced meat mixed with various heady herbs and spices, and often fresh blood -- every village has its own version.

While it's the usual accompaniment to babi guling, lawar can stand as a dish in its own right -- lawar nangka, or young jackfruit lawar, is an example.

Mamasan and Sarong chef Will Meyrick recommends the nasi lawar campur at Warung Lawar Sapi Odah (Pantai Segara, Sanur).

"This place is always packed," Meyrick says, adding that the variety of dishes accompanying the lawar are excellent.

"The serapah sapi, which is a mixture of shredded vegetables, velvety offal, thick blood and coconut milk, is just a winner. Don't be off put by the inclusion of blood, it is a part of every meat dish adding flavor, freshness and texture."

Bebek betutu (slow cooked duck)

Another ceremonial dish, bebek betutu needs to be cooked for so long that you'll have to order it a day in advance.

Chef Penny Williams from Bali Asli (Jalan Raya Gelumpang, Gelumpang, Amlapura) explains that the duck is first rubbed with tamarind puree and salt to purify any "ducky" aromas and tenderize the meat.

This is then washed off and the bird (chicken is often used instead) is stuffed with eggs, cassava leaves and bumbu rajeng, a spice mix specifically created for this dish.

It's then wrapped in "upeh", or betel nut husks, and slow cooked until the meat falls off the bone.

"There are variations, as upeh can be difficult to find and expensive at times -- banana leaves can also be used," says Williams.

While Bali Asli occasionally makes the chicken version, a good spot to sample the succulent duck dish is at German chef Heinz van Holzen's long-running Bumbu Bali (Jalan Pratama, Tanjung Benoa).

Sate lembat

Bali's take on satay, the classic meat-on-a-stick dish found across the Indonesian archipelago, is minced meat pounded in a mortar and pestle with young grated coconut and a bumbu, or spice mixture, that varies according to region.

It may be similar to the pastes used in babi guling or bebek betutu but perhaps with cardamom, cinnamon, nutmeg, tamarind or cumin seeds also making an appearance.

The seasoned meat is shaped around a split bamboo skewer and quickly barbecued, often while hand-fanned, over hot coals.

Forget the peanut sauce found elsewhere, sate in Bali is accompanied with shrimp paste-based sambal "matah", meaning raw or alive.

Sate is a popular street food dish so it can be found at any busy market, but a higher-end option is the Alila Uluwatu's Warung (Jalan Belimbing Sari, Banjar Tambiyak, Desa Pecatu), where the sate lilit ikan is served on aromatic lemongrass skewers.

Ikan bakar (grilled fish) Jimbaran-style

While not a particularly authentic Balinese dish, tucking into ikan bakar (grilled fish) seaside in Jimbaran Bay as the sun sets, toes flexing in the sand as candles flicker to life, is a quintessential Bali dining experience.

Merah Putih, chef Wayan Mustika, suggests heading to Lia Cafe, reputed to be the very first ikan bakar warung in Jimbaran, on the beach -- these days it can be found amid a cluster of warungs off Jalan Pemelisan.

Here Nyoman Gasim makes a superlative ikan bakar using kakap merah (red snapper) over wood charcoal with "the most amazing sauce which he refuses to give the recipe for," Mustika says.

The basic ingredient of the special sauce is chillies, though it's not spicy as it's balanced with lots of tomato amid other fresh "secret" additions, he adds.

Be siap sambal matah (chicken in 'raw' sambal)

Eelke Plasmeijer from Locavore (Jalan Dewi Sita, Ubud) nominates be siap sambal matah as his favorite dish: it's shredded chicken in a raw sambal of shallots, lemongrass, ginger torch, chillies, coconut oil, shrimp paste, salt and lime leaves.

Most warungs offering nasi campur (rice with mixed dishes) will have it among their dishes of the day, but Locavore's restaurant manager's mother makes the version he likes best for their staff meals.

"I can't get enough of it! It is a dish you won't find anywhere in Indonesia other than Bali and cooked properly it's not to be missed," he says.

"People can always come and join our staff meal if they like."

Samantha Brown has been living and working in Southeast Asia since 1997and these days manages online regional guide Travelfish.org.

@highlight

Originally eaten only during Hindu ceremonies, these Balinese dishes can now be found in tiny local cafes and high-end restaurants

@highlight

Every village has its own version of Lawar, a mix of vegetables, grated coconut meat, minced meat and fresh blood

@highlight

Tucking into ikan bakar (grilled fish) seaside in Jimbaran Bay is a quintessential Bali dining experience