The moment 18-year-old Army Pvt. Tim Josephs arrived at Edgewood Arsenal in 1968, he knew there was something different about the place.

"It just did not look like a military base, more like a hospital," recalled Josephs, a Pittsburgh native. Josephs had volunteered for a two-month assignment at Edgewood, in Maryland, lured by three-day weekends closer to home.

"It was like a plum assignment," Josephs said. "The idea was they would test new Army field jackets, clothing, weapons and things of that nature, but no mention of drugs or chemicals."

But when he went to fill out paperwork the morning after his arrival, the base personnel were wearing white lab coats, and Josephs said he had second thoughts. An officer took him aside.

"He said, 'You volunteered for this. You're going to do it. If you don't, you're going to jail. You're going to Vietnam either way -- before or after,'" Josephs said recently.

From 1955 to 1975, military researchers at Edgewood were using not only animals but human subjects to test a witches' brew of drugs and chemicals. They ranged from potentially lethal nerve gases like VX and sarin to incapacitating agents like BZ.

Read the secret (now unclassified) Army document revealing BZ tests on soldiers (PDF)

The military also tested tear gas, barbiturates, tranquilizers, narcotics and hallucinogens like LSD.

Read the confidential (now unclassified) Army document uncovering LSD tests on volunteers (PDF)

This top secret Cold War research program initially looked for ways to defend against a chemical or biological attack by the Soviet Union, thought to be far ahead of the United States in "psycho-chemical" warfare. But the research expanded into offensive chemical weapons, including one that could, according to one Army film obtained by CNN, deliver a "veritable chemical ambush" against an enemy.

"This incapacitating agent would be dispersed by standard munitions, and the agent would enter the building through all nonprotected openings," the film's narrator boasts.

President Nixon ended research into offensive chemical weapons in 1969, and the military no longer uses human subjects in research on chemical agents, said a spokesman for Edgewood Chemical Biological Center, as the facility is known now.

Tests began for Josephs almost as soon as he arrived at Edgewood for a two-month assignment on January 1, 1968.

"Sometimes it was an injection. Other times it was a pill," Josephs told CNN Chief Medical Correspondent Dr. Sanjay Gupta. Josephs said he didn't know what drugs he was getting. "A lot of chemicals were referred to as agent one or agent two."

Some weeks, he would undergo one test; other weeks, more, Josephs said. And when he questioned the staff about whether he was in any danger, they reassured him: "There is nothing here that could ever harm you."

But Josephs, 63, believes the chemical agents he received during his two-month stint at Edgewood did harm him, triggering health problems that continue to plague him four decades later. Even when he talks about Edgewood, he said, "I get a tightness in my chest."

Parkinson's symptoms

Days before his Edgewood duty ended, in February 1968, Josephs was hospitalized for days with Parkinson's-like tremors, symptoms he said have followed him on and off throughout his adult life.

From Edgewood, Josephs said he went to an Army installation in Georgia, where he experienced tremors so severe, he had to be admitted to the base hospital and given muscle relaxers. The Army then sent Josephs to Air Force bases in Thailand, in support of the war effort in Vietnam. He was told never to talk about his experiences at Edgewood and to forget about everything he ever did, said or heard at the Maryland base.

Josephs left the service when his three-year tour ended, and he began a career as a real estate agent. He married Michelle, a nurse, in 1977, but the couple decided not to have children, fearing his chemical exposure might somehow affect them.

In his mid-50s, Josephs was diagnosed with Parkinson's disease, a progressive neurological condition that forced him to retire early. Medications cost $2,000 a month, which he was paying for out of pocket.

Josephs applied for veterans benefits based on chemical exposure at Edgewood. Last year, the Department of Veterans Affairs granted him partial benefits for his Parkinson's for Agent Orange exposure during his time in Thailand, giving Josephs 40% disability. The letter granting him benefits made no mention of Edgewood.

Josephs says he now takes two dozen pills daily. His symptoms vary from day to day. Sometimes, he has trouble swallowing. Other times, he experiences numbness in his joints or or tremors. He says he tires easily.

He blames his time at Edgewood for all this, and he has joined a lawsuit on behalf of Edgewood veterans seeking medical benefits from the Department of Veterans Affairs.

Read the lawsuit complaint document (PDF)

Read about an Edgewood volunteer's widow who blames the VA for his death

Gordon Erspamer, lead attorney in the suit, has reviewed the partial Edgewood medical records that Josephs was able to obtain with the help of his wife. Erspamer said Josephs probably received an injection of sarin or another nerve gas, because the records show that he received the drug P2S on February 1, 1968, to treat "organophosphate poisoning."

During experiments that began on February 19, 1968, Josephs experienced Parkinson's-like tremors after receiving Prolixin, an antipsychotic medication, Erspamer said, prompting the Edgewood medical staff to give the young soldier Congentin and Artane, two drugs used to treat Parkinson's symptoms.

Erspamer said he sees a connection between Josephs' Parkinson's disease and the drugs he received at Edgewood.

"Those substances affect the same region of the brain," Erspamer said. "Tim clearly had adverse health effects because they gave him such high doses that he ranged from overdose with one substance to the antidote, back and forth, and he actually had to get ... a very powerful antipsychotic drug because, in the vernacular, he flipped out."

In addition to medical benefits, the lawsuit is asking that the Defense Department and Department of Veteran Affairs find all Edgewood veterans and provide them with details of the chemicals they received and their possible health effects.

Erspamer said the government has reached very few of the 7,000 or so Edgewood veterans, and the VA has turned down almost all Edgewood-related health claims. Court documents show that the Veterans Benefits Administration rejected 84 of 86 health claims related to chemical or biological exposure.

"The whole thing stinks, and if the American people knew about it, they would not tolerate it. This kind of behavior toward our veterans would not be allowed to happen," Erspamer said.

Josephs has not received any health benefits related to his time as a human test subject at Edgewood.

"They're hoping we die off, so you apply [for benefits], you get turned down," Josephs said. "And it just goes on for years and years, and they just want to wear us down. They want to use young men as guinea pigs and throw them away."

The Department of Defense and Department of Veterans Affairs declined face-to-face interviews with CNN, citing pending litigation. In a statement, the Defense Department said that it "has made it a priority to identify all service members exposed to chemical and biological substances ... and the VA has contacted and offered free medical evaluations to thousands of veterans."

Josephs received his letter from the VA in 2008, four decades after he arrived at the Maryland base.

"In order to best serve veterans and their families, VA continues to study the possibility of long-term health effects associated with in-service exposure to chemical and biological weapons," the letter promised.

At the Army's request, The Institute of Medicine, an independent nonprofit organization that is the health arm of the National Academy of Sciences, produced a three-volume report in the 1980s on the long-term health of Edgewood veterans. The IOM decided in the end there wasn't enough information to reach "definitive conclusions."

Josephs enlisted in the military fresh out of high school -- at the height of the Vietnam War.

"I really felt a duty to my country to go and serve," he said. "Things were different back then. You believed in your government. And you just wouldn't think they would give you something that would harm you intentionally."

@highlight

Tim Josephs blames secret Army program for health issues, including Parkinson's disease

@highlight

Facility tested potentially lethal gases, narcotics and LSD on animals and humans

@highlight

Cold War research initially aimed to defend against Soviet chemical or biological attack

@highlight

The VA has contacted and offered free medical evaluations to thousands of veterans