Washington (CNN) -- Interior Secretary Ken Salazar, who led the response to the 2010 BP oil spill and administered a moratorium on offshore drilling, announced Wednesday that he is stepping down.

The former Colorado lawmaker plans to return home in March after eight turbulent and busy years in Washington, four years in the U.S. Senate and four years as head of the Interior Department.

President Obama nominated him for the Cabinet post four years ago and he was unanimously confirmed.

He was most prominent when he spearheaded the administration reaction to the BP Deepwater Horizon drilling rig explosion and oil spill in the Gulf of Mexico.

Salazar issued a six-month drilling moratorium after the April 20, 2010, explosion.

Critics, including Republican leaders, Gulf state officials and Gulf Coast residents, slammed the ban. They said it would hurt oil and gas workers in the already hard-hit coastal communities, where hundreds of jobs were lost because of the disaster.

But Salazar said the moratorium provided time to make sure that similar accidents wouldn't occur and that rig operators were prepared to deal with worst-case scenarios if they did happen again.

Eleven people died in the explosion, which spawned one of the worst environmental disasters in U.S. history. An estimated 4.9 million barrels of oil gushed into the Gulf before the broken well some 4,000 feet below the surface was capped.

"We have undertaken the most aggressive oil and gas safety and reform agenda in U.S. history, raising the bar on offshore drilling safety, practices and technology and ensuring that energy development is done in the right way and in the right places," Salazar said in an Interior Department news release announcing his departure.

The department has offered millions of acres of offshore acreage in the Gulf for exploration and "is proceeding with cautious exploration of Arctic resources," the release said. It added that the department has leased millions of acres onshore for oil and gas development and has protected "special landscapes for hunting and fishing."

"Today, drilling activity in the Gulf is surpassing levels seen before the spill, and our nation is on a promising path to energy independence," said Salazar, who also overhauled Interior's management of oil and gas resources and installed new ethics standards for employees.

Obama's Cabinet: Who's in, who's out?

Salazar also has pursued renewable energy, with his department authorizing 34 solar, wind and geothermal projects on public lands since 2009, the news release said. Those projects total enough energy to power more than 3 million homes.

"Today, the largest solar energy projects in the world are under construction on America's public lands in the West, and we've issued the first leases for offshore wind in the Atlantic," Salazar said in the release. "I am proud of the renewable energy revolution that we have launched.

The release also noted progress made during Salazar's term regarding Native American lands. A settlement was reached and passed that addressed "long-standing injustices" involving the government's trust management.

In addition, Obama signed into law water rights settlements that "help deliver clean drinking water" to tribes, the release said, and spearheaded a reform of surface leasing regulations for Native American lands.

"President Obama has made it a priority to empower our nation's first Americans by helping to build stronger, safer and more prosperous tribal communities," Salazar said.

Obama, in a separate release, said Salazar "helped usher in a new era of conservation for our nation's land, water, and wildlife" and promoted renewable energy along with oil and gas production. He "played an integral role in my administration's successful efforts to expand responsible development of our nation's domestic energy resources" and made strides in ties with Native Americans.

"I have valued Ken's friendship since we both entered the Senate in 2005, and I look forward to receiving his counsel even after he returns to his home state of Colorado," the president said.

Salazar's move comes amid criticism over Obama's second-term Cabinet nominees. He has taken flak because major nominations have gone to white males.

White males have been tapped for three prominent Cabinet positions with second-term openings: secretary of state, secretary of defense and secretary of the treasury. One of those posts has been held by a woman, Secretary of State Hillary Clinton, while the others have been held by white men.

Salazar focused on energizing Hispanics

While Obama's record of appointing women to top posts doesn't differ significantly from that of former President George W. Bush, many take the issue with Obama's appointments since he ran as a champion of women's issues during both of his presidential election campaigns, unlike his predecessor.

CNN's Chief Political Analyst Gloria Borger reported from Washington. CNN's Joe Sterling reported from Atlanta.

@highlight

Salazar is a former U.S. senator from Colorado

@highlight

He led the administration's reaction to the 2010 Gulf spill and explosion

@highlight

Salazar made strides in renewable energy, forging better relations with Native Americans