(CNN) -- In many ways, Maha Haddioui is the archetypal young professional women's golfer, desperate to make a breakthrough on one of the major tours in Europe or the United States.

Educated at an American university, the 22-year-old speaks four languages. Her Facebook page lists has hundreds of friends from all over the world.

A stylist on the course, she sports an elegant line in clothing -- more often than not wearing a polo shirt and pink skirt.

But, unlike her peers, Haddioui is a trailblazer in a region of the world that has seen turmoil and political upheaval over the past year, and where women's freedoms are often severely restricted.

Hailing from Morocco, she's the first Arab woman to compete in a professional golf tournament.

Her lifetime ambition is to follow in the footsteps of the North African nation's legendary middle-distance track and field athletes and win Olympic gold. Golf will return to the four-yearly sporting showpiece in Brazil in 2016 after an absence of more than a century.

"I have always watched the Olympics with my father and it is the biggest sports event worldwide," Haddioui told CNN.

"We have had some great Moroccan athletes like Hicham El Guerrouj that have made the country proud, and my dream is to follow in their footsteps."

Fortunately for Haddioui, she was brought up by a liberal family who did not insist on traditional dress code for their young daughter.

Able to practice on local courses near their home in Agadir, she quickly showed an aptitude for golf and received support from the country's ministry of sport.

She has spent four years on the collegiate golf circuit in the United States, studying at Lynn University in Florida and earning the accolade of top-ranked NCAA Division II women's golfer during that time.

When she graduated, the repercussions of the Arab Spring began to be felt in the wider region, and in Morocco there were also demands for democratic change.

The bulk of the country has been ruled by a monarchist dynasty since the 17th century, with King Mohammed VI holding power since 1999.

With regimes in Tunisia, Egypt and Libya swept away, Morocco's 48-year-old ruler promised reforms. In November's election he was obliged to choose the prime minister from the largest party, rather than by his own personal choice.

He had, in 2004, introduced measures which addressed women's rights.

"I am a big supporter for freedom and peaceful change," Haddioui said.

"We had a couple of peaceful protests in Morocco which have led to major changes in the constitution of the country, but we have enjoyed our freedoms in Morocco for decades."

Haddioui is proud of her country and wants to represent it with distinction.

"My aim is to be the first Moroccan and Arab golfer to make it into the European Tour," she said. "I hope that there will be a lot more women that will follow in my footsteps."

Success has already come with gold in women's golf at last year's Arab Games in Qatar in a team which included her younger sister Nezha.

Last season, her first as a professional, Haddioui finished 25th in the Lalla Meryem Cup held in her hometown, and made the halfway cut at another Ladies' European Tour (LET) event in Germany.

But it is a big step from collegiate golf to the cut-throat professional world, and this year she will again rely on invites to main tour events.

A disastrous second-round 84 at the LET qualifying school in La Manga in Spain wrecked her chances of winning a card with full playing rights. "I don't know what happened there, it was a tough week," she admitted.

But Haddioui is undeterred and will be looking to her home tournament in March on the Golf de l'Ocean course in Agadir to make a big impression.

With a men's European Tour event, the Hassan II Trophy, and the Lalla Meryem Cup held in the same week at the end of next month, plus a host of regional tournaments, Morocco is promoting itself as a golf destination par excellence.

Outside investment, mainly from the Middle East, has brought several new courses and developments -- as Haddioui says, "taking advantage of our fantastic weather and the opportunity to share a very rich culture."

Haddioui aside, Moroccan players either male or female have yet to make a much of an impression among the professional elite, but all that could be changing.

"Golf is becoming more affordable for locals thanks to the work of the Royal Golf Federation," she said.

With more youngsters playing, the talent is starting to emerge. Ahmad Marjan, 18, has earned an invite to this week's Dubai Desert Classic, where he will rub shoulders with some of the best players in the world.

Haddioui will target December's Dubai Ladies' Masters on the LET as she tries to earn enough money to get an automatic card for 2013.

Though proud of her roots and background, it was her spell in the United States that decided on her career path.

"Getting an education in the U.S. is definitely the best choice I have made in my life," she said.

"It allowed me to play golf and pursue my education at the same time. It has prepared me for my current life as a professional golfer where I have to travel on my own."

@highlight

Maha Haddioui is first Arab woman to play golf in a major professional event

@highlight

Haddioui wants to win Olympic gold and tournaments in Europe and the United States

@highlight

The 22-year-old from Morocco is supported by her national federation

@highlight

She wants "peaceful" changes to spread democracy in her country