(CNN) -- They hand out food, issue fines, punish offenders and have their own set of keys.

It sounds like a guard's job. But in prisons throughout Honduras, a new report says, it's the inmates who are in charge.

"Internal control of the prisons has been ceded into the hands of the prisoners themselves," the Inter-American Commission on Human Rights said in a report released last week, claiming the situation has spread through all 24 of the nation's prisons and is one of the most serious problems the country faces.

The Honduran government doesn't deny it.

As he ordered troops into one prison after clashes erupted there on Saturday, President Porfirio Lobo called it an "unacceptable situation" and acknowledged that a "reign of crime from within" plagues the country's prison system.

At a meeting on Monday, he said, government security officials will present proposals to end the criminal reign.

In the meantime, prisoners are reportedly running facilities throughout the country. And last week's report from the Organization of American States' commission details how they do it.

'The line of death'

In a massive prison in the world's murder capital, a painted yellow mark on the ground separates the inmates from the guards.

They call the line in the prison in San Pedro Sula, Honduras, "the line of death," according to the human rights report.

"The prison guards know that they must not cross into the yard ... without the authorization of the inmates, while the inmates refuse to leave the external perimeter in police custody," the report says.

There are two padlocks on the prison gate, the report says. The guards lock the outside, and the inmates lock the inside.

The situation is simple, one prison official told investigators.

Authorities, the official said, "have no power to change anything."

In one cell, decorations and wood-paneled walls

Inside one cell in another prison, investigators from the human rights commission said they saw a sight that stood out from the typically squalid conditions: varnished, wood-paneled walls.

The inmate had a private toilet, a large bed, a remote-controlled air conditioning unit and his own TV.

Why? He was what's known as a "coordinator" -- a key figure in the prison hierarchy.

According to the report, his responsibilities include: applying disciplinary punishment; setting the prices inmates pay to live in cells; distributing and setting food prices; and resolving conflicts that emerge during daily prison life.

"Above all," the report says, "the 'coordinators' serve as spokesmen or liaisons with the prison authorities, and are really privileged prisoners who exercise a degree of decision-making power within the prisons, often sharing the benefits with the prison authorities."

Prison marketplaces

Inside many of the nation's prisons, inmates buy and sell food, clothes and household items in unregulated marketplaces, the report says.

The system has serious consequences, the report argues, including promoting corruption and allowing illicit goods to enter the facility.

In San Pedro Sula, for example, the prison yard houses a large bazaar.

According to the report, there are "barbers' shops, cafeterias, bakeries, sales of fruit and food of all kinds, sales of medications and cloth, tailoring workshops, a cobbler's shop, a leather workshop, carpentry, a cabinetmaker's workshop, crafts, manufacture of mirrors, billiard tables, games tables and many soft drink dispensing machines."

A necessary evil?

Throughout the human rights investigators' trip to Honduras, officials described self-government in the prisons as a "necessary evil," the report says.

"This system, as was observed, is accepted by the prison authorities as the only viable way of maintaining order and stability between them and the prison populations, and the 'coordinators' are considered collaborators and even allies of the authorities.

But authorities have also acknowledged that the widespread prisoner control of facilities has played a major role in contributing to corruption in the prison system.

A year after deadly prison fire, questions remain

The human rights report's revelations come more than a year after a deadly prison fire in Honduras cast a global spotlight on prison conditions there.

At the time, analysts said prison overcrowding likely contributed to the massive death toll of the February 2012 fire in Comayagua, Honduras, which claimed more than 360 lives. It's a problem groups like Amnesty International and Human Rights Watch have condemned.

Overcrowding remains rampant, the report says, with outdated facilities housing far more inmates than they were designed to hold.

The report lists "the lack of appropriate, safe physical installations, deplorable health and hygiene conditions, failure to provide adequate food and drinking water and the lack of adequate medical care" as significant concerns.

The report notes that "grave deficiencies...led to the death of the victims of the fire," including overcrowding, fire hazards and no signs for evacuation routes.

And 18 months after the blaze, the government still hasn't given a clear explanation of what happened, the report says.

"One of the hypotheses that the commission ask to be studied was the possible presence of criminal hands in the tragedy ... and really we see that there has not been up to now an investigation that has reached results proportionate to the duty of the state to investigate," said Rodrigo Escobar Gil, a prisoner rights rapporteur for the commission.

In one prison, shots ring out and troops take over

After 15 people were injured and three people were killed during clashes at a National Penitentiary prison in Tamara, Honduras, on Saturday, Honduras' president said he was sending in troops to take over.

In a written statement, his office said that the government has taken steps to disarm prisoners and instituted other security measures at prisons nationwide. But they haven't been able to stop the "criminal reign" within prisons, the statement.

Last week's report lists a series of recommendations for the Honduran government. Among them: reducing overcrowding, improving safety and taking back control from prisoners.

Honduran officials have said they accept the human rights commission's report and are pledging to reform the prison system.

"The panorama that the commission has exposed is the absolute truth," said Jose Augusto Avila, coordinator of the country's Penitentiary System Transition Commission. "We cannot deny it."

CNN's Jessica King and Norman Powell and journalist Elvin Sandoval contributed to this report.

@highlight

A report says Honduran officials have ceded control of prisons to inmates

@highlight

In one prison, the division between prisoners and guards is known as "the line of death"

@highlight

Investigators describe large bazaars with food, household goods for sale

@highlight

Honduran President Porfirio Lobo sends troops into one prison after clashes erupt