(CNN) -- A court in Egypt has sentenced to death more than 500 supporters of the now-banned Muslim Brotherhood following violence that broke out in the southern city of Minya last August. The Egyptian Foreign Ministry puts the number of those sentenced at 529.

A single policeman was killed.

Only 147 of the defendants were reportedly in court Monday. Sixteen people were also acquitted at the hearing. Another 683 defendants -- including the Muslim Brotherhood's spiritual leader Mohamed Badie -- appeared before the same judge Tuesday in relation to the unrest. Their case was adjourned until April 28.

CNN spoke to its correspondent in Cairo, Ian Lee, independent Egyptian journalist Shahira Amin and Egyptian legal historian Khaled Fahmy about Monday's mass sentence.

What happened in Minya?

A police officer was murdered during the pro-Morsy riots in Minya last August.

The violence followed a deadly crackdown by security forces on two Cairo sit-ins being held by supporters of former Islamist President Mohamed Morsy.

Morsy, Egypt's first democratically elected president, had been toppled in a military coup in July 2013.

Defense lawyer Khaled El-Komi told CNN the charges against the defendants appearing Tuesday include breaking into a police station, attempted murder, disturbing public peace and public order.

The death sentence imposed on 529 people -- will it be carried out?

Lee said it was "highly unlikely" that all those sentenced to death would be executed. He said Egypt had a large appeals process and the country's chief Islamic authority -- the Grand Mufti -- also had to approve the death sentences.

Many death sentences in Egypt are later reduced, or overturned, Lee said. "When you hear something like this, well it is shocking, but you do have to step back and say there's a lot between the sentencing and the execution."

Fahmy also said it was most likely the sentences would be appealed and revised.

"With regard those on the run, they automatically have the right for an entire new trial, in addition to the right of appeal following the issuance of the sentence," he said.

Ahmed Shabib, a lawyer representing some of those sentenced to death, said that they would appeal the verdict after the Grand Mufti had made his decision allowing the court to announce its final ruling -- set for April 28.

How was the trial conducted?

The Minya court has been criticized for taking just two sessions to reach its verdict against the 529 people convicted.

"Never before has a court issued such a large number of death sentences in such a short period of time -- only two sessions," Fahmy said.

The Egyptian news organization Ahram Online said the court had issued its verdict "-- the biggest capital punishment verdict in the history of the Egyptian judiciary -- without hearing the defense arguments."

El-Komi told CNN his team of lawyers weren't allowed inside the courtroom.

He said they didn't have any time to plead the case or review the evidence as the first procedural session was on Saturday, before being postponed until Monday -- when the verdict was issued.

One defendant told CNN he hadn't been summoned for questioning by the prosecution or by the court for the trial.

The man, who requested anonymity, said he hadn't been in Minya during the incident.

The verdict was "unjust" he said and the accusations "invalid." Another defendant -- who also asked not to be named -- told CNN he had been at home during the violence.

He said he believed he had been added to the list of defendants just because he was a member of the anti-coup alliance. Ten members of the alliance had also died that day, he claimed, and no one had been held accountable.

How does the sentence compare to others?

Fahmy said the court's ruling made a "mockery of the entire Egyptian legal system."

"As a historian of the Egyptian legal system, I can confidently say that this court ruling is a travesty of justice," he said.

"Never before in Egypt's long history has there ever been a ruling so obscene in its contradiction of the very principles of justice."

Fahmy described the ruling as "particularly perverse" as it handed down death sentences against 529 defendants accused of killing a single police officer.

Journalist Amin said the sentence was "ridiculous and a grave injustice."

"Ridiculous because it's not possible that 529 people can murder a police officer -- which was one of the charges against the defendants. The other charge is less serious of course -- destruction of public property -- and doesn't deserve a death sentence."

Amin said the judiciary was displaying double standards. She pointed to the death of Khaled Said in 2010, whose alleged brutal beating by security forces is said to have been one of the factors behind the 2011 revolution that led to the ousting of then-President Hosni Mubarak.

"The killer of Khaled Said got a 10-year prison sentence," she said.

Meantime, Ahram Online pointed to the sentencing of a police officer to 10 years imprisonment for the deaths of 37 Islamists in a police van last year as a "sharply contrasting verdict."

How has the Egyptian public reacted to the verdicts?

Amin said the verdict had been received with shock.

"The harsh sentence came as a big shock to me and many others including Egypt's liberals, many of whom oppose the Muslim Brotherhood," said journalist Amin.

"Morsy's supporters are calling it a 'death penalty for the judicial system in Egypt'," she said.

"You still find supporters of the military who say that they deserve it, these are terrorists. That's because the country is extremely and deeply polarized and anyone seen to show sympathy -- even remotely -- for the Muslim Brotherhood is labeled a traitor and accused of being one of them," she said.

Fahmy said he had little doubt that the ruling was politically motivated.

"It is as if the judge wanted to appease the military rulers of the country who decided to wage a 'War on Terror' and have declared the Muslim Brotherhood a terrorist organization," he said.

Fahmy claimed the sentence had made "a mockery of the entire Egyptian legal system," and in the process undermines a fundamental pillar of society -- the very principle that the regime is accusing the Muslim Brotherhood of doing.

"In other words, if there is anyone who is undermining the stability of the Egyptian state, it is the judiciary and its incessant desire to appease the military and the police," he said.

Amin said it was "clear that courts are being used to settle political scores."

"The courts are one more battleground for the political standoff between the military backed authorities and the Islamist group," she said. "So basically, the verdict is a threat to Muslim Brotherhood supporters -- and also to opponents of the regime in general -- that there's zero tolerance for dissent."

Lee said the verdict can be seen as part of the ongoing crackdown on the Muslim Brotherhood and their supporters in which hundreds have died and thousands arrested.

The irony, he said, is that while 529 people were sentenced to death over the killing of one police officer and attempted murder of another, no one has been held accountable for the deaths of hundreds of protesters.

How has Egypt's government responded?

Egypt's government, through its foreign ministry, stressed the independence of the country's judiciary in a statement to CNN.

"The Egyptian government would like to affirm that the Egyptian judiciary is entirely independent and is not influenced in any way by the executive branch of government, as dictated by the democratic principle of separation of powers," the ministry said.

The ministry pointed out that the Minya sentence had been issued by an independent court "after careful study of the case; that it was only the first verdict in the trial process; and that the defendants would be able to contest the verdict in the Court of Cassation."

What about the Muslim Brotherhood?

The Muslim Brotherhood issued a statement saying the sentence "violates judicial norms."

"The shocking and unprecedented sentencing of 529 Muslim Brotherhood supporters without due process is evidently inhumane and a clear violation of all norms of humane and legal justice," it said in a statement on its website.

"The verdict is yet another clear indication that the corrupt judiciary is being utilized by the coup commanders to suppress the Egyptian revolution and install a brutal regime which has already surpassed decades long of oppression and tyranny in Egypt's history."

In December, Egypt's interim government officially declared the Muslim Brotherhood a terrorist organization.

It said anyone who was a member would be punished, as would those found to be giving the group financial support.

What's happened to Mohamed Morsy?

Morsy, the former head of the Muslim Brotherhood's political arm, was elected president in 2012.

Shortly after winning, he resigned from the Muslim Brotherhood and its Freedom and Justice Party in an effort to show that he would represent all Egyptians.

But he was ousted in a coup in July 2013 amid widespread protests against his rule, with opponents accusing him of pursuing an Islamist agenda and excluding other factions from the government.

Morsy and other Brotherhood leaders were rounded up after the coup and now face a variety of counts, including organizing attacks on Egyptian troops in the Sinai Peninsula and fueling "sectarian sedition with the aim of igniting civil war in Egypt."

529 sentenced to death in Egypt

Muslim Brotherhood banned

What is the Muslim Brotherhood

Lawyers in Muslim Brotherhood case seek new judges

@highlight

On March 24, an Egyptian court sentenced 529 people to death over violence in the city of Minya

@highlight

Last August, a policeman was murdered in riots after a crackdown on pro-Morsy sit-ins

@highlight

The sentences need to be approved by Egypt's Grand Mufti and can be appealed

@highlight

The length of the trial and severity of the sentences have sparked criticism