In some ways, it's just a number, but it's a big number with enormous implications.

For the first time, scientists measured an average concentration of atmospheric carbon dioxide of 400 parts per million in Mauna Loa, Hawaii, where the National Oceanic and Atmospheric Administration observatory is located, on Thursday.

"Most experts that really study CO2 amounts estimate that we haven't seen that amount of CO2 in our atmosphere in about 3 million years," said J. Marshall Shepherd, climate change expert and professor at the University of Georgia. In other words, modern humans have never seen carbon dioxide in these proportions before.

Scientists say it's apparent that human activity -- namely burning coal, oil and natural gas -- has been driving a rapid rise of carbon dioxide levels in the atmosphere.

Carbon dioxide changes climate and drives acidification of the ocean.

"Once emitted, it remains for the ocean atmosphere system for thousands of years, warming the planet. It changes climate and is driving ocean acidification all that time," said Jim Butler, a senior scientist at NOAA.

Among the many risks of rising temperatures, agriculture, forestry, ecosystems and human health are all expected to suffer as a result of trends in climate change.

Turbulence ahead as climate changes

The amount of carbon dioxide varies daily somewhat and has cycled historically in accordance with changes in the Earth's orbit, a phenomenon known as Milankovitch cycles. But the exponential rise in carbon dioxide levels since the Industrial Revolution is far out of the ordinary, experts say.

The number 400 parts per million is symbolic of what many scientists believe to be the inevitable growth of this gas in our atmosphere, Shepherd said. Getting to this number was to be expected.

"It also is kind of a warning sign or red flag that hey, we really need to tackle this problem," he said. "It's happening right before our eyes."

In about eight to 10 years, levels will not go under 400 parts per million, Butler said. And in terms of reaching new carbon dioxide highs, 450 will come even faster than than the change from 350 to 400, given observed trends, Shepherd said. For comparison, the last time annual CO2 was 350 parts per million was in the 1980s.

Butler likens the phenomenon to an electric blanket. When you turn the dial, it takes a little while to warm up. It's as if humans have turned the dial on Earth's blanket, and we'll feel the heat only in a matter of time.

"Even if we stopped emitting CO2, temperatures would still rise for at least a decade or two because the system has to catch up with it," Butler said.

Most carbon dioxide is in the Northern Hemisphere, because most people on the planet live in these parts, Butler said.

In 2012, monitoring stations in the Arctic measured 400 parts per million, but this is a new high at Mauna Loa. The global average will catch up in a year or two, he said.

Since scientists began measuring at Mauna Loa in 1958, the concentration of carbon dioxide has been increasing every year, NOAA said. The rate of this rise has been accelerating, from 0.7 ppm per year in the late 1950s to 2.1 ppm per year over the last decade.

Before the 19th-century Industrial Revolution, the average carbon dioxide concentration worldwide was about 280 parts per million. Over the course of the past 800,000 years, says NOAA, these levels bounced between 180 and 280 parts per million.

NOAA: Watch history of carbon dioxide levels

You might be wondering how the planet could be warming if this past winter has been relatively cool.

Shepherd explains that weather is akin to mood, but climate is analogous to personality. Weather changes a lot, but climate is something more fundamental, causing overall patterns.

Study: Climate change may contribute to civil wars

It may appear that, in the grand scheme of things, there's not a lot of carbon dioxide in our atmosphere to begin with. The most abundant gas is nitrogen, at 78%, followed by oxygen at 21%. Having a tiny amount of carbon dioxide is essential for our survival; without it, the planet would be too cold.

Opinion: How to fight climate change

But too much carbon dioxide, which leads to too much overall warming, is bad.

While it's impossible to say that any particular event was "caused by global warming," says Shepherd, climate change loads the deck, making extreme events such as last year's Superstorm Sandy more likely.

These storms also become more disastrous with rising sea levels. The sea level near New York City was about 10 inches higher in 2012 than in 1900, Shepherd said.

The Mauna Loa station is the oldest in the world to measure carbon dioxide.

"It's an alarming marker that we've passed," Butler said. "Mauna Loa, the iconic site for CO2, has reached 400 for the first time over a day. That's big."

More science and space news from CNN Light Years

@highlight

Carbon dioxide levels have reached historic high at Hawaii observatory

@highlight

Carbon dioxide changes climate and drives acidification of the ocean, experts say

@highlight

Scientists expected this carbon dioxide level but say it's a warning sign