Mogadishu, Somalia (CNN) -- War forced tens of thousands of Somalis to flee their capital, Mogadishu. Famine is bringing them back.

Hungry and sick Somalis are trekking from their homes in famine-struck southern areas in search of food, water and medicine. More than 50,000, by a July 18 United Nations count, have arrived in Mogadishu, a city destroyed by two decades of conflict.

The United Nations refugee agency called it an "unprecedented influx" into a city that was notorious for exodus.

The people are arriving in a city where the sound of gunfire became as common as the start of a car engine; where tales of dismemberment and executions and other heinous deeds emanate from neighborhoods shut off from any form of governance.

What has caused the East Africa crisis?

It is exceedingly difficult to deliver aid in Mogadishu. Yet, people who have nothing left to lose hope to get lucky at feeding camps set up by Islamic charities and the United Nations' food agency.

World Food Programme Executive Director Josette Sheeran acknowledged the dire need to get food supplies into southern Somalia, where the al Qaeda-linked militant group Al-Shabaab recently lifted a ban on aid agencies.

The WFP will ratchet up its efforts and begin airlifting food within days to try and reach 2.2 million people in the south, Sheeran said.

In Mogadishu, the vast feeding camps are teeming with people, mostly women and children.

Huma Isaac is over 80 years old -- she did not know her exact age -- and traveled 400 kilometers to reach a Mogadishu feeding camp. She felt lucky that she had been able to hitch a ride part of the way. Many people made the entire journey on foot.

Isaac's husband died from starvation, she said. That's why she felt compelled to return to the city she had once fled in an effort to keep her children alive.

Desperate women stormed a CNN reporter's car in the city. "Please help us," one pleaded. "I am sick."

A weak U.N.-backed transitional government controls parts of Mogadishu. Elsewhere, Al-Shabaab is king. The two sides have been locked in a bitter, brutal battle for control in this impoverished Horn of Africa nation, one of the factors that led the United Nations to declare famine.

International aid agencies have been asking for help for months as the worst drought in half a century caused crops to fail and killed livestock. The international anti-poverty confederation Oxfam blamed donor nations for turning away from Somalia's plight.

Stories from East Africa's famine

Another country might have been able to cope better, but a perfect storm brewed in Somalia, said Patrick Webb, a food security expert with the Friedman School of Nutrition Science and Policy at Tufts University.

"It's not one thing or another that has gone wrong," Webb said. "This represents catastrophic failure of all the systems that people rely on to survive."

But getting food to the people is an enormous challenge in the country widely recognized as a failed state by all social and economic indicators.

"We are faced with hundreds of thousands of people on the verge of starvation but there is no central authority we can negotiate with to get access to those people," said Joel Charny, vice president for humanitarian policy and practice at InterAction, an alliance of U.S. aid agencies.

At one time, global agencies were able to operate in Mogadishu, but an escalation of violence in recent years prompted most of them to flee. And besides the obvious security risks, trust became a problem, Charny said.

In other nations, he said, aid agencies were able to negotiate their ability to work in an area, to get permission to have direct access to the people in need. He stopped just short of calling Somalia anarchic but said that aid workers could get few assurances that any deal would stick.

And, many aid organizations have to fight local perceptions that they are there to enforce the United States' counterterror agenda.

"It's difficult to establish the trust you need to work," Charny said.

Al-Shabaab has been far less hostile to Islamic charities. The Saudi-based Organization of Islamic Cooperation hopes to bring in more aid groups under its umbrella, and an OIC delegation visited Mogadishu Wednesday to discuss delivery of more food and bridging the aid gap.

Even though Mogadishu is one of the hardest places to get aid, people are flocking to the city in the midst of the worst food crisis in decades.

"The situation is very severe, the conditions are very harsh," said Sheikh Sharif Sheikh Ahmed, the Somali president. "We are requesting that the international community assist the Somalis, those within Somalia and the borders. We urgently request quick help."

At one feeding camp, Amina, only 6 months old, was next to 2-year-old Bakr, who is too weak to stand, waiting for something to stop the ache in their bellies. The line behind them was growing steadily longer.

@highlight

The United Nations has declared a famine in southern Somalia

@highlight

Tens of thousands of people have arrived in Mogadishu

@highlight

They are hoping to get food, water and medicine at feeding camps

@highlight

International aid agencies fled Mogadishu because a lack of security