(CNN) -- Jonathan Walton was walking through Bishop Eddie Long's church one day when he saw something that disturbed him.

He stared at a 30-foot banner draped behind the pulpit of New Birth Missionary Baptist. Church. It displayed a profile of a grinning Long with the caption: "What is God up to?"

"Everywhere you went in that church, his name and face was there," says Walton, an assistant professor of religion at Harvard Divinity School in Massachusetts. "His image has replaced the cross."

Long's image is now under assault. Four young men have filed civil lawsuits accusing him of abusing his spiritual authority to coerce them into sexual relationships, allegations he has denied in a statement issued by his attorney.

While most people focus on the men's allegations, few have paid attention to how Long acquired and maintains his authority at New Birth, which has an estimated 25,000 members.

Long and New Birth are virtually synonymous.

The 57-year-old pastor has built a devoted following at his church in Lithonia, Georgia, by preaching the prosperity gospel, making savvy business decisions and through public displays of generosity.

But Long has also talked about ridding his congregation of its deacon board during his early years, and by consistently telling his congregation that he speaks for God.

Long's controversial megachurch 'mentor'

Long's leadership style at New Birth follows a similar pattern at many megachurches (congregations of 2,000 and above). Pastors can acquire so much unchecked power that members are afraid to challenge them, says Scott Thumma, co-author of "Beyond Megachurch Myths: What We Can Learn from America's Largest Churches."

If members of such a megachurch dare to bring any accusations against a minister, they are often greeted with hostility by the congregation, says Thumma, a religion professor at the Hartford Institute for Religion Research in Connecticut.

"If somebody comes and brings an accusation against the pastor, people ask, 'Who are we going to trust? The person I don't know or the person I've been giving 10 percent of my income to for the last eight years?' "

Thumma wrote his dissertation on an Atlanta megachurch near New Birth that collapsed after its pastor was caught in a sex scandal that involved his brother's wife and many other women. That pastor, Earl Paulk, was a "quasi-mentor" to Long, Thumma says. They appeared in public together.

Read more stories about faith on CNN'S Belief Blog

Sarah Posner, author of "God's Profits: Faith, Fraud and the Republican Crusade for Values Voters," says Long considered Paulk his "spiritual mentor."

Thumma says the problems at Paulk's church festered for years because Paulk convinced his congregation that questioning him would be seen as an act of rebellion.

Paulk's church, Chapel Hill Harvester Church, once had at least 15,000 members who worshipped in a soaring cathedral. The church was forced to sell the cathedral after its pastor's scandal became public. Paulk died in 2009.

"That church was a sick place and even I didn't know it until after two years of studying it," Thumma says.

'He is finished'

Some church scholars wonder if New Birth will suffer the same fate.

On Sunday, New Birth appeared to throw its support behind Long.

New Birth members leapt to their feet to cheer Long as he vowed to fight the allegations. Long took to the stage with his wife, Vanessa, and compared himself to David fighting Goliath.

"I've got five rocks, and I haven't thrown one yet," Long said.

Long during his church appearance did not address the specific allegations contained in the four lawsuits filed against him.

Long, in a statement read on a syndicated radio show Thursday, denied the allegations. "Let me be clear: The charges against me and New Birth are false," the statement said. "I have devoted my life to helping others and these false allegations hurt me deeply, but my faith is strong and the truth will emerge."

Shayne Lee, a sociology professor at Tulane University in Louisiana, says Long had to unequivocally deny the allegations from the pulpit to maintain New Birth's support.

"His ministry is over," says Lee, author of "Holy Mavericks: Evangelical Innovators and the Spiritual Marketplace," which looks at the appeal of celebrity preachers. Lee has written extensively about how big business has shaped megachurch pastors.

"What I saw was more lamb than lion," Lee says. "I didn't see the truculent, masculine preacher. There should have been some pent up sense of outrage."

Long's demise will take place over time, but it is inevitable, Lee says.

Read details about the suits

"I have seen many pastors survive scandals where it was a woman," he says. "But it's unprecedented for a leading black evangelical of his reputation to survive the taint of same-sex charges."

How Long took charge at New Birth

Long's ascension at New Birth didn't seem likely at first.

When he started as a pastor, he was so nervous before preaching that he often threw up. He started with 300 members.

When Long arrived at New Birth, he had to consult with a deacon and trustee board. Long wrote in his book, "Taking Over," that New Birth's deacon board was "gripping the purse strings" of the church, and "telling the man of God when to jump and how high."

After the church grew, Long told the congregation that he received a revelation from God that New Birth's governing structure was "ungodly," he recounted in "Taking Over."

Long said the board relinquished its authority over him with his congregation's approval.

"That was the day I became pastor," Long wrote in "Taking Over." "Up until that time, I was the hired preacher."

As time went on, Long also embraced a more charismatic approach to ministry (charismatics encourage Christians to develop "gifts of the Holy Spirit," such as speaking in tongues).

The minister's job wasn't just to preach, Long once said in a profile in the Atlanta Journal-Constitution.

"A pastor is called to minister to God," he said. "Then God ministers back to him the word, and he comes before the people to tell them what God said."

It is not unusual for pastors to portray themselves as vessels of God's revelations. Long also, in time, became something else to some of his parishioners: "God's anointed," says Lee, the Tulane University professor.

When outsiders would question Long's leadership, New Birth members would often cite Psalms 105, verse 15: "Touch not my anointed ones, and do my prophets no harm.''

Lee says some charismatic leaders invoke Psalms 105 to discourage criticism.

"It's a great scripture to try to keep people from questioning their leader and keep them in line," Lee says. "But there's another scripture in Matthew 7: 'By their fruits ye shall know them.' ''

Walton, the Harvard professor who saw the giant banner of Long behind the pulpit, says Long's stature at New Birth as God's anointed inspires fierce devotion.

"People come to believe that to turn on him is to not be committed to God," Walton says.

Walton asks Long: Did you or didn't you?

Marketing a megachurch

There are business reasons, though, for some megachurch pastors to consolidate authority in a church, says Thumma, the megachurch scholar.

"It's much easier to market a personality than it is to market a church," says Thumma.

Many megachurches are financially dependent on the appeal of a solitary pastor, Thumma says. The pastor's sermons, television broadcasts, books and tapes -- all bring in the crowds.

As the pastor grows in popularity, though, he loses accountability, Thumma says. He or she becomes a celebrity.

"What ends up happening is the authority structure goes from having a church with a board of elders who consult and fight over power with the senior pastors to one where the pastor has selected people on the board who are more or less yes people," Thumma says.

Retaining the loyalty of a congregation, though, is another challenge for a megachurch pastor like Long, says the Rev. Gerald Durley, senior pastor of Providence Missionary Church in Atlanta.

He says Long can retain New Birth's support if he appears transparent before his congregation in the days ahead.

"What people want to see is a certain sense of humility, a certain 'I'm back under the will of God and he has appointed me to lead if you trust me.' At that point, he can pick and go on and do what God has called him to do."

But if Long doesn't seem sincere, he will suffer, Durley says.

"If he's perceived as manipulative," Durley says, "he's finished."

@highlight

Bishop Eddie Long ascension at New Birth raises questions about megachurch culture

@highlight

Some New Birth members consider Long "anointed"

@highlight

Megachurch culture creates potential for abuse, scholar says

@highlight

Religious sociologist on Long: "His ministry is over"