Washington (CNN) -- It's the oldest trick in the political playbook: Call together a "summit" of fancy people so you'll appear to be focused on work that must get done.

Thursday, the White House convened CEOs from  companies such as Boeing, AT&T, Comcast and Dow Corning, top leaders of the United Steelworkers, United Food and Commercial Workers, American Federation of Teachers unions, Ivy League academics and a few small-business representatives to brainstorm how the country might generate much-needed jobs.

A schmooze-fest is nice, but the hard work of putting America back to work will be done by entrepreneurs, not the leaders of the biggest companies in the nation and the heads of big unions.

The mom-and-pop shops, garage start-ups and small businesses across the country will put Americans back on the payroll. According to the Census Bureau, nearly all net job creation in the U.S. since 1980 has been generated by firms operating less than five years.

This means that our job generators are likely not on the White House guest list. They are home working long hours to meet payrolls on tight deadlines and scraping by with limited resources. While others can advocate for the merits of entrepreneurship, and will hopefully do so, our job creators are strangely left out.

Innovators from Oregon to Tennessee are the ones who will generate new jobs. Commerce Department data show that small companies represent 99.1 percent of all employer firms (a firm is an aggregation of all establishments owned by a parent company, even in multiple locations.). They pay nearly 45 percent of U.S. private payroll and have generated 60 to 80 percent of net new jobs annually over the past decade.

A few start-ups from the last century may be familiar: Disney, Burger King, Fed-Ex, CNN and Microsoft all started during a period of economic downturn. Today, each of these companies employs thousands of people in the U.S. and abroad.

Recent research shows that more than half of the 2009 Fortune 500 companies were launched during a recession or bear market. In 2002, when the tech bubble burst, I graduated from business school just a few miles from Google. The start-up was a mysterious algorithm-based business, little known and lesser understood. Today, Google employs 20,000 people worldwide.

So the question is how can we foster the next Google? Policy-makers can't predict breakthrough technologies, but they can create an environment that will encourage innovation. How to start?

First, provide further access to capital. Last week, two Small Business Administration stimulus provisions that helped to get millions of dollars to small-business owners ran out of funding. The provisions, passed as part of the Recovery Act, raised the maximum guarantee on SBA loans to 90 percent and reduced or eliminated fees associated with the loans, making it more attractive for banks to lend during the downturn. Access to capital is the lifeblood of small businesses. We must renew these provisions and provide even greater access to credit. Helping fledgling companies grow fuels the economy from the bottom up.

Second, welcome immigrants who are job generators. We are a country of immigrants, and yet in recent years, we have made it incredibly difficult for immigrants to launch companies in the U.S. Why not create a new visa for entrepreneurs? Increasingly venture capitalists, angel investors and innovators are advocating a "start-up visa" offered to immigrant entrepreneurs who want to start a company in the United States. In 2008, nearly 40 percent of technology company founders were foreign-born; 52 percent of Silicon Valley company founders were foreign-born, including the founders of Google, Yahoo, eBay and Intel, to name a few. Why chase these innovators away when we need jobs and should be hanging an "innovators wanted" sign on our front door?

Third, match funds for early investors. Early investors need incentives to put money behind companies that will create U.S. jobs. We have channeled billions of dollars to preserve "too big to fail" institutions. Why not make federal matching dollars available to catalyze smart investment in next generation businesses? Investors could keep their normal returns and a share of returns on federal matching funds could go back to the government to further revitalize our weakened economy. Instead of preserving outdated jobs, we need to fuel the creation of future employment prospects. Early-stage investors with a track record of success can help make this happen.

Obama came into office on an entrepreneurial platform. His campaign catalyzed involvement at the grassroots level. Tapping into new technologies such as YouTube, Facebook and other social networks, our president benefited from entrepreneurial advances.

It is time for the White House to return to its campaign roots. Since Obama's inauguration, our unemployment rate has risen from 7.6 percent to 10.2 percent. It is time to stop propping up outmoded and overleveraged institutions and start betting on the new men and women who offer hope for greater prosperity. Supporting entrepreneurs is change we can believe in.

The opinions expressed in this commentary are solely those of Amy M. Wilkinson.

@highlight

Amy M. Wilkinson says Obama's summit had mostly CEOs, union reps, academics

@highlight

But, she says, most job creation in the U.S. since 1980 has been from start-up firms

@highlight

Wilkinson: Government funds and policies should target entrepreneurs