(CNN) -- Much has been written about the Obamas' marriage. The president and first lady have attested to the long and hard work it takes to stay involved and connected to each other while maintaining their separate identities.

Undoubtedly, sustaining a marriage is sometimes hard, as the first lady noted.

But the Obamas are an excellent example of how the fruits of marriage can be realized by those who are committed to reconciling their differences and "toughing it out."

The problem is that, today, too few couples are willing to make such a commitment. Ever since California became the first state to sanction no-fault divorce law 40 years ago, with every state in essence following suit -- some with certain stipulations -- the most fundamental thread in the fabric of our American values, the institution of marriage, has been unraveling.

Before I retired from the bench a few months ago, it was my job as a judge to sort through all the issues rising, in part, from the growing lack of reverence many Americans have for marriage. In court, I often saw humanity's worst behavior. I also dealt with teenage mothers, absentee fathers and parents who have never been married, often by choice.

I saw parents who didn't seem able or willing to connect their children's problems with their own failure to provide their children with the necessary road map to self-sufficiency and productivity. And these families didn't just show up in my courtroom. They exist everywhere.

The U.S. Marriage Index shows a dramatic decline in the health of marriage in recent decades. America is a society that requires its citizens to make choices and penalizes them, often harshly, for the wrong ones.

As a child grows up, the guideposts should be: finish school; become a productive citizen; marry a person you want to spend your life with; and, if you want, have children. In that order.

But many Americans are failing their children because they have already failed themselves. They often enter the court system with domestic problems and low-wage jobs, slim educational credentials and no life partners.

It broke my heart to see so many children raising babies before they are ready: young people who made no connection between the poverty and chaos in their lives and the choices they had made.

My options in addressing these problems from the bench were limited. The courtroom is seldom the stage at which social change takes place. By the time these cases appeared in court, so much damage had already been done.

What our society needs is a solution on the front end. We should begin by considering six points:

Let's stop glorifying single parenthood. Celebrity unwed parents like "Brangelina," Halle Berry and the late Michael Jackson make matrimony seem unimportant and suggest that having a baby as a single parent is "cool" and even easy.

Our children need a reality check. Many young people think that having a child means that they will finally have someone who will unconditionally love them. They don't consider, however, that babies do not and cannot love anyone but themselves, and they also take a tremendous amount of time, attention and resources.

Memo to single mothers by choice: When you decide to have a child alone in order to fulfill your deep need to parent, you may be deliberately substituting your emotional loss for that of your child, who will have to grow up without a father.

We need to respect the role of men as husbands and fathers when they do right by their families. Boys and girls need their fathers to love them and to model the sacrifice and commitment that bonds a married couple. Men who "man up" like this need our support and encouragement.

Our state legislatures should revisit no-fault divorce laws that allow one party to a marriage to opt out of it too easily.

Change now can result in change in the future. Although there are many success stories, children who grow up in single-parent families are less likely to enjoy the financial security, educational success and social skills of children living with their married parents. This only continues to fuel poverty and inequality in our country.

By the way, I'm neither a strait-laced goody-two-shoes nor Archie Bunker in heels. I would never condemn anyone who has had a child out of wedlock or who has gone through a divorce.

I was a divorcee, and with two children, I was also a single mom. So I know that these things happen. Indeed, sometimes they must happen. And because they do, we need to respect every family form.

But I've been around long enough to know that as marriage goes, so go our children. And with them goes the future of our country. Consequently, everyone -- rich or poor, single or married or divorced, gay or straight, all races and colors, from the first family to the single-parent family -- benefits from a vibrant marriage culture.

The opinions expressed in this commentary are solely those of Leah Ward Sears.

@highlight

Leah Ward Sears: Couples unwilling to make commitment  to rewarding marriage

@highlight

Sears: Obamas exemplify good marriage, committed to reconcile differences and tough it out

@highlight

Sears' order of priorities: School, work, marriage with goal of spending life together, children

@highlight

Advice: Stop glorifying single parenthood; support dads and husbands; revisit divorce law