(CNN) -- If you doubt there's a dental health crisis in America, walk into any emergency room. Every day, thousands of people without access to a dentist are looking for dental care in our ERs, most of which cannot provide the care these patients need.

We're experiencing this alarming trend right here in Greensboro, North Carolina. For example, one of our local hospitals, the Moses Cone Health Center, finds that about 10% of ER cases are related to dental issues.

Nationally, more than 2.1 million people, the vast majority of them adults, showed up in ERs with dental pain in 2010, double the number just a decade prior, according to the National Hospital Ambulatory Medical Care Survey.

Those ER visits for largely preventable issues cost the health system more than $2 billion that year. And the majority of dental ER visits, nearly 80%, were for common and preventable conditions like abscesses and cavities.

The reason for this? The percentage of working-age adults -- particularly young adults -- with private dental benefits continues to decline. And more than half of lower-income adults say they haven't seen a dentist in a year or longer. So patients go without proper cleaning and examinations and end up at the ER when a problem strikes.

But most ERs are not staffed or equipped to diagnose and treat dental problems. Typically, they provide antibiotics and pain medication only. This results in patients returning to the ER to treat the same dental issues as soon as the pain returns.

Unfortunately, the Affordable Care Act will provide little relief. The new law has no substantive dental provisions for low-income adults, despite the fact that dental health is critical to overall health.

Dental crisis could create 'State of Decay'

What's the solution? Foremost, it's prevention. We need programs to get patients proper preventive care. And when patients have dental issues that need immediate attention, they need access to a dentist to treat the underlying problem.

The good news is that we are beginning to tackle this issue, one hospital ER at a time. I've seen it in my hometown of Greensboro, and it may be happening in yours, too. Hospitals and dentists across the country are collaborating on programs that address this issue at the community level, offering models other communities can replicate.

Greensboro's Moses Cone Health Center has one such program. Recognizing that dental emergencies are better handled in a dental office, Moses Cone created a program to refer these patients to staff dentists. The hospital covers the cost of care if the patient is uninsured.

The end result: The dental patients get the care they need, and the hospital is able to free up the ER staff to handle more urgent emergencies, saving time and money.

Other communities are creating their own ER referral programs. At Maine's Waldo County General Hospital, about one in five patient visits to the emergency department involved dental pain.

To relieve the strain on its facilities, Waldo County General created an in-house dental clinic that offers screenings and preventive care, with local dentists providing treatments such as fillings and extractions at substantially reduced fees.

To qualify, patients must not have seen a dentist in the past 12 months and must meet certain federal income requirements. Most patients pay $10 to $20 for a dental visit, but no one is turned away if they can't.

The Bronson Battle Creek hospital system in Calhoun County, Michigan, is partnering with a local nonprofit, Community HealthCare Connections, on a program that refers patients suffering from dental pain from the ER to dentists. Since the program began, dental cases in the ER have dropped by 70%.

The dental screening that could save your life

More than 60% of the community's private practice dentists have signed on to provide free treatment, resulting in more than $1 million in care donated to 4,000 people. In return for care, patients volunteer service hours with local organizations, giving back to the surrounding community.

All Americans deserve good dental health, and we need more collaborative approaches like these to take on America's dental crisis.

That's why dentists are working with health and community leaders across the United States through Action for Dental Health, the American Dental Association's nationwide, community-based movement to provide care now to people suffering with dental disease, strengthen the public-private safety net and bring disease prevention and dental health education into underserved communities.

The campaign comprises numerous initiatives, each with specific goals, one of which is to implement ER referral programs in all 50 states by 2020. With bold goals like this and a commitment to join together locally and nationally, we can all but eliminate routine dental problems clogging ERs by providing the right care in the right place: the dental chair.

The opinions expressed are solely those of Dr. Charles H. Norman.

@highlight

Most emergency rooms are not staffed or equipped for dental problems

@highlight

The percentage of working-age adults with dental benefits is declining

@highlight

The Affordable Care Act provides little relief

@highlight

Hospitals are creating referral programs to get patients to dentists