This is what an ISIS rout looks like in Iraq:

Up to 300 troops killed. Others missing, possibly dead or having fled. Dozens of military vehicles, from tanks to ambulances, destroyed or seized. And the Iraqi military in disarray, so much so the country's Prime Minister has sent "anti-terrorism forces ... to hold the negligent (military) leaders responsible."

What happened Sunday east of Falluja, around military encampments in Saqlawiyah and Sejar, is bad enough for the Iraqi government. Yet what makes it worse is that it's happened before.

This latest incident was particularly galling because, according to surviving Iraqi soldiers, military commanders didn't follow up on troops' pleas for airstrikes or other help, and instead stranded them.

And the fact this isn't an isolated episode raises big questions about whether the Iraqi military is up to the fight against ISIS and whether other nations -- the United States being chief among them -- should devote manpower and air power to supporting them.

Bill Roggio -- the editor of the Long War Journal, which provides information and analysis on terrorists and efforts to combat them -- said Thursday that those who believe Iraqi troops, like moderate Syrian opposition forces, can beat back ISIS fighters on the ground, on their own, are in "for a very rude awakening."

"I think the events since the Islamic State invasion," said Roggio -- using the term that ISIS calls itself -- "have shown the Iraqi military is incapable of going toe-to-toe (with ISIS)."

Iraq's military has been overrun before

ISIS, which is also sometimes referred to as ISIL or DAIISH, isn't new to the fighting game. It emerged in the early 2000s as al Qaeda in Iraq, developing a grisly reputation for attacking U.S. and allied forces, assassinating officials and beheading hostages.

A U.S.-led push significantly weakened the Islamist extremist group, which contains some former members of ousted Iraqi dictator Saddam Hussein's military, but didn't wipe it out entirely. Instead, the group was reborn as ISIS, then the Islamic State, with a new mission to control as much territory as possible under its strict interpretation of Islamic law, or Sharia.

In many ways, ISIS has succeeded. It took advantage of instability in Syria to take large swaths of that country. And the group advanced into Iraq, bringing with it its brutal tactics of killing men, women and children who didn't subscribe to its extreme beliefs or just got in the way.

Iraq, though, wasn't supposed to be Syria. It's not in the middle of a bloody, complicated, years-long civil war. It has a large military that is not being challenged by opposition forces on all sides. And, in theory, this armed forces should be somewhat battle-tested from the 2000s.

Yet Iraq's military hasn't always fared well against ISIS.

The most glaring example came in June, when soldiers and police dropped their weapons and fled their posts in Mosul, Iraq's second-largest city.

Militants overrun Mosul, as Iraqi soldiers flee

Since then, a lot has changed. Chief among them: International forces have gotten involved. A U.S.-led coalition has conducted airstrikes against ISIS targets in Iraq, and more recently in Syria, while calling on allied Iraqi troops to do their part on the ground to turn back the terrorist group.

But one thing that hasn't necessarily changed much is the Iraqi military's capability to do just that -- as this week's incident showed.

Soldiers: No response to requests for help

In a statement, ISIS explained that its mobilized fighters overran an Iraqi military checkpoint, destroyed several tanks and cut off the Iraqi military's supply routes.

Then, its attack really began.

An injured Iraqi man -- apparently recounting the ordeal in a video posted to YouTube, though his account couldn't wholly be confirmed by CNN -- said he was stationed with eight other soldiers on a school's rooftop when he saw two black Humvees drive in and several men, all dressed in black, get out.

"Thinking it was Iraqi special forces, I called my commander ... and he said, 'Let me check,'" the man said.

The men in black weren't Iraqi special forces.

The Iraqi soldier said he eventually engaged the men, claiming he killed four militants before getting shot himself. He stayed there for hours, waiting for support.

"From 2:30 a.m. until 10 a.m., no one came to help us," the man said, claiming he kept calling his commander. "... No one responded, and they sent us nothing."

Another man who said he is an Iraqi soldier, featured in a video posted Sunday to YouTube, described how militants blew up two Humvees. (ISIS credited one of these blasts to a Saudi man who detonated an armored vehicle with two tons of explosives.)

This second Iraqi soldier said he alerted an Iraqi military leader about the suicide bombing.

"He said, 'Yes, yes, air support is on its way,'" he added. "Since I made the call to him until I reached (a) base about three hours later, I did not see a single plane."

Two senior Iraqi senior security officials in Ramadi told CNN that 113 troops died in the ISIS attack on the Sejar military base and the fate of 78 others is unknown. Iraqi security forces tried, but failed, to deliver food and water to nearly 300 more stranded Iraqi soldiers, the officials said.

ISIS, meanwhile, claimed that nearly 300 Iraqi troops were killed in the onslaught. It also reported destroying 65 Iraqi military vehicles, including 41 Humvees, and seizing 37 others.

Can Iraqi forces defeat ISIS on the ground?

The whole ordeal spurred Haider al-Abadi -- who, as Iraq's Prime Minister, is also commander in chief of its military -- to issue "orders to detain and interrogate the army commanders of the regiments who showed negligence," according to a statement issued through his military spokesman.

Al-Abadi also called for reinforcements and supplies to the affected area, as well as intensified airstrikes.

"The ... commander praises the sacrifices made by the security forces stationed in combat positions and defending the homeland against terrorists, noting the battle with ISIS will end in victory, God willing, for Iraq and its people," the statement said. "And ISIS will be defeated at the hands of the brave men of our security forces."

Not everyone agrees -- at least given how things stand now on the ground.

Roggio notes ISIS has managed to defeat Iraqi troops, Syrian troops, other anti-government fighters in Syria, "and they've done it all at the same time." One big thing these militants have going for them, especially compared to Iraq's military, is their ruthlessness and drive.

"It's a level of commitment the Iraqi forces don't display," Roggio said. "You can't coach aggressiveness."

Yet the United States and others are counting on what U.S. Rear Adm. John Kirby called "competent partners on the ground" to finish off ISIS and keep it at bay. He characterized the Iraqi security forces capabilities Thursday as "a mix," with some doing well and others not.

But even if there are failures, that doesn't mean American combat troops will be fighting in Iraq anytime soon.

"It's going to be the Iraqi security forces and the Kurdish forces," said Kirby, who is Pentagon spokesman. "We're continuing to strike targets in Iraq."

How effective will airstrikes be in "degrading and destroying" ISIS, as U.S. officials have repeatedly stated is the end goal? Can local ground forces be counted on to do their part? And how long will this all last?

"We can continue indefinitely," said retired U.S. Army Col. Peter Mansoor, a CNN analyst who was Gen. David Petraeus' executive officer in Iraq in 2007 and 2008. "But (battling militants like ISIS) is like mowing the grass. The grass will come back."

@highlight

ISIS fighters attack, overrun Iraqi troops stationed east of Falluja

@highlight

An Iraqi soldier claims "no one came to help us" for hours after request

@highlight

Another says an Iraqi military leader promised airstrikes that never came

@highlight

Expert: Instances like this show Iraq's military can't go "toe-to-toe" with ISIS