London (CNN) -- In the 23 years since he tried to break up a robbery in central London, Ian Semmons hasn't spent a day without severe pain.

The fight left Semmons with multiple fractures, including a broken back and two shattered ankles. He had a head injury so severe, doctors put him in a coma and kept him there for a month to control the swelling in his brain.

"I spent nine months in hospital and then 12 months in a rehabilitation center, where I was basically rebuilt," Semmons says. "But nothing was done to treat my pain."

His regular doctor, a general practitioner with Britain's National Health Service, offered little for the pain despite his complaints. At the time, patients in Britain's government-run system such as Semmons weren't able to switch to another doctor. Unlike patients now, he was stuck.

Three years went by. Then Semmons moved a few miles away -- as it turned out, far enough for him to be assigned to a different doctor.

During their first meeting, Semmons' new physician asked if he had been to a pain clinic for treatment. "I said 'What's that?' " Semmons recalls. "When he explained to me what it was, and said he was going to send me in to it, I discovered that it was in the very hospital where I had been treated. I had no idea it even existed."

Semmons' experience highlights a reluctance of many UK doctors to treat pain aggressively, including a reluctance to prescribe painkillers, especially opiates -- the rampant use of which in the United States is widely described as an epidemic.

Prescription drug deaths: Two stories

Overdoses from prescription painkillers, usually involving alcohol, recently overtook car crashes as the No. 1 cause of accidental death in the United States. Despite making up less than 5% of the world's population, U.S. patients consume about 80% of all prescription pain medication. That's enough each year to give every man, woman and child a dose every four hours for three weeks straight.

It's true that wealthier countries tend to use more pharmaceuticals overall. Despite a similar standard of living, on a per-person basis, patients in the UK receive less than half the pain medication as their U.S. counterparts, according to the Drug Control and Access to Medicines Consortium, a UK academic research group that studies issues related to medicine and drugs.

And while the approach may anger patients like Semmons, British physicians say it's helped their country avoid the wave of misuse and overdoses that plagues the United States.

The National Health Service runs roughly 300 pain clinics, and official guidelines from the British Pain Society, a group of professionals, state, "In most situations, for most patients and most pains, opioids should not be considered as first-choice treatment." Other treatments, including physiotherapy, acupuncture and massage are widely used.

While U.S. doctors are also supposed to consider alternatives to medication, many are swayed by insistent patients, says Dr. Anthony Ordman, who runs the long-term pain clinic at London's Royal Free Hospital that he founded in 1997.

By contrast, Ordman says, "The physician (in the UK) has a salary ... that takes away certain influences that the patient may have on the physician's thinking. I don't necessarily have to be liked by my patients."

Ordman says the decision on whether to prescribe an opioid is complex, and only made after at least one long interview with the patient.

"I tell (patients), 'You must please stick to the dose I prescribed for you and you must not escalate it without medical permission. You must keep the medication locked up and safe. You must please not lose your prescriptions, because I'm not going to replace them,' " Ordman says. "You begin to see we're almost building up a contract between physician and patient."

But the process takes time. Patients need to be referred to pain clinics by their primary doctor. On average, it takes 18 weeks for a patient to be referred to Ordman's clinic, although he says in extreme cases he can sometimes find time to see a patient as soon as the next day.

According to Semmons, many patients don't even know that they can ask for a referral. "There is a general lack of awareness of what there is out there to help (people) with their chronic pain. People don't know the right questions to ask."

After finally getting his pain under control, in part with the use of painkillers, Semmons founded the advocacy group Action on Pain to try and help other patients.

"What we tend to find is a lot of frustration," he says. Some people say their doctors think they're faking simply to receive powerful drugs. Others may feel intimidated.

"There's the fear that if (people) go public with a criticism, (the doctors) will give you a tough time," Semmons says.

Gupta: Let's end the prescription drug death epidemic

Just as powerful opioids are tightly restricted in the United Kingdom, so are painkillers to which most Americans don't give a second thought. While you can walk into virtually any U.S. drugstore and pick up a bottle of ibuprofen or acetaminophen with 400 or 500 tablets, the largest size on UK shelves contains just 16 pills. If you consult a pharmacist and he or she approves, you can purchase 32 pills.

"We have to protect the patient," says Howard Silver, a pharmacist at Gateway Chemist in London, who notes that even a moderate overdose of Tylenol can cause liver damage and even death. Shown a typical 400-count bottle of acetaminophen from a U.S. drugstore, Silver shook his head with dismay.

"I'm astonished," he says. "That's a bottle of death."

While that may sound alarmist, 12 million Americans in 2010 reported using opioid painkillers they might not need, or using them without a prescription.

For all that, the stark differences between the two countries may be starting to blur. In some areas of the United States, doctors are shifting to a stricter approach.

Last month, New York City announced that patients at public hospitals would no longer be able to receive more than a three-day supply of medicines such as Vicodin and Percocet. Lost or stolen prescriptions will not be refilled.

Another example is Washington state, where an educational course for anyone who prescribes opioids is required by law, and a so-called "pain contract" to accompany any prescription.

Meanwhile, the number of painkillers prescribed in the UK is on the rise. One factor may be recent changes to the National Health Service allowing people more flexibility in choosing a doctor.

Semmons still walks with two crutches. Like the weather, his pain is always there, even as it changes from day to day. "It's a constant nagging pain and then it alternates up to a really sharp, needly pain, a stabbing pain," the 63-year-old says.

On good days, he can stand to be philosophical. "I'm in pain every day. It's just a part of life."

CNN's Stephanie Smith contributed to this report.

@highlight

Britain's Ian Semmons dealt with pain for years and didn't know options were available

@highlight

UK doctors are reluctant to prescribe painkillers, especially opiates

@highlight

Even drugs sold over the counter are restricted in pharmacies there

@highlight

But the differences between the United States and UK may be blurring