(CNN) -- More than a week after the Egyptian military ousted the Islamist-led presidency of Mohamed Morsy, the Muslim Brothers, from which Morsy hails, continue to mobilize their followers on the streets and demand the reinstatement of Morsy.

Far from backing down, the Islamist organization has pledged to resist what it has called a "fascist coup," and has rejected any dialogue with the transitional government that does not restore the popularly elected Morsy.

Opinion: Egypt's secularists repeating Islamists' mistakes

For the military, the Brotherhood's demand is a non-starter, and both camps and their supporters face a deadlock that can now only be broken through either a political compromise or an all-out confrontation.

There is a real danger of further polarization and escalation in Egypt, where the writing is already on the wall with the arrest of Morsy and the demonization of the Brotherhood by the Egyptian media and elements of the secular-leaning opposition.

Analysis: Will Egypt's Muslim Brotherhood survive?

The interim authorities are clamping down on the Brothers, accusing senior leaders of inciting violence while arresting eight of its top figures, including the group's most influential leader, Khairat al-Shater, and the former speaker of parliament. Prosecutors have also issued another arrest warrant for the Brotherhood's supreme guide, Mohammed Badie, and four others.

Human rights organizations have criticized the government's clampdown on the Brotherhood's television channel and others channels sympathetic to the group, as well as the deaths of dozens of protesters in recent weeks.

CNN Explains: What is the Muslim Brotherhood?

The Muslim Brothers cannot politically afford to climb down because that would be an acknowledgment of their defeat and probably cause cleavages within their social base. So instead they will continue to peacefully resist and flex their muscle and exert pressure on the country's interim rulers. The goal is to force the military-led authority to come to terms with the Muslim Brothers and stop persecuting them. "The goal of our peaceful mass rallies and peaceful sit-ins in squares across Egypt is to force the coup plotters to reverse their action," Essam el-Erian, acting head of the Brotherhood's Freedom and Justice Party, said on his Facebook page.

If history is our guide, in the short and midterm, Islamist leaders will prioritize unity and solidarity of the organization. The Muslim Brothers have already begun to mobilize tens thousands of followers, a task made easier by a strongly-held belief that the Islamists are defending constitutional legitimacy against military putschists.

Opinion: Overthrow of Muslim Brotherhood leader 'has international reverberations'

As one of the most powerfully organized social and political movements in Egypt and the region, the Brotherhood can rely on its power base, which represents between 20 to 30 percent of the electorate, to remain a force to be reckoned with either at the ballot box or in the streets. In the eyes of the Brotherhood leadership, conceding defeat would harm the base and fracture it. The advantages of resistance outweigh any potential disadvantages; the 85-year old Islamist organization is better equipped to endure repression by the post-Mubarak military than internal dissention and fragmentation.

It is worth remembering that mainstream Islamists of the Brotherhood variety have survived decades of persecution, incarceration, and exile by military-led authoritarian regimes -- and they will most likely weather the latest coup that has swept away Morsy.

Despite concerted efforts in the last six decades by secular strongmen like the late Egyptian President Gamal Abdel Nasser to weaken and isolate their religious rivals, the Islamists' close-knit networks and "asabiya" (group loyalty) have allowed them to withstand the brutal onslaught of secular authorities and grow their organization.

Opinion: Egyptians are fed up with Morsy

In my interviews with the Islamist rank-and-file over the past 20 years in Egypt and elsewhere, it has become clear to me that religious activists are nourished on a belief in the movement's divine victory and they are willing to endure sacrifice, hardship, and loss to bring about that desired end. But the decades of persecution that drove the Islamists underground left deep scars on their psychology and imagination -- and as a result, they often view wider society as intrinsically hostile to their cause. The Egyptian military's ouster of Morsy will reinforce this siege mentality and the sense of victimhood and injustice among the Muslim Brothers and their followers.

The likelihood of the Brotherhood taking up arms against the military like their Algerian counterparts in the early 1990s is minimal. The most influential Islamist group in the Arab world renounced the use of force and violence in the late 1960s and early 1970s. One of the lessons learned by the Brothers from their experience underground from the 1940s until the late 1960s is that violence is counterproductive and endangers the very survival of the movement. In particular, the old guard, including Badie, who have a vivid institutional memory of the underground years, won't fall into the trap of militarily confronting the state; they would not risk it all.

The real potential danger is that individual members could join extremist groups in the Sinai desert and elsewhere to exact vengeance against Egypt's security forces. If the political deadlock continues, the Brotherhood might not be able or willing to control some of its followers, a recipe for creeping armed clashes with the security apparatus.

The longer the Muslim Brothers continue their protests and resistance, the more likely the military is to intensify its crackdown against them. At this stage, it is unconceivable that the military would reinstate Morsy as his supporters demand -- far from it, in fact. In his first address, as an interim president last week, Adly Mansour, previously head of the constitutional court, warned against stoking unrest and promised to fight those he said wanted to destabilize the state. His warning is designed to convey a message to the Brotherhood by the military.

"We are going through a critical stage and some want us to move towards chaos, and we want to move towards stability. Some want a bloody path," Mansour said in a televised address. "We will fight a battle for security until the end."

The interim governing body is rapidly shaping up with a newly-formed cabinet and a roadmap for drafting a constitution and then holding presidential and parliamentary elections. The interim authority has obtained de facto legitimation and recognition at home and abroad. The Islamists are pitted against an influential alliance composed of a substantive segment of Egyptians, together with the military, the police and entrenched elements of the old regime. U.S. Secretary of State John Kerry telephoned Egypt's new foreign minister, Nabil Fahmy, and expressed hopes that the transitional period of government would be successful, according to the Egyptian foreign ministry.

Neither the Obama administration nor the European Union has taken the military to task for toppling Morsy. The Gulf states, particularly Saudi Arabia, the United Arab Emirates and Kuwait, have already pledged $12 billion in financial and material aid, a substantial package that gives the transitional authority breathing space to get its economic house in order.

There is a race against time between escalation and a political dialogue, and neither the military nor Morsy's supporters are disposed to compromise. While the military is emboldened and in charge, the Muslim Brothers have their backs against the wall.

Regardless of the outcome, this titanic and seemingly intractable struggle undermines Egypt's fragile democratic experiment because there is a real danger that once again the Islamists will be suppressed and excluded from the country's political space.

This does not bode well for Egypt's democratic transition because there will be no institutionalization of democracy without the Brotherhood, the biggest and oldest mainstream religiously based Islamist movement in the Middle East.

The opinions expressed in this commentary are solely those of Fawaz A. Gerges.

@highlight

Gerges says there is a real danger of further polarization and escalation in Egypt

@highlight

The interim authority has obtained de facto legitimation and recognition, he says

@highlight

He argues there will be no institutionalization of democracy without the Brotherhood