(CNN)  -- It's as predictable as the sun rising and setting. Even though police made more than 850,000 marijuana arrests last year, a recent government report shows youth marijuana use increased by about 9 percent.

Supporters of the failed war on drugs will no doubt argue this increase means policymakers should spend more taxpayer money next year arresting and incarcerating a greater number of Americans.  In other words, their solution to failure is to do more of the same. Fortunately, the "reform nothing" club is getting mighty lonely these days -- 76 percent of Americans recognize the drug war has failed; millions are demanding change.

In the almost 40 years since President Nixon declared a war on drugs, tens of millions of Americans have been arrested and hundreds of billions of dollars have been spent. Yet drugs are just as available now as they were then.

It is hard to find even an elected official who hasn't used marijuana or other illegal drugs. President Obama used drugs. Former President George W. Bush made taped comments that many interpreted as indicating he did too. Then there's Bill Clinton, who famously said he smoked pot but didn't inhale. Al Gore, Newt Gingrich and Sarah Palin admit they used drugs.

Drug use is so widespread the FBI changed its policy of not hiring people with a history of illegal drug use because the policy disqualified so many people that it could not fill its law enforcement positions.

The war on drugs hasn't just failed; it's created problems of it own. Laws restricting the availability of sterile syringes have increased the spread of AIDS and hepatitis C.

Aggressive campaigns to arrest and incarcerate drug users have increased drug-related deaths by making drug users too afraid to call 911 when a friend is overdosing. The government's misleading and over-the-top anti-drug messages have made young people mistrust other anti-drug messages from parents and adults.

Mass incarceration of drug offenders has drained state and federal resources, distracted police from dealing with violent crime, and produced a generation of children with one or both parents behind bars instead of at home.

The racial disparities are appalling. As Michelle Alexander so eloquently shows in her new book, "The New Jim Crow," a drug conviction automatically makes a person a second-class citizen who can be legally discriminated against in housing and employment, denied school loans, and barred for life from serving on juries, accessing public benefits and even voting. While African Americans make up only about 13 percent of the U.S. population and about 15 percent of drug users, they make up about 38 percent of those arrested for drug law violations and a mind-boggling 59 percent of those convicted for drug law violations.

Like Prohibition did for alcohol, drug prohibition is also enriching organized crime. Instead of regulating marijuana to control who can access it, policymakers have ceded control of the $400-billion-a-year global drug market to crime syndicates and thugs.

In Mexico, where parts of the country are like Chicago under Al Capone on steroids, 28,000 people have died since President Calderón launched a war three years ago against well-armed, well-funded drug trafficking organizations. The U.S. government doesn't report its prohibition-related deaths, but law enforcement officers, drug offenders and civilians die every day in our country's war on drugs, too.

It is long past time to abandon the silly notion that America can be a drug-free nation. The inconvenient truth in drug policy is that Americans love drugs -- alcohol, caffeine, marijuana, cocaine, and prescription drugs for everything from anxiety to fatigue.  Although some people develop problems with their drug use, most do not. This holds true for both legal drugs like alcohol and tobacco, and illegal drugs like marijuana and cocaine. Decades of evidence shows that the average user of any drug doesn't get addicted and doesn't create problems for anyone else. Obviously, some do.

We recognize these facts when it comes to legal drugs. It's why we don't arrest the tens of millions of Americans who drink responsibly, but do arrest people who drive while drunk or get belligerent and start fights. Yet we waste tens of billions of dollars every year arresting Americans for marijuana or other drugs, even when they're not harming anyone. Then we either jam them into overcrowded jails where they take up space that could hold someone who committed a violent offense, or jam them into a treatment program where they take up limited spaces for people who really need help.

What matters most is not how many people use marijuana, alcohol or other drugs, but what's the best way to reduce the problems associated with substance misuse without creating more harmful social problems. Drug use rates rise and fall almost independently of what politicians say and do, but criminalizing drug use makes the situation worse. Prohibition doesn't stop drug use; it makes drug use more dangerous while filling prisons with nonviolent offenders and making crime lords rich. With marijuana use among young people rising despite decades of punitive drug policies, policymakers should reform U.S. drug policy. Or maybe voters will reform it for them.

In November, California voters will vote on Proposition 19, which seeks to control marijuana like alcohol, redirect police resources toward violent criminals, and end California's embarrassingly racist marijuana enforcement once and for all.  Polling shows support is about 50-50.

Even if Proposition 19 loses, it will only be temporary. Support for marijuana legalization is growing, and not just in California. Legalization will happen. It's just a question of how many lives and tax dollars will be wasted before it does. Some vested interests, of course, will fight change until the bitter end. Progress has never been accepted by everyone.

The opinions in this commentary are solely those of Bill Piper.

@highlight

Bill Piper: Despite all the arrests and money spent, youth marijuana use is increasing

@highlight

Piper: Overdoses not reported; criminals thrive, jails filled with nonviolent offenders

@highlight

As we do with alcohol, he writes, bad behavior, not use, should be punished

@highlight

Marijuana will be legalized, but how many lives and money will be wasted first, Piper asks