Princeton, New Jersey (CNN) -- Former President George W. Bush loomed large throughout the 2010 campaign even though he has been out of office for nearly two years.

The upcoming publication of Bush's memoirs, "Decision Points," offers us an opportunity to consider the relationship between the former commander-in-chief and the Tea Party activists who played such a major role in energizing the GOP this summer and fall. While the Tea Party attacks on President Obama and his policies were front and center, their anger was also directed toward the nature of Republican politics in the age of Bush.

The Tea Party movement has opened up a civil war within the Republican Party. Recently these tensions exploded when Bush's top political adviser, Karl Rove, said the Tea Party was not very "sophisticated." Former Arkansas governor and presidential candidate Mike Huckabee called Rove an "elitist" and said that "unfortunately, there is an elitism within the Republican establishment. And it's one of the reasons the Republicans have not been able to solidify not only the Tea Party movement but solidify conservatives across America."

The Tea Party movement was born out of a rebellion against one of President Bush's signature policies: TARP, the bailout for Wall Street investment banks. Tea Party activists have been extremely critical of the willingness of Republicans to turn to the federal government to solve some domestic problems.

Bush's support for the financial bailout was part of a longer tradition of Big Government Conservatism that has been around since the 1960s. In addition to national security spending, Republicans in power have always lived with an expansive view of government.

Ronald Reagan came to accept the permanence of programs like Social Security and Medicare when he discovered they were more popular than the right wing of his party expected. George H.W. Bush pushed through Congress one of the biggest civil rights initiatives since 1965, the Americans with Disabilities Act. Under George W. Bush, Republicans undertook a series of major government initiatives, including No Child Left Behind and the Medicare prescription drug program.

For Bush the question was not government versus no government, but rather, what priorities were most important. When the financial markets collapsed in fall 2008, it was not surprising that he opted to use the federal government to help.

Tea Party activists have called for a return to a kind of pristine, libertarian conservatism that they feel once existed. They have attacked all forms of federal intervention and called for their party to embrace a purer form of opposition to big government.

A second concern for Tea Party activists has been the political process in Washington. They have frequently employed the rhetoric of good government reformers in explaining what's wrong with the system. The Tea Party has complained that lobbyists on K Street wield too much influence on Capitol Hill. They warn that interest groups will be the biggest beneficiaries of new policies. And they have expressed their frustration about how congressional practices such as earmarks have been used to unfairly allocate public funds.

These attacks touch directly on how Republican politics worked throughout Bush's presidency. By 2001, Republicans had learned to work within the political system to advance their objectives and to secure their power. Indeed, between 2005 and 2006, Republicans came under fire for having practiced politics as usual.

Investigations revealed that there were tight connections between Republicans and lobbyists such as Jack Abramoff that had been nurtured by the K Street Project. The K Street project was an operation set up after the 1994 elections whereby Republican House and Senate leaders met regularly with lobbyists to talk about legislative strategy and to find possible employment for GOP staffers.

Congressional Republicans also relied on earmarks as much as their Democratic colleagues. After all, most voters like their legislators to bring home a little pork.

Finally, many Tea Party activists have pushed back against the multicultural vision that President Bush promoted for his party. Since his time in Texas, Bush had worked hard to bring new voters into the Republican coalition, particularly Hispanic-Americans. He stood firm for liberalized immigration policies in 2005, even as hard-line conservatives stifled his proposal to overhaul the system.

After 9/11, Bush had been careful to make very clear that he was conducting a war against terrorist networks rather than a war against Islam (to be sure, many of his policies, like the use of torture and the war in Iraq, undercut those efforts).

The backlash against Bush's vision of conservatism has been strong. Tea Party activists have focused on issues like immigration restriction and opposition to gay rights. Some leaders were at the forefront of turning the debate over a mosque in New York into a debate over the role of Islam in American life.

Bush has also felt that the proper role for him was to stay out of the political arena, which has created a bigger opportunity for these voices.

Now that the election campaign is just about over, the party's leaders will have to reconcile the tensions between where the party had been under George W. Bush and where Tea Party leaders would like to see it heading. The impact of the movement on the GOP will create intense pressure on elected officials to listen to what the activists have been demanding if they want their support in 2012.

The question will be whether Tea Party activists will decide that the GOP is just no longer a home for them and if other Republicans, like former President Bush, will be left wondering what has become of their party.

The opinions expressed in this commentary are solely those of Julian E. Zelizer.

@highlight

Julian Zelizer: George W. Bush memoirs will be published soon

@highlight

He says it's a reminder that Tea Party arose out of dissatisfaction with Bush policies

@highlight

Bush pushed for Wall Street bailout, immigration reform, expansion of government

@highlight

Republican leaders will have to reconcile tensions between Tea Party and rest of GOP