NEW ORLEANS, Louisiana (CNN) -- As floodwaters washed away homes in the Lower 9th Ward, Robert Green watched with horror as his mother got swept away in the storm.

Robert Green stands on the porch of his family's FEMA trailer in front of his new home earlier this year.

Four months later, Green and other family members found Joyce Green's remains in the splintered wreckage of the house where they left her. Robert Green's granddaughter Shanay also drowned the night Hurricane Katrina hit.

Green spent almost the entire last four years living in a small FEMA trailer on his land, sharing his story with anyone who came through the Lower 9th.

One of the people he met was Tom Darden, executive director of the Make It Right Foundation, Brad Pitt's nonprofit vision for building green, sustainable houses in the Lower 9th Ward of New Orleans.

Only a handful of homes have returned to the Lower 9th, one of the areas hardest hit by the killer storm.

"We have 14 neighbors and feel crowded," Green said "But we have 3,000 houses that are gone, and we would love to see those houses come back."

Darden and Pitt felt compelled to help provide Green and his family a second chance, and on July 9 Green officially became a proud homeowner once again.

Getting a fresh start has helped Green and his family deal with the tragedy that turned their lives upside down and took away their loved ones.

"That's what gave me the strength to endure all that we've been through," Green said. "People constantly coming by, volunteers constantly coming by. People that really care about us and let us know that we weren't in this alone. It gave us the hope that one day we would come back and be a community again."  Watch as Green talks about his family's tragedies and life in New Orleans after Katrina »

The Make It Right Foundation has built 15 homes in the Lower 9th so far; the group's goal is to have 150 built by the end of next year.

Darden said the program is designed as a hand up, not a handout.

"We ask the families to contribute as much as they can afford," he said. "On average that's been about $75,000, but we work with the families very closely to make sure that a family is not spending more than 30 percent of their income towards housing costs, and that's how we ensure they are affordable."

Safety and energy efficiency are among the group's primary concerns.

"[The houses] are all elevated at least above Katrina-level flooding. A family has the option to build even higher than that if they want. We've got hurricane-resistant features like impact-resistant glass, or a certain type of fabric that protects the windows," Darden said.  See photos detailing the features of the Make It Right homes »

Another of the driving forces instrumental in rebuilding the Lower 9th Ward in a sustainable fashion is Global Green, the American arm of former Soviet President Mikhail Gorbachev's Green Cross International.

"Immediately after the storm, we saw a failure in government in every level: local, state and federal," said Matt Petersen, president of Global Green. "There's still so much work to be done that we can't wait, we can't rely on the federal government.

"This is an era where I think the citizens of this great country need to take responsibility for our nation, and it starts right here. How we respond affects the future of our country."

Shaun Donovan, secretary of the U.S. Department of Housing and Urban Development, knows mistakes were made in the efforts to get people back into their homes, both in the Lower 9th Ward and other devastated parts of New Orleans.

"We have to be more flexible, we have to be more responsive, and make sure the programs don't just work in theory, but they will work for families," Donovan said.

"We've been very focused in the first seven months [of the Obama administration] on cutting red tape, making sure that recovery moves ahead. And that we can get as fast as possible to the completion of the recovery phase."

Donovan said HUD's plans will help hundreds of millions of federal dollars be directed to areas across New Orleans, helping rebuild communities and get families into permanent houses.

But Donovan also said this could still take another 18-24 months, and that if it weren't for nonprofits there would be little to no progress, even four years after the storm.

"We have to say, 'Look, there are groups on the ground that have solutions, they are able to make it work, we've put barriers in the way for them to be able to get their work done as quickly and effectively as possible. We've got to get those barriers out of the way.' "

For Robert Green, seeing any progress at all gives him hope that one day the place he calls home will no longer be dominated by concrete slabs, abandoned homes and overgrown weeds.

"We have children back in this community, we have families back," Green said. "So basically when those families come back, it gives the other relatives and friends and other people a jump off point."

@highlight

Robert Green lost his mother and a granddaughter in Hurricane Katrina

@highlight

Since then he has lived in a FEMA trailer in New Orleans' Lower 9th Ward

@highlight

This year he moved into his new home thanks to Brad Pitt's Make It Right nonprofit

@highlight

HUD secretary: If it weren't for nonprofits, there would have been little or no progress