(CNN) -- America has not resolved how to deal with Iran's nuclear program. As foreign policy issues soar in the next presidential race, it is time to search for substantive answers.

U.S. policies to contain Iran's nuclear program suffer from wishful thinking. Tightened sanctions and an open war option against Iran have failed to alter its behavior. They fail to grasp how fierce Iran is.

Iran's revolutionaries see sanctions as a blessing in disguise. Oddly, sanctions build a degree of political unity in Iran. Its political factions agree on retaining nuclear enrichment capacity despite other highly divisive political disagreements.

Under sanctions, Iran is more self-dependent. President Mahmoud Ahmadinejad has said that Iran is increasing enriching uranium to 20 percent grade levels. If true, and the fuel is produced in abundance, it has potential military dimensions.

Sanctions have made Iran more enterprising too. The Revolutionary Guards Corps (IRGC) has deployed quite a few tactics to circumvent sanctions.

Sanctions validate Iran's embattled mindset. Iranian supreme leader Ali Khamenei says he will not shun war if it is the price to pay to reject the U.S. The average beleaguered Iranian is content enough knowing life goes on in war times. After all, Iran lived through one of the longest wars in the 20th Century, fighting Iraq in the 1980s.

The war threats have also made Iran clear about its objectives. IRGC says it will not differentiate between Israeli and U.S. targets if Iran were attacked by either. It believes Iranian troops will have a far better chance of combat survival in a vast regional battle ground which they get to define.

War threats have also made Iran deceptively good at demoralizing the enemy. Iran does not believe it will be attacked because American forces are war-weary after Iraq and Afghanistan. Israel will likely not strike as long as it is surrounded by hostile Islamist forces in Gaza, Egypt, Jordan and Syria. In the rest of the Arab world, it is hard to find sympathy for Israel's cause of killing the Iranian nuclear program while it retains a military nuclear strategy.

Clearly, Iran's Islamic revolution frequently fails to grasp the depth of troubles it faces by being so defiant. It likes to hedge that regional events will work in its favor as other Islamist forces rise to challenge Israel and the U.S. It also hedges that its indefinite tolerance for suffering, the result of the Persian Shia belief system, will work in its favor when it faces impatient demands by the U.S. to change course.

The U.S. is also hedging like Iran, but with a different set of tools. It hedges that sanctions and war threats will contain Iran. And when it seems otherwise, it calls for time for sanctions to take effect while postponing the war option.

Washington believes a deal with Iran could be made, but it is confused how. It believes in engaging Iran by using a stick, admits Iran's big trade partners Russia and China do not support sanctions, then urges staunch Iranian allies like the Lebanese government to respect sanctions.

Hedging leads to self-deception. It deceived Iran into accelerating a controversial nuclear program believing that it is a price worth paying. It deceived Washington to overstate the imminence of Israeli military action against Iran, and Iran's hostile intents towards Israel. Numerous Israeli officials speak against attacking Iran, and provocative Iranian statements are calculated risks to keep Israel on its toes.

Whether in an Obama or a Romney administration, Washington must cease hedging and stick to the basics.

The road begins by admitting that if Iran acquires know-how to build a nuclear bomb, it won't be the first time the U.S. failed to prevent a developing country from becoming a nuclear state.

A nuclear Iran, even if it acquired weapons capability, should not define the end-game.

Washington should avoid missing the forest for the trees. It should recognize that convincing Iran not to build a bomb might be easier by engaging it. Iran's current strategic military doctrine rejects the use of weapons of mass destruction.

By the end of the road, Washington should set a mutually agreed deadline with Iran to arrive at a win-win solution.

It should also assure Israel that its safety is guaranteed. This can be done by engaging Israel and Iran's Arab neighbors in a region-wide initiative on the future of non-proliferation in the Middle East while talks with Iran carry on.

Sanctions should roll back, with Israel and Arab state endorsements, if Iran makes tangible progress in talks. Washington should demand that Iran's leaders silence revolutionary pessimists and special interest groups that do not think a thaw in Iranian-U.S. ties is possible or warranted.

U.S. leadership to engage with Iran is crucial now more than ever. Good leadership requires clear vision and achievable objectives. Then soon enough, the Iranians will do quick math. If being friendly with the U.S. is more lucrative than being hostile, they will choose the former over the latter.

@highlight

Keynoush: Both U.S. and Iran are missing opportunities to benefit from nuclear talks

@highlight

Iran is able to turn sanctions in its favor, says author

@highlight

U.S. might find it easier to persuade Iran from building a bomb by talking, says Keynoush