(CNN) -- President Barack Obama has a remarkable opportunity Wednesday night.

The American people have been awakened by the videotaped beheading of two U.S. journalists. Many Americans have also been deeply angered by the killing of Christians and other minorities by the Islamist radicals.

Americans increasingly realize that the entire movement of radical Islamism, from Boko Haram in Nigeria through Hamas in Gaza to the Islamic State in Iraq and Syria is dangerous to Americans and to our civilization.

Americans know that 13 years of effort under two presidents have failed to defeat the forces of radical Islamism. In fact, those forces are more powerful, more widespread and more dangerous than they were 13 years ago. Past strategies have failed.

As The Washington Post's Richard Cohen described the threat of the group calling itself the Islamic State, "The Nazis are back -- differently dressed, speaking a different language and murdering ostensibly for different reasons but actually for the same: intolerance, hatred, excitement and just because they can."

He concluded, "The decapitation of Foley and the depredations of the Islamic State are evil returned, evil that can be understood only as beyond understanding. It needs to be eliminated."

Top questions for Obama

Because these are issues of life and death, and of mortal threat from openly avowed enemies, the American people will listen to the Wednesday night speech with intense interest. This speech has the potential to transcend partisanship and to bring together the American people in the face of a common enemy.

For the President's policies to succeed will require more than one speech.

The first step, however, has to be a successful, nonpartisan, national speech by the commander in chief.

A successful, nonpartisan, national security speech will be new ground for Obama.

On the eve of the 13th anniversary of the 9/11 attacks, it's a unique moment for the President to provide real leadership and bring Americans together in the face of a common enemy.

Here are some key questions citizens might ask themselves as they listen to the speech:

1. How does the President define the nature of the enemy? Is it geographic or ideological? Do the key aims have to do with territory in Iraq and Syria or with a poisonous belief system with no borders? Any narrow focus on Iraq and Syria is doomed to fail.

2. Can Obama bring himself to describe the religious intensity of our enemies? ISIS and its allies are deeply motivated by religion. Refusing to admit that weakens any strategy to defeat them.

3. What would the President consider victory? If it is not the complete defeat of radical Islamism, it will not be a successful strategy. Talking about "managing the problem" or "containing the problem" is a concession of defeat. Every day the Islamic State, Hamas, Boko Haram, al Qaeda and their allies survive, they recruit new people, develop new techniques and become more dangerous.

4. How does he intend to defeat the more than 10,000 terrorists from more than 50 countries that are fighting with ISIS, and how does he account for the fact that the threat is in 50 countries, not two?

5. What is his strategy for defeating the terrorists and recruiters we now know are coming from the United States? British Prime Minister David Cameron is proposing significant restrictions on travel and activity by radical Islamists in the UK. How does Obama propose to counter potential American terrorists?

6. Is he prepared to ask for more resources for the military, which he is using in more and more places while continuing to cut the budget? It is impossible to have a serious strategy of defeating radical Islamism without an increase in funding for the military unless he plans to transform the Pentagon dramatically. Will he submit such a funding request to the Congress?

7. Is his strategy designed to achieve rapid, decisive victory? There are rumors of a three-year campaign. That would be an absurdity. In three years, the radical Islamists will have recruited more people in more countries. It took three years and eight months from the attack on Pearl Harbor for the United States to defeat fascist Italy, Nazi Germany and Imperial Japan. Taking that long to defeat the Islamic State would be an exercise in self-defeating timidity.

8. Does the President plan to lead the fight against radical Islamism or merely to support others who he asserts have to lead? If radical Islamism and the Islamic State are mortal threats to Americans and to the United States, then we have to defeat them, even if Iraq is incompetent, Syria is a dictatorship, and the Europeans are timid. This has to be a coalition that is led by America, not a coalition that leads America. Which is Obama describing?

9. What are his plans for an extended conversation with the American people to build enough support that the strategy can be sustained with popular approval until victory is achieved? One speech, one time is a beginning, not a program for victory.

10. Will he seek congressional authorization for the plan he outlines? This is crucial because the conflict must be the country's war, not Obama's war, and a vote in Congress will legitimate his action.

Cruz: How U.S. can stop ISIS

If the President succeeds in these 10 areas, he will have given a historic speech. If he misses more than one or two, then he is proposing another formula for defeat.

You can analyze and decide for yourself.

@highlight

Newt Gingrich: ISIS has awakened Americans to threat of radical Islamists

@highlight

He says President Obama can rally nation in his speech if he answers key questions

@highlight

How will he define victory? Will military be given funds to carry out the fight properly?

@highlight

Gingrich says the U.S. needs to lead coalition vs. ISIS, and Congress should vote on it