(CNN) -- Critical water pipelines are breaking from coast to coast, triggered by this summer's record high temperatures. It's not a phenomenon or coincidence, experts say. It's a clear sign that Americans should brace for more water interruptions, accompanied by skyrocketing water bills.

The heat wave of the past few weeks has burst hundreds of crucial pipes in California, Kansas, Oklahoma, Texas, Indiana, Kentucky and New York, temporarily shutting off water to countless consumers just when they needed it most.

"It's one of the worst summers," said Debbie Ragan of Oklahoma City's Utilities Department. As days of 100 degree-plus temperatures bake the region, the utility reports 685 water main breaks since July alone. That's an estimated rate of four times normal. To keep up with repairs, Ragan said, workers have been putting in 12-to 16-hour shifts 24/7.

"It's the heat and the high water usage," Ragan said.

High temperatures can dry soil so that it shrinks away from buried pipes. Increased water usage raises pressure inside the water lines. Both factors add strain to pipeline walls, making older pipes more susceptible to bursting.

It underscores the fact that much of the nation's underground water lines are 80 to 100 years old -- and approaching the end of their lives.

Experts call it America's "Replacement Era," when hundreds of water utilities nationwide will be forced to replace their aging infrastructure -- or suffer the consequences.

Who will probably have to pay for those hundreds of thousands of miles of new pipelines? Utility customers, industry experts say.

Water rates ranked for 50 cities

For towns like Kemp, Texas, population 1,150, the situation reached emergency levels this week.

A historic drought throughout Texas has left Kemp with what Mayor Donald Kile described as "cracks so big in the ground, you could lose a small dog in them."

Fourteen major water line breaks August 7 emptied water towers and forced Kemp to shut off water service until Tuesday, officials said.

The mayor blamed the crisis on 80-year-old pipelines and high demand as temperatures rose above 100 degrees for 37 straight days.

Texas town turns off water, leaving residents boiling mad

It's even worse in the Texas town of Robert Lee. The hellish heat has left its entire reservoir dry as a bone. Community leaders are considering trucking water in from elsewhere or laying a 12-mile pipeline to connect to water in a nearby town.

Get ready for more of the same, environmentalists say. Shifting climate change in the coming decades, they warn, will probably bring more droughts, record high temperatures and other weather conditions that will damage water infrastructure.

Texas town threatened by dried-out reservoir

Options to ensure water for small towns like these are few and expensive, ranging from building larger reservoirs to connecting their water systems to utilities in nearby areas.

"That kind of interconnection might be life-saving for that community," said Tom Curtis of the American Water Works Association. But the expense of laying miles of pipe may be too much for many utilities to handle.

Town turns sewer water into drinking water

Three facts hammer home the scary status of the nation's water infrastructure:

• The nation averages about 700 water main breaks nationwide each day, according to the EPA.

• U.S. water utilities lose an average of about 10% of their water -- worth $2.8 billion per year -- through leaks and other causes, according the EPA.

• The American Society of Civil Engineers grades the water infrastructure at a D minus.

"We've gotten so good at capturing and transporting water that we've really started to take it for granted," said Alex Prud'homme, author of "The Ripple Effect," about the nation's declining water infrastructure. "We had better start looking ahead and repairing our water infrastructure, because with the pressure from climate change, population growth, shifting demographics and the way we use water, the problem is only going to get worse rather than better."

Skyrocketing water bills mystify, anger residents

Searching for answers with technology

Inside a control room in the nation's capital, not far from the Potomac River, experts are hoping technology will solve this problem.

The room is filled with multiple monitors displaying brightly colored graphs.

"It looks like we should be launching rockets into space," said George Hawkins, general manager of Washington, D.C.'s Water and Sewer Authority.

The room helps stand guard over the city's 13,000 miles of water pipes and 42,000 valves. Strategically placed sensors detect leaks ranging from a trickle to full-blown water main bursts. Data about the breach are sent from these sensors to the control room, and technicians respond immediately.

This allows the utility to more quickly and easily identify aging pipes and valves before they blow.

"The highest cost we face is digging up the street on an emergency basis any time of day or night -- often overtime," Hawkins said.

The cost of replacing these aging systems is stunning. Hawkins recalls a major water main break last year along the National Mall that flooded parts of buildings housing the Internal Revenue Service and Justice Department. The burst pipe buckled Constitution Avenue by about a foot and cost almost $1 million in repairs and restoration.

Smart water meters have slashed monthly meter readings from $3 per customer to just pennies. When these meters show a spike in customer's water use, the utility sends an e-mail to alert customers that they may have a leak.

The technology is credited with cutting water leaks from 36 percent to 22 percent, saving customers even more.

"Quadruple hit"

The Replacement Era is going to be expensive. The EPA estimated that between 2007 and 2027, drinking water utilities will have to invest $334 billion on new infrastructure.

The problem is worsened by the timing of it all. There's budget-cutting talk at the local, state and federal level. Hawkins called it a "quadruple hit."

"I don't see that there's any way, other than rate increases for most cities given the size of the financial need," Hawkins said. "If we're not able in parallel to demonstrate how we're efficiently using the dollars we're collecting, I think this industry is in for huge challenges with our customers."

Water officials in Pittsburgh are considering raising rates more than 13% for infrastructure improvements. In Cleveland, authorities increased water fees for the same reason. Leaders in Baltimore took similar action.

"With this increase, we can either stop drinking water, stop showering, stop doing the laundry or get out of the city," complained a reader on CNN affiliate WBAL's website. "The mayor and City Council need to realize that we along with other homeowners are the tax base, and if we leave, they're up the creek!"

In Southern California, Los Angeles water officials are thinking about raising rates to replace thousands of miles of decaying water pipes.

The city of Indianapolis is trying something different. Hoping to save yearly operating costs by combining utilities, the city shifted control of its water and sewer system to a not-for-profit trust that also runs the local natural gas. It will free up $425 million in city funds that could be used for other expenses.

"Taxpayers have been unwilling to look at the long-term," Prud'homme said. "But taxes and water rates go to maintaining this very important infrastructure that we take for granted, and if you're not willing to pay those fees and taxes, then you'll eventually suffer the consequences."

National water dialogue

Those consequences, some warn, include shifting weather patterns due to global climate change.

Hotter summers and fluctuating water levels in lakes and oceans due to climate change will damage water and sewer systems in the coming decades, according to a new report from the Natural Resources Defense Council.

"I'm not hearing any outrage," Prud'homme said. "I kind of feel like the crazy person on the roof yelling and shouting and saying, 'hey, everybody we've got to wake up and pay attention to this,' especially when it comes to our dams and levees."

In a year that has seen historic flooding in several Midwestern and Southern states along the Ohio and Mississippi rivers, Prud'homme says, he thought the levee failures during Hurricane Katrina would have prompted more alarm about flood defenses.

"More than 100 levees are at risk of catastrophic failure," he said. "And this is from the U.S. Army Corps of Engineers."

Prud'homme fears that U.S. water issues are so threatening, sweeping policy changes are needed. He's calling for a national dialogue focusing on water infrastructure issues.

"We have no single federal office that's overseeing the nation's water supply," Prud'homme said. "There aren't really any easy answers to this, but these are issues that we have to tackle."

@highlight

Heat wave blamed for water pipeline bursts from California to New York

@highlight

Experts: It's a sign that sweeping replacement is needed for U.S. water pipelines

@highlight

Cost of new water infrastructure $334 billion through 2027, EPA says

@highlight

Many U.S. utilities are already requesting rate increases to pay for new pipelines