Copenhagen, Denmark (CNN) -- Be prepared, the next big thing facing a green makeover might just be your closet.

The glitzy world of fashion and design doesn't typically conjure up images of sustainability and social consciousness, but if its up to Eva Kruse, CEO of the Danish Fashion Institute and Chairman of the Nordic Fashion Association, that's all going to change.

In the last month, she has pulled off the largest sustainable fashion summit in the world, and starting this week, she is launching a global social media campaign, aiming to forever change the way we look at our clothes.

Her goal is for all companies in the industry to declare sustainability a key value.

"I have worked in the fashion industry for nearly 20 years, and it is a wonderful and exciting industry, but it is also one of the largest and most polluting in the world," said Kruse.

From the massive consumption of water and fertilizer in cotton production, to the chemical processing at plants, the pollution of local waterways and environments, safety issues for workers, fair wages, child labor and other social concerns -- issues for the fashion industry are enormous, she says.

"That is why it is so important that we address this ... and because of the size of the industry, even a small change can make a big difference," says Kruse.

Kruse, who founded the Danish Fashion Institute as the only employee in 2005, is credited by industry professionals and government ministers for having put Danish design and sustainable fashion on the world map.

Last month, she gathered more than 1,000 people -- including Hollywood celebrities, international designers and other industry professionals -- at the Copenhagen Fashion Summit, to explore sustainable solutions.

The culmination was a suggested Code of Conduct for the Fashion and Textile industry, created in conjunction with the United Nations, and to be presented alongside the Rio+20 United Nations Conference on Sustainable Development in Brazil in June.

"It aims to drill into the supply chain," says Soren Mandrup Petersen, Head of Partnerships and Local Networks at U.N. Global Compact, "and if the sector responds, it will have a tremendous impact."

"There is a movement underway," says Kruse. "It is happening, and we can help shed light on it."

That is also the goal of her latest venture launching this week -- an online campaign called NICE, or the Nordic Initiative, Clean and Ethical. It aims to have the industry join forces around change, and to educate consumers to make conscious choices.

"The entire field is so heavily knowledge based that it makes it difficult for companies to get started. The key is to make ... knowledge accessible and to create networks, because there are solutions."

She says new and sustainable fashions are already being made from innovative textiles such as milk fibers, corn, and bamboo.

Among those leading the charge are companies like Swedish chain store H&M with their Conscious Collection, Patagonia, Danish design house Trash-Couture, and the PPR Group with brands like Gucci, Stella McCartney, Alexander McQueen and Puma.

H&M's head of sustainability, Helena Helmersson says this is the future. "Customers are becoming more and more aware and want transparency, which makes companies improve their sustainability performance and make more sustainable products." And, she says, "as a big player we can help drive demand."

At Trash-Couture, which boasts a massive list of celebrity clients like Penelope Cruz, Rachel Weisz, Kirsten Dunst, Celine Dion and many others -- ethical fashion and the way they reuse, redesign, respin, and recycle leftover fabric from their own collection and that of other design houses is part of the design.

"As pioneers we feel we have helped set the agenda on an issue that is about much more than just fashion," says managing director, Nanna Lowe. "This way, fashion suddenly gets new meaning, becoming a statement, a value, an act."

Kruse agrees, saying it has the potential to push other industries with it, by making it look smart to consider your choices. "If all the big brands and strong designers care -- and show and tell that they care -- then people could also begin to think differently about how they spend their money.

Her goal: "To have people join forces to help us change the world." And to her, that change starts in our closets.

But don't worry, she says, "the aim isn't for all of us to start wearing brown. Sustainable fashion can be equally sexy, desirable and fantastic in every way. The aim is to create the brilliance with less impact on people and our planet."

@highlight

Danish fashion chief launches NICE, a social media campaign to make fashion more sustainable

@highlight

Eva Kruse, CEO of the Danish Fashion Institute: Fashion industry one of the "most polluting in the world"

@highlight

Kruse suggested Code of Conduct in conjunction with U.N. to be presented at Rio Summit in June

@highlight

Sustainable fashions already being made by: chain store H&M and labels like Gucci, Stella McCartney and Puma