People with Parkinson's disease who have a pacemaker-like device implanted in the brain spend an extra four-plus hours a day free of tremors and involuntary movements than they do on medication, according to the largest study of the treatment, which is known as deep brain stimulation.

In deep brain stimulation, electrodes deliver impulses to the substantia nigra, which coordinates movement.

However, deep brain stimulation also has a correspondingly greater risk of problems, such as infection, because of the complicated surgery, according to the study published Tuesday in the Journal of the American Medical Association.

"It definitely is brain surgery and that should give anyone pause," says David Charles, M.D., of Vanderbilt University, in Nashville, Tennessee, who was not involved in the new study. Nevertheless, he adds, most of the problems seen in the study were related to the surgery itself, and many had resolved themselves within six months.

The findings are "encouraging," he says, given that previous research has suggested that patients might develop much more serious problems, such as major depression and suicidal thoughts, than were seen in the current study. Health.com: My life with Parkinson's

In deep brain stimulation, electrodes are used to deliver electrical impulses to the substantia nigra, a crescent-shaped region in the center of the brain that controls and coordinates movement. In patients with Parkinson's disease, dopamine-producing nerve cells in this region degenerate, causing tremors, stiffness, slowed movement, and loss of coordination.

Drugs such as levodopa can help reduce tremors and involuntary movements. But for many people, this medication loses its effectiveness over time, while the side effects -- such as sudden jerky movements, chewing motions, and hand tremors -- get worse.

Introduced in the late 1990s, deep brain stimulation is becoming more widely accepted to treat such patients. But most studies have not been conducted in a way to clearly demonstrate the risks and benefits compared with medication alone.

In the new study, a team led by Frances Weaver, Ph.D., director of the Center for Management of Complex Chronic Care at the Hines VA Hospital, in Hines, Illinois, randomly assigned 255 Parkinson's patients to deep brain stimulation or medical therapy, which could include physical therapy, medication, and other appropriate treatment. A quarter of the patients were older than 70.

Six months after treatment, the deep brain stimulation patients reported about 4.6 more hours a day of "on" time, meaning time without movement problems; those in the control group showed no "on" time improvement. In all, 71 percent of the deep brain stimulation patients had improvements in their motor function, compared to 32 percent of the medical therapy patients.

When Parkinson's patients start a new drug, Weaver notes, they will see at best an hour or two more of "on" time a day.

"It's huge, and more than that, it's consistent with what other studies are finding too," says Charles. "It's a large study at multiple centers with lots of patients and it's done in a very rigorous manner."

Charles is conducting a clinical trial of deep brain stimulation in patients with very early Parkinson's disease, which, like Weaver's research, is partially funded by the company that makes the stimulation device -- Medtronic. Charles has served as faculty for Medtronic educational programs and consulted with the company, as did one researcher on the JAMA study.

Overall, deep brain stimulation patients were nearly four times as likely to have serious post-surgery problems, such as infections, disorders of the nervous system, or psychiatric problems. Ten percent of surgery patients developed infections in the surgical site, and one person died. Serious falls also were more common among deep brain stimulation patients during the six months after surgery.

People who had deep brain stimulation were also more likely to develop depression, confusion, and anxiety, although these changes were minor, according to Weaver and her colleagues, and it's not yet clear how much of an effect they had on patients. Health.com: Natural cures for depression

The surgery is extremely complex, Weaver notes; first, patients must have the electrodes implanted in the brain, which has to happen while they are awake so the surgeon can test the effects of touching various brain regions in order to make sure they are putting the device in the right place. Then patients undergo surgery to implant the pacing device, usually in the chest, which must be done under general anesthesia. If a patient develops an infection, it may be necessary to remove the device and replace it with a new one.

The fact that the study included a relatively high number of people over 70 may have contributed to the high rate of adverse events, Weaver explains. But the benefits seen for patients -- including the older people, who fared as well as the younger patients -- are "great news," Charles says.

Anyone considering deep brain stimulation should keep these risks in mind and work with his or her physician to determine if the benefits will outweigh these relatively rare -- but significant -- dangers, Weaver advises.

More than 1 million people in the United States have Parkinson's disease, and 50,000 new cases are diagnosed each year. Actor Michael J. Fox is arguably the most famous person with the disease; his was diagnosed in 1991. Health.com: Michael J. Fox keeps up the fight

In 1998, Fox underwent a type of brain surgery called a thalamotomy, in which a tiny portion of brain tissue is destroyed. This type of surgery gives a similar result to deep brain stimulation, but is not reversible. With deep brain stimulation, doctors can halt the electrical impulses if necessary. More than 35,000 deep brain stimulation procedures have been performed around the world, according to the American Association of Neurological Surgeons, and the procedure is being studied as a treatment for depression and other conditions as well.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Brain implant gave Parkinson's patients more tremor-free hours daily than meds

@highlight

Deep brain stimulation delivers electrical impulses to movement control center

@highlight

Surgery is complicated, carries risks including infection, depression

@highlight

Treatment, introduced in 1990s, becoming more widely accepted