(CNN) -- There's a trillion dollar virus that is spreading throughout Silicon Valley right now. It's called social networking. This virus, a relentless kind of digital blob, feeds on our most intimate data.

The bigger a social network becomes, the greedier it becomes for our data and the more it invades our lives, voraciously feeding off our friendships and destroying our privacy.

All the recent public hysteria about this virus has been concentrated on a social networking start-up called Path which is accused of surreptitiously copying the address books of its iPhone users through its mobile app. Twitter, too, has been accused of this same invasion of our privacy, copying the addresses that we store in our smartphones with neither our permission nor knowledge.

But this virus goes beyond Path, beyond Twitter, beyond even Facebook. It's a virus that may be built into the very heart, the operating system of the trillion dollar social networking industry.

Silicon Valley has even invented a law to explain this endemic virus. Metcalfe's Law, named after the Ethernet inventor Bob Metcalfe, states that "the value of a telecommunications network is proportional to the square of the number of connected users of the system." Or, more simply, networks are worth more and more the bigger they get.

Social networks have the same biology as viruses. If they don't radically replicate themselves, they die. And the most successful and valuable social networks -- Twitter, Google+, foursquare, Pinterest, Instagram, Tumblr and LinkedIn --- are those which grow their membership the quickest.

Helping us "discover" friends has, thus, become the crack cocaine of every online social network. The bigger our personal network, the more personal data we give out, the more people with whom we connect, the more valuable the network.

It's not surprising, therefore, that Path and Twitter and, it is rumored, almost all of today's dominant social networks, have been "borrowing" our address books for years through their mobile apps.

It's what Path CEO Dave Morin, in a stunning defense of his data grab, described as "industry best practice". But Silicon Valley's dirty secret now being exposed by insiders such as the legendary blogger Dave Winer and in damning new books like Lori Andrews' "I Know Who You Are and I Saw What You Did".

Like Morin, I strongly suspect that the practice is endemic. Take, for example, LinkedIn, one of the most reputable social networks, whose IPO last May was, at the time, the largest since the Google IPO. I'm on LinkedIn and have always been curious about the network's "People You May Know" section, a feature that has always appeared to be eerily serendipitous.

So yesterday I ran a test. Among the first 50 people that LinkedIn suggested I might know included my best English friend from childhood, the real estate broker who sold me a house in Alabama, a Californian friend and neighbor, my former Silicon Valley boss and the New York editor of my first book. The uncannily accurate list crossed continents, lives, cultures and epochs. And I really did know 90% of the LinkedIn list. Creepy, eh?

"Question: How is LinkedIn's suggestion list so uncannily accurate? How does it know my most intimate friends?" I posted on Twitter.

LinkedIn spokeswoman Krista Canfield had this response via email: "As with many companies that rely on algorithms to deliver relevant suggestions to its members, we don¹t share too many details for obvious reasons. What I can tell you is that we use a variety of data points -- including but not limited to mutual connections and profile views, among others -- to make relevant suggestions.

"I also want to note that any data that we use is completely consistent with our privacy policy."

Another reply came from DJ Patil, a former chief scientist at LinkedIn, who is now a data scientist at venture capital firm Greylock Ventures. "One of the things we look for in every data scientist is an 11 out of 10 in ESP," he tweeted.

Google's former CEO, Eric Schmidt said that he hoped his search engine would one day know us better than we know ourselves. And it seems that LinkedIn's goal is to know our own network more intimately that we ourselves do.

But the problem, of course, is that most of us don't want our social networks to have 11 out of 10 in ESP. That's why the Path controversy has elicited such intense debate in Silicon Valley. And that's why Path CEO Morin, after being confronted by hundreds on irate users including the actress Alyssa Milano, made a full public apology for his actions.

One of the shrewdest commentators on this virus is Nick Bilton, the New York Times' San Francisco based technology columnist and blogger. "So many apologies, so much data mining," he wrote at the weekend in a scathing critique of Silicon Valley's dismissal of privacy. So I emailed Bilton and asked him how we should confront this seemingly unstoppable invasion of our privacy through the stealing of our data.

His response was typically down-to-earth.

"As users of these sites and apps, we have no idea the type of information we are trading for 'free' access," he wrote.

"It's one thing for a service to tell me that it plans to read my e-mails, sift through my address book, or look in my underwear drawer — then it is my responsibility to decide if I want to use the service — but it's entirely different for these company's to do so at will.

"Sure, I want LinkedIn, Facebook and other services to offer a better experience, but I want to know what they are doing with my personal information, this way, I can choose to enter with caution, knowing the potential consequences, or try to find an alternative service that is more transparent."

Bilton is, of course, right. It's not enough for sophisticated data scientists like DJ Patil to boast about the intelligence of their social algorithms. What we need is a clear explanation of how a network like LinkedIn has such uncannily accurate knowledge of so many of our most intimate friendships.

This currently doesn't exist. LinkedIn's user agreement , for example, is almost 6,500 words and users would need an advanced law degree to make head or tail of it.

Equally important, Bilton argues, is the need to always remind ourselves of the "information" that we are trading for "free" access on the network. This is a critically important point. Social networks like Facebook, Twitter and Path, he reminds us, are free services in which we are actually the product that these businesses are selling to advertisers.

The only way to control the trillion dollar virus spreading through Silicon Valley is by standing up to it. Either Dave Morin wins or we do. It is us or them. So, as Nick Bilton says, we need to demand to know what Path and the rest of Silicon Valley is doing with our personal data. If we don't do this, then the digital blob will consume all this data and our privacy really will have become an artifact of history.

• Follow @ajkeen on Twitter

The opinions expressed in this commentary are solely those of Andrew Keen

@highlight

Digital commentator Andrew Keen says social networking is a virus that feeds on intimate data

@highlight

He says hysteria over apps that surreptitiously access data exposes wider problem in industry

@highlight

Accessing lists of our friends is the crack cocaine of the social networking industry, Keen argues