(CNN) -- Students asked to fork out thousands of Kenyan shillings for a bursary; drivers pushed to pay police officers for traffic offences; people asked to shell out large sums to speed up the process of getting a new passport or making a land transfer.

These are just some of the most common reports of bribery that can be found in ipaidabribe.or.ke, a recently-launched website dedicated to battling rampant public corruption in Kenya and uncovering its economic impact.

The initiative, which was launched last December by Antony Ragui, a 37-year-old financial services consultant, allows victims of graft to share their bribe stories anonymously and track incidents of corruption online.

"I came back to the country from the States about four years ago and I would listen to a lot of Kenyans complain about corruption on social media, on Twitter, on private blogs and I basically got tired of it," says Ragui. "I said now it's time for me to do something different."

Read more: Crooked top officials should take a fall, says Kenyan corruption chief

Based on a similar site launched a few years ago in India to curb corruption, Ragui's online platform is divided in three categories, containing detailed information about the amount of money paid and the location of the bribe.

The first section contains stories about bribes that were paid, breaking down the numbers by region and government department. The second collects stories from people who refused to pay a bribe, while the third contains stories of honesty, where citizens were not asked to pay a public official.

Until now, Ragui's site has hosted nearly 600 cases of, mainly petty, bribery worth around 17 million Kenyan shillings (Â£204,000).

"Corruption is a huge issue: it's so endemic and the worst part about it is it becomes a way of life," says Ragui, who's also about to roll out an SMS service that will allow citizens to report their stories instantaneously via their mobile phones.

"So what I'm trying to do with the site essentially is to get people to create a network of anti-corruption people -- people who feel that this has to come to an end and we need to make a difference."

Opinion: Can Kenya avoid Africa's resource curse?

According to anti-corruption group Transparency International, Kenya is one of the world's most corrupt countries. The group's 2011 East African Bribery Index said that there is a 67% chance that Kenyans would be expected to pay a bribe every time they interacted with the police. Overall, the cost of corruption in Africa is estimated at more than $148 billion a year, according to African Union estimates.

Yet ipaidabribe.or.ke is not the only attempt to use information technology as a tool in the fight against corruption in Africa as an increasing number of similar websites have popped up across the continent.

Also based on India's I Paid A Bribe, Bribe Nigeria was set up last summer by Leonard Raphael to raise awareness about corruption and address its impact on the West African country.

"Corruption is an endemic disease that has eaten up every facet of the Nigerian society," says Raphael, pointing to the case of a father who was asked by police officers to give them money for fuel after they came to his house to search for his son who was just kidnapped.

"As soon as corruption can be controlled in Nigeria, every other sustainable development can henceforth progress," adds Raphael.

In South Africa, Corruption Watch was launched in late January in a bid to encourage people to join their voices against the problem.

So far, the group says it has collected some 1,200 reports from all corners of the country through its online reporting form, an SMS line, social media and by email or post.

"It's designed principally to show to people that by reporting and by speaking up something can happen," says the group's executive director David Lewis. "The way of changing things in a democracy is to speak up and to speak as much as possible with a connected voice," he adds.

Read more: The Africans looking to make it in China

Ben Elers, director of programs at Transparency International, says that all these initiatives can be a powerful tool in the fight against corruption.

"I think they are essential in giving citizens a voice, they're enabling them to voice their frustrations," he says.

He adds, however, that since the complaints are generally anonymous, it can be difficult to follow up on them.

"Ultimately they are tools and what happens afterwards in changing the physical world is what counts at the end of the day," he says. "So, they are critical but in of themselves they're not sufficient, they need concrete follow-up afterwards."

Back in Kenya, Ragui is optimistic that the use of technology can help things change.

"Kenyans are tired," he says. "We need a new generation of Kenyans who are actually positive, hard-working, people who don't want to get a short-term gain, people who are actually thinking the only way to make a difference in our country is for people to say no to corruption."

@highlight

African activists are increasingly turning to technology to fight endemic corruption

@highlight

Websites allow victims of graft to share their bribe stories online and track incidents of corruption

@highlight

They contain detailed information about the amount of money paid and the location of the bribe