(CNN) -- Before the start of Libya's civil war, you could count the number of newspapers in the country on one hand and all were heavily controlled by the government. Now there are 120 independent newspapers in the city of Benghazi alone, according to local journalists.

These newspapers are mostly run and staffed by engineers, doctors and students, said International Media Support, one of several foreign organizations that is helping train journalists in Libya.

One, called "Sowt" -- "Voice" in Arabic -- was launched by five medical, engineering and economics students in their early 20s in February.

It began as an eight-page magazine, now increased to 12 pages and selling 3,000 copies a week across eastern Libya and beyond.

One of the editors, Mohamed Shembesh, a 22-year-old civil engineering student, said: "At the time there was no email or mail service, so we put a physical box in Freedom Square and made a sign telling people they could post contributions to our newspaper.

"Within 10 days we had tens of articles, which we edited and printed in the first issue of the paper," he added.

The magazine had no source of income, so the editors put charity boxes on streets for contributions. In 10 days they had raised enough money to pay for the first print run of 2,000 copies. The eight-page magazine included four color pages.

Many other people eager to make their voices heard when Moammar Gadhafi lost control of the city in February set up their own newspapers.

While it may seem surprising for newspapers to be flourishing in an internet age, Libya's uprising was not conducted as much through social media sites as those in Egypt and other Arab countries.

Internet penetration in Libya is just 5.5%, according to the ITU, an agency of the United Nations that focuses on the internet and communications.

In addition there were frequent internet blackouts after the uprising began in February. The cause of the blackouts was not clear, but a regular connection was not restored until August.

Abdelsalam Doma, local coordinator for International Media Support in Benghazi, said: "Before the uprising we had five newspapers in the whole country and they were just mouthpieces of the government.

"All they had been doing was supporting Gadhafi's word, glorifying his personality and trying to eliminate anything else.

"After the revolution we had all these new newspapers taking the opposite view -- but it is not totally professional.

"In the beginning all they did was attack Gadhafi. It was like someone writing on his Facebook page. The articles had no structure, they were not informative, they took one side but never both sides, there were never any quotes."

Doma, a 25-year-old engineering student, has himself been on a steep learning curve since the start of this year.

He started to work as an interpreter when foreign journalists arrived in Benghazi and decided to train as a journalist on the job.

"I started going out with the crews and tried to learn their craft," said Doma. "The foreign journalists have been teaching me. They write a piece, and I write a piece and they tell me what's wrong with mine."

Doma began submitting articles to local newspapers and made a radio documentary.

He said: "I submitted my first article to a local newspaper about military camps. I was really embarrassed to show it to anyone, but the editor was totally in love with it and asked me to keep giving them articles.

"I made a radio documentary called 'The Night Visitor' about Gadhafi's secret police for a local station.

"Nobody here really knows what a radio documentary is, but a lot of people loved it. Here in Libya there's a social stigma, we don't talk about things we fear, but I managed to get people to talk."

Torben Brandt, a media expert for International Media Support, a Danish organization, made his first mission to Benghazi in June, and set up a permanent office there in August.

He recruited Doma as a local media coordinator to monitor the state of the media and write regular reports about the content and quality of radio stations, newspapers and the growing number of satellite television channels.

The organization has run workshops and courses for local journalists on conflict reporting. It has also held a two-day workshop for 100 journalists all over the eastern part of Libya in the city of Derna.

The organization plans to move into Tripoli as soon as it is safe to do so.

"In Benghazi, 80% of people starting up newspapers are engineers because it's the center for the oil refineries," said Brandt. "It's amazing to see how hungry people are for knowledge."

He knows that not all the newspapers can survive, but hopes those that do will become more professional.

Doma said that is already starting to happen.

"I'm quite optimistic," he said. "I read newspapers and nowadays people are providing analysis and holding the politicians to account.

"Some of the new government are still trying to control the media, but the journalists are resisting that. Some journalists now have contracts with foreign television channels from Qatar, Lebanon or United Arab Emirates."

Doma added: "The biggest obstacle to the local media is financial sustainability. People are just paying to produce the newspapers out of their own pockets and the market is too loaded with 120 newspapers. People don't know what to buy.

"Most of the newspapers will die out and a few good ones will survive."

The content of "Sowt" too has changed in the eight months since it launched.

Shembesh said: "At the beginning we had six pages of reader articles, and we simply edited them for language.

"Now we only have two or three pages from readers and we have a couple of professional writers. We cover social and political events, social problems, interviews with military and rebel leaders.

"We now get contributions through Facebook and we will be publishing on the internet so people abroad can read us."

Shembesh hopes that "Sowt" will be one of the newspapers that can become sustainable.

"We have started to carry advertising," he said. "We know it's a hard time now and we have to focus and work hard to win the crowds over. It helps that we got in early and built up a base of readers very fast."

Shembesh still has another year of his studies and plans to become a civil engineer, but believes he can continue to publish "Sowt" alongside his other work.

Doma is still undecided about becoming a full-time journalist and is juggling several career options and responsibilities.

In addition to work for International Media Support, Doma is volunteering in a blood bank, helping out at a local hospital, and acting as a guide and facilitator for a rehabilitation center for fighters with physical, mental and psychological scars from the war.

"And I'm still a student preparing for my final project," he said. "I'm busy doing all kinds of things and I'm really shattered."

@highlight

120 newspapers have launched in Benghazi since February

@highlight

The newspapers are mostly run by engineers, doctors and students

@highlight

International organizations are helping to train up Libyan journalists