London (CNN) -- In his highly anticipated counterterrorism speech last month, U.S. President Barack Obama publicly acknowledged -- for the first time -- the human toll that drone attacks inflict on Muslim civilians.

"It is a hard fact that U.S. strikes have resulted in civilian casualties," he admitted, adding, "These deaths will haunt us." While he pledged to curtail the use of drone strikes in the future, those words rang hollow when he went on to reaffirm his commitment to the targeted killings because, in his view, any alternative would invite far more civilian casualties.

Obama's drone calculus ignores the CIA's warning about the continuing "possibilities of blowback." Officials in Washington ignore the high-cost ways in which the U.S. "war on terror" and the use of tactics such as drone strikes fuel the fires of home-grown radicalization in Western societies. This is a rising phenomenon that has not been seriously debated, despite a string of high-profile attacks. While trials have yet to take place, the Woolwich attack in London and the Boston Marathon bombings are suspected to be the latest cases in point.

In case after case over the past few years, attackers and would-be attackers have cited the war on terror, first in Iraq and now in Afghanistan, Pakistan, Yemen, Somalia and elsewhere as proof that the West is at war with Islam. The presence of Western boots in Muslim lands and the continuing use of drone strikes have triggered a backlash among scores of deluded young Muslims who live in America and Europe, and who come from different educational and class background, including high achievers. What is surprising is that these attackers are not unified by a core set of ideological beliefs, or a belonging to a particular terrorist group, but by a core set of grievances, real or imagined.

These are a different set of terrorists, in that they radicalized themselves -- enraged by specific grievances, while also having been integrated into life in Western society. Falling under the influence of militant preachers mostly online, they have internalized the kind of religious-political worldview that justified their taking matters into their own hands -- in short, a license to kill.

Instead of trying to dismiss how the manner in which the US "war on terror" has been waged has motivated these angry, deluded young men to kill, it behooves us to take stock of their voices and to understand the drivers behind this pattern of violent rage. The goal is not to rationalize or justify their murders but to make sense of their violent actions.

Boston Marathon bombing suspect Dzhokhar Tsarnaev, for example, allegedly left a note claiming responsibility for the April attack, describing it as retribution for U.S. wars in Afghanistan and Iraq.

The purported message was handwritten on the interior wall of the boat where he hid from authorities, bleeding from gunshot wounds.

In the note, Tsarnaev is said to have described the bombing victims as "collateral damage": "When you attack one Muslim, you attack all Muslims," Tsarnaev wrote. He described his brother Tamerlan, who died in a shootout with police, as a martyr.

And after his Times Square bombing attempt, Faisal Shahzad -- who held a master's degree in business administration and who seemed fully integrated into American life - reportedly told investigators that he acted out of anger over the CIA's Predator strikes in Pakistan, especially a drone attack that took place while he was visiting the country. Asked later by U.S. District Judge Miriam Cedarbaun whether he was sure he wanted to plead guilty, Shahzad replied that he wanted "to plead guilty 100 times because unless the United States pulls out of Afghanistan and Iraq, until they stop drone strikes in Somalia, Pakistan and Yemen and stop attacking Muslim lands, we will attack the United States and be out to get them."

Pressed by the judge to explain his motivations, Shahzad answered: "I consider myself a Mujahedeen and a Muslim soldier," he said.

Asked by Cedarbaum whether he understood that children and other innocents might have been among his victims, Shahzad was unapologetic. "They don't see the drones killing children in Afghanistan," he said. "It's a war and I'm a part of it."

Shahzad is not unique. Najibullah Zazi, who pleaded guilty to plotting to detonate a bomb in the New York subway, is also an example of bottom-up radicalization.

Like Shahzad, Zazi told the court that in August 2008 he decided to go with friends to Pakistan to join the Taliban in fighting the United States' invasion of Afghanistan. He went to the Taliban, not the other way around, and while in Pakistan he was persuaded by al Qaeda operatives to return to America to be a suicide bomber. "I would sacrifice myself to bring attention to what the United States was doing to civilians in Afghanistan by sacrificing my soul for the sake of saving their souls," Zazi told the court.

Likewise, the Pakistani-born suspect charged in an alleged plot to blow up the Washington subway system in October 2010 came to the FBI's attention because he had asked people about ways to fight U.S. troops in Afghanistan and Pakistan, according to unsealed court records. Farooque Ahmed, a 34-year-old naturalized U.S. citizen, reportedly hoped to journey to his native country and to fight there.

The Taliban and al Qaeda did not recruit him.

Ahmed, an engineer with a bachelor's degree from the City College of New York, was supposedly radicalized by the conflict in Afghanistan-Pakistan. His ultimate goal, according to an FBI affidavit, was "traveling to Afghanistan to fight and kill Americans."

Similarly, the Sweden suicide bomber, Taimour Abdulwahab al-Abdaly, who blew himself up in Stockholm, studied in Britain and was married with three children. Al-Abdaly's friends paint a picture of man who enjoyed basketball and a good party, yet who had become increasingly angry over the past few years. His Facebook wall posts give a hint of his gradual radicalization. One shows a blindfolded Iraqi man being taunted and abused by U.S. soldiers. Several more are part of a series on "Russia war crimes in Chechnya."

According to the New York Times, al-Abdaly sent an audio recording to Swedish authorities minutes before the explosions warning his actions would "speak for themselves." "Now, your children -- daughters and sisters -- will die like our brothers and sisters and children die," The Times reported.

"As long as you do not end your war against Islam and the insult against the prophet and your stupid support for that pig Vilks" (Sweden has about 500 signals intelligence specialists in the NATO force in Afghanistan).

As a round-up of these violent voices show, home-grown extremism is a phenomenon driven by identity politics, a blowback against what they see as the U.S. "war on terror" in Muslim countries, a war that kills more civilians than al Qaeda operators. In this sense, the fight disproportionately inflames anti-Western sentiments and creates more terrorists at home.

According to a 2006 Pew poll, the U.S. "War on Terror" is very unpopular among Muslims in Europe, with 83% of Muslims in Spain opposed, 78% in France, 77% in Britain, and 62% in Germany.

Three years later, a survey of British Muslims for the BBC showed that 75% said it was wrong for the "West" to intervene militarily in Pakistan and Afghanistan, though a majority of respondents -- 78% -- said they opposed Taliban attacks against Western troops there.

In his national security address, Obama hinted that the U.S. might begin to bring a closure to the "war on terror". With al Qaeda's core now "on the path to defeat," he argued, "this war, like all wars, must end." Although Obama did not go far enough by suspending drone strikes, his scaling back of the targeted killing and recommitting to closing the prison at GuantÃ¡namo Bay, Cuba, are steps in the right direction.

The importance of Obama's speech lies in educating the nation about the diminishing terrorist threat. One would hope that the president would level with Americans about the limits and costs of force in international affairs. Terrorism cannot be eradicated by pushing a button, as in drone attacks, or even military intervention that might cause a backlash that spurs more, not less, terrorism.

Deescalating the "war on terror" by halting the questionable use of tactics such as drone attacks might not bring an end to home-grown radicalization. But it could go a long way to deactivating the cultural and religious minefields that entrap disillusioned Muslim teens and spur some of them down a violent path.

The opinions expressed in this commentary are solely those of Fawaz A. Gerges.

@highlight

President Obama acknowledged -- for first time -- human toll of drone attacks

@highlight

Fawaz Gerges: U.S. "war on terror" and drone strikes fuel home-grown radicalization

@highlight

Recent attackers unified not by ideology, but core grievances, real or imagined - Gerges

@highlight

Deescalating "war on terror, he says, could remove sources of disillusionment for Muslim teens