(CNN) -- Today we can tell the remarkable story of Shazia Ramzan, a 15-year-old Pakistani schoolgirl.

Last October Shazia was travelling home from school with her friend Malala Yousafzai when a Taliban gunman boarded their bus and shot both of them. Malala suffered head and facial injuries and had to be rushed to hospital in the UK. Shot in the neck and arm, Shazia spent a month in hospital while her deep wounds healed. Both were attacked by terrorists who wanted to stop girls going to school.

Shazia dreams of being a doctor. Fighting back from her injuries, she attempted to resume her schooling at home in the Swat Valley. So keen was she to return to school at the earliest opportunity that she ignored continuing threats to her life from the same Taliban terrorists who shot her and Malala.

For months she has had to be escorted to school each day by two armed guards. Her home has had to be protected by police. Sadly, the more that Shazia spoke up, the more the threats escalated, making it difficult for her and her family to remain secure.

And in the past few weeks violence has escalated across Pakistan. A female teacher was gunned down in front of her young son as she drove into her all girls' schools. A school principal was killed and his pupils severely injured when a bomb was thrown into a school playground in an all-girls school in Karachi just as a prize giving ceremony began.

Only ten days ago, in a massacre which will long be remembered as the single worst terrorist assault on girls' education in recent years, the bus in which 40 female students were travelling from their all-girls college campus in Quetta was blown up by a suicide bomber. 14 girls were killed. So violent was the terrorist attack that another group followed the injured girls to hospital and opened fire on them again.

Despite the public revulsion against the violence, the attacks have continued. Only this weekend two schools were blown up, while another two girls were murdered for posting a video in which they were filmed dancing in the rain.

It is because of events like these that, with her family's support, Shazia feels forced to leave the country if she is to have the education she needs. Tomorrow she will resume her schooling in the UK after being flown over to Birmingham last weekend and reunited with her lifelong friend Malala.

I first spoke to Shazia last November, a month after the attempted assassination. She told me then of her determination to persevere and to speak up for a girl's right to education. She called education the light that brightens up girls' lives. And when I met her off the plane from Islamabad on Saturday night, she told me that she wanted every girl to have the chance of an education. Her dream, she said, was to build schools so that every out-of-school girl could develop their talents and fulfil their potential.

According to UNESCO, 700,000 school-age children in Malala and Shazia's home province of Khyber Pakhtunkhwa (KPK) are not at school today - and 600,000 are girls. They are some of the 32 million girls worldwide denied a place at school. In total, 500 million girls of school age will never complete their education. This makes the battle for education for every girl the civil rights struggle of our generation. And until we provide both the resources and security for girls to travel to school and feel safe from the Taliban, then many of Pakistan's schools will remain closed.

The biggest force for change today is the courage of Malala and now Shazia and girls like them, who are no longer prepared to acquiesce in their subjugation. It is their courage that we will celebrate when at the United Nations on July 12th, the day of Malala's sixteenth birthday, we will hold Malala Day. A youth resolution will be passed demanding that world leaders provide the resources to get every child to school.

Now with a new petition launched by Malala on A World at School, young people themselves from around the world are becoming more vociferous in fighting for their right to education than the adults who for centuries have been charged with delivering it.

Go not just to Pakistan, where I met many of the million-strong Malala demonstrators demanding a girl's right to school. Travel to Bangladesh and you'll find girls who have created 'child marriage free zones', preventing themselves being kept from school in a loveless marriage they did not choose. Visit Nepal, where girls are fighting child slavery with the Common Forum for Kalmal Hari Freedom. Attend the marches in India led by child labourers, demanding not just an end to this form of slavery, but the delivery of their right to learn.

PHOTOS: Malala's journey from near death to recovery

We saw how in the wake of the attack on Malala and Shazia, over three million people -- including a million out-of-school Pakistani children -- signed petitions calling for children to be able to go to school. This powerful movement is supported by international campaigns such as Plan's Because I am a Girl and Girls not Brides, started by Nelson Mandela's The Elders group.

As we shift from the 20th century movement of women's emancipation to the 21st century campaign for women's empowerment, girls sense that the future is theirs. And it is this new liberation movement, led by girls, that we will celebrate in ten days' time when Malala addresses the United Nations.

November 2012: Malala spurs school-for-all vow, now deliver

October 2012: Millions of children face Malala's fight for an education

@highlight

Shazia Ramzan, 15, was shot by the Taliban in Pakistan, alongside Malala Yousafzai

@highlight

Concerned for her safety in a country plagued with violence, her family supported her move to Birmingham

@highlight

On July 12, the day of Malala's sixteenth birthday, the United Nations will hold Malala Day

@highlight

A youth resolution will be passed demanding world leaders to ensure every child goes to school