(CNN)For sheer cruelty, they are well matched. They also share an apocalyptic "end-of-days" vision. Now there are signs that Boko Haram -- the most feared group in West Africa -- may be edging toward a formal pledge of allegiance to the self-declared Caliph of the Islamic State, Abu Bakr al-Baghdadi.

Observers of Boko Haram, which has inflicted years of terror on northern Nigeria, note that its actions in the last six months have frequently mimicked those of ISIS -- from punishments such as stoning and beheading of its victims to taking territory and an increasingly sophisticated use of social media that's very much in the ISIS "style."

The latest sign that Boko Haram is wooing ISIS came on Sunday with a series of tweets released by jihadist site Afriqiyah Media, which declared its own allegiance to ISIS in December. One tweet quoted Boko Haram's own media arm as saying: "We give you glad tidings that the group's Shurah Council is at the stage of consulting and studying, and we will let you know soon the group's decision in respect to pledging allegiance to the Caliph of the Muslims Abu Bakr al-Baghdadi, may Allah preserve him," according to a translation by SITE Intelligence.

The message was purportedly posted on February 9.

It's an unusual if unverifiable commentary on Boko Haram's internal processes. Jacob Zenn, who follows Boko Haram's operations and propaganda closely, says, "It is possible that due to factions within Boko Haram the shura was unable to come to an agreement at this point."

"Despite this," Zenn told CNN, "It's clear Boko Haram is leaning toward ISIS in terms of doctrine, ideology and an emphasis on holding territory after operations."

In August last year, Boko Haram declared its own "caliphate" -- after seizing the area around Gwoza in Borno state.

At other times its media arm has spoken of the "Islamic State in Africa" and the "Islamic State in West Africa."

In terms of ideology, Boko Haram's leader Abubakar Shekau has said that kidnappings and hostage-taking are approved in the Quran, a claim ISIS also makes. "Our hostages are Christians or corrupted Muslims who follow the Christian way," he said last year, referring to the schoolgirls kidnapped in Chibok, Nigeria, most of whom remain missing. ISIS later referred to the Chibok abductions in its kidnapping of hundreds of Yazidi women and girls.

Zenn and other analysts point out that recent Boko Haram videos have resembled the polished media productions of ISIS. Zenn notes they "have the same choreography and lens angles as ISIS, particularly its video of John Cantlie in Kobani."

The group's latest production -- released at the weekend and showing fighting around the town of Baga in Borno state -- was a high-definition offering with advanced graphics, audio effects and gratuitous brutality that could easily have been produced by ISIS. Boko Haram has also begun distributing photographs and videos through its Twitter accounts, (one of which was no longer accessible Tuesday, February 24.)

Boko Haram has begun using ISIS symbolism in its media productions and operations. The Nigerian press noted with alarm last July that Boko Haram militants had been seen raising ISIS' rayat al-uqab flag along the Nigerian-Cameroon border. Recent videos have featured the same flag.

Nor is Boko Haram shy about appealing for help from ISIS. The message posted on February 9 requested the "mujahideen of the Islamic State to deliver our message to all Muslims that your brothers in Nigeria are calling you to immigrate to us, to assist us in managing the areas in which we have control and fight the alliance of the disbelievers."

A formal pledge of allegiance may only occur once a positive response is assured. Boko Haram's leader, Abubakar Shekau, has spoken in glowing terms of al-Baghdadi and ISIS, as well as al Qaeda, saying last July: "My brethren... may Allah protect you." A recent video from the group featured an image of al-Baghdadi in Mosul, Iraq, last year.

So far, the response from ISIS has been muted, especially when compared to al-Baghdadi's very public proclamation of "provinces" in Libya and Egypt. One reason may be that ISIS doesn't altogether trust Shekau -- whose pronouncements are often incoherent and meandering -- and perceives Boko Haram to be disunited.

ISIS may also be wary of Boko Haram's existing links with al Qaeda in the Islamic Maghreb (AQIM); al Qaeda and ISIS are competing for leadership of the global jihadist movement.

However, some factions within AQIM have themselves pledged to ISIS, and analysts note that some prominent supporters of ISIS -- such as Shaybah al-Hamad -- have begun promoting statements and videos produced by Boko Haram.

Earlier this month, U.S. National Counterterrorism Center Director Nicholas Rasmussen told a congressional hearing that there was "increased intercommunication between Boko Haram and other terrorist groups in the northwestern part of Africa and even with ISIL," using another acronym for ISIS.

In an interview with the al Hayat newspaper last weekend, Libyan Foreign Minister Mohammed al-Dairi said that "groups associated with Boko Haram have been detained" in Libya and spoke of a "dreadful terrorist network between IS in Syria and Iraq, [partners] in Libya and Mali, and Boko Haram."

That may suggest the emergence of a broader front stretching from northern Nigeria through the Sahel to the Mediterranean. Boko Haram fighters already have experience in that region: a number joined the Islamist insurgency which seized the northern half of Mali in 2012 before being driven out by a French-led intervention force.

Boko Haram already has a sophisticated smuggling network that reaches far beyond Nigeria -- into Cameroon, Niger and Chad -- and taking advantage of poorly policed borders.

Zenn, who is an analyst at the Jamestown Foundation, says the fact that Afriqiyah Media released recent messages may itself be ominous. He says it "is closely affiliated to Tunisian jihadist brigades that already pledged loyalty to Islamic State in 2014."

"Given ISIS penetration in Tunisia and Libya, and Boko Haram's logistical connections to North Africa," says Zenn, "it would not be surprising if North African jihadists helped make the segue between ISIS in Iraq and Syria and Boko Haram in northeastern Nigeria."

Further evidence of ISIS sympathizers in Tunisia emerged Monday, when the Tunisian Interior Ministry announced the arrests of about 100 alleged extremists, and published a video allegedly showing the group possessed a formula for making explosives and a photograph of al-Baghdadi.

It's estimated that between 2,500 and 3,000 Tunisians have traveled to Iraq and Syria, most to join ISIS.

Another part of Boko Haram's strategy that may borrow from ISIS is its concentration on creating its own space either side of international borders. Just as ISIS has carved out its "Caliphate" on both sides of the Syrian-Iraq border, so Boko Haram has focused on Borno state, which borders both Cameroon and Chad.

Shekau has castigated (as has ISIS) the colonial-era borders separating Muslims, saying once: "We don't know Cameroon or Chad... I don't have a country." And earlier this month he declared in another video: "O people of Cameroon! O people of Chad! Repent to Allah the Almighty. Know that one cannot be a Muslim but by disavowing democracy."

Once seen as an exclusively Nigerian movement, Boko Haram's horizons are broadening to the north and east, prompting closer military co-operation by the governments of Nigeria, Chad and Cameroon, whose latest offensive appears to be putting Boko Haram on the defensive in some parts of the border region.

When and whether there will be a formal alliance between Boko Haram and ISIS is still very much open to debate -- but at the very least the Nigerian group's shifting priorities, behavior and presentation is another sign of ISIS' far-reaching influence among jihadist groups.

What is Boko Haram?

@highlight

Boko Haram and ISIS share an apocalyptic "end-of-days" vision, writes Tim Lister

@highlight

Boko Haram has also begun using ISIS symbolism in its media productions and operations, he says

@highlight

Lister: Whether there will be a formal alliance between them is still very much open to debate