(CNN) -- This week Iran and world powers finally commence long-delayed nuclear negotiations in Geneva. Was it a coincidence that just a few days ago, Barack Obama and Iranian President Hassan Rouhani engaged in a monumental 15-minute phone call and reopened a line of communication that has been closed for more than thirty years?

It's clear that Iran's new president hopes to establish trust between the West and Iran so that sanctions on Iran's economy are removed. In return Rouhani, who says Iran has no intention of developing nuclear weapons, promises to offer complete transparency into the country's uranium enrichment program.

Securing this trust between both Iran and the United States, however, will be no easy feat. Decades of political antagonism -- along with Iran's Revolutionary Guard and the U.S. Congress -- stand in the way of a successfully negotiated outcome.

Iran and the U.S. have a number of areas of mutual interest: stability in Iraq, peace and security in Afghanistan, and the resolution of the conflict in Syria. Iran has control and influence over the region via its affairs with and support of Hezbollah in Lebanon and Syria.

All of these difficulties are compounded by the nuclear issue. But the resolution of the crisis through a grand bargain would in fact benefit not only the U.S., but also its allies in the region. And although the thought of a compromise with Iran concerns Israel, Saudi Arabia, and the emiratis of the region, that doesn't mean all is lost.

ANALYSIS: U.S. hopeful, "clear-eyed" over talks

The stringent sanctions on trade with the U.S. and Europe have seen Iran gradually shift its oil and gas trade toward Asia -- namely China and India. But Iran's exclusion from the SWIFT currency clearing system has forced Tehran to deal in local currencies. When Iran trades with India it receives rupees in exchange for its oil. Iran then uses the rupees to buy Indian products, but it has ended up selling more oil than it has made in imports, creating a trade imbalance.

Relaxation on sanctions on these trading partners will be easier to implement. While sanctions related to medical necessities have already been relaxed, and discussions about freer trade in petrochemicals and the loosening of trade controls on gold have been mentioned, Iran will hardly perceive these steps as sufficient.

In reality, in the short term, Iran needs to be granted access to fund transfers via SWIFT. In the longer term, the U.S. will be asked to ensure Iran has access to the proper technology required for efficient oil and gas production. Projects â€” such as the pipeline that supplies Iranian oil to Pakistan and India, and thus benefits not only Iran but also Pakistan and India â€” will need to be allowed to be implemented.

In exchange for U.S. help in removing some of the sanctions and in the opening up of exportation channels, Iran would need to agree to complete transparency and to the closure of some of its nuclear facilities. But the hurdles are many, and the most complicated and involved ones are with the U.S. Congress. The Obama administration has limited control over the actions of the legislative branch, and voting against Iran may be more politically expedient for lawmakers on Capitol Hill. This is one of the reasons why Ayatollah Khamenei, Iran's Supreme Leader, has said he believes America is not reliable and cannot be trusted.

Opinion: How Tehran got back to the negotiating table

Despite these difficulties, I believe there remains room to strike a deal. Iran may be willing to provide significant transparency, including extensive and thorough inspections of all nuclear operations, a reduction in the amount of nuclear material produced and stored in Iran, and even the dismantling of a few thousand centrifuges.

But Iran will be reluctant to relinquish its 20%-enriched uranium, which experts believe can easily be weaponized, unless the West is willing to provide similar material for use in Iranian research facilities.

For its part the P5+1 -- the United States, Russia, China, France, Britain and Germany -- would need to make trade with Iran less burdensome by allowing a specified set of Iranian banks access to currency clearing via SWIFT. The U.S. and its partners would also need to remove a number of sanctions to allow Iran to more freely trade its oil with its partners to the East and be paid for it in tradable currencies.

If trust can be established and a bargain can be struck, the sheer size of Iran's population of 75 million could make it the largest economy to rejoin the global system since the collapse of the Eastern bloc economies. Many Iranians are well-educated and eager to participate in the global market, providing an ideal situation from which many future businesses could emerge.

If it is perceived by the Western world that Iranian discussions with the U.S. seem to be going well, the Americans will likely see enormous business pressure from others, including our European friends, to accelerate the process of reducing sanctions.

Despite the complex and often-conflicting interests of the negotiating parties, I believe at least a partial deal will be struck between Iran and the West -- an agreement that begins to bring Iran back into the international fold and provides steps to end 34 years of what has been a lose-lose situation for everyone involved.

The opinions expressed in this piece are solely those of Fariborz Ghadar.

@highlight

Despite areas of mutual interest, securing trust between Iran and U.S. won't be easy

@highlight

Iran must be transparent over nuclear program; U.S. must allow Iran access to SWIFT

@highlight

Ghadar: A partial deal out of talks could bring Iran back into global fold