(CNN) -- The U.S. Preventative Services Task Force has released new guidelines for obesity screening and healthy lifestyle counseling. Can you explain them and give us your opinion?

In its latest recommendations, the task force suggests that all physicians screen for obesity -- defined as having a body-mass index of 30 or greater -- and direct obese patients to intensive, multicomponent behavioral interventions.

In my opinion, this is in important recommendation, because research shows that the majority of primary care physicians do not adequately address obesity in their patients.

This is probably because they feel that they do not have the tools to assist patients in losing weight and may be somewhat disheartened by disappointing long-term outcomes in widely publicized intensive behavioral interventions.

For instance, in one of the largest trials, the Diabetes Prevention Program trial, weight loss maintenance for those in intensive behavioral counseling did not differ after 10 years from the placebo group.

However, the treatment group still showed a 34% reduction in the incidence of type 2 diabetes, even better than the group treated with a medication that reduces the risk of diabetes. This suggests that intensive lifestyle counseling can have significant benefits beyond just weight loss, which is often challenging in the long term.

Physicians need to communicate to their patients the impact of even a 5% weight loss on health and disease risk reduction. In addition, they should become familiar with programs in their communities that provide the necessary multicomponent behavior intervention and support and encourage their patients throughout the process.

Many insurance companies, and even Medicare, are now providing coverage for weight loss and wellness programs, so the financial aspect of referring a patient should be less of a factor than it has been in the past.

Physicians may even effectively integrate weight loss programs into their practices. The Think Health! study, published in the June edition of the journal Obesity, found clinically significant weight loss in attendees of a moderate-intensity, primary care practice weight-management program.

The second recommendation from the task force is a bit confusing and less useful, in my opinion.

The task force says, "Clinicians should selectively provide behavioral counseling in the primary care setting to promote a healthful diet and physical activity rather than incorporating it into the care of all adults in the general population."

They note that medium-to-high-intensity behavioral counseling provides small improvements in cardiovascular risk factors but that these are generally not provided by the primary care physician.

They suggest that physicians provide this type of counseling in select patients after evaluation of readiness for change, other cardiac risk factors, community support and other priorities.

In my opinion, the average primary care physician does not have the time or training to provide such counseling or even to fully evaluate and determine which patients will potentially benefit.

I think doctors should address the risk factors, educate all patients briefly about the benefits of a healthy lifestyle and cardiovascular risk reduction, and provide basic literature about strategies to adopt a healthy lifestyle. Even if the patient is not ready for change, an initial discussion is warranted with everyone, in my opinion, and may lead to positive lifestyle change.

More intense intervention -- when appropriate and when the patient is willing -- should come from trained auxiliary staff, a registered dietician or community-based programs targeting behavior change.

The physician should play an active role in following up and promoting behavioral change, but unfortunately I don't think our current medical system would support a more intense, time-consuming physician intervention.

The broader public health interventions they mention in their statement could certainly be beneficial, but I believe that more personalized, community-based, economically sensitive sessions delivered in an individual or group format would be more effective.

More from Jampolis: Is drinking soda really that bad for you?

@highlight

U.S. Preventative Services Task Force releases new recommendations

@highlight

Group suggests physicians direct obese patients to interventions

@highlight

Many insurance companies provide coverage for weight loss and wellness programs