(CNN) -- An online campaign has started to right a 22-year-old wrong committed against legendary architect Denise Scott Brown. She and Robert Venturi, her partner and husband, have designed iconic buildings together for 40 years -- yet she was excluded when Venturi was awarded the highest honor in architecture in 1991, the Pritzker Prize.

The cause has created an unusual outcry across the architecture profession. Started by two young women active in the Women In Design club at Harvard University, the Change.org campaign has generated more than 11,000 signatures, nine of whom are Pritzker winners. It's a worthy cause, and reflects the dismissive attitude toward women in architecture even today.

Endowed by the Pritzker Family, the $100,000 prize has twice been awarded to pairs of architects, both times at the request of the individual to whom the award was originally intended to go. With only one exception, however, female partners have consistently been overlooked. Just last year, Chinese architect Wang Shu was honored without his partner and wife, Lu Wenyu. Only two women have won the Pritzker Prize in its 34 year history.

Since 1991, Venturi has repeatedly insisted that Scott Brown was an equal collaborator and should share the honor with him. It's not a hard case to make: Scott Brown co-wrote the highly influential book "Learning from Las Vegas" in 1972, and has been widely known and appreciated in the field.

Scott Brown described Venturi as being "as brave as you could possibly expect him to be" in his support. Still, they decided "we could not afford to pass up the Pritzker Prize for the sake of our fledgling firm." She is calling for a ceremony to recognize her contributions to the firm's work, which includes the Sainsbury Wing of the National Gallery in London and the Vanna Venturi house.

Zaha Hadid, one of the two female Pritzker honorees, has admonished her profession, saying she doubted anything has changed for women in architecture over the last 30 years.

"I have quite a few senior architects in the office and they are extremely reliable and very talented, but, when I taught, all of my best students were women," she told The Observer. "Then they drift off."

What Hadid characterizes as "drifting off" is, in truth, a mass exodus. Although just about as many women as men study in American architecture schools, only about 16% of the licensed architects in the United States are women. The number is slightly higher in the United Kingdom, where around 20% of qualified architects are women.

Like other professions with notoriously "leaky pipelines," many women drop out of architecture during the onerous final stages. After five to seven years of education, aspiring architects must complete an internship and a costly, multipart licensing exam, which takes an average of 8.5 years to complete. Only then, after years of low pay, does the profession confer the title of architect.

This career phase directly corresponds with women's childbearing years, forcing many to choose between becoming a mother or an architect. To be sure, a precious few do both, but they often have a partner who stays home or they can pay someone else to provide domestic labor and child care while they put in long hours at the office.

But it's not just the licensing process and the culture of workaholism that push women out. It's also sexism in the workplace and the profession at large.

In a January 2013 study by The Architects' Journal, nearly two-thirds of British female architects said they have suffered gender discrimination or male bullying at work. Nearly half the women reported they received lower pay than their male counterparts, and 60% said they have encountered building industry clients who failed or refused to recognize their authority. No comparable study has been completed in the United States.

As has so often been said, you can't be what you can't see. It's not easy for women who aspire to be architects to find female role models.

Women are just a small minority of firm leaders. A survey conducted by the American Institute of Architects found that in 2012, women made up only 17% of firm principals and partners. Just two women have served as presidents of the AIA in its 155-year history, although a third will do so in 2014. The AIA's recent promotion of Mattel's "Architect Barbie" doll as a recruitment tool to interest young girls overlooks the cultural and institutional sexism in the profession.

When asked about the AIA, Scott Brown reported that each time Venturi has been put forward for the organization's highest honor, the Gold Medal, the couple responded as a team. "The AIA has always returned the submission, unopened," she said, because the organization knew Venturi and Scott Brown were applying together.

In the end, Denise Scott Brown receiving equal recognition for a 22-year-old slight is not the point. The bigger issue is that the gender disparity in architecture, both symbolically and substantially, is not just a problem for women; it's a problem for all of us.

How might our shared built environment -- our homes, hospitals, schools, workplaces and public spaces -- be shaped differently if women were behind half the proverbial blueprints? How would it be different with the contributions of architects from racial minority groups, who make up only 2% of the profession?

It is not a question of whether, but to what extent, buildings are less beautiful, less functional, less equitable because women are not creating them. Winston Churchill famously noted, "We shape our buildings, and afterward our buildings shape us."

As is so often the case in other areas, our public landscape and the architecture profession are shaped by only a small fraction of our potential collective genius, and limited by the creative absence of so many.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Architects Denise Scott Brown and Robert Venturi are partners, yet only he was honored

@highlight

Writers: Movement afoot to recognize Scott Brown in the male dominated profession

@highlight

They say female architects' marginalization is a loss to our public landscape

@highlight

Architecture is missing the creative input of women and minorities, they say