(CNN) -- Kids are shuffled through numerous teachers, classrooms and schools during their educational career. Some will rack up a thick file of issues, while others will leave no mark, positive or negative, at all.

Often in the current system, learning disabilities are not always caught, special talents overlooked, and students fall between the cracks.

But in the future, schools could use tracking software and analytics tools to improve education. They will gather information about how a student performs and learns, discovering patterns, problems and promise that would otherwise get lost from year-to-year, if they're noticed at all.

Information gathered about each student could become part of a larger data set used to learn what lessons and methods are working or failing across an entire school system.

Smart classrooms that learn about students are just one of the major technological advancements IBM thinks we'll see in the near future. IBM has been predicting futuristic trends since 2005, releasing annual year-end lists of five technologies that it thinks will come to fruition in the next half decade.

This year, most of the predictions are optimistic takes on what can be accomplished when the medical industry, governments, schools and computer systems gather and analyze unprecedented amounts of data about people, from their behavior and patterns as groups over time all the way down to a single person's DNA.

A school that learns about its students to provide a more effective education. A city that improves public services based on citizens behaviors, schedules and movements. A digital assistant that monitors your health or improves your online security. Customized medical treatments based on an individual's DNA. And a return to local, in-person shopping by bringing customizing technology into brick and mortar stores.

"it is important that people stop and take a little bit of time to look at the stuff that's going to move the needle for society," said Bernie Meyerson, IBM's vice president of innovation, who heads up the project, called 5 in 5.

Meyerson, who has been at IBM for 34 years, starts by looking at common ideas and unifying themes across various industries to identify common threads. In the eight years the company has been doing the project, Meyerson predicts it has had a hit rate of around 50 percent.

Many of the past predictions had a positive social angle, like a new chemical formula that could make it easier to dispose of plastic, or making recycling a profitable venture for cities. Some are continuing to take off, like the emergence of telemedicine. Others, like computers that can smell, might never make it to the mainstream.

1. Can smarter schools make smarter kids?

This year, Meyerson is most excited about the classrooms of the future. IBM is already testing out big data in schools with a program in a Georgia public school district serving 170,000 students. The project aims to improve graduation rates by tracking everything a student does -- including attendance, test scores, how they interact with electronic content, and what they are being taught in the classroom -- and suggesting improvements to tailor their educations.

"The education system works for you, it actually learns about you as time goes. I think that's a tremendous plus," said Meyerson.

2. Self-correcting cities

Cities are also in a unique position to gather data about people's daily lives. They can use technology to learn more about the behaviors and needs of large numbers of people densely packed into small geographic areas. For example, a city could determine the volume of people waiting on a train platform at any given time and instantly make small adjustments to the train schedules to ease congestion and delays.

Mobile devices could increase participation in local government, with people reporting issues, communicating with politicians and make their voices heard far more effectively online than if they were in town hall meetings. Online petition sites such as Change.org and digital bullhorns like Twitter are already having an impact on local politics.

3. It sees you when you're sleeping, it knows when you're awake

On the personal level, IBM thinks "digital guardians" will emerge in the next five years. A program can learn everything about your online habits to confirm your identity and better detect when something is amiss. If you suddenly start uploading large volume of personal and financial data to a server in Eastern Europe, it might deduce that you have been hacked.

The same technique can be used offline, using data collected from sensors in smartphones and wearable technology to monitor you physical activity and health. The accelerometer in your smartphone can detect a loss in motor control and set off an alarm to summon medical help.

"It literally creates an image of you. It knows who you are and what you do and how you behave," said Meyerson.

4. Medical treatment tailored to your DNA

Doctors take your vitals, flip though a manila envelope filled with a paper history of your previous visits and run tests to decide on the best treatment.

IBM predicts that in the future, computers will be able to see exactly how a treatment will affect an individual based on detailed medical records that include detailed information, including DNA. People have different reactions to drugs and treatments, and this would cut down on the amount of time spent figuring out the best course through trial and error.

The company is already working with health care partners on systems that will learn about patients over time and, eventually, take this type of health care to the cloud so doctors anywhere could benefit from the data.

5. Local shopping stages a comeback

No matter how fast and free Amazon Prime shipping is, physical store still have a place in our lives. They might even see a resurgence in the future by adopting some of the technology their online siblings have fine tuned.

"There's a certain category of product, and it is nontrivial, where there's a lot of resistance to doing something online without first getting your hands on it," said Meyerson.

The futuristic experience starts with opting in and sharing more information about yourself, like your buying patterns over time. Walk in to your local store and it will know exactly what you're looking for -- what products you usually buy at a certain time of year or the week, favorite brands, allergies, that you love cheddar but would never touch American cheese. The store employees could make recommendations based on your past interests.

The future is already here

Whether you think the ideas are creepy or brilliant, they are already on the way. These innovations are not just far-off fantasies, they're already starting to be developed and used in the real world, though still in early stages.

The issues associated with governments, doctors and companies collecting increasing amounts of person data are also already in the spotlight. In the past year, there has been an uptick in awareness about what personal information is being collected about us and how it can be used by corporations hoping to make more money and by law enforcement.

IBM's predictions focus on the other side of bulk data collection: more efficient systems tailored to keep people safe and healthy, encourage civic engagement and improve public services, help kids perform better in school, and support local businesses.

@highlight

Governments and companies will collect personal data to improve services and schools

@highlight

IBM released a list of five innovations it thinks will take off in the next five years

@highlight

Smart schools that learn about students and cities that learn about citizens will emerge