(CNN) -- In the shadows of Mount Redoubt, Alaskans are calmly waiting for the volcano to erupt -- an event that could occur at any time.

Alaska's Mount Redoubt volcano spews ash and steam during an eruption in 1989.

"The level of seismic activity" has "increased markedly" in recent days at the 10,197-foot peak located about 100 miles southwest of Anchorage, the state's most populous city, according to the Alaska Volcano Observatory.

"We don't have a crystal ball," said Peter Cervelli, a research geophysicist with the observatory, which is aggressively monitoring the volcano.

But "we expect based on the past behavior of this volcano that this activity is going to culminate in an eruption."

The activity has consisted "of a combination of discrete, relatively small earthquakes and periods of more continuous volcanic tremor," Cervelli said.

Scientists raised the alert status Sunday to a "watch" level, the second-highest, based on seismic activity detected January 23. PopSci.com: Predicting eruptions

The "watch" status means the "volcano is exhibiting heightened or escalating unrest with increased potential of eruption, time frame uncertain, or eruption is under way but poses limited hazards," according to the U.S. Geological Survey.

Maureen Burke, 29, a coffee shop manager in Anchorage, said she remembers the last eruption and isn't too worried this time. PopSci.com: Prehistoric explosions wiped out ocean life -- and created petroleum

She said living in Alaska and being close to nature, residents just laugh such events off, dealing with them as they come.

Falling ash is a potential problem. The best way to protect yourself from the harmful showers of ash is to wear a mask, Missy Moore, 33, said.

As an administrator and supervisor of Starbright Early Learning Center in Anchorage, Moore said, "it's really not anything to worry about just yet." PopSci.com: Google Earth environment guide

If Mount Redoubt covers nearby cities with ash, Moore said the school will adhere to the public school district's guidelines.

"If the [public] school district closes schools, our school closes too. The city of Anchorage advises citizens to stay indoors," Moore said. "The ash can get into your engines and mess up your car."

Shana Medcoff, 17, a barista in Kenai, about 50 miles from the volcano, said residents are encouraged to buy air filters for their cars. PopSci.com: Spying on a hostile landscape

Mount Redoubt last erupted nearly 20 years ago, in December 1989, and that lasted until April 1990. Geologists think there could be an eruption "similar to or smaller than the one that occurred in 1989-90."  Learn more about Redoubt and its history »

That eruption spread ash in Kenai and Anchorage, where it disrupted air traffic operations. Cervelli said the ash plumes caused engine failure on a jet.

"It's not the closest volcano to Anchorage," Cervelli said, but "it has the potential to disrupt air traffic at Anchorage."

The 1989-90 volcano also spurred volcanic mudflows, or lahars, that flowed east down the Drift River. The ash fall was seen as far away as Fairbanks and the Yukon Territory border.

The observatory has set up a Web camera near the summit of the volcano and another within Cook Inlet. It plans to do continuous visual surveillance, measure gas output and analyze satellite and weather-radar data.

@highlight

NEW: Scientists raise alert level to "watch," the second highest state of alert

@highlight

The 10,200-foot Mount Redoubt is about 100 miles southwest of Anchorage, Alaska

@highlight

Volcano last erupted in December 1989

@highlight

Eruption could spawn huge mudflows, disrupt flights with ash