Washington (CNN) -- President Obama and Indian Prime Minister Manmohan Singh agreed Tuesday to team up and tackle a checklist of economic, nuclear, security and environmental challenges.

Obama welcomed the Indian leader to the White House on Tuesday in what is the first state visit of his presidency.

The two men had what they called a productive sit-down meeting before briefing reporters.

"I believe that the relationship between the United States and India will be one of the defining partnerships of the 21st century" and will reflect the "strategic dialogue" between the countries, Obama said, calling India "the world's largest multiethnic democracy" with a fast-growing economy.

"We're the world's two largest democracies. We have a range of shared values and ideals. We're both entrepreneurial societies. We're both multiethnic societies. We are societies that believe in human rights and core freedoms that are enshrined in our founding documents," said Obama, who also stressed the dynamic role of the growing Indian-American community.

Singh's visit comes amid his country's continued tense relationship with nuclear rival Pakistan, regional concerns over the Afghan war and the burgeoning trade relationship between the U.S. and India. It also follows a year after the deadly terror attack on the Indian city of Mumbai.

Obama said he and Singh "agreed to strengthen the economic recovery and expand trade and investment" to create jobs from both nations.

"Indian investment in America is creating and sustaining jobs across the United States, and the United States is India's largest trading and investment partner," Obama said.

Obama said he reaffirmed his administration's commitment to implement a civil nuclear agreement with India, which Singh signed with former President George W. Bush. Both countries are attempting to put the finishing touches on the deal, which would provide for the development of Indian nuclear power for peaceful uses.

Obama also supported Singh's backing for nuclear nonproliferation efforts.

"I look forward to ... India's participation as a full partner in our shared vision of a world without nuclear weapons," he said.

Ahead of next month's Copenhagen climate change framework meeting, Obama said he and Singh settled on a "comprehensive" agreement that would "cover all the issues under negotiation" and would build on what the president called the "progress" of his recent trip to China.

Obama said he and the Indian prime minister have agreed to pursue new efforts, such as a clean energy initiative, more affordable energy, a green partnership to reduce poverty and an effort to phase out subsidies for fossil fuels.

"We resolved to take significant national mitigation actions that will strengthen the world's ability to combat climate change. We agreed to stand by these commitments with full transparency, through appropriate processes, as to their implementation," he said.

As for security, he and Singh decided to work closer on information-sharing to prevent the kind of militant attack that happened in Mumbai last year, and they discussed Obama's Afghan policy review, which is expected to lead to an announcement on troop levels next week.

Obama said the pair agreed to widen education exchanges in science and technology and ties between universities and colleges. He said both countries want researchers to work together to reduce hunger and fight disease.

Singh also touched on the same topics and invited Obama and his family to visit India, an invitation the U.S. leader accepted.

Noting the global economic crisis illustrates "the fact that our prosperity is interlinked," Singh reiterated Obama's remarks on tightening trade and investment ties.

"We admire the leadership that President Obama has provided to stimulate and guide the [Group of 20] process that is now fully in place," he said.

He also endorsed collaboration in education, health and agriculture.

"We will deepen our ongoing cooperation in frontier areas of science and technology, nuclear power and space," Singh said, also noting the two agreed on the early and "full implementation of our civil nuclear cooperation agreement."

As for climate change, he said he and Obama "have agreed on the need for a substantive and comprehensive outcome which would cover mitigation, adaptation, finance and technology."

Singh also brought up another issue: that the U.S.-India "strategic partnership should facilitate transfer of high technologies to India."

"The lifting of U.S. export controls on high-technology exports to India will open vast opportunities for joint research and development efforts," he said. "It will enable U.S. industry to benefit from the rapid economic and technological transformation that is now under way in our country."

On Afghanistan, Singh pointed out the importance of helping the war-wracked country emerge "as a modern state."

"The forces of terrorism in our region pose a grave threat to the entire civilized world and have to be defeated. President Obama and I have decided to strengthen our cooperation in the area of counterterrorism."

On Tuesday evening, Singh and his wife, Gursharan Kaur, will attend a state dinner in a tent on the South Lawn, with Oscar-winning singer-actress Jennifer Hudson scheduled to entertain the black-tie crowd.

Singh's visit -- his second to Washington after a meeting with Bush -- will last five days. He arrived in the United States on Sunday.

He attended a luncheon Monday hosted by the U.S. India Business Council and U.S. Chamber of Commerce, and he addressed the Council on Foreign Relations.

On Wednesday, Singh will meet with Secretary of State Hillary Clinton and Defense Secretary Robert Gates and later will attend a reception for the Indian community hosted by Meera Shankar, the Indian ambassador to the U.S.

Singh on Thursday will fly to Port of Spain, Trinidad and Tobago, to attend the Commonwealth Heads of Government Meeting.

The 77-year-old Singh is a Cambridge- and Oxford-educated economist who was governor of the Reserve Bank of India from 1982-1985 and the nation's finance minister from 1991-1996.

A member of the Congress Party, he is serving a second five-year term as prime minister.

CNN's Harmeet Shah Singh contributed to this report.

@highlight

NEW: Afghanistan, climate change, economy, nuclear civil deal on two leaders' agenda

@highlight

Indian Prime Minister Manmohan Singh is on first state visit of Obama presidency

@highlight

Singh will attend White House state dinner

@highlight

President Obama accepts invitation to visit India