Washington (CNN) -- The Supreme Court ruled Monday that two men convicted of killings committed when they were 14 cannot be sentenced to life in prison without at least the possibility of parole.

The 5-4 ruling is a victory for defenders of juvenile offenders, affirming recent high court rulings against harsh criminal sentences.

Justice Elena Kagan said it would be wrong for states to ignore the chance that these now-adult inmates may someday be rehabilitated.

"The mandatory sentencing schemes before us violate this principle of proportionality, and so violate the Eighth Amendment's ban on cruel and unusual punishment," Kagan said.

Justices mull whether life without parole appropriate for underage killers

The high court in 2005 banned the death penalty for those under 18 who commit aggravated murder. Then, five years later, the justices said juveniles found guilty of non-homicides could not receive life without parole.

The spotlight has now turned on the youngest of killers and the question of whether a national consensus has developed to treat them differently regarding a lifetime of incarceration.

The separate appeals involved an Alabama boy who, with an accomplice, robbed a neighbor and then beat the man to death and set his house on fire; and an Arkansas youth who was part of a group of teens who robbed a video store where the clerk was blasted to death with a shotgun. Both defendants are now adults serving their sentences.

Both were tried and convicted as adults and received the minimum sentences allowed under state law for felony capital murder.

About 2,500 prisoners are serving life sentences without parole for crimes committed as juveniles, at least 79 of whom were 14 years or younger at the time, according to the Equal Justice Initiative, which is representing the two men before the high court.

In his argument to the court, Attorney Bryan Stevenson had urged the justices not to "give up" on child offenders, who he said are fundamentally different from adults. He said that while they must be held accountable for their actions, youths are also works in progress, emotionally and developmentally.

Stevenson said firmly that all those under 18 at the time of their crimes deserve the chance for parole someday. He said the often-terrible facts of a murder can overwhelm any mitigating factors like a defendant's age, especially for jurors who may be unaware that a young person's brain and self-control are often not fully developed, and their living environment can play a role as well.

"You would say that a person of 17 years and 11 months who commits the worst possible string of offenses -- and demonstrates great maturity -- still cannot be sentenced to life imprisonment without parole?" asked Alito during oral arguments in March.

He wrote the tough dissenting opinion, supported by Chief Justice John Roberts, and Justices Antonin Scalia and Clarence Thomas.

"When the majority of this court countermands that democratic decision (by state legislatures), what the majority is saying is that members of society must be exposed to the risk that these convicted murders, if released from custody, will murder again," said Alito, who delivered his dissent from the bench, a rare privilege typically granted in only the most contentious of cases.

Alabama Solicitor General John Neiman told the court that states deserve discretion to set punishments for the worst of offenders, even teenagers.

Complicating matters, several justices at argument noted differences between the two cases before them. Neiman said the murder committed by Evan Miller in Alabama was especially "gruesome." The boy and his accomplice had smoked marijuana with the victim in his trailer. The 52-year-old man burned to death after the mobile home was set ablaze.

In Kuntrell Jackson's case, he was outside acting as a lookout when the Chickasaw County, Arkansas, robbery took place. It was a 15-year-old boy who shot the female clerk when she refused to turn over money. The actual shooter later pleaded guilty and was sentenced to life with the possibility of parole.

Stevenson said there was a real question whether Jackson had an "intent to kill" during the botched robbery, perhaps allowing for a lesser sentence.

But Arkansas Assistant Attorney General Kent Holt said the sentence of life without parole was still appropriate, arguing the defendant could have received the death penalty if he had been an adult at the time of the crime.

"A legislative judgment has been made with regard to drawing a baseline for all murderers, whether they are juvenile murderers, whether they are getaway drivers," Holt said. "And when you counsel or aid or do anything that gets you liability for being a capital murderer, then that is the minimum sentence" -- life without parole, with no exceptions.

The cases are Miller v. Alabama (10-9646) and Jackson v. Hobbs (10-9647).

From the archives: Opinion column argues against life without parole for juveniles

@highlight

Two men sentenced to life must have at least the chance of parole, the court says

@highlight

Each of them was 14 years old at the time of the crimes

@highlight

Kagan: "The mandatory sentencing schemes ... violate (the) principle of proportionality,

@highlight

Alito: The ruling exposes society to the risk of the men murdering again if released