London (CNN) -- Three "extremely traumatized" women are being cared for by a charity after managing to leave a London house where they had allegedly been held captive for more than 30 years.

One of the women -- a 30-year-old Briton -- "appears to have been in servitude for her entire life," Metropolitan Police Detective Inspector Kevin Hyland said. She and the other two women, a 57-year-old from Ireland and a 69-year-old from Malaysia, have been taken to a place of safety.

Experts and charities explain how they might recover from their ordeal.

How are the three women faring?

A television documentary on forced marriages relating to the work of Freedom Charity prompted one of the victims to call for help; that organization's founder Aneeta Prem told CNN the women were coping despite their ordeal. "I've seen them on a number of occasions," she said. "They're doing remarkably well considering how harrowing it's been for them. Every effort has been made to ensure they're being taken care of, but it's going to be a very long journey.

"Now we've heard of the arrests of the two people allegedly involved in this and that's going to be another journey in itself. It's going to be very difficult. We're really pleased with the work that we've done in partnership with the police and they're to be commended for taking this seriously."

How can victims of slavery or abuse be rehabilitated?

Time is of the essence when suspected victims of slavery or imprisonment are rescued, and the first moments are known as the "golden hour." Ann Reed, anti-trafficking response co-ordinator for the Salvation Army which helps trafficking victims in the UK for the first 45 days, said it was very important to quickly give them back their self-worth.

"Many victims will have had no opportunity to make decisions for themselves, even down to the smallest things like when to sleep or what to eat.

"So it's important to put them on a road to recovery by giving them a safe environment, allowing them to choose when to eat and sleep, making them feel at home, offering them kindness and compassion." It can be as basic as playing cards with the victims to put them at their ease, she said.

Each case is different, with this latest being the most extreme one that Reed said she had ever heard about. "I assume it will take many years for the victims in this case to recover, although we do not know the full details. It's a complete one-off."

How do people who have been held captive find resilience?

Captives in similar situations draw strength from each other, Reed said, just as the three women who escaped this year after 11 years of sexual abuse in Cleveland, U.S., did. In that notorious case one of the victims, Michelle Knight, credited Gina DeJesus -- with whom she shared a dark room measuring about 7 feet by 11Â½ feet -- for saving her life.

"I never let her fall, and she never let me fall," Knight told the trial of her tormentor Ariel Castro. "She nursed me back to health when I was dying from his abuse. My friendship with Gina is the only good thing to come from this situation."

She returned the favor, at a cost to herself, placing herself in between Castro and DeJesus, taking on physical and sexual abuse herself to protect her friend, said Frank Ochberg, a pioneer in trauma research who testified in the case.

Being the oldest, Knight often served as doctor, nurse and pediatrician for Amanda Berry and the young child that Castro fathered. She acted as the midwife, when it was born, delivering Berry's baby in a plastic swimming pool.

Somehow, Knight, Berry and DeJesus kept hope. As Knight said, "We said we'll all get out alive some day and we did." Castro was sentenced to life imprisonment but was later found hanging in his prison cell.

How many more victims of domestic slavery are there?

Authorities have rescued about 1,200 men and women in England and Wales since July 2011, according to the Salvation Army. Many of those victims have endured sexual abuse in brothels, forced labor or domestic servitude.

UK Special Envoy for Human Trafficking Anthony Steen told CNN he was not surprised by this case as there were likely to be many cases of domestic slavery in the country.

"We don't know the number but we know it's pretty huge. Domestics are hidden away," he said.

"The difference between slavery when it was manifest in America -- as it was in England -- was that you could see it everywhere," Steen said. "Since then having abolished it, it's grown, it's got bigger and bigger -- in fact they say it's between 10 and 20 times the size it was in the 1800s."

Steen said the largest number of people involved in slavery in Britain were in brothels, and that group was followed by men held against their will in debt bondage.

"Shadow City" was the title of one recent report into human trafficking in London, which explored where the abuses were taking place. "Increasingly the authorities and many residents in London know there is a criminal activity called human trafficking," it concluded. "What they don't usually know, accurately, is what human trafficking actually constitutes and what forms are taking place around them. Most London residents imagine that it does not touch directly on their lives -- that the exploitation takes place in brothels run by foreign gangs controlling foreign women. But it's nearer than they think."

The Salvation Army's Ann Reed said if anyone had concerns about neighbors, they should contact police. Causes for suspicion could be if there were several people living in a house, people buying large amounts of food, inhabitants struggling physically or those who were malnourished. They may not go often, or be under the control of others.

How do victims of domestic servitude live?

Such victims often sleep on the floor in the kitchen, eat the leftover remains of the household and have no days off, Steen said. "Domestic slavery is rampant particularly in the Middle East countries, in Africa and in Europe. By and large it's people who have had their passports removed, they have no pay and are exploited and used.

"It's not trafficking but slavery by any other word, except that you don't see it. The problem with this case is that you never know when it will appear: with millions of houses and people it's all behind closed doors. This exposes a problem in all western countries. It's not the police you should blame it's the next-door neighbor, but you don't know what to look for.

"These people will be damaged for life. They will never recover."

@highlight

A couple is alleged to have held three women captive in London for more than 30 years

@highlight

Experts and charities explain how they might recover from their ordeal

@highlight

Time of the essence when suspected victims of slavery or imprisonment are rescued

@highlight

Captives in similar situations draw strength from each other, experts say