(CNN) -- Last week's massacre at Sandy Hook Elementary School in Newtown, Connecticut, appears to have at least temporarily changed the debate on gun control and opened the door to new restrictions.

Following up on his pledge to "use whatever power this office holds" to prevent another slaughter at a school, President Barack Obama has said he will submit new gun-restriction proposals to Congress in January. But the obstacles to progress remain formidable, chief among them the political power of the gun-rights lobby in Washington.

Yet we don't have to wait until the national gun-control debate plays out to better protect our children from violence at school.

What really makes schools safer?

We can begin now in our elementary and secondary schools by starting a campaign to eliminate the number of lethal weapons that students bring to campus. Despite laws against them and some progress in reducing their numbers, weapons on campus continue to be a major problem.

Over the past decade, various government agencies have surveyed millions of students across the nation about weapons in schools, and, year after year, they have told us that they have seen guns and knives on campus and have been threatened by them at school. Alarmingly, a sizable minority don't disapprove of them being on school grounds. The presence of weapons and toleration of them on campus create the potential for more pain and suffering in the nation's schools. According to the most recent federal statistics, there were 33 school-associated violent deaths from July 1, 2009, through June 30, 2010.

Opinion: Not man enough? Buy a gun

"Nationwide," reports the most recent Centers for Disease Control and Prevention's Youth Risk Behavior Survey, "5.4% of students had carried a weapon (e.g., a gun, knife or club) on school property on at least one day during the 30 days before the survey."

Data from the 2009-2011 California Healthy Kids Survey, the most recent, show a horrifying number of weapons-packing students. About 5% of secondary-school students said they carried a firearm to campus, while another 10% reported bringing knives and other potentially lethal weapons during the past year. Stunningly, about 3% of fifth-graders reported that they brought a weapon to school.

Taken together, the surveys suggest that hundreds of thousands of potentially lethal weapons are being smuggled onto the nation's school grounds -- and students may be using them for self-protection but also to threaten their classmates. Around 8% of secondary-school students in California and nationally report such threats in recent surveys, a percentage that has stayed basically unchanged since 1993.

Even if not directly threatened with a weapon, many students are nonetheless aware of the presence of guns and knives on their campus. For about a decade now, about one-quarter to one-third of students in California public schools (both elementary and secondary) and other states have reported such awareness.

Readers share: 10 ways to put brakes on mass shootings in schools

In past decades, schools have installed metal detectors, hired extra security to patrol grounds and hallways and instituted other zero-tolerance measures to make campuses safer. But a report released by a zero-tolerance task force assembled and published by the American Psychological Association in 2008 concluded there was no evidence that these measures were effective in making students and staff feel safer. And they can be self-defeating: It's tough to learn or feel cared for in a prison-like setting.

So what to do?

For starters, we should listen to what the students are telling us in the surveys. Yes, listen, because few in our schools, communities and government are. How can you reduce weapons in schools if you do not know what students think about guns in school and you have no clear idea of just how prevalent the problem is?

Step one is for teachers and principals to use the survey results from their own states -- in California the data is available online -- to open discussions with students and parents about the presence of weapons on campus and their potential use as a threat. The many students in California and other states who think there's nothing wrong with weapons being in students' backpacks need to learn that what they may see in society at large -- the presence of guns in many places -- is unacceptable on school grounds.

Opinion: Teachers with guns is a crazy idea

As important as changing their attitudes toward weapons on campus is providing students with anonymous ways to let authorities know about a potential threat. Schools that have created such channels of communication report that the information has thwarted many incidents over the past decade.

The best prevention of student-instigated violence on campus is an educated, well-trained and caring school community in which everyone understands what to do when they see a weapon on campus and why it might save lives to act. We can begin to build such a community by talking with students in each classroom and each school about what they see, hear and experience while at school.

School shootings: Shattering the sense of safety

Ignoring students' voices won't save lives.

The opinions expressed in this commentary are solely those of Ron Avi Astor.

@highlight

Nationwide, many students bring weapons to school, says Ron Avi Astor

@highlight

Metal detectors and security are an insufficient deterrent, he says

@highlight

It's tough to learn or feel cared for in a prison-like setting, says Astor

@highlight

Astor: To prevent student-instigated violence, schools need a caring community