(CNN) -- One week ago, the chief of Pakistan's Army Staff, Gen. Ashfaq Parvez Kayani, told graduating cadets in the city of Abbottabad that the "back of terrorism" in Pakistan had been broken, thanks to the sacrifices of Pakistan's soldiers.

Kayani was speaking at the "passing out parade" at the prestigious Kakul military academy in Abbottabad, the West Point of Pakistan. At that very moment, the man who had dragged Pakistan into the "War on Terror" a decade earlier was, it transpires, just a mile or two away, living in apparent comfort behind the high walls of a very private compound. Osama bin Laden, who had declared war on Pakistan, had apparently been living for months in a city that had made its name as a military garrison.

Abbottabad, pronounced AHB-tah-bahd, is some 60 miles by winding mountainous roads north of Pakistan's capital. Surrounded by green hills, it is renowned for its trees and parks. It's a popular retirement place for officers in the Pakistani army, partly because of its military academy, but also because of its agreeable climate. During British rule, the Imperial Gazeteer of India described it as "picturesquely situated," 4,120 feet above sea level.

Abbottabad sits on the Karakoram Highway, an engineering marvel that links Pakistan with China through the Himalayas. Before much of Pakistan became off-limits to most foreign tourists, it was also a popular spot for those on their way to and from the Swat valley and the foothills of the Himalayas.

But despite its military traditions, its hockey fields and golf courses, Abbottabad and neighboring districts are also familiar territory to al Qaeda and other extremist groups.

In January this year, Pakistani security forces stormed a modest house in the city and seized Umar Patek, an Indonesian linked to al Qaeda who had a $1 million bounty on his head under the FBI's Rewards for Justice program. He had allegedly helped build the bombs used in the 2002 bombings in Bali that killed 200 people.

Patek -- a key leader in the Indonesian terrorist group Jemaah Islamiya -- had rented a room in the house of a retired accountant in Abbottabad after arriving in Pakistan some months earlier on a forged visa. He is now being held (after treatment for gunshot wounds sustained during his arrest) pending a decision on his extradition.

Patek's arrest followed that of a Pakistani in Abbottabad called Tahir Shehzad, an alleged al Qaeda facilitator who had been under surveillance for some time, according to Pakistani media reports. Shehzad had allegedly gone to Lahore to meet two French militants who were planning to travel to North Waziristan with Patek.

So Abbottabad emerges as something of a way station for al Qaeda and associated groups. Geographically, that makes sense. As the crow flies, the city is just over 100 miles from the border with Kunar province in Afghanistan, an area where al Qaeda has kept a foothold since 9/11. Even with poor roads and mountainous terrain in between, the journey can be completed in a day. It is even closer to the restive tribal territories.

In the past two years, the Pakistani army in this area has been preoccupied with reversing the gains of the Pakistani Taliban, rather than chasing down the remnants of al Qaeda or launching the offensive against militants in North Waziristan that Washington has long demanded.

The area to the north of Abbottabad saw a surge in Taliban activity two years ago, as the Taliban sought to extend their influence from the tribal areas that border Afghanistan into what was North West Frontier Province, now called Khyber Pakhtunkhwa. The town of Buner, just 30 miles from Abbottabad and 60 miles from Islamabad, fell to the Taliban early in 2009. They also established a training camp close to the town of Mansehr, a few miles from Abbottabad.

The Pakistani military has since gradually reasserted control over the area, expelling the Taliban from the Swat Valley, but at a bloody cost. Clashes continue sporadically in the area, and an attack on the offices of the charity World Vision last year in Mansehr resulted in six of the non-governmental organization's workers being shot dead.

To the east of Abbottabad is Pakistani Kashmir, its forested hills hosting training camps for several groups committed to "liberating" Indian Kashmir. So it is a city close to the front lines of several of South Asia's insurgencies and terror campaigns.

Like much of the region, Abbottabad has long been a theater of sectarian and religious rivalry. Back in the mid-19th century a British officer named Maj. James Abbott brought peace to an area that saw violent confrontations between its Sikh and Muslim populations. Abbott's contribution was recognized when the town was named after him. He even wrote a poem about the place that would bear his name:

"I remember the day when I first came here

And smelt the sweet Abbottabad air ..."

@highlight

Abbottabad is home to Pakistan's equivalent of West Point

@highlight

It is on a key road, and is something of a way station for terrorist groups

@highlight

Other wanted terrorist leaders have been found in the city