Washington (CNN) -- Walk into Rep. Peter King's Capitol Hill office, and you are overwhelmed with how much the New York Republican is consumed by the September 11, 2001, attacks. There are photos on the walls of funerals he attended, images of a smoky Brooklyn Bridge, and baseball caps with sayings including "USS New York, Never Forget."

King says he doesn't have a monopoly on grief -- but it is what drives him.

"If you ask me what I think about going to work every day, it's 9/11 and preventing another 9/11. There were too many people I knew," he told CNN in an interview in his office.

That's why he says he is determined to use his powerful post as House Homeland Security Committee chairman to hold a series of highly controversial hearings on what he has dubbed radicalization of Muslims in the United States.

"I have no choice, I have to hold these hearings, these hearings are absolutely essential," King said before the first hearing in March. "There are elements in that community that are being radicalized, and I believe that the leadership, the leaders of that community, do not face up to that reality. Too many cases are not cooperative, not willing to speak out and condemn this type of radicalization that is going on," he insisted.

The fact that he is singling out the Muslim-American community has ignited protests and anger against him, and accusations of bigotry. He has even been compared to Sen. Joseph McCarthy, who used a congressional gavel he wielded in the 1950s to go on a Communist witch hunt. King said there is "no basis" for that. "I tell people wait and watch and listen to the hearing and they will see it will be a thoughtful, meaningful, very fair hearing," he said.

King once had a close bond with leaders in the Muslim-American community. In the 1990s, he broke with fellow Republicans and backed President Bill Clinton's military efforts in the Balkans to defend Muslims there.

"That was not popular in my district, but I did it because it was the right thing to do. I thought the Muslim populations in those countries were being victimized," said King.

Though the Muslim community in his mostly blue-collar Long Island district is small, King had close relationships with Muslim leaders -- he even attended a ribbon-cutting at a local mosque.

But King said after 9/11 a switch flipped.

"I saw the Muslim-American community not responding the way that they should have, covering up for al Qaeda, when they tried to blame it on Jews or the FBI -- I couldn't believe what I was hearing. These people -- I had known them for years, I had their relatives interning in my office, I had gone to weddings and dinners of leaders in the Muslim-American community -- and the same people that I had known, I hear them saying its not al Qaeda, it's the FBI. I couldn't believe it," recalled King.

One of those leaders was Ghazi Khankan with the Islamic Center of Long Island. "I said we should also investigate the possibility of Israel being involved. That changed his opinion 100%," said Khankan.

King said he was furious that no Muslim leaders denounced those post-9/11 comments. But even worse, he insisted, was what he started hearing from law enforcement -- that the Muslim-American community was not cooperating with efforts to rein in radicalization and prevent terror threats.

"That would be psychobabble, to say that because of what was said after 9/11, I'm holding these hearings. That's when I first began to look more carefully," he said. "Since then, it's dealing with police at all levels, in New York and around the country. ... Privately, I am told time and again that they're not getting the cooperation they need." he said.

King, the son of a New York police academy instructor and a self-described close friend of New York cops and firefighters, insists he gets the real story from his buddies about what they call lack of cooperation in the Muslim community in rooting out radicalism.

But other law enforcement officials say they get valuable assistance from Muslim-Americans. And academic studies, like one conducted by Duke University and the University of North Carolina, show fellow American Muslims turned in 48 of the 120 Muslims suspected of plotting terror attacks on the U.S. since 9/11.

King insists that doesn't jibe with what he hears on the ground.

"I can tell you that in New York, we're in the epicenter, we're in the eye of the storm. There has been no virtually no real cooperation coming from the Muslim-American community. The police commissioner's office in (Suffolk County) has said that they have not gotten one tip from the Muslim-American community," he said.

Still, King invited no law enforcement officials to be witnesses at the March hearing -- neither the FBI director, nor the attorney general, nor any of the New York officials who he says tell him they're concerned. The only one who attended was Los Angeles Sheriff Leroy Baca because he was invited by Democrats on the panel.

Some call King's efforts against American Muslim terrorism hypocritical. In the 1980s, King, an Irish-American, was an active supporter of Gerry Adams and the Irish Republican Army, an organization the State Department then deemed terrorists, which was responsible for hundreds of civilian deaths in terror attacks.

King defends his efforts. "I knew what was happening in Northern Ireland, and with the IRA. The IRA was a legitimate force, they'd been there for 40 years, 60 years, any way you want to look at it," said King. He insists he only got involved so heavily with Adams because he knew he would be willing to broker peace with the British government.

"I was one of those helped bring (peace) about. This isn't me saying it, it's Tony Blair and Bill Clinton saying that, among others," said King, who later pointed to a photo on his wall of Blair, the former British prime minister, with an inscription praising King for his role in the Northern Ireland Peace Accord.

The New York Times editorialized before the March hearing that King is a man "obsessed" with Muslim radicalism.

Is he obsessed? "I'm very focused," he replied. "I lost many people from my (congressional) district on 9/11, and within a 30-mile radius of my home, probably about a thousand people murdered on 9/11."

Another answer to that question may be in what King writes about. He is a part-time novelist, and in 2004 published a book called "Vale of Tears," about an Irish-American congressman from New York who traces a terrorist attack to Muslim radicals in his own district. "You write about what you know," shrugged King.

If the negative publicity and protests about his hearing are getting to King, he's hiding it well.

"Hey, I would love to be loved, you know, I'm not a masochist. But on the other hand, I have a job to do. And I would not want to wake up the day after an attack and say, 'I should've done something differently,'" he said.

"My goal, if I could have an ultimate goal, is to have new leaders emerge from within the Muslim community, who are not defensive, who day in, day out, are willing to denounce radicalizations, denounce the attempts by al Qaeda to go into their communities."

CNN's Rachel Streitfeld contributed to this report.

@highlight

Rep. Peter King is chairman of the House Homeland Security Committee

@highlight

He is holding controversial hearings regarding Muslims in the United States

@highlight

The hearings focus on what King calls the radicalization of Muslims in the U.S.

@highlight

"These hearings are absolutely essential," King says