(TIME.com) -- Parents' prescription-drug use has dangerous implications for kids.

A recent study published in the journal Pediatrics shows that the rise in prescription-medication use among U.S. adults has led to more poisonings among children -- despite efforts to prevent that outcome.

The phenomenon is so concerning that researchers are advising pediatricians to talk with parents about how to safely store prescription drugs away from kids of all ages.

The investigators write that despite public-health interventions like educational campaigns and the introduction of child-resistant medicine bottles, between 2001 and 2008, pediatric emergency-department visits due to medication exposures increased 30%, while the rate of hospitalizations increased 36%.

Simultaneously, the number of U.S. adults using prescription medications has also gone up. Researchers decided to explore whether there is a connection between the two. Their findings don't look good for child safety.

Research shows that more children are being exposed to medications not intended for them, and that most of these poisonings come from consuming prescription drugs vs. over-the-counter ones. Most of these drug exposures happen in a child's home, from medications belonging to an adult relative.

TIME.com: Study: Internet access may increase prescription-drug misuse

The researchers looked at two databases and compared monthly pediatric poisonings with the number of adult drug prescriptions from 2000 to 2009.

During those years, there was a rise in adult prescriptions for diabetes drugs, statins and other lipid-lowering medications as well as beta-blockers and opioids. They noted a significant association between the rise in adult prescriptions for those drugs -- including hypoglycemics, antihyperlipidemics, b-blockers, and opioids -- and poisonings among children for those specific medications.

The strongest link between drugs and emergency-department visits for pediatric poisonings was connected to lipid medications and beta-blockers. Serious injuries and hospitalizations occurred most often for opioids and diabetes medications.

Children under age 5 had the highest risk of poisonings, followed by 13- to 19-year-olds. For young kids, medication poisonings are more commonly caused by unintentional consumption, but for teens, it's more likely from recreational use. It's not enough to keep prescription meds out of the reach of young kids; households with teens should be equally mindful of where those drugs are stored to avoid harm and overdose from risky behavior.

TIME.com: More kids accidentally ingesting marijuana following new drug policies

The authors suggest that although public-health initiatives, like the 2008 Preventing Overdoses and Treatment Exposures Task Force, may be effective, kids are still being exposed at greater levels.

"Pediatricians should consult parents of patients on storing medications, focusing on how exposures vary based on the child's age and intention. Physicians prescribing drugs to adults should also be aware of the potential risk of exposures to children and provide guidance accordingly," the authors write.

Unfortunately, adult prescription-drug use is unlikely to fall anytime soon, especially given the high obesity rates in the U.S. Many of the drugs specifically implicated in the study, like antihyperlipidemics, oral hypoglycemics and b-blockers, are taken to treat obesity-related conditions.

The researchers conclude that based on their findings, there's a growing need for improved interventions for prescription-drug ingestion, including more age-specific prevention strategies.

This study was initially published on TIME.com.

More adult prescription drug use leads to increased poisonings in kids

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

More U.S. adults are using prescription medication

@highlight

That's led to more emergency room visits for medication exposure

@highlight

Teens' poisonings may result from recreational use instead of accidents