(CNN) -- Cautious American travelers have long avoided travel to North Africa and the Middle East, and the recent attacks on U.S. consulates aren't likely to make the risk-averse reconsider.

Yet seasoned travelers say a lack of familiarity with those regions creates generalization and confusion among travelers that could work against tourism to the United States, if the tables were turned.

"I was in Tunisia when ... people were killed at the theater in Colorado, and I was in Tunisia when there was a shootout at the Empire State Building. What people think over there when they hear this, you would think no one would ever come to the United States," said Jerry Sorkin, owner of TunisUSA, a tour operator that organizes trips to destinations including Tunisia and Algeria and had recently been weighing resuming tours of Libya, which the company suspended last year.

Veterans of travel to tense or unstable areas aren't easily deterred, despite shocking acts of violence like the attack that killed U.S. ambassador to Libya Chris Stevens.

Still, acts of terrorism obviously give many travelers (and their parents) pause. One New York City-based father was trying Wednesday to touch base with his son, who is spending a junior semester abroad in Jordan.

"Jordan is of course much safer and more stable," said the father, who declined to be identified out of concern for his son's safety. "But of course I am concerned and have tried to Skype him (left a message) and will talk to him later. The fact is that life goes on for the vast majority of people in these countries despite the 'big' events."

Pathik "Tik" Root won't let the recent attacks alter his plans to travel to Yemen in two weeks for a new job at a start-up news agency.

Root was just starting a semester abroad in Damascus, Syria, last year when he stumbled onto what he thinks may have been an anti-government protest in the Old City. He was arrested and held for two weeks in a Syrian prison before being released.

U.S. increases embassy security worldwide after Libya attack

"Attacks like these are meant to change behavior, and if I were to drastically change my plans or my routine it could, in their eyes, justify their use of violence," he wrote in an e-mail. "The attacks were intended to be a provocation, but we shouldn't take the bait."

"Yes I will likely be a bit more cautious about what I do and how I do it in Yemen as a result -- especially on potential flash-point days like 9/11 -- but I'm still going there," Root said.

Despite the violence and cautions from the State Department and U.S. embassies to Americans living or traveling abroad, Root and other expatriates say they will carry on with their plans in politically volatile parts of the world, taking the precautions they would advise for any American.

Ask lots of questions

If you're visiting someplace for the first time, talk to experienced travel agents and well-traveled friends and ask lots of questions. The violence in a particular country may not be occurring in a nearby country.

The violence in Libya "certainly will inhibit people from wanting to go to that part of the world and many of them are already inhibited rightly or wrongly, misunderstanding or not misunderstanding, they're already feeling that they should stay away from the region," said Sorkin, owner of TunisUSA.

The company had been planning to launch a marketing campaign as part of its efforts to resume tours in Libya, but he said that any campaign "would surely fall on deaf ears" over the next couple of months. The U.S. State Department issued a travel warning Wednesday against all travel to Libya by U.S. citizens.

"We're constantly feeling the pulse (across the region), not only on a personal level, but constantly with our people on the ground," he said. "Whether it's drivers, guides, lecturers -- we never want to put anyone in harm's way. But generally these regions are very safe."

Daily life not reflected in the news

Raven Smith lives in Mali with her husband and 15-month-old son and pays attention to the political unrest there.

"I can see that the information that is publicized is not reflective of the day-to-day life here," she wrote in an e-mail from the capital city of Bamako, where she works on a project strengthening agricultural systems in villages.

The situation in Mali doesn't capture the whole picture, Smith said. "Weddings are still going on, holidays are being celebrated, fields are being tended."

She's not naÃ¯ve, however.

"My plan with my family is that if Bamako seems that it is flaring up, that they will go and spend a few weeks visiting (my husband's) family in Guinea until we see where everything settles," she wrote. "I truly hope it doesn't come to that, but it is never a bad idea to have a backup plan."

Pay attention to cultural mores

Whether you're visiting for a short time or booking an extended stay, pay attention to cultural norms.

"I do try and respect the general cultural norms," wrote Smith. "No showing knees is a big one. Not drinking heavily in public, not inviting men into my house. I'm married now, but even before."

"I will always stand out, and I have to realize that," she wrote. "But I am also responsible for being a face of America. I am the one who can break stereotypes ... about Americans, and I take that pretty seriously, especially relating to the stereotypes about American women."

What do the locals say?

Just as New Yorkers or Los Angelenos might warn you to stay away from particular parts of their beloved cities, residents in other countries might tell you areas to avoid at night or during some events. Pay attention.

"Common sense that is necessary in any foreign country is still enough to get by here," wrote Bradley Williams, an undergraduate at the American University in Beirut, via e-mail.

"Beirut is more or less safe despite the occasional burning tires (but) I would exercise caution when going to the Bekaa Valley or the South," he wrote.

"Due to the kidnapping, it's not a good idea to go by oneself, for fear of appearing a lone foreign spy, (and it's) not a good idea to travel there at night. However, I think this applies to all people in those areas, not just foreigners."

Get to know people

American-born Chadwick Van Vasa lives in Tunisia in North Africa and is fluent in Arabic, the result of his mother moving to Morocco when he was a child and marrying a Moroccan. Yet he still stands out as a blond-haired, blue-eyed American in the capital city of Tunis, where he lives with his wife and three children and works as a business consultant.

His solution? The same notion that keeps people safe in their neighborhoods in Charlotte, Omaha and Seattle: "I take interest in my neighbors," said Van Vasa, speaking on his cell phone from Tunis.

"Our social life and work is very much integrated here. We make meals together. Our kids play together. Because of that, I don't feel threatened. In my day-to-day life, I don't see hostility in my personal interactions with friends."

Look at a map

If you are determined to avoid any part of the world where violence has recently flared, there are still African, Middle Eastern and other countries to visit.

Moroccan tourism often suffers when violence escalates in the region. Travel writer Zora O'Neill says she feels perfectly safe right now studying Arabic at a language school in Morocco for an upcoming book.

"Fortunately it's Morocco, which is generally known for being stable, secure and thousands of miles from Libya."

How do you feel about global travel amid anti-American protests? What do you do to stay safe?

CNN's Marnie Hunter contributed to this report.

@highlight

Two weeks in a Syrian prison isn't keeping Pathik Root from traveling abroad

@highlight

A tour operator is keeping a close eye on political instability in North Africa

@highlight

Morocco often sees a drop in tourism when there's violence in neighboring countries

@highlight

Daily life in Mali continues, despite political instability