London (CNN) -- Many Britons had awoken with a jolt that morning in April 1982 as news of the invasion on their digital clock radios left them struggling to believe their ears, oblivious even to the breezy new duet by Paul McCartney and Stevie Wonder that followed.

But the panic had faded by the time they had boiled their kettles for tea and poured the milk onto their cornflakes with the realization that the little-known Falkland Islands were not, as most had assumed, just off the coast of Scotland.

And, with the discovery that the islands were thousands of kilometers away on the other side of the world, and home to more penguins than people, most simply shrugged. Any thought of defending the islands was, of course, ridiculous.

It had hardly been Britain's finest hour to have been shown up as the decrepit ruritanian relic it had become by Argentina's brutal military junta.

But the sun had been setting on the empire for decades and a guano-stained archipelago hardly seemed to offer good value for money for already overstretched British taxpayers.

Indeed the continuing existence of such imperial anachronisms was something of an embarrassment to the center-right Conservative government of the day, led by the supine Michael Heseltine, as it sought to forge closer ties with European neighbors still wary of the UK's jingoistic past.

Within days the QE2 ocean liner had been dispatched to the South Atlantic to collect those islanders who wanted to return home to the land of their distant forebears.

A lightly populated island in the outer Hebrides was identified and the islanders handsomely compensated for the inconvenience of having had their spare rooms and sandwich toasters occupied by polite but nervous teenage Argentine conscripts.

Most felt that justice had eventually been done when England, fueled by the desire to extract some revenge for the humiliation of 1982, beat Argentina on their way to winning the 1986 World Cup in Mexico, albeit with the help of a large slice of luck when Steve Hodge, now remembered as the greatest player of his generation, blatantly handled the ball for his first goal.

Perhaps buoyed by the ease with which the Falklands issue had been resolved (The Sun newspaper had hailed it as the greatest British retreat since Dunkirk), Heseltine had embarked on a game show-style giveaway of the last remaining blobs of pink on the world map.

A memorable sketch by the "Spitting Image" satirical TV show portrayed him as Leslie Crowther, host of the popular British version of "The Price is Right," announcing "China! Come on down! Spain! Come on Down!" as Hong Kong and Gibraltar were hurriedly handed over to their new masters like the keys to a new speedboat.

But it was the next government that would lay the foundations for the prosperous and cohesive Britain we live in today. The 1984 election had thrown Denis Healey's Labour Party into coalition with the centrist Social Democratic Party-Liberal Alliance, a configuration that seemed to reflect the harmonious spirit of the era.

Sensing a defining shift in public mood, Healey announced that the UK would decommission its Polaris nuclear deterrent and abandon plans to replace it. He also pulled British troops home from bases all over the world, slashing military expenditure.

The consequences could not have been more far reaching.

France followed suit, decommissioning its own nuclear weapons and hailing a new spirit of entente cordiale by announcing ambitious plans to link Paris to London via a rail tunnel under the English Channel.

With Britain declaring itself nuclear weapon-free, the United States moved its stockpile of warheads to West Germany. But this provoked mass protests in West Berlin, Bonn, Frankfurt and Hamburg, as well as in East Berlin and the East German cities of Dresden, Leipzig and Karl-Marx-Stadt, as those on both sides of the Iron Curtain rejected the stranglehold that the two superpowers had exerted on Europe.

By 1990 both Washington and Moscow had withdrawn their forces from the continent and the Cold War was over.

In the UK, meanwhile, in addition to massive savings on the slimmed down military, the government had also found its coffers swollen by the proceeds of the North Sea oil boom.

Much of the money was diverted to northern England, regenerating a region that had been long dependent on old fashioned manufacturing industries as a hub for new technologies and computing in a process known as the Big Bang.

There were complaints from London of a growing north-south divide as tax breaks and deregulation attracted the smartest talent from the nascent computing scene in California and elsewhere, with Sheffield swapping steel for microchips and the Don Valley dubbed "Silicon Valley."

But nowadays Amstrad dominates the market not just in home computers and laptops but in mobile phones, while Clive Sinclair's latest tablet had geeks queueing outside Spectrum stores in London, New York and Tokyo.

The rest of the money was placed in a sovereign wealth fund that has ever since lavished the British people with the most generous welfare system on the planet and made the National Health Service a beacon of medical research.

British scientists pick up Nobel prizes so frequently these days that they are hardly deemed newsworthy, but one has stood out above all others for her contribution to the wellbeing of the planet.

Margaret Thatcher had originally planned to go into politics, but she had soon found that the prospects for a female MP in the then-male dominated world of Westminster were far from enticing.

Returning to her first love of chemistry, she proved to be a determined, dedicated and headstrong researcher with a natural aptitude for leadership, rising through the ranks to run her own medical laboratory.

Her achievements included developing a treatment for emphysema, a breakthrough for which she was lauded by the National Union of Mineworkers. In the former colliery villages of northern England, long retired miners still raise a glass to Maggie, as she is affectionately known.

But it was her groundbreaking work on cancer cells that would eventually earn Thatcher the Nobel medical prize. As she had eloquently put it as she collected the award in Oslo, urging others to continue her relentless fight against the disease, "We always have to be aware of the enemy within."

The opinions expressed in this commentary are solely those of Simon Hooper.

@highlight

Former UK Prime Minister Margaret Thatcher died last week aged 87

@highlight

Simon Hooper imagines what might have happened if she had chosen different career

@highlight

UK would have handed over Falklands to Argentina and abandoned nuclear weapons, he says