(TIME) -- Google Maps' Street View is becoming less and less about photographing the road to grandma's house and more about getting you off the road entirely. The tech giant's latest project, unveiled Monday, takes mapping initiatives to new and extreme heights by offering interactive galleries of some of the world's tallest mountains.

The views include four famous peaks from across the globe: the snow-capped Everest Base Camp in Asia's Himalayas, dormant volcano Mount Kilimanjaro in Africa, Mount Elbrus in Europe and Aconcagua in Pope Francis' home country of Argentina.

Users can drop into various camps and viewing locations along the mountains to explore 360-degree panoramas and trace the paths of some mountains' trails with just a few clicks.

"It feels like you're walking through the gates of hell because there are mule skeletons sticking out of the ground," Dan Fredinburg, one of the Google team members who photographed all four peaks, says about his experience at Aconcagua. "It was this out-of-world experience of entering into an environment where not many people go and knowing we were going to bring back that experience for others to see."

(VIDEO: Google Street View Lets You Explore the Grand Canyon)

Fredinburg is a Google Adventurer. That's not his normal title — he's a technical program manager who works on Google's privacy and security team — but his love of the extreme outdoors led him and his colleagues to start organizing visits to the highest mountains throughout the past year and a half. As they planned, another colleague suggested using their trip as an opportunity to collaborate with the Google Maps team, and their modern-day cartography mission was born.

Google Maps uses a variety of devices besides cars to capture footage from all over the world, including pushcart trolleys, trikes and, on occasion, snowmobiles. Cliffside hiking, however, required a different strategy. The Trekker — the backpack camera apparatus Google used to photograph its Grand Canyon collection, which debuted in February — had yet to be invented when Fredinburg and friends set their sights on some summits.

Scaling the world's highest peaks is also an equipment-heavy undertaking, which means lugging around backpack-sized cameras wasn't feasible. Instead, the adventurers went fairly low-tech, using an off-the-self digital camera and fish-eye lens — the same tools Google's Business Photos program has used to capture the interiors of more than 100,000 businesses since it launched three years ago.

"The fish-eye camera does allow you to get some amazing views, and it allows you to take photos a little bit more aggressively because you don't need to stop and aim as well," Fredinburg tells TIME. "You just hold the camera in a direction, even if you're precariously perched on the edge of a mountain."

(VIDEO: Google Street View Lets Users Virtually Dive the Great Barrier Reef)

Precarious indeed. The mountain peak collection was one of Google's trickiest mapping projects to photograph, as the adventure team dealt with torrential downpours, mudslides and even a 6.9-magnitute earthquake near Everest in the middle of the night. Working in Google's Mountain View, Calif. headquarters means Fredinburg is no stranger to West Coast quakes, but when your lodging in Nepal consists of seismically unsound trading posts built out of stones, natural disasters are a whole other story.

"As I was out in the dark, you could hear people screaming and running for cover. That is an eye-opening experience," Fredinburg says. "These people accept their fate as predetermined. To see them panicking and fearing something, it tests your own ability to stay calm in situations like that and not panic as well."

The mountains' high altitudes were another obstacle, one that required careful planning. At any given spot on the mountain, adventurers only need to take a few shots — three leveled photographs in each compass direction. But when you have to do that every 20 feet without your normal supply of oxygen, capturing the (literally!) breathtaking beauty of geological wonders becomes a demanding and time-consuming task, so Fredinburg and the other adventurers would meet at night to plot their itinerary, which usually began at first light.

Fortunately for them, assembling all that data back in Mountain View was a far less rigorous task: Google engineers use their mapping software to link the photos to their shooting locations and string them together to create the panoramic paths users walk through.

"The goal as a team is to make sure we had the opportunity to provide users with maps that are more accurate and usable," Fredinburg says. "Different adventurers and people who want to explore from the comfort of their homes have the opportunity to explore and see these different corners of the world."

PHOTOS: Street View and Beyond: Google's Influence on Photography

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

Google Maps' Street View has posted views from four famous peaks across the globe

@highlight

Images are from Mount Everest Base Camp, Mount Kilimanjaro, Mount Elbrus and Aconcagua

@highlight

Users can explore 360-degree panoramas and trace mountain trails with just a few clicks