(CNN) -- The news of Vaclav Havel's death Sunday morning caught me by surprise, but it was hardly surprising.

When I last talked to the Czech playwright, politician and statesman was in March, at a party to celebrate the Prague premiere of a movie he'd directed of his final play, "Leaving."

He was already very frail.

Ever since 1996, when he lost half a lung to cancer after a lifetime of heavy smoking, he had seemed to be living on borrowed time. He'd been in the hospital several times since then, and had one or two near-death experiences, but he always managed to bounce back, and I wasn't alone in thinking he might be practically invincible.

In March, I was on my way to Egypt to take a closer look at the Arab Awakening, and I wanted Havel's permission to try to find someone in Cairo to translate his most influential essay -- 1978's "The Power of the Powerless," about non-violent opposition to tyranny -- into Arabic.

That essay had inspired the creation of the anti-Communist Solidarity trade union in Poland, and continues to give strength to dissidents in Cuba, China, and Burma who are longing for peaceful change. I thought some Arab readers might find it useful as well.

Before the premiere, Havel had been in the hospital yet again, but here he was now, sitting on a couch, a plaid scarf around his neck, sipping a glass of wine and working his way through what seemed like an endless line of people wanting to wish him well.

He seemed small, a shadow of the man who, in his prime, could talk to kings and presidents and rock stars and command a world stage.

When my turn came, I sat down beside him, congratulated him on the movie -- his first (and now only) foray into that medium -- and then put the question to him.

His voice was so low I had to lean in close to hear him. He gave me his blessing, and then said, "But do you think the Arabs are ready for democracy?"

His question caught me off guard, but I finally managed a reply: "I have no idea, but Vasek, were you guys ready for democracy back in 1989?" He smiled, and said, "I see your point."

The most amazing thing about those 1989 revolutions was not just how quickly they unfolded, but how much sheer improvisation went on.

Havel led an ad-hoc group called the Civic Forum that, within ten short days, managed to negotiate the Communist party out of power. They had no real idea what they were doing, and there were no guarantees about the outcome.

On the other hand, you could argue that Havel's entire life -- and the life of his peers -- had been one long preparation for that moment.

Havel, who died peacefully Sunday morning in his country home in north-east Bohemia, leaves behind so many legacies it's hard to know where to begin.

In the 1950s, he was an experimental poet; in the 1960s, a master essayist, radical playwright and feisty magazine editor; in the 1970s, an underground publisher, human rights activist, and ultimately a prisoner.

And -- perhaps holding it all together -- he was a bon-viveur who loved wine and company and could bring people together in an atmosphere of camaraderie and good cheer.

He brought all these qualities into the Prague Castle as president, first of Czechoslovakia and then, after the country broke up in 1993, of the Czech Republic.

He also remained, paradoxically, a very shy and gentle man with a will of steel, who was fearless when confronting a regime that tried, relentlessly, to crush his spirit, and who, to the very end of his tenure in office, suffered from stage-fright each time he had to entertain a head of state, or speak in public.

Above all, he was an intellectual who believed that words were not enough. A favorite saying of his was, "Having posited A, I must therefore posit B." By that he meant that if you have ideas about how to change the status quo, you have an obligation to muck in and help bring that change about.

One of the most important turning points in his long career came back in the mid-1970s when he joined forces with Ivan Jirous, the leading figure in a musical underground that challenged the regime's cultural totalitarianism at its very core.

When the Plastic People of the Universe, the rock band Jirous was managing (and for whom I played for a while) were arrested in 1976, Havel and his companions sprang to their defense.

I believe it was at this point that Havel became a true "dissident," as the late Christopher Hitchens defined the term: someone who is willing to put his own comfort and safety at serious risk for the sake of his ideas.

Havel's defense of the musical underground morphed into the human rights movement called Charter 77, and a related organization, The Committee to Defend the Unjustly Prosecuted.

The regime shucked its kid gloves, and Havel spent over four years in prison, and suffered many more years of intrusive police surveillance.

He was not alone, of course, but his example made it easier for others to follow. His treatment by the regime permanently undermined his health, but his resistance also provided inspiration for a new generation of dissenters that came to fore in 1989.

During the Velvet Revolution, on December 7, 1989, in the fabled Magic Lantern Theatre where Havel and the Civic Forum had their headquarters, he was asked by a journalist what political lessons he had learned in his years as a dissident.

"I'd have to think about it," Havel replied, "but there's one lesson I could mention right now. When you try to act in accordance with your conscience, when you try to speak the truth, when you try to behave like a citizen, even in conditions where citizenship is degraded, it won't necessarily lead anywhere, but it might. There's one thing, however, that will never lead anywhere, and that is speculating that your behavior will have a specific outcome."

I did eventually find an Arabic translator for Havel's essay, and it will be coming out in an anthology of his work to be published in Cairo sometime next year. It won't necessarily lead anywhere, but then again, you never know.

The opinions expressed in this commentary are solely those of Paul Wilson.

@highlight

A long-time friend of Vaclav Havel's remembers him as fearless against the regime

@highlight

Havel loved wine and company and could bring people together, Paul Wilson recalls

@highlight

He believed that if you have ideas for change, you must help bring that change about

@highlight

He continues to inspire activists in China, Cuba and now the Arab world