(CNN) -- 1980s nostalgia is about to intensify. This week, ABC television will premiere its new show "The Goldbergs," a sitcom about a suburban middle-class family in the 1980s that loves to yell and scream. The pilot promises to bring back memories of colorful leg warmers, REO Speedwagon, Sam Goody stores, and Simon electronic game units.

"Before there were parenting blogs, trophies for showing up, and peanut allergies," the network's online description says, "there was a simpler time called the '80s."

While the program will showcase the lighter side of American culture in the 1980s, we should remember the decade was anything but simple when it came to politics. There were huge changes that took place in this pivotal decade that continue to shape politics today.

Tax cuts and deregulation: The roots of our current economic policies lie in the 1980s. With Ronald Reagan in the White House, Republicans were able to have a huge impact on taxation and regulation. One of Reagan's signature changes was the tax reduction of 1981, which significantly lowered income tax rates and weakened the ability of the federal government to raise revenue.

While there have been tax increases since that time, the trajectory of the overall rate structure has generally moved downward, making it extremely difficult for the government to finance new programs without raising the deficit.

The Reagan administration was also very successful at promoting economic deregulation. The idea of deregulation had already gained bipartisan support in the 1970s. Democrats like Sen. Ted Kennedy pushed for the deregulation of the airline industry to help consumers, while conservative economists like Milton Friedman championed deregulation to free up markets.

But Reagan sold the idea like no other politician before him. He believed that markets were superior to government at almost every turn. His aggressive push for deregulation of markets would continue to influence debate in the 1990s as Democrats joined the GOP in dismantling New Deal programs that had monitored financial markets. The nation paid the price with the devastating financial collapse of 2008.

Life and politics in the 1980s

The end of the Cold War: The end of the Cold War started in the middle of the 1980s. While young Americans such as Barry -- the middle child in the television show and the family upon which it is based -- were mostly worried about what cassette tapes they should buy and getting their first car, Reagan entered into a series of historic negotiations with Soviet President Mikhail Gorbachev between 1985 and 1987 that culminated with the signing of the Intermediate-Range Nuclear Forces Treaty in 1987.

Following the treaty, the Soviet Union would collapse in the years when George H.W. Bush was in the White House.

Since the 1980s American foreign policy has been characterized by a shifting and murky battle against rogue states and terrorist networks. The battle lines have never offered voters or politicians the same kind of clarity as existed in the Cold War, often making it more difficult to mobilize long-term support behind military operations and producing confusion about what policymakers are even trying to achieve. This was true even after 9/11 as the U.S. became bogged down in a war in Iraq that had little to do with the source of the attack.

Liberalization of social and cultural values: Even with Reagan and Bush in the White House, American culture continued to embrace the values from the Age of Aquarius. During this decade, Americans were listening to more explicit lyrics in their music, watching television shows and movies that had more sexuality and violence, and listening to radio shows such as Howard Stern's which abandoned the social inhibitions of the 1940s and 1950s, when the original "Goldbergs" aired on radio and television.

Beyond entertainment, public health crises -- most importantly the spread of the deadly AIDS virus -- required policymakers to have more honest talks with the public about sexual relations. In 1987, hundreds of thousands of activists marched on Washington to call on the federal government to devote more resources to combating AIDS.

As homosexuality became less of a taboo, more gay Americans came out of the closet. There were also celebrities who made a difference. In 1985, the publicist of the actor Rock Hudson, a very close friend of the president, announced that Hudson had AIDS. Although his people said it had resulted from a blood transfusion, the media soon reported that Hudson had been gay.

Americans were also living in a country that was becoming even more ethnically and culturally diverse, as the waves of immigration that had swept into the nation since the immigration reform of 1965 remade the cities and suburbs. Americans became familiar with the world that Asian, Latino and other immigrants were building.

In recent years, Americans have been giving their strong support to gay rights and rejecting those who warn that recent developments, such as same-sex marriage, are pushing the nation in the wrong direction.

There is also very little support for efforts to impose regulations on popular culture, and much more comfort that there is no danger in Americans' having more honest discussions and cultural exposure to sexuality. While some conservatives adhere to hard-line positions on immigration restriction, national polls show that most Americans support a path to citizenship.

The 24-hour news media: In 1980, CNN began, and the erosion of the era of network news dominance was under way. The network news established in the 1960s had revolved around three nightly news shows, each approximately a half-hour in length.

CNN broke the mold when it began the 24-hour news cycle from its Atlanta studios. With CNN, the flow of information was constant and it was much harder for politicians to respond to the emergence of stories. Other cable news networks soon emerged, including Fox News, CNBC and MSNBC, as cable became a dominant mode of information. The Internet followed this same model, making the news cycle even more intense.

This media cycle had a number of effects. It fragmented and decentralized the distribution of news information, making it more difficult for politicians, including the president, to reach broad national audiences, since viewers could tune in to a much wider variety of stations.

Once the Fairness Doctrine, which had required stations to give opposing viewpoints equal airtime, came to an end in 1987, the cable networks could air more partisan newscasts. The proliferation of channels and the 24-hour cycle intensified the competition among news outlets to release information as fast as possible and to find stories about political scandal and conflict that would attract viewers. This fueled the partisan polarization that was taking place in Washington during this decade.

As viewers watch the antics of the Goldbergs, remembering or learning about what life was like in long-ago suburbia, it's worth thinking about the bigger changes that were taking place outside the home that have continued to shape our politics. The 1980s are much more than nostalgia.

We live in the fast-changing world of the 21st century, yet ours is a society that owes much to the way things were three decades ago.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: New TV show may add to nostalgia for the 1980s

@highlight

He says the era was one that fundamentally shaped the world we live in today

@highlight

Zelizer: From tax cuts to the 24-hour news media, the 1980s were tremendously influential