(CNN) -- For many of us, eating out happens more often than we would like to admit. It's only natural that with our busy, can't-catch-a-break lifestyles we farm out cooking to our favorite local restaurants.

That's OK -- it's not so much eating out that's the problem. Rather, it's what we eat at restaurants that can cause health issues. Too many carbohydrates, too much fat and too much salt can lead to obesity, Type 2 diabetes, hypertension and cholesterol issues.

The problem is, restaurant menus are designed to entice your sense of taste, not tell you whether the foods they're advertising are healthy. But I'm here to take the guesswork out of dining out.

Calorie bombs away! The worst chain restaurant dishes are...

Fried foods

Restaurant Code Words: Crunchy, tempura, battered, crispy, breaded, crusted, golden, sizzling

If you're making a healthy choice, you're probably not purposely choosing a fried food item. Look for words like crunchy, battered, crispy, breaded, crusted, golden, tempura; some of these options are a double-whammy on your caloric intake because the item is fried with an additional carb-based coating.

Fried foods may taste great, but tend to be high in fat and calories -- and deep frying robs food of nutrients. A grilled, baked or roasted 4-ounce chicken breast (the size of a deck of cards) will run you about 170 calories, whereas the deep fried selection can pack a whopping 370 calories.

To make matters worse, many restaurants (usually of the fast food variety) use partially hydrogenated oil because it can be reheated and reused over and over again. Partially hydrogenated oil contains trans fats (the worst of the fats) which raises your LDL (bad cholesterol) and lowers your HDL (good cholesterol), leading to a higher incidence of heart disease.

Guilt-free eating: 10 nutrition myths debunked

High-sugar foods

Restaurant Code Words: Teriyaki, BBQ, glazed, sticky, honey-dipped

Powdered doughnuts may be self-explanatory on a menu, but options labeled as Teriyaki, BBQ, glazed, sticky or honey-dipped could also be high in added sugars. It is wise to ask if sauces of any kind are made with sugar, including salad dressings and vinaigrettes.

Watch out also for meals that are high in carbohydrates. Carbs turn into sugar when they are broken down by your digestive system. The usual suspects are items like pasta, potatoes and rice, but even menu items like "healthy" couscous, quinoa and faro are high in carbs and should be eaten with the same moderation as traditional offerings.

How much sugar is in that drink?

High-calorie foods

Restaurant Code Words: Loaded, stuffed, creamy, cheesy, gooey, smothered, melted, rich, velvety

It's funny how adjectives describing foods can elicit Pavlov's law in even the most rigorous health fanatic. That's the point. Foods described as loaded, stuffed, creamy, cheesy, gooey, smothered, melted, rich and velvety are triggering a "feeling" that you get when you eat that particular menu item. Don't fall into the trap!

These "comfort foods" may take you back in time to a simpler place where a gourmet grilled cheese sandwich on brioche could right all of the wrongs in the world, but the one wrong it won't right is the number of calories packed into one bite.

Something described as "loaded" or "stuffed" is going to also be loaded or stuffed with calories -- and no one wants to feel like a Thanksgiving turkey.

Eating out costs you 200 calories

Healthier options

Restaurant Code Words: roasted, baked, braised, broiled, poached, rubbed, seared, grilled, steamed, sautÃ©ed, spiced, seasoned

Chefs at local restaurants everywhere are catching on that Americans are looking for healthier options when dining out. Restaurants that specialize in foods that are "made-to-order" or that focus on locally sourced foods will likely have more options.

Even some fast-casual restaurants are retooling mainstays and developing new menu items that won't bust your caloric intake for the day.

Words like roasted, poached, baked or grilled are your best options -- just don't order the grilled 26-ounce ribeye steak. Don't be afraid to ask questions about the menu, and if nutritional information is available, read through and choose the meal that will balance your health with your desire for something tasty.

@highlight

There are healthy restaurant menu choices while eating out

@highlight

Crunchy, battered, crispy, breaded, crusted, golden and tempura are code words for fried

@highlight

Food described as "loaded" or "stuffed" is likely loaded and stuffed with calories

@highlight

Choose roasted, baked, braised, broiled, poached, seared, grilled or steamed