(CNN) -- Years from now, historians are likely to look back upon Barack Obama's second inaugural address as a rich treasure trove for understanding his presidency and possibly the course of American politics.

It wasn't as important for his rise to power as his 2004 address to the Democratic National Convention. That one propelled him onto the national stage. It wasn't as elegant as his Philadelphia speech on race relations in the 2008 campaign. That one was his rhetorical masterpiece. But the second inaugural was far more important than either in defining his political philosophy as president.

Politics: After inauguration, political reality returns to Washington

Here's a first rough draft of what historians may find significant:

Obama revealed: The Obama who took the oath of office this week seemed not only more confident but also liberated. A central point of his address was that he inherited an economic crisis and two wars but now the nation is emerging into a clearing. This, he believes, is a golden opportunity for fresh action -- a moment to be seized.

Left unspoken were two other reasons why he feels liberated: He clearly thinks he has shown the country that Republicans aren't willing to compromise, so that he has no choice but to try to muscle them.

The GOP has now blinked twice on the fiscal cliff and the new debt ceiling; he plans to make them keep blinking. Then, too, Obama is also freed up because he is no longer working under the shadow of the 2010 midterm elections when he was snookered. After his convincing win in 2012, he is back on top politically.

Opinion: Obama's ringing defense of liberalism

All of this has inspired the president to reveal to the world his true political philosophy: In one speech, he gave the strongest embrace of 20th-century liberalism since Lyndon Johnson and the Great Society. Yes, he gave a couple of bows to the importance of individual initiative and private enterprise, but the heart and soul of the address was a call to collective action on a wide array of fronts.

Gone were the third way of Bill Clinton and the centrism of Jimmy Carter. He emerged as an unapologetic, unabashed liberal -- just what the left has long wanted him to be and exactly what the right has feared.

Heir to Lincoln and King: A little more than three decades ago, Ronald Reagan moved the inaugural ceremony from the east side of the Capitol to the west. For Reagan, the symbolism was that of a Californian who wanted to give his inaugural address gazing out across the National Mall, the monuments and Arlington Cemetery toward the Pacific. But for Obama, the symbolism was very different: He was the president who looked west toward the monuments of Abraham Lincoln and the Rev. Martin Luther King Jr. and his address artfully tied him to their legacy.

The historian Garry Wills won a Pulitzer Prize some years ago with his book on Lincoln's Gettysburg Address in 1863. Wills argued that for most of America's early history, people thought that the republic was born with the Constitution of 1787 and the Declaration of Independence was a secondary document.

Opinion: Anti-government era is over

Along came Lincoln at Gettysburg saying that the country was born "four score and seven years ago" -- in 1776 with the declaration. In Wills' view, now widely accepted, Lincoln at Gettysburg turned the declaration's second paragraph into the founding creed of the country. What we must aspire to, Lincoln was saying, was to ensure that all are created equal.

King came to the Lincoln Memorial 100 years later -- in 1963 -- to go back to Lincoln at Gettysburg and through him to the declaration. The nation, King said, must live up to the promise of equal opportunity -- and indeed, that was the dream he so eloquently expressed in the finest American speech since Gettysburg.

Enter Obama at his second inaugural, not only on King's official holiday but 50 years after "I Have a Dream" and 150 years after Gettysburg. The president's address begins with a recitation of the declaration, calls it our "founding creed" and makes the aspiration of equal opportunity the central goal of his presidency.

In the past, presidents at inaugurations have found the nation's heroes among those who have died in battle. Obama chose a different path: He found the nation's heroes at Seneca Falls, Selma and Stonewall. His philosophy, as we learned, is not just about government programs but about embracing inclusion and diversity. It was, I believe, his firmest attempt to build upon Lincoln and King -- and in effect, his address made him their modern heir.

Opinion: GOP, play offense in Obama's second term

Setting a new course: A president's inaugural address often sets the tone and direction of his next four years in office and nowhere may that be more true than with Obama's second. His assertive address has heartened his supporters so that they seem ready to march into battle with him. They not only want him to succeed, but they now have an ambitious agenda to embrace as well.

Smartly, the president's team began putting together a new citizens group, Organizing for Action, just before the inauguration, and his speech was in effect a call to arms. Whether "OFA", as Democrats in Washington already call it, will work well with the Democratic Party is open to question, but it is clear that Obama & Co. intend to use it as an important way to rally public pressure on Congress for his agenda.

On the other side of the aisle, many Republicans such as Eric Cantor were respectful of the president after his address but underneath most of them were bristling. They had expected the president to issue a ritualistic plea for bipartisanship and then to begin negotiating with them over federal deficits.

Instead, he made it clear that he will work with them as long as they agree with him and try to run over them if they resist. From the GOP perspective, Obama was virtually dismissive of the nation's fiscal threats and wasn't interested in true negotiations. In a tweet after the speech, scholar Ian Bremmer captured their view of Obama's message to the GOP: "Together, we shall pursue my objectives."

Opinion: World to Obama -- You can't ignore us

In short, the divisions in Washington may grow even deeper in the near term, if that is possible, and no one knows what will actually be accomplished. Among partisans on both sides, there is still a sense that a piece of gun control can be passed (starting with background checks) and perhaps a larger piece of immigration (starting with H-1B visas and legal status for the undocumented). But serious action on climate change seems distant.

More centrally, the parties seem even further apart on a budget agreement. The GOP is in no mood to revisit higher taxes and the president's address gave a ringing endorsement to the basic structure of Medicare, Medicaid and Social Security. In short, the road ahead looks even rockier than it seemed after the elections.

On the day before the inaugural, a New York Times article by Jodi Kantor reported that after the first term, Obama has warned possible candidates for his job that it is very difficult to get things done in Washington and that the president has a "contracted sense of possibility." He and his team are also aware that power seeps away quickly in a second term.

How, one wondered, is it possible to reconcile those views with Obama's decision to go big at the inaugural, pushing an extraordinarily ambitious agenda.

That question still lingers after the inauguration. It is just possible that what he was ultimately doing in his address was to present the country with a liberal vision of the future and a legislative agenda to go with it -- something akin to what Franklin Roosevelt did in 1944. FDR left behind a Democratic Party with a majority coalition and an agenda that drove American politics for more than 20 years.

Is that the legacy that Obama really wants to leave? Lincoln, King, FDR -- all rolled into one? Only historians will know the answer for sure.

The opinions expressed in this commentary are solely those of David Gergen.

@highlight

David Gergen says historians will look on Obama's speech as an important source

@highlight

Obama seemed liberated to express his philosophy of government, he says

@highlight

Gergen says the president stressed equality in the tradition of Lincoln, King

@highlight

He says GOP is bristling at the speech, and it will likely deepen divisions in Washington