(CNN) -- A marine expedition of environmentalists has confirmed the bad news it feared -- the "Great Pacific Garbage Patch" extends even further than previously known.

Organized by two non-profit groups -- the Algalita Marine Research Foundation and the 5 Gyres Institute -- the expedition is sailing from the Marshall Islands to Japan through a "synthetic soup" of plastic in the North Pacific Ocean on a 72-feet yacht called the Sea Dragon, provided by Pangaea Exploration.

The area is part of one of the ocean's five tropical gyres -- regions where bodies of water converge, with currents delivering high concentrations of plastic debris. The Sea Dragon is visiting the previously unexplored western half of the North Pacific gyre -- situated below the 35th parallel, and home to a massive expanse of plastic particles known as the "Great Pacific Garbage Patch" -- to look for plastic pollution and study its effect on marine life.

Leading the expedition is Marcus Eriksen, a former U.S. marine and Ph.D student from University of Southern California.

"We've been finding lots of micro plastics, all the size of a grain of rice or a small marble," Eriksen said via satellite phone. "We drag our nets and come up with a small handful, like confetti -- 10, 20, 30 fragments at a time. That's how it's been, every trawl we've done for the last thousand miles."

Eriksen, who has sailed through all five gyres, said this confirmed for him "that the world's oceans are 'plasticized.' Everywhere you go in the ocean, you're going to find this plastic waste."

Growing glaciers smother climate debate

Besides documenting the existence of plastic pollution, the expedition intends to study how long it takes for communities of barnacles, crabs and molluscs to establish, whether the plastic can serve as a raft for species to cross continents, and the prevalence of chemical pollutants.

On a second leg from Tokyo to Hawaii departing May 30, the team expect to encounter material dislodged by the Japanese tsunami.

"We'll be looking for debris that's sub-surface: overturned boats, refrigerators, things that wind is not affecting," Eriksen said. "We'll get an idea of how much is out there, what's going on and what it's carrying with it, in terms of toxins."

Scripps Institute graduate Miriam Goldstein was chief scientist on a similar expedition to the Great Pacific Garbage Patch in 2009. According to her research, there has been a 100-fold increase in plastic garbage in the last 40 years, most of it broken down into tiny crumbs to form a concentrated soup.

The particles are so small and profuse that they can't be dredged out. "You need a net with very fine mesh and then you're catching baby fish, baby squid -- everything," Goldstein says. "For every gram of plastic you're taking out, you probably take out more or less the equivalent of sea life."

Scientists are worried that the marine organisms that adapt to the plastic could displace existing species. Goldstein said this was a major concern, as organisms that grow on hard surfaces tend to monopolize already scarce food, to the detriment of other species.

"Things that can grow on the plastic are kind of weedy and low diversity -- a parallel of the things that grow on the sides of docks," she says. "We don't necessarily want an ocean stuffed with barnacles."

Sea-level rise: Impacts and mitigation measures around the world

Eriksen says the mood on the Sea Dragon has been upbeat, with crew members playing a ukulele and doing yoga, "but the sobering reality is that we're trawling through a synthetic soup."

Also on board is Valerie Lecoeur, founder of a company that makes eco-friendly baby and children's products, including biodegradable beach toys made from corn, and Michael Brown from Packaging 2.0, a packaging consultancy.

Eriksen says they have been discussing the concept of "extended producer responsibility".

"As the manufacturer of any good in the world today, you really can't make your product without a plan for its entire use, because you could eventually have 7 billion customers buy your product," he said.

"If one little button has no plan, the world now has a mountain of buttons to deal with. There is no room for waste, as a concept or a place -- there's just no place to put it anymore. That's the reality we need to face. We've got this plastic everywhere."

@highlight

A research expedition has found plastic in the last unexplored part of the ocean

@highlight

The crew, which includes packaging experts, is studying the effects on marine life of plastic pollution

@highlight

It will next attempt to measure the density and toxicity of Japanese tsunami debris

@highlight

Plastic in the ocean has increased 100-fold in the last 40 years, scientists estimate