On CNN's "State of the Union," CNN host and chief national correspondent John King goes outside the Beltway to report on the issues affecting communities across the country. This week, King traveled to Peoria, Illinois, to explore how the recession is hitting the blue-collar town hard.

Chris Guynn says he's grateful that his wife has a full-time job while he studies for life after Caterpillar.

PEORIA, Illinois (CNN) -- Suddenly, this city's motto rings hollow: "It's Better Here" doesn't match the mood in a place where the recession hit late but is now hitting hard.

"I just felt, I thought I couldn't lose with this company" is how Chris Guynn described his motivation for moving his wife and two children to Peoria from Las Vegas, Nevada.

There was a job waiting at Caterpillar, the 80-year-old heavy equipment giant, and "It was a company that you could just retire with, great pension, retirement, 401 and so on."

Guynn is one of 20,000 workers Caterpillar will shed by the end of the first quarter of 2009, a decision the company announced this week. The company says the job cuts are necessary because of a decline in orders that it attributed to the U.S. and global recession.

Now, Guynn is enrolled at classes at Central Illinois College, grateful his wife has a full-time job at a local call center, and was nervously waiting to find out not if but when his last day would be.

That shoe dropped Friday, when 814 employees at the Mossville plant who had gotten notice that they would be let go arrived at work to learn that this was their final day.  Watch how one family tries to cope with layoffs »

There was more bad news: On Friday, Caterpillar announced that it is eliminating an additional 2,110 jobs at three Illinois plants to match production with falling demand.

To visit Peoria is to meet the faces behind the numbers: rising new claims for unemployment benefits and the rising state and national unemployment rates.

Guynn follows the news and knows that a major economic stimulus package is being debated in Washington. Guynn is skeptical when he hears that politicians are looking to spend more than $800 billion, yet he does voice faith in the new president who calls Illinois home.

"I believe he's going to help it out," Guynn said in an interview at the college. "Everyone is worth giving that chance to. ... I want to give him a fair shot. I know it's not going to happen overnight, but I'm willing to see what he's going to do."

Still, Guynn acknowledges that not all anxious workers are as patient.

''I mean, it was basically left to him, you know, he didn't really do it, in my opinion, but it's his problem now."

As President Obama works to meet those high expectations and deal with mounting conservative criticism of his approach, Guynn is hoping his classes eventually land him a new career as a crime lab technician.

"I'm 36 years old. I've waited many years to get back into school, but finally I'm doing it. This is the perfect time. ... I'm not happy to get laid off, but at the same time, I'm looking to further myself with a better career."

Christy Williams' choices are starkly different.

She is a single mother of five young children, ranging in age from 5 to 14. Not having a second income to help cushion the blow of losing her job at Caterpillar adds to the stress, something Williams vows to keep hidden from her children.

To that end, she waited until the end of her two-week notice period before telling them Mom would suddenly be spending more time at home.

"I don't let them see that I'm stressed out about things," Williams told us as her two youngest watched television in a lower-level family room of her Peoria home.

"I waited. I didn't tell them right away. The two 5-year-olds, I didn't think they would understand what that meant anyway. So I just waited until I was done working, and then I said, 'Things are going to be a little bit different. I'm going to be home in the morning, you know, when you go to school and when you get home from school.' And we've just kind of gone that route."

Williams, who worked as an administrative assistant, had never been laid off. She has a four-year college degree and initially was optimistic that she would quickly find work. Now, with about 10 weeks of unemployment benefits left and a bleak job market, Williams is getting more nervous and keeping an even more watchful eye on the family budget.

"Just everything in general has been, had to be cut back," she says. "I really went into it thinking I would have a much easier time finding a new job. Looking for something, I thought it was going to be easier for me than it has been."

Williams shrugs when asked how the politicians in Washington could help her as they debate an economic stimulus package and says she is beginning to compromise in her job search, looking for openings in retail sales or other positions that would pay her less than at Caterpillar but allow her to keep up with the mortgage and feed her children.

"I'm very nervous," Williams said. "I'm very nervous of what will be available, and every day on the news, there's more layoffs that are being shown, in our town as well as the nation."

Williams said she has no advice for President Obama and Congress, but she is watching "now more than ever."

On the floor of one of Caterpillar's giant assembly plants, however, Jim Lierle is quick with a warning that lawmakers looking to help blue-collar workers like him might think again about one idea gaining steam in Congress.

The House and Senate versions of the legislation include "Buy American" clauses that direct the stimulus money to American made goods and services. On the surface, that should help Caterpillar, whose giant earth movers and other heavy equipment would be in demand if billions are spent on highway and other infrastructure problems.

But there is a reason the recession hit late here: Half or more of Caterpillar's business is tied to overseas exports, and only recently has the global slowdown caught up with the squeeze many American manufacturers were already feeling at home.

If Congress mandates "buy American," Lierle echoes Caterpillar management in worrying other countries will retaliate with trade sanctions, and the company's exports will dip even more.

"We're worldwide," Lierle said during a walk on the factory floor in East Peoria. "I don't know why our government wouldn't support us, too. ... We've got to have that market. We've got to have it. Fifty percent of these tractors will go overseas. We can't lose that. If we lose that, we're gonna go down."  Watch Jim Lierle discuss situation at Caterpillar »

His 39 years at Caterpillar protect Lierle from the current plan to shed 20,000 jobs, but he knows many of the workers who are gone, or who will be let go over the next couple of months, and worries that a way of life in blue-collar industrial towns like Peoria is coming to an end.

Like many, Lierle hopes a new administration in Washington will help bring an economic turnaround. But he is more reserved than many here when it comes to rating the new president.

"I respect the rank, but the man has to earn respect from me," Lierle said. "I don't give respect. They have to earn it. And so far, I haven't seen a whole lot that anybody's earned. ...I'm not going to judge the man yet. I'll see what he does. Give him the benefit of the doubt. See what he comes up with. The way he's talking, he's made a lot of promises. It's gonna be hard to fulfill all those promises. And he's sure not gonna do it in the first six months.

"I've got a lot of patience," Lierle said. "I've been married for 36 years. I've got a lot of patience."

@highlight

Global market means job cuts hit Peoria later than other parts of the U.S.

@highlight

Caterpillar, a large employer in Peoria, is cutting 20,000 jobs worldwide

@highlight

One employee's wife has full-time job; he's attending classes for second career

@highlight

Another employee, a single mother of five, has nothing to fall back on