Palm Springs, California (CNN) -- Even after months of tensions over alleged cyberattacks, the leaders of China and the United States struck positive tones in a two-day summit that ended Saturday in the sweltering heat of the California desert as both talked of forging a "new model" for their relations going forward.

"We're meeting here today to chart the future of China-U.S. relations," Chinese President Xi Jinping said. "...We need to think creatively and act energetically so that working together we can build a new model of major country relationship."

The summit at the Annenberg Retreat at Sunnylands, just outside Palm Springs, comes less than three months after Xi rose to his current post. Both he and U.S. President Barack Obama pointed out their meeting is happening sooner than some expected, a testament they said to both men's recognition of the importance of solid relations between the two countries.

And both heads of state, who met last year in Washington when Xi was China's vice president, spoke of pursuing policies that furthers their nation's respective interests.

From Obama's perspective -- even taking into account "healthy economic competition" between the two powers -- that means seeing China continue to grow.

"It is in the United States' interest that China continues on the path of success, because we believe that a peaceful and stable and prosperous china is not only good for Chinese but also good for the world and for the United States," he said.

The U.S. president did allude to the fact "areas of tensions" are inevitable, highlighted his nation's commitment to human rights, and its support for "an international economic order where nations are playing by the same rules."

"And ... the United States and China (can) work together to address issues like cybersecurity and the protection of intellectual property," he added.

That comment -- tucked in the middle of Obama's opening remarks -- was the closest the U.S. president got to referring to the rhetorical skirmishes of late over whether U.S. servers and secrets have been targeted from China.

Such allegations were made in a Pentagon report that points to "the Chinese government and military" as the likely culprits of cyberintrusions in American institutions, to allegations that even the presidential campaigns of Mitt Romney and Barack Obama were hacked by Chinese operatives in 2012.

Beyond the broad outlines laid out by the two leaders late Friday afternoon, it's not clear exactly what the leaders will discuss over the coming days.

But experts on U.S.-China relations told CNN that they don't expect cyberattacks will come up in direct negotiations, which occur as the Obama administration is on the defensive over whether it's wrongly violated citizens' privacy in collecting phone and online data as part of its antiterrorism strategy.

"They both won't want to and won't be able to use this as leverage in a discussion," said Chris Johnson, China expert at the Center for Strategic and International Studies. "They won't be able to say this is the pot calling the kettle black."

Robert Pastor, founder and director of the Center for North American Studies at American University, said the two nations have different perspectives.

While the "U.S. is focusing on acts of violence and terrorism," Pastor said, China is "utilizing the Internet and other mechanism in order to steal commercial or military secrets."

Earlier this month, Defense Secretary Chuck Hagel pointed to China when he addressed cybersecurity threats, telling an audience of defense professionals in Singapore that the United States was concerned about "the growing threat of cyber intrusions, some of which appear to be tied to the Chinese government and military."

In an annual support on Chinese military capabilities, the Pentagon echoed Hagel's claim, stating that recent cyber attacks in the United States appeared "to be attributable directly to Chinese government and military."

Beijing has repeatedly denied the accusations, saying that hacking is a global problem, of which China is also a victim.

Despite the fact that most experts believe the United States use of monitoring is unlikely to come up, many acknowledged that if Obama and other White House negotiators push too hard on charging the Chinese with cyberespionage, domestic programs in the United States could be used against them.

"The potential for pushing back is there and that may force the United States to take a more win-win approach," echoed Kennedy, stating that if it does come up, it may force the United States to focus on less decisive goals from the two-day summit.

The fact is cybersecurity is just one of the many issues the two countries might address. One is what to do about North Korea's nuclear program. Another is how to address climate change. Then there's how to fairly boost the economies of both countries.

Meanwhile, the American public sees China as much as an ally or, at least, a "frenemy."

The latest Gallup poll shows 55% of Americans asked think China is either an ally (11%) or a nation friendly to the United States (44%), while 40% say it is either unfriendly (26%) or an enemy (14%).

For the most part, the different experts said, this weekend's meeting will primarily be an opportunity for the two leaders to get to know one another, while also addressing major issues.

"If these guys come out of the meeting saying, I understand this other person and this is someone I can work with" then the meeting should be considered a success, Johnson said.

CNN's Greg Botelho reported and wrote from Atlanta, Jessica Yellin reported from Palm Springs, and Dan Merica reported from Washington. CNN's Jethro Mullen contributed to this report.

@highlight

NEW: Xi says meeting could "chart the future of China-U.S. relations"

@highlight

NEW: Obama says a peaceful, prosperous China is good for the U.S., world

@highlight

The two leaders meet for 2 days in the desert around Palm Springs, California

@highlight

The talks come as the U.S. has said cyberattacks have originated from China