(CNN) -- Whether you are shooting with a DSLR or a smartphone, one goal all photographers strive for is photographing a scene that quickly gets to the heart of the story without explanation or embellishment.

So how do you do that? Well, the answer doesn't always lie with a fancy camera. Excellent visual communication is primarily driven by your unique visual sense, the time spent shooting and a deep connection to the story. In essence, you must do more than take pictures. You must make them. Images that transcend snapshots require extra effort.

Once you've gone through the above gallery and learned how to compose your images, you may find the following tips helpful to take your photojournalism skills to the next level.

Personal projects

When I meet someone trying to break into photojournalism, I try to get a grasp of their motivation and inspiration. One of the best ways to do this is to have them show me personal pictures, frames they made that were not for an immediate assignment. It is important to photograph things you care about, even if they may be insignificant to others. What matters is that you get invested in a subject and continue to photograph it over time. This is considered a personal project.

Almost every story I have done for CNN was a subject I was interested in and pitched to the editors. For starters, I recommend choosing something simple. I have seen terrific projects that people have done on their relatives or friends, or on the places they live or hobbies they enjoy.

You should photograph every aspect of your project. Get the details and get the wide shots that show the entire scene. By dedicating yourself to a project, you'll become more in tune with the way your camera works. You'll also begin to understand how to tell a story and how to make informative pictures. A personal project will not only improve your photography skills, it will also prepare you to capture breaking news when it unfolds.

One lens

It is no secret that most photographers love gear, but it is easy to get bogged down worrying that you don't have the right gear for the job, or maybe you feel like you could do a better job if you just had that one other thing. I disagree with this premise. Photojournalism is about the subject, not about the camera. Whatever you shoot with, if you find the moment or composition that tells the story, then you've done well.

Many of the greatest photojournalists have worked with very minimal gear. I personally shoot the majority of my work with one lens, roughly a 35mm. It is great for getting close to the subject and allowing me to show bits of the environment they are in.

If you focus on mastering whatever equipment you have at your disposal, then you'll be better prepared for whatever news situation you encounter. Spend time learning all of the options that you can get from a specific lens, and then you'll find you are able to think less about the equipment and more about subject. Start by figuring out how close you can focus with your favorite lens, then practice shooting tight. Take a few steps back to shoot a wider environmental portrait. Finally, get as far back as you can to show the scene and try different angles on your subject.

You'll find each lens is extremely versatile and you're only limited by how you can navigate the scene.

After you get comfortable with composition, you need to learn how your aperture (and exposure) can help you tell the story. Shooting wide open, using aperture f2.8 on most lenses, gives you a shallow depth of field that emphasizes the part of the images you are focused on. A good example might be focusing on a single person, isolating him from a crowd. Stopping down, using a smaller aperture like f11, or f16, will give you a maximum depth of field, which can help to show a wider scene like devastation from a tornado.

Smartphone photography

One essential part of being a photojournalist is having access to a camera that shoots large enough files to be useful. For many professionals, this means a few heavy, expensive DSLRs with an array of lenses and other equipment. But for many, this type of photo equipment is out of reach, so point-and-shoot cameras or camera phones are a viable alternative.

For small cameras, the same principles of good photography apply. Thoughtful composition, proper exposure and excellent storytelling will help your images get noticed.

The smaller cameras do have a few challenges that need to be addressed.

Read the manual. Because many of these cameras shoot only in an automatic metering mode, it is more critical that you know how the camera function works.

Beware of camera shake. Camera phones are small and lightweight, which makes them easy to carry and unobtrusive to use in chaotic situations, but this also makes them more difficult to hold steady. Consider purchasing a small, flexible tripod, and use it when the light levels are lower. Also, hold and release the "shutter" button, rather than tap it. This will reduce the amount of camera shake.

Shoot in bright light with the sun to your back. This will solve many of the technical limitations of a camera phone.

Clean your lens. Your pocket is not really the cleanest place to keep your camera.

Don't use the digital zoom. The digital zoom crops the images, reducing the file size and the overall quality of the image.

Set your resolution as high as possible. You can always reduce the file size later.

Shoot lots, and edit out the poor images. The more you shoot, the more choice you have when editing.

Go easy of the photo editing apps. Tools such as Hipstamatic and Instagram are fun to play with and can lend a certain personalization to your images, but they can harm or destroy the journalistic integrity of your images. As a rule, image alteration should not change the content of the image. Technical alterations, such as color correction or contrast change, are acceptable as long as they do not change the content of the photograph.

For more tips on capturing video, check out last year's Boot Camp video interview with CNN photojournalists  Mark Hill and Matt Rond. Then show us your video skills in this week's Boot Camp challenge on capturing images.

Submissions are due Tuesday, September 6, at noon ET. Until then, if you have any questions, feel free to ask in the comments section, or join us for a round-table discussion of this iReport Boot Camp topic on Thursday, September 8.

CNN's John Nowak, David Holloway and Mark Hill contributed to this report.

@highlight

CNN's iReport Boot Camp challenges iReporters to improve storytelling chops

@highlight

CNN photojournalists share their tips on capturing images

@highlight

Show us your photography skills by noon ET on September 6