(CNN)Edward W. Brooke III, the first black man popularly elected to the U.S. Senate, who died Saturday at 95, and Stuart Scott, the groundbreaking ESPN sports anchor who died Sunday at 49, transformed their country's perceptions of racial identity in distinct ways. Both challenged expectations by just being black.

The reactions to their deaths signify the passage of time that separates them. When news that Scott's valiant and public eight-year battle against cancer ended Sunday morning in a Connecticut hospital, many people, especially those who had been ESPN devotees in the 20 years of Scott's tenure at the network, shared the kind of intimate bereavement associated with losing a family member or a close friend.

In contrast, Brooke, who had been living in Coral Gables, Florida, when he died and was roughly 40 years removed from his Senate tenure, seemed a figure from so distant a past that people needed to be reminded of who he was and why he was important.

Indeed, in what some call the "Age of Obama," it's hard for many to imagine, much less recall, what a huge thing it was for Brooke to be elected a Republican U.S. senator from Massachusetts in 1966.

The last two African American senators, Blanche K. Bruce and Hiram R. Revels from Mississippi, achieved their seats a century before the way other senators did, through a majority vote of their state legislature, whose rare indulgence of black plurality came about through post-Civil War Reconstruction. (Only after the 17th Amendment of the Constitution was enacted in 1912 were senators elected by a popular vote.)

Nowadays, the fact that Brooke was elected as a Republican back then likely raises more eyebrows among those who can't remember that back in the early-to-middle 20th century, the GOP remained for many African Americans the "Party of Lincoln" and was considered more trustworthy than a Democratic Party still beholden to a Southern segregationist bloc of elected officials.

Brooke's electoral triumph was part of the African American advancement in the 1960s. More than one black household in New England and elsewhere watched TV with swelling emotion the night of November 8, 1966, when Brooke accepted his victory as "the answer the world has been waiting for," proving that "the people of Massachusetts judge you on your merit and your worth alone."

It was a great moment, mitigated by changes that were, by that time, beginning to overtake the Republican Party and the civil rights movement. The GOP was gradually pulling away from its "moderate-liberal" wing to which Brooke had invested his political identity, asserting harder conservative values.

Brooke, who placed himself in opposition to radicals on both sides of the political spectrum, seemed to more radical black politicians at best a throwback and at worst, an "Uncle Tom" appeasing the white political establishment.

Even so, Brooke, who was briefly considered a potential running mate for the 1968 GOP nominee Richard Nixon, became one of Nixon's unwavering antagonists when the latter proposed two Supreme Court nominees whose civil rights credentials he believed to be dubious. His was also a staunch, often lonely voice among fellow Republicans, supporting abortion rights and school desegregation. He was denied a third term.

In later years, he was critical of his party's rightward trend and was gratified to have lived long enough to have seen his country elect its first black president -- who was, in turn, grateful enough to Brooke's pioneer steps to give him a presidential gold medal in 2009.

Stuart Scott's breakthroughs were quite different from Brooke's.

There were no racial barriers to break down at ESPN when he began working there in 1993. But television anchors, whether in network or cable, news or sports, were expected in those days to maintain a smooth, stolid deportment with some elbowroom for empty "happy talk" between story blocks. It didn't matter if the anchors were black or white; indeed, Bryant Gumbel was for decades the model for balancing serious news with glitzy gossip.

ESPN, by the early 1990s, had stretched the parameters of anchor comportment with such idiosyncratic hipsters as the bombastic Chris Berman and the droll Dan Patrick. Scott gradually made himself stand out among these strong personalities by bringing an up-to-the-minute hip-hop inspired patter as capable of sampling and mixing fragments and phrases as any rap DJ. Those phrases became riffs that recurred with every highlight tape and the riffs themselves became catch phrases that circulated through the cultural matrix.

Sing along with us now: "Cool as the other side of the pillow!" "And the Lawd Says You Got to Riiiiiise Up!" "Just Call Him Butter 'Cause He's On a Roll!" And, of course, the ever-present "Booyah!" that was always looming over the next home run, slam-dunk or touchdown pass like the rim shot off a drum set.

It was a style straight out of black musical-theatrical tradition that Scott brandished on the airwaves with such slick, causally adorned elegance that even viewers who were total strangers to anything with the hip-hop label got cozy with both the style and the man over two decades.

Throughout, Scott made it clear to viewers that while his style was rooted in black culture, he was cosmopolitan and broad-minded in his interests. The proud North Carolinian could speak with informed passion about the life and death of Dale Earnhardt one day and come back the next breaking down the elements of a Chicago Bulls' "triangle" possession with the concision of a world-class linguist.

While some African Americans scoffed at the way he relied on slang and pop argot for his effects, even they never questioned his authenticity, either as a professional broadcaster or as a streetwise observer. He helped bring a new archetype to intelligent black style, making doubters and haters alike re-evaluate their misgivings about turn-of-the-century "Afro Pop" while inspiring younger minorities to reimagine possibilities in journalism, on- and off-screen.

Brooke changed the country as a black man breaking barriers. Scott changed culture as a black man being -- unapologetically -- himself. We're all better off because of them.

@highlight

Edward Brooke and Stuart Scott, two important African Americans, died

@highlight

Both challenged expectations of what it means to be black and paved way for others