(CNN) -- When Spanish-language network Univision blasted the Commission on Presidential Debates for its glaring lack of ethnic diversity among the four presidential and vice presidential debate moderators, champions of diversity applauded the network's willingness to challenge the status quo.

In many ways, Univision was echoing the famous words written in the first edition of the nation's first black newspaper, Freedom's Journal, founded by John B. Russwurm and Samuel Cornish in 1827: "We wish to plead our own cause. Too long have others spoken for us."

There is no doubt that choosing a woman to moderate a presidential debate for the first time in 20 years -- CNN's Candy Crowley -- is long overdue. But with this nation quickly becoming a majority-minority country, the perspective, background and interests of those asking the questions is seriously important.

Part of the diversity problem with the presidential moderators also stems from the lack of diversity in the media, especially in the power positions of executives, show hosts and executive producers. And our nation's media is quick to examine another industry's shortcomings and pay only lip service to its own.

It's great that after Univision's critique, President Barack Obama and Mitt Romney decided to participate individually in an issues forum hosted by the network's anchors, Jorge Ramos and Maria Elena Salinas.

To all of the haters who are seething right now -- readying their e-mails and composing comments such as "Why can't we all just be Americans?" and "You're race-baiting with this column" -- please, pipe down and listen for a change, to understand the nuances of this issue.

In the media, whenever we say "mainstream," we might as well be honest and admit that means white. I have heard cable and broadcast executives speak in those terms for years, and trust me, when they are thinking about the dominant audience, it means white. That's why when anyone is talking about media that targets demographics other than white, you'll hear the phrase "ethnic media." For newspapers targeting African Americans, you'll hear "the black press."

What we have to acknowledge is that the moderator's background, upbringing, experiences and where he or she grew up, all play a crucial role in what questions are asked.

If you take people who grew up in a nearly all-white environment in the suburbs and they have spent their adulthood in similar surroundings, their outlook on life and the issues won't be the same as those who grew up in a nearly all-white rural environment. Their education, health and economic concerns likely will be drastically different.

The same goes for someone is African American, Hispanic-Latino, Asian or Native American. Our ethnicity shouldn't be divisive; our diversity is what makes us unique, and that means embracing it.

That ethnic and regional perspective is also important in other ways.

For instance, conservatives always lament the "East Coast liberals" who work for major media companies. But the truth is that the notion of what's important in Washington and New York is much the same in conservative outlets as it is in liberal outlets in those cities.

For years, I've felt out of place as a native Texan within these media circles. How I view the issues is different from who decides the top news of the day in places such as New York or Washington. Add on that I'm African-American, and my outlook varies a great deal from a lot of TV newsbookers, producers, executive producers, hosts, editorial opinion page editors and national political correspondents. My background plays a role in the way I view the world, and that comes across based on the issues I choose to highlight and discuss.

For example, when I'm on CNN's "Starting Point With Soledad O'Brien," and we're choosing a story of the day in the newspaper, I purposely don't choose anything from The Washington Post, The Wall Street Journal, The New York Times or any New York papers. Why? Because those are the daily papers read by most folks in the media. Why do I want to reinforce the narrative that those papers decide what's most important?

I'll choose to grab something in The Detroit News, Chicago Sun-Times, Houston Chronicle, The Charlotte Observer, The Plain Dealer (Cleveland) or websites, magazines and blogs produced for ethnic audiences to spread the love and expand the universe of what is news.

These debates should be the same. There should be ethnic and gender diversity among the moderators. Who they are and the questions they ask should be broad in scope, but also specific to various groups that make up the United States of America. Let's stop asking questions only about the middle class or the nation's rich. Can someone actually mention the poor in this country, which is made of up people of all ethnic groups?

Can we hear the candidates talk about why the United States has more prisoners than any other nation in the world and why blacks and Hispanics make up a disproportionate number of them? Is racial profiling too provocative to be put on the table? Is the education achievement gap too toxic to bring up? How about health disparities between rural and city folk, and whites, blacks and Hispanics?

Sorry to say, if your questioners are all white, most of these questions won't be on their index cards.

I don't want to hear a presidential or vice-presidential candidate's favorite TV show, food, hobby or most embarrassing thing they've ever done. Such silly questions should be barred forever.

But we can have debates that are not just substantive, but culturally relevant. The point isn't about a gotcha question or trying to get someone to slip up. It's simply recognizing that the next president and vice president of the United States will represent one nation, 50 states and 300 million people of many hues, shapes and perspectives.

The opinions in this commentary are solely those of Roland Martin.

@highlight

Spanish-language Univision blasted lack of diversity among debate moderators

@highlight

Martin: Ethnic diversity is important because what is asked depends on who asks it

@highlight

Martin says as a black, native Texan, his concerns differ from mainstream white media's

@highlight

We need new questions about the poor, prisons, other issues that never crop up, he says