(CNN) -- Syria, we are told, is not like Libya. The factors that coalesced to allow for international intervention in the latter do not apply in the former. There are clear differences -- in geography, topography, the role of neighboring states, the existence of liberated territory and the posture of the U.N. Security Council -- that mitigate against external intervention.

The problem with this narrative is that it ignores the most salient factor that should guide our thinking and the international community's response to events in Syria today. That's the ongoing crimes against humanity visited upon the people of Syria by the Bashar al-Assad regime and the human rights catastrophe that is unfolding before our eyes.

While many governments repress their populations and respond with violence to public demands for change, what distinguishes the Syrian case is that all the leading human rights organizations -- Amnesty International, Human Rights Watch and the U.N. Human Rights Council -- have unanimously characterized the policies of the Syrian regime as "crimes against humanity."

This means the mafia state the Assad family has been running for 42 years belongs in the same moral category as Serbia's Slobodan Milosevic and Rwanda's Hutu generals.

Speaking last week in New York, U.N. High Commissioner for Human Rights Navi Pillay affirmed that the "nature and scale of abuses committed by Syrian forces indicate that crimes against humanity are likely to have been committed since March 2011. Independent, credible and corroborated accounts indicate that these abuses have taken place as part of a widespread and systematic attack on civilians.

"Furthermore, the breadth and patterns of attacks by military and security forces on civilians and the widespread destruction of homes, hospitals, schools and other civilian infrastructure indicate approval or complicity of the authorities at the highest level."

The merciless brutality of the Syrian regime comes as no surprise. A comparison of the human rights records of member states of the Arab League places Syria at the extreme end of a spectrum of repression. Arguably, only Saddam Hussein's Iraq was worse.

While the 1982 massacre in Hama is frequently mentioned to highlight the viciousness of the Assad regime, less well-known are the horrors of Syria's prison system. Tens of thousands have passed through its doors. Untold numbers never made it out.

A Human Rights Watch report on the notorious Tadmor prison describes "deaths under torture" and "summary executions on a massive scale." One former inmate described the place as a "kingdom of death and madness" and emaciated prisoners were compared to "survivors of Nazi concentration camps."

But this was just one jail in a veritable archipelago. One day the full story of Syria's prison system and internal human rights nightmare under the Assad family will be told. When the truth emerges, it might rival the horrors chronicled in Alexander Solzhenitsyn's "Gulag Archipelago."

In thinking about how to respond to events in Syria today, the colossal scale of human suffering -- past and present -- should be foremost in our minds.

Any discussion of external intervention should be guided by what the Syrian people actually want from the outside world. This requires listening to the Syrian democratic opposition.

The opposition is divided on the issue of foreign military intervention, a chasm that is diminishing daily as the atrocities increase. Until there is a broad consensus, the following nonmilitary steps can be pursued immediately. They would be a huge boon of support for the opposition and would be endorsed by all Syrian democrats:

-- Officially recognize the Syrian National Council as the legitimate representative of the Syrian people.

-- Establish a special U.N. Commission of Inquiry along the lines of Darfur.

-- Refer the senior leadership of the al-Assad regime to the International Criminal Court.

-- Provide humanitarian air drops of food and medicine to besieged communities.

-- Keep the global spotlight on the Assad regime and its atrocities.

There is a historic struggle for democracy under way in Syria today. It represents the aspirations of a people to free themselves from the tyranny of one the most brutal regimes the developing world has ever seen. Claims that the conflict has now turned violent ignore the overarching reality that for most of the past 11 months the protests have been overwhelmingly peaceful, and notwithstanding the emergence of the Free Syrian Army, most of the protests continue to be nonviolent today.

What is truly amazing about the spread of the Arab Spring to Syria is not that some people have taken up arms in the face of a brutal crackdown but that is it didn't happen sooner, given Assad's crimes against humanity and that violent tactics haven't been adopted by more people.

The very fact that an indigenous internal struggle for democracy could emerge in one of the worst police states in the Arab world and be sustained for so long is both mind-boggling and inspiring.

The heroic struggle in Syria today represents the best of the human spirit. It is fundamentally about the most basic political value we take for granted in the West, the right of a people to self-determination. It deserves our full support.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Nader Hashemi.

@highlight

Nader Hashemi: Human rights groups agree Syrian regime is guilty of crimes against humanity

@highlight

He says the brutality of al-Assad regime has gone on for decades, aided by torture

@highlight

West could take steps to show support for oppressed people of Syria, he says

@highlight

Hashemi: In Syria, the colossal scale of human suffering should be foremost in our minds