The swine flu, also known as the H1N1 virus, is all over the news. A string of cases have been reported across the United States, as well as across the globe, with Mexico the hardest hit country, so far.

Older kids, who may be scared but hide it, should be reassured that parents and health officials are on top of it.

It's easy to freak out amid these disturbing reports, but the truth is you're probably doing everything you need to do to protect your family.

"Parents should be aware of what public health officials are saying, and then just be extra vigilant about the precautions they'd normally take to prevent the spread of germs," says Joseph Bocchini, M.D., chair of the American Academy of Pediatrics committee on infectious diseases and pediatrics chair of the Louisiana State University Health Sciences Center in Shreveport.

No. 1 on the list: washing hands more frequently. So take a deep breath, put down the surgical mask, and read on for all information you need to know. Parenting.com: Cold and flu old wives' tales

Signs and symptoms

Indicators of swine flu are not unlike those for regular old run-of-the-mill flu. What makes this virus different from typical flu is that more serious complications, such as pneumonia, might occur more often. Also, says Bocchini, this is a new strain of flu, and no one in the population would be expected to be immune.

One of the biggest concerns for officials is simply that a lot of people could get sick at the same time. Take heart in knowing that our government health officials are doing everything they can to make sure the country's prepared. In the mean time, your job is to know how to spot the signs. If you or your child are experiencing any of the following, call your doctor. He or she may want you to come in and be tested. Parenting.com: Interactive symptom checker

• fever (above 100.4 for babies 3 months and younger, and 101.1 for everyone else), plus

• cough

• sore throat

• intense body aches

• headache

• chills

• fatigue

Some people have reported diarrhea and vomiting, too.

Pregnant women are at extra risk for complications even with regular flu, according to Bocchini, and small children have a higher rate of hospitalization. Both expectant women and moms of kids under 2 should be extra careful about taking action quickly.  Parenting.com: How to keep nosy, germy strangers away from your baby

When to head to the ER

If your child demonstrates any of the following symptoms, it's time to seek emergency care:

• Fast or troubled breathing

• Bluish skin color

• Refusal to drink fluids

• Difficulty waking up and/or interacting

• Being so irritable that the child does not want to be held

* Flu-like symptoms improve but then return with fever and worse cough

• Fever with a rash, especially one that does not blanch

In adults, the following symptoms deserve an ER trip as well:

• Difficulty breathing or shortness of breath

• Pain or pressure in the chest

• Abdominal pain

• Sudden dizziness

• Confusion

• Severe or persistent vomiting

How to talk to your kids about It

As always, you'll want to explain to kids that germs can make us sick, and that's why it's important to wash your hands. You can say, "Soap and water rinse away the little buggers so they can't make us feel bad."

If they've caught wind of swine flu in particular, it's important to project an image of calm (even if you're internally flipping out) and make them feel safe. Small kids should be soothed with a simple explanation that there are different kinds of flu, and we should just keep up with washing up. Older kids, who may be scared but hide it, can be given a few more details but should still be reassured that their parents and our health officials are on top of it.

Easing symptoms and treatment

If you come down with the flu, swine or otherwise, there are a few things you can do to keep yourself comfortable.

• If you or your child feel at all flu-ish, skip work and school. Stay home until you feel completely well.

• Try to stay in a separate area of the house to limit the risk of passing the virus.

• Rest up -- consider it your free pass to catch up on your DVR list.

• Push clear fluids, such as water and soup.

• Ease body aches with acetaminophen, ibuprofen, or naproxen. If your child is under 2, check with your doctor before giving them medication.

• Using a humidifier can ease a stuffy nose. Saline drops followed by suctioning with a nasal syringe can bring additional relief to small children.

• There is treatment for swine flu. Antiviral medications like Tamiflu and Relenza can lessen your symptoms make you feel better faster and prevent swine flu-related complications if taken early on. Consult your doctor about a prescription.

Is there a cure?

There's not a cure, but a vaccine is being developed, according to the FDA. If you already got a flu shot, it probably won't protect you from this strain, but it's a good idea to still get one annually.

Prevention 101

You probably already know all about how to prevent the spread of germs, but in an outbreak like this, it can't hurt to be a little more vigilant. Here's a rundown of easy things you can do, starting today. Parenting.com: Ask Dr. Sears: Immune system boosters

At home:

• This one's a no-brainer but bears repeating: wash your hands frequently, and make sure your kids do the same. It's a good idea to get into the habit of doing it as soon as you walk in the door, before meals and food prep, post-potty and after touching pets.

• Take a moment to clean germ hot spots, like tables, doorknobs, desks and kitchen counters, with a disinfectant. Look for products that contain bleach or alcohol.

• Keep your family's immune system strong with regular sleep, and lots of fruits and veggies. If you know anyone who's been sick, stay away for now.

Out and about:

• Try to keep up the frequent hand-washing, especially after trips to the playground.

• If you don't have a sink handy, use an alcohol-based sanitizer gel or wipe. Look for ones that contain at least 60% alcohol.

• Try to avoid crowded areas.

• Wash your hands or use sanitizer after handling money.

• Use your own pen when signing credit card slips.

Everywhere:

• Cover your mouth with your elbow when you cough or sneeze, and remind your kiddos to do the same.

• Throw your used tissue in the trash instead of stuffing it in your pocket.

• Try to avoid touching your eyes, nose and mouth, which give germs a fast track to infection.

• Remind kids not to share cups, utensils and plates with friends.

Getting kids to wash their hands

Yes, you know they should wash those dirty mitts often, but what you really need to know is how to get them to do it sans whining. We've got some tips and tricks for making washing up fun:

• To get them to soap up for the required 20 seconds (or more), belt out "Happy Birthday" twice. Everyone sounds better in the bathroom anyway, right?

• Fill the sink with water, and let them go to town with foam soaps and bath toys. (Ignore the water on the floor.) Parenting.com: Germ-fighting tips for parents

• Lather up, Mom! Be a good example for your kids, and encourage them to "teach" their dolls to wash up, too.

• Make sure they can reach the sink easily. If you don't have one already, get a colorful stool to give them a boost.

• Keep their fingernails clipped -- less real estate for germs!

Try a FREE TRIAL issue of Parenting Magazine - CLICK HERE!

Copyright 2009 The Parenting Group. All rights reserved. Reproduction in whole or in part without permission is prohibited.

@highlight

What parents should tell children about swine flu, also known as the H1N1 virus

@highlight

Explain to kids that germs can make us sick, so it's important to wash hands

@highlight

Project an image of calm to make them feel safe. Tailor explanation to age

@highlight

Take common flu-season precautions