(CNN) -- Electrical stimulation from a spinal cord implant, mimicking the signals the brain would normally transmit to move the body, has allowed a paralyzed patient to stand on his own and walk on a treadmill with assistance, researchers said Thursday.

At a news conference in New York City, doctors introduced Rob Summers, a 25-year-old, paralyzed spinal cord injury patient from Oregon. He received continual epidermal stimulation to the lower spinal cord, researchers said, enabling the muscle and joint movements that are required to stand and, with assistance, to step.

"This stimulation causes changes in the brain and changes in the spinal cord," said Dr. V. Reggie Edgerton, a professor in the Departments of Integrative Biology and Physiology and of Neurobiology at the University of California, Los Angeles. "Now we need to know how this has occurred."

A therapy already in use in a number of U.S. hospitals is known as functional electronic stimulation (FES), in which stimulants or electrodes are placed on the skin above the muscles to help chronic spinal cord injury patients move their limbs and, in some cases, walk with assistance.

In the newly unveiled procedure, however, the electrodes are implanted in the patient's body. But even beyond that, there are distinct differences in the two procedures, the researchers said.

"In our case it's a constant signal," said Dr. Susan Harkema, a professor at the Department of Neurological Surgery at the University of Louisville. "FES tries to bypass the circuitry by stimulating the muscles externally with electrodes. We allow the spinal cord to control the muscles on its own."

The researchers said in the initial phase of their experiment, Summers was able to reach a standing position, supplying the muscular push himself while his spinal cord was being stimulated electrically. He could stand independently, bearing full weight, for up to four minutes at a time He also began to move his toes, ankles, knees and hips while being stimulated.

"This does not represent a cure for spinal cord injury," Edgerton said, "but it's something to build on."

At today's press conference, Summers, who became paralyzed in his lower extremities following a hit-and-run accident in July 2006, talked about his experience.

"I was able to stand independently, the third day we turned it on," said Summers. "I was amazed. I use it two hours a day now, and I hope to someday go back to playing baseball."

The project, which is outlined in the latest issue of the medical journal Lancet, was funded by the Christopher and Dana Reeve Foundation, which provides money for research on spinal cord injuries.

@highlight

Paralyzed patient, 25, said he is able to stand by himself, walk with assistance

@highlight

Rob Summers received continual epidermal stimulation to the lower spinal cord

@highlight

Researcher: New treatment allows "the spinal cord to control the muscles on its own"

@highlight

Though not a cure, "it's something to build on," Dr. V. Reggie Edgerton says