(CNN) -- He is merciless toward opponents, secretive to the point of being a recluse and a true believer in the cause of global jihad. And from his hideout somewhere in southern Somalia, Mukhtar Abu Zubayr, the emir of Al-Shabaab, planned the most devastating terror attack in Kenya since the U.S. Embassy bombing in 1998.

Zubayr, who is also known as Ahmed Abdi Godane, already has a price on his head. Last year, the U.S. State Department authorized a reward of up to $7 million for information on his whereabouts. And Saturday, his compound in the Somali port city of Barawe was the target of a raid by American commandos, according to local residents. The SEALs withdrew after a fierce firefight, and it was unclear whether their target -- still unidentified by U.S. officials -- was dead or alive.

Zubayr's vision has been to transform Al-Shabaab from an insurgent outfit focused on Somalia into a terrorist group capable of devastating attacks beyond its borders. He has already directed two -- suicide bombings against bars in Uganda's capital Kampala in 2010, and September's Westgate mall siege in Nairobi, Kenya.

In an audio statement released after the siege, Zubayr noted the attack took place "just 10 days after the anniversary date of the blessed 911 operations" and called it an "epic battle" launched to punish Kenya for the 2011 invasion that drove Al-Shabaab out of much of southern Somalia.

"We tell the Kenyan public: You have entered into a war that is not yours and is serving against your national interests. You have voluntarily given up on your security and economy and lost many of your sons," Zubayr said. He warned Kenyans that they face "a war of attrition inside your own country" unless their government pulls its remaining forces out of Somalia. He added that "it was also a retribution against the Western states that supported the Kenyan invasion."

Experts who track Al-Shabaab communications say there is no reason to doubt the authenticity of the recording.

Uganda, meanwhile, has more than 6,000 troops in Somalia as part of the African Union peacekeeping mission supporting the transitional government in Mogadishu. After the 2010 bombings, which killed more than 70 people, Zubayr warned: "What happened in Kampala was just the beginning."

And with a terror resume that now spans 15 years, he has been "ruthlessly eliminating real and imagined rivals" within the group, according to a well-placed source in Mogadishu with extensive knowledge of Al-Shabaab.

"Zubayr is creating Al-Shabaab 2.0," the source said.

For Zubayr, the struggle has always been a global confrontation with "disbelievers" rather than just about Somalia. He also vowed that his group would launch a direct attack against the United States.

Zubayr is 36 years old, according to most accounts, and originally from Somaliland, now a vaguely autonomous part of northern Somalia. He is slim to the point of wispy, as shown on the very few photographs of him, and prefers recording audio messages to appearing in public. As a teenager, he studied at a Pakistani madrassa, thanks to a grant from a wealthy Saudi, and he returned home with militant beliefs and an appetite for trouble. He was thought to have been involved in the abduction and murder of several foreign aid workers in Somaliland, including the killing of Italian aid worker Annalena Tonelli in 2003.

Among his close associates in Al-Shabaab's early days was Aden Ayrow, a towering force in the group and a ruthless and mercurial pro-al Qaeda hardliner. After Ayrow's death in May 2008 in a U.S. strike, Zubayr asserted his leadership of Al-Shabaab and immediately pledged allegiance to Osama bin Laden. According to a U.S. diplomatic cable published by WikiLeaks in 2009, he once refused to discuss a military offensive against government forces in Mogadishu with Al-Shabaab's allies until one of them apologized for remarks he had made critical of bin Laden.

But bin Laden was wary of a merger of al Qaeda with Al-Shabaab. About a year before his death, he wrote to Zubayr that enemies would "escalate their anger and mobilize against you: this is what happened to the brothers in Iraq or Algeria."

Bin Laden's deputy at that time, Ayman al-Zawahiri, took a different view. A letter dated December 2010, which was recovered from bin Laden's compound in Abbottabad and was thought by researchers to have been written by al-Zawahiri, was critical of bin Laden's decision to rebuff entreaties by the Somali militant group.

"I see it to be very essential for al Qaeda to confirm and declare its linkage with its branches ... please reconsider your opinion not to declare the accession of the brothers of Somalia," the author wrote.

In February of last year, Zubayr formally declared Al-Shabaab an affiliate of al Qaeda with a long message to al-Zawahiri, in which he said: "We will go with you as loyal soldiers until doom and injustice disappear from Islam."

Zubayr has always rejected any negotiations with Somalia's Transitional Federal Government. According to another U.S. diplomatic cable leaked to WikiLeaks, Zubayr rejected an initiative in 2009 by then-Libyan leader Moammar Gadhafi to mediate in Somalia, telling him that once a true Islamic government was established in Somalia, he would move on to other countries, including Libya. He opposes elections, saying "the reality is that democracy is something Allah made unlawful, and someone else cannot make it lawful."

As Al-Shabaab came under greater pressure from the African Union force stationed in Mogadishu, Zubayr turned to suicide bombings against civilians. In December 2009, an Al-Shabaab bomber killed 23 people at a university graduation ceremony in Mogadishu. Some factions inside Al-Shabaab disowned the attack, but Zubayr was unmoved. As a northerner, unlike other Al-Shabaab commanders, he did not belong to a clan in the areas controlled by the group and was therefore less concerned about civilian casualties. According to a confidential U.N. assessment, Zubayr demanded more suicide attacks to supplement conventional fighting.

His rejection of negotiations, poor management of military campaigns and the clan system soon led to dissent in Al-Shabaab. According to diplomatic cables in 2009, Zubayr wanted to declare an Islamic caliphate in areas controlled by Al-Shabaab, which included much of central and southern Somalia. Others in Al-Shabaab's leadership disagreed, saying the group had to gain greater public support before such a move. But fearful of assassination, they kept their counsel. The imposition of brutal Taliban-like law eventually alienated large sections of the population in southern and central Somalia.

One prominent Al-Shabaab member, the American Omar Hammami, said in a video last year that other elements in the group were trying to kill him. He followed up with a series of tweets this year attacking Zubayr. "Abu zubayr has gone mad. He's starting a civil war," he said.

Zubayr responded by ordering the killing of Hammami, who was wounded by a gunshot in April. His intelligence wing finally caught up with Hammami and killed him in September, just days after he told the Voice of America that Zubayr had "turned Al-Shabaab into an organization that oppresses Muslims in an effort to win control of Somalia."

Even longtime supporters and friends, such as Ibrahim al Afghani, have turned against Zubayr, and paid with their lives. Al Afghani was killed in a shootout in June in the southern town of Barowe. The Mogadishu source tells CNN that several prominent figures in Al-Shabaab -- including Sheikh Mukhtar Robow and Sheikh Hassan Dahir Aweys, two of its old guard -- now fear for their lives. Zubayr's purge accelerated during the summer, leading Aweys to negotiate his surrender to authorities, apparently for his own protection.

After Kenyan troops drove Al-Shabaab out of population centers in 2011, pro-al Qaeda hawks within the group gained the upper hand. The loss of the port city of Kismayo, the source of much of Al-Shabaab's income, weakened arguments that the group had too much to lose by embracing al Qaeda's global jihad.

One reason Zubayr has emerged triumphant in these internal battles is that he controls Al-Shabaab's intelligence wing, known as Amniyat, a ruthless entity organized in cells and commanded by Mahad Mohamed Ali, also known as "Karate." Counterterrorism analysts say that as other units in the group have been weakened, Zubayr has come to rely heavily on Amniyat, into which he has poured resources and which he sees as the kernel for Al-Shabaab's transformation into a regional al Qaeda affiliate. And that may ultimately be a source of vulnerability.

Zubayr's reliance on force in an organization that has long worked as a loose collective has made him a legion of enemies inside Somalia, and even led to criticism on some jihadist forums sympathetic to al Qaeda. After the Westgate attack, Kenyan and Western intelligence agencies will undoubtedly step up efforts to end Zubayr's reign of terror. But he should not be underestimated. A former Somali prime minister, Omar Abdirashid Ali Sharmarke, described Zubayr as the cleverest of Al-Shabaab's leaders.

AMANPOUR BLOG: What is al-Shabaab's aim in Kenya attack?

@highlight

Al-Shabaab chief Mukhtar Abu Zubayr has a reputation for being secretive, merciless

@highlight

Zubayr, 36, wants his group to be able to deliver devastating attacks beyond Somalia

@highlight

Last year, he formally declared Al-Shabaab an affiliate of al Qaeda

@highlight

Zubayr's harsh tactics have led to dissent in his group, which he has ruthlessly suppressed