Wilmington, Vermont (CNN) -- Residents of Hatteras Island, N.C., can begin going home Sunday morning, more than a week after most of them evacuated ahead of Hurricane Irene.

The staged re-entry through Tuesday will include the villages of Buxton, Hatteras and Frisco, Dare County Energency Management announced Thursday.

"Conditions, utility service and other supporting infrastructure in those villages is the most conducive for re-entry at this time," the county said in a statement. "As conditions improve in the remaining villages, re-entry will be established and announced as soon as possible."

Visitors will not be able to go to Hatteras Island. Instead, they can stay north of Oregon Inlet, the county said.

About 2,500 residents of the island who did not take part in a mandatory evacuation have been receiving vital supplies and services.

The storm washed out a critical stretch of Highway 12, a road that runs parallel to the Atlantic Ocean and connects Hatteras Island to the other barrier islands on North Carolina's Outer Banks. Causeways from those barrier islands connect them to North Carolina's mainland.

Meanwhile, President Barack Obama declared a disaster in Vermont, making federal grants and aid available to those who suffered losses from Tropical Storm Irene.

The money can be used by individuals in Chittenden, Rutland, Washington and Windsor counties for temporary housing and home repairs, according to the Federal Emergency Management Agency. Low-cost loans are available to cover uninsured or under-insured property losses.

Counties eligible for federal funding to do emergency repairs and work are Addison, Bennington, Caledonia, Chittenden, Essex, Franklin, Lamoille, Orange, Orleans, Rutland, Washington, Windham and Windsor.

The president issued disaster declarations earlier this week in North Carolina, New Jersey and New York.

Irene killed 43 people from Florida to New England as it marched up the Eastern Seaboard over the weekend, dumping torrential rain. Some of the worst flooding struck Vermont, New Jersey and upstate New York.

Ten-foot-high floodwater poured through Eileen Ranslow's 40-year-old flooring business in Wilmington when Irene struck Vermont over the weekend.

The family business, where revenue has dwindled in the economic downturn, now faces at least $300,000 in damage.

"It's devastating. It's devastating," Ranslow said, her voice cracking.

She is not alone, as the effects of Irene continue to be felt in flood-ravaged communities along the U.S. East Coast.

Flood advisories remained in place Thursday for portions of New York, Connecticut, New Jersey, Virginia and South Carolina.

In the days since Irene, the extent of the damage has become more evident in upstate New York, where the storm battered a cluster of communities 50 miles southwest of Albany.

"There is a lot of damage left to clean up. I know the town of Prattsville has been almost completely condemned," said Jacob Hubbell of neighboring Margaretville. "Fleischmanns isn't doing too well either, and Main Street (in) Margaretville has been closed."

"It's safe to say that we probably won't be back to normal in the Catskills for at least a month."

In northern New Jersey, the Passaic River has begun to settle back into its banks, the National Weather Service said. Most locations are expected to drop below flood stage during the weekend as the high water works its way downstream.

The development will be welcome news in the towns of Wayne, Totowa, Little Falls, Paterson and Woodland Park, where about 1,700 residents were evacuated from their homes this week.

Obama will travel to Paterson on Sunday to view the damage, the White House announced.

The full extent of Irene's destruction won't be known for some time. The federal government estimates that the cost from wind damage alone will exceed $1 billion. Analysts have put the total expected cost of Irene much higher.

Agriculture Secretary Tom Vilsack said Thursday the storm also took a toll on agricultural production.

"I had an opportunity to take a look at fields in North Carolina," he said. "I have never seen anything like it. The corn was just totally destroyed. Tobacco hit hard, cotton hit hard." It remains to be seen how some other crops, such as soybeans and tomatoes, fared, he said, but "it's very clear that farmers in North Carolina, Virginia, along the East Coast have suffered pretty significant losses."

But, he said, it's unlikely that higher prices will result, as "we have such a diverse agriculture in the United States and we have so many acres planted and so many different crops. I don't think this is going to affect much of anything."

The federal government's tab for the storm could exhaust the $800 million left in the Federal Emergency Management Agency's disaster relief fund before the fiscal year ends on September 30.

With conservative House Republicans, led by Rep. Eric Cantor, R-Virginia, calling for spending cuts to offset any increase in emergency funds -- a measure opposed by many Democrats -- the ability of Congress to act quickly on the issue remains uncertain.

Mayor Jeffery Jones of Paterson said he was "outraged" about the funding dispute. "Mother Nature has a mind of her own, a will of her own, and we can't have the petty wrangling going on when we have folks in dire need," he said.

New Jersey Gov. Chris Christie echoed those sentiments during a news conference Wednesday, saying, "We don't have time to wait for folks in Congress to figure out how they want to offset this stuff with the budget cuts. Our people are suffering now. And they need support now."

More than 1.1 million customers remained without electricity Thursday from North Carolina to Maine, the U.S. Department of Energy said -- a decrease from the 1.7 million reported Wednesday.

Vermont transportation officials made emergency repairs on roads to previously isolated towns, officials said.

Replacing washed-out bridges will take more time.

In Wilmington, volunteers from across the state descended on the community to help with the cleanup.

"I couldn't sit at home. I had to come help," said Sarah Boisbert, as she worked outside Ranslow's gutted flooring shop.

Ranslow was touched by the gesture of so many helping hands.

"They're just people," she said, pausing. "They're neighbors and in Vermont we're all neighbors."

CNN's Ed Payne, Phil Gast, Amber Lyon, Nicole Saidi and Stephanie Gallman contributed to this report.

@highlight

NEW: Hatteras Island, North Carolina, residents start going home Sunday

@highlight

President declares disaster in Vermont

@highlight

Agriculture is impacted, but higher prices are unlikely, official says

@highlight

Floodwaters wipe out businesses in Vermont