Hong Kong (CNN) -- On the same day yet another death was reported in China's bird flu outbreak, the World Health Organization warned the H7N9 virus was one of the most lethal that doctors and medical investigators had faced in recent years.

"This is an unusually dangerous virus for humans," Keiji Fukuda, WHO's assistant director-general for health, security and the environment told a news conference in Beijing Wednesday.

"We think this virus is more easily transmitted from poultry to humans than H5N1," he added, referring to the bird flu outbreak between 2004 and 2007 that claimed 332 lives.

"This is definitely one of the most lethal influenza viruses that we have seen so far."

As investigations continue into the possible sources of infection, Fukuda warned that authorities were still struggling to understand the virus. The WHO said China must brace for continued infections.

Fukuda's warning came as Taiwanese health authorities said they've confirmed the first human case of H7N9 in Taiwan -- one they said was imported from China.

A 53-year-old Taiwanese man who worked in eastern China was confirmed to have H7N9 on Wednesday, the Taiwanese Centers for Disease Control said. His condition was described to be severe.

He had been traveling back and forth regularly between China's Jingsu province and Taiwan, health officials said.

"According to the case, he had not been exposed to birds and poultry during his stay in Suzhou (in Jingsu province) and had not consumed undercooked poultry or eggs," the Taiwanese CDC said.

Taiwanese health officials said they are screening travelers arriving from China for signs of H7N9.

Fukuda, meanwhile, said WHO officials "are at the beginning of our understanding of this virus."

"(The situation remains) complex, difficult and it is evolving," he said.

So far there is no evidence of sustained human-to-human transmission, the authorities say.

"We do want to note, however, that if limited person-to-person transmission is demonstrated in the future, this really will not be surprising," Fukuda warned, adding that it was critical to remain vigilant, monitoring the virus's spread and mutation.

"We are not sure that the clusters were caused by common exposure to a source of the virus or were due to limited person-to-person transmission," he said. "Moreover we have not seen sustained person-to-person transmission."

While some elements of the outbreak have baffled investigators -- specifically why the virus tends to target an elderly demographic and the fact that it is asymptomatic or mild in some cases and lethal in others -- authorities have claimed some significant victories in the fight against a pandemic.

Anne Kelso, the director of a WHO-collaborating research center, said researchers had seen a "dramatic slowdown" in human cases in Shanghai after the city's live poultry market was shut on April 6. Describing the finding as "very encouraging," she said evidence suggests the closure of live poultry markets is an effective way to stop the spread of the virus.

The joint inspection team from China's National Health and Family Planning Commission and the World Health Organization also found that, so far, no migratory birds have tested positive for the virus, taking another worrying route of transmission out of the equation.

It said the H7N9 virus is only being found in chickens, ducks and pigeons at live poultry markets.

WHO officials said there are already efforts underway in other countries to develop a vaccine after Chinese officials admitted international help would be needed with this.

Meanwhile, the National Health and Family Planning Commission said in its daily update on H7N9 cases that a total of 109 H7N9 cases have been reported within mainland China, including 23 deaths. Most cases have been confined to Shanghai and neighboring provinces in eastern China.

CNN's Ivan Watson and Feng Ke in Beijing contributed to this report.

@highlight

NEW: First H7N9 bird flu case in Taiwan has been reported, health officials say

@highlight

Death toll from China's bird flu outbreak 23, with 110 infections -- includes one in Taiwan

@highlight

WHO's Keiji Fukuda warns H7N9 is one of 'the most lethal flu viruses we have seen so far'

@highlight

Authorities struggling to understand virus which is mild in some cases but lethal in others