LONDON, England (CNN) -- The much-maligned symbol of motoring in Communist East Germany, the Trabant, is set to make an unlikely comeback as a concept car at this year's International Motor Show in Frankfurt.

The old-style Trabi is a common sight in Germany where tourist operators use the car for local tours.

Designers have replaced the car's smoke-belching two-stroke engine with electric fuel cells and solar-powered air-conditioning.

This, they promise, is not the four-wheeled object of ridicule that rolled off production lines in East Germany from 1957 until 1991. This is the new Trabant, or Trabi as they're known, an energy-efficient city car for modern drivers.

"I think the market will be people who say the old Trabant was a cool car, and people who want to have a stylish car, and want to have a green car," Daniel Stiegler, of Herpa Miniaturemodelle, told CNN.

Herpa is not a carmaker, at least not in the traditional sense. It makes model cars and airplanes, of the type that sit in display cabinets, not garages.

Two years ago, a member of its management team, Klaus Schindler, decided it was time to make a miniature model of the Trabant. Herpa took it to the International Motor Show in Frankfurt in 2007 and were stunned by the response.

"We had a special folder where people at the fair could fill out and give it back to use. We had about 14,000 reactions on that, and most of them, 90 percent, said 'Yes, the Trabant is a really cool car, let's bring it back,'" Stiegler said.

Herpa teamed up with German auto parts maker IndiKar, which has designed a prototype to be unveiled at the International Motor Show in Frankfurt in September.

They hope to attract enough interest to put the car back into production. The early response of Trabi enthusiasts to an electric version of their much-loved cars has been encouraging.

"This will be an ideal vehicle to try it on," Geoff Armitage, who had been the president or chairman of the Wartburg Trabant IFA Club UK on and off for some 18 years.

"If they go for the same type of cladding of duroplast, or western-style glass fibre, you have a light body which obviously will be an advantage for an electric car."

The original exterior of the cars was made from duroplast, a blend of cast-off cotton fibers from Russia mixed with glue.

Armitage bought his first Trabant in the Netherlands in 1987, two years before the fall of the Berlin Wall. Over the years, he's owned around 20 of the German cars, adding "we have several restoration projects in the yard at the moment."

Like many admirers, he appreciates the Trabi's simplicity. "They are basic technology. There is absolutely nothing that we can't repair ourselves. If we can't get the parts we can usually make them," he laughed.

"If they can do the electrical conversion, for want of a better term, in a relatively low-tech way so they keep it simple I think it could be a success," he said.

German filmmaker Maximilian Spohr spent four years making a documentary about the Trabant. He became fascinated about the car's origins as a child growing up in the East where residents faced up to a fourteen-year wait for delivery of their vehicles.

"There was only a certain contingent, a certain amount, allowed every year, because they didn't have enough screws, they didn't have enough parts," he said.

For his documentary, "A Car For A Dollar," he interviewed former Trabant engineers and owners and found an abundance of nostalgia for the old-style vehicles, despite their association with Communist repression.

"People remember it as their only partner in crime," Spohr said. "It was the one and only thing that brought them around the country. They weren't allowed to go far. This was the only vehicle they could use and it was always reliable, most times."

Many of the cars were dumped by their owners as soon as they'd driven them to freedom over the border from East to West.

Spohr said it didn't take long for nostalgia to kick in and the first Trabi appreciation meeting was held in 1990, just one year after the fall of the Berlin Wall.

Of plans for a new, eco-friendly Trabi, Spohr says, ""I think it's great. People would probably love it, I think it will sell. Big time."

If the modern Trabant fails to materialize, there's always the option to step back in time in the original version.

Trabis can still be seen slowly weaving through traffic, particularly in Berlin and Dresden, where Trabi-Safari leads tourists in a procession of up to six cars to local points of interest.

@highlight

Relic of Communist East Germany to be revived as eco-friendly city car

@highlight

New electric Trabant to be unveiled at International Motor Show in Frankfurt

@highlight

Car was once the only vehicle available in East before fall of Berlin Wall

@highlight

Trabi enthusiasts admire the car's simplicity, ability to make running repairs