(CNN) -- If you've spent any time at all following the Israeli-Palestinian conflict these past few years, you've probably run into a lot of bad news.

But what if there were another type of story about Palestinians and Israelis that you weren't being told?

What if beyond the bloodshed, hostility and extremism, there were also hopeful examples of Palestinian and Israeli civilians leading effective nonviolent movements to end the occupation and build peace?

The fact is that plenty of these inspiring examples exist, but the world, and specifically the major media outlets covering the conflict, have yet to give them proper attention.

This is problematic on two counts: First, it gives anyone following the conflict a false and dangerous impression that there is no hope, and that extremists on both sides far outnumber moderates who are willing to work toward a peaceful solution. Second, and more important, it deprives those courageous individuals who choose nonviolence of the attention they so urgently need in order to grow and spread their message.

Violence and nonviolence are, after all, two different forms of theater. They both depend and thrive on the response of an audience.

TED.com: Jeremy Gilley's plan for "One day of peace"

If we, as a global audience, focus solely on violence and militarism, we reinforce the notion that they are the most effective form of action. On the other hand, if we pay more attention to nonviolent or unarmed efforts, we strengthen the legitimacy and influence of those choosing to use these means.

This is why at Just Vision, our mission is to create and distribute media, including documentary films, that tell the stories of Israelis and Palestinians working nonviolently to resolve the conflict and end the occupation. We also provide in-depth introductions to these visionaries by publishing new interviews with them on our website every few days. By providing these resources to millions worldwide, we ensure that those who promote nonviolence have an effective platform through which they can share their accomplishments and ideas with their own societies and others around the globe.

Our latest documentary film, "Budrus," tells the story of a Palestinian community organizer who successfully unites Palestinians of all political factions together with Israeli supporters in an unarmed movement to save his village from destruction by Israel's Separation Barrier. The film shows how, for 10 months, the residents of Budrus and their supporters engaged in unarmed protest, and how they ultimately triumphed by convincing the Israeli army to shift the course of the barrier and saving their village. Since its release, "Budrus" has been seen by hundreds of thousands around the world, and it will be made available to millions more on September 21, the International Day of Peace, when it will be broadcast online for free.

Many of the Palestinians and Israelis who have seen "Budrus" have come away both surprised and hopeful: surprised to learn that a nonviolent movement they had never heard of existed on their doorstep, and hopeful that this might be a model that could inspire others in their community to take similar action.

TED.com: Jody Williams' realistic vision for peace

Though it is just one film, "Budrus" has already begun to change the conversation on the role and impact of nonviolence in Palestinian and Israeli society.

The lessons of Budrus and the dozens of other nonviolent initiatives we follow resonate even more loudly when considering recent historical examples. Looking back at some of the great influential social movements of the past few decades, whether it's the civil rights movement in the United States, the global feminist movement or the recent Arab Spring, some of the biggest positive changes to our societies have come from grassroots nonviolent activism, not the actions of governments or armed campaigns.

Given the proper stage, these movements proved that civil disobedience and peaceful protest could be more moving, more captivating and ultimately more influential than the use of lethal force. Yet, if no one had paid attention to those first students sitting in at the lunch counters in North Carolina, or to the desperate plea of a young Tunisian vegetable salesman, who can say where those movements would be today?

Where we choose to direct our attention matters. And in the case of the Israeli-Palestinian conflict, this decision can save numerous Israeli and Palestinian lives and help finally bring an end to the bloodshed. Rather than endlessly waiting for new leaders to emerge or conditions to change, it's time we realized that the solutions to the conflict are being played out every day right in front of us. It's up to us to notice.

The opinions expressed in this commentary are solely those of Julia Bacha.

@highlight

Julia Bacha: Why don't we hear the stories of nonviolence from the Israel-Palestinian conflict?

@highlight

She says the film Budrus tells of Palestinans uniting wth Israeli's in common cause, nonviolently

@highlight

She says they persuaded Israeli army to shift Separation Barrier's course, save Budrus village

@highlight

Bacha: People must recognize: Nonviolent protest can be more influential than lethal force