Washington (CNN) -- Republican Rep. Vern Buchanan, a self-made Florida millionaire, is only in his third term in Congress, but he already is in charge of fundraising for the Republican Congressional Campaign Committee, and he sits on the powerful House Ways and Means committee.

But all that could be jeopardized. Federal investigations underway could result in Buchanan serving his next term behind bars.

CNN has confirmed there are no fewer than four congressional and federal investigations into Buchanan's business practices, his campaign finances and his alleged attempt to try to stop a witness from talking.

Congress: Same hours, half the work

Now that witness is stepping forward in an exclusive interview with CNN. Buchanan's former business partner says the congressman schemed to launder money from his car dealerships into his campaign coffers, and then tried to get others to cover it up.

Many of the questions surrounding Buchanan go back to his auto dealerships in Florida where he made his millions, and back to the days when he worked with his former business partner Sam Kazran.

Their partnership started at what is now a weed-filled lot, the former North Jacksonville Hyundai dealership. Eventually they owned four dealerships together.

"I respected him," Kazran says of their early years together. "I believed him."

But Kazran says he was naive, and that he soon found out the man he believed in was interested in only two things: money and power.

"Mr. Buchanan is a very selfish person, and in my opinion people who go to Congress have got to do good for the people they represent," Kazran says.

Kazran presented to CNN the same information, documents and testimony he has given to federal investigators. The two men had a falling out over their finances, and they've been suing each other for years. Buchanan says Kazran is a disgruntled partner and has lied about what happened.

At the center of Kazran's allegations is a cash swap scheme used to finance some of Buchanan's campaigns. He says employees were forced to write checks, then were reimbursed with cash drawn from Buchanan's car dealerships.

"It was to a point where I said, 'Chief, we can't give you this kind of money. At which point he said, 'Just run it through the corporation,'" Kazran said. "What he said to me was 'Get people to write a check to the campaign and then pay them back through the corporation.'"

Kazran did, and he was soon calling in managers, salesman, even assistants. People who never gave money to campaigns were suddenly writing big checks to Buchanan for Congress and, according to Kazran, getting reimbursed from the dealership. It added up to almost $70,000 at Kazran's dealership alone, he said.

Senate close to deal to extend low interest rates on student loans

"I remember one of the partners jokingly saying, 'Boss, you have all the money in the world. Why do you want us to pay you the money?' And he said, 'Well, it doesn't look good if it's coming from me.'"    

Kazran took his detailed allegations to the Federal Elections Commission, which was already looking into Buchanan's campaign finances. Investigators there wanted to know not only about how the cash-swap scheme was set up, but if the congressman knew about it.

Kazran says there is no question the congressman knew all about it.

The FEC's initial report found "reason to believe" that Buchanan "knowingly and willfully violated" federal election laws. Read the initial FEC report (pdf).

But in a later report the FEC pulled back, saying it found credibility problems with both Kazran and Buchanan and not enough corroborating evidence to back up Kazran's testimony.

The FEC then dropped the investigation into Buchanan, stating, "While there is some other evidence in the record that is consistent with Kazran's general allegations, other evidence supports Buchanan's denials or is ambiguous." Read the FEC report (pdf).

The FEC eventually fined Kazran $5,000 in a settlement because he admitted reimbursing employees for campaign contributions. Kazran has never disputed his involvement, but he says he did it because Buchanan told him to.

While the congressman has said the later FEC report proves he's innocent, the findings at the FEC were more convoluted, stating it came "close to supporting a finding that it is more likely than not" that Buchanan violated the law.

And that's where things get much more serious for the congressman.

During the FEC probe, Buchanan pushed to settle a lawsuit Kazran had brought against him. At the last minute, with a $2.9 million settlement offer from Buchanan dangling in front of him, Kazran says he was given an affidavit to sign.

According to Kazran, the congressman and his attorneys were asking him to sign a statement that was a lie, that Buchanan knew nothing about the campaign cash swap.

Kazran says Buchanan and his team were trying to force him to lie about Buchanan's role in the campaign cash scheme in exchange for the nearly $3 million cash settlement, money which Kazran says he desperately needed, as his finances were in trouble and his wife was suffering from cancer and was undergoing expensive medical treatments.

"A lot of the language of it was really to distance himself...," said Kazran. "In short it said that Mr. Buchanan had nothing to do with it."

Kazran's lawyer, Robert Stok, says it was clearly an effort to lean on Kazran when he was vulnerable.

"He was holding the settlement in escrow," Stok says. "He basically said, 'We can settle, but there's one little thing remaining. All you have to do is sign this affidavit. We release the settlement and everything will be rosy for you.'"

Kazran refused to sign and took the affidavit to federal investigators. Now, CNN has learned that Buchanan is being investigated for attempting to tamper with a witness in a federal investigation.

After CNN's repeated requests for interviews were ignored, CNN decided to find Buchanan as he emerged from a hearing.

Buchanan would not respond fully to any questions and quickly walked away from CNN's camera. When asked if he tried to get Kazran to sign the affidavit, Buchanan responded "No, no, no, no. No I didn't," adding that he needed to get to another meeting, and that CNN should contact his office. When asked if he used the affidavit to hold up the $3 million settlement with Kazran, Buchanan replied: "No."

In a recent report, released quietly several weeks ago, the Office of Congressional Ethics wrote: "There is substantial reason to believe that Buchanan attempted to influence the testimony of a witness in a proceeding before the FEC in violation" of federal law and House ethics code. Read the OCE's report on the affidavit (pdf).

Now a full House ethics committee is looking into it. CNN has also learned that the FBI is conducting its own investigation.

In addition, the Office of Congressional Ethics also found "substantial reason to believe" that Buchanan failed to disclose unearned income on his financial disclosure forms from 2007 to 2010. Read the report (pdf).

Salvatore Rosa, a former chief financial officer for Buchanan's business interests for five years, said in a recent deposition conducted by Buchanan's attorney that he submitted a federal whistle-blower complaint to the IRS with allegations that Buchanan violated federal tax laws, including tax evasion, fraud and conspiracy to commit tax evasion.

In the deposition, Buchanan's attorneys asked Rosa if he stood to gain a "financial windfall" by filing the complaint. Rosa said "potentially." The deposition did not provide details of the alleged violations of tax law. Rosa declined an interview with CNN. 

Buchanan's office responded to CNN's interview request with a statement saying the charges are "politically motivated," that the congressman did nothing wrong, and "We are confident that the Justice Department and House Ethics Committee will reach the same conclusion."

On Friday, lawyers for Buchanan filed a legal motion in Sarasota, Florida, to seal all documents in the Kazran case and to stop Kazran and his lawyers from speaking publicly about it.

Buchanan's lawyers said news stories about the congressman are "publicly disparaging" his character.

Stok said: "As an American citizen, both Congressman Buchanan and I have the fundamental right of free speech. ... Mr. Buchanan's motion is yet another in a series of frivolous efforts to attempt to shut down the case ... and to conceal his wrongdoing behind a shroud of secrecy."

CNN's Nicole Boucher contributed to this report.

Watch Anderson Cooper 360° weeknights 10pm ET. For the latest from AC360° click here.

@highlight

Four probes looking at various allegations against Rep. Vern Buchanan, R-Florida

@highlight

Ex-business partner: Buchanan used cash-swap scheme to finance his campaigns

@highlight

FEC initial report finds "reason to believe" Buchanan violated election laws

@highlight

Buchanan, a top House GOP fundraiser, says allegations are "politically motivated"