(CNN) -- The "Linsanity" surrounding the New York Knicks' surprise phenom at point guard may be motivated by something bigger than sports. Yes, Jeremy Lin is a terrific athlete, whose almost accidental discovery by the Knicks and little-engine-that-could perseverance make for great radio commentary and pop cultural mythology.

But there's something deeper at play here: Lin is iconic of a new kind of hero for the 21st century. And he is not alone.

Take Lin's story by itself: A Harvard graduate and only occasional Ivy League basketball star, Lin struggles to get recognized in the NBA. He is picked up by the Golden State Warriors only to be released. Then, plagued by player injuries and in need of an extra backup point guard, the Knicks pick up Lin as a temp backup, only to dump him back in the D-league when they think they don't need him. After a string of losses, they bring him back on board more for the hell of it than anything else, and Lin lights a fire under the team, leading it to a run of dramatic victories.

Still, Lin is not a superstar in the modern NBA slam-dunk sense. He can drive to the basket and make clutch plays, but the key to Lin's success is his ability to make the rest of his team work -- well, like a team. The economics major is a cool intellectual, who looks at his colleagues as part of a system. His talent is being able to keep them and the ball moving, and to find the open man -- whoever it might be, even himself. This style of play evokes earlier eras of the sport, where teamwork mattered more than individual performance.

Yet it also evokes the spirit of our current era -- one in which networks and connections are coming to matter more than individual skill or personal gain.

Another view: Jeremy Lin's race is a factor

Consider another Harvard alum in the headlines these days, Facebook founder Mark Zuckerberg. He came up with his social networking platform in his dorm room, with little more ambition than to create a new way for his college friends to connect to one another. And with a combination of perseverance and bit of luck, he ended up in the right place at the right time. Unlike the charismatic CEOs of the industrial age, Zuckerberg is a rather unassuming, quick-to-gaffe computer programmer whose entire premise -- his entire business -- is based on his ability to keep other people networking. At his best, he is a mere facilitator.

Likewise, Harvard Law alum Barack Obama came out of nowhere. A state senator gets picked to keynote a Democratic convention, and then somehow flips his huge success at that into a winning presidential campaign. His rise to viability, remember, depended on the strength of his Internet fundraising, and his ability to organize new networks of people around his candidacy through tools like Meetup and Facebook.

And again, it's a cool, plainspoken facilitator at the helm: so cool and deliberative that he infuriates even some of his allies, but a strategist whose deeper instincts about playing the political game are only now coming to light.

These are not the kind of people we traditionally think of as heroes in sports, technology, and politics. Compare Jeremy Lin, Mark Zuckerberg, and Barack Obama to, say, Michael Jordan, Steve Jobs, and Bill Clinton. Jordan, Jobs, and Clinton were stars in their own right. Their campaigns and their victories were about themselves. It was Jordan who made the dunks, Jobs who showed us the iPhone, and Clinton who made his presidency about himself. Lin, Zuckerberg, and Obama, on the other hand, are rather underwhelming as tribal leaders. They are leaders of the Net generation, who owe their power to the networks they can catalyze.

That's why the extent to which these three succeed will be based on their ability to keep the story from being about themselves. Jeremy Lin's biggest problem right now is his superstardom, and the fact that fan focus and adulation could make it harder for him to keep his senior, star teammates from getting jealous and uncooperative. Or worse, they could convince Lin that he really is all that people wish for him to be.

Likewise, Zuckerberg's greatest liability is the possibility that the people actually energizing Facebook -- those of us who use it to connect -- begin to suspect that his company and shareholders matter more than us. Once it feels like we're creating more value for him than he is for us, we're out.

And finally, Obama's success -- and chances for a second term -- may depend on his ability both to keep the ball moving, and keep his adversaries from casting that dependence on teamwork as some form of European socialism. Remember, Obama did not tell us that he was the one we were waiting for, but rather that we are the ones we have been waiting for.

This is 21st century leadership, writ large. Whether we, the president, the Internet or even our sports industry are up the challenge is the real question posed by the rise of a kid named Lin.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Douglas Rushkoff says Jeremy Lin is iconic of a new kind of hero for the 21st century

@highlight

Lin, Mark Zuckerberg and Barack Obama are cool, strategic facilitators, he says

@highlight

He says they must keep the ball moving and keep the story from being about themselves

@highlight

Rushkoff: Obama must avoid having teamwork approach cast by others as socialism