Washington (CNN) -- The fate of the controversial Keystone pipeline wasn't the only thing at stake during a crucial vote in the Senate on Tuesday.

The vote blocking legislation that would have authorized the pipeline's construction previews a new era of animosity between resurgent Republicans in Congress and President Barack Obama. It could also seal the fate of embattled Democratic Sen. Mary Landrieu of Louisiana, who had made pushing the measure a focal point in an uphill battle to fend off a GOP challenger in a runoff election next month.

Landrieu fell one vote short of securing the support necessary to advance the legislation. All 45 Republicans voted for the measure and 14 Democrats did, too. But she needed one more Democrat to join her to reach the critical 60 vote threshold.

The failure to muster enough Democratic votes occurred even though Landrieu had insisted for days that she had the votes she needed.

"I feel very comfortable," she said Monday night.

In a three hour-long Senate floor debate Tuesday in advance of the vote, Landrieu was a bit more tentative.

"This is one of the first debates in eight years where the outcome is uncertain," she said. "We usually know the outcome of the vote before we take it because the deals are all cut."

In her speech, Landrieu made an aggressive case in favor of approving the pipeline while other Democrats dissented.

"To everyone who thinks this pipeline is the end of the world -- we already have 2.6 million miles of pipeline in the United States," Landrieu said. "We're only completing basically 1,000 miles. What is everyone upset about? "

California Democratic Sen. Barbara Boxer pointed out the potential health risks of laying the pipeline, including heart disease, increased hospitalization, and a higher prevalence of chemicals that "penetrate deeply into the lungs."

"The facts are the facts are the facts," she said. "If you're not a scientist, then be humble and listen to the peer-reviewed scientists. They don't have a special interest. They have an interest in giving us information we should base our decisions upon. "

Boxer also referred to the project as the "Keystone Extra Lethal Pipeline."

Keystone protesters have message for Democrats

The GOP-led House on Friday approved a measure that will skip the conclusion of the six-year-old State Department review of the pipeline and authorize its construction. Though the Senate blocked that bill Tuesday, incoming Majority Leader Mitch McConnell (R-Ky.) said afterward that the newly-elected GOP majority will make it an early priority once the new Congress is in place in January.

If the Senate ultimately approves the measure, Obama could be poised to issue what would be just the third veto of his nearly six year presidency.

At a news conference last week, Obama made clear that he doesn't want Congress to interfere with the State Department's process.

"Understand what this project is: It is providing the ability of Canada to pump their oil, send it through our land, down to the Gulf, where it will be sold everywhere else. It doesn't have an impact on U.S. gas prices," Obama said at a Friday news conference in Myanmar.

The showdown comes as Obama and congressional Republicans appear to be on a collision course over immigration. Republicans are considering how to respond if Obama follows through with a pledge to revise immigration policies by the end of the year. Some GOP lawmakers have talked about potentially shutting down the government if Obama keeps that promise.

On Keystone, Senate Democrats had moved toward a vote largely in an effort to help Landrieu, the Senate Energy and Natural Resources chairwoman. She is facing off in the December runoff against Republican Rep. Bill Cassidy, who sponsored the House's Keystone bill and has been promised a seat of his own on the energy panel.

The measure offered Landrieu a final chance to demonstrate her clout before voters return to the polls.

Already, Landrieu was joined by 10 Democratic co-sponsors: Alaska Sen. Mark Begich, Arkansas Sen. Mark Pryor, Indiana Sen. Joe Donnelly, Missouri Sen. Claire McCaskill, Montana Sen. Jon Tester, Montana Sen. John Walsh, North Carolina Sen. Kay Hagan, North Dakota Sen. Heidi Heitkamp, Virginia Sen. Mark Warner and West Virginia Sen. Joe Manchin.

Three more Democrats had pledged last week to support the measure: Colorado Sen. Michael Bennet, Delaware Sen. Tom Carper and Pennsylvania Sen. Bob Casey.

But by Monday night, it was clear that the list of Landrieu's potential Democratic allies to provide the final vote had dwindled.

One of Landrieu's top targets, West Virginia Sen. Jay Rockefeller, said he wouldn't support the measure. Another potential backer, Maine Sen. Angus King, an independent who caucuses with the Democrats, told CNN Tuesday he would vote against the bill.

Landrieu's entreaties to other Democrats had also been rejected. Outgoing Michigan Sen. Carl Levin would not support the pipeline, a spokeswoman said Monday. Nor will New Jersey Sen. Cory Booker, who tweeted his opposition over the weekend.

Also confirming their opposition to the measure to various news outlets were Minnesota Sen. Amy Klobuchar, Florida Sen. Bill Nelson, New York Sen. Chuck Schumer, Delaware Sen. Chris Coons, New Jersey Sen. Robert Menendez and Colorado Sen. Mark Udall.

Retiring Democratic Sen. Tom Harkin of Iowa said he wouldn't be voting for the pipeline.

"I've come to this conclusion: every dollar that we spend on fossil fuel development and use is another dollar we spend digging the graves of our grandchildren," he told reporters Tuesday. "And I'm not going to be a part of it anymore. I'm through. That's just how strong I feel. I know we can't solve it overnight, but we have to be on a steep glide path in getting rid of fossil fuels as a source of energy for our planet."

Even Landrieu's Democratic supporters were facing pressure. Anti-Keystone activists, including college students, were trying Tuesday to convince Carper and Bennet to change their minds, protesting at the senators' Capitol Hill offices.

"We've been playing politics for too long and this is not a political game ... this is affecting everyone," student Rachael Scheinman told CNN inside Bennet's office, holding a sign that read, "Sen. Bennet, if you're not a climate denier, don't vote like one."

"[Bennet] needs to vote his conscience on this one," added student Elli Bloomberg.

Boehner: A Keystone veto is 'equivalent to calling American people stupid'

The peaceful scene in Bennet's office was in contrast to a more rambunctious protest in Carper's office, where protestors loudly chanted, "You can't eat money, you can't drink oil," "Keep the tarsands in the soil, we don't want this dirty oil," and "What do we want?" "Climate justice," "When do we want it?" "Now."

Staffers attempted to speak to protesters in Carper's office and explain his vote.

"What I hear you saying is that the senator is politicizing an environmental crisis," one protester said.

"If he believes the science, there's no reason for him to be voting like this and mortgaging our future," said another.

Capitol police arrested four of the activists inside Carper's office. They were escorted outside to chants of "climate heroes."

Fact checking Keystone jobs claims

CNN Chief Congressional Correspondent Dana Bash, CNN's Adam Levy, CNN's Betsy Klein and CNN's Justin Peligri contributed to this story.

@highlight

The Senate blocked a bill that would have authorized construction of the Keystone pipeline

@highlight

The bill is being championed by Democratic Sen. Mary Landrieu ahead of her Dec. 6 run-off election

@highlight

Landrieu had 14 of the 15 Democrats she needs to reach the 60 votes necessary for passage