Eric Tyler is Research Fellow with New America Foundation, a non-profit U.S. think tank, based in Washington DC. He is currently at sea.

Hilo, Hawaii What happens when you mix 11 budding startups with Google executives, Stanford professors, a Nobel Peace Laureate and 600 college students and put them on a ship to circumnavigate the world?

An experiment launched this month called Unreasonable at Sea hopes that this eclectic group will unleash global entrepreneurship.

A 590-foot ocean liner has become the incubator for this experiment, attracting aboard both multinational companies and international foundations, venture capitalists and environmental philanthropists, even a Saudi Arabian prince and the founder of WordPress. All want to take part in fostering the entrepreneurial efforts of those on the ship.

From Hawaii, the program will visit a range of developed markets from Japan to Spain as well as developing markets from Burma (also known as Myanmar) to Ghana. This allows for a crucial opportunity to not just tweak business models but more importantly test products in local contexts.

For many of the founders, who come from countries around the world, this is their first voyage on a ship. As such, seasickness on the choppy waters of the Pacific has been a recurring struggle, but it has not deterred the entrepreneurs from diving head first into the business workshops, one-on-one meetings and pitch events.

The program is spearheaded by Stanford University's Institute of Design and the Unreasonable Institute, which has teamed up with Semester at Sea to embark on a 105-day journey to 13 countries around the world. It also has financial support from backers including Microsoft and SAP.

At its core, the program believes in creating a melting pot of individuals with different backgrounds, experiences and perspectives while also maintaining a context of openness that doesn't shy away from experimentation and failure. And it's no surprise to hear lunch conversations focused on intellectual property challenges in China and supply chain strategies for Sub-Saharan Africa.

When I boarded the ship, the co-founder of the program, Daniel Epstein, explained to me the unique criteria he sought for the chosen entrepreneurs.

"We are not looking for typical Silicon Valley startups," he said. "We are hedging our bets on the black swans: startups who are leveraging technology to solve seemingly intractable social and environment challenges and who are positioned within billion dollar market opportunities. We hand selected these ventures from nearly 1,000 applications coming from just shy of 100 countries."

The handful of participating startups could be from a technocrat's dream with products ranging from a tablet teacher training software to a solar-powered cooking stove. They are also geographically diverse with founders joining from China, Botswana, Spain, India, and Mexico, among other destinations.

George Kembel, the co-founder of Stanford's d.school, also leads the seaboard program. He told me: "We find ourselves at a time in which we're shifting from a most industrialized era to a new era. And almost all of the institutions that were built on that last model that got us this far aren't really adapted for carrying us much farther."

After an orientation session on the deck, I spoke with Deepak Ravindran, founder and CEO of Innoz, one of the more developed companies participating in the program. His idea began when he noticed that his friends in his Indian home state of Kerala didn't have access to internet, but they all had mobile phones. So in 2009, Ravindran and three classmates dropped out of college to focus on bridging this information gap through the development of a text message-based search engine.

Currently, the company has 120 million users and receives five million text message queries a day. And he says this is only the beginning. "There are a lot of dumb phones in the world, and what I want is to make every dumb phone smart with information. Maybe because of this chance to visit 14 countries, we can see whether we can launch at scale."

In the end, Unreasonable at Sea is moving into uncharted waters, and to a large degree, nobody on the ship knows exactly what the end result of this bold experiment will be. But despite this ambiguity, there is sense that this social alchemy might very well lead to innovation.

@highlight

Execs, academics and students set sail on a global business enterprise

@highlight

105-day voyage to 13 countries to test enterprise ideas

@highlight

Program is called Unreasonable at Sea and launched from Hawaii