One of the basic tenets of Obamacare is that the government will help lower-income Americans -- anyone making less than about $45,900 a year  -- pay for the health insurance everyone is now mandated to have.

But a CNN analysis shows that in the largest city in nearly every state, many low-income younger Americans won't get any subsidy at all. Administration officials said the reason so many Americans won't receive a subsidy is that the cost of insurance is lower than the government initially expected. Subsidies are calculated using a complicated formula based on the cost of insurance premiums, which can vary drastically from state to state, and even county to county.

That doesn't change the fact that in Chicago, a 27-year old will receive no subsidy to help offset premiums of more than $165 a month if he makes more than $27,400 a year.

In Portland, Oregon, subsidies for individuals making just $28,725 a year phase out for those younger than 35 years old.

The subsidies situation is adding another layer of complications and calculations to the already-complex picture of Obamacare.

And Obama administration officials had promised that the threshold for government assistance would be higher.

Subsidies are based on a formula set by law, applying to individuals with annual incomes of one to four times the poverty level -- or $11,490 to $45,960.

A subsidy calculator

The percentage people have to pay for insurance increases on a sliding scale, with those making $11,490 paying no more than 2% of their income, and those making $45,960 paying no more than 9.5% unless they choose to select a more expensive plan.

Back in April, Health and Human Services Secretary Kathleen Sebelius told a congressional subcommittee that any individual making under that $45,960 threshold -- or four times the poverty level of $11,490 for an individual -- would qualify for "an upfront tax subsidy."

"Somebody who's making $25,500 would definitely qualify for a subsidy if he or she is purchasing coverage in the individual market," Sebelius added.

Despite the secretary's assurance, a 25-year-old living in Nashville, Tennessee, making $25,500 will not qualify for a subsidy, for example.

An administration official, presented with the data that many low-income Americans would not receive a subsidy, argued that lower premium costs meant the market was working.

"In some instances, because of the competition that the marketplace creates, premiums have come in so low that the premium is below the ceiling in the law," said HHS spokeswoman Joanne Peters. "This means that, in some places, people will pay less than they would with a tax credit."

Cancer survivor: Obamacare got me covered

To calculate premium subsidies, the government sets a maximum amount that low-income customers will have to pay for insurance as a percentage of their income. That cap is then subtracted from the cost of a mid-level insurance plan in the individual's region, and the difference is their subsidy. The insurance companies knock that amount off the price of premiums before the customer pays.

But if the baseline plan is cheap enough, the formula is thrown off and the subsidy is zero.

"The way the subsidy works is by capping the percent of your income that you'd have to spend on a silver premium," said Cynthia Cox, a policy analyst at the Kaiser Family Foundation, referring to the medium-level insurance plan the government uses as the baseline. "But if the premium before subsidies is already so low that it falls below your income cap, then you wouldn't qualify for a subsidy even if your income would otherwise qualify for one."

This means that in places like Minneapolis, Minnesota, where premiums are especially low, a 40 year old making $28,725 a year would get no help from the government to purchase insurance. In that case, this individual would be earning just 250% of the federal poverty level, far below 400% where the subsidies are supposed to end.

"While you don't qualify for subsidies your premiums are already lower," Cox pointed out. "So in this example, this person is only going to be paying $154 a month whereas the same person living somewhere else would be paying $193 a month after subsidies."

Still, because of what government officials have been saying about who would get subsidies, many low-income consumers are counting on subsidies to lower their costs, no matter how small those costs may initially be.

The actual age and income level where subsidies phase out differs depending on the cost of insurance, which are often lower in cities than in more rural areas.

Opinion: Generation Y should opt for Obamacare

But no matter where a person lives, premiums increase based on a customer's age, meaning this problem will disproportionately affect younger customers. Two exceptions are in New York and Vermont, where state laws require insurance companies to charge younger customers the same as older customers.

"There's a lot of interest in getting young people to enroll in coverage because that helps bring down the average cost," Cox said, but these younger, healthier consumers might stay out of the exchange it they "don't have subsidies to incentivize them to enroll."

As incomes increase, the age cap gets even higher.

Part of the reason for the sizable difference between the actual subsidy caps in certain cities and the intended cap under the law is that actual premiums came in below what the government and the Congressional Budget Office estimated.

"The CBO projected premiums to be approximately 16% higher than they turned out to be," Cox said. Because Kaiser based its estimates on the CBO's, much of its projections turned out to be slightly off.

The actual subsidy caps only became clear after October 1, when the foundation was able to compile the cost of the second-lowest silver plan from every coverage area in all 50 states and the District of Columbia.

White House: Politics aren't pushing back start date of 2015 Obamacare enrollment

@highlight

Sebelius said in April: "Anyone under 400% of poverty will qualify for a tax subsidy"

@highlight

CNN crunches the numbers, finds many low-income younger Americans will get no subsidy

@highlight

Officials now say that's because the cost of insurance is lower than initially expected

@highlight

Competition put premiums "so low that the premium is below the ceiling," says HHS spokeswoman