(CNN) -- The FBI has launched an investigation into apparent leaks of classified information involving a cyberwarfare program against Iran, a U.S. official said Wednesday.

FBI spokesman Paul Bresson had no comment on the reported investigation.

Sen. Saxby Chambliss, ranking Republican on the Senate Intelligence Committee, said he was informed that an FBI inquiry was under way.

The senator from Georgia and other leaders of the House and Senate Intelligence Committees issued a joint statement Tuesday deploring the apparent leaks.

"In recent weeks, we have become increasingly concerned at the continued leaks regarding sensitive intelligence programs and activities, including specific details of sources and methods," said Chambliss; Chairwoman Dianne Feinstein, D-California; Chairman Mike Rogers, R-Michigan; and Ranking Member C.A. "Dutch" Ruppersberger, D-Maryland, in the statement.

"These disclosures have seriously interfered with ongoing intelligence programs and have put at jeopardy our intelligence capability to act in the future. Each disclosure puts American lives at risk, makes it more difficult to recruit assets, strains the trust of our partners and threatens imminent and irreparable damage to our national security in the face of urgent and rapidly adapting threats worldwide."

The House and Senate Intelligence Committee leaders said they intended "to review potential legislation to strengthen authorities and procedures with respect to access to classified information and disclosure of it, as well as to ensure that criminal and administrative measures are taken each time sensitive information is improperly disclosed."

"We also intend to press for the executive branch to take tangible and demonstrable steps to detect and deter intelligence leaks, and to fully, fairly, and impartially investigate the disclosures that have already taken place."

The committee is expected to add leak provisions later this month, when it takes up the FY13 intelligence authorization bill. The plan is for the Senate to vote on the measure before the summer recess.

Although the House has already passed a version of the bill without the leak provisions, they would likely be added during a conference with the Senate.

Spyware infiltrating Iranian computers

The White House pushed back against suggestions it could be leaking classified information for political purposes.

"This administration takes all appropriate and necessary steps to prevent leaks of classified information or sensitive information that could risk ongoing counterterrorism or intelligence operations," spokesman Jay Carney said Wednesday aboard Air Force One as the president traveled to campaign events on the West Coast.

"Any suggestion that this administration has authorized intentional leaks of classified information for political gain is grossly irresponsible."

Asked about the White House's response, Sen. John McCain told CNN International's "Amanpour," "I would expect nothing else from the White House. But the fact is that the portrayal of the president in these stories is nothing short of heroic."

The ranking member of the Senate Armed Services Committee added, "Clearly, administration officials were involved."

McCain, R-Arizona, said he has "great faith" in the FBI but that a matter as weighty as national security "probably deserves a special counsel."

He continued, "It's clear that the Iranians will profit from having this information. In fact, they might even feel they are justified in cybercounterattacks."

Feinstein told CNN's "The Situation Room with Wolf Blitzer" that she didn't believe any of the information came from the top ranks of the White House.

"I think one of the problems is, information is not closely held sufficiently," she said. She described policies regarding responding to leaks as "archaic" and said they need to be revamped.

The government's failure to keep its secrets has dissuaded some people from giving information to the United States and has endangered lives, she said, but she is unaware of anyone having been killed as a result. She would not go into specifics.

"People just talk too much," she said. "This didn't used to be the case. But suddenly it's like it's a spreadable disease."

John Kerry, the Democratic chairman of the Senate Foreign Relations Committee, expressed confidence Wednesday that the White House played no role in the apparent leaks. "I know that people at the White House were not involved," he said.

He disputed McCain's assertion to the contrary. "McCain needs to know, before people make that kind of accusation, the reporters themselves have said it did not come from anybody on the Obama team or on the Democratic side or anything like that," Kerry said. "I take that at face value."

But he said such a leak "endangers our long-term security."

A report in The New York Times on Friday provided classified details of what it described as a U.S cyberattack targeting Iran's nuclear centrifuge program.

Since shortly after he became president, Barack Obama has ordered cyberattacks targeting computers that run Iran's nuclear enrichment facilities, the report said, attributing the information to participants in the program.

The White House has said it did not authorize any leak of such information.

McCain said Armed Services Committee Chairman Carl Levin has agreed to hold a hearing on the matter.

Some Republicans, including McCain, have called for a special prosecutor to investigate.

But Deputy Attorney General James Cole, in response to a question from Sen. John Cornyn, R-Texas, said Wednesday that he does not believe a special prosecutor is needed in this case.

Chambliss said he expects the FBI to conduct a "full and fair investigation, including a review of administration officials who have been quoted anonymously or directly."

Feinstein said she had discussed the possibility of a joint hearing with Levin.

On Tuesday, White House deputy press secretary Josh Earnest said the administration believes that classified information should remain secret for a reason, and "publicizing it would pose a threat to our national security."

McCain and Chambliss cited other recent leaks as well, including information on the administration's efforts to expand its drone program and the president's involvement in "kill lists" against militants in Yemen and Pakistan.

Also, the public airing of details surrounding a recently disrupted bomb plot in Yemen by al Qaeda in the Arabian Peninsula angered intelligence and national security officials.

CNN's Terry Frieden, Carol Cratty, Adam Levine, Ted Barrett, Pam Benson, Dan Lothian, Tom Dunlavey and Josh Levs contributed to this report.

@highlight

"People just talk too much," Sen. Dianne Feinstein says

@highlight

The White House slams "grossly irresponsible" suggestions of political leaks

@highlight

A report in The New York Times provides classified details of a U.S cyberattack on Iran

@highlight

Sen. Saxby Chambliss says he was told an FBI inquiry is under way