(CNN) -- A fast-moving storm system struck parts of the Upper Midwest hard on Wednesday evening, delivering blows to Chicago and many other communities before moving quickly to inflict damage farther east.

The Windy City itself experienced gusts that measured about 50 mph around 6 p.m. (7 p.m. ET), in addition to dime-size hail, the National Weather Service's Chicago branch said.

Cities and towns near Chicago were affected as well.

About 50 miles southwest, in Kendall County, residents were urged to hunker down after storm spotters "reported wall clouds" that suggest a possible tornado, according to weather service.

In DeKalb County, some 60 miles west of Chicago, straight-line winds downed power lines, and some large trees appeared to be damaged, Chief Deputy Gary Dumdie of the country sheriff's department said.

To the east in Lake County, Indiana, a severe thunderstorm warning advised residents to brace for 80 mph wind gusts and pingpong-ball-size hail. Some 35 miles south near Crete, Illinois, radar showed winds were blowing up to 80 mph.

All this commotion was thanks to a swift and, at times, powerful storm system that moved across the Upper Midwest and into the Ohio Valley on Wednesday evening.

One of the first indications that it would be tumultuous day came around 4:30 p.m., when a "confirmed tornado" touched down about 8 miles east of Belmond in Wright County, Iowa.

Several businesses and one home in Belmond were destroyed, while three other homes suffered significant damage, said Iowa emergency management spokeswoman Stefanie Bond. Thankfully, there were no reports of fatalities or injuries.

The storm's impact wasn't unexpected: The Storm Prediction Center had warned that Indiana, Ohio and much of Illinois, including the city of Chicago, faced a "high risk" -- the most perilous category -- of severe weather through Wednesday night.

The portion of the United States under a moderate risk for severe weather extended farther and included the cities of Cedar Rapids, Iowa; Indianapolis, Indiana; and Columbus, Ohio.

The threat of tornadoes was particularly high in southwest Wisconsin and northwest Illinois, thanks to severe thunderstorms capable of producing a twister.

There was a possibility they could strike well beyond that, though, with the weather service issuing tornado watches through midnight Wednesday for much of Ohio, southwestern Pennsylvania and northern West Virginia.

Russ Schneider, director of the Storm Prediction Center, explained that the type of severe weather that hit the Upper Midwest was a derecho.

Derived from the Spanish word for "straight ahead," derechos are a weather phenomenon that traditionally happens only a few times a year. It is defined as a line of storms that produces a swath of damage more than 240 miles long with gusts of at least 58 mph.

A derecho forms thanks in large part to warm, humid air, instability in the atmosphere and jet-stream winds, which can organize the storms into isolated storms called super cells.

Those super cells rotate among themselves, then cluster into powerful wind systems that can become derechos, Schneider said.

A line of such storms travels quickly, often at around 50 to 60 mph, which is much faster than most other types of storms.

"(So) what looks like a very dark cloud on the horizon very rapidly becomes an imminent threat," explained Schneider. "(People should) make sure they know where they go to seek shelter, and what actions they need to take as warnings are issued."

Calmer conditions should return to the Upper Midwest on Thursday: Chicago's forecast, for instance, calls for a breezy, mostly sunny day with temperatures reaching a high of around 65.

By then, the greatest severe weather threat will have shifted east. The Storm Prediction Center is forecasting that severe weather will be possible Thursday in the mid-Atlantic, an area that includes that includes Richmond, Virginia; Washington; Baltimore, Maryland; Philadelphia and the southern half of New Jersey.

A much bigger chunk of the eastern United States -- from Alabama and Georgia extending north up the Appalachian Mountains to New York City -- has a slight chance of severe weather, likely in the form of strong thunderstorms.

CNN's Tom Watkins, Joe Sutton and Cristy Lenz contributed to this report.

@highlight

NEW: The mid-Atlantic will most likely have severe weather Thursday

@highlight

NEW: Trees and power lines are downed west of Chicago

@highlight

50 mph wind gusts, dime-sized hail in Chicago; stronger winds seen elsewhere

@highlight

Tornado watches extend as far east as Pennsylvania, West Virginia