(CNN) -- The world is focused on forging a durable agreement to prevent Iran from developing a single nuclear weapon. While critically important, these efforts ignore a far greater danger: the thousands of weapons that already exist.

There are today more than 17,000 nuclear warheads, an ongoing existential threat to human survival that has largely been ignored since the Cold War ended two decades ago. And, unlike Iran, there are no comparable negotiations under way to deal with these far more dangerous arsenals.

In fact, the humanitarian consequences of even a limited nuclear war, such as a conflict in South Asia between India and Pakistan, involving just 100 Hiroshima-size bombs -- less than 0.5% of the world's nuclear arsenal -- would put 2 billion people's lives and well-being at risk.

The local effects would be devastating. More than 20 million people would be dead in a week from the explosions, firestorms and immediate radiation effects. But the global consequences would be far worse.

The firestorms caused by this war would loft 5 million tons of soot high into the atmosphere, blocking out sunlight and dropping temperatures across the planet. This climate disruption would cause a sharp, worldwide decline in food production. There would be a 12% decline in U.S. corn production and a 15% decline in Chinese rice production, both lasting for a full decade. A staggering 31% decline in Chinese winter wheat production would also last for 10 years.

The resulting global famine would put at risk 870 million people in the developing world who are already malnourished today, and 300 million people living in countries dependent on food imports.

In addition, the huge shortfalls in Chinese food production would threaten another 1.3 billion people within China. At the very least there would be a decade of social and economic chaos in the largest country in the world, home to the world's second largest and most dynamic economy and a large nuclear arsenal of its own.

A nuclear war of comparable size anywhere in the world would produce the same global impact. By way of comparison, each U.S. Trident submarine commonly carries 96 warheads, each of which is 10 to 30 times more powerful than the weapons used in the South Asia scenario. That means a single submarine can cause the devastation of a nuclear famine many times over.

The United States has 14 of these submarines, plus land-based missiles and a fleet of strategic bombers. The Russian arsenal has the same incredible overkill capacity. Two decades after the Cold War, nuclear weapons are ill-suited to meet modern threats and cost hundreds of billions of dollars to maintain.

There is a growing global movement to prevent such a catastrophe. In 2011, the International Red Cross and Red Crescent Movement called for its national societies to educate the public about these humanitarian consequences and called for the abolition of nuclear weapons.

Seventeen nations issued a joint statement in May 2012 on the humanitarian impact of nuclear weapons that called for their total elimination. By this fall the number rose to 125 nations.

The international community should continue to take practical steps to prevent additional countries from acquiring nuclear weapons. But this effort to prevent proliferation must be matched by real progress to eliminate the far greater danger posed by the vast arsenals that already exist.

Simply put, the only way to eliminate the threat of nuclear war or risk of an accidental launch or mishap is to eliminate nuclear weapons.

This past year the majority of the world's nations attended a two-day conference in Oslo, Norway, on the humanitarian consequences of nuclear war. The United States and the other major nuclear powers would not attend this meeting. There will be an important follow-up meeting in Mexico in February. America should lead nuclear weapons states in attending and embrace the call to eliminate nuclear weapons.

The opinions expressed in this commentary are solely those of Ira Helfand.

@highlight

Ira Helfand: Focus has been on stopping Iran nukes, but world has 17,000-plus warheads

@highlight

He says even limited nuclear war with existing warheads could put 2 billion lives at risk

@highlight

He says ensuing devastation would cause sharp decline in food and global famine

@highlight

Helfand: How to prevent even accidental launch? Eliminate all nuclear weapons