Twenty-nine patients at the Veterans Administration hospital in Pittsburgh have been diagnosed with Legionnaires' disease since January 2011, raising questions about the institution's safety practices.

Five of the cases "are known to have acquired the disease from the hospital," the VA said. Another eight were infected elsewhere, and the source of the infection in 16 cases cannot been determined.

The spate of illnesses has led relatives of two veterans who died after contracting the disease, a type of pneumonia, to blame the hospital.

CNN has learned that hospital officials knew they had a problem with the water system as far back as last December,  but chose not to reveal that until a month ago.

That's when the hospital began turning off the water in parts of the hospital, staff and patients told CNN.

"They should have the best and utmost care than anybody else, even better than a normal civilian," said Dave Nicklas, whose father, Bill, died last month at age 87. According to his death certificate, he died of heart failure and Legionnaires' disease.

Nicklas entered the hospital last month for treatment of dehydration; the World War II Navy veteran initially appeared to be improving, but his condition reversed, his son said.

The man's doctors told the family shortly before he died that he had contracted Legionnaires'.

"I mean, they fought for their country, you know," Dave Nicklas said.

Legionnaires' disease kills 10 in Quebec

"They go to battle, they love their country and where do they go? They go to a hospital and they basically die in there."

Another Navy veteran -- John Ciarolla, 83, -- died July 18, 2011, after being diagnosed with Legionnaires' at the hospital, his daughter Maureen Ciarolla said.

Though the Korean War veteran had been living in the hospital for several months after he became unable to live on his own, the hospital said he could not have contracted the bacteria in the hospital.

When she questioned how that conclusion had been reached, she said she was told, "If he had gotten it here there would have been other cases."

"I felt guilty, very guilty, thinking he got it when I took him out the Sunday before Father's Day 2011," Maureen Ciarolla said.

The VA's problem extends beyond Pittsburgh. This week, it turned off the water in a building at its campus in Butler, Pennsylvania, 30 miles from the facility in Pittsburgh, said Amanda Kurtz, a spokeswoman for the facility.

The action was taken after Legionella bacteria were identified in a preliminary sample on Tuesday, she said in a statement. No cases of Legionnaires' have been identified in the Butler facility "as a result of this preliminary finding," she added.

The Veterans Administration would not say if any of the patients known to have been sick with Legionnaires' disease at the hospital in Pittsburgh had died, but it told the Allegheny County Health Department that one of them did, a health department spokesman said.

Legionnaires' disease, which is spread through water, is preventable and treatable.

"Being a veteran myself, I'm shocked and appalled that the VA would put their veterans in that type of situation," said Dave Nicklas.

According to data collected by the hospital and obtained by CNN, hospital water over the past year did not contain enough disinfectant to prevent Legionnella bacteria from reaching dangerous levels.

Records from the company that manufactured the water systems show that, in December 2011, a site visit noted, "They have legionella" and "Systems are not being properly maintained."

Five months later, the same company -- LiquiTech -- concluded that the problems were continuing: "Obvious evidence that the systems had not been properly regularly maintained," the records say.

"They were not doing the monitoring; they were not doing the things critical to the efficacy of the system," said LiquiTech Chief Operating Officer Tory Schira.

He said his staff alerted hospital officials twice to the deficiency in their maintenance practices.

But he said there is no evidence that hospital officials fixed the problem and that the deaths "absolutely" could have been prevented had the system been maintained.

Schira's view was shared by Janet Stout, an authority on  Legionnaires' disease who worked as a microbiologist at the hospital for 23 years.

"This outbreak was absolutely preventable," she said. Stout and her colleague, Dr. Victor Yu, pioneered the research on the ionization filtration system now used in hospitals nationwide.

But six years ago, the scientists' laboratory was closed by the hospital, which described it as "not productive" and "a drain on clinical resources."

The researchers, who left the hospital after their lab was shut, dispute that characterization. They said that, during the decade before their departure, hospital water had not been linked to a single case of Legionnaires'.

Had the laboratory remained at the hospital, the deaths of Bill Nicklas and others could have been prevented with the turn of a knob, Stout said.

"This is not, as they say, rocket science," she said. "This is straightforward."

A source told CNN that, about six months ago, the hospital did bring in a consultant who made recommendations about how to fix the water, but the VA apparently did not tell that consultant that the hospital had had any Legionnaires' cases. Had the consultant been told, the source said, the consultant's recommendations to the hospital would have been different. The source said it was not clear whether the hospital had followed any of the consultant's recommendations.

Chicago hotel shuts fountain, spa after fatal Legionnaires' outbreak

Last month, the federal Centers for Disease Control and Prevention sent a team to the Pittsburgh VA to investigate and make recommendations. Their findings are to be issued to the VA in the coming weeks.

VA spokesman David Cowgill would not agree to an interview. Instead, he released media advisories, one of which concluded: "VA is committed to providing safe facilities and quality care for veterans."

It added that an investigation was under way and tests had shown that remediation efforts had proven successful.

Outside his suburban Pittsburgh home, Bill Nicklas' flag still flies over his front lawn. He would have turned 88 last weekend, but instead of celebrating his birthday, his family held a memorial service. He leaves three sons, five grandchildren and a wife of 59 years.

The family has retained a lawyer and begun the process of filing a claim against the VA.

In the meantime, Sen. Bob Casey, D-Pennsylvania, and other members of Congress are calling for a full accounting of the outbreak.

The disease has long existed, but got its name in 1976, when an outbreak occurred among people attending an American Legion convention.

Some 8,000 to 18,000 people are hospitalized with Legionnaires' each year in the United States, according to the CDC.

Though it proves fatal in 5% to 30% of cases, most cases can be treated successfully with antibiotics, the disease agency says.

People contract the disease when they breathe in droplets of water contaminated with the bacteria, it says.

Hospitals are vulnerable because of their complex water systems, and because many of their patients already have illnesses that could put them at increased risk of infection.

Older people, smokers, people with impaired immune systems or chronic lung disease also tend to be at higher risk,the CDC said.

@highlight

29 cases of Legionnaires' disease have been diagnosed at Pittsburgh VA since January 2011

@highlight

At least 5 of the cases were acquired from the hospital

@highlight

Relatives of two veterans who died after contracting the disease blame the VA

@highlight

Records indicate the hospital's water systems were not properly maintained