(CNN) -- In the year since Steve Jobs' death, Apple has undergone a gradual and subtle brand makeover, shaking off some of the more unpleasant characteristics associated with Jobs and taking on bits of the personality of its new leader, Tim Cook.

For all his brilliance at product design, Jobs showed little interest in glad-handing with Apple partners or investors. By contrast, Apple from the outside has appeared more open under Cook, thanks to a number of orchestrated meetings and trips meant to appeal to the various factions -- consumers, investors and politicians -- interested in the world's leading tech company.

In May, Cook went to Washington to meet with congressional leaders to open lines of communication that were mostly blocked in previous years. Apple was no stranger to lobbying (although it spends far less than some other Silicon Valley companies, like Google), but sending Cook was a way of letting politicians know Apple was ready to grow its relationship with Capitol Hill and that the company might take a stronger interest in policy issues in the future.

Apple also has worked harder to woo Wall Street. There was a bus tour of investors that stopped at Apple headquarters in Cupertino, California, where they were treated to cookies and a presentation by Apple's chief financial officer. A more sizable act of goodwill was the cash dividend Apple paid out to investors -- the first in 17 years. On a call with investors in February, Cook answered questions, cracked jokes and was generally open and friendly.

Did Apple's fanboy fever peak with Steve Jobs?

After an outcry over working conditions at the factories of Apple's manufacturing partners, most notably Foxconn, Cook took swift action. He took a trip to China and toured a Foxconn plant in person. Apple also allowed the Fair Labor Association to do a thorough audit of conditions at the China factories, and Apple vowed to improve pay and hours.

The most recent display of the company's shift in tone was its reaction to the bungled iOS 6 Maps app. The new Maps app crafted in-house by Apple to replace Google Maps on iPhones and iPads was riddled with flaws, from missing features to misplaced businesses, landmarks and even towns.

A week after the phone hit stores, Cook apologized for the map publicly and, with surprising humility, even pointed customers to competing products. Some pundits compared his swift and contrite reaction to a terse and rare public apology from Jobs more than a month after complaints over the iPhone 4's antenna erupted in 2010.

Who is the next Steve Jobs (and is there one)?

Cook's mea culpa is just the latest demonstration of how he, and by extension Apple, is different from Jobs and the Jobs era at the company. Cook comes off as having a far more relaxed and approachable personality, and he is less inclined to be the center of attention. His product announcements are not one-man shows, but presentations shared with other Apple executives. He is still discovering his own style -- a tricky undertaking given the abnormal amounts of scrutiny that follow Apple's every move.

A recent article by Bloomberg Businessweek, citing interviews with current and former Apple executives, employees and partners, states "the company is happier and even somewhat more transparent than it was during Jobs' tenure ... There are fewer frantic calls at midnight, and there's less implicit pressure on engineers to cut short or cancel vacations in the heat of product development cycles."

Cook recently announced that most Apple employees at company headquarters will get the week of Thanksgiving off with pay, according to reports.

Unfortunately for Apple's soft-spoken chief executive, he has been incessantly compared to his predecessor after every presentation, successes and failures.

"To simply put Steve Jobs on some sort of pedestal and say Apple could do no wrong under Steve's leadership is wrong," said Gartner analyst Michael Gartenberg. Remember Ping, Apple's failed attempt at a social network centered around music?

Cook has not launched any bold new products in the past 12 months. So far, the company has only released minor updates of popular products, like speedier laptops, the new Mac operating system, the refreshed iPod line and the new, taller iPhone 5. They've all been met with solid reviews (Maps app aside) and sold well.

Apple has gone on to become the most valuable company in history. A year ago on October 4, Apple stock closed at $381.80 a share. On Wednesday, it closed at $671.45.

But by staying the course, Cook has raised some concerns that he may lack the imagination and the bold ability to conjure up mind-blowing new products, which was Jobs' hallmark. Cook's last major responsibility was decidedly left-brained: streamlining Apple's supply chain.

Some question how much credit for Apple's recent financial success should go Cook and how much is residual carryover from Jobs' regime. He prepared the company and its executives to carry on his vision and spent years grooming staff and setting up Apple to continue on seamlessly without him. Is it any surprise that it's continued to do so well?

Your thoughts on the next Steve Jobs

Gartenberg says that while Jobs gave the appearance of being entirely in control, he did not in fact design each new device single-handedly. Apple has about 12,000 employees in the United States, not counting retail and support staff. It is a large, well-oiled machine that knows how to design and sell beautiful products that consumers want.

"The company is on cruise control," said Tero Kuittinen, an analyst at Alekstra. Kuittinen thinks the recent Maps kerfuffle could have a material impact on Apple and iPhone sales down the line, but we won't know until 2013. Early stats -- like moving 5 million iPhones 5s in the first weekend of sales -- can't foretell what's going to happen at the end of a model's life cycle.

"Apple has a huge amount of good will among consumers. They've started eating away at that," said Kuittinen, referring to the Map app problems.

Kuittinen believes the big decisions that will define Cook are still yet to come. Some are decisions Jobs never made, such as whether to drop the price of the iPhone to be competitive in emerging markets. Cook has already proven that he is aggressive about international sales. The iPhone 5 will be in 100 countries at the end of this year -- a far speedier and more expansive roll out than previous Apple devices.

It's still too early for anyone to predict Cook's long-term success or failure, observers say. And the true impact of Jobs' absence won't be known for two years or more.

"The biggest challenge Apple has is not product," Gartenberg said. "They are going to have to manage this legend of Steve Jobs."

@highlight

In the year since Steve Jobs' death, Tim Cook has subtly altered Apple's image

@highlight

Concerted efforts have been made to reach out to investors and Washington

@highlight

Tim Cook's quieter, more approachable style is setting a new tone at the company