London (CNN) -- A British cyclist who was the first to come across the aftermath of a brutal murder in the French Alps last week told Thursday how he helped an injured girl and called for help.

In an interview with BBC News, Brett Martin, a former Royal Air Force pilot, recounted the shocking scene he stumbled across as he went on a regular bike ride in a national park.

Martin said what he found in the parking lot -- three people shot dead in a car and a fourth on the ground nearby -- was like "a Hollywood scene."

His account came as French prosecutor Eric Maillaud and investigating Judge Michel Mollin were in Britain seeking new leads in the case.

They met with Surrey Police, whose officers have been helping French investigators to search the home of two of the victims, Saad and Ikbal al-Hilli, in the town of Claygate, in the county of Surrey.

Bomb squad clears suspicious items in victims' home

Speaking outside Woking police station, Maillaud said it was "highly likely that the reasons and causes for (the crime) have their origin in this country."

"Our presence here does not mean that there are problems between the two jurisdictions," said Maillaud, .

"We wish to reinforce our cooperation and understanding with hope to reach a conclusion to these horrible murders."

Rob Price, assistant chief constable for Surrey Police, stressed that his officers would do all they could to assist the French-led investigation.

Maillaud said Wednesday that investigators were focused on three main areas: Saad al-Hilli's job, his links to his native Iraq, and a reported family dispute over money involving his brother.

Born in Baghdad in 1962, Saad al-Hilli was a naturalized British citizen who had lived in the United Kingdom for decades. He was an engineer working at Surrey Satellite Technology, a high-tech company owned by EADS, an aerospace corporation that builds satellites.

Authorities have been tight-lipped about possible perpetrators and motives in the attack, although speculation has been rife in the British media.

Martin's account to the BBC shed fresh light on the grisly scene that confronted French police near Lake Annecy after the alarm was raised last Wednesday.

'Slaughter at Chevaline': More questions than answers

The first thing he saw as he cycled up the mountain road near the village of Chevaline was the bike of a French cyclist on the ground, Martin said.

Then he spotted the girl, whose parents, Saad and Ikbal al-Hilli, and grandmother were subsequently identified as those shot to death in the car.

She was stumbling and falling over and at first he thought she was playing, Martin told the BBC. Then he realized she was injured, and put her in the recovery position as she slipped in and out of consciousness.

The car engine was still revving and wheels spinning, he said, making him fear it could move and harm the girl and the cyclist whose bike he had seen on the ground.

"At first I thought, there's been a terrible accident between a cyclist and a car, because there was a cyclist on the ground more or less in front of the car. But there were things that didn't quite match, because the cyclist's bike wasn't beside him, so as the minutes went on I started to change my opinion," he told the BBC.

He pushed in one of the car windows, which had bullet holes in it, to turn off the engine -- and saw the bodies inside.

"I've never seen people who've been shot before for real ... but it seemed to me just like a Hollywood scene, and if someone had said 'cut' and everybody got up and walked away, that would have been it. But unfortunately it was real life. ... It became quite obvious now, taking stock, that it was a gun crime," he said.

Realizing that whoever was responsible could still be in the area, Martin became increasingly anxious but faced a dilemma.

He had no cell phone signal to call emergency services, but the girl appeared too badly injured for him to carry her down the mountain. Martin decided to leave her in a safe position and set off back down the road on his bike to summon help.

He managed to flag down a car and asked the French motorist to call for help, before returning to the scene to check on the girl, who was now unconscious.

He added that he was unsurprised that French police had failed to spot a second child, a 4-year-old girl, hiding in the back of the car under her dead mother's legs, for nearly eight hours.

Young girl found alive among bodies in France

Martin, from Sussex in southern England, went back to France on Wednesday to retrace his route and see if new recollections came to mind.

The pilot, who now works in civil aviation and has a family business in Annecy, had given a detailed statement to police immediately after the shooting, including details of vehicles that passed him on the road, he said.

The 7-year-old girl he helped is now out of a medically induced coma but remains too badly injured to be questioned, Maillaud said Wednesday. She is a key witness as the only person alive who potentially saw who carried out the shooting.

Her 4-year-old sister, who has been reunited with other family members, told investigators she heard noise but saw nothing.

Ahmed Al-Saffar, an uncle of Ikbal al-Hilli, said Wednesday that the family, which he described as being of Iraqi-Arabic origin, was "heartbroken by this shocking crime."

"We are very grateful for the support provided by the British, French and Iraqi authorities during this difficult time," he said, in a statement released on his behalf by the UK Foreign Office.

"We hope that those responsible for the deaths of our loved ones are brought swiftly to justice."

CNN's Kirsten Dewar, Laura Smith-Spark and Stephanie Halasz contributed to this report.

@highlight

A British cyclist who was first at the scene of the shootings recounts what he saw

@highlight

A French prosecutor and judge are in Britain seeking new leads in the case

@highlight

It is highly likely that the causes of the crime "have their origin" in Britain, prosecutor says

@highlight

Saad al-Hilli, his wife and mother-in-law were shot dead, along with a French cyclist