(CNN) -- Almost every American ally in the Middle East is desperately calling out for help, and we are ignoring them. Turkey, Israel, Jordan, Saudi Arabia, Qatar, Bahrain -- and behind closed doors, even Egypt -- want American involvement in Syria to stop the blood bath.

But the twin ghosts of Iraq and Afghanistan seem to have paralyzed America in the Arab world.

On Thursday, Turkey's prime minister, Recep Tayyip Erdogan, will visit President Barack Obama in Washington. This is an ideal opportunity to throw American weight behind greater Turkish leadership in resolving the Syrian conflict -- and declare as much from the White House. The conflict is spreading fast outside of Syria, and unless regional powers such as Turkey, Israel and Saudi Arabia are empowered to act militarily, and swiftly, many more lives will be lost and the Middle East further destabilized.

Only this weekend, Bashar al-Assad's intelligence agencies were linked to two car bombings in Hatay, Turkey, that killed more than 50 people and injured more than 100. Syria is now home to radical Sunni Islamists from across the globe who want to bring down al-Assad, and Shiite fighters from Hezbollah who support the Syrian president.

Beyond geopolitics and games of nation states, Syria is a raw human disaster: Some 80,000 people have been killed, 1 million refugees have fled to neighboring countries, and millions more are displaced inside Syria. For how much longer will we stand by and watch?

I oppose direct U.S. military intervention in Syria, but recent actions by Israel, daring attacks on Turkey and last month's rapprochement between these two important nations means that there is now new scope for greater regional involvement in Syria.

Secretary of State John Kerry is right to pursue a new diplomatic settlement through Moscow, but his hand is only as strong as the force gathering on al-Assad's doorsteps. In other words, let us say yes to diplomacy, but not be naÃ¯ve and think that al-Assad and his Iranian backers cannot outmaneuver the wiliest diplomats. They have rebuffed at least five other such attempts. Diplomacy must be backed by force. Al-Assad understands the language of military strength -- of armies keeping fighting factions apart, aircrafts enforcing a "no-fly" zone, bombs on his runways, tanks outside his presidential palace, ships on the seas.

That is not to say that the killings continue. Erdogan has been sensitive when dealing with PKK terrorists in not killing them for fear of collateral damage. That same spirit of protecting human lives must inform Turkish leadership in Syria.

First, al-Assad and his family need to leave Syria for Russia, Iran or elsewhere. Their days of ruling like a mafia are over. Large segments of the Syrian people have lost their fear of al-Assad, and will not settle for anything less than his departure. He must either do so freely and immediately, or meet the fate of Moammar Gadhafi and Saddam Hussein.

Second, al-Assad is not the protector of Syria's minorities, as many mistakenly believe. He is the cause of mass killings that are likely to get worse without external intervention. Genocide of Syria's minorities will have a ripple effect on tribes and religious minorities in Iraq, Lebanon and Jordan. Turkey and regional and NATO forces should make it their utmost priority to prevent it.

Third, with all their divisions and sectarian pettiness, it is the Syrian opposition that must own Syria. Colin Powell's admonition that "If you break it, you own it" cannot be applied to outside countries with Syria -- the owners must be the Syrian opposition (with all its flaws), not Turkey, far less Israel or Saudi Arabia or others who "break" al-Assad's grip.

Fourth, removing al-Assad and safeguarding Syrian communities is not the end, but a new beginning. Syria can go in any number of directions. The challenge from Islamist radicalism and terrorism inside Syria is real -- they can be confronted there, and prevented from traveling elsewhere and spreading their virus of violence. As Syria works toward rebuilding its infrastructure, economy, society and polity, the United States cannot turn its back on a country that shares borders with Jordan, Turkey, Iraq, Israel and Lebanon.

For now, Washington needs to respond to the calls of our allies in the Middle East, and in doing so, bring Turks, Israelis and Arabs closer in cooperation as they seek to liberate Syria from the clutches of a corrupt clan and ensure it remains free from the fanatics of Islamist fundamentalism. Closer engagement by these three regional forces through U.S. assistance now also puts in place roots for a post-al-Assad Syria that is less hostile to Israel. America does not need to lead always; it can and must support its allies.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Ed Husain.

@highlight

Ed Husain: Mideast allies want U.S. involvement to stop Syria violence, but U.S. reluctant

@highlight

He says when Obama meets with Turkey's prime minister, he should back Turkey taking lead

@highlight

Husain: Diplomacy needed, but Bashar-al-Assad is wily, understands force

@highlight

He says Israelis, Arabs, Turks can cooperate to help rid Syria of al-Assad with U.S. help