(CNN) -- China will sometimes say "no" and the world should get used to it.

That message came through last weekend when China, one of five permanent U.N. Security Council members, joined Russia in blocking action on Syria.

Their vetoes derailed a draft resolution condemning Syrian President Bashar al-Assad's 11-month-old attempt to crush opposition groups and demanding an end to attacks on peaceful protesters.

"Do not mistakenly think that because China takes a careful and responsible position on this [Syria] issue, China will not use its veto power or will always abstain," said Cui Tiankai, China's vice foreign minister.

"When China must use its veto power, it will surely use it."

On Saturday, Susan Rice, the U.S. ambassador to the United Nations, called the vetoes "disgusting and shameful."

"Those that have blocked potentially the last effort to resolve this peacefully ... will have any future blood spill on their hands," she said after the voting.

But Cui said there is nothing unusual for the five permanent members of the Security Council to disagree on certain issues.

Speaking at a press briefing Thursday on the eve of a visit to the United States by Xi Jinping, the Chinese vice president, Cui said America's displeasure over China's veto will not affect China-U.S. cooperation on other international issues.

In China, the veto was hailed by local media as a significant change in Beijing's diplomatic tack.

"Abstaining is no longer always a choice as China is forced to speak out," according to an editorial in the state-run Global Times, an official English-language daily.

"China needs to speak out. Hiding its true thinking does not help avoid trouble."

The Global Times said China's veto does not indicate a China-Russia alliance. "Both China and Russia have their own interests and dignity," it added.

He Wenping, director of African Studies at the Chinese Academy of Social Sciences said the veto shows China's confidence in foreign affairs. "A country expressing its true opinion -- that's progress," he said.

So why did China use its veto this time?

"China opposes the use of threat or force to achieve regime change in other countries," said He Wenping. "This is consistent with China's long-standing diplomacy principle. It is also not acceptable for China to rush a [U.N.] vote without sufficient consultation."

China, she added, does not wish see a reprise of what she considers a debacle over Libya.

"On Libya, NATO misused the rights given by the U.N. resolution about setting up the no-fly zone, which was then turned into 'regime change' in Libya," she said.

Ruan Zongze, a senior researcher at the China Institute of International Studies, agreed: "What concerns China most is possible regime change and foreign military intervention," he said. "We ask the international community to give more space and time for dialogue within Syria."

On February 6, the state-run People's Daily wrote in an editorial: "It is Syrian people's democratic right to choose a government they want. But hatred and separatists will remain a challenge no matter who is ruling, the government has to stabilize the country and protect people's safety. It will still come down to the problem of peace among nations and tribes."

China is ranked as the third-largest supplier of imports to Syria in 2010, according to data from the European Commission.

But local experts downplay the scale of China's stakes and national interests in Syria.

"Compared with Russia, China does not have that much interest in Syria and in the Middle East," He Wenping said. "Of course, in the greater Middle East, we need and we depend on the energy, say, the oil coming from the region."

Liu Weimin, a spokesman for China's Foreign Ministry, rejected criticisms of China's veto.

"China does not have its own selfish interest on the issue of Syria," he said in a news conference. "We do not deliberately shelter or oppose any country. Instead, we uphold justice in dealing with the issue."

But China's critics say China's veto of the U.N. draft resolution was in part due to Beijing's fear that allowing a regime change in Syria could encourage the spread of the Arab revolution and eventually threaten China.

He Wenping disagrees.

"In my opinion, more than 99% of Chinese do not want to see an Arab Spring revolution in China, and they do not believe that there will be one in China," she says.

"China has a completely different political system and economic development path. If someone in the international community thinks that the Arab Spring will happen in China, then I think they misjudge the situation in China, exaggerate some problems in the Chinese society and underestimate the ability of the Chinese government to control the situation in China."

As to Ambassador Susan Rice's blunt reaction to China's and Russia's vetoes, He Wenping quips: "I think the statement shows utter lack of diplomatic protocol. The statement itself is disgusting."

@highlight

China joined Russia in using its veto to block a U.N. Security Council draft resolution on Syria

@highlight

China's use of veto marks a significant change in Beijing's diplomatic tack, local media says

@highlight

Some analysts say the move shows Beijing's fear that political upheaval will spread to China