Meiktila, Myanmar (CNN) -- Hnin Ei Phyu rides her motorbike across the city, goes out to dinner with Buddhist friends and has resumed her studies at a local university.

Life has made a 180-degree turn for this 20-year-old Muslim woman. In March last year, her life was shattered by an explosion of sectarian violence between Buddhists and Muslims in her hometown of Meiktila in central Myanmar, which left more than 40 people dead and thousands more homeless.

Hnin Ei Phyu's family fled for their lives during the first of three days of rioting and spent more than a month in a shelter at a nearby sports stadium.

Violent clashes

During the clashes, which reportedly erupted after a dispute between a Muslim gold shop owner and two Buddhist sellers, rioters set fire to houses, schools, businesses and mosques. People were also beaten, doused with gasoline and set on fire.

Meiktila's Muslims were heavily outnumbered and suffered the bulk of the casualties. For more than a month, few (if any) Muslims remained in their homes because they were either destroyed or it simply wasn't safe for them to stay there.

Hnin Ei Phyu's family was among the first group of Muslims to return home after the worst of the violence. Unlike others, their house was still standing.

While some Muslims were returning, interviews with many people across the city made it clear that trust between Muslims and their Buddhist neighbors was broken. Police and soldiers were now stationed on streets where Muslims lived to protect them against further attacks.

Hnin Ei Phyu's university was shut down. She was no longer in contact with her Buddhist friends and her parents would not allow her to go more than a short distance from their home.

More than a year on, a return trip to the city revealed that although extremist elements remain, relations have warmed between many Buddhists and Muslims in the community.

"We're close again," Hnin Ei Phyu said about her relationships with Buddhist friends. "We spend time after classes and enjoy each other's company now, whether we talk about movies or eat together."

Time heals wounds

Her mother, Thidar Hla, agreed distrust has gradually given way to friendship. "Time healed many of the wounds," she said. There are no longer police or troops stationed on Thidar Hla's street, and her family is no longer afraid to go anywhere in the city.

This change in attitude is not exclusive to one side of the sectarian divide.

Last year, U Aung Khin, a 51-year-old Buddhist man, told me he stopped talking to his Muslim friends and would not even go to his usual Muslim butcher because he was afraid his food might be poisoned. "Now I'd go to a Muslim butcher and my relationships with my Muslim friends are back to normal," he said.

Sann Win Shein, a Muslim and vice president of a local interfaith group called Meiktila Unity and Prosperity Association, says people have not forgotten what happened but realize that it wasn't necessarily their neighbors who were the main culprits behind the riots.

He blames extremist groups, adding that when angry mobs are divided along sectarian lines, normally peaceful people can get caught up in the rage and emotion. He also blames the local police for not stepping in early on -- last year's violence didn't stop until President Thein Sein declared a state of emergency and called in the military after three days of rioting.

Leaders of the interfaith group acknowledge that the attitudes of some people might never change, but they insist they're in the minority. "Within six months many people were back to being friends," said Khin Soe, a Buddhist. Khin Soe says he's optimistic this community can avoid a repeat of last year's deadly riots. "So many of these people have lived side by side for years and have been friends for years," he said.

This interfaith group, made up of Buddhists and Muslims from the community, started in May 2013 and during the course of an eight-month campaign handed out thousands of t-shirts, baseball caps and stickers with words that translate to "No religious violence because of me."

Long-persecuted Rohingya

The rekindling of friendships between Buddhists and Muslims in Meiktila is quite different from the situation between Rohingya Muslims and ethnic Rakhines in Myanmar's western Rakhine State. The Rohingya are a long-persecuted minority in Myanmar who are denied citizenship and usually are not allowed to leave Rakhine.

Unlike Meiktila, where Buddhists and Muslims live side by side, the Rohingya live in separate villages -- more than 140,000 live in camps for the displaced after their homes were destroyed in riots two years ago. The communal violence there also resulted in the deaths of hundreds of people.

Many Rohingya have lived in Myanmar for generations and were brought here from India when Myanmar was a British colony called Burma. Many ethnic Burmese view the Rohingya as illegal intruders from what's now Bangladesh, and refuse to call them Rohingya, using the term Bengali instead.

But in Meiktila, where trust between Buddhists and Muslims is being rebuilt, sections of the city remain in ruins. In the Muslim majority Thiri Mingalar Quarter, there are only rocks and dirt where many homes and businesses used to stand. A few people, who have the financial means, have started rebuilding.

Rebuilding lives

The only section of the city that has a lot of construction underway is Chan Aye Tharyar Quarter. All 760 homes in the neighborhood were lost -- the majority of them belonged to Muslim families. Construction has started on about 350 houses. "I want to bring back those families who lost their homes to these new homes," said construction project manager, U Myint Htwe, adding that they're building homes for Muslims, Buddhists, Christians and Hindus.

He says the government is covering the costs of building roads, water lines and utility lines, but the money to cover the estimated $6 million needed to replace the homes is being raised privately.

Most of the donors are Muslims living in Yangon, the country's biggest city and commercial capital. MM Raunat Group, which is connected to a mosque in Yangon, is handling the fundraising and the rebuilding of Chan Aye Tharyar Quarter. But U Myint Htwe says organizers have only been able to raise half of the money they need so far. He says he has no idea when he'll be able to finish the project.

Returning home

Nwe Nwe Oo is one of the Chan Aye Tharyar residents who hope to go back. "I'm always thinking about it," she said. "I even cry."

She's one of more than 5,000 people still living in shelters and camps for the displaced. Nwe Nwe Oo's shelter is for Muslims and is on the grounds of a local university about 14 miles outside of Meiktila. She has spent more than a year living inside a 15 by 20 foot room in a bamboo shelter without running water with her husband and two children, aged 12 and 14. They have to walk for a few minutes to access the nearest toilet and shower.

Nwe Nwe Oo cooks the family's meals over a tiny, charcoal barbecue, one of dozens lined in orderly rows in the camp. Despite the tight living quarters, Nwe Nwe Oo says she is thankful. "I'm grateful to have a safe place to stay," she said.

Memories of the riots in Meiktila haven't faded, but many people here are cautiously optimistic about the direction things are heading.

Last year, they talked about distrust and broken bonds. Now some of those same people discuss rebuilding the city and rekindling friendships between Buddhists and Muslims, all the while hoping that extremists don't find a way to divide their community again.

@highlight

Hnin Ei Phyu's family fled their home during 2013 violence in Meiktila

@highlight

The unrest pitted Muslims against Buddhist majority following shop dispute

@highlight

The sectarian unrest exposed Myanmar's ethnic faultlines

@highlight

Journalist David Grunebaum visits the town a year on and finds forgiveness