(CNN) -- A handful of individuals ran a scheme of "fraudulent lending and embezzlement" to siphon hundreds of millions of dollars of ordinary people's savings out of Kabul Bank, a key Afghan lender that ran into trouble in 2010, an independent report says.

The report, released Wednesday, catalogs the alleged wrongdoing at the bank and the apparent failure of authorities to tackle the problems before they reached a crisis point or effectively respond to and investigate the financial catastrophe that unfolded.

Read more: Billions in cash smuggled out of Afghanistan every year

The scandal that engulfed Kabul Bank has severely damaged the reputation of the Western approach to banking that it embodied in Afghanistan, one of the least developed countries in the world. And its cost will be born by an Afghan government that still relies on funding from the United States and other countries.

The bank was meant to provide a transparent way for Afghan government employees -- soldiers, teachers and police officers -- to receive and retain their salaries without the age-old fear of corrupt superiors confiscating the money.

Opinion: Islam key to Afghan Dream

Instead, the crisis at the bank, which went into receivership last year, "led to a loss of confidence in an already fragile financial system," according to the report by the Independent Joint Anti-Corruption Monitoring and Evaluation Committee.

The committee, made up of three Afghan citizens and three overseas members, states that it is "wholly independent from the Afghanistan government and the international community." It is led by Drago Kos, a Slovenian who has headed a number of international anti-corruption organizations.

Although the sums of money involved are small compared with the hundreds of billions of dollars spent on the war in Afghanistan by the United States and its allies, Kos on Wednesday underlined the significance of the bank to the small, underdeveloped Afghan economy.

Read more: Pakistan reopens NATO supply routes to Afghanistan

"At the time the crisis happened, Kabul Bank had 44% of the assets of this country," he said at a news conference presenting the committee's report in Kabul. "More than 1 million people had deposited their money in this bank."

The alleged fraud -- which has been linked to people with ties to the government of President Hamid Karzai, including one of his brothers -- led to Kabul Bank being deprived of more than $850 million, mainly from customer deposits, according to the report.

"Most of this money," the report says, "has been redirected for the benefit of a few individuals who perpetrated and participated in a fraud with reckless disregard for the country and the people of Afghanistan."

Read more: In Afghanistan, a mother bravely campaigns for president

Many of those who have been accused of participating and even profiting from the bank's difficulties have denied any wrongdoing. The committee report, which says it "cannot make criminal findings or assign liability," doesn't name people specifically, but identities can be deduced from it.

A spokesman for the Afghan president wasn't immediately available for comment on the report Wednesday.

Read more: Why ordinary Afghans worry about NATO summit

His brother who has been linked to the bank's problems, Mahmood Karzai, said he repaid the $4.2 million he borrowed from the bank with interest.

"When they say I am a beneficiary of this money, is there something else?" he said by telephone. "I do not understand the accusation. This Kabul Bank issue is completely political. Management was full of improprieties and fraud."

He said he had alerted the government to problems at the bank.

The report details the complex system through which it says the individuals -- "controlling shareholders, key supervisors and managers" of Kabul Bank -- drew the cash out of the lender.

Read more: 5 ways to help fix Afghanistan

Methods cited include loan accounts for proxy borrowers, forged documents, fake business stamps and cash ferried on the planes of an airline owned by shareholders related to the bank.

"Repayment of loans was rare," the report said, "and most often new loans were created to provide the appearance of repayment."

As a result, more than 92% of the bank's loan book, or $861 million, ended up being for the benefit of 19 related individuals and businesses that ultimately benefited just 12 individuals, the report said. That left the remaining $74 million for "legitimate customers."

The bank was operating in a "regulatory vacuum," the reports authors said, with the Afghan central bank lacking manpower and expertise in fraud detection.

Even when warning signs were detected in Kabul Bank's activities, "several efforts to take enforcement action against the bank were met with interference and were not implemented," the report said.

The problems at the bank became public in 2010. The removal of the chairman and chief executive in August prompted panic, including a run on the bank and unrest in the streets.

"Kabul Bank had become a national crisis and the Afghan economy was brought to the brink of collapse," the report says.

The government was forced to guarantee all deposits. That, combined with the closure of the bank during an Islamic holiday, averted a wider catastrophe. The bank was put into conservatorship, and shareholder rights were suspended.

Kos said Wednesday that rescuing the bank will cost Afghanistan and its people 5% to 6% of gross domestic product.

Efforts to reclaim the hundreds of millions of missing dollars and bring those responsible to justice have proved problematic.

As of the end of August, $128.3 million in cash had been recovered. Nearly 40% of that came from normal customers, the report says, even though they represented only 8% of the loan balance of the bank when it went into receivership.

Kos and the other authors also criticized Afghan authorities' efforts to investigate and prosecute the case.

"There has been clear and direct interference with the criminal process by high-ranking officials that goes so far as to identify who should, and who should not, be indicted for criminal conduct," it said.

"The lack of action from the Attorney General's Office also because of political influence has resulted in a lack of investigation, procedural delays that have allowed perpetrators to escape and likely for money derived from Kabul Bank to be lost forever," the report says.

The Attorney General's Office didn't respond to calls seeking comment Wednesday.

The report's authors also appear to be unimpressed with the actions of a special tribunal set up to deal with the case of Kabul Bank.

"The tribunal appears to have been engaged in everything else except the processing of the one case they have before it, contrary to the most basic principles and laws related to fundamental justice," the report says. "Even the recent criminal proceedings at the tribunal do not wholly satisfy concerns about whether justice will prevail in the Kabul Bank case."

The report concludes with a stark warning: "If the systemic issues raised by Kabul Bank are not resolved, the viability of Afghanistan as a fully functioning democracy is lost."

CNN's Jethro Mullen reported from Hong Kong and Nick Paton Walsh from Beirut, Lebanon. CNN's Masoud Popalzai in Kabul contributed to this report.

@highlight

A report details alleged wrongdoing at Kabul Bank, a key Afghan lender

@highlight

It says fraud was carried out "with reckless disregard for the country and the people"

@highlight

It also outlines regulatory failings and a lack of progress in bringing people to justice

@highlight

Many of those accused of involvement deny any wrongdoing