The Mediterranean diet is a well-known weapon in the fight against heart disease, but exactly how effective is it?

To find out, researchers led by Dr. Ramón Estruch, from the Department of Internal Medicine at the Hospital Clinic of Barcelona, put the Mediterranean diet to the test against a low-fat diet.

They followed participants to track rates of heart attack, stroke and heart-disease-related death. After nearly five years, the results were so striking for one group that the study was stopped early, according to research published online by the New England Journal of Medicine.

The group that showed the least heart problems and lowest rate of heart disease deaths? Those who ate a Mediterranean diet high in extra-virgin olive oil. Coming in at a close second were participants who ate a Mediterranean diet high in nuts.

Compared with those eating the low-fat diet, the extra-virgin-olive-oil group showed a 30% lower risk of having a heart attack, stroke or dying of heart disease after five years, while those consuming the Mediterranean diet with more nuts showed a 28% lower risk of these outcomes.

TIME.com: Mediterranean diet linked to lower child-asthma risk

"We think the strength of this study comes from the fact that we measured hard outcomes and not just blood pressure or changes in cholesterol levels," says Estruch. "We really believe the Mediterranean diet lowers incidence of (heart attack), stroke and cardiovascular deaths."

Previous studies have linked Mediterranean diets to fewer heart attacks and deaths from heart disease, but most of those have correlated people's recall of their diet with heart-disease outcomes rather than randomly assigning participants to eat specific diets and then following them for heart-disease risk, as Estruch and his colleagues did.

In the study, the participants in the Mediterranean diet groups agreed to replace red meat with white meat like chicken and eat three or more servings of fish each week, along with three or more servings of fruit and two or more servings of vegetables a day.

The extra-virgin-olive-oil group also consumed more than four tablespoons of the oil a day, replacing regular olive oil with the extra-virgin variety, which contains more potentially heart-healthy compounds like polyphenols and vitamin-E tocopherols -- which can lower levels of inflammatory factors that contribute to heart disease -- in addition to oleic acids, which are lower in the saturated fat that can build up in blood vessels.

The group that consumed more nuts was asked to eat a combination of 30 grams of walnuts, almonds and hazelnuts every day. These groups were also asked to stay away from sodas and red meats. The participants eating the low-fat diet ate three or more servings of fish or seafood a week and the same amount of fruit and vegetables as the Mediterranean diet groups. They were discouraged from consuming more than two tablespoons of vegetable oils, including olive oil, each day.

TIME.com: Can olive oil help prevent stroke?

To ensure that other factors that could affect heart-disease rates were not playing a role, the researchers also adjusted for the total amount of calories the groups were eating, since obesity can be a major contributor to heart attack and stroke.

Even after making these adjustments, however, the olive-oil group showed statistically significant drops in heart-disease risk. And because the three groups were randomly assigned to their diets, Estruch says that factors like the amount of exercise the participants did, or the medications they took, would be about the same in all three groups, and thus affect all participants equally.

Estruch says that the study has some limitations, most notably that the low-fat diet group may not have had as intense an intervention during the first part of the study as the Mediterranean groups did, potentially biasing the results in favor of the Mediterranean diet. Some volunteers also dropped out, most of whom had higher body mass index on average, which may also skew the results toward a beneficial effect of the Mediterranean diet, since the individuals who remained might have been more motivated to take care of their hearts to begin with.

Still, the findings add to the body of evidence that suggests the Mediterranean diet can play an important role in protecting the heart, and should guide doctors and patients who want to avoid heart disease toward eating the foods that can help them the most.

This story was originally published on TIME.com.

It's the olive oil: Mediterranean diet lowers risk of heart attack and stroke

@highlight

Eating a Mediterranean diet high in extra-virgin olive oil has health benefits, a study suggests

@highlight

A Mediterranean diet high in nuts can also boost heart health

@highlight

Study participants showed fewer heart problems and lower deaths from heart disease