Pope John Paul II called Wadowice, the small Polish town in which he was born, "the place where it all began."

During a visit here in his final years, the popular pontiff delighted a huge crowd with anecdotes about chowing down kremowki, the local cream pastries which he reportedly once ate 13 of in a failed attempt to win a wager.

The Pope, born Karol Wojtyla in 1920, lived in Wadowice, about 50 kilometers (30 miles) down the road from Krakow, until he was 18.

Unsurprisingly, the town is proud of its most famous son.

When he was declared a saint earlier this year, an estimated 10,000 cheering residents and pilgrims filled the town's streets, releasing balloons in the white and yellow colors of the Vatican.

Wadowice now claims three saints -- Father Rafal Kalinowski was canonized in 1991 and Jozef Bilczewski in 2005 -- but John Paul II's enduring popularity will ensure visitors are likely to descend for decades to come.

"Each year, hundreds of thousands of pilgrims and tourists come to Wadowice, and the main reason for that is John Paul II," says Stanislaw Kotarba, a local government official.

"We expect even more visitors following the recent canonization, as more people hear of the pope's legacy."

To greet them, the town has created a 4.5-kilometer "Karol Wojtyla foot trail" connecting sites of interest to pilgrims.

There are also plenty of non-papal attractions along the way.

Here's what's on offer:

John Paul II's family home

The apartment building where Wojtyla was born and lived with his family before World War II has been open to the public as a museum since 1984.

The rooms in which he lived have been preserved as they once were, while the rest of the building was expanded in a three-year renovation in time for April 2014's canonization.

It currently features a trove of John Paul II memorabilia, such as original school documents and childhood items.

Family home (link in Polish), 7 Koscielna St.; +48 33 823 35 55

Municipal Museum/former creamery

This 19th-century building once housed a diner where, after the death of Wojtyla's mother, his father regularly took him.

Nowadays it's a tourist info office and a town museum with exhibitions on local history and -- let's face it, he's the star attraction -- John Paul II's Wadowice experience.

There's a good coffee and gift shop in the cellar

Municipal Museum, 4 Koscielna St.; +48 33 873 81 00

Minor Basilica

In this elaborate baroque church from the 18th century, the future pope was baptized, received First Communion and served as an altar boy.

Its ornate interior features Wojtyla's baptismal font and a picture of Our Mother of Perpetual Help, which he used to pray before.

Just in case anyone's forgotten why they're visiting, a statue of John Paul II greets visitors at the entrance.

Minor Basilica, 1 Jana Pawla II Place; +48 33 873 20 96

Town Hall/former General School for Men

This functional building is probably just for die hard pope enthusiasts or fans of municipal politics.

It's the current seat of the mayor and town council, but it once housed the General School for Men, which Wojtyla attended from 1926 to 1930.

Town Hall, 23 Jana Pawla II Place, 23; +48 33 873 18 11

Marcin Wadowita Secondary School

Another spartan building on an otherwise charming street, this is where Wojtyla attended middle school between 1930 and 1938.

The present-day high school is named after another religious figure, Wadowice's first renowned resident, Marcin Wadowita, a Polish priest, theologian and academic born in 1567.

Marcin Wadowita School, 16 Mickiewicza St.; +48 33 823 41 44

Church of St. Peter the Apostle

A futuristic, airy counterpoint to the intense opulence of the Basilica, this stylish church was built to honor Wojtyla's election to the papacy and his survival of a 1981 assassination attempt in the Vatican's St. Peter's Square.

John Paul II got to see the church's space age interior for himself when he dropped in to consecrate it during his second papal visit to Wadowice.

Church of St. Peter the Apostle, 90 Matki Bozej Fatimskiej Ave.; +48 33 823 28 88

The Cultural Center/former building of the 'Sokol' Society

Hard though it is to imagine a pope flying through the air, in his formative years Wojtyla was a regular at "Sokol," a patriotic Polish gymnastic society that hosted cultural and sporting events.

The future pope took part in physical education classes and theater plays in what would later be rebuilt as a cultural center featuring a 3D cinema.

The Cultural Center, 1 Teatralna; +48 33 823 31 56

Market Square

The recently renovated town square features numerous restaurants, beer gardens and cafes selling the cream cakes John Paul II vividly recalled.

Prior to that, few people outside Wadowice knew about kremowki and there was only one baker who made them.

Since the pope's mention, however, many bakeries have opened to keep up with the huge demand.

The original is long gone, replaced by new ventures.

Despite modern decor and free Wi-Fi, Galicjanka is a bakery, confectionery and coffee shop with baking traditions that go back several generations.

Kawiarnia Galicja is an elegant spot next door to the pope's family house -- it features a secluded patio garden.

Galicjanka, 13 Jana Pawla II Place; +48 33 488 01 02

Kawiarnia Galicja, 5 Koscielna St.; +48 33 823 34 20

Peak of John Paul II (Gron Jana Pawla II)

It takes serious exercise to work off those cream cakes.

During his school days, the future pope liked to hike in Wadowice's surrounding Beskidy (sometimes spelled Beskid) Mountains, which includes an 890-meter peak, then known as Jaworzyna.

The mountain has been renamed in John Paul II's honor and a chapel is located on the summit.

There's lodging and dining available at the nearby Leskowiec hostel, in operation since 1932.

Leskowiec hostel, 34-206 Krzeszow; +48 872 16 94 0 33

@highlight

The Pope, born Karol Wojtyla, lived in Wadowice, Poland, until he was 18

@highlight

Wadowice has created a trail that takes in places frequented by the future pope in his youth

@highlight

Devouring local cream cakes and climbing nearby mountains were among his favorite pastimes