Tests on the long-lost skeleton of Richard III reveal the medieval monarch had a taste for rich foods such as peacock, heron and swan, and that his liking for the finer things in life -- including wine -- increased significantly after he became the king of England.

Scientists at the British Geological Survey measured the levels of isotopes including oxygen, strontium, nitrogen and carbon in the remains of Richard III, found buried beneath a parking lot in the English city of Leicester in 2012.

In a paper published in the Journal of Archaeological Sciences, they say the tests can reveal clues as to where a person lived, and what they ate and drank, allowing experts "to reconstruct the life history" of the last Plantagenet king.

READ MORE: King Richard III's grave opens to the public

Isotope geochemist Angela Lamb, who led the study, said two teeth -- a molar and premolar -- and two bones -- a rib and femur -- were analyzed because each held different information and could offer a variety of clues to Richard III's life.

"The teeth develop in childhood and don't change, so from them we can get information about a person's early years," she told CNN.

"Bones are different; they remodel and repair themselves through life -- if you break a bone, for example, it can heal. The femur is dense and slow-growing, so it can tell us about the last 10 to 15 years of a person's life, whereas the rib bone is much more spongy and regenerates much more quickly, so it can reveal information about the last two to three years."

High-protein diet

This is key in the case of Richard III, since he became king just 26 months before his death at the Battle of Bosworth in 1485 -- and analysis suggests his diet changed markedly in the few short years after he was crowned.

Medieval aristocrats are known to have eaten high-protein diets full of freshwater fish and wildfowl, in part because of religious observances that called for "meat-free" fasting for up to a third of the year. Fish and wildfowl -- birds such as heron, swan and egret -- were not considered meat.

"Obviously, Richard was a nobleman beforehand, and so his diet would be reasonably rich already," explained Lamb. "But once he became king we would expect him to be wining and dining more, banqueting more. Food was a real mark of status in the medieval period.

"We have the menu from his coronation banquet and it was very elaborate -- lots of wildfowl, including real 'delicacies' such as peacock and swan, and fish -- carp, pike and so on, which were cultivated in special fishponds."

Scientific analysis

Matching up historic records from the king's lifetime with brand new scientific data harvested from his remains has offered experts a unique opportunity to "cross-check" what is already known about his life and times.

As Richard Buckley, the University of Leicester archaeologist in charge of the dig which uncovered the king's remains, explained: "It is very rare indeed in archaeology to be able to identify a named individual with precise dates and a documented life.

"This has enabled stable-isotope analysis to show how his environment changed at different times and, perhaps most significantly, identified marked changes in his diet when he became king in 1483."

Isotope analysis backs up many of the records of Richard's life -- that he was born in eastern England but spent part of his childhood in western Britain. And knowing where he lived, from ancient documents, allowed the experts to learn something new about isotope analysis.

"By looking at the levels of oxygen isotopes, we can tell where a person lived, because the oxygen comes from the drinking water that they consumed," said Lamb.

"In this case, the isotopes suggested that [towards the end of his life] Richard was living in the extreme southwest of Britain, but we know from the records that this isn't the case, so we had to look for another explanation."

Wine habit

Given the discoveries they had already made about Richard's extravagant diet, they began to wonder if the discrepancy in oxygen isotopes pointed to the fact he was drinking something other than water.

Brewing water into ale is known to alter isotope levels, but beer was not a high-status drink in the medieval era.

"We needed something that would tie in with the luxury food he would have been eating," said Lamb. "Back then wine was very much the preserve of the upper classes -- it was imported, expensive and only the very wealthy could afford it."

By carrying out tests with modern equivalents, the scientists were able to conclude that Richard drank up to a bottle of wine a day -- and to work out, for the first time, that wine consumption affects oxygen isotope levels.

"It is fascinating," said Lamb. "We use these techniques all the time, but we are never able to 'cross-check' them, and it is only his which enabled us to figure it out."

READ MORE: Richard III's spine was twisted, not hunched

READ MORE: Scientists to sequence Richard III's genome

@highlight

Tests on skeleton of Richard III, a king of England, reveal a liking for the finer things in life

@highlight

The remains of the monarch, who ruled for 2 years before he was killed, were found in 2012

@highlight

Medieval aristocrats are known to have eaten high-protein diets

@highlight

Tests also revealed that Richard III had a taste for wine -- perhaps a bottle a day