(CNN) -- Russian scientists briefly pierced the two-mile-thick veil over a freshwater lake hidden beneath Antarctica's ice sheet for millions of years, polar researchers announced Wednesday.

Scientists hope samples of Lake Vostok, a body the size of Lake Ontario, will yield signs of previously undiscovered life and new clues about the history of the planet. The lake is believed to have been covered by ice for up to 30 million years.

Russian researchers completed the drilling effort Sunday, reaching the lake at a depth of 3,769 meters (2.3 miles) into the ice, the St. Petersburg-based Arctic and Antarctic Research Institute reported.

When the ice above the lake was breached, lake water was sucked up into the bore and froze, the Russians said. That will allow researchers to take samples back to the surface without contaminating the lake below, they said.

Columbia University geophysicist Robin Bell said the Antarctic ice sheet has covered the lake for an estimated 15 million to 30 million years. The Russians have been trying to reach Lake Vostok for more than a decade, and the institute said Russian Natural Resources and Ecology Minister Yuri Trutnev was on hand for the final steps.

"They consider it the equivalent of getting to the moon," Bell told CNN.

The lake's existence was confirmed in 1996. Earlier drilling by scientists from multiple nations produced ice cores that contain trapped atmospheric gases, which scientists have used to measure changes in the concentration of carbon dioxide over time. Bell said former Vice President Al Gore cited Vostok ice cores in the 2006 documentary "An Inconvenient Truth," about the threat of global climate change.

And peering into the long-hidden waters could give scientists a glimpse of primordial life forms never before catalogued.

"Every place we've looked on Earth, we've come up with life," Bell said. "So it would be kind of surprising if we didn't find life there."

The earlier drillings stopped short of the lake, in part because scientists weren't confident about getting to the water without contaminating it. University of Hawaii oceanography professor David M. Karl said areas of those cores that were near the lake -- accreted ice, or ice derived from the lake itself -- contained a few viable bacteria that became active under incubation.

"There were a very few microorganisms, but in fact there were microorganisms," said Karl, who found them in a half-meter sample of the accreted ice in the late 1990s.

He said that could mean viable microorganisms exist in the lake. It's also possible nothing is alive there, in part because no sunlight gets to the lake through ice that thick. But fossil microorganisms may be found, and microorganisms could be living off other sources of energy, such as geothermal, he said.

"There also could be living microorganism living off of previously stored energy from sediments," Karl said.

Bell said that to reach the water, the Russians drilled to within about 10 meters (33 feet) of the bottom of the ice, then withdrew the drill bit and used a heat probe to bore the rest of the way. The effort was designed so that when the ice sheet was breached, lake water was drawn upward a short distance.

That water quickly froze, closing off the lake and allowing scientists to take samples without introducing any contaminants, Bell said.

"The international community has tried to work collaboratively to try to make sure things are done as safely as possible, and it's in the Russians' interests to do it right," she said.

@highlight

NEW: Scientists hope samples will yield previously undiscovered life, clues of planet's history

@highlight

Russia says its scientists have reached the lake under 2 miles of ice

@highlight

The lake has been buried beneath a thick sheet of ice for millions of years