NEW YORK (CNN) -- When stock markets are soaring, people think they're making money because they're geniuses. But when the market tanks -- which it always does, sooner or later -- people look for villains to blame for their losses.

Allan Sloan says the real lesson of the Madoff case is not to rely on others to protect your investments.

That brings us to Bernie Madoff, who has become the iconic symbol of the current horrible market and economic meltdown, even though he really had nothing to do with it.

Yes, Madoff sure seems to be a really, really bad guy who ruined lots and lots of lives and should probably be locked up for the rest of his natural days.

But Madoff's misdeeds -- or as our lawyers would prefer, his alleged misdeeds -- have nothing to do with the market meltdown that has sliced trillions of dollars from our collective net worth.

He's become the symbol of the current meltdown the same way that uber-tastemaker Martha Stewart became a face of the 2001-02 corporate crime wave, even though the misdeeds of which she was convicted -- misleading government investigators -- were less than penny-ante compared to the multi-billion dollar frauds that first built up and then destroyed giant companies such as Enron and WorldCom.

Along with Madoff, the Securities and Exchange Commission is being portrayed as the villain of the piece, having failed to catch him long ago when his alleged depredations must have been much smaller. Instead, it gave him a few wrist slaps until he confessed his misdeeds a month ago.

But, tips from Boston money manager Harry Markopoulos over the years notwithstanding, it's not at all surprising that the SEC missed Madoff. In fact, I'd have been amazed if the SEC had been the ones to catch him.

Why? I don't want to seem cynical or jaded, but after almost 40 years of covering business news, I've seen the same thing happen over and over because of the way regulators are trained. If someone runs a little bit out of the baseline by chiseling on numbers or playing some other game, regulators are pretty good at catching him (or her).

But if -- like Madoff -- you make up numbers from scratch and deal with huge sums, you're so far out of the baseline that regulators aren't looking for you there.

It's very hard for an SEC regulator to wrap his head around the idea that an establishment guy like Madoff -- a Nasdaq market pioneer and an occasional consultant to the SEC -- is capable of just making things up out of whole cloth. But, it would appear, he was.

And as an aside, it's easy to blame George W. Bush's anti-regulation policies for the SEC not catching Madoff. But Markopoulos' original tips reached the SEC when Bill Clinton was president.

Like newspapers, where I used to work, regulators get all sorts of tips coming across the transom. As in newspapers, I suspect, many of the tips end up ignored.

Markopoulos was right about Madoff's operation being a fraud. But his magnum opus -- an 18-page 2005 letter listing 29 "red flags" -- is quite dense and confusing, probably because he'd gotten frustrated after years of not being taken very seriously.

Unfortunately, the letter didn't list what would have been (in hindsight, naturally) the simplest tip-off: that this supposedly multi-billion dollar operation was audited by an obscure three-person accounting firm.

As Jim Heatherington, a Tulsa, Oklahoma, certified public accountant, pointed out to me after reading a Madoff column I wrote for Fortune, a simple database search shows that the firm hadn't had a peer review since 1990. That would -- or should -- have set off all sorts of alarm bells.

Back to the main event. Ponzi schemes, in which you pay existing investors not by making a profit but by getting money from new investors, have been around forever.

Like Madoff, a Jew who preyed on fellow Jews and Jewish charities such as Elie Wiesel's foundation, Ponzi schemers often target their own religious or ethnic groups.

That way, they lure victims who feel flattered at having been asked to join an elite society, so much so that many of them fail to find out basic things, such as whether the securities or properties they're supposedly being put into actually exist.

Consider these: Tom Petters, a prominent Minnesota businessman is charged with running a multi-billion dollar scam that preyed on evangelical Christians. A New York City man was recently accused of preying on fellow members of a Hispanic church. A Haitian-American in Miami was accused on December. 30 of preying on other Haitian-Americans. Just yesterday, the SEC accused a Williamsville, N.Y., man of preying on fellow Catholics.

If someone, especially a member of your racial, religious or social group, offers you a deal not available to the general public, check it out. Very diligently. Don't rely on the SEC or any other regulator to do that for you. Never, never, never put all your eggs in one basket, no matter how good it looks.

And that, my friends, is the real bottom line. Pillory Madoff and mock him all you like, he has it coming. But learn from him, too.

The opinions expressed in this commentary are solely those of Allan Sloan.

@highlight

Allan Sloan: Madoff is being blamed for collapse of stock market values

@highlight

He says Madoff had nothing to do with it but escaped scrutiny for fraud

@highlight

Sloan says regulators rarely catch the biggest frauds

@highlight

He says real lesson is to never rely on others to protect your investments