Tokyo (CNN) -- Attempts by the operator of Japan's stricken nuclear power plant to deal with alarming leaks of toxic water are like a game of "whack-a-mole," the country's industry minister said this week.

The time has come for the government to step in, Toshimitsu Motegi believes.

Report: Fukushima's radiation damaged more souls than bodies

A litany of problems has beset the Fukushima Daiichi power plant since it was crippled by the devastating earthquake and tsunami that struck northeast Japan in 2011. The most troubling at the moment is how to contain the swelling volume of radioactive water flowing from the damaged reactor buildings.

Last week another calamity added itself to the catalog of worrying incidents.

Read more: Street view shows Fukushima nuclear ghost town

Hundreds of tons of contaminated water leaked from a huge storage tank, one of close to a thousand hulking containers at the plant.

Japan's Nuclear Regulation Authority declared the leak a "serious incident," its gravest warning since the 2011 natural disaster triggered a meltdown in three reactors.

Weeks ago, plant operator, Tokyo Electric Power Company (Tepco), admitted that radioactive groundwater was leaking into the Pacific Ocean from the site, bypassing an underground barrier built to seal in the water.

'Whack-a-mole'

Tepco said this week that it is taking measures to tackle the problems at the site, including stepping up inspections of the water tanks and other possible sources of leaks. It has transferred the remaining contaminated water from the leaky tank to another container.

The company's president, Natomi Hirose, said Monday that it may bring in experts from outside of Japan to help advise the task force that is dealing with the toxic water crisis.

Opinion: What Japanese leaders can learn from Fukushima

But the government of Prime Minister Shinzo Abe, which had already expressed dissatisfaction with Tepco's response, appears to have lost patience.

"Countermeasures led by Tepco to stop the contaminated water leaks have been like a "whack-a-mole" arcade game," Motegi said Monday after a visit to the plant. "From now on, the government is going to step forward."

His comments reinforce the words of Abe, who said earlier this month that the contaminated water crisis at the site "is not an issue where we can let Tepco take complete responsibility."

Abe said the problem had to be dealt with at "a national level" and ordered Motegi's ministry to come up with "multiple, speedy and sure solutions to this issue."

Chief Cabinet Secretary Yoshihide Suga said Monday that the ministry's measures could draw on the government's reserve funds.

But experts say that any potential solutions, such as freezing the ground around the plant or releasing radioactive water into the ocean, are likely to present significant technological and political challenges for the government.

Chernobyl visit

Against the backdrop of the toxic water crisis at Fukushima, Japanese Foreign Minister Fumio Kishida on Sunday visited Chernobyl in the Ukraine, the site of the worst nuclear accident in history.

Kishida and his Ukrainian counterpart pledged cooperation between the two countries on dealing with the aftermath of nuclear disasters, the foreign minister said.

Read more: Man who battled Japan's nuclear meltdown dies

The scale of the calamity that unfolded at Fukushima, after the tsunami knocked out cooling systems for the three reactors that were operating at the time, is second only to Chernobyl.

Meltdowns and hydrogen explosions spewed radioactive particles across many of the surrounding towns, complicating an already historic disaster. Though no deaths have been directly attributed to the accident, tens of thousands of people from towns as far as 25 miles away have been displaced by the disaster.

It crippled Tepco financially, and the government had to bail it out.

Meanwhile, problems have continued to arise at the plant.

Vast volumes of water

In March, the company said that a rat was believed to have caused a temporary power outage at the facility.

In July, Tepco disclosed that water in a test well at the reactor showed concentrations of radioactive tritium in one well as high as 500,000 becquerels -- a unit of radioactive intensity -- per liter of water. By comparison, Japan's maximum safe level of radioactivity in drinking water for adults is 300 becquerels per liter.

Vast stands of storage tanks have grown up around the plant as the company struggles to deal with the high volume of tainted water.

About 400 tons of groundwater flow through the site each day, and Tepco also pumps large amounts water through the buildings to keep the crippled reactors cool.

The tank where the leak was discovered last week was one of about 350 tanks built as temporary storage units in the aftermath of the reactor meltdowns. They are among a total of about 1,000 tanks, 93% of which are already full of radioactive water.

Tepco, its regulators and the Japanese government now face the challenge of what to do in the short term with the hundreds of thousands of tons of toxic water stored in tanks similar to the one that leaked.

In the longer term, they have to figure out how to deal with all the contaminated water being kept at the plant.

And they have to find a way to stop the groundwater from flowing through the site and into the ocean.

CNN's Junko Ogura reported from Tokyo, and Jethro Mullen wrote from Hong Kong.

@highlight

Japan's industry minister says "the government is going to step forward"

@highlight

The crippled nuclear plant has been beset by a range of problems

@highlight

The most pressing one is dealing with huge volumes of radioactive water

@highlight

The Fukushima plant was the site of the worst nuclear accident since 1986