Hong Kong (CNN) -- North Korea's neighbors have condemned the secretive nation's launch of a long-range rocket, with Seoul calling the launch a "challenge and threat" to stability on the Korean peninsula and the world at large.

The rocket passed close to the territory of Japan and South Korea, but both have refrained from any retaliation.

Japan said it did not take any action to destroy what it termed "a missile," which passed over its territory near the island of Okinawa, and had not seen any signs of damage.

Japan's Chief Cabinet Secretary Osamu Fujimura said the launch was "extremely regrettable."

Beijing, North Korea's main ally in the region, took a softer line.

North Korea silences doubters, raises fears with rocket launch

Chinese Foreign Ministry spokesman Hong Lei expressed regret at North Korea's decision to launch despite the concerns of the international community.

"We hope relevant parties stay calm in order to maintain peace and stability on the Korean Peninsula," the spokesman said.

South Korea's government urged North Korea not to devote resources to developing missiles. "North Korea will be further isolated from the international community after this launch," a statement from the presidential Blue House said.

Debris from the rocket landed 300 km east of the Philippines, which urged Pyongyang to "desist from acts of provocation."

A special broadcast on North Korean television struck a triumphant tone, declaring that its rocket had successfully put a satellite into orbit. The stakes were high after a botched attempt at launching a rocket in April.

Ordinary South Koreans, meanwhile, worried about the motivations behind the launch.

"Confrontation isn't good, it will also cause military tension, but I think North Korea just wanted to show off," Kim Hyun-ok said. "I am not happy with the continuous confrontation this launch will cause."

In a commentary published by state news agency Xinhua earlier in the day, Beijing said there was a "dangerous lack of trust" between North Korea and Japan, South Korea and the United States.

It said Pyongyang should abide by U.N. resolutions but that the country had "the right to conduct peaceful exploration of outer space."

North Korea shouts 'look at me' with rocket

Its reaction to North Korea's move and how it responds to any U.N. Security Council initiatives will be key. Japan has asked for a meeting of the Security Council and reports Wednesday suggest that a meeting may take place later in the day.

Beijing is a major source of aid for North Korea and is thought to have the most leverage when it comes to reining in its nuclear ambitions.

Analysts say, however, that Beijing is unlikely to take a hard line on its neighbor.

China is thought to be primarily concerned with maintaining the status quo on the Korean peninsula given that any long-range missiles developed by North Korea are unlikely to be aimed at Beijing.

Why did North Korea launch a rocket?

"From China's perspective it has very little interest or need to come down very hard on North Korea until the U.S, Japan and South Korea make it clear to China that allowing North Korea to do this is going to be more costly than cracking down on them," said Dean Cheng, research fellow in Chinese Political and Security Affairs at the Heritage Foundation.

Cheng added that China does not have many subtle tools at its disposal when it comes to influencing Pyongyang's behavior.

"What they have is a giant hammer. They could hurt North Korea by shutting down all economic relations and trade, but that would likely generate a large number of refugees, something the Chinese aren't interested in."

American detained in North Korea

The U.N. has already passed two resolutions aimed at preventing North Korea from launching ballistic missile technology and suspending all activities related to its missile program.

North Korea claims the rocket tests will enable it to launch a satellite but many nations consider the launches a cover for testing ballistic missiles.

The U.S. tried to tighten sanctions against North Korea in the wake of April's failed launch by targeting banks, businesses and government entities that are violating the resolutions, but China vetoed all but three of the 40 entities the U.S. had suggested should be added to the sanction list.

The other forum for engaging Pyongyang are the "six-party talks" between South Korea, Japan, China, the U.S. and Russia. Plans to resume the talks after Kim Jong Un took power in December, following the death of his father, were scuppered after North Korea's failed missile launch in April.

Timeline: North Korea's rocket-fueled obsession

CNN's KJ Kwon in Seoul, Yoko Wakatsuki in Tokyo and Hilary Whiteman in Hong Kong contributed to this report.

@highlight

Japan and South Korea decry North Korean rocket launch

@highlight

NEW: China regrets launch and urges calm

@highlight

Beijing seen as having most leverage over North Korea

@highlight

How China responds to new initiatives will be key