(CNN) -- Martin Liefeldt has vacationed in the United States four times, and his experience entering the country has "steadily declined."

"Last time, I was made to feel most unwelcome," wrote Liefeldt, a general manager from Cape Town, South Africa, via e-mail.

"I understand the huge levels of paranoia that exist in the USA, but a bit of training in welcoming visitors (and their money) to the USA might go a long way," he wrote.

After a long overseas flight, visitors to the U.S. just want to land on terra firma, get some rest and get on with their business or leisure activities.

But there are a few more hurdles to getting out of the airport, and a survey released Tuesday suggests that clearing Customs and Border Protection is a big one. The government's recent forced budget cuts are likely to make Customs lines still more daunting.

"When you're greeted with something that's less than welcoming, that first taste in your mouth is quite disconcerting," said Geoff Freeman, chief operating officer of the U.S. Travel Association, the industry trade group that conducted the survey in partnership with Consensus Research.

In the survey, 43% of the travelers who have visited the U.S. said they would discourage others from making the trip because of the entry process.

The survey, which included responses from 1,200 overseas travelers, also found that more than two out of five potential business travelers won't come to the U.S. in the next five years for the same reason. About 64% of responders said they were frustrated by long lines and wait times. The survey was conducted in 2012, before the forced government spending cuts under the sequester went into effect on March 1.

Yet the government spending cuts are likely to make the entry process "exponentially worse" for travelers, Freeman said.

Automatic budget reductions must be applied to nearly every Department of Homeland Security program, including Customs and Border Protection, and "will negatively affect the mission readiness and capabilities of the men and women on our front lines," the agency said in a statement responding to questions about sequestration.

"CBP is working to minimize impacts to travelers to the greatest degree possible while maintaining the highest standards of security."

From March 5 to 11, passengers on 260 flights experienced Customs wait times of more than two hours, with some waits lasting more than three hours, the agency said.

The U.S. Travel Association estimates that losing overseas travelers to bad experiences or word-of-mouth is costing the economy at least $95 billion in total output and more than a half million jobs across the economy.

Customs and Border Protection, which has developed programs in recent years to speed entry for trusted travelers who undergo prior screening, interviewed more than 25,000 travelers at U.S. airports in July and August 2012 for its second customer satisfaction survey.

"The survey is expected to be released this spring; however, early results indicate that a large percentage of travelers agree the CBP process made them feel welcome to the United States," CBP said of its survey.

Overall, international arrivals to the U.S. are up. The U.S. Commerce Department expects 23% growth in the number of annual international visitors by 2016. That number includes arrivals from Mexico and Canada, which account for much of the growth.

Overseas arrivals, excluding Mexico and Canada, are also up, but the United States' market share of overseas travelers has dropped from 17% in 2000 to 12% in 2011, Freeman said.

U.S. Travel puts forward a three-pronged approach to welcoming international travelers to the United States: promoting the U.S. to international visitors, easing the process for getting visas and making the entry experience a smooth one.

To compete with other countries in promoting tourism, the United States' first national tourism corporation, Brand USA, was established through the Travel Promotion Act in 2010.

The U.S. State Department has done "tremendous work" in speeding up the visa process, Freeman said, and posts visa interview wait times on consulate websites. Customs and Border Protection needs to adopt similar transparency, he said, in addition to committing to 30 minutes or less to process each arriving traveler and hiring an additional 1,000 officers to make the entry process more efficient.

In an era when Department of Homeland Security Secretary Janet Napolitano has cautioned travelers to expect long airport security and customs lines because of worker overtime cuts and furloughs, finding the estimated $150 million to pay for those additional workers seems unlikely.

U.S. Travel says easing the entry process is worth the investment.

"It's time to get this fixed," Freeman said. "Our economy can't afford this kind of inefficiency."

What do you think? What have you experienced in the U.S. or other countries?

@highlight

Survey: Entry process is turning travelers off visiting the U.S.

@highlight

Overseas visitors have increased, but U.S. market share is dropping

@highlight

"Last time I was made to feel most unwelcome," said a visitor from South Africa