(CNN) -- In 1948, a new word appeared in the vocabulary of South Africans, destined to symbolize racial oppression the world over.

That word was apartheid, used to describe a policy of segregation and discrimination that aimed to keep blacks and whites apart in every sphere of life.

The Afrikaner-dominated National Party had won a narrow election victory in 1948, and used the word apartheid in a policy statement to describe its segregation program.

The policy divided the South African population into four distinct racial groups -- white, African, colored and Asian -- and a plethora of laws were passed to institutionalize the apartheid system.

The Population Registration Act required all South Africans to register with the government according to their race.

Interracial sex and marriage was prohibited, and each of the racial groups was required to live separately. Other laws segregated South Africans in buses, taxis, trains, hotels, restaurants and waiting rooms.

Mandela: Anti-apartheid icon and father of modern South Africa

The Communist Party also was outlawed, and the government defined membership so broadly it could arrest people indiscriminately, branding them Communists.

Nelson Mandela, who has died at age 95 after years of health ailments, was born in 1918 in a South Africa where segregation of black and white was already on the statutes.

The son of a tribal chief, he grew up in a rural community in Eastern Cape where the color of his skin designated him a second-class citizen under law.

Blacks had subpar job opportunities

In the years following the creation of the Union of South Africa in 1910, legislation came into force making it a criminal offense for blacks to break a labor contract, and which restricted them to unskilled or semi-skilled jobs.

The Natives Land Act of 1913 separated South Africa into areas in which either blacks or whites could own land.

Blacks, constituting two-thirds of the population, were restricted to 7.5% of the land. Whites, making up one-fifth of the population, were given 92.5%.

It took Mandela a lifetime of struggle, including 27 years of imprisonment, to undo legislation that denied Africans basic freedoms enjoyed by the descendants of white European colonists.

Opinion: What made him great

A man who played a major part in transforming apartheid from an election slogan into an adopted practice was Hendrick Verwoerd, a senator in 1948 and prime minister in 1958.

He was assassinated in 1966 by a colored parliamentary messenger and was succeeded by John Vorster, who as minister of justice had orchestrated the government's campaign to crush internal resistance.

Several measures were taken in the 1960s to put the theory of apartheid into practice.

Under the provisions of the Group Areas Act, urban and rural areas in South Africa were divided into zones in which members of only one racial group could live, and all others had to move out.

In practice, it was blacks that had to move, often under threat or use of force. Between 1963 and 1985, approximately 3.5 million blacks were sent to the homelands, where they added to the already critical problem of overpopulation. Most of the homelands were economic and political disasters.

Documenting apartheid

By the late 1970s, the National Party began to believe that reforms should be introduced to appease domestic and international critics.

In 1978 Pieter W. Botha, Vorster's successor, and his administration applied a mixture of carrots and sticks.

It repealed bans on interracial sex and marriage, desegregated many hotels, restaurants, buses and trains, and removed the reservation of skilled jobs for whites.

But the Botha reforms stopped short of making any real change in the distribution of power, and black resistance continued.

In 1983, Botha's government proposed that political power be shared among whites, coloreds and Indians, with separate houses of parliament for each racial group.

This proposal caused angry opposition within the National Party and 16 members were expelled. But a new constitution came into place in 1984, with P.W. Botha as the first state president.

Most blacks strongly condemned the new constitution. Rather than viewing it as a major step towards reform, they saw it as another step to bolster apartheid.

Government reforms began in mid-1980s

In January 1986, Botha shocked conservatives in the all-white House of Assembly with the statement that South Africa had "outgrown the outdated concept of apartheid."

Botha suffered a stroke in 1989 and resigned as party leader. F.W. de Klerk was elected to succeed him for a five-year term.

The miracle years

De Klerk recognized the urgent need to bring the black majority into the political process, and most party moderates agreed with him in principle.

But he surprised his supporters by announcing, on February 2, 1990, the impending release of Nelson Mandela, who walked to freedom nine days later at the age of 71.

De Klerk continued reforms by rapidly repealing a number of laws first introduced to bolster the apartheid system, and the irreversible progress towards democracy had begun.

By the end of 1993, Mandela, de Klerk and the leaders of 18 other parties endorsed a new interim constitution to take effect immediately after South Africa's first election of universal suffrage.

Under this constitution all citizens over 18 were enfranchised, the homelands abolished, and the country was divided into nine new provinces.

On April 27, 1994, the first elections open to all South African citizens were held, and Nelson Mandela was subsequently unanimously elected president by the new parliament.

Mandela introduced housing, education and economic development initiatives designed to improve the living standards of blacks.

He established the Truth and Reconciliation Commission to investigate human rights abuses during apartheid, and in 1996 he oversaw the enactment of a new democratic constitution.

After a landslide ANC victory in 1999, he handed over the reigns of power to Thabo Mbeki.

South Africa since apartheid

@highlight

South African apartheid policy was instituted in 1948

@highlight

Term was first used by the ruling National Party

@highlight

Blacks were displaced, often by threat or use of force

@highlight

System was not formally dismantled until 1994