(CNN)Is America a nation divided?  And has Ohio found a better way to bridge those divisions?

It's hard not to be concerned with these questions given the constant drumbeat of news about the issues that tear us apart as a nation: immigration, community and police relations, poverty, education and dozens of other crucial matters facing America.

Adding to our divisions is a harsh public atmosphere where politicians are preoccupied with how they can win the next election or give the best sound bite, and where lobby groups work to protect their narrow self-interests while ignoring a broader vision of what is best for our country.

In Ohio, we have been able to drive meaningful change on many thorny issues that have held our state back in the past -- social services, criminal justice, economic competiveness, infrastructure -- and I've enjoyed sharing our state's winning formula with others in my travels.

In 2011, I returned to public service -- after earlier serving for 18 years in Congress in the 1980s and '90s.  Over the intervening years, Ohio had lost its way and was hurting. I felt called to help after knowing that members of 350,000 Ohio families had lost their jobs and were looking to get back on their feet.

Ohio is much stronger today. And that turnaround and success are worth being excited about and sharing.

For example, we have gone from 89 cents in our rainy day fund and an $8 billion shortfall to now having one of the nation's strongest state budgets and a nearly $2 billion surplus.

We've gone from losing 350,000 private-sector jobs to creating about 340,000 new ones. We've gone from very high taxes across the board to the largest tax cuts in of any state in America, including tax cuts for the working poor.

We're seeing wages grow faster than the national average and Ohio's unemployment rate drop to the lowest level in more than a decade.

Getting Ohio back on track wasn't easy. It required big ideas, going against the status quo and tuning out those who worry only about protecting their own special interests.

Yes, we have a great success story to tell about our state. And we need to make Ohio's success contagious. The leadership style that helped us turn around Ohio is needed in Washington, where America's $18 trillion debt ticks higher each day and our congressional leaders would struggle even to pass a resolution saluting Mother's Day if it required their action.

Great leaders are not primarily guided by polls, political parties, focus groups, re-election, special interests or protecting the status quo. Instead they bring teams of people together, challenge them to innovate and engage both sides to work together to fashion solutions based on common sense and the common good.

As the chairman of the House Budget Committee in Congress in the 1990s, I helped craft the first balanced budget since man walked on the moon. We worked in a bipartisan effort that doesn't happen enough. There were, of course, disagreements along the way, but they never overshadowed the shared values we had to guide our work and the shared goal of fiscal responsibility and seeing our country live within its means.

Given the polarizing issues facing our country, America needs a leader who believes in a common set of fundamental values necessary to bring about change that will unite our country without being blinded by the many distractions that ego, selfishness and power produce.

Leaders who focus only on themselves and their own good have rejected this value-driven approach and make it impossible to make progress on our most pressing issues such as balanced budgets, tax cuts, welfare reform, border security, immigration and health care. We see it every day.

There are certain values that guide great countries:

• Personal responsibility: It obligates us to be accountable for ourselves so we can then do our duty for our families and our communities.

• Empathy: It allows us to walk in someone else's shoes, so that in times of disagreement we might consider for a moment that there might be another, better way that makes all of us stronger.

• Teamwork: It sets ego aside and demands that we all pull in the same direction to win.

• Faith: It tells us we are made special in the image of God with unique gifts that enable our mission here on earth.

These values allow us to develop policy solutions that solve problems in new and creative ways for the good of all Americans instead of producing rhetoric, sound bites and press releases that too often pass for true reform.

In Ohio we've implemented this winning strategy. It's worked there, and it will work for the nation as well.

@highlight

Ohio Gov. John Kasich: Washington is gridlocked, but states can make a difference

@highlight

He says Ohio has gone from a budget deficit to surplus, from losing jobs to creating them