Steve Tobak, a California-based management consultant, recalls the agonizing one-on-one meetings he sat through years ago with a micromanaging boss. But when one day the boss changed tack and asked him to go on walks instead, it transformed their working and personal relationship.

"Somehow, when we were outside under the blue sky, getting a little exercise, he lightened up. We got along great after that," Tobak says. "It was amazing."

Group meetings where everyone is standing up have caught on in the past few years. But for one-on-one conversations, the trend at forward-thinking firms is to hold meetings while walking.

Steve Jobs, the late founder of Apple, Facebook's Mark Zuckerberg and Jack Dorsey of Twitter have all been known to favor walking meetings.

Recently, Nilofer Merchant, a former technology executive, extolled the benefits of walk-and-talk meetings at a TED conference, noting the health advantages and the closer connections people form when away from the more traditional setting of a conference room.

"By walking side by side, it reinforces the perspective that you're working on something together," Merchant says.

Merchant, who previously worked for Apple, the software company Autodesk and a slew of other technology firms, said the decision to hold meetings while walking was born out of her own health concerns. She was frustrated about not being able to fit enough exercise into her week.

After starting this style of meeting, it no longer was a choice between getting things done and staying healthy, she says, "because I could potentially do both at the same time."

See also: Sick of meetings? Make them matter

Walking meetings now account for about 70% of the exercise Merchant gets per week, she says. She still fits in a run or a gym session once a week.

But she has found it difficult to persuade colleagues to go on walking meetings, partly because of the ingrained ideas of what a meeting should entail.

"The cultural norm is to sit, which is why sitting is the smoking of our generation:  everyone does it, and it's so common, asking someone to be active definitely seems weird to everyone I ask," she says.

"Also, some people are ashamed of how unfit they are."

There are practical concerns as well. Those asked to go on walks frequently wonder how to take notes and are uneasy about being away from their mobile devices. But Merchant says that she still jots down notes on walks when an important point comes up and that cell phones are just distractions during meetings.

"Walking meetings result in undivided attention because the mobile device isn't within eyesight, tempting you to step away from the moment," she says.

See also: Dying careers and thriving careers

Executives in Silicon Valley are not the only ones who see the value of getting the blood flowing during the workday. Research by fitness experts has shown that the simple act of getting up helps office employees think better.

Jack Groppel, vice president of Wellness & Prevention, a consulting group owned by Johnson & Johnson, has advocated a program that calls for standing up and walking around in the workplace for one or two minutes about every half hour, a process that he says would increase productivity.

Groppel says when workers start moving, it triggers a slight raise in heart rate for the first minute or two, meaning more oxygen is getting to the brain.

"What we did find in the studies that we did, after 90 days of doing this, people felt increased amounts of energy, they felt increased focus, they felt improved engagement," he says.

But the idea is not to be taking a break from work. "What we're saying is you can move and function while being productive," Groppel says, suggesting people take a document to read while they walk.

For this concept to catch on, corporate leaders would need to endorse the idea of routinely standing up to stretch during group meetings, Groppel says. "Leaders have to be very involved, giving permission and role modeling them."

As for walking meetings, Tobak sees another obstacle for them to gain traction in the workplace: "People seem to be getting more and more lazy and sedentary, not less."

@highlight

A former technology executive is advocating holding meetings while on walks

@highlight

Steve Jobs and Mark Zuckerberg favored walking meetings

@highlight

Research has also shown the simple act of getting up helps workers think better

@highlight

It is difficult to challenge the cultural norm of sitting in the office