(CNN) -- Getting anyone in Lebanon to weigh in on where to find the best shawarma or falafel is asking for trouble.

The country's most popular pastimes are, without question, eating and debating, so expect a heated argument, especially since Lebanon is jammed with incredible restaurants, street-food stalls and bakeries.

Besides eating and talking about food, the Lebanese also love to feed their guests, so meals with friends and family can go on for hours and include dozens of different dishes.

Any visitor with a big appetite, a little patience, and an adventurous spirit is bound to eat more and better in Lebanon than virtually anywhere else in the world.

I'm biased. I'm Lebanese, although living in New York these days. Two summers ago I moved back to Beirut for a year and wrote my memoir, "Jasmine and Fire: A Bittersweet Year in Beirut."

Although I'd spent my childhood in Beirut during the Lebanese civil war of 1975 to 1990, I'd been exposed to only a fraction of the country's mind-boggling variety of food.

So on my recent return to Lebanon, I made a point to go on food adventures across the country, from the cedar-covered mountains in the north down to the ancient city of Tyre in the south.

For travelers to Lebanon who want to get a deeper sense of the country's food culture beyond the well-known staples of hummus, tabbouleh and kebabs, Beirut is an excellent place to start.

Read more: The Lebanese art rockers creating the soundtrack to the Arab Spring

It's packed with classic family-style restaurants, imaginative chefs, street stalls serving food like kaak (sesame bread), and bakeries that turn out fresh Arabic bread and the hot zaatar flatbreads known as man'ouches.

Just about every Lebanese restaurant in Beirut serves a different dish of the day at lunchtime, usually something deliciously humble that reminds many patrons of their mother's cooking. Recurring hits include kibbeh—a national specialty made with lamb, bulgur wheat, onions and pine-nuts baked into a savory pie or into meatballs soaked in minty yogurt sauce—or any of a variety of slow-cooked stews known as yakhnes, served over vermicelli-laced rice with garlicky bits of lamb and braised vegetables topped with homemade yogurt.

Lunch also often includes vibrant salads made with local greens like purslane, and savory pastries stuffed with spiced chard and sweet onions.

In Beirut, some excellent places to sample dishes like these and many more are Al Balad—a downtown favorite—and Tawlet, an innovative restaurant in the hopping Mar Mikhael neighborhood.

After eating around Beirut for a few days, it would be a shame not to take a least a daytrip or two outside the city.

Lebanon is relatively small, so getting up to the northern tip of the country or all the way down south takes only about two hours, barring horrendous traffic.

In northern Lebanon, in the town of Becharre near the famous cedar tree forests, the local specialty is kibbeh mishwiyeh: fresh minced lamb rolled up with bulgur wheat to form giant meatballs the size of tennis balls, stuffed with caramelized onions and pine nuts and grilled until crunchy on the outside.

Read more: Photographer holds festival of hope amid Aleppo fighting

Nearby in Tripoli, Lebanon's second-largest city, the iconic pastry shop Abdel Rahman Hallab specializes in regional pastries like halawit jibneh—soft ricotta-like cheese rolled in pastry and topped with sugar syrup—and sfiha, small savory pies topped with spicy beef or lamb and pine nuts.

With any travel to towns near the border with Syria, like Tripoli, it's important for travelers to be aware of the changing and potentially volatile situation.

Along the Mediterranean coast south of Tripoli is the seafood-centric town of Batroun. Local restaurants such as Jammal serve bizrieh—tiny fish, fried and piled in huge mounds on platters for guests to eat by hand, and topped only with squirts of fresh lemon. Batroun also specializes in a wonderful style of kibbeh balls, made with fish instead of meat. Classic local cafes like The Garage serve Batroun's renowned sweet-and-tart lemonade, made from the local citrus harvest and served ice-cold.

Just 45 minutes from Beirut is Byblos, a historic coastal city with stunning ancient Roman ruins and a well-preserved Crusader-era castle. But among the archeological attractions it would be a shame to miss out on a platter of fresh local Sultan Ibrahim fish at Bab El Mina restaurant. Fried, drizzled with lemon, and served with crunchy pita bread coated in olive oil, it goes perfectly with a crisp Lebanese beer.

Baalbeck, in the Bekaa Valley, is the agricultural heart of Lebanon, and a road-trip there from Beirut leads past the town of Chtaura, where farms produce some of the Middle East's most sought-after dairy products. Pick up a labneh (strained yogurt) sandwich drizzled with mint and sea salt and rolled into soft, papery khibz markouk bread.

About an hour south of Beirut is Tyre, a coastal city dating back to Alexander the Great. Here fishermen take boats out from the ancient harbor and return with fish to deliver to local restaurants. The best ones, like Le Phénicien, turn the day's catch—such as luqqos, a mild white fleshy Mediterranean fish—into simple but exquisitely fresh preparations.

Read more: Skiing provides escape for Lebanese

Food adventures can keep any determined eater busy every minute of a visit to Lebanon, but even the most restless road-tripper shouldn't turn down an invitation to a Lebanese home for a meal.

On a lucky day, the main course might be m'loukhiyeh, a fragrant, soupy stew made from mallow leaves topped with tender spiced chicken and served over rice, with a tangy vinegar and onion dressing. In homes, as at restaurants, the meal will likely start with a mezze—a spread of dishes that usually includes hummus, fattoush (tomato, mint and bread salad), babaghanoush, labneh, and more—but it's important to leave room for the main course.

Then again, I've never managed to take my own advice, especially since the most intent Lebanese hosts won't let guests leave the table without tasting everything in sight and having seconds. Advice? Just surrender.

@highlight

Many Beirut restaurants serve a different dish of the day at lunchtime, usually something that reminds patrons of their mother's cooking

@highlight

In the town of Becharre, the local specialty is fresh minced lamb rolled up with bulgur wheat to form giant meatballs

@highlight

In Tripoli, the iconic pastry shop Abdel Rahman Hallab specializes in regional pastries

@highlight

No traveler should turn down an invitation to a Lebanese home for a meal