(CNN) -- China, the United States and three Middle Eastern nations carried out the most executions last year, rights group Amnesty International said Wednesday, but a global trend toward ending the death penalty persisted.

There were at least 682 confirmed executions worldwide last year, two more than in 2011, according to the group.

China is believed to have executed several thousand people last year, Amnesty said, but government secrecy makes it impossible to confirm exact numbers.

"The lack of reliable data does not allow Amnesty International to publish credible figures for the use of the death penalty in the country," the rights group said. "However, available information strongly indicates that China carries out more executions than the rest of the world put together."

Iran carried out at least 314 executions last year, Iraq at least 129 and Saudi Arabia at least 79. In the United States, 43 people were executed across nine states. Sixth on the list was Yemen, with at least 28 executions.

"Methods of executions included beheading, hanging, firing squad and lethal injection," Amnesty International said. "In Saudi Arabia, the body of one man executed through beheading was displayed in a public 'crucifixion' display."

According to the 60-page report, "Death Sentences and Executions in 2012," there were at least 1,722 newly-imposed death sentences in 58 countries last year, compared with 1,923 in 63 countries in 2011.

This meant that at least 23,386 people were under sentence of death worldwide at the end of 2012, it said.

'Cruel and inhumane punishment'

In Africa, two countries -- Benin and Ghana -- are on their way to abolishing the death penalty. In nearby Sierra Leone, there are no prisoners on death row.

However, a surge in executions in Gambia, which had not carried out the death penalty in almost three decades but executed nine people in August, and 19 executions in Sudan pushed figures for the continent up, the rights group said.

Three countries in the Asia-Pacific region -- Japan, Pakistan and India -- also resumed executions after a hiatus, Amnesty International said.

The number of executions in the Middle East last year, almost all of them in Iran, Iraq, Saudi Arabia and Yemen, was "a cause of great concern," it said. The tally almost doubled in Iraq from the previous year, when 68 people were put to death.

The conflict in Syria made it impossible for researchers to establish whether capital punishment was carried out, it added.

Amnesty International Secretary General Salil Shetty said the "regression" seen in some countries last year was disappointing -- but that it did not change the overall trend.

"In many parts of the world, executions are becoming a thing of the past. Only one in 10 countries in the world carries out executions," he said.

"Their leaders should ask themselves why they are still applying a cruel and inhumane punishment that the rest of the world is leaving behind."

There is no evidence that the death penalty works as a special deterrent against crime, Shetty said.

"The real reason for the death penalty's use can often be found elsewhere. In 2012, we were once again very concerned to see countries executing for what appeared to be political purposes -- either as a populist measure, or as an outright tool of repression."

Texas leads executions

In the United States, the number of executions and death sentences remained steady compared with 2011, but the number of states carrying out capital punishment continues to drop, according to the Death Penalty Information Center.

Forty-three men were put to death in 2012, matching 2011's total, it said. Eighty people were sentenced to death, the second lowest total since executions resumed in 1976.

Only nine of the 50 states carried out lethal injections of convicted capital murderers, led by Texas with 15 executions, more than a third of the nationwide total for 2012.

Connecticut became the 17th state to abolish the death penalty in April last year. California narrowly approved keeping capital punishment in a November referendum.

The state has by far the nation's largest death row population at 727 inmates, but has not carried out an execution since 2005, over continuing legal challenges to the lethal injection procedures.

READ MORE: Saudi execution: Brutal, inhuman and illegal?

READ MORE: China executes drug gang over Mekong river massacre

READ MORE: Outrage over beheading of Sri Lankan woman by Saudi Arabia

@highlight

China is believed to have executed several thousand people last year, Amnesty International says

@highlight

The United States executed 43 prisoners across nine states in 2012

@highlight

Three Middle Eastern countries -- Iran, Iraq and Saudi Arabia -- also were in the top five

@highlight

Globally, a downward trend in the death penalty continues, Amnesty International says