(CNN) -- On Tuesday, the state of Michigan, the birthplace of the UAW and the nation's organized labor movement, became the country's 24th right-to-work state. Michigan joins Indiana, which passed right-to-work legislation in February, to become the second right-to-work state in the heavily unionized Midwest.

The legislation marks a monumental shift away from union power to "open shop" free labor. Right-to-work laws prohibit workers from being forced to contribute mandatory dues to labor unions in order to gain employment, regardless of whether or not they are members of a union, and prohibit employers from firing workers if they don't join a union. With workers no longer obligated to pay union dues, union membership, revenue, and strength decline.

Predictably, there was no shortage of outrage from union workers this week as they stormed the capital building in Lansing to protest. Teachers walked out of schools and Democratic state senators even walked out on the final vote to approve the initial bills. Union workers and their Democratic allies realize that the transition from a "closed shop" state to a right-to-work state is the second in near fatal blows to Michigan's entrenched union interests.

The first blow came this past November when unions spent tens of millions of dollars in Michigan pushing Proposal 2, a ballot initiative that would have written collective bargaining into the state constitution and in essence outlawed a right-to-work law and limits on union power. Michigan voters defeated the proposal 58% to 42%.

Proposal 2 was defeated because the unions had overreached their hand. Decades ago, unions were important to workers because America's emerging labor markets were less predictable and less safe. But much of the American public now realizes that labor unions are no longer needed in the way they once were, and they don't need to be enshrined in state constitutions.

What's the 'right-to-work' battle all about?

What's more, many unions have deviated from their original purpose and warped into powerful special interests rather than true representatives of workers' rights.

There is a growing public consensus, seen most recently in Wisconsin, Indiana and now Michigan, that non-right-to-work states can stifle private labor competition and give too much power, politically and financially, to the unions. What right-to-work states have found is that, if given the choice, some, or even many, workers will chose not to join the union. In other words, many workers themselves no longer see the need for mandatory dues and labor union representation.

On Monday, President Obama pushed back and blasted right-to-work laws during a visit to Michigan. He said, "These so called right to work laws, they don't have to do with economics -- they have everything to do with politics. What they're really doing is trying to talk about the right to work for less money."

Video: 'Unions are the problem'

Despite the protests by the labor unions and their Democratic allies, it should be noted that Michigan's legislation does not end collective bargaining nor does it increase pension contributions or health care benefit payments from union workers.

And contrary to President Obama's thinking, right-to-work laws are directly related to economics. Right-to-work laws give employers the freedom to hire non-union workers and negotiate contracts with more than one party. For this reason, right-to-work states are more attractive to private business than non-right-to-work, and could increase private-sector wages.

For example, on CNBC's annual list of the best states for business, nine of the top 10 states are right-to-work states. It's no coincidence that foreign automobile manufacturers often build new plants in right-to-work states like Tennessee and Alabama, rather than Detroit -- the "Motor City."

Analysis: Why America's unions are losing power

Perhaps Michigan's new right-to-work status will unlock employers from burdensome union contracts and attract new private enterprise to Detroit, which is predicted to go bankrupt by the end of this year. After all, Gov. Scott Walker's union reforms in neighboring Wisconsin helped eliminate the state's budget shortfall.

Twenty, 10, or even five years ago, few people would have predicted that Michigan would become a right-to-work state. Adding Michigan to the expanding list of right-to-work states only hastens to a close the days of labor union monopolies over state governement and businesses. Could California, New York, or Illinois be next? The question doesn't seem so farfetched now.

The opinions in this commentary are solely those of William J. Bennett.

@highlight

On Tuesday, Michigan became the country's 24th right-to-work state

@highlight

William Bennett: Powerful unions can stifle private labor competition

@highlight

He says with workers no longer obligated to pay dues, union strength declines

@highlight

Bennett: Michigan's new status might attract new private enterprise to Detroit