Washington (CNN) -- With a simple, declarative statement, the head of the Department of Veterans Affairs announced his ambitious goal to eradicate one of the country's most shameful problems.

"My name is Shinseki, and I am here to end veteran homelessness," VA Secretary Eric Shinseki said Tuesday in a speech to the National Summit on Homeless Veterans.

But Shinseki indicated the challenge in meeting his goal by adding, "I learned long ago there are never any absolutes in life, and a goal of zero homeless veterans sure sounds like an absolute."

The plan unveiled by Shinseki includes trying to leverage existing education and jobs programs, boosting the ability of veteran-owned businesses to compete for federal contracts and spend an additional $3 billion on medical services and homeless programs.

An estimated 131,000 veterans are homeless, according to the VA. That is an improvement from 2003, when the number was as high as 196,000. But the secretary warned that given the ailing economy, the number could increase by as much as 10 percent to 15 percent in the next five years.

The VA plans to focus its new efforts on preventing the problem.

"Our plan enlarges the scope of VA's efforts to combat homelessness," said Shinseki in a news release. "In the past, VA focused largely on getting homeless veterans off the streets. Our five-year plan aims also at preventing them from ever ending up homeless."

The department plans to expand the recently passed educational grants program for veterans who served after September 11, 2001, to include not just college but vocational programs as well, according to VA spokeswoman Katie Roberts.

"Not every veteran wants to spend four years pursuing a college degree, but they might be interested in learning a trade that would get them into the taxpaying work force sooner," Shinseki said.

The VA will also try to win more federal contracts for veteran-owned businesses, encouraging other agencies to exceed the minimum goal of 3 percent of contracts to veteran-owned small businesses. The increase, the VA believes, will also help employ more veterans since "veterans hire veterans," Shinseki said.

In addition, it is increasing the amount of vouchers for public-financed housing, adding 10,000 more vouchers in 2010. The plan also calls for more programs to aid transition from prison and psychiatric facilities, as well as a renewed call to treat veterans' psychiatric conditions.

Read more about the VA's ambitious goal

Veterans' groups contacted after the speech were generally pleased that the secretary was focusing the attention but unsure how he would achieve such an ambitious goal.

"General Shinseki is a soldier and treating this like a military operation and in the military you have to have hope for your missions," said Justin Brown of Veterans of Foreign Wars. Shinseki was a four-star general in the Army.

Brown said he thought Shinseki's aim to get better coordination between the VA and federal departments, including Labor and Health, was a good start.

But others were more pessimistic that Shinseki could change the VA bureaucracy.

"This secretary is going to be a good leader, but we don't think he or the president has quite gotten a hold of how intractable the bureaucracy is inside the VA," said Rick Weidman, executive director for policy and government affairs at Vietnam Veterans of America.

Weidman said one problem not mentioned Tuesday that would help, more than many of of the other programs, is reducing the backlog in processing veterans' claims that delays much-needed medical and other benefits.

The VA recognizes backlogs are a problem, said spokeswoman Roberts.

"The backlog is a top priority at the VA and at the forefront of the secretary's mind," she said.

Toni Reinis at the Los Angeles organization New Directions said the announcement Tuesday showed that Shinseki had "real leadership," but she worried that lack of funds and leadership at the local level would make instituting change difficult.

The problem, she said, is sometimes not in the VA's control.

Reinis said her group's center, which helps 700 homeless veterans a year gain employment, housing and proper medical and psychiatric care in a residential setting, has lost a lot of money because of state budget cuts. The county cut the center's mental health funding by 55 percent, which is a "significant" amount, Reinis said.

Efforts to expand have been met with opposition, as in the case of a seven-year effort in California's San Fernando Valley to build a new treatment center that has been opposed by local communities.

"The VA was behind it, but the neighbors don't want those people in their neighborhood," Reinis explained.

@highlight

VA Secretary Eric Shinseki says, "I am here to end veteran homelessness"

@highlight

An estimated 131,000 veterans are homeless, according to the VA

@highlight

One observer worries Shinseki doesn't realize how "intractable" VA bureaucracy is

@highlight

Backlogs in veterans claims is cited as a major problem