Washington (CNN) -- Nearly two weeks after an explosion aboard an oil rig caused a leak from an undersea oil well off Louisiana, the impact is just beginning to unfold.

Though the widening pool of oil remained offshore Monday, it was already a presence for some coastal areas. John Kelly, administrator of Gulfport, Mississippi, said he had been able to smell it since Friday.

"I got $3 million worth of boats sitting here," said Capt. Louis Skrmetta, who ferries tourists from Gulfport to the state's pristine barrier islands. "What am I going to do with them?"

BP's ruptured undersea well continues to spew about 210,000 gallons -- or 5,000 barrels -- of crude per day into the Gulf of Mexico. Efforts to contain or curtail the spill have been unsuccessful.

The sheen extends up to 60 miles across and threatens the coasts of Louisiana, Mississippi and Alabama, as well as the Florida Panhandle, according to the National Oceanic and Atmospheric Administration. That's an area nearly as large as the state of Delaware. The slick was nine miles off the Louisiana coast Monday, said Adm. Thad Allen, commandant of the U.S. Coast Guard and incident commander.

BP chief executive Tony Hayward vowed that the oil giant would "absolutely be paying for the cleanup operation" of the oil leak in the Gulf of Mexico.

"Where legitimate claims are made, we will be good for them," he told NPR's "Morning Edition."

The U.S. government was leaving little to chance. Attorney General Eric Holder said Monday that Justice Department employees were in the Gulf region "to ensure that BP is held liable."

Allen said BP "is the responsible party" and "will bear all the costs" of the cleanup.

Still, the promises failed to quell the fears. "I hope we can weather the storm," said Keith Delcambre, owner of seafood market Bozo's in Pascagoula, Mississippi.

WLOX: Pass Christian Harbor in Mississippi prepares for oil

He said the nature of the current disaster could exact more of a toll on seafood than  Hurricane Katrina, which savaged the Gulf Coast in August 2005. "We weathered Katrina, but shrimp after Katrina was good," he said. "Seafood after Katrina was good. With all the oil out there, I don't know what to expect. This is brand new."

In Gulfport, officials worried that a drop in tourism from the slick would chill the city's post-Katrina rebound, which includes half a billion dollars in new construction, $30 million of which has been spent on the harbor.

"This could not have happened at a worse time in our history," Kelly, the city's administrator, said.

Katrina left equipment operator Daniel Schepens out of work for a month, but the oil slick could prove worse, he said. "The warehouses are empty. No trucks, no imports, no exports."

"If it threatens the commercial sea lanes, that's a concern, because if ships don't come in and ships aren't able to go out, that stops commerce," said Donald Allee, CEO of the Mississippi State Port Authority.

WWL: Fishermen try to help contain oil slick

For now, the harbor is being used as a loading point for hundreds of miles of booms that are intended to defend against the slick's arrival.

But the booms may not protect the coast any more than the levees protected New Orleans during Katrina: Rough seas have already broken apart some of the booms.

WDSU: Rush to save Lake Pontchartrain

Meanwhile, Florida Gov. Charlie Crist on Monday extended a state of emergency to 13 coastal counties in his state and said he might extend it to two more on Tuesday.

He had issued an emergency declaration last week for six counties on the western end of the Florida Panhandle; Monday's declaration added the rest of the Panhandle, and counties on the Gulf Coast of the main Florida peninsula as far south as Sarasota.

"In the event that the oil does come to our shores, I want us to be ahead of it as much as humanly possible," he told reporters.

Preparations continue on strategies to stop the leak, though each plan has drawbacks. One plan is to lower a dome over the wellhead next week to capture the spewing oil, said Florida Secretary of Environmental Protection Michael Sole. "That would stop the flow -- if successful," he said. "Unfortunately, it's never been tried at 5,000 feet below the surface of the water."

Officials warn of possible catastrophe

BP also is having a contractor drill a relief well that would allow workers to plug the first well.

"Unfortunately, that's a two- to three-month operation," Sole said.

Interior Secretary Ken Salazar, Homeland Security Secretary Janet Napolitano and other Obama White House officials met Monday afternoon with Hayward and BP America President Lamar McKay to discuss the response efforts.

On Sunday, federal officials banned fishing for at least 10 days in the northern Gulf of Mexico from the mouth of the Mississippi River in Louisiana to waters off Florida's Pensacola Bay. The Gulf Coast's commercial fishing industry brings in about $2.4 billion to the region.

WDSU: Oil spill closes fishing waters

The spill cast a pall over the annual boat blessing ceremony in St. Bernard, Louisiana, where fishermen have observed the tradition for decades to usher in the shrimp season.

On Monday, Sen. David Vitter, R-Louisiana, joined Plaquemines Parish President Billy Nungesser on a conference call with President Obama and Coast Guard officials.

Officials are fighting the spill on three fronts, Napolitano said Monday.

"One is to cap the well" that is leaking the oil, she said. Authorities are also fighting the slick at sea before it reaches land, and preparing to clean it up immediately if it does make landfall, she said.

In Venice, Louisiana, Obama told reporters Sunday that his administration has launched a "relentless response" to the spill, but the problem might not be solved for many days.

WDSU: Fishermen to help oil cleanup

The oil spill started April 20, after an explosion on BP contractor Transocean Ltd.'s Deepwater Horizon drilling platform left 11 men presumed dead.

The spill will have "a multidecade impact," a "long-term poisoning" of the area, said Richard Charter of the environmental group Defenders of Wildlife.

Booms were strung across the mouths of delta estuaries in Louisiana and inlets along the Mississippi coast.

In Alabama, National Guard troops helped lay them out off Dauphin Island, at the southern end of Mobile Bay.

The cause of the blast remains unknown.

BP says a device known as a "blowout preventer" failed and has not responded to repeated attempts to activate it using remotely operated submarines.

How the oil spill crisis could affect BP

Frustration with BP has been growing across the Gulf states, and Louisiana Gov. Bobby Jindal has said the company's response has been inadequate.

Some 200 vessels, including skimmers, tugboats and nine remotely operated underwater vehicles are on or near the site, BP's Chief Operating Officer Douglas Suttles told reporters.

BP spokeswoman Marti Powers said the company was trying to use the submarines to activate the blowout preventer at the ocean floor and spreading dispersants on and under the water to break up the slick.

The company has put out about 300,000 feet -- roughly 60 miles -- of floating booms to keep the oil away from ecologically sensitive shorelines, she said. But she said efforts to skim oil off the surface were put off because of bad weather.

"Some of the vessels can't get out," she said. "But they are still making the effort."

CNN's David Mattingly, Ted Barrett, Dana Bash, Brian Todd, Sarah Hoye, Saeed Ahmed, Mark Biello and Richard Lui contributed to this report.

@highlight

NEW: Administration officials meet with BP execs to discuss spill response

@highlight

Florida governor extends emergency declaration to 16 more coastal counties

@highlight

Oil slick was nine miles off coast Monday

@highlight

Feds ban fishing for at least the next 10 days in part of the northern Gulf of Mexico