(CNN) -- In the wake of this month's Senate report graphically detailing acts of torture by the CIA at Guantanamo Bay and elsewhere, the American Psychological Association announced it is actively investigating collusion of its members with the torture program at Guantanamo. Meanwhile, a decision last week by my own professional association, the American Institute of Architects, or AIA, suggests that impunity for all may be the order of the day.

Despite years of advocacy and formal requests, the AIA -- which claims as its members a majority of the roughly 110,000 architects in the United States -- has officially declined to add specific language to its code of ethics that would prohibit the design of torture chambers in U.S. prisons and around the world. In doing so, it cites anti-trust concerns and the potential difficulty of enforcing the prohibition, but it ignores the claims of human rights.

To be sure, the AIA's ethics code contains aspirational language that broadly states, "Members should uphold human rights in all their professional endeavors." Contrast that, for example, with the code of the American Medical Association or the World Medical Association Tokyo Declaration on Torture, which reads, "The physician shall not provide any premises, instruments, substances, or knowledge to facilitate the practice of torture." That leaves providing the premises for torture up to us architects, and as far as the AIA is concerned, we are open for business.

Yes, the prisons at Guantanamo had architects. The design of Camp 6 was based on the Lenawee County, Michigan, jail, according to its architect.

Other camps were built with prefabricated steel prison cells, a popular jail-building technology that may well have been used to construct the CIA's "black site" prisons overseas. The only apparent justification for the additional expense and complexity of building on such remote sites with no access to local labor or building materials was that these were places where the legal system could not interfere with indefinite detention and "enhanced interrogation techniques."

The AIA's decision not to prohibit design for torture is not just about a handful of egregious projects, however, despite the horrific and planned-for consequences for some of the occupants taken to those buildings.

It's also about the design of spaces in more conventional prisons intended for prolonged solitary confinement: a practice roundly regarded as a form of torture by Amnesty International, Human Rights Watch and the U.N. Special Rapporteur on Torture. These organizations are but some of the human rights advocates that wrote letters urging the AIA to enact a prohibition.

Here in the United States, about 20,000 people are held in solitary confinement in one of 45 or so specially designed "supermax" prisons, and some 60,000 more are held in "segregation wings" and "security housing units" in state prisons and "the hole" in county jails.

While architects cannot be held responsible for unintended uses of the spaces they design, the intention of most of these spaces is clear from the get-go. The use of remote-controlled doors, individualized cellular "recreation yards" and solid cell fronts with special pass-through slots are all architectural features that enable and deepen isolation, leading inexorably to psychological pain. Half of all prison suicides happen to the approximately 4% of people in solitary confinement. Architecture facilitates this suffering and these deaths.

In the face of the Senate's torture report, citizens can by and large only watch the different branches of government contest what happened. But just as all Americans are stained and put at risk by our country's reputation for torture, all of us have opportunities within the multiple roles we play in life to reject torture and enact accountability.

As citizens, it is our responsibility to vote out torturers and to demand prosecutions of perpetrators so that torture will never happen again. Likewise, all licensed professionals have a responsibility to protect the health, safety and welfare of the public. And, for me and my fellow architects, we must further protect our values by changing building codes and industry standards as new challenges emerge (often after a major building disaster).

The unwillingness of American's leading architectural association to prohibit the design of torture facilities is a shocking, shameful and deeply troubling statement. It refuses to place any limit on the potential role of design in human rights violations, even the most egregious.

Accountability begins at home. Unless and until the AIA revisits the issue, American architects are represented by a professional association whose ethical boundaries include the facilitation of torture. So, back to business: How far apart should those ceiling shackles be? What dimensions did you want for that waterboard? And of course I think it all looks best in black.

Join us on Facebook.com/CNNOpinion.

@highlight

Raphael Sperry: AIA declined specific prohibition on architects designing torture chambers

@highlight

He says group chose not to follow organizations like the AMA in banning involvement

@highlight

Professionals have responsibility to protect health, safety, welfare, Sperry says