Cairo, Egypt (CNN) -- Protesters in Egypt, rowdy with revolutionary fervor, dug in for an 18th day of demonstrations Friday, one day after Egyptian President Hosni Mubarak refused to step down.

In a highly anticipated speech, Mubarak clung to the presidency but said he would "delegate powers" to Vice President Omar Suleiman according to the constitution -- a major concession from the man who has ruled Egypt with an iron grip for 30 years.

His speech, however, enraged protesters in Tahrir Square, who want Mubarak to leave now. Packed in like sardines and showing no sign of giving up, many said they were spending the night in the square for the first time since the protests began. The mood of the crowd was relentlessly upbeat, even at 3 a.m..

A splinter group of demonstrators marched to the presidential palace, where the military maintains a strong presence. Another group rallied in front of a state television building.

Massive street demonstrations are expected on Friday.

"Get out! Get out!" angry protesters chanted as Mubarak spoke.

After the the president's speech,parliamentary speaker Ahmed Fathi Srour told state-run Nile TV that Mubarak's move had put the authority for the day-to-day running of the government in Suleiman's hands. That would include oversight of the police, the Interior Ministry and other key agencies, control of economic policy and running any negotiations with the opposition.

Srour echoed Mubarak's statement in adding that the constitution specifically prohibits the president from delegating other key powers to the vice president. As a result, the power to dismiss parliament or dismiss the government and the power to ask for amendments to the constitution remain in Mubarak's hands, not Suleiman's.

"The vice president is the de facto president," Egypt's ambassador to the United States, Sameh Shoukry, told CNN, shortly after Mubarak spoke.

Protesters watched Mubarak's speech on screens hoisted above their heads in Tahrir Square. Quiet at first, they waited to hear what he would say. When it became clear the president would not stand down, they erupted.

"Illegitimate!" they cried. "Mubarak, the coward, must stand down!"

"Everyone's lost," Khalid Abdalla, a demonstrator in the square and star of the motion picture "The Kite Runner," said after the president's speech. "People are trying to work out what more they can do."

Mubarak stressed -- as he has before -- that he would not run for another term in September. He also expressed regret for any loss of life and said he would move to repeal Article 179 of the Egyptian constitution, which allows Mubarak to send anyone suspected of terrorism to a military court, "as soon as we regain stability and security."

His comments came as pressure on Mubarak's regime intensified throughout the day.

Rumors had run rampant before he spoke that Mubarak was planning to step down. Many also had predicted he would deputize Suleiman, the former intelligence chief, to take control. For that to happen under the current constitution, Mubarak must retain the title of president -- as he did.

Suleiman addressed the nation soon after Mubarak, urging Egyptians to remain calm and go back to work.

He said he was committed to doing "whatever it takes in order to have an orderly transition of powers in accordance with the provisions of the constitution."

"Go back to your houses. Go back to your work. The homeland needs your work," Suleiman said.

Mubarak's refusal to step down caught the administration of U.S. President Barack Obama off guard, a senior U.S. official told CNN.

"Not what we were told would happen and not what we wanted to happen," the official, who would speak only on the condition of anonymity, said of the speech.

Obama released a statement late Thursday, calling on the Egyptian government to do more.

"The Egyptian people have been told that there was a transition of authority, but it is not yet clear that this transition is immediate, meaningful or sufficient," he said. "Too many Egyptians remain unconvinced that the government is serious about a genuine transition to democracy, and it is the responsibility of the government to speak clearly to the Egyptian people and the world."

The mass demonstrations, despite stern government warnings of military intervention, were relentless Thursday, and thousands of workers in vital industries walked off their jobs in a show of solidarity with demonstrators demanding change.

In their strongest maneuver yet, the military's senior officers Thursday issued "Communique No. 1," as if more were forthcoming, stating that their discussions were ongoing on "what can be achieved to preserve the homeland and the gains of the Egyptian people."

The military remained out in force throughout the day, and many believe Egypt's future hinges on the role it will play.

"Egypt will explode. Army must save the country now," Mohamed ElBaradei, an opposition leader, posted on his Twitter page soon after Mubarak spoke.

Similarly, Yaser Fathi, one of the organizers of protests in Alexandria, said the military must intervene and push to get Mubarak out.

"Everyone in Egypt is disappointed ... We were hoping that it was almost over, but we will continue until the whole regime gets toppled," he said.

Exactly what role the military will play, however, remained unclear.

"This now creates a massive crisis for the Egyptian military," analysts with Stratfor global intelligence company said in a statement, soon after Mubarak's speech.

"As dawn breaks over Cairo, it is likely that large numbers of others will join the demonstrators and that the crowd might begin to move. The military would then be forced to stand back and let events go where they go, or fire on the demonstrators," the analysts said.

Earlier Thursday, protesting lawyers toppled barricades near Abdeen Palace, the former home of Egypt's monarchy and a symbol of power. Armed police, who had disappeared from the streets of Cairo as the uprising gained momentum, waited behind metal fences.

But the police fled and the crowd surged amid the roar of thunder on a rainy day. "God is great," they chanted.

Unable to enter the palace, which was under heavy army protection, the group of lawyers headed to Tahrir Square, where massive crowds again gathered to call for the immediate departure of Mubarak.

The demonstrations were galvanized earlier in the week by the words and tears of freed cyberactivist Wael Ghonim, who emerged as a reluctant hero of Egypt's uprising.

Ghonim, on leave from his marketing job with the search engine Google in Dubai, was seized by security forces and held for 10 days before being released. He is credited with starting a Facebook page that triggered the protests.

Mubarak's foes were re-energized again Thursday by strikes called by petroleum, railway and telecommunications employees seeking better compensation.

Oil workers demanded transparency in executive salaries, said Hamdi Abdel-Aziz, a spokesman for the petroleum ministry.

National Railway Council employees called for longer contracts, prompting a pledge to extend them from their leaders. Some did not return to work Thursday, said Mostafa Qinawi, head of the Railway Council.

Employees of the steel industry and the Suez Canal Port Authority also took to the streets to demand better salaries, said the state-run al-Ahram newspaper. That sparked fears that the Suez Canal -- a significant oil transport hub and major revenue source for Egypt -- would shut down and send oil prices skyrocketing.

Egypt's finance minister said the nation will "do its utmost best" to ensure the canal remains open.

"All precautions are taken to prevent any sabotage from outside to the Suez Canal," Samir Hadwan told CNN. "The Suez Canal is safe and the Egyptian Army -- I don't talk on their behalf -- but I can assure you it will do whatever is in its power to keep that open."

In the Mediterranean city of Alexandria, Egypt's second largest, street cleaners and administrative staff went on strike over what they say is a salary freeze. At least 1,000 engineers protested contracts and financial compensations, officials said.

Thursday's demonstrations unfolded with vigor despite escalating fears of a government crackdown. Key government officials have sought to portray an immediate departure for Mubarak as a recipe for absolute mayhem and warned of military intervention.

Human Rights Watch has been deeply critical of the government's handling of the crisis.

"Mubarak's speech is far from the needed break with the abusive system of the past 30 years," Kenneth Roth, executive director of Human Rights Watch, said in a statement Thursday. "Cosmetic changes are not enough to meet the Egyptian people's demands for democracy and human rights."

The monitoring group has documented 302 deaths since the January 25 rally that ignited Egypt's revolt.

CNN's John King, Jill Dougherty, Ivan Watson and Amir Ahmed and journalist Ian Lee contributed to this report

@highlight

More demonstrations are expected Friday

@highlight

President Obama says Mubarak's speech falls short of what is needed

@highlight

Protesters rally in Tahrir Square, near presidential palace and outside state TV building

@highlight

Mubarak delegates powers to the vice president