(CNN) -- "Sometimes I ask myself, why me? Why did this have to happen again?" says 31-year-old Andile from the Khayelitsha township in Cape Town, South Africa. "But the problem is I could have got it anywhere, on the bus, in a taxi, in my work. It's everywhere."

Andile has extensively drug-resistant tuberculosis (XDR-TB), a form of the airborne disease that is resistant to the four main groups of drugs used to treat it, meaning treatment can take years and requires alternative drugs that have more side effects.

He's had tuberculosis for more than two years but it's not the first time he's been infected.

"Where I stay, the environment is not right, it's not clean. I could have got TB there, or on the taxis we use as they never open the windows," he says.

TB has long been known as a disease of poverty. Dense housing, shared living space, poor ventilation, poor nutrition and poor healthcare systems are the prime conditions for the infection to spread, and thrive. This ancient disease was known as the "White Plague" in 18th century Europe and still kills more than one million people a year globally.

It's a complicated disease with the potential to affect many parts of the body and it can remain latent in people for many years, leaving them unaware they are infected. The main active form of the disease affects the lungs; if left untreated it can cause considerable lung damage, resulting in eventual death.

'Public health emergency'

After repeated exposure, Andile has extensive damage to his lungs, leaving him reliant on an oxygen tank as he receives his treatment from Medecin Sans Frontiers. The NGO plays a large role in treating TB in Khayelitsha, one of the largest townships in the country. Andile is one of thousands of people who contract the extensively drug-resistant form each year and he makes a crucial point -- TB is everywhere in South Africa and is the leading cause of death. It's estimated that up to 80% of drug-resistant forms of the disease are now transmitted directly between people, rather than developing over time.

"The disease has reached a public health emergency in South Africa," explains Keertan Dheda, professor of medicine at the University of Cape Town. "We treat half a million cases a year and today, the epidemic has taken a turn with drug resistance. We treat 8,000 cases of resistance a year and now a chunk of those have developed resistance beyond XDR-TB -- incurable TB."

Looking at the disease globally, in 2013 there were 72 cases of drug-resistant TB in the United States. In 2012 there were 64,000 cases in India and 59,000 in China. The more people and the closer their proximity, the easier the disease spreads.

Drug resistance can develop for a variety of reasons. For TB, the origins lie in incomplete treatment regimens where people did not complete their course of antibiotics due either to poor health systems or personal preference or complacency. Incomplete treatments mean the bacteria behind the disease -- Mycobacterium tuberculosis -- have had some, but not full, exposure to the drugs prescribed to kill them, giving them the opportunity to mutate and become resistant. The result today is such vast resistance that in some settings, all known drugs have been rendered useless and these forms are now transmitting between people.

"We now have patients who are therapeutically destitute," explains Dheda.

Global problem

The problem is now global. XDR-TB has its highest prevalence in Russian, Eastern Europe, China and India, with the latter reporting cases of total drug resistance. But according to the 2013 Global TB report from the World Health Organization (WHO), this extensive form of resistant TB has been reported in 92 countries, and is likely to be in more.

"It's probably in every country," says David Heymann, head of the Center on Global Health Security at think tank Chatham House and chair of the Health Protection Agency in the United Kingdom. "The disease has spread internationally and is a real concern."

The 67th World Health Assembly took place last week and it approved a long-term global TB strategy, including targets to reduce TB deaths by 95% between 2015 and 2035. Also firmly on the agenda was the global concern of antibiotic resistance and the fear of many diseases becoming untreatable.

The issue has been addressed by many public health organizations in 2014 and Heymann believes TB is a prime example of the problem and should be declared a public health emergency of international concern by the International Health Regulations Emergency Committee. But such a declaration is yet to be made.

The man in charge of the controlling the problem globally is Mario Raviglione, director of the Global Tuberculosis Program at the WHO.

"TB is competing with HIV/AIDS as the number one killer among the infectious diseases," explains Raviglione. "There are about 450,000 new drug-resistant TB cases every year and this is the scariest part of tuberculosis as you are left with less options to treat people, many of which are toxic."

'Extraordinary measures'

Raviglione stresses that the epidemic may differ in different parts of the world but is very much an international issue. "Russia, India, China and South Africa have about 60% of the world cases, so if they don't improve there is no way the world can progress," he says.

Raviglione is especially concerned about the increased rates of drug-resistant TB seen in Southern Africa. "This scares us most because in that part of the world there is a lot of HIV and so it can become explosive and really spread and move fast as HIV amplifies the effect of tuberculosis." The ability of HIV to suppress human immune systems enables TB bacteria to take over the body.

The WHO strategy therefore is to target high-burden countries and improve the diagnosis and treatment of drug-resistant TB. Because patients must take drugs for at least two years, getting them to stick with the treatment is essential, and transmission must also be controlled. Not a simple feat.

"This threat has to be prevented and when it does occur, extraordinary measures must be put in place to diagnose and treat to stop it spreading to others," states Raviglione. "It's a real threat and has to be taken extremely seriously."

This story was partly supported by the Pulitzer Center on crisis reporting

@highlight

Drug-resistant TB is on the rise, with some strains immune to all major drugs

@highlight

Extensively resistant TB reported in 92 countries but is likely to be in many more

@highlight

About 450,000 new drug-resistant TB cases reported worldwide in 2012

@highlight

"It's probably in every country," says expert