(CNN) -- Many people have heard of the Slow Food movement -- the global organization founded in Italy to counter fast food and the "fast life."

Its adherents favor gastronomic tradition and the calm, contemplative enjoyment of cuisine and life in general.

Now another idea is taking hold in the wake of Slow Food -- the quest for a quiet Italy.

It's embodied in the establishment of a new Academy of Silence (Italian site only), in Tuscany, which seeks to gather a list of the quietest hotels, towns and other places in Italy.

We've collected 10 idyllic spots -- among the calmest, quietest and most powerfully relaxing in all Italy -- to suggest to the Academy as prime candidates for inclusion.

1. Eremito Hotelito del Alma (Parrano, Umbria)

No TV, no phone, no mini-bar, no air-con.

Go to bed when it's dark, wake up at dawn.

Candlelight only after sunset.

Phones to be used outside only.

This is also the first hotel in Italy with only single rooms -- so not the place for romance.

It still feels like the monastery it once was -- the monk's cells have been converted into rooms -- except now there's a spa, and great Umbrian food instead of bread and water.

There are even Gregorian chants -- listening to them makes lying in the heated rock pool all the more relaxing.

During the day, there's little to do except explore the surrounding 3,000 hectares of national reserve.

Or practice doing nothing.

Eremito Hotelito del Alma, Localitá Tarina, 2; +39 (0)76 389 1010; rooms from $208

2. Stargazing from the Rocca D'Orcia Tower (Siena, Tuscany)

A single, stone medieval tower sits atop a wooded hill, overhanging a precipice.

From this superb lookout, you'd once have been able to spot enemies approaching from miles around across the Val d'Orcia valley.

Now it's open to the public -- a noble family fell on hard times and sold it to the state.

Surrounding it are just a few stone houses and cobbled streets.

Maybe the odd cat.

On clear nights, standing atop the tower, thick star clusters illuminate hills, vineyards and Renaissance-era dwellings.

If Tuscany has anywhere more quiet and calm, someone's keeping silent about it.

La Rocchetta (Via della Chiesa, 8; +39 (0)55 228 0413; rooms from $40) is a B&B in the middle of the hamlet, right under the tower.

The Osteria Perillá (Borgo Maestro, 72; +39 (0)577 887 263; dishes from $20) serves traditional meals such as bean soup and pici, typical handmade pasta.

3. Segesta ruins (Trapani, Sicily)

It's much easier to be transported to ancient times when you're contemplating ruins in virtual solitude.

Segesta's ruins are superb and all the better without the crowds at the Valley of Temples elsewhere in Sicily.

Legend says Segesta was built by Achilles' companion, the Greek warrior Aeneas, on returning home after burning Troy.

There's a temple, theater and sanctuary.

Set in a remote part of Sicily, surrounded by fields, the archaeological site is nonetheless well-kept.

It's way off the traditional tourist route and one of the least visited ancient sites in Italy.

Baglio Segesta (Italian site only; Contrada Pispisa; +39 348 883 0124; rooms from $54) is a typical Sicilian rural estate close to the site.

4. The Gardens of Ninfa (Norma-Latium, Lazio)

Eden, if it existed, quite possibly looked like this.

There are cascades of multicolored plants, spouting fountains and rich bird life.

Running water is the only sound, and the odd tweet and whirr of wings.

Once a hellish, malaria-infested backwater, the Ninfa Gardens were turned into a 105-hectare oasis in the early 20th century by the Caetani Princes.

The Ninfa ("Nymph") River cuts through the space, which includes rare ruins of an entire medieval town.

Norma on the Lepini Hills, overlooking the Pontine Valley and the sea, is the closest city.

Hotel Villa del Cardinale (Via dei Colli 44, Norma; +39 (0)773 354 611; rooms from $38) has a well regarded restaurant with Latium specialties.

5. Stagnone Lagoon (Marsala, Sicily)

Separating you from the open sea -- the Mediterranean -- is an archipelago of small islands dotted with ancient windmills.

On the lagoon in a boat, you hold a glass of sweet Marsala wine.

In the background, there's an orange-pink sunset.

The only sounds come from things stirring in the hot breeze and low waves rocking the boat.

The sunset aperitif served out here on the water by a tour company (Italian site only) comes with what's almost a dinner: 12 types of Sicilian finger foods -- it's tempting to stuff yourself at the first dish.

The boat takes you out when the sun starts to set, anchors in the middle of the lagoon and brings you back when you've had enough of the quiet.

Hotel picks in Marsala include New Hotel Palace (Via Lungomare Mediterraneo 57; +39 092 371 9492; rooms from $108), close to the harbor.

Restaurant La Corte dei Mangioni (Via Giovanni Bovio 28; +39 (0)923 951 939; from $20) serves traditional Sicilian cuisine.

6. Linosa (Pelagie Islands)

Stuck in the Mediterranean halfway between Sicily and Tunisia, this tiny volcanic atoll is off most travelers' radar.

People who do make it out here cluster on the noisier sister island of Lampedusa.

But to silence seekers, Linosa is bliss.

Ultimate silence can be found hiking up the extinct crater of Monte Vulcano.

At the summit, a panorama of black rocks dotted with fluorescent green cacti and prickly pears stretches to the sea.

This is the kingdom of a special kind of silence -- sea silence.

A single road circles Linosa.

There are a few, low-rise traditional dwellings and a bar that makes great slushies when it's hot.

On the beach of La Pozzolana, you might be lucky enough to find sea turtles from the island's animal hospital being released into the sea.

Linosa has few hotels. Linoikos (Via Vittorio Alfieri, +39 (0)92 272 212; rooms from $45) has modern, brightly colored rooms and serves fish bought direct from island fishermen.

7. Civita di Bagnoreggio (Viterbo, Lazio)

Here you find "the silence of a dying city."

That's how the citizens of Civita di Bagnoreggio describe it.

The town sits atop a high, narrow plateau of crumbling rock formed from compressed volcanic ash.

Each year, it slips a little further over the edge.

The population has dwindled over the past century to little more than around 10 hardy hangers on.

It's quiet.

The original bridge to the town collapsed, replaced by a dizzying metal catwalk.

Once within the town, you can only get around on foot -- cars threaten further erosion.

Writers and yoga practitioners are drawn here for the calm that prevails -- strange, given that catastrophe seems just around the corner.

Or over the edge.

Corte della Maestá (Via della Provvidenza; +39 (0)335 879 3077; rooms from $330) is a small villa inside the hamlet.

Alma Civita (Via della Provvidenza, +39 (0)76 179 2415 from $162) serves guests traditional recipes.

8. Porcini mushroom hunting (Frignano Park, Emilia-Romagna)

The deep mountain silence of the rugged Apennines, Italy's smaller Alps, is what's on offer here.

Solitary valleys are dotted with stone structures the Celts erected during their invasion in the 4th century BC.

Wild porcini mushrooms, one of the great delicacies of Italian cuisine, are part of the allure.

For a $20 ticket from park authorities (Italian site only; +39 (0)536 72134) you can go on a porcini hunt and pick as many you can find.

There's a magical ambiance in the forest -- a local legend describes "the ghost of clouds."

If that's not a silent image, what is?

La Capanna dei Celti (Doccia di Fiumalbo; +39 (0)5367 4444; rooms from $60), set at 1,400 meters, has the feel of a cozy mountain hut.

The menu served to guests includes strong-flavored dishes such as wild boar.

9. Alicudi (Aeolian Islands)

The farthest and wildest of the Aeolian Islands, Alicudi offers a no-frills, zero sound pollution break amid turquoise waters, pebble beaches and prickly pears.

"Donkey taxis" are the main means of transportation across the island's 10,000 steps and 25 kilometers of ancient pathways -- you'll hear no roaring engines.

And there are no banks -- you'll need cash -- only one tiny supermarket and a newsstand.

Casa Ibiscus Resort (Via Roma, +39 (0)3409 207 605; stays from $1,800) is an Aeolian-style villa with a seafront terrace rented on a weekly base.

Spaghetti with caper cream is a top dish at Restaurant Ericusa, part of Hotel Ericusa (Via Perciato; +39 0909 889 902).

10. Mt. Soratte (near Rome)

You needn't go too far from possibly the noisiest place in Italy, Rome, to find silence.

A sacred hill to the ancient Romans, the "sleeping giant" of Mt. Soratte spikes up from the Tiber Valley an hour from the capital.

Hiking routes wind through a dense forest gouged with rock chasms.

You might find wild boar footprints beneath you and hear hawks' cries above.

The so-called Hermit Path leads to the highest peak, where there's an ancient stone shrine.

Here's where Pope St. Sylvester I is said to have miraculously cured Emperor Constantine of leprosy.

For a moment, given the purity of the air and the heavenly view, you can believe it.

The Panta Rei rural estate (Localitá Ponticello, Sant'Oreste; +39 076 1578 728; rooms from $54) overlooks the promontory.

Al Campanile (Italian site only; Via Filippo Leoni 8; +39 (0)76 157 9950), in the hillside town of Sant'Oreste, serves recommended local cuisine.

Silvia Marchetti is a Rome-based travel writer who has contributed to Newsweek, the Financial Times and New York Times.

@highlight

Academy of Silence announces plan to map Italy's quietest places

@highlight

One possible candidate is a hotel with no TVs or phones -- and single rooms only

@highlight

Sicily's Stagnone Lagoon promises quality silence on the water

@highlight

Almost abandoned Civita di Bagnoreggio is falling off a cliff -- but it's peaceful