(CNN) -- There's a good chance you've seen more of Greenland in magazines or on TV recently.

With its ice cap and glaciers melting at a rapid rate, the island is at the center of climate change conversation. The stories are troubling, but it's not all bad news for the folks in Greenland.

You see, the increased attention has helped Greenland. Its tourism business is, by Greenland standards, booming.

"Our tourism is still very small," said Anders la Cour Vahl, a senior consultant at the Greenland Tourism and Business Council. "But we've seen quite an increase in cruise tourism and an incremental increase in land-based visitors."

La Cour Vahl said Greenland gets about 30,000 cruise visitors per year, a four-fold increase in the past decade. About 35,000 people fly in for visits. It's a lot for a nation that's bigger than Alaska but with a population the size of Ames, Iowa.

Most visitors to the island still come from Denmark (Greenland is a self-governing Danish territory). But the second-largest group used to be Germans, la Cour Vahl said, and their numbers have been overtaken by people from North America.

Only a few come because they want to see the ice cap before it vanishes, they say. More than 80% of the island is covered by it, and the ice is as thick as 14,000 feet in some places, according to the U.S. Geological Survey. But it is disappearing.

"Greenland has been a major concern because there is a lot of ice sitting on land, and it's melting a lot faster than we thought it was going to," said Keya Chatterjee, director of international climate policy for the World Wildlife Fund. "It's a big unknown in the system."

Last year, the book "100 Places to Go Before They Disappear" selected two sites in Greenland for its list -- the town of Ilulissat, to the west, and Zackenberg, in the northeast, where there's an ecosystem research center.

The book noted that temperatures in Greenland are substantially higher and said the water around Ilulissat no longer has permanent ice cover.

For the Greenland tourism bureau, climate change is often a part of the discussion. They even devote a page to it on the greenland.com website, where they try to assure potential tourists that melting ice doesn't mean there's nothing to see.

"While doubt still prevails as to the speed at which the volume of the ice is declining and the complex relationships between causes of temperature increases," the site reads, "there is one thing that is certain: New ice will continue to be created on the ice sheet, and there will still be enormous amounts of ice to admire in Greenland for the next many generations. It is just a question of how much."

La Cour Vahl said that people who come to Greenland can witness firsthand the results of climate change.

"You can see how glaciers have been retreating. You can see the marks on the sides of the glacier where it used to be and where it is now," he said. "Actually being there and being a witness to what is happening to our environment, that has great appeal."

Chatterjee, whose organization works with tourism boards to promote eco-friendly practices, said places affected by climate change need to plan ahead.

"Many local economies are so dependent on tourism," she said. "Forward-looking cities are starting to plan how do you diversify you economy and how do you develop other attractions. People can disagree about when the worst consequences of climate change will hit, but we know it's already happening."

The effects of climate change have "put us on the map," la Cour Vahl says. The challenge now is to convince more people that Greenland isn't really that far a trip or such a forbidding land.

But it's not a destination for everyone, he admits.

Most of the top tourist trips revolve around the ice or wildlife, such as watching polar bears or whales. Patricia Schultz, the author of "1,000 Places to See Before You Die," calls Greenland "the ultimate frontier."

The weather, while brutally cold in recent winters, can be surprisingly warm in the spring and summer, the top two tourist seasons, la Cour Vahl said. So when you pack your bags, don't worry, you can even throw in a T-shirt.

Or if the warming trend continues, a few T-shirts.

@highlight

Greenland is getting more media attention as climate change affects the country

@highlight

The attention has drawn more tourists to the island, including 30,000 cruise visitors per year

@highlight

Greenland tourism officials tell visitors there's still ice to see, but it's unclear how much will remain over time