(CNN) -- A quick look at Japan's nuclear industry and the problems faced at three plants since Friday's massive earthquake off northern Honshu, as compiled by the CNN Wire:

NATIONWIDE

Japan's electric power companies run 54 nuclear reactors, with two under construction, at 17 power plants, according to figures from the International Atomic Energy, the U.N. nuclear watchdog. They produced more than 280,000 gigawatt-hours of electricity in 2010 -- about 30 percent of Japan's total electricity generation.

Most Japanese plants -- including the three facing emergencies since the earthquake -- use boiling-water reactors, in which water circulated through the reactor is converted to steam and used to drive a generator.

Most U.S. reactors and about 40 percent of Japan's are pressurized-water reactors, in which reactor coolant is kept separate from the steam used to drive generators.

Both types are far different than the Soviet design involved in the 1986 Chernobyl disaster, a reactor model now considered unsafe by the international nuclear industry. In addition, the Chernobyl plant lacked the kind of reinforced steel-and-concrete containment structure that U.S. and Japanese regulators require.

Tokyo Electric Power Company is the largest of the nine utilities that operate Japan's nuclear plants and runs the two plants affected by Friday's quake. In 2002, its president, vice president and chairman resigned after a scandal in which TEPCO was accused of falsifying safety repair records in 29 cases. The company instituted reforms in September 2002 in an attempt to restore public confidence.

FUKUSHIMA DAIICHI

The plant with the worst reported problems is TEPCO's Fukushima Daiichi, about 65 km (40 miles) south of Sendai. Three of the plant's six reactors had already been shut down for inspection at the time of the quake, but two of the three that were in service at the time have been damaged, the utility said.

An explosion caused by hydrogen buildup Saturday blew the roof off the No. 1 reactor's containment structure and injured four workers, but the reactor was not reported to have sustained damage. Workers have been pouring a mixture of seawater and boron into the No. 1 and No. 3 reactors in what experts have called a last-ditch attempt to prevent a meltdown -- a catastrophic failure of the reactor core, with a potential for widespread radiation release.

Japanese nuclear regulators have said there is a "possibility" that at least a partial meltdown already has occurred in the reactors. The government has evacuated more than 200,000 residents from homes within a 20-km (12.5-mile) radius of the plant and tested 160 people for radiation exposure, authorities said Sunday.

The six units at Fukushima Daiichi went into service between 1970 and 1979.

FUKUSHIMA DAINI

Japanese authorities have detected cooling-system problems at TEPCO's Fukushima Daini plant, but have not expressed any concerns about possible meltdowns there. Nevertheless, those living within a 10-km radius of Fukushima Daini were ordered to evacuate as a precaution.

TEPCO reported that cooling systems the three operational units at Fukushima Daini failed after the quake, but the IAEA, citing Japanese authorities, reported that all three had power Sunday afternoon.

TEPCO reported one fatality at the plant. A crane operator who had been trapped at an operating console in the plant's exhaust stack was pronounced dead Saturday, the company reported.

Fukushima Daini is about 80 km south of Sendai. The plant's four reactors went online between 1981 and 1987.

ONAGAWA

Japanese officials declared an emergency Sunday at the Onagawa nuclear plant after finding radiation levels above allowed levels in the surrounding area. However, radiation levels had dropped to normal levels by early Monday, and the "current assumption" of Japanese authorities is that the increased radiation levels may have been caused by material released from Fukushima Daiichi, according to the IAEA.

The plant reported smoke in a turbine house after Friday's earthquake, but Japan has told the IAEA that the three reactors at Onagawa are under control.

Onagawa is about 70 km north of Sendai. It is owned by the Tohoku Electric Company, and its three reactors entered service between 1983 and 2001.

Reactor No. 2 was shut down for a five-month inspection in November, according to the company.

@highlight

Japan's electric power companies run 54 nuclear reactors at 17 power plants

@highlight

They produced more than 280,000 gigawatt-hours of electricity in 2010

@highlight

Most Japanese plants -- including the three facing emergencies -- use boiling-water reactors