A day after a spectacular meteor blast shook Russia's Urals region, the cleanup operation got under way Saturday in the hard-hit Russian city of Chelyabinsk.

Although some buildings were unscathed when sonic waves from the Friday morning explosion reverberated through the region, others lost some or most windows or had walls come tumbling down.

More than 1,000 people were injured, including more than 200 children, according to news reports. Many of them were hit by flying glass.

Most of those hurt were in the Chelyabinsk region; the majority of injuries are not thought to be serious.

However, one woman was flown to Moscow to be treated for a spinal injury resulting from the shock wave from the blast, state media reported. About 50 people were still hospitalized Saturday.

Altogether, more than 4,000 buildings, mostly apartment blocks, were damaged and 200,000 square meters (77,220 square miles) of glass were broken, the state-run RIA Novosti news agency cited the Chelyabinsk regional emergencies ministry as saying Saturday.

5 things to know about meteors and asteroids

Local officials have estimated the damage at more than 1 billion rubles (more than $33 million), RIA Novosti said. Chelyabinsk Gov. Mikhail Yurevich promised compensation to all those affected, the official Itar-Tass news agency said.

With temperatures dipping well below freezing at night, the need to fix windows left gaping by the blast is urgent.

The city of Chelyabinsk was functioning normally Saturday as the repair work began.

Workers swept up broken glass, boarded up holes and began fitting new panes of glass in some buildings.

"This is no exaggeration"

Residents told CNN of their shock as they saw, heard and felt the awesome blast, and the chaos and confusion they witnessed in the moments afterward, when no one knew what had happened.

Many were relieved nothing worse came to pass and believe the city had a lucky escape as fragments of the meteor came raining down.

Denis Kuznetsov, a 23-year-old historian from Chelyabinsk, told CNN via e-mail that he had heard and felt the shock wave despite being far from the center of the city.

At first there was a blinding flash lasting several seconds, which made him want to shut his eyes. The light shone "like 10 suns," he said. "This is no exaggeration."

Kuznetsov said he experienced what felt like "a push," as a sound wave passed through his body. "For some seconds I simply stood," amid the sound of breaking glass, he said.

After calming his parents, Kuznetsov tried to call friends, but all cellphone coverage was down. The Internet still worked, however, and he managed to reach a friend in the city center who told of emergency responders heading into the streets.

At first, confusion was widespread, he said, with many people believing the boom had to do with a satellite or plane.  But within an hour or so, news broadcasts declared it was a meteorite.

"There was no panic. All behaved quietly," he said.

Schools and many offices closed. Kuznetsov monitored the news, as the reported number of victims "grew hour by hour," he said. "Thank God no one died."

Meteor tweets we wish we'd thought of

CNN iReporter Max Chuykov saw the meteor trail from the city of Yekaterinburg. He shared on Instagram that it was close to the ground.

Ekaterina Shlygina posted to CNN iReport and wrote on Instagram: "Upon Chelyabinsk a huge fireball has exploded. It wasn't an aircraft."

"Tiny asteroid" packs a big punch

About 24,000 emergency response workers were mobilized across the Chelyabinsk region Saturday, Itar-Tass cited the governor's office as saying.

Hospitals, kindergartens and schools were among the buildings affected by the blast, said Vladimir Stepanov of the National Center for Emergency Situations at the Russian Interior Ministry.

West of the city, authorities sealed off a section of a frozen lake where it was believed a sizable meteorite crashed through the ice.

But a team of divers has found no trace of any meteorite in the lake, an emergencies ministry spokeswoman told state media on Saturday.

Opinion: Don't count 'doomsday asteroid' out yet

The meteor was a once-in-a-century event, NASA officials said, describing it as a "tiny asteroid."

The space agency revised its estimate of the meteor's size upward late Friday from 49 feet (15 meters) to 55 feet (17 meters), and its estimated mass from 7,000 tons to 10,000 tons.

The space agency also increased the estimated amount of energy released in the meteor's explosion from about 300 to nearly 500 kilotons. By comparison, the nuclear bomb the United States dropped on Hiroshima in 1945 released an estimated 15 kilotons of energy.

The whole event, from the meteor's atmospheric entry to its disintegration in the air above central Russia, took 32.5 seconds, NASA said.

Saving Earth from asteroids

The national space agency, Roscosmos, said scientists believe one meteoroid entered the atmosphere, where it burned and disintegrated into fragments.

Amateur video footage showed a bright white streak moving rapidly across the sky before exploding with an even brighter flash and a deafening bang.

The explosion occurred about 9:20 a.m. local time, as many people were out and about.

A once in a lifetime event

Russians captured vivid images, many using dash cameras inside their vehicles.

Dash cameras are popular in Russia for several reasons, including possible disputes over traffic accidents and the corrupt reputations of police in many areas. Drivers install the cameras for their own protection and to document incidents they could be caught in.

Opinion: Meteor shows why it is crucial to keep an eye on the sky

Five regions of Russia, one of them Chelyabinsk, are thought to have been affected, Itar-Tass said. RIA Novosti cited emergencies ministry officials as saying three regions and Kazakhstan were involved.

NASA said on its website that the meteor was the largest reported since 1908, when the famous Tunguska event took place in remote Siberia.

In that incident, an asteroid entered the atmosphere and exploded, leveling about 80 million trees over an area of 820 square miles -- about two-thirds the size of Rhode Island -- but leaving no crater.

"We would expect an event of this magnitude to occur once every 100 years on average," said Paul Chodas of NASA's Near-Earth Object Program Office at the Jet Propulsion Laboratory in California.

"When you have a fireball of this size, we would expect a large number of meteorites to reach the surface, and in this case there were probably some large ones."

NASA estimates 4,700 'potentially hazardous' asteroids

In what astronomers said was an unrelated coincidence, a larger asteroid, called 2012 DA14, passed relatively close to Earth around 2:24 p.m. ET Friday.

Stargazers in Australia, Asia and Eastern Europe could see the asteroid with the aid of a telescope or binoculars, but it never got closer than 17,100 miles to the planet's surface.

The Russian meteor was about one-third the size of the asteroid. The two bodies were on very different trajectories, scientists said.

@highlight

State media: 50 still in hospital, one woman with a spinal injury flown to Moscow

@highlight

Witness says flash shone "like 10 suns," felt shock wave pass through his body

@highlight

More than 4,000 buildings, mostly apartment blocks, were damaged, reports say

@highlight

Divers find no trace of meteorite in a frozen lake near Chelyabinsk, state media report