A doctor who spent time treating Ebola patients in West Africa died from the virus Monday in Nebraska. The death of Dr. Martin Salia, who contracted Ebola in Sierra Leone, marks the second time Ebola has claimed a victim in the United States.

"It was an absolute honor to care for Dr. Salia," said Rosanna Morris, Nebraska Medical Center's chief nursing officer, at a news conference in Omaha.

She sat alongside four other doctors who said they did everything possible to try to save the surgeon. Salia traveled between Sierra Leone, where he contracted the virus, and his home in Maryland, where his wife and children live.

Morris said that caring for Salia taught the Nebraska team a lot. Spending time with Salia's wife, Isatu Salia, shed light on how anguishing it is to have a loved one suffer from Ebola, Morris said.

The nursing chief praised the highly skilled and experienced medical team for trying to save a colleague.

"I want to thank our local heroes who took care of a global hero these past few days," Morris said.

A legal permanent resident of the United States, Salia had been treating patients in Sierra Leone. That nation, Guinea and Liberia have been hit the hardest by the Ebola epidemic that began earlier this year.

It is rare for someone to die in the United States from Ebola because medical and monetary resources are extensive -- much more so than in West Africa.

At least 5,177 people have died of Ebola, most of them in those West African countries, according to the World Health Organization. Sierra Leone has reported nearly 1,200 deaths.

The first Ebola patient to die in the United States was Thomas Eric Duncan, a Liberian national who traveled to Texas in September.

Duncan, 42, died at a Dallas hospital. He initially went to the facility's emergency room after he began having symptoms, but he was misdiagnosed and sent home. Two days later, he was back, tested positive for the virus and began treatment.

Complete coverage of Ebola

When Salia arrived Saturday at Nebraska Medical Center, he was in "extremely critical" condition, doctors said. His kidneys and respiratory system were failing.

Ebola patients must get treatment as early as possible to have a chance at surviving, medical officials say.

The doctor received a dose of ZMapp therapy and a blood transfusion from an Ebola survivor, doctors said. They did not disclose the donor's identity.

The dose of ZMapp that was given to Salia on Saturday was an existing dose that had been provided to another hospital but had not been used, a spokesperson for Mapp Biopharmaceutical said.

Your Ebola questions and answers

Salia had been able to walk himself onto the plane that transported him from Sierra Leone to the United States, but he was in "very bad" condition, recalled Dent Thompson, vice president of operations for the company that transported the doctor, Phoenix Air.

Caregiving between countries

Salia split his time between New Carrollton, Maryland, and Sierra Leone, where he worked at a Methodist hospital, CNN affiliate WJZ-TV in Baltimore reported.

The team caring for Salia in Sierra Leone characterized him as critical ill, possibly sicker than patients treated successfully in the United States, according to Nebraska health officials.

The surgeon had taken a test for Ebola, which came back negative. It's unclear what produced the initial false result. A second test came back positive.

Isatu Salia pushed to get her husband evacuated from Sierra Leone, the U.S. State Department said.

An air ambulance crew evaluated him in Freetown and determined he was well enough to travel.

Isatu Salia spoke to WJZ over the weekend. Too upset to show her face on camera, she described talking to her husband and feeling incredibly concerned.

"I know he's sick. He was a little slow talking," she said, breaking down in tears. "I'm worried for him."

A reporter asked if she was confident her husband would get the treatment he desperately needed. She said she did and she was "pleased" with the action the U.S. Centers for Disease Control and Prevention took when she phoned authorities there.

It was an "hour-by-hour situation" when the ill surgeon arrived at Nebraska Medical Center, according to Dr. Phil Smith, director of the hospital's biocontainment unit.

How the Ebola virus spreads

A man who gave selflessly

Maada Salia spoke admiringly of his father over the weekend.

"The fact that he would go back to his country and help is one thing that really amazed me because he showed the love that he has for his country," the son said. "He doesn't think of himself as someone important. He puts himself down and helps those who really need help."

The White House released a statement of condolences to the Salia family. "Dr. Salia dedicated his life to saving others. He viewed this vocation as his calling, telling his fellow United Methodist Church members that he pursued medicine not because he wanted to, but because he firmly believed it was God's will for him," the statement reads.

"Dr. Salia's passing is another reminder of the human toll of this disease and of the continued imperative to tackle this epidemic on the frontlines, where Dr. Salia was engaged in his calling."

Timeline: How the world has reacted to Ebola

In other Ebola-related news, U.N. Ebola crisis manager for Guinea, Marcel Rudasingwa, has died of natural causes, the U.N. Mission for Ebola Emergency Response said Monday.

@highlight

Dr. Martin Salia's death marks the second U.S. death from Ebola

@highlight

Thomas Eric Duncan, a Liberian, was the first to die in the U.S.

@highlight

Salia was already critically ill before he left Sierra Leone, officials say