(CNN) -- It's being billed as "Lego for adults" and could mean your fondness for construction toys may no longer be just a guilty pleasure.

The new robotics kit created by China-based Makeblock provides all you need to relive your childhood, with nearly 100 Lego-compatible mechanical and electronic components.

But this time around you're building robots for real, assembling modules that can create walking spider robots, beverage bots, or even your very own Wall-E.

"Makeblock is an aluminum version of Lego bricks," explains Makeblock founder Jasen Wang. "Like Lego, parts can connect to each other easily and flexibly, but you don't need nuts to make the connections, since we have a clever threaded slot design."

All the pieces slot together in a construction process designed to be easy and intuitive, says Wang.

"We've done some work to make the electronics and software more friendly to beginners. We use uniform modular connectors with color tags to help you make the right connections, and we plan to have a smartphone app to let beginners interact with their robots without any programming."

Read: Liquid air future fuels garage inventor

Construction toys like Lego capture the imagination of children and adults alike, says UK psychologist Jon Sutton.

"As children, Lego taught us to follow rules, but also to discard them," says Sutton, who has written about the psychology of Lego.

"Lego is a simple, uniform, non-representational material that can be transformed into the most complex, individual objects representing the wildest of fantasy worlds."

The fantasy world of play is increasingly being harnessed in education across the board, not just in robotics, says Jeff Schwarting, founder of SuperFunner, an organization that seeks to aid education through "gamification."

"There's a growing belief that play may be tied to learning -- but it's wrong. Play is learning," says Schwarting.

"Play provides a safe environment which embraces trial and error, eliminating fear of failure and encouraging experimentation, which leads to greater understanding of how things work and greater confidence in one's ability to confront challenges."

Makeblock appeals to this sense of creativity, but it's not just analogous to Lego, it is Lego-compatible, says Wang.

"The basic hole distance in our platform is the same as the basic dimensions in Lego, both are 8 mm, so it's possible to attach Lego blocks to Makeblock parts. Makeblock is an open platform, compatible with many other parts and systems, we don't put any limit on people's imagination," Wang says.

Read: Mine Kafon: The low-tech tumbleweed minesweeper

"Open source means we work closely with a large, smart community, which will help us to improve product designs. Customers will also get additional technical support from the community and other resources such as code."

Building robots is a creative process that should be accessible to everyone, he adds.

"Our goal is to help people turn their ideas into reality, help them to be more creative. Creating is no longer something that just the geeks can do, but also people without professional backgrounds," says Wang.

Despite having a masters degree in aircraft design and being a DIY and robotics enthusiast, even Wang found available robotics kits difficult to follow. He was also unimpressed with their flimsy design.

Read: 'Shutter shades' create new fashion code

"I don't like plastic kits, because they look like toys, and most of the applications built by plastic kits are just for fun, without practical use," he says. Wang resolved to make his own kits, with solid design and an open-source philosophy.

"I wanted to create a platform that is strong, flexible and practical, for people to turn their ideas into success, to build some real things."

Wang believes open-source hardware will follow the popularity of open-source software, as people want to create more physical things.

"The hardware era is coming now. People live in the real physical world, not in the digital world. The popularity of 3D printers is an example of this," he says.

Wang's kits provide all the components you need to jump-start your home robotics career. Whether you want to build a mini tank or a 3D printer of your own, Makeblock has the parts and just like with Lego, your imagination does the rest.

@highlight

New robotics kit billed as "Lego for adults" gives grown-ups the chance to relive youth using 21st century technology

@highlight

Creator of Makeblock Jasen Wang says open source hardware is the future of the 'Maker' revolution

@highlight

Construction toys appeal to adults as well as children, and play is fundamental to learning, say experts