WASHINGTON (CNN) -- More than 25 percent of the homeless population in the United States are military veterans, although they represent 11 percent of the civilian adult population, according to a new report.

On any given night last year, nearly 196,000 veterans slept on the street, in a shelter or in transitional housing, the study by the Homelessness Research Institute found.

"Veterans make up a disproportionate share of homeless people," the report said. "This is true despite the fact that veterans are better educated, more likely to be employed and have a lower poverty rate than the general population."

The president of the institute's parent group appealed Thursday to lawmakers and civilians to help solve veteran homelessness before thousands of U.S. service members return from Iraq and Afghanistan.

"We know that veterans don't immediately become homeless after they're discharged, but the difficulties may take years to emerge," Nan Roman, president of the National Alliance to End Homelessness, said in a news conference about the report's findings.

Ben Israel, a veteran originally from North Carolina's Camp Lejeune, told reporters at the briefing that his "main problem has always been housing."  Watch Israel describe life as a homeless veteran »

Israel said he had been homeless in several cities, including Atlanta, Georgia, Dallas, Texas, and Portland, Oregon.

"I slept in my car many a night," he said, "trying to get to a day labor job because I got kicked out of a shelter at 6 a.m."

The states with the highest number of homeless veterans include Louisiana, California and Missouri, according to the research. Washington, D.C., also had a high rate.

About 44,000 to 64,000 veterans are classified as "chronically homeless" -- homeless for long periods or repeatedly.

Other veterans -- nearly 468,000 -- are experiencing "severe housing cost burden," or paying more than half their income for housing, thereby putting them at a high risk for homelessness.

The rates of the burden of housing costs were highest in Rhode Island, California, Nevada and Hawaii, but the nation's capital had the highest rate, according to the organization.

To reduce chronic homelessness among veterans by half, the report concluded housing coupled with supportive services should be increased by 25,000 units, and the number of housing vouchers for veterans should be increased by 20,000.

Veterans such as Jason Kelley find themselves in a Catch-22, not able to find a job because of the lack of an apartment, and not being able to get an apartment because of not having a job, The Associated Press reported.

"The only training I have is infantry training, and there's not really a need for that in the civilian world," the AP quoted Kelley as saying in a phone interview. In addition, he has been diagnosed with post-traumatic stress disorder, he told the AP. Kelley served in Iraq with the Wisconsin National Guard, the news agency said.

A new Gallup Poll released by Fannie Mae showed that nearly a quarter of veterans, or 24 percent, report having been concerned they may not have a place to live. Eighty-six percent of poll respondents believe homelessness among veterans is either staying at the same level or increasing.

In addition, 61 percent of poll respondents believe veterans of the Iraq and Afghanistan conflicts are at least as likely to become homeless as veterans of previous wars.

The poll of 1,005 veterans was conducted September 4-October 17 and has a sampling error of plus or minus 3 percentage points. E-mail to a friend

Copyright 2007 CNN. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed. Associated Press contributed to this report.

@highlight

NEW: Group calls for steps to keep Iraq, Afghanistan vets from becoming homeless

@highlight

Veterans need proper housing and supportive services, organization chief says

@highlight

California, Louisiana, Missouri, Washington, D.C., have most homeless veterans

@highlight

Half a million vets are at high risk for homelessness, report finds