When Apple CEO Tim Cook takes the stage Wednesday in San Francisco, presumably to introduce the world to the iPhone 5, everyone knows what's going to happen.

As a company that has honed image-making to a multi-billion-dollar science, Apple has drafted a detailed playbook for its product announcements. The stagecraft rarely, if ever, strays from that tried-and-true script.

Invited journalists and others will crowd into an auditorium decorated with cryptic banners teasing something vaguely exciting. Some edgy but accessible rock, from the counterculture whine of Dylan to the indie stylings of The Shins, will greet the audience as they settle into their seats. Then the show starts.

"Tim Cook will tell us all about Apple," said Rene Ritchie, editor-in-chief of iMore, an Apple-centric blog focused on mobile devices. "(Marketing vice president) Phil Schiller will come out and show us the new iPods. Then (vice president) Scott Forstall will come show us the software."

Finally, after almost an hour of mounting expectations, comes the big reveal. This time, it's going to be an iPhone 5, unless the company has perpetrated a hoodwinking of unprecedented proportions.

Predictable? Yes. But, boring? Not in the eyes of  the hordes of Apple fanatics who will be hanging on every word.

Because when perhaps the most secretive company in tech holds an event, everyone thinks they know what's going to happen -- but no one knows exactly what's going to happen.

"It's like the Super Bowl and the Oscars of technology all rolled into one," Ritchie said.

A disciplined message

If that sounds over the top, consider the way then-CEO Steve Jobs unveiled a heretofore unknown device called the iPhone in 2007. Playing off of pre-event rumors, Jobs announced Apple would be indeed introducing a phone, along with a mobile internet device and "the best iPod we've ever made."

"Are you getting it?" he finally said, after saying "iPod," "phone" and "internet communications device" over and over again to an audience that had begun cheering like a college football crowd on game day. "These are not three separate devices. This is one device."

In recent years, tech product launches have come to look pretty much the same. A senior executive with a wireless microphone paces back and forth across a stage, spouting hyperbole while slides show impressive sales figures or images of new products.

But analysts say Apple has taken its stagecraft to a higher level. Jobs was famous at bringing emotion to his keynote talks and building anticipation for his "One more thing ..." surprise announcements of new products.

"Their discipline in how they deliver a message is extraordinary," said Van Baker, a research vice president at Gartner. "All you got to do is contrast an Apple event with a Microsoft event. You go to an Apple event and they say three things and they reiterate it about three times and there's one more thing they throw in at the end.

"When everybody leaves an event they know exactly what was announced and they know exactly what they're supposed to take away from it and exactly what the message is."

Ritchie puts it another way. "They tell you what they're going to tell you, they tell it to you, then they tell you what they told you."

The Apple events flip the script on the traditional "don't bury the lead" way of pushing out news. Instead of making the big announcement first, Cook and others likely will trot out a list of smaller news.

The number of new Apple Stores opened. Updates to Mac and mobile operating systems. Freshen-ups on products like iPods or Apple TV.

In an age of Twitter and live-blogging, it's a way to put details in front of the public that might otherwise get buried under the big news.

But the minutiae disappears the moment the ramp-up to the big reveal begins.

(There's some chance it might be "reveals" this week. In addition to the iPhone there's talk that a smaller "iPad Mini" might be on the way. With the iPhone 5 basically a foregone conclusion, that could be a candidate to be Cook's Jobsian "One More Thing ... .")

The company hasn't been averse to a little schtick to help with those reveals, either. At times, Jobs would riff humorously at events like the 2002 "funeral" for Mac OS9 or his 1999 chat with HAL 9000 of "2001" fame.

Oh, and about those cheering crowds: They're no accident either.

"They stock the front of the place with the Apple and Pixar people who are excited about it," Ritchie said. "That's so carefully staged. It's laid out very carefully to create a story."

Reality distortion

It's all elaborately crafted, yet oh, so simple.

"In truth for anyone who's been through an MBA program, it's marketing 101," Baker said. "But most companies, especially in the technology industry, just do not have the discipline to be able to do that ... . The vast majority of them are driven by an engineering culture rather than a marketing culture and they want to talk about everything that's in the product, and that leads to a dilution of the message."

The details of the formula have evolved over time. In Apple's earliest days, Jobs took the lead for entire events. But in recent years he began bringing in deputies such as Cook, Schiller and Forstall to share the stage -- in effect preparing a new generation of leaders.

Observers jokingly (or in the case of some rivals, angrily) call the end effect of these events Apple's "reality distortion field." The level of excitement is infectious and the message is hammered home in a manner to which even normally skeptical tech journalists aren't immune.

"They sort of get you where they want you to be and then they spoon feed it to you ...," Ritchie said. "It's easier for us to regurgitate it, whereas with other companies, they make you think about it and it's easier to scrutinize it."

The critiques of the products usually don't come until later, from outside the event hall. They have ranged from technical issues, such as the antenna problems on the iPhone 4, to light-hearted ruminations on whether more Apple engineers women in the room might have kept Apple's tablet from being called an "iPad."

But for at least one news cycle, those more probing questions tend to get buried under a wave of breathless reports about Apple's event.

"It's almost like an exercise in Sun Tzu for business presentations," Ritchie said, referencing the "Art of War" author.

Among the famous quotes from that ancient Chinese manual: "All men can see these tactics whereby I conquer, but what none can see is the strategy out of which victory is evolved."

@highlight

The stagecraft of Apple events is predictable yet effective

@highlight

Observers say the company makes its message clear, hammering a few points

@highlight

In tech, many companies fail to follow Marketing 101 and get bogged down

@highlight

Orchestrated events help the company sell its message