(CNN)The Palestinian issue dominates international news coverage of Israel, with images of missiles, terror tunnels and failed peace negotiations frequently splashed across TV screens and newspapers. So you would think that security would be the central issue in Tuesday's Israeli elections, right?

The short answer is no.

Poll after poll in Israel has confirmed that the public views the high cost of living as the top issue for voters in this election. Indeed, even a majority of Israel's Arab citizens within the pre-1967 borders -- most of whom identify with the Palestinians in the West Bank and Gaza -- view socioeconomic issues as the priority for Tuesday's parliamentary poll, rather than advancing the Israeli-Palestinian peace process.

What explains this apparent indifference?

First, despite what the polls suggest, peace and security actually remain the most important underlying issue in Israeli politics. The main parties recognize that they need to cross the credibility threshold on this issue, and they therefore include former high-ranking army officers and diplomats among their ranks.

Whatever they may say to pollsters, many voters continue to vote primarily on this issue. However, because most such voters are staunch supporters of the right or the left and have already made up their minds, they are unlikely to shift their vote between these two blocs, so their votes are not in play in these elections.

This wasn't always the case -- a significant group of voters once swung back and forth between right and left. However, for some time now, the majority of Israelis have shared a consensual position on the Palestinian question. In principle, they continue to favor a two-state solution and they are prepared to make extensive compromises in exchange for genuine peace -- greater concessions than in the 1990s at the height of the peace process. However, in practice, that same majority believes that even if an Israeli government were to agree to more compromises than they view as acceptable, Israel would still not obtain the minimum required in terms of peace and security to make the deal worthwhile.

Why?

Experience has certainly taught middle Israel to be deeply skeptical of the possibility of peace with the Palestinians, irrespective of the complexion of the Israeli government. In 2000, for example, a Labor-led government agreed to a Palestinian state in all of Gaza, 97% of the West Bank and Arab East Jerusalem, including the holiest site in Judaism, the Temple Mount. Yet not only did Yasser Arafat reject the deal, but the Palestinians launched an unprecedented wave of suicide bombings against Israeli civilians.

Add in the fact that subsequent unilateral Israeli withdrawals from south Lebanon and Gaza resulted in tens of thousands of rockets being launched at Israeli civilians, and the 2008 decision by Palestinian Authority President Mahmoud Abbas to reject Israeli Prime Minister Ehud Olmert's peace proposal -- a plan similar to the Clinton parameters that Arafat rejected in 2000 -- and Israeli wariness is easy to understand.

Since then, leaks from the recent round of peace talks have only served to strengthen the Israeli public's skepticism -- the Likud leader Benjamin Netanyahu was reportedly prepared to accept a Palestinian state based on the 1967 borders, only for Abbas to refuse to engage positively with a wide-ranging American peace outline including this element, according to Israel's Channel 2, even when he was presented with it directly by President Obama himself.

As a result of all this, much of the electorate is determining its vote based on other issues, where voters hope political change in Israel can actually make a real difference to their lives. Indeed, the most likely candidate for kingmaker following the elections is Moshe Kahlon's centrist party Kulanu, whose agenda is to lower the cost of living in Israel. (Kahlon won fame in Israel by dramatically lowering the cost of cell phone use through the introduction of wide-ranging competition into the market.)

In keeping with the mood of the public, the ex-Likudnik presents a moderate image on the Palestinian issue and has appeared to try to steer away from discussing issues of peace and security. In fact, one senior Israeli official told me that Kahlon's team has been advised against even mentioning the word "peace" for the rest of the campaign.

That says it all.

@highlight

Israel holds parliamentary elections on Tuesday

@highlight

Jonathan Rynhold: Despite polls, peace and security key issue