WASHINGTON (CNN) -- The United States signed an agreement Thursday on civil nuclear cooperation with the United Arab Emirates.

Calling the agreement "a powerful and timely model for the world and the region," Secretary of State Condoleezza Rice signed the deal, along with UAE Foreign Minister Abdullah bin Zayed.

"We applaud the UAE's commission -- commitment to the highest standards of safety, security and nonproliferation in its pursuit of nuclear power," Rice said.

Congress has to ratify the agreement before it can take effect, and congressional critics fear it could spark an arms race and proliferation in the region. The UAE's ties to Iran also have caused concern.

Under the "1-2-3 deal," similar to one the United States signed last year with India, Washington would share nuclear technology, expertise and fuel. In exchange, the UAE commits to abide by the Nuclear Non-proliferation Treaty and the International Atomic Energy Agency safeguards.

The small oil-rich Gulf nation promises not to enrich uranium or to reprocess spent nuclear fuel to extract plutonium, which can be used to make nuclear bombs.

The deal is part of a major UAE investment in nuclear energy. It has already signed deals to build several nuclear power plants.

"We are a country that is very rich in its oil and gas, but we do look forward that we have a program, a nuclear, peaceful program that could sustain our future needs," said bin Zayed.

Rice said she hoped existing work by U.S. companies on the UAE nuclear program would be expanded under the agreement.

"We believe our technology is the best in the world, and we hope that the UAE will give that technology strong consideration," she said.

The United States has stressed its role in global nonproliferation initiatives and has donated $10 million to establish an International Atomic Energy Agency international fuel bank.

The U.S. has held up the UAE's development of nuclear energy in stark contrast to Iran, which is suspected of enriching uranium for a nuclear bomb.

Rep. Howard Berman, a Democrat from California, chairman of the House Foreign Affairs Committee, called the safeguards in the agreement "encouraging" but voiced concerns that Iran could take advantage of the agreement.

"This could be a significant advance in nonproliferation policy, and a model for future nuclear cooperation agreements," Berman said in a statement.

"However, I and many other members of Congress place a very high priority on the international effort to prevent Iran from acquiring a nuclear weapons capability and will be analyzing this and any other nuclear cooperation agreement in the context of how it implicates the attainment of that goal."

Iran is the among the UAE's largest trading partners. In the past, the port city of Dubai, one of the UAE's seven emirates, has been used as a transit point for sensitive technology bound for Iran.

Dubai was also one of the major hubs for the nuclear trafficking network run by Pakistani scientist A.Q. Khan. But U.S. officials said the UAE has taken major steps to improve export controls and prevent money laundering.

Still, such ties contributed to stiff opposition in Congress to the failed deal for Dubai Ports World to manage U.S. ports.

The U.S. already has similar agreements with Egypt and Morrocco, and U.S. officials said Washington is working on similar pacts with Saudi Arabia, Bahrain and Jordan.

@highlight

U.S. Congress has to ratify the agreement before it can take effect

@highlight

Congressional critics fear it could spark an arms race and proliferation in the region

@highlight

Under the deal, the U.S. would share nuclear technology, expertise and fuel

@highlight

The UAE will abide by the Nuclear Non-proliferation Treaty, other safeguards