(CNN) -- Susie Levitt's and Katie Shea's feet had had enough. Walking around Manhattan sidewalks between classes in their high heels was getting unbearable.

Katie Shea and Susie Levitt,  founders of "CitiSoles," said walking around Manhattan in high heels was painful.

Tal Raviv felt frustrated. While studying in Hong Kong in 2007, he found that adjusting to a new city was hard enough. Even more aggravating was trying to  connect with friends on Facebook whose names were common.

Jaun Calle and Adam Berlin were bored. Watching college football on television isn't as exciting as being there in person, they thought.

Instead of just grinning and bearing it, all of these university students did something: They started their own businesses.

Levitt and Shea created "CitiSoles," a shoe company that makes a foldable shoe for when the pain of high heels gets unbearable. Raviv created "DropCard" an e-business card that lets users send more contact information than is commonly found on a business card. Calle and Berlin formed "SEC Excursions" a travel company that provides busing, tailgate parties and hotel accommodations to college football games.

The recession and lack of experience might stop most adults in their tracks, but these students weren't discouraged.

"There is no better time [to start a business]," said Christopher Hanks, director of the entrepreneurship program at the University of Georgia. "During a depression or recession, innovation always increases."

The dorm is the new garage

While the founders of Google built success in their garages, these college students found it in their dorms. In addition to their course work, studying for midterms and balancing extracurricular activities, they wrote business proposals and figured out financing.

"From 9 a.m. to 5 p.m., I am in chemical engineering classes, and from 5 p.m. to 9 a.m., I work on DropCard, so I don't get much free time," said Raviv, 22.

Levitt and Shea said launching their shoe business was essentially nonstop, and the work didn't end on Friday. And for Calle, the compromises in his academic and social life weren't a burden.

"We enjoy ourselves," said Calle, 21. "We don't see it as a sacrifice."

Hanks said these attitudes are typical of student entrepreneurs. They don't have the pressure of supporting themselves -- their living expenses are usually being paid for -- and they have a wide support system.

"They certainly have their advantages ... their enthusiasm level is really high," Hanks said. "They don't know what they don't know."

Hanks added that the excitement of creating a business revs up the students even more than the chance of getting rich.

"They get excited about 'wouldn't it be cool if we did that' versus the money," said Hanks. "The journey is not as much as about the money as about the challenge."

Figuring it out

None of these students followed a set formula for starting their businesses. Levitt and Shea used Alibaba.com, an online trade portal, to pitch their idea to suppliers and dipped into their savings for start-up money. An investment firm helped Raviv, and Calle and Berlin found investors.

Levitt and Shea, both 22, took "less than $10,000" from their savings to start CitiSoles in 2008. That covered the cost of the shoes and a Web site designer. From there, they worked with suppliers and factories in Asia to scope out which would be the best fit for their company. The pair conducted market research and found nothing similar sold in the United States.

"It was all done online," Levitt said. "We became nocturnal."

The shoes, made of imitation leather, come with a compact carrying case. A patent for the shoe is pending.

When the first order for 1,000 pairs, weighing over 400 pounds, arrived at Shea's Long Island home unexpectedly, Levitt said they were overwhelmed.  A few days later, an article about their company appeared in the New York Daily News, but they weren't ready for the onslaught of orders. They quickly set up a PayPal account.

"From there, we got on the phone to boutiques, sent out retail kits and samples ... and now there are 17 boutiques around the nation selling them," said Levitt, who is studying economics and will graduate this fall. Her partner, Shea, double-majored in finance and marketing and graduated in May.

Last summer, Raviv, along with two of his friends, applied for funding for their e-business cards with DreamIt Ventures in Philadelphia, Pennsylvania. DreamIt is a "business incubator" that helps entrepreneurs launch companies.

Raviv, who graduated from the University of Pennsylvania with a chemical engineering degree in May, was honest with the investment firm when it asked how his e-business cards would make money.

"I actually don't know," Raviv told them. "They said 'Perfect. Thank you. We know there is no possible way to know right now.' "

Raviv said the lack of a detailed business plan helped DreamIt see how it could assist them. They received $20,000 from DreamIt.

DropCard initially targeted technology companies but went after "old-fashioned" businesses like car dealerships that proved to be more lucrative. DropCard is currently in trials with four companies to see how they can tweak their business plan. Feedback is instrumental in DropCard's growth.

"We refine everything instead of sitting back and strategizing," Raviv said. "Let our customers write our business plan."

Calle, a senior at the University of Georgia who is pursuing a degree in business administration, launched SEC Excursions with a mix of investors and help from the Terry College of Business Entrepreneurship Program at UGA. Hanks helped Calle and Berlin in fleshing out their idea and making it potentially profitable.

Started in July 2008, the company found success in a trial trip to Baton Rogue, Louisiana, for the UGA-Louisiana State University matchup. The first trip offered a two-night stay at a hotel, busing to the game and a tailgate party.

The packages, which don't include tickets to the games, vary from $100 to  $300 a person. The company has contracts with bus companies and various hotel chains. It has student reps at four college campuses and plans to add more.

Calle said the company's "most loyal customers are in the Greek systems," but it's open to all students who wish to purchase a package.

"The students really like it because everything is planned for them," Calle said. "We've heard nothing but good things."

@highlight

Susie Levitt and Katie Shea created a foldable-shoe company called "CitiSoles"

@highlight

Tal Raviv co-founded "DropCard," a new take on the business card

@highlight

Juan Calle and Adam Berlin created "SEC Excursions," a travel agency

@highlight

"There is no better time" to start a business, an entrepreneur expert says