(CNN) -- "My MEDVOL number is 6856. I was at Edgewood Arsenal from January 1975 to April 1975."

With those words, Stephen Coffman reached out to CNN last week after seeing its stories about Edgewood Arsenal, where the Army conducted top-secret drug and chemical tests on soldier volunteers.

Coffman was just 22 years old when he was recruited for testing at Edgewood, one of about 7,000 soldiers who took part in the program from 1955 to 1975. The Army field computer operator says that in December 1974, Edgewood Arsenal recruiters came to Fort Campbell, Kentucky, where he was stationed and told him he could help design the new field artillery computer system.

In January 1975, he reported to Edgewood. His first test was non-chemical, simply determining what size keyboard to use, he remembers. A display would flash a series of numbers, and he would try to input them using the test keypad and his bare hands. Next, he repeated the task wearing gloves. Then mittens.

"Then it was with a gas mask on," Coffman said. "Then with a gas mask on in a gas chamber. Then it was 'try to input the numbers after being exposed to some gas.' My accuracy rate went from 99% barehanded to 57% gassed."

The testing continued. One in particular haunts him to this day: He recalls being in a "padded cell" with just a thin exercise mat and a blanket. The room was orange; the walls "flowed down onto the floor like lava."

"I remember putting my finger in the lava and watching it flow around my finger," he says. "There was a nurse who would come in and take blood samples, urine -- I had to wait till they came in to void -- and give me water. I do not know how many days I was in there. I lost seven pounds during this 'lost period.' "

Coffman said that after that test, he was told to report to the medical center and was shown a piece of paper that he had signed, volunteering for other experiments. He didn't remember signing but says it was his signature.

"I was told that if I did not do the experiment as I had agreed, I would be listed as UNSAT and returned to Fort Campbell."

UNSAT is a military term that means the service member is "unsatisfactory." In other words, the service member failed to complete his or her assignment. "It is not a label one wants to have applied to them," Coffman said.

"We were isolated and given injections. I secretly wrote down what the vials said, but my notes were taken from me by a doctor. I was threatened with punishment. The tests continued."

In an effort to find out what drugs he had been given and what his health files contained, Coffman filed a Freedom of Information Act request. He got his records in 1985. They showed that he had been given a potentially deadly nerve agent called sarin gas -- and its antidotes.

According to the records, he had also been exposed to physostigmine, scopalmine and 2-PAMC1, and these were used "to treat anticholinesterase inhibitor overdoses."

He was also given a chemical called TAB. He still has no idea what it was.

Coffman says that before the testing began, he was given a complete physical. His EKG -- a test that records the heart's electrical activity -- was perfect, and he was rated in perfect shape.

"According to the FOIA, I was subjected to the same chemical twice within 25 days," Coffman said. "The doctor's note ... noted that two exposures so close together caused a negative reaction to the subject's heart."

For most veterans in the program, the stay was two months, but Coffman's stay was extended to four. When his Edgewood tour was up, he went back to Fort Campbell.

"I was sent back with the threat of 'don't tell anyone anything, and if anyone asks, say you are fine.' "

He was honorably discharged from the Army in 1977. He spent a year with the National Guard and joined the Coast Guard Reserve in 1988.

In 1995, another EKG showed abnormalities.

His began seeing a private cardiologist. An MRI revealed 98% blockage in one of his arteries, and the cardiologist asked whether he had ever had an injury to his heart. "He said it looked like the heart had been damaged but not due to a heart attack."

In 2007, Coffman had a quadruple bypass. To this day, he wonders whether the damage was related to Edgewood.

All things considered, the married father of two says, he does not regret his service.

"I believe it may have helped save the lives of other soldiers in the case of chemical attacks. I recall that (the doctor) who conducted the tests was instrumental in helping the victims of the Tokyo subway terrorist attack," Coffman said. "I guess it is like when a service member goes to war and gets wounded but does not regret their decision to go to war."

'Time bomb'

His only concern, he says, is for his two children.

"There is nothing in the file about the experiments where I was kept in the padded cell. That is what I would like to know about for my children's sake. Considering Agent Orange has been shown to affect veterans' offspring and possibly second generation, it is like having a time bomb that may go off or may be a dud."

This was just one of the stories CNN got from Edgewood Arsenal test veterans responding to the special investigations of the Army's top-secret Cold War drug and chemical testing program.

Buck Conder, 70, said he volunteered at Edgewood in 1964. He remembers putting on a hospital gown, getting in bed and having six or seven doctors arrive bedside in gas masks. They put a drop of liquid on the inside of his forearm.

"Whatever happened, I have no idea. I woke up in the same bed" 24 hours later, Conder said.

In 2000, Conder received a call notifying him that he'd been exposed to sarin gas.

Conder, who says he was wounded while serving two tours in Vietnam, has a blood disease and a related skin condition that he blames on chemical exposure at Edgewood. Conder also said he was more nervous and irritable after his two-month temporary duty at the Maryland base.

Read about widow who blames VA for her husband's death

Jeff Jefferson went to Edgewood in 1966 to be closer to his home in Reading, Pennsylvania. He recalls getting an injection on a Monday; he "woke up" on Wednesday. In the past year or two, Jefferson says, he applied for his records and learned that he'd been given BZ, an incapacitating agent.

Jefferson says he remembers little of what happened while he was under the influence of BZ, but he thinks they went to the rifle range, because his thumb was bruised, apparently from getting caught in the breech of an M1 rifle. Jefferson, now 65, says his health has been good.

Dr. James Ketchum, a former Edgewood researcher, took issue with veteran Tim Josephs, who said he was coerced into taking part in the tests after arriving at Edgewood.

"No one was forced to participate nor told they would be punished or imprisoned if they chose not to take part," Ketchum commented on CNN.com. "Those who participated all received letters of commendation and all received thorough medical evaluations before and after being in the program."

Gordon Erspamer, the attorney who has filed a lawsuit seeking health care for Edgewood veterans, said Josephs' story is not unique. A number of Edgewood veterans have told him superiors threatened repercussions for soldiers who quit:

"You're going to get a bad conduct discharge, or we're going to write you up and send you back, and we're going to send you right to Vietnam," Erspamer said.

Read about Tim Josephs' time at Edgewood

'I was easily swayed'

Michael Cooney, now 62, was still a teenager when he started his two-month tour at Edgewood.

"Since I was only 19, I was easily swayed, wanting to do my patriotic duty," he says. "I have no idea what they injected into me, as I can't recall much of my two months there."

Cooney says that since his discharge, he gets a survey every five to 10 years asking how his health is.

"I always responded by asking them for a physical and a request to know what they tested on me," Cooney said. "Those questions were never answered."

He knows he was injected with atropine and was tear-gassed. He says that while he's not in perfect health, he doesn't blame Edgewood Arsenal but feels the government should take responsibility for those harmed.

He says he'd do it again.

"I'm patriot, but don't send me out in a war unarmed, and if I come back injured, take care of me. I'd volunteer in a minute if there was a need, but there needs to be government responsibility on the back end."

@highlight

Several CNN.com commenters say they volunteered for secret Army drug tests

@highlight

Classified program used soldiers to test dangerous drugs and chemicals

@highlight

One veteran says he wanted to do his "patriotic duty"

@highlight

Ex-Edgewood researcher: "No one was forced to participate" in the program