Washington (CNN) -- It has happened before: Aurora. Columbine. Tucson. Virginia Tech.

But, this time, the White House and a growing number of Democratic lawmakers on Capitol Hill promise it will be different. This time, they say, things will change.

In Washington and around the country, the legacy left by the 26 people -- 20 of them young children -- slaughtered in a school shooting on Friday in Newtown, Connecticut, might indeed be meaningful legislative reform.

Over the past few days, several lawmakers have promised to introduce or reintroduce gun control legislation, ranging from a reinstatement of a federal ban on assault weapons to banning the sale of high-capacity magazines.

On Monday, there was a moment of silence on the floor of the U.S. Senate to honor those killed at Sandy Hook Elementary School. The chamber's chaplain called on lawmakers to "act promptly." The House also observed a moment of silence Monday evening.

Latest updates out of Newtown, Connecticut

"To me and to others, this one feels different," said Jon Vernick, co-director of the Johns Hopkins Center for Gun Policy and Research. "Maybe because of the timing, maybe because of the victims, 20 young children. Maybe it's because we have a president who has been re-elected who is not going to be running again. That doesn't mean those political obstacles aren't still there, but it does feel different."

Friday, just after the shooting, White House spokesman Jay Carney said President Barack Obama was willing to consider reinstating the assault weapons ban that expired in 2004.

On Sunday, in his remarks at the vigil in Newtown, Obama hinted that he'll "use whatever power this office holds to engage my fellow citizens ... in an effort aimed at preventing more tragedies like this. Because what choice do we have?"

On Monday, the White House inched closer to addressing what Carney called a complex problem. And Tuesday afternoon, Carney said the president now supports Sen. Diane Feinstein's intended effort to reinstate the assault weapons ban.

Will Newtown change America's attitude toward guns?

Pro-gun Democrats

The most notable shift in tone comes from some conservative Democrats who have high rankings from the National Rifle Association for their pro-gun rights legislative stances.

Friday's shooting was a "game changer," tweeted Virginia Democratic Sen. Mark Warner, who'd previously received an "A" rating from the NRA.

"This awful massacre of our youngest children has changed us, and everything should be on the table," Sen. Joe Manchin, a conservative Democrat from West Virginia and "proud gun owner," said Monday in a statement. "We need to move beyond dialogue -- we need to take a sensible, reasonable approach to the issue of mass violence."

New Jersey Democrat Sen. Frank Lautenberg plans to reintroduce legislation in the next Congress that would prohibit the sale of high-capacity magazines, his office confirmed Monday. He and California Sen. Feinstein hail from states that advocates of gun control, such as the Brady Campaign to Prevent Gun Violence, say have some of the toughest gun restrictions.

Feinstein announced Sunday she'll reintroduce an assault weapons ban when Congress reconvenes in January.

Movement in the White House

Citizen-created petitions on the White House's website have netted thousands of signatures on both sides of the issue in just a few days. But the political reality is that crafting meaningful legislation is a tricky prospect.

The White House has said Obama supports reinstatement of a federal ban on assault weapons -- a position he took in the 2008 campaign but failed to press during his first term.

"It does remain a commitment of his," Carney told reporters Friday.

But later that day, an emotional Obama did not address the issue directly in a televised statement from the White House.

"We're going to have to come together and take meaningful action to prevent more tragedies like this, regardless of the politics," said Obama, the father of two girls.

A White House source told CNN that on Monday afternoon, Obama had discussions with White House senior staff, the vice president and several Cabinet members, including Education Secretary Arne Duncan, Health and Human Services Secretary Kathleen Sebelius and Attorney General Eric Holder to begin looking at ways the country can respond to the tragedy in Newtown.

The politics of guns

Obama largely avoided the issue of gun control during his first term.

He wrote an opinion piece two months after the 2011 assassination attempt on Rep. Gabrielle Giffords of Arizona, acknowledging the importance of the Second Amendment right to bear arms and called for a focus on "effective steps that will actually keep those irresponsible, law-breaking few from getting their hands on a gun in the first place."

Jared Loughner sentenced to life in deadly Arizona shootings

But in the aftermath of that shooting and as the election season loomed, the Justice Department backed off from a list of recommendations that included measure designed to help keep mentally ill people from getting guns.

There are also other political considerations.

While Democratic lawmakers took to the airwaves this weekend to call for congressional action on gun control, the few Republicans who did speak out pointed to numerous court cases that have upheld Second Amendment rights and said guns are needed as mechanisms for self-defense. And others have said the solution is more guns in schools, not fewer.

Texas Republican Rep. Louie Gohmert said on "Fox News Sunday" that if school principal Dawn Hochsprung had an assault rifle in her office, she could have killed the shooter.

"I wish to God she had an M-4 in her office locked up -- so when she heard gunfire, she pulls it out and she didn't have to lunge heroically with nothing in her hands," Gohmert said. "But she takes him out, takes his head off, before he can kill those precious kids."

NRA big supporter of politicians

Protecting those Second Amendment rights has also included hefty campaign donations.

During the 2012 election cycle, the NRA donated $719,596 to candidates. Republicans received $634,146 of that, according to the Center for Responsive Politics' analysis of federal campaign data. For example, House Majority Leader Eric Cantor, R-Virginia, ranked among the top five recipients, having received $7,450 in this cycle.

Some $85,450 went to Democrats, many of them in states that are considered more conservative when it comes to gun control laws. For example, Democratic Rep. Jim Matheson got $6,950 this cycle and represents a district in Utah, a state gun control policy advocates say has some of the nation's weakest gun laws.

A number of Democratic lawmakers who hail from conservative states are up for re-election in 2014, which may also increase the pressure not to touch the gun issue.

Analysis: Guns and the law

Gun policies are "still a third rail especially if you're really going to try and do something about it," said Alan Lizotte, dean and professor at the State University of New York at Albany's School of Criminal Justice. "There are a lot of issues there."

According to a new ABC News/Washington Post survey on gun control conducted over the weekend, 52% of people see the mass shootings as a sign of broader problems in society. This up from 24% in August shortly after the deadly theater shooting in Aurora, Colorado.

The poll also found rise in people who strongly favor stricter gun control, 44%, and a double-digit gap between them and the 32% who say they strongly oppose stricter gun control laws. In August, 39% supported tougher laws and 37% opposed them.

A Pew poll conducted after the Giffords shooting found that 49% of Americans said it was "more important to protect the rights of Americans to own guns," while 46% said it was "more important to control gun ownership."

But a survey conducted by CNN/ORC International in August shortly after the Aurora incident found that 76% of those surveyed believe "there should be some restrictions on owning guns."

And as debate is sure to ensue in Washington, so it has already online.

"You can make as many laws as you want it will NOT change people who want to hurt others. We all need to arm our self now. That is the only way," reader Steve Lahey commented on CNN.com.

Which prompted another reader to reply: "That worked so well for the shooter's mother, didn't it?"

View from abroad: Sorrow, but little hope for U.S. gun control

CNN's Ashley Killough and Brianna Keilar contributed to this report.

@highlight

NEW: Obama to support Feinstein effort to reinstate assault weapons ban

@highlight

Sandy Hook shooting might become a tipping point for gun legislation

@highlight

Several pro-gun Democrats have said it is time to look at all options

@highlight

Some Republicans say fewer restrictions on guns are what are needed