(CNN) -- As the U.S. Justice Department sues controversial Sheriff Joe Arpaio of Arizona for alleged civil rights violations against Latinos, his most ardent supporters are wondering whether "America's Toughest Sheriff' is fighting for his political life.

"It's hard to say at this point," said Shane Wikfors, spokesman for the Arizona Republican Party. "He's done so well with every election cycle he's gone through. He still has tremendous support."

But Latinos in Arizona are a growing political force and demonstrated their clout last year when they led a successful campaign in recalling former state Sen. Russell Pearce, the Republican who authored Arizona's controversial law against illegal immigrants that's now before the U.S. Supreme Court. Pearce lost the recall election.

"There's a very vocal Latino faction in the state of Arizona that felt when they were successful with recalling Russell Pearce ... it was enough to put blood in the water to think that, 'Let's go after Sheriff Joe now,'" Wikfors told CNN.

Heightening the political stakes is the fact that Thursday's legal action against Maricopa County and its sheriff is the Justice Department's first lawsuit, in the federal agency's 18-year history in civil police reform work, to stop what it sees as discriminatory and unconstitutional policing.

Said Wikfors, "I will tell you that it's not new for the sheriff to be in a position where you've got the federal government in conflict with him on an issue. He's not a stranger to these types of battles."

Some analysts consider the lawsuit a political maneuver by President Barack Obama's administration.

"Obviously, if this is something unconstitutional, it would have to come to an end, but my fear is that this is political more than anything else," said Jon Feere, legal policy analyst at the Center for Immigration Studies, a self-described "low-immigration, pro-immigrant" think tank.

"Clearly the Department of Justice has limited resources when it files lawsuits, but it's going against states that are attempting to uphold immigration law and not filing lawsuits against states and communities with sanctuary policies, which clearly undermine federal law."

Critics say the so-called sanctuary policies protect illegal immigrants.

In his 18 years as Maricopa County sheriff, Arpaio gained international notoriety for making prison inmates wear pink underwear and pink handcuffs and housing them in tents.

Rather than shy away from controversy, he has embraced it, touting his nickname of "America's Toughest Sheriff" on his website and boasting that his inmate meals are the cheapest in the nation, costing between 15 and 40 cents apiece. His cutting out salt and pepper saved taxpayers $20,000 a year, according to his biography on the sheriff's website.

Another program Arpaio began posts mugshots of all those arrested -- about 300 daily -- on the sheriff's website as they are booked and processed into jail, according to the biography. The site gets "just under a million hits daily," it said. He has been re-elected to five four-year terms as sheriff since taking office in 1993.

But last December, the Justice Department said it had found cause to believe the sheriff's office "has engaged in a pattern of misconduct that violates the Constitution and federal law" and, under the leadership of Arpaio, discriminated against Latinos through traffic stops, detentions and arrests and against Latino inmates with limited English proficiency by punishing them and denying them critical services.

The Justice Department also found that Arpaio and the sheriff's office engaged in "a pattern or practice of unlawful retaliatory behavior against perceived critics of (the office) through baseless criminal charges, unfounded civil lawsuits and meritless administrative actions," Assistant Attorney General Thomas E. Perez said Thursday.

U.S. sues controversial Arizona sheriff

Attempts by the Justice Department to negotiate a settlement with the sheriff's office broke down in February because Arpaio and his department "would not agree to any settlement that included an independent monitor" to ensure reforms are carried out, said Perez.

The Justice Department was "left with no choice" and filed a civil complaint in U.S. District Court against the sheriff, his department and the county.

According to Arpaio's website, Maricopa has the nation's third largest sheriff's department, employing more than 3,400 people.

During his tenure, the sheriff banned smoking, coffee, movies, pornographic magazines and unrestricted televisions viewing in jails, according to his biography. The jail system's inmates -- between 7,500 and 10,000 -- are fed twice daily to cut down on meal costs. The infamous pink underwear came about when Arpaio had all inmate underwear dyed pink after learning inmates were stealing white boxer shorts, the sheriff's site said. He also ordered pink handcuffs when those began disappearing.

Another controversial program: Arpaio's "chain gangs," including the world's first-ever female and juvenile work gangs. The groups clean streets, paint over graffiti and bury the indigent in the county cemetery, providing "thousands of dollars of free labor to the community," the sheriff's office said.

"No wonder Sheriff Arpaio has been profiled in over 4,500 U.S. and foreign newspapers, magazines and TV news programs," the office's website said.

Arpaio also briefly starred in the FOX reality show, "Smile: You're Under Arrest." It featured the sheriff and other officers using elaborate ploys crafted by comedy writers and carried out by professional actors to arrest suspects with outstanding warrants.

Arpaio, 79, served in the U.S. Army from 1950 to 1953, and he was a police officer in Washington and Las Vegas before serving as a federal narcotics agent. He ended his Drug Enforcement Administration career as head of that federal agency for Arizona, according to his website. He and his wife have been married for more than 54 years and have four grandchildren.

"Arpaio looks forward to many more years as sheriff of Maricopa County," the sheriff's website said.

@highlight

Arizona's Sheriff Joe Arpaio is sued by the Justice Department for Latino discrimination

@highlight

It's the first suit in the department's 18-year history in civil police reform work

@highlight

"It's hard to say" if Arpaio's career is on the line, a Republican spokesman remarks

@highlight

Latinos in Arizona are a growing political force