(CNN)U.S. President Barack Obama's recent explanation of how his administration will engage with the Middle East is far from reassuring to the region.

In his interview with Tom Friedman from the New York Times on April 4, Obama explained U.S. foreign policy moves on Iran and Cuba, which Friedman described as the "Obama doctrine."  He stated that "We will engage, but we preserve all our capabilities." By capabilities, the President must mean the tools, whether diplomatic, economic or military, to protect and defend U.S. interests.

The doctrine is significant because it provides greater clarity about the U.S. policy under the rest of Obama's presidency. Instead of the "new beginning" that the President outlined in his much discussed Cairo speech in 2009, U.S. policy in the Middle East remains mired in a contradiction between principles and action on the ground.

For example, the President asserted in the interview that "the U.S.'s core interests in the region are not oil, are not territorial ... Our core interests are that everybody is living in peace, that it is orderly, that our allies are not being attacked, that children are not having barrel bombs dropped on them, that massive displacements aren't taking place."

Yet, at the very moment that the President was offering this assessment, U.S. allies, such as the Arab Gulf states, Jordan, Lebanon and the legitimate government in Yemen, found themselves under serious threat and attack; the Syrian regime was continuing to relentlessly bomb its own citizens; and the Middle East was faced with the biggest refugee crisis in its history.

Implementing the core U.S. interests outlined by Obama in the interview is clearly not working.

There exist grave doubts about whether the current U.S. administration is indeed ready to deploy the above-mentioned "capabilities." It seems that the U.S. will only use them when its national security is at stake.

And those core interests are limited to dealing with terrorism and nuclear proliferation only and not the broader aspects mentioned by the President.

The use of drone technology across the region, the military strikes being conducted against ISIS in Iraq and Syria and the framework agreement between Iran and six world powers on the Iranian nuclear programs are cases in point.

Establishing a region "living in peace" is clearly not an instance where those capabilities will be deployed and is not part of the so-called Obama doctrine.

In the same vein, the majority of the Arab world and the entire Gulf region look at the recently announced Iran nuclear deal with a sense of suspicion and trepidation.

Having directly experienced the problematic interventionist Iranian policies for decades, the Arab world is simply not ready to give Tehran the benefit of doubt on any regional issue.

But neither is it ready to trust U.S. assurances that outside a nuclear agreement, the U.S. will indeed put forward a concerted strategy to contain Iranian influence throughout the region or to defend the Gulf Cooperation Council (GCC) states against any Iranian threat.

Instead, the fear is that as long as Iran abides by any agreement that might come into force later this year, the U.S. will negate, downplay, or simply ignore those Iranian actions that the Arab world considers as direct threats. Here, actions speak louder than words and unfortunately one sees only the latter coming from Washington.

At a time when the region is faced with unprecedented turmoil and transition, the President even shifted the blame and directed his criticism toward the Arab world. When he referred to "our Sunni Arab allies" the President gave an exaggerated picture by saying "populations that, in some cases, are alienated, youth that are underemployed, an ideology that is destructive and nihilistic, and in some cases, just a belief that there are no legitimate political outlets for grievances."

What Obama failed to do is to highlight that this statement is in fact also applicable to Iran. In his interview, he never questioned Iran's appalling record on human rights, treatment of the political opposition, and minorities' rights, among other disturbing issues.

Moreover the reference to Saudi Arabia being one of the "Sunni Arab allies" ignores the fact that there are non-Sunnis living in the Arab Gulf and adds to the existing destructive sectarian tensions as well as the sensitivity of the non-Sunni Arabs.

Equally, the assertion that "the biggest threats that they (the Arab states) face may not be coming from Iran invading. It's going to be from dissatisfaction inside their own countries ..." is another example of the detachment from reality. Based on a Gulf Research Center study, when there are 48 militia groups supported by Iran operating in Iraq and tearing apart the very social fabric of that country, it is simply naive to suggest there is no Iranian threat.

The bottom line here is that U.S. and Arab national security interests are no longer on the same page. Ever since the U.S.-led invasion of Iraq in 2003, those interests have increasingly diverged to the point that the Arab world is tired of false promises. The ongoing operation of ten mostly Arab coalition countries to protect the legitimate government of Yemen is simply the latest move that underlines the determination of Arab countries to take matters in their own hands.

The GCC states may accept the invitation by the U.S. President to come to Camp David, his Maryland country retreat, and have an honest discussion with him about the situation in the region. But they question the value of being invited for purposes of being reassured when they are already being informed beforehand of what is wrong with them.

The truth of the matter is that "the region is (not) working" and that misguided U.S. leadership and policies are among the reasons for the enduring tragedy in this region. Unfortunately, the "Obama doctrine" does little to change this and may in fact make matters worse.

@highlight

Obama recently explained U.S. foreign policy moves on Iran and Cuba

@highlight

Sager: Misguided U.S. leadership and policies are reasons for the enduring tragedy in the Middle East