(CNN)Change is coming to Ferguson. In the next few weeks the Department of Justice (DOJ) will begin to negotiate in earnest with the city to restructure the police department, which the department has charged with engaging in a pattern and practice of racial discrimination.

It should not be forgotten that the DOJ review of the Ferguson Police Department was precipitated by months of protests and activism following the killing of Michael Brown by a Ferguson police officer and by revelations about the town's dysfunctional government and court system by local civil rights law groups. Now, after a half year of unrest, and with citizens on Tuesday electing two new black city council members, change is beginning to come to Ferguson. The question is, what kind of change?

The report from the Department of Justice offered a devastating insight into a police department and court system that preyed on its own citizens. Through illegal traffic stops and arrests, and the use of excessive force, the police department held town residents in bondage. The municipal court system used excessive court fines and fees to ensure that citizens arrested for even minor infractions would be charged thousands of dollars or face jail time.

Court costs and fees constituted the second-largest sources of revenue for the town. Rather than a force for public safety, the Ferguson Police Department became, according to Attorney General Eric Holder, "a collection agency" -- one that preyed disproportionately on the town's African-American residents.

The evidence of ugly and explicit racial discrimination was devastating. It included blatantly racist emails traded among officers, and evidence that African-Americans were victims in all of the police canine bite incidents recorded by the department. But just a few weeks before the release of the report, the Ferguson police chief declared there were "no racial issues" in his department.

Ferguson's ugly, racist emails released

The recommendations in the report, ranging from new training and supervision of police officers, addressing racially discriminatory conduct to structural revisions in the court system, will, if implemented, remake the law enforcement system in the town. (A grand jury that investigated the shooting of Brown by Officer Darren Wilson chose not to file charges against him and the Justice Department also didn't find reason to prosecute.)

Without question, change is coming to the town's government. Town Manager John Shaw, Ferguson's most powerful official and, until the DOJ's blistering report, the one who inexplicably managed to elude public scrutiny, resigned weeks ago and has been replaced by the city's deputy manager. Three sitting city council members chose not to run for office again and, on Tuesday, citizens elected two black candidates to the city council, changing its racial composition: Five of six members and the mayor were white. Now the council will be 50% black.

Ferguson's hapless police Chief Thomas Jackson also finally resigned after holding on through a months-long display of astonishing incompetence. The department first drew the attention of the nation for its display of military weaponry and tear gas in response to civilian protests.  The appointment of a commander from the State Highway Patrol was deemed necessary to begin quelling the unrest and to build community trust in the early days of the protest.

Jackson's departure sent an important signal to the population of a town preyed upon by officers under his command. And so we can be certain that along with the new makeup of the city council, there will be a new police chief in Ferguson.

But does that mean that fundamental change will come to Ferguson? Not necessarily. Not unless protest and activism during this critical period turns to influence the vitally important opportunities that lie ahead in the coming weeks. The Department of Justice's full-on negotiations with the leadership in Ferguson will determine the shape of the new Ferguson Police Department.

Indeed, the DOJ report alludes to the possibility of disbanding the department in favor of a regional policing integration with St. Louis County. Many local activists have suggested just such a solution, but given ongoing problems with policing in the county -- including the role of county forces in some of the most controversial clashes with activists in Ferguson last fall -- community representatives will have to fight hard to ensure that the DOJ can fold St. Louis County Police into its monitoring and reform process.

Equally important were the April 7 general elections. Turnout in municipal elections has been notoriously low in Ferguson, with white voters nearly three times more likely to turn out than African-Americans. But local groups had engaged in vigorous voter registration and get-out-the-vote campaigns..

The Mayor has two years left to his term and has defiantly insisted that he will not resign (although a petition for his recall has been circulating). That means that he will be a lead voice in negotiating with the DOJ to remake the police department. Has he committed to a clear set of principles that will guide his participation in those talks? Community activists and residents must ensure that Mayor James Knowles plans to represent their vision of new Ferguson Police Department.

But there is an opportunity to begin thinking about even more ambitious structural change in Ferguson and throughout St. Louis County. Ferguson's governing structure, with a strong city manager and a weak council and mayor, mirrors that of thousands of other suburbs in the United States.

That form of governance might have been precisely what thriving, middle class white suburbanites wanted when they fled racial integration in cities like St. Louis. But working class suburbs like Ferguson with a majority black population in which the needs of the population in the areas of education and economic opportunity more closely hews to the needs of urban residents, may need a more robust form of governance.

In any case, a system in which the elected officials have minimal power, but non-elected leaders, like the town manager and the chief of police, have inordinate power, is a recipe for the kind of unaccountable, non-representative government that controlled Ferguson's residents. Yet this precise form of government is in wide use across the country.

Likewise, Missouri, like the vast majority of states, holds municipal elections in non-presidential election years, guaranteeing a significantly lower voter turnout -- although only a few states hold the primary and general election in March and April as Missouri law requires Ferguson to do.

It's not that Ferguson is so different than towns across America. It's precisely because Ferguson holds up a mirror to flaws in our democratic system of government in towns across this country that the stakes are so high.

Ferguson residents now have the opportunity to begin a movement for change in the other 89 jurisdictions in St. Louis County plagued by similar governance flaws, including those towns led by African-Americans. And Ferguson's example should provoke self-examination in working class suburbs across the country, where the power and effectiveness of weak elected local government is inadequate to meet the needs of the population.

Change is coming to Ferguson. But the scope and breadth of that change will depend upon the ambition and discipline of activists and residents, whose passion and tenacity have already transformed the trajectory of leadership in a typical American town.

@highlight

Sherrilyn Ifill: A city with a pattern of racial discrimination elected two new black candidates to its city council Tuesday

@highlight

She says Ferguson faces other changes, too, that  should spur rethinking in working class suburbs across America