(CNN) -- What are we afraid of?

That's the one thing I still don't understand; the one question -- nearly a month removed -- I'd love to have answered.

What in the world are we so afraid of?

In its October 4 issue, Sports Illustrated released a seven-page excerpt from my new book, "Sweetness: The Enigmatic Life of Walter Payton," a biography of the Chicago Bears' running back. The short piece concerned Payton's post-football struggles, ranging from depression to infidelity to suicide threats. It was, admittedly, a jarring look at a man who, to most Chicagoans, served as a beacon of light. Throughout his 13 seasons as a Bear, Payton wasn't merely a phenomenal running back. He was an NFL icon; one of the faces (and blinding smiles) of the league.

Hence, to learn that Payton was -- what's the word? -- human, immediately rubbed many football fans (and, in particular, Chicago fans) the wrong way. In 17 years as a journalist, I've never received so many vicious letters, so many confrontational tweets, so many threatening e-mails. The general take (in sanitized terms): How dare you write a book about Sweetness when he's not here to defend himself? How dare you.

To be honest, I was initially taken aback. You devote three years to a project, only to be judged on a sliver of a sliver of the full body of work. I felt the need to defend my intentions and stand up for my honor and convince every single naysayer that "Sweetness" was a detailed, exhaustively researched biography that delves into the ... blah, blah, blah.

Now, I'm just mad.

This is what biographies are supposed to do. From Manning Marable's astonishing "Malcolm X: A Life of Reinvention" to Richard Ben Cramer's "Joe DiMaggio: The Hero's Life" to Jane Levy's "The Last Boy: Mickey Mantle and the End of America's Childhood," portraits of our icons should be truthful, fair and--perhaps most important--unflinching. We should want and expect this. They are written neither to love a subject nor loathe a subject, but to fully understand a subject.

In other words, to provide a history lesson.

In the years I spent trying to grasp Walter Payton, I learned to love -- truly love -- a uniquely giving, empathetic, quirky man. The portrait of Payton that already existed in the popular consciousness had been an overly simplistic (ie: mindless) one: The hard-nosed gridiron warrior who cracked lots of jokes and always had time for the fans. Payton's background? No interest. Payton's motivations? Meh. Payton's struggles and conflicts and pains? No, thank you. So what if Payton's own autobiography, "Never Die Easy," was an ode to the Chip Hilton school of gosh-golly-gee selective storytelling? Hey, it made us smile and sounded awfully good.

Well, Walter Payton was so much more than good. Back in the fall of 1970, he was a key peg in the desegregation of the Marion County (Mississippi) School District; he was the black football player who -- by running 70-yard sweeps and walking with a quiet, confident dignity -- convinced skeptical white classmates (many of whom had never before spoken with a black person) that, hey, maybe this will work out OK.

He went on to star at Jackson State University, where his brightest moment came not on the football field, but as a finalist on the Soul Train National College Dance Championship (he and his partner, Mary Jones, finished second -- a setback that haunted Payton as much as his failure to score a touchdown in Super Bowl XX). While in college, Payton changed his birth year from 1953 to 1954, inexplicably hoping the extra youth would give him in edge in Heisman Trophy balloting (it worked wonders -- he placed 14th).

When he was drafted by the lowly Chicago Bears, he cried in disappointment -- literally, tears streamed down his face. When his father died in a Columbia, Mississippi, jail in 1978 (the police thought he was intoxicated; truth be told, he was suffering from a brain aneurism), he cried in devastation -- vowing to never refer to the place as his hometown again.

Walter Payton signed every autograph request. Walter Payton dodged myriad interview requests. Walter Payton desperately wanted to be known as the greatest running back of all time. When Walter Payton became the NFL's all-time leading rusher in 1984, he shooed the media away. Walter Payton wanted people to know he didn't eat red meat. Walter Payton consumed Whoppers and Big Macs like a vacuum cleaner.

Walter Payton was elated to be inducted into the Pro Football Hall of Fame. Walter Payton loathed the Hall of Fame induction ceremony -- knowing his wife and girlfriend would both be attending.

When he retired after the 1987 season, Payton found himself searching for meaning in places where no meaning could be found. For 13 seasons he had been the toast of Chicago -- an incomparable running back and civic ambassador. Then, suddenly, it was over. His efforts to become an NFL owner fell short. His businesses yielded mixed results. His marriage was merely for show. He was lonely and angry and depressed, and -- at his absolute lowest -- he wrote suicide letters and contemplated taking his own life.

The truth is harsh. Painful. Uncomfortable.

And yet, it is also beautiful. Throughout his darkest days, when Payton saw no hope and no future, he continued to treat the people of Chicago as if they were his closest friends. On the streets of the Windy City, he'd offer hugs and smiles and pinches to complete strangers. He'd pose for pictures, sign autographs, tell the stories of Super Bowl XX or breaking Jim Brown's all-time rushing record for the 12,471st time. Never complaining. Never moaning.

In the final months of his life, Payton was made aware his liver disease had morphed into bile duct cancer, that no transplant would be coming; that he was, quickly, dying. At that time, with nothing to gain, the man known as Sweetness did one public service announcement after another, urging people to save a life and sign up as organ donors. The impact: Thousands of new registers.

That's Walter Payton.

That's a story worth telling.

The opinions expressed in this commentary are solely those of Jeff Pearlman.

@highlight

Jeff Pearlman says he took a lot of heat for the revelations in his Walter Payton biography

@highlight

He doesn't get it: Why are people angry, afraid when they learn the truth about their heroes

@highlight

He says Walter Payton was complex man of dualities; suffered hardships in early life

@highlight

Pearlman: After retiring, Payton adrift but remained open to fans; spoke out for organ donation