(CNN) -- May we spend a few minutes discussing a major part of American life where there has been a shocking lack of diversity?

This has to do with presidential elections.

And it's not what you think.

Throughout U.S. history, Ivy League colleges have had an outsized proportion of alumni who became president. Harvard alone has eight. If, as is widely expected, it's Barack Obama versus Mitt Romney in November, the Ivy League is the guaranteed winner again, because it will be Harvard against Harvard. (Harvard's Romney has even, in speeches, criticized Harvard's Obama for spending too much time "at the faculty lounge at Harvard.")

In fact, it has been 28 years since a non-Harvard-or-Yale graduate has been elected president. George H.W. Bush, Bill Clinton, George W. Bush and Obama all went to one (or both) of those universities. In four of those elections, the winning Ivy Leaguer ran against another Ivy Leaguer (Michael Dukakis, incumbent President George H.W. Bush, Al Gore, John Kerry).

But that's not the oddity we're discussing today. We all know, and have known for a long time, that in presidential elections, as in much of American life, the Ivy League has a leg up.

And many of our presidents, to their credit, have come from small, non-glitzy colleges. Lyndon Johnson hailed from Southwest Texas State Teachers College. Richard Nixon went to Whittier College. Ronald Reagan went to Eureka College. Nine presidents either never went to college at all, or never received a degree. They were no slouches; they include Abraham Lincoln and Harry Truman.

Here, though, is the strange, almost inexplicable, thing -- and it stands out for those of us who attended, and really liked, Big Ten schools:

No graduate of a Big Ten university has ever been elected president.

Isn't that something? Heart of the country, large student populations, fine faculties, national renown -- yet in the history of the United States, the voters have not even once seen fit to send a Big Ten graduate to the White House.

It's not that talent, leadership and creativity are lacking in  Big Ten students. Every member of the Big Ten (there are 12 schools in the conference now, since the addition of Penn State and Nebraska) has had numerous graduates -- undergraduate and advanced-degree -- who have done remarkable things.

Neil Armstrong, of Purdue, was the first  human to set foot on the moon. Jack Welch, of the University of Illinois, led General Electric during glorious years. George Gallup, of the University of Iowa, founded the legendary public opinion poll. Cynthia Ozick, of Ohio State, is a widely acclaimed author. Barbara Franklin, of Penn State, went on to become a U.S. secretary of commerce.

James Earl Jones, of the University of Michigan, became an esteemed actor. Arthur Goldberg, of Northwestern, was a justice of the U.S. Supreme Court. Mildred Jeffrey, of the University of  Minnesota, was a women's movement, labor and civil rights leader who was awarded the Presidential Medal of Freedom. William S. Harley, of the University of Wisconsin, was the co-founder of Harley-Davidson. 

Alfred D. Hershey, of Michigan State, was a Nobel Laureate for physiology/medicine. Ernie Pyle, of Indiana University, left for a reporting job just before graduating, and went on to become perhaps the most admired newspaperman who ever lived; the university brought him back to present him with an honorary degree.

And Johnny Carson, of the University of  Nebraska ... well, he was Johnny Carson. Which just may have been better than being president.

The list of Big Ten achievers goes on and on.

Yet voters have sent no one from a Big Ten school to the White House.

(If you're thinking, what about Gerald Ford, the president from the University of Michigan? Yes, he became president, but the voters never elected him on a presidential ticket, a fact that bothered him for the rest of his life. When he did run on his own, he was defeated by Jimmy Carter, of Georgia Southwestern College, Georgia Tech and the U.S. Naval Academy).

You would think that being from the Big Ten would provide a campaign plus. Heartland, breadbasket, center of the nation, the warm symbolism of all that. Ivy League graduates may take pride in their education, but they tend not to stress their Ivy Leagueness to voters in a presidential campaign: Like being rich, being from the Ivy League is something that may be privately savored, but that, in national elections, is best not flaunted in front of those without the same advantages. Being from the Big Ten, on the other hand, would seem to be a ticket to 1600 Pennsylvania Avenue. But it hasn't.

Julian E. Zelizer, professor of history and public affairs at Princeton University (alma mater of Presidents James Madison and Woodrow Wilson), said that he, too, is puzzled by this.

One reason for it, he said, may be that at universities that have a tradition of educating future presidents, "students often become part of networks of classmates who go on to do big things in Washington. These networks are essential when potential candidates are identified to run for president."

Still, said Zelizer, whose work regularly appears in the CNN Opinion section, "It is unclear why someone from the Big Ten would not be president, given the great quality of these institutions and impressive record, including in politics, of many of these graduates."

So what could it be?

Is it simply a jinx?

You might be tempted to say that the Big Ten is the Chicago Cubs of presidential politics -- except, even though it has been more than a century, the Cubs did win a World Series.

You might be tempted to say that the Big Ten is the Susan Lucci of presidential politics -- except that the soap opera actress, after years of being passed over, finally was awarded an Emmy.

The Big Ten has a Council of Presidents and Chancellors. I asked some of its members what they make of this.

Not surprisingly -- speaking from the middle of the country -- they were optimistic and proud.

France A. Cordova, president of Purdue University, said: "If you knew our current students and could witness their abilities as young leaders, you would be as confident as I am that we will see a Boilermaker become the POTUS."

Ohio State president Gordon Gee expressed great contentment about his part of the nation: "As to no president coming from the Big Ten, I would say that many have come from Big Ten country -- we just have sent them off elsewhere. That is ending, by the way."

"We did offer, twice," said University of Minnesota president Eric Kaler, pointing out that Minnesota graduates Hubert Humphrey and Walter Mondale were Democratic nominees for president. They were defeated by Nixon and Reagan. "You never say never," Kaler said. "Of course it could happen."

And Sally Mason, president of the University of Iowa, summed it all up with a sure-handed sense of sunny Big Ten perseverance:

"In the words of Randy Travis and B.B. King, perhaps 'It's Just a Matter of Time.'"  

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

For 28 years, America's president has been either a Harvard or Yale alumnus

@highlight

Bob Greene notes that Big Ten grads have never been voted president

@highlight

He says even the Cubs won a World Series, and Susan Lucci won an Emmy

@highlight

Big Ten university presidents predict the drought will end one of these days