To be a politician today is to live in some ways like a citizen of North Korea. A politician must assume that he or she is under 24-hour audio-visual surveillance. Any objectionable remark, any untoward joke, any awkward facial expression may be recorded and broadcast. Professional and personal ruin can strike at any moment.

If George Allen's "macaca" moment didn't drive home the point, Scott Prouty's 47% video certainly should.

But it's not only politicians who live under perpetual surveillance. We all do!

Earlier this month, researchers at Carnegie-Mellon University detailed how Facebook systematically erodes users' privacy wishes.

"Researchers found that during the first four years, users steadily limited what personal data was visible to strangers within their school network. Yet through changes Facebook introduced to its platform in 2009 and 2010, the social network actually succeeded in reversing some users' inclination to avoid public disclosure of their data.

In fact, the social network's new policies were not only able to partly override an active desire not to post personal details publicly, but they have so far kept such disclosures from sinking back to their lower levels, according to the study. They also found that even as people sought to limit what strangers could learn about them from their Facebook profiles, they actually increased what information they shared with their friends.

Facebook's CEO Mark Zuckerberg has famously said that privacy is no longer a social norm. He's worked mightily to make those words self-fulfilling, and in tandem with other technologies (smartphones) and social media (notably YouTube), Zuckerberg has succeeded.

The demise of privacy as a social norm is leading to the demise of privacy as a legal right. Scott Prouty likely won't face legal sanctions for videotaping Romney.

Mike Edmonson, spokesman for the Palm Beach County State Attorney, explains why not: "For the law to be broken, the person being taped must have a reasonable expectation of privacy." Once upon a time, a speaker might have expected that an off-the-record, closed-door speech in a private home would be "private." No longer. The less privacy we have, the less we have a legal right to -- and the less we have a legal right to, the less we will have.

For those accustomed to older ways, this new world of compulsive and compulsory self-revelation is a strange place in which to live. Yet it could be said that we are in fact reverting to the oldest way of all. Through most of human existence, human beings had little to no privacy. For most of the past 10,000 years, most people lived in tiny farming villages, where everybody knew everything about them and about all their family. Privacy was born in the city, as E.B. White famously observed when urban life was still a new experience for most Americans.

"On any person who desires such queer prizes, New York will bestow the gift of loneliness and the gift of privacy."

It's a paradox, but also a fact: the only way to experience privacy is in the midst of a crowd. The theme song to the 1980s situation comedy "Cheers" celebrated an urban bar as a place where "everybody knows your name." Through most of human history, most people would take it for granted that the people they met would know their name -- name singular, since for most of human history, most people only needed a single name to identify themselves.

When White celebrated urban anonymity in his 1949 essay, "Here is New York," urbanism was still a relatively new experience for most Americans. The United States had become majority urban as recently as 1920, and then only by the U.S. Census definition of urban as a settlement of more than 2,500 persons.

Will we in retrospect come to see the urban anonymity celebrated by White as a brief interval in human history? Already in 1962, the prophetic scholar of media Marshall McLuhan foresaw the coming of a "global village": a planet in which information spread as fast as in the farming village of yore.

A Google search of the phrase reveals that most users of the phrase imagine the global village as a friendly, tranquil place. McLuhan knew better. The old village was a place in which conflict could never be escaped, in which the public and the private could never be separated. So it has become in the new.

What happened to Mitt Romney can happen to anyone who has ever said or done anything improper or stupid in the vicinity of any electronic device.

It can happen to anyone who has ever sent an e-mail that might cause offense to a third party. It can happen to anyone who has ever posted a later-regretted photo or video online.

Granted, most of us are protected somewhat by others' lack of interest in our secrets. But that can change in an instant if our oafish behavior is oafish enough. A few seconds of oafish video can generate a lifetime of humiliation -- that will torture the humiliated person long after it has ceased to amuse the people who once laughed at him. It happened to Mitt Romney. It can happen to you.

@highlight

David Frum: Mitt Romney's 47% video showed that there's no such thing as private sphere

@highlight

For politicians and for the rest of us, every moment can be captured forever, he says

@highlight

Frum: Privacy was a relatively recent human invention, and now it's likely gone forever