Newtown, Connecticut (CNN) -- Attendance was taken at schools across this devastated town on Tuesday as most students returned to the classroom for the first time since the deadly school shooting.

Not everyone was there.

Sandy Hook Elementary students won't resume classes until January, and victims of last week's massacre will never return.

Jessica Rekos and James Mattioli, both 6, were laid to rest Tuesday, while the families of Charlotte Bacon, 6, Daniel Barden, 7, and Victoria "Vicki" Soto, 27, held calling hours, or visitations, for their lost loved ones.

The teacher and children were among the 27 people killed when gunman Adam Lanza shot his mother and then went to the Sandy Hook, indiscriminately opening fire on staff and young students. The rampage reignited a debate about guns in America and sent shock waves through a nation that has seen mass killings before -- but not like this.

"She had an answer for everything, she didn't miss a trick, and she outsmarted us every time. We called her our little CEO for the way she carefully thought out and planned everything," the family of Jessica said about their little girl, who loved horses and asked Santa for a cowgirl hat this year.

"We can not imagine our life without her," they said.

James liked to remind everyone that he was 6 and three-quarters. "He would often sing at the top of his lungs, and once asked, 'How old do I have to be to sing on a stage?'" his family wrote in an obituary.

In an online posting about his funeral, the Mattioli family called James "our beloved prince."

Across town, hearses could be seen traveling along roads with police escorts. Onlookers cried as they drove past.

Remembering the victims

For Sandy Hook students, no school until January

Unlike students at other schools who returned Tuesday, Sandy Hook students are not expected to go back until January.

Their school is a crime scene. The current plan is for them to resume classes next year at the former Chalk Hill Middle School, eight miles away in neighboring Monroe, Newtown Superintendent of Schools Janet Robinson said in a letter to parents.

"We need to tend to our teachers' and students' needs to feel comfortable after this trauma in this new place," she wrote.

Teachers may call parents "to invite you to visit Chalk Hill with your child this week to walk around and see the classroom and get familiar with this new Sandy Hook home."

At other schools, students went back to class with their sense of normalcy shattered. They were met by police, counselors and teachers, who all face a tremendous burden.

How do they explain to children what happened? How do they help make them feel safe?

David Schonfeld, a crisis counselor who gave a presentation to Newtown teachers about how to talk to students, said they have to meet children where they are.

"I told them that as far as I was concerned, there was really only one lesson plan that they needed to teach before they broke for the (holidays), and that was to make sure that the children knew that they were safe and that they cared about them and they were going to care for them," he said.

The teachers' union said classes would discuss the tragedy in an age-appropriate manner.

The gunman's computer and grim new details

Investigators have so far been unable to retrieve data from a computer taken from the home of the gunman, Adam Lanza, a law enforcement official said Tuesday.

It appears Lanza smashed the computer, extensively damaging the hard drive, the official said, adding that the FBI is assisting Connecticut State Police in trying to retrieve data from the computer.

Lanza's mother was shot four times in the head while she slept in her bed, said Connecticut Chief Medical Examiner H. Wayne Carver, also Tuesday.

Adam Lanza killed himself with a shot to the front of his head from a handgun, the medical examiner said.

Toxicology tests are under way to determine whether Adam Lanza had taken medication.

Growing debate over gun laws

What happened in Newtown should never happen again, advocates on both sides of the gun-control debate agree. But they're at staunch odds about how to turn words into reality.

The National Rifle Association commented Tuesday for the first time since the shooting, saying it was shocked and heartbroken by what happened. The group is planning to hold a news conference on Friday.

"Out of respect for the families, and as a matter of common decency, we have given time for mourning, prayer and a full investigation of the facts before commenting," it said. "The NRA is prepared to offer meaningful contributions to help make sure this never happens again."

The grassroots group Newtown United sent a delegation to Washington to meet with the Brady Campaign to Prevent Gun Violence as well as families from July's movie theater massacre in Aurora, Colorado.

The new group, which formed out of Newtown on Sunday, aims to create meaningful dialogue -- both locally and beyond -- about what may have led to the tragedy.

Until school shooting, 1 homicide in almost a decade

The debate is playing out not just in Newtown and Washington, but across the United States.

Two national polls conducted shortly after the Newtown massacre suggest that more Americans want stricter gun control.

In a Washington Post/ABC News poll, 54% of adults favor stricter gun control laws in the country, while 43% oppose.

And a new CBS News poll indicates that 57% of Americans back stricter gun laws, the highest percentage in a decade; 30% think gun laws should be kept as they are.

However, less than half of the respondents in the CBS poll -- 42% -- think stricter gun laws would have helped prevent what happened at Sandy Hook Elementary.

Sen. Joe Manchin, a conservative Democrat from West Virginia and a "proud gun owner," said he's now committed to "dialogue that would bring a total change" after the massacre in Newtown.

"Who would have ever thought, in America or anywhere in the world, that children would be slaughtered?" he asked. "It's changed me."

John Licata told CNN's iReport there needs to be better vetting before people buy guns, and assault weapons should be banned -- something Sen. Dianne Feinstein, D-California, says she'll propose once the new Congress convenes in January.

But some say the shooting illustrates the need for more armed guards -- and possibly armed teachers -- in schools.

Gun lobby has laid groundwork against any new laws

Texas Gov. Rick Perry said that if school districts decide that arming teachers is the best way to keep schools safe, so be it.

If Texas residents are duly background-checked, trained and have a concealed handgun license, "you should be able to carry your handgun anywhere in the state," Perry said, according to CNN affiliate WFAA.

Out of respect for the Newtown victims and their families, Dick's Sporting Goods has removed all guns from its store closest to Newtown, the company said.

Dick's, one of the largest sporting goods retailers in the world, also has suspended the sale of some semiautomatic rifles nationwide, the company said. It was unclear how long Dick's will keep its suspension of "modern sporting rifles."

Shedding new light on the gunman

While Carver, the chief medical examiner, said he was told that Adam Lanza had Asperger's syndrome, officials are working to determine whether that diagnosis was correct, and whether he may have had other diagnosable problems.

A former director of security for Newtown Public Schools shed new light Monday night on the gunman.

Richard Novia said Adam Lanza had Asperger's syndrome, based on documents and conversations with Lanza's mother.

Novia said that as part of his job, which he left in 2008, he would be informed of students who might pose problems to themselves or others.

He also said he received "intake information," which he said "is common for any students troubled or impaired or with disabilities." The idea was to keep track of and help students who may need it.

However, Novia said he never thought Lanza was a threat and certainly never thought he was capable of such violence.

After shooting, cops take no-tolerance approach to copycat threats

Russ Hanoman, a friend of Lanza's mother, previously told CNN that Lanza had Asperger's and that he was "very withdrawn emotionally."

CNN has not been able to independently confirm whether Lanza was diagnosed with autism or Asperger's, a higher-functioning form of autism. Both are developmental disorders, not mental illnesses.

Many experts say neither Asperger's syndrome nor autism can be blamed for the rampage.

"There is absolutely no evidence or any reliable research that suggests a linkage between autism and planned violence," the Autism Society said in a statement. "To imply or suggest that some linkage exists is wrong and is harmful to more than 1.5 million law-abiding, nonviolent and wonderful individuals who live with autism each day."

Dr. Max Wiznitzer, a pediatric neurologist and autism expert at Rainbow Babies and Children's Hospital in Cleveland, also said the gunman's actions can't be linked to autism spectrum disorders.

"Aggression and violence in the ASD population is reactive, not preplanned and deliberate," he said.

Gun control: 'This one feels different'

CNN's Susan Candiotti reported from Newtown; Dana Ford reported from Atlanta. CNN's Holly Yan, Greg Botelho, Sandra Endo, Josh Levs, Miriam Falco, Wayne Drash, Carol Cratty, Paul Steinhauser and David Williams contributed to this report.

@highlight

6-year-olds Jessica Rekos and James Mattioli are laid to rest

@highlight

School won't start for Sandy Hook children until January

@highlight

The NRA says it is "prepared to offer meaningful contributions"

@highlight

Investigators are so far unable to retrieve data from a computer taken from the gunman's home