(CNN) -- Mario Draghi is stepping on the gas, cutting interest rates to record lows, trying to funnel money into the real economy, and introducing a charge on banks that hold excess reserves with the European Central Bank.

He is right to worry. Eurozone inflation is running at less than 1% a year, with several countries already experiencing falling prices.

Deflation, and even very low inflation, can be a huge drag on economic activity.

There's no encouragement to spend today to avoid higher prices tomorrow -- indeed, falling prices make putting off purchases attractive.

Flat or falling prices also make it harder for businesses and consumers to pay off the debts left over from the financial crisis, increasing their reluctance to invest and spend.

In the grip of these forces, Japan suffered two decades of stagnation.

The eurozone's recovery is already stalling, and a deflationary downward spiral would be a disaster.

Unfortunately, Draghi is likely to discover the ECB's gas pedal is already on the floor.

There's no way to push money into the economy unless businesses and consumers are ready to borrow it to invest and spend.

Today's measures are designed to encourage banks to look harder for borrowers. They aim to do this by lowering banks' costs of borrowing, by imposing some small costs on banks that sit on money rather than lending it out, and by making it cheaper for banks to borrow from the ECB to fund lending to small businesses.

But the banks wouldn't be sitting on money in the first place if they had credit-worthy business clients eager to take out loans. Indeed, rather than clamoring for new loans from the ECB, the banks have been paying down existing ones.

What is needed are policies addressed not to lenders, but to potential borrowers and spenders, who are holding back because of the dismal prospects for growth.

A significant chunk of responsibility lies on the shoulders of Draghi and other ECB leaders for the eurozone's utter failure to construct a plausible model for growth since the crisis.

After a brief period of fiscal stimulus in 2009, the eurozone has pursued an austerity agenda that compounds the weakness of private demand by shrinking public demand.

Draghi and his predecessor Jean-Claude Trichet did all they could to ensure monetary easing was accompanied by fiscal tightening, in effect refusing to hit the gas pedal unless governments were standing on the brakes.

This seemingly bizarre policy does have a rationale. The idea is to force the countries of the eurozone periphery become more competitive through cutting costs and especially wages, enabling growth through exports rather than domestic demand.

To some extent, the policy has worked: savage levels of unemployment and ECB-backed measures to reduce labor bargaining power have lowered costs in the periphery.

By the end of 2013, exports accounted for over 27% of eurozone GDP, up from 23% on the eve of the financial crisis. Further, the eurozone trade surplus exceeded 3% of GDP. These figures are the highest since the introduction of the euro.

Despite these unprecedented developments, eurozone growth remains exceedingly weak. That demonstrates the deep intellectual failure behind the austerity-competitiveness agenda.

The rickety export-led growth model faces another important threat: the euro's dramatic appreciation.

Draghi's famous July 2012 pledge to do "whatever it takes" to preserve the euro stopped the flight from sovereign bonds and other euro-denominated financial assets. Trade surpluses also tend to promote currency appreciation.

The stronger euro raises the prices of the currency bloc's businesses versus their competitors, reversing a substantial portion of the painfully won competitiveness gain. This accounts for the efforts of Draghi and others to talk the euro down, but the effect has not offset the appreciation.

While Draghi clearly hopes that today's measures will further weaken the euro, they are unlikely to have much effect.

For all their exceptional character, today's ECB measures are, at best, efforts to shore up a fundamentally misguided growth model that is doomed to collapse.

A serious policy to fight deflation requires putting both feet on the gas, with monetary stimulus and fiscal stimulus working together, a model that has had some success in Japan.

It requires abandoning the mirage of export-led growth as a savior for the eurozone, and vigorous efforts to stoke demand by increasing government spending and promoting wage growth.

Only this will lead to a virtuous circle of borrowing, lending, and growth, and a sustainable rate of price growth.

But Draghi's statement today revealed how very far he is from recognizing this point.

He once again reiterated his support for austerity-led policies whose only coherent rationale is to promote falling (or at best stagnant) prices in the eurozone's periphery: in other words, precisely the deflation he claims to wish to avoid.

Until this fundamental contradiction is resolved, the eurozone is going nowhere.

Read more: ECB cuts rates to head off deflation risk
Read more: Europe may be recovering, but crisis not over for us
Read more: What will Europe do?

The opinions expressed in this commentary are solely those of the author.

@highlight

The ECB cut interest rates to a new record low in a bid to boost the economy

@highlight

But economist David Woodruff says the approach will not work for the eurozone

@highlight

What is needed are policies addressed to borrowers and spenders, he writes