(CNN) -- The international effort to respond to a suspected chemical weapons attack in Syria begs the question: Why intervene now, and not earlier in the civil war?

More than 100,000 people have died in the conflict, which has raged for more than two years.

There have been massacres. Populated areas have been bombed. Blasts have targeted people lining up for food at bakeries. People have been decapitated.

Millions of Syrians are displaced.

But a single, horrifying attack has crossed what U.S. President Barack Obama called a "red line." Rebel officials say more than 1,300 people, including many women and children, died recently as a result of chemical weapons.

The United States believes Syria was behind it; rebels blame the Syrian government as well. The Syrian regime denies it, and some Syrians have told CNN they doubt their government used chemical weapons.

Given the massive human toll of attacks with conventional weapons, what makes this a potential turning point for the world to act?

What justifies intervening if Syria uses chemical weapons?

Conventional attacks called no 'less evil'

"Blowing your people up with high explosives is allowable, as is shooting them, or torturing them," complains Dominic Tierney, political science professor at Swarthmore College. "But woe betide the Syrian regime if it even thinks about using chemical weapons!"

In a column in The Atlantic, Tierney -- author of a book on what he calls "the American way of war" -- adds, "A woman and her child under fire in Aleppo might miss this distinction. It's not obvious that high explosives are inherently less evil than chemical weapons."

Writer Paul Waldman makes similar comments in The American Prospect: "Getting killed by mustard gas is surely awful. But so is getting blown up by a bomb. Using one against your enemies gets you branded a war criminal, but using the other doesn't."

And the Los Angeles Times' Paul Whitefield writes, "Bombs blowing up buildings, which fall on innocent civilians -- men, women, children -- that's bad, but not cause for us to act? But a chemical weapons attack: That we can't allow? Spare me."

Missile strikes on Syria likely response to chemical attack

Obama tells CNN: U.S. interests at stake

The White House argues there's good reason to view chemical weapons attacks differently.

"The use of chemical weapons is contrary to the standards adopted by the vast majority of nations and international efforts since World War I to eliminate the use of such weapons," spokesman Jay Carney said this week. ".... The use of these weapons on a mass scale and a threat of proliferation is a threat to our national interests and a concern to the entire world."

He added, "Without question, there is ongoing barbarity in Syria, perpetrated by the Assad regime, and we have provided substantial assistance to the Syrian opposition and will continue to provide substantial assistance to the Syrian opposition in their struggle with Assad."

Obama, in an interview with CNN last week, said, "When you start seeing chemical weapons used on a large scale... that starts getting to some core national interests that the United States has, both in terms of us making sure that weapons of mass destruction are not proliferating, as well as needing to protect our allies, our bases in the region."

Gingrich: Stay out of Syria's civil war

More than 1 million killed since World War I

The Geneva Protocol, signed in 1925, banned chemical weapons attacks. It was a response to one of the horrors of World War I, in which chemical agents -- including chlorine, phosgene (a choking agent) and mustard gas (which inflicts painful burns on the skin) caused nearly 100,000 deaths, according to the United Nations.

But since World War I, chemical weapons have killed more than a million people, the U.N. says.

"The Cold War period saw significant development, manufacture and stockpiling of chemical weapons," the U.N. Office for Disarmament Affairs says.

The most notorious case in recent history came in 1988, during the Iran-Iraq War. Saddam Hussein used them against Kurds in Iraq's Kurdish city of Halabja, and against Iranian troops.

In 1992, the Chemical Weapons Convention was adopted, calling for the prohibition on chemical weapons.

'Should we have any boundaries in war?'

Some analysts say it makes sense for the United States and the world to respond differently to chemical attacks.

"They're so indiscriminate," says Don Borelli, a former FBI official now with The Soufan Group, a security consultancy. "At least there's some discrimination in conventional weapons."

"Modern weaponry, while it's grown more lethal, has also grown more precise," says Michael Rubin, a former Pentagon official now with the American Enterprise Institute. But chemical agents disperse to affect large numbers of people and "can produce horror for a lifetime."

Some conventional attacks do the same, he acknowledges.

But there's another reason that it makes sense to view a chemical attack as a reason for international intervention, Rubin says.

"We want to establish the parameters of warfare. If you don't, combatants will keep pressing the boundaries. Ultimately, the question is, should we have any boundaries in war or not?"

It's a slippery slope, he says. If a chemical weapons attack goes unchecked, what about some other form of weapon of mass destruction -- a biological or nuclear attack?

Some chemical attacks have gone unchecked. In the current conflict, chemical weapons are alleged to have been used on a smaller scale several times.

And Foreign Policy reports this week that says the United States, back in 1988, "helped Saddam as he gassed Iran."

Rubin said he doubts that. But either way, he said, "There's a fundamental question: Should we learn from our mistakes? If we did the wrong thing should we simply sit by the wayside and allow that to happen again?"

The United States and other countries, he said, want to "restore a stigma" against chemical weapons that was in place in the world's psyche "after World War I and Halabja."

Intervening in Middle East turmoil: Mission impossible?

Analyst: Chemical weapons' impact 'exaggerated'

Tony Cordesman, a former Defense Department official now with the Center for Strategic and International Studies, says the image people have of chemical weapons is often exaggerated.

"Chemical weapons attacks are not necessarily any more horrifying than the use of conventional weapons," he said Tuesday. And "the lethality has always been far worse on paper than in reality."

There are no definitive statistics on how many people were killed in Halabja, he says.

The prevailing image many people have is still from World War I, "which was the last really mass use of chemical weapons," Cordesman adds.

Tierney, in The Atlantic, suggests a "strategic self-interest" for the United States to oppose chemical weapons.

"Powerful countries like the United States cultivate a taboo against using WMD partly because they have a vast advantage in conventional arms," he writes. "... Washington can defeat most enemy states in a few days -- unless the adversary uses WMD to level the playing field."

Rubin rejects that argument, saying the U.S. advantage in weapons of mass destruction precludes any possibility of a level playing field.

And while the alleged previous, smaller-scale use of chemical weapons in the Syrian civil war were not enough to bring about calls for action, he said, "This is such a blatant example, we can't pretend not to see it."

@highlight

More than 100,000 people have died in Syria, the vast majority through conventional attacks

@highlight

Some ask why a chemical weapons attack would be seen as more "evil"

@highlight

President Obama told CNN that U.S. interests are at stake

@highlight

Two major international agreements have failed to stop chemical weapons