WASHINGTON (CNN) -- The government is warning that taking the psoriasis drug Raptiva could result in serious brain infection and even death.

Raptiva may cause a serious brain infection called progressive multifocal leukoencephalopathy.

The Food and Drug Administration cited three confirmed cases, and a possible fourth, of people diagnosed with progressive multifocal leukoencephalopathy (PML) after being treated with Raptiva.

"Three of those patients have died," the FDA said in a public health advisory. "All four patients were treated with the drug for more than three years."

None was receiving other treatments that suppress the immune system.

Raptiva's product labeling was revised in October to highlight a boxed warning about the risks of life-threatening infections, including PML.

"At that time, the FDA directed Genentech, the manufacturer, to develop a risk evaluation and mitigation strategy (REMS) to include a medication guide to educate patients about the drug's risks," the FDA's advisory says.

In the advisory, issued Thursday, the FDA highlighted the confirmed cases and promised to "take appropriate steps" to ensure that Raptiva's risks do not outweigh its benefits.

The FDA also said it will ensure that patients "are clearly informed of the signs and symptoms of PML" and that health care professionals "carefully monitor patients for the possible development of PML."

Overseas, the European Medicines Agency has gone further, recommending that no new prescriptions for Raptiva be issued and that patients taking the drug talk to their doctors about an alternative.

On Thursday it asked the European Commission to make that recommendation legally binding.

The group's Committee for Medicinal Products for Human Use determined "that the benefits of Raptiva no longer outweigh its risks, because of safety concerns, including the occurrence of progressive multifocal leukoencephalopathy in patients taking the medicine."

It said patients who have been treated with the drug should be "closely monitored for neurological symptoms and symptoms of infection."

"Patients who are currently taking Raptiva should not stop treatment abruptly, but should make an appointment with their doctor to discuss the most appropriate replacement treatment," the agency said.

Raptiva, a once-weekly injection for adults with moderate to severe plaque psoriasis, works by suppressing T-cells -- cells that help fight infection -- in the immune system. Those cells cause the skin inflammation associated with psoriasis.

By suppressing T-cells, Raptiva "decreases the function of the immune system, which increases a patient's susceptibility to infections," the FDA said.

The National Institutes of Health says the prognosis for PML "remains grim; the disease usually lasts for months and 80 percent die within the first six months, although spontaneous improvement has been reported. Those who survive PML can be left with severe neurological disabilities."

Around 6 million to 7 million Americans have psoriasis, which is incurable, the NIH says.

@highlight

NEW: European Medicines Agency discourages new Raptiva prescriptions

@highlight

Raptiva's product labeling was revised in October to highlight risks

@highlight

Raptiva is an injection for adults with moderate to severe plaque psoriasis

@highlight

The drug suppresses T-cells, which makes it decrease immune system function