(CNN)South America's Atacama Desert, one of the driest places on Earth, resembles some of the faraway planets monitored by giant telescopes there.

The lack of humidity provides optimal conditions to watch the sky and study the origins of the universe.

"It is pure visual silence," said photographer Andres Figueroa. "It is amazing. There is absolutely no humidity, and (these conditions) create some striking contrasts."

There, in that clear, inhospitably arid environment, Figueroa turned his camera lens toward another discussion on cosmology, one rooted in the ancient folklore of the Andean people.

Taking along his mobile lighting studio, Figueroa photographed a series of religious festivals that take place every July in the Atacama. In his "Dancers of the Deserts" series, Figueroa chronicles these festivals, which attract about 200,000 people to some otherwise quiet mining towns in Chile.

"I have always wanted to see the desert. Even though I am not very religious, I've always been curious about their traditions," said Figueroa, who is from the Chilean capital of Santiago.

Figueroa worked hard on cataloging and differentiating the ceremonies and their complex rituals -- at times playing the role of an artist, others as an anthropologist -- but he always remained faithful to his love for classic portraiture.

"From an anthropological standpoint, I was interested in documenting all the signs and symbols that appear in each costume and character, all the indigenous and Catholic syncretism," he said. "My lighting studio allowed me to pick up on these details.

"From a portraiture standpoint, I used a formal approach to explain this living culture that is constantly growing and reinventing itself. I asked each character to stop to be photographed, taking them away momentarily from the festival in a more intimate scenario."

Photographing adobe walls, desert landscapes and the ubiquitous camping sites where pilgrims come to gather, Figueroa said each character is perched in his or her own context.

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

Bears and devils pose in the desert in striking contrast. These photos highlight the uniqueness of Andean culture, which draws influences from Europe, the Inca and more recently, Chinese traditions. There are endless nuances, not always perceived by the naked eye.

"It is a very special festival. When you see the bears, you see them participating in the different roles, blending in with the (the devils)," Figueroa said. "And sometimes, you see them as a central figure in a festival of their own. It is amazing, a tradition brought by the Chinese near Peru."

Figueroa, who befriended many of the musicians and dancers, said it was important to take part in the festival in order to understand its meaning to the community.

"I had to understand the hierarchy and protocols of each group," he said. "As a photographer, it is important to create the conditions for things to happen. You can have it all planned and set up in order for things to naturally take place."

Figueroa said the desert festivals have a deeper role in a region that struggles with social problems such as drug trafficking and poverty. It is the glue that binds families, and young people heavily invest their time and money to make their costumes and parade with pride.

The festivals "are a form of social protection," Figueroa said. "I felt the presence of love ...  their love and effort in communicating with their divinity and holding together as communities."

Andres Figueroa is a Chilean photographer. You can follow him on Facebook.

@highlight

Photographer Andres Figueroa spent a week in one of the driest places on Earth

@highlight

He took portraits of Chileans who dress up in costume for popular religious festivals