(CNN) -- Phillip Garrido was registered as a sex offender, regularly visited by parole officers and fitted with an ankle bracelet to track his movements -- but nothing prevented him from being around children, according to a victims' advocacy group.

Phillip Garrido, a registered sex offender, was arraigned in California on Friday.

Garrido is charged with kidnapping Jaycee Lee Dugard in 1991, when she was 11, and raping her over the course of years.

Police say Dugard lived in a huddle of tents and outbuildings hidden behind Garrido's home, and gave birth to two daughters, now 11 and 15, fathered by Garrido.

Garrido and his wife Nancy were arrested last week. Both have pleaded not guilty.

"Here we have a guy who is essentially under every kind of supervision we allow. Law enforcement had every tool available to them, and [the tools] failed," said Robert Coombs, spokesman for the California Coalition Against Sexual Assault.

Gordon Hinkle, spokesman for the state Department of Corrections and Rehabilitation, said a parole officer visited Garrido at his home, sometimes unannounced, twice a month. Garrido was also required to go to the agent's office once or twice a month, Hinkle said.

Garrido wore a GPS anklet, and his movements were tracked passively, Hinkle said, meaning parole officers checked his location after the fact, as opposed to active monitoring, which involves watching parolees' comings and goings in real time.

Despite the tight supervision, Garrido "was technically allowed to be around minors," Coombs said, because his parole stemmed from the November 1976 rape of Katie Callaway Hall, who was 25 at the time of the assault.

He was sentenced in 1977 to 50 years at the federal penitentiary in Leavenworth, Kansas, for kidnapping, because he abducted Hall in California and transported her across the state line to Reno, Nevada, where he raped her in a warehouse, according to court documents. A Nevada court separately sentenced him to five years to life for the rape conviction, the Reno Gazette-Journal reported.

While in prison in 1978, Garrido sent a handwritten letter to Judge Bruce R. Thompson, saying he was recovering from seven years of LSD use and progressing well.

"I am so ashamed of my past. But my future is now in controle [sic]," he wrote.

Court documents show Garrido requested that his 50-year sentence be reduced to 25, making him eligible for parole in eight years, "where he could be released to the state of Nevada as an educated person and being a rehabilitated person."

According to a 1978 court transcript, attorney Willard Van Hazel Jr. told a judge, "Without the influence of any of this drug involvement, I think Mr. Garrido would pause before carrying out sexual fantasies."

After more than a decade at Leavenworth, Garrido received a federal parole but was sent to Carson City, Nevada, in January 1988 to serve his rape sentence. However, according to the Reno Gazette-Journal, he was automatically eligible for state parole because of the time served in federal prison.

The Nevada Offender Tracking Information System indicates he appeared four times before the parole board, which granted his request in August 1988, about 11 years after he was incarcerated.

He moved to Antioch, California.  Three years later, 11-year-old Dugard was abducted from her home in South Lake Tahoe, California, about 100 miles northeast.

"He served about 20 percent of his sentence, and it doesn't take a mathematician to figure out if he served only one-third of his sentence, Jaycee Dugard doesn't end up in the predicament that she's in," said Andy Kahan, a crime victims' advocate in Houston, Texas.

Citing revised federal sentencing guidelines, Kahan and Illinois defense attorney Stephen Komie concur that this is not something that could happen today.

"If he got 50 years, say, he would have 600 months. He would only get 50 months off. He would do 550 months," Komie said. "So this would not be repeated in the federal system again."

Added Kahan, "You're going to have to do at least a minimum of half of your term without any good time credits before you can even see the light of day or say hello to a parole board member."

In 1993, five years after his release from a Nevada prison, Garrido was jailed on a parole violation, but it's unclear what that offense was. Tom Hutchinson, spokesman for the U.S. Parole Commission, said documents have been requested and should be available later this week.

Garrido was released later that year. California took over his parole supervision in 1999, Hinkle said, but regular visits did nothing to unearth Dugard's abduction or Garrido's backyard secrets.

Another visit by law enforcement was the direct result of a 2006 call a neighbor made to 911, reporting that women and children were living in tents behind Garrido's house.

Contra Costa County Sheriff Warren E. Rupf said he didn't think the deputy who responded knew at the time that Garrido was a sex offender and the deputy spoke to Garrido in the home's front yard.

"We should have been more inquisitive, more curious and turned over a rock or two," the sheriff said. "We missed an opportunity to bring earlier closure to this situation."

Hinkle acknowledged that neighbors called police again with a similar complaint in 2008.

To his knowledge, Hinkle said, the deputy didn't contact Garrido's parole officer in either instance. Even if the deputy had made contact, there is no guarantee the parole officer would have found the compound. It was that well-hidden, Hinkle said.

"If you were to walk in the backyard, you would see a fence that ran from one end to the other," Hinkle said, describing how the fence created the illusion of a "false backyard."

"It would not be immediately apparent that [the tents and outbuildings were] back there," he said.

Kahan partially blames the economics of the criminal justice system -- not just in California, but nationwide -- and said Garrido likely became less of a priority as the time since his crimes passed.

Despite the heinous nature of Garrido's 1976 crime, it paled in comparison to allegedly holding a young girl hostage and raping her for 18 years, Coombs said.

"Nothing in this guy's case history indicated he was capable of such evil, if you will," he said. "It was so far out of the picture, they didn't even look for it."

Rather than there not being enough money to fund the proper supervision of parolees, it's more a matter of priorities, Coombs said, citing the GPS device Garrido wore on his ankle.

Although CALCASA has no official tally, it estimates California has spent roughly $500 million on GPS devices for 6,600 of the state's sex offenders. Garrido was fitted with a device after 2006 when voters OK'd a law requiring felony sex offenders to wear tracking devices for life.

"We know where this guy is, so we think we're safe," he said, "but the place where we knew he was was the place where he was offending. GPS just tells you where they are. It doesn't tell you what they're doing."

Each dollar spent on GPS equipment "is one dollar you're not spending on real, traditional parole techniques, like talking to collateral contacts and neighbors," he said.

Coombs also criticized the lack of communication across jurisdictions. Had Garrido's parole officer received a call from police and spoken to the neighbor who made the 911 call in 2006, authorities might have found Dugard three years earlier, Coombs said.

Hinkle said the officer who flushed out Garrido's alleged crimes had only been supervising him since December. When the officer learned from campus police that Garrido had 11- and 15-year-old girls in tow while proselytizing at the University of California-Berkeley, he called Garrido in for a meeting.

Garrido arrived with his wife, Dugard and the two girls. Hinkle would not provide details of the conversation -- it could affect the investigation and prosecution, he said -- but he did say Garrido and his wife were not forthcoming about Dugard's and the girls' identities.

It was the parole officer's diligence that ultimately yielded the Garridos' arrest and Dugard and her daughters' freedom.

Said Hinkle, "They were coming in being elusive and deceptive about their identities, and the agent would not let go."

CNN's Mallory Simon, Irving Last and Kiran Chetry contributed to this report.

@highlight

NEW: Parole officer may have seen "false backyard," suspected nothing, official says

@highlight

NEW: Spokesman: Deputy didn't call parole officer after 911 calls about Garrido

@highlight

Garrido was released from prison early after saying he had drug use under control

@highlight

Garrido likely became lower priority as time since his crimes passed, expert says