West Virginia's water crisis won't end any time soon, officials said Saturday.

Testing must be completed to determine whether chemicals from a leak are still contaminating the water system in nine counties in the southwest section of the state, West Virginia American Water President Jeff McIntyre told reporters Saturday. That means the do-not-use order issued Thursday won't be lifted for days, he said.

Some 300,000 West Virginia residents, in the meantime, still won't be able to use tap water to wash hands, brush teeth or take showers. They're being urged to watch for symptoms of exposure to the chemical, such as skin irritation, nausea, vomiting and wheezing.

Homeland Security is trucking in 16 tractor-trailer loads of bottled water to help.

The water restrictions were imposed Thursday when it was discovered about 7,500 gallons of a chemical used to clean coal --  4-methylcyclohexane methanol -- had leaked out of a storage tank located a mile upriver from the water plant.

The medical impact was hard to assess.

"We've had a lot of worried-well calls," said Dr. Rahul Gupta, of the Kanawha-Charleston Health Department. He cited complaints of irritation of the skin, throat, chest and stomach that some residents have linked to possible exposure to the chemical.

The unknowns make residents anxious.

"They don't even know what the health risks are," Stacy Kirk of Culloden told CNN affiliate WSAZ. "We had bathed, cooked and everything right before the news came on yesterday."

"I don't know anything about the chemical to say too much good or bad about it, so we're all up in the air," said Arthur Taylor. "We're common folks -- we're not chemists."

Anxiety about effects of chemical

Water company spokeswoman Laura Jordan urged people to get medical attention "if they are feeling something ... isn't right."

Many -- perhaps too many -- did just that.

"Our emergency rooms have been very busy with individuals unnecessarily concerned and presenting no symptoms," said the Charleston Area Medical Center.

Karen Bowling, secretary of the state's Department of Health & Human Resources, said 73 people had reported to emergency departments, but that only two had been admitted to hospitals. "That's really a very small number of patients that have been impacted by this," she said.

Dr. Robert Maha, chief medical officer for MedExpress, a group of seven medical clinics in the area, said a large number of patients are seeking treatment for symptoms they worry are tied to the chemical exposure.

He said the water crisis may contribute to the spread of flu, since people are having a difficult time finding clean water to wash their hands.

"That's one of our biggest concerns for the community," Maha said.

Officials will know that the water is safe for more than firefighting and toilet flushing -- its only sanctioned uses now -- when tests find less than 1 ppm of 4-methylcyclohexane methanol in treated water, McIntyre said.

Four laboratories have been set up to measure the levels in a uniform manner. "The treatment plant must consistently produce samples at or below this level before the current do-not-use order is lifted," McIntyre said.

He said there was an inadequate number of sampling results to report current levels.

Authorities planned to take 100 water samples on Saturday night and have them processed on Sunday, Maj. Gen. James Hoyer of the West Virginia National Guard said at a Saturday night press conference.

Though the water woes since Thursday have led scores of businesses to close, Gupta said that some restaurants were reopening after devising alternative plans.

The problem affected people of all ages.

"I'm here to get some water for the baby because she has to make formula," Deborah Williams, who was caring for a granddaughter in Culloden, told WSAZ. "Right now, we're in desperate need of washing baby bottles and filling them up."

7,500 gallons leaked

Mike Dorsey, chief of the Department of Environmental Protection's homeland security and emergency response division, said officials estimate that 7,500 gallons -- the equivalent of about 10 hot tubs that can accommodate eight people each -- leaked through a one-inch hole in the tank's stainless steel wall.

"It's an old system," he said about the physical plant, adding that the company had planned to upgrade it.

Dorsey expressed confidence that the chemical, which smells of licorice, did not start leaking long before Thursday morning, when it was reported. "We would have gotten odor complaints earlier than that if it had been going on longer," he said.

The chemical overflowed a containment area around the tank run by Freedom Industries, then migrated over land and through the soil into the river. The leak happened about a mile upriver from the West Virginia American Water Co. plant.

After concluding late Thursday afternoon that the tap water was contaminated, a stop-use warning went out to customers in Boone, Cabell, Clay, Jackson, Kanawha, Lincoln, Logan, Putnam and Roane counties.

Since then, the offending material has been hauled from the site, officials said.

Some residents have directed their anger at the coal industry company from whose storage tank the chemical leaked.

"It's caused us more problems than you could ever imagine," said Danny Jones, the mayor of Charleston, the state's capital and most populated city. "It's a prison from which we would like to be released."

Kanawha County Commission President Kent Carper told CNN on Saturday that more than 100,000 customers were affected, bringing the number of people affected to about 300,000.

On Friday, residents were urged to donate items and drop them off at the state capitol complex. That happened, but hundreds of people showed up expecting to pick up water, reported WSAZ. Officials called in some National Guard trucks to bring water.

"It was scary because I went to brush my teeth this morning, and I went to turn the water on, and it was like, you can't turn your water on yet," Evelyn Smith of Rand said. "You have to change your mindset of how you do things right now."

An investigative team from the U.S. Chemical Safety Board on Saturday deployed to the scene of the spill. The CSB is an independent federal agency charged with investigating industrial chemical accidents.

Freedom Industries President Gary Southern said two Freedom employees noticed material leaking from a storage tank into a dike around 10:30 a.m. Thursday. They contacted authorities and began the cleanup process -- including hauling away the chemical still in the tank and vacuuming up some from the nearby ground, he said.

"We have mitigated the risk, we believe, in terms of further material leaving this facility,"  said the head of Freedom, which supplies products for the coal-mining industry.

West Virginia American Water's McIntyre had a different take, as evidenced by the company's unprecedented stop-use warning: "We don't know that the water is not safe, but I can't say it is safe."

@highlight

Homeland Security delivering 16 tractor trailer trucks of bottled water to troubled counties

@highlight

State orders the company responsible for the leak to remove all chemicals from tanks

@highlight

The leak led authorities to urge people not to drink or bathe in tap water

@highlight

Charleston's mayor calls the situation a "prison," says his patience is running thin