(CNN) -- Mobile is a big deal in Africa. People probably get tired of hearing that, but there are around 820 million mobile subscriptions on the continent. Mobile payments are becoming the norm and tech startups are building to it.

Established industries are being disrupted by mobile and services that have been otherwise lagging in the African market are finding new vigor due to mobile solutions and better and more efficient ways of doing business.

So here are just a few of Africa's most interesting, exciting and emerging mobile startups.

Clever cabs

In the consumer transportation sector, two startups have really shown some potential to really disrupt this industry. Both use the basics of Uber, a U.S.-based mobile personal driver, which has coincidentally entered the African market in the last couple of months.

ZapaCab works with cab companies in South Africa. Its app allows to you to order a cab via your mobile device -- a driver is then dispatched to pick you up. You're given the driver's name, car details and the estimated time of arrival.

Easy Taxi Taxi is a Brazilian startup backed by African Internet Holdings, and its app now has a Lagos version. Simply download the app, request a cab and wait for it.

Read also: 10 African tech startups you need to know

Mellowcabs, on the other hand, is an amazing idea. Firstly its vehicles are very cool electrically assisted pedal-powered cabs -- and secondly, they are free to use, funded by advertising. The service wants to bring web advertising offline, sort of, through in-cab tablets. Each of the tablets runs geolocation software, so when the vehicles approach a certain store or restaurant, the software triggers specific adverts.

In Ghana, the public sector is a good place to see what mobile can do. People who still use a post office box, this startup is for you. Based in Ghana, Boxbuzz is an SMS alert system that contacts PO box owners via text message whenever they receive mail in their boxes. How cool is that? No more unnecessary trips to the post office.

Games and health

Gaming is becoming quite the thing in Africa and Nigerian startup ChopUp is looking to disrupt that with its social platform that connects mobile-device gamers across the continent. The platform allows players to interact based on gaming interests and achievements, and lets gamers share and transfer gaming points.

Read this: Birth advice by text message, phone medicine in Kenya

As a wannabe health nut, I am always looking for apps that can help me be healthy and monitor my eating and exercise habits. Diet Assistant is a Uganda-based mobile startup that has created an app that recommends healthy and affordable meal choices made of locally available and accessible foods. The app also aims to help with weight control and it can be customized to fit your needs.

The healthcare industry is getting a fair amount of disruption right now. Faselty is an online blood donation system that organizes and helps to facilitate blood donation processes. The mobile integrated platform works through location and blood type.

Then there is the mobile messaging scene, which everyone wants to be in, with the hopes of competing with WhatsApp. In Africa, 2go seems to be the instant messaging startup most likely to succeed. The service claims to have more than 30 million registered users in total and just over 10 million of those are in Nigeria.

E-commerce is really making the rounds in Africa. Every day a new shop pops up and with a rising middle class willing to spend all that disposable income, why not?

That's the premise behind M-DUKA, a Ugandan mobile shopping platform that allows you to buy virtual services like airtime, and to pay utility bills. All transactions are done via mobile and receipts are issued via text message.

Read also: Africa's giant infrastructure projects

Staying secure

Finally, mobile startups are also targeting the world of security.

Cape Town, South Africa, is the birthplace of one of the world's most popular security startup success stories -- certificate authority Thawte, which today is owned by Symantec. A startup that some have theorized could be become the Symantec of the mobile age, IMPI (International Mobile Protection Initiative), also hails from Cape Town. IMPI provides anti-malware protection for Android devices, along with an integrated data management suite that simplifies the secure backup and storage of device data.

Then there's Journey from Embark Mobile. Journey allows companies to build mobile applications to securely capture data for their internally facing processes.

As the data collected from the apps are stored in Journey's cloud, communication is encrypted using industry-standard certificate-based SSL/TLS. The startup's focus on deploying secure applications has attracted businesses in the financial sector, which often have stringent requirements and policies regarding their own data.

The opinions expressed in this commentary are solely those of Michelle Atagana.

@highlight

Mobile phones are driving commerce in Africa, says Michelle Atagana

@highlight

African startups are beginning to exploit the situation with innovative new applications

@highlight

Industries across the continent are being disrupted by new mobile tech