Camping in the freezing snow at an altitude of 6,000 feet. Trekking through the jungle with an armed guard. Sitting on a boat in crocodile-infested waters.

Craig Smith sure has done a lot to take a good picture.

The chief financial officer from Orange County, California, has a second life as a wildlife photographer. His passion started early, at age 8. His grandparents gave him a camera before a trip to Yellowstone National Park, thinking he might like to photograph the bears.

"I struggled when I was young with focus, so they thought picture-taking would be a good hobby," he said.

Since then, he's visited Africa 10 times, taken photos of animals on all seven continents, and been to both the North and South poles. He's photographed pandas in China, gorillas in Rwanda, lions in Namibia and polar bears in Norway. He'd ultimately like to take underwater photos of a Great White Shark.

Experience the majesty of Smith's wildlife photography, and that of other CNN iReporters, in the gallery above. And if you'd like to shoot gorgeous animal photos of your own -- whether of the birds in your back yard or on a monthlong safari -- follow their tips below.

1. Get comfortable outside

If you want to take pictures of animals, you'll be spending a lot of time outside.

"Starting out, you need a passion for the outdoors," said Smith. "Shooting animals is all about having enough time to linger for an extended amount of time waiting for the right shot."

2. Start with a sure thing

For those who aren't used to shooting wildlife, photographer and iReporter Robert Ondrovic recommends visiting your local zoo for some practice.

"The variety of animals on display in a relatively confined area will give the beginner the opportunity to be up close to numerous species in a setting that makes them easy to capture," he said.

Pets and backyard animals can also be good practice subjects. When you're ready to up the ante, head to a nearby state or national park to find and photograph animals in the wild.

3. Splurge on your lenses

"Buy the absolute best lens you can -- glass makes all the difference in quality photographs -- and be less focused on the camera body," said Ondrovic. "The 'guts' of most DSLRs in any brand are similar across the various lines" (and prices).

Although it's helpful to have a variety of lenses for capturing animals, if you're only going to buy one for your wildlife shots, make it a telephoto or super telephoto lens.

"It is a basic lens of wildlife [photography]," said nature photographer Takayuki Maekawa, as it allows you to zoom in.

"More often than not, the animals are a distance away from you, and that is probably good idea since it is always preferable not to place yourself in close proximity to certain animals," advised Ondrovic.

Smith recommends going with a 400-millimeter for the strongest close-ups. But if you're not sure, CNN producer Jessica Ellis, who is also a wildlife photographer, advises renting before you buy.

"Start at a local camera rental shop," she said. "Test out a few of their DSLR beginner recommendations" to find out what you like and are most comfortable with.

Even if your budget limits you to a point-and-shoot camera rather than a higher-quality DSLR, make sure you get one with a good optical zoom. Digital zoom, which is achieved electronically rather than by adjustment of the camera's lens, reduces quality and can result in pixelation.

This "may not give you the clarity that makes for a good image," said photographer and iReporter Doug Mackenzie.

4. Skip the tripod

You might think a tripod is a good idea for capturing sharp photographs, but when it comes to animals, you'd be wrong, says Ondrovic.

"You may set up a tripod looking forward and an animal may suddenly appear to your left, right, [or] behind and you will miss the opportunity trying to get the angle if mounted on a tripod," he explained.

If you're looking for more stability, "a monopod would be a good thing to buy instead of a tripod," advised Smith. Its single leg will help steady the camera without limiting your range of motion like a tripod can.

5. Be patient

"If you think things happen quickly like the Internet, social media or sports, you will be disappointed," warned Smith.

He spent hours hiking through the "dense jungle" of Rwanda and Uganda over three different trips to capture a stunning close-up of a mountain gorilla.

"If you want to photograph wildlife, you have to be quiet and when you see them, you have to move slowly and try not to scare them," added freelance photographer Billy Ocker. "I always look for their tracks on the ground."

"Animals don't pose and seldom smile on cue," agreed Mackenzie. "You have to learn to be very, very patient. It could take hours, days or even years to get just the right shot."

Maekawa will spend up to 10 hours a day waiting for a photo -- and has been shooting some species for more than 10 years.

6. Change your perspective

As you're clicking away, think about the perspective and goal of your images. For Smith, that means creating "a special relationship between the animal being photographed and the person viewing the picture."

As a result, he likes to shoot from the animal's perspective -- "get on your knees and shoot at their level."

Maekawa tries to capture the human side of the animals he shoots, while Ondrovic focuses on their wildness.

"My goal as a wildlife photographer these days is to photograph animals in their natural settings, unencumbered by artificial environments such as zoo captivity, and show their beauty as they were meant to be," he said.

And Ellis hopes to pass along an environmental message with her pictures.

"I hope to bring people closer to nature ... to pass on a message that we all must strive to minimize our impact on the earth," she said.

7. Capture the eyes

They're the windows to the soul, you know, and Mackenzie says they're also the key to a stunning animal portrait.

"They will help you tell the story and give the image that extra spark of life that will touch you and all those who eventually see the image," he said. "Get as close as possible."

8. Know your equipment

Imagine how you'd feel if you dropped a wad of cash on a fancy new camera, went on your fabulous safari vacation, saw a majestic lion posing perfectly -- and couldn't figure out how to turn off your flash or adjust your aperture.

Give yourself plenty of time and opportunities for practice before your holiday of a lifetime.

"There is nothing worse than buying the latest hot camera and leaving the next day, hoping it was be the thing that gets you that award-winning photo," warned Mackenzie.

9. Anticipate

"Animals are unpredictable," said Smith. They're not going to hold their pose for you, so try to anticipate and start snapping before they strike that perfect silhouette or move into just the right spot.

"Look for the anticipative moment," advised Mackenzie. "One of the most common things for us all to do is to be watching the action in front of us and forget to push the little button."

10. Shoot, shoot, shoot

All our experts agree that more is more when it comes to photographing wildlife.

"Shoot and shoot. Experiment!" said Smith.

Take photos at "different exposures, different shutter speeds, different apertures" to see what works best, advises Mackenzie.

Shoot from a variety of angles and times to capture different light levels, said Maekawa, and be sure to capture the animal making a variety of expressions.

Finally, whatever you do, bring lots and lots of digital storage and extra batteries so you can click away without worry.

Have you shot stunning wildlife photos that you think belong in the gallery above? Submit your best at CNN iReport.

@highlight

Click through the gallery for our favorite examples of wildlife photography

@highlight

Follow the tips below to shoot amazing animal images of your own

@highlight

Want to share your own wildlife photos? Submit at CNN iReport