(CNN)Do black people have a history? There have always been doubters.

In 1843 Noah Webster, said by some to be the founding father of American scholarship and education, was asked by black minister Amos Beman to share "some account of the origin of the African race." Of Africans, Webster replied, "there is no history, and there can be none." To be outside of history in Webster's view, was to be in a permanent state of "barbarism," without the benefit of Europe's civilizing influence.

Webster's view is no throwback. Take the 2007 example of then-French President Nicolas Sarkozy who, during a state visit to Senegal, remarked: "The tragedy of Africa is that the African has not fully entered into history." Sarkozy deemed Africa a place unaffected by change and without a capacity for progress, and thus beyond historical analysis.

Neither Webster nor Sarkozy was correct, of course. Scholars of Africa and its Diaspora -- in the 19th century and today -- have refuted the notion that black people have ever existed outside of history. Their studies explain the evolution of varied black cultures with complex political, economic and social pasts.  African empires, we learn for example, were as ancient and as brilliant as any of Europe.

Black History Month has provided one response to these questions. But today it has critics.

Filmmaker Shukree Hassan Tilghman asked whether it was time to do away with Black History Month in his 2010 documentary, "More Than a Month." Tilghman captured the controversy that surrounds who tells black history and by what terms. Some critics suggest that a one month ritual is inadequate to the task. The hashtag campaign #28daysarenotenough is being used to express the impossibility of exploring the entirety of the black past in one month's time. But others go further, advocating that the month should fall victim to its own success. Black history, in this view, is an established part of American history. Relegating the subject its own month segregates African American history from the "we" in "we the people."

Black History Month grew out of a desire to make the black past visible. In 1926, Harvard-trained historian Carter G. Woodson sought to challenge the myth that black people were without a history. His platform was the Association for the Study of Negro Life and History (today's Association for the Study of African-American Life and History). Woodson's Association created the Journal of Negro History to promote research and writing on Africa and its Diaspora in an era during which much of the historical profession was indifferent to the subject.

Woodson began with just a week. He noted how in early February Americans celebrated the birthdays of Abraham Lincoln and Frederick Douglass and deemed it Black History Week. Woodson's goal was to make history available to teachers, students and the public. The Civil Rights and Black Power movements fueled interest, so much so that by 1976, the association expanded the national marking of black history to the month that we know today.

To some degree, Woodson's goals have been realized. Black history is a major subject of research and writing, in mainstream as well as in historically black colleges and universities. This work reaches beyond educational settings, into popular culture. The recent historical films "Selma" and "12 Years a Slave" grew out of long-standing scholarly interest in their subjects.

Still, as we face new frontiers of knowledge, Black History Month's ongoing importance is clear..

I learned this first hand while researching, with students at the University of Michigan, the life of Arabella Chapman, a free African American woman who chronicled post-Civil War life in a unique photo collection. Chapman's beautifully preserved, leather-bound photo albums from the 1890s are in our library. To bring her story to a broader public, we set our sights on Wikipedia, the online encyclopedia. We got stuck, and through the Global Women of Color Write-In we learned that African American subjects like ours are under-represented in Wikipedia. We did get Chapman a page, but there was more work to do.

Enter Black History Month. This year, the Wikipedia Foundation has partnered with institutions such as Washington's Howard University to ensure that black people have a history, Wikipedia style. And, last Thursday night, a faculty-student team gathered in Howard's Moorland-Spingarn Library to create some of those missing entries.

Black history is not a static subject. Carter Woodson's association will mark its 100th anniversary in 2015 as a thriving site for the production of new historical understanding. Nor can black history be taken for granted. With the emergence of new learning resources and technologies comes the task of reasserting the relevance of Africa and its Diaspora.

Carter Woodson's vision stands the test of time. And his approach -- which we call Black History Month -- helps ensure that understandings of the black past extend beyond ivy-covered towers and into the lives of students, teachers and the world.

The opinions expressed are solely those of Martha S. Jones.

@highlight

Historian Carter G. Woodson created Black History Week to highlight the history and achievements of African Americans

@highlight

Some argue that relegating African American history to one week or month per year is too constraining

@highlight

Martha S. Jones: The month ensures "that understandings of the black past extend beyond ivy-covered towers"