Critics of President Barack Obama's foreign policy are getting louder by the day, and that poses risks for Democrats this fall and even in 2016.

According to previews of Hillary Clinton's memoirs, "Hard Choices," the former secretary of state distances herself from Obama on certain decisions, such as on the question of whether to arm Syrian rebels. She wanted to be more aggressive; he did not.

Democrats have grown more nervous about foreign policy as Obama has been working hard to respond to critics who say hasn't taken a tough-enough line.  The controversy over the deal to secure the release of Army Sgt. Bowe Bergdahl in exchange for five Taliban prisoners has flared into an extraordinarily heated debate. Obama has watched as his approval rating for handling international affairs has fallen to 41%.

Last month, Obama had to stand by as Republicans launched another round of congressional investigations into the deaths of four Americans in Benghazi, Libya. Russia's aggressive moves into the Ukraine stirred talk of a new Cold War and concern that the President didn't really have a viable response to this kind of aggression.

Opinion: Why we leave no man behind

More recently, the controversies shifted to the President's broader vision or lack thereof. Republicans found a lot to dislike in his address at West Point, where Obama indicated that the nation should step back from using military power as freely as it has done in the past.

Soon after came the news about the release of Bergdahl, in exchange for the release of five notorious Taliban prisoners. Republicans were quick to accuse the President of negotiating with terrorists. They have also accused him of violating the law by failing to inform Congress of the impending deal.

Even though Democrats point to a number of huge accomplishments during the Obama presidency -- the killing of Osama bin Laden, the drawdown of the wars in Afghanistan and Iraq and diplomatic initiatives to bring nuclear disarmament in Iran without bloodshed -- the critics have upped their volume.

All of the recent stories add up to the potential for foreign policy to emerge as a potent issue in the midterm campaigns this fall. Congressional Democrats could suffer as a result of the unhappiness with the administration's policies. Even though midterm elections generally focus on bread and butter questions about the health of the economy, as well as local concerns, there are times when foreign policy can hurt the party of the president.

In 1966, for instance, Republicans campaigned against Lyndon Johnson's policies in Vietnam. GOP officials such as former Vice President Richard Nixon said that Johnson was not unleashing enough force against the North Vietnamese Communists and leaving U.S. troops in a quagmire. In 1978, Republicans railed against President Jimmy Carter for his alleged weakness in foreign policy, claiming that he gave away too much in the Panama Canal Treaties and that he was pursuing a dangerous policy of détente with the Soviet Union.

In 1982, Democrats, who were generally focused on the recession, also spoke in favor of a nuclear freeze and warned that President Ronald Reagan's embrace of the military was bringing the nation close to war. More recently, Republicans blasted Democrats in 2002 for being weak on defense after having not supported the administration's homeland security bill. And in 2006, Democratic candidates returned the favor by criticizing the president's war in Iraq as a reckless, unnecessary and  extremely costly operation that had actually undermined the war on terrorism.

Gingrich: Bergdahl, Boko Haram and Benghazi

While foreign policy carried different levels of weight in these midterms, in some of these contests, such as 1966 and 2006, the administration's actions overseas dismayed voters.

Will foreign policy play a factor in the 2014 midterms? It is unlikely that it will be a major issue but there are ways it could have an indirect effect on the ballot box and cause trouble for Democrats when Americans turn out to vote.

At the most immediate level, the foreign policy controversy has already distracted the news media from other kinds of stories upon which congressional Democrats were hoping to focus. The foreign policy controversy intensified just as there was evidence that the economy was picking up steam and that the Obama's health care program was gaining strength. Both signs of accomplishment were put on the back burner, overshadowed by the Bergdahl debate.

The stories also feed the perception of some voters who feel that Democrats have not done a good job managing government. This is a White House that once prided itself on competence. Obama, a well-educated politician who surrounded himself with bright staff, vowed to avoid the kind of mismanagement that had been on display with Hurricane Katrina during President George W. Bush's term. But that reputation has slowly been undercut, especially after the botched health care website rollout and the VA scandal.

Opinion: Bergdahl deal was an ugly decision but right

Some of the coverage of the foreign policy, including recent reports on how the deal with the Taliban was handled, have played into these kinds of criticism. The New York Times published a lengthy piece about the diminishing returns that Obama was able to obtain over the past several years in exchange for the release of the Taliban 5 and evidence of how his team had mishandled the process.

The Berghdal deal is also becoming a way to question the veracity of Democratic promises.

Members of Congress, in both parties, have alleged that Obama violated the law by ignoring a federal statute that says the president must inform Congress one month before such a deal is completed. They have said he is acting exactly like Bush, whom he had accused of discounting legislative intent through sweeping notions of executive power.

The foreign policy debate puts into focus the argument that Obama, as well as the party he leads, lacks a bold vision. This is something that has even frustrated many Democrats who feel that the President is too much of pragmatist and not enough of a visionary. The speech at West Point fell flat for some Americans because it almost seemed focus on excusing what he couldn't do rather outlining what he wants to do.

During his visit to the Philippines, the President explained his outlook on foreign policy by saying, "You hit singles, you hit doubles; every once in a while you may be able to hit a home run."

The debate over foreign policy helps Republicans by riling up the party's base at an opportune time, five months before the election, while at the same time dispiriting the Democrats. Yes, voters are thinking primarily about how they're faring in today's economy, but on the margins, their perception of their local candidate's views on foreign policy could be a factor in November.

Opinion: How big a risk are former Gitmo prisoners?

@highlight

Julian Zelizer: Criticism of Obama foreign policy has been on the increase

@highlight

Hillary Clinton's book mentions her disagreement with Obama on Syrian rebels

@highlight

He says debate over prisoner swap for Sgt. Bowe Bergdahl adds to the controversy

@highlight

Zelizer says foreign policy can have effect on midterms, usually dominated by economic issues