(CNN) -- No one wants to spend their vacation in the bathroom.

Reports of an outbreak of vomiting and diarrhea at sea have some imminent cruisers worried.

"My mother, who is a first time cruiser, is seriously reconsidering our choice for our family vacation," wrote CNN reader Monica Mancera in an e-mail. The University of Texas at Austin student is booked on a Carnival cruise with her family in March.

The Centers for Disease Control and Prevention is investigating an outbreak this week of gastrointestinal illness on Royal Caribbean's Explorer of the Seas; the cause has not yet been determined. More than 650 passengers and crew have become ill, according to the cruise line. The outbreak is the second so far this year aboard a cruise ship.

Just the thought of wasting precious vacation time has worker-bee bystanders riled up: So glad it's not me! Poor suckers!

And cruise skeptics have another opportunity to ask: What were they thinking?

"I feel bad for sick people, but I don't understand the desire to be on the petri dish in the first place," wrote one CNN reader.

Cruising represents one of travel's deeper divides. Love it or hate it, most of the keenest objections are only half true -- or false, depending on how you look at it.

Floating petri dishes?

Cruise ships are ripe for spreading illness. Outbreaks of norovirus, the leading cause of acute gastroenteritis in the United States, occur most frequently in close quarters, according to the CDC. Nursing homes, dormitories and cruise ships are common transmission grounds.

In 2013, the CDC's Vessel Sanitation Program logged nine gastroenteritis outbreaks aboard ships, seven of which had a confirmed cause of norovirus. About 1,200 cruise passengers were affected by those norovirus cases.

Three of the affected sailings were from U.S. ports, with about 700 passengers sickened, according to Stewart Chiron, CEO of CruiseGuy.com.

To put those figures in perspective, the industry's Cruise Lines International Association says more than 10 million passengers embarked on CLIA member cruise ships from a U.S. port in 2012, and norovirus sickens an estimated 21 million people in the United States every year, according to the CDC.

More outbreaks of gastroenteritis have been reported aboard cruise ships since 2001, according to CDC statistics. The government agency says the spike is tied to an increase in both passengers and ships sailing the seas as well as an overall increase in norovirus outbreaks.

"There are attempts to control these types of outbreaks, but it's hard to guarantee that it's not going to happen for any particular cruise," said Dr. Lin Chen, director of the Travel Medicine Center at Mount Auburn Hospital in Cambridge, Massachusetts.

So yes, the threat of illness is real. Yet the number of reported outbreaks among thousands of annual sailings has ranged in recent years from less than a dozen affected sailings to about three dozen.

Bottom line: More people are getting sick on land. (Granted, that's little comfort if you're vomiting violently at sea).

Are ships or passengers unsanitary?

Norovirus, the most common cruise ship outbreak offender, spreads quickly from person to person but can also be transmitted through contaminated food or water or from contaminated surfaces.

The CDC's Vessel Sanitation Program conducts regular unannounced inspections of cruise ships. Explorer of the Seas, the Royal Caribbean ship currently experiencing an outbreak, scored a 98 out of 100 on its last inspection in July 2013.

"Something like this is not representative of an unclean ship," said Colleen McDaniel, managing editor of CruiseCritic.com. "It doesn't mean this particular vessel was unclean. It just means there was an outbreak on board. They're ending the cruise two days early and doing a really deep cleaning of the ship. It's not likely to happen on the same ship again."

Unlikely, but not unheard of: Princess Cruises' Crown Princess had norovirus outbreaks on two consecutive sailings in 2012. In 2010, the CDC issued a four-day no-sail recommendation for a Celebrity Cruises ship after three consecutive outbreaks of gastrointestinal illness.

The deep cleaning upon Explorer of the Seas' return to port "will be the third aggressive sanitizing procedure the ship has undertaken since we became aware of the issue," Royal Caribbean said.

Cruise lines activate CDC-monitored response plans when outbreaks are detected. Measures include increasing the frequency of cleaning and disinfection, isolating ill people, distributing information about proper hand-washing and hygiene as well as illness updates and regular reporting to CDC Vessel Sanitation Program officials.

Hygiene is extremely important when outbreaks occur. Proper hand-washing, avoiding contact with ill passengers and direct contact with public surfaces such as restroom door handles can help stem the spread of highly contagious illness. The CDC offers health tips for cruisers on its website.

Avid cruiser Marcy Webster and her husband won't be changing their plans for an upcoming sailing on Royal Caribbean's Allure of the Seas.

"It is not the cruise line's fault. It is a passenger who came onboard sick and spread the virus everywhere. On every cruise I have been on, the crew is diligent in keeping things clean and making passengers use hand sanitizer," Webster, of Keller, Texas, wrote in an e-mail.

"Bad things happen. If you stop your life for fear of what could be, you never experience anything."

CNN's Katia Hetter contributed to this report.

@highlight

Some travelers hesitant to cruise due to gastrointestinal illness outbreak aboard ship

@highlight

Cause of the outbreak has not been pinpointed yet by the CDC

@highlight

In 2013, about 1,200 passengers were sickened by norovirus on cruise ships

@highlight

Each year, norovirus affects an estimated 21 million people in the United States