Kabul, Afghanistan (CNN) -- A man in an Afghan military uniform killed three U.S. troops Friday in southern Afghanistan, the latest in a series of assaults against NATO soldiers by Afghans clad in security force garb.

The man opened fire on the troops in the volatile Helmand province, said Maj. Lori Hodge, a spokeswoman for the International Assistance Security Force. Hodge did not immediately provide details about the attack, one of a handful in recent weeks to target NATO troops.

A Defense Department official said the three troops killed were part of a Special Operations Forces mission to stabilize a village in the Sarwan Qala area. They were meeting with local officials. NATO and Afghan troops have been searching for the gunman.

"It is too early to say that this latest incident is part of a stepped-up effort on the insurgents' part," White House spokesman Jay Carney said. "We know they are trying to maximize media exposure of these events but our military believes that the operational impact has been negligible. Nonetheless these incidents do concern us and our hearts go out to all the victims and their families."

In the strikes, known as "green-on-blue" attacks, Afghan security forces or militants dressed as local police or soldiers target coalition troops.

The problem has sapped troop morale, and coalition forces have been working to address it.

Earlier this year, Gen. John Allen, commander of the NATO-led force, said the systems that Afghans and coalition forces had put in place to help prevent these attacks were having an effect.

Allen said coalition officials were working on a new procedure to check the backgrounds of Afghans who sign up for the army or police force, and the Afghans "have taken a lot of steps themselves."

Bill Roggio, a terrorism analyst, said Afghan security personnel have killed an estimated 93 ISAF soldiers since May 2007, and they have killed 31 this year alone across the country.

These attacks have taken place in all areas in Afghanistan, not just in the south and east, said Roggio, managing editor of the Long War Journal blog, which reports and analyzes terror issues.

Two other green-on-blue incidents occurred this week, Roggio said. One was the killing of a U.S. soldier Tuesday by two Afghans wearing army uniforms. On Thursday, U.S. troops killed an Afghan soldier who tried to gun them down at a training center in Laghman province.

"The attack types are about split: About half seem to be Taliban infiltrators, or ANSF members who were turned by the Taliban," said Roggio. ANSF stands for Afghan National Security Forces.

Remembering the Chinook crash, a year later

"The other half seem to be disgruntled security personnel who have turned on troops for some sort of grievance. It is very difficult to know exactly what is happening given that ISAF does not release a lot of information on these attacks."

Afghan intelligence agents have started going undercover during recruit training to spot signs of extremist tendencies among the newcomers, military officials say.

"The U.S. military has become so concerned with the green-on-blue attacks that it has ordered units to designate 'guardian angels' in each unit whose job is to provide security for troops working with Afghans. But the attacks have not abated," Roggio said.

Elsewhere in Helmand, a vehicle struck a roadside mine Friday, killing six civilians and wounding five others, President Hamid Karzai's office said. Women and children were among the casualties in the bombing, which Karzai condemned.

The British Defense Ministry announced Friday that one of its soldiers was killed in "enemy action" while on patrol in the Nad Ali district of Helmand on Thursday.

High-profile insurgent attacks against NATO and Afghan targets persist as the United States reduces its troop strength ahead of an anticipated 2014 handover of responsibility to Afghan forces.

In a separate incident, a strike Wednesday in Kunar province left five people dead -- USAID Foreign Service Officer Ragaei Abdelfattah, three ISAF service members and an Afghan civilian -- and injured a State Department Foreign Service officer.

The Department of Defense said that the three American troops died "of wounds suffered when they encountered an insurgent who detonated a suicide vest." Violence has raged during the Afghan war in Kunar province, on the border with Pakistan.

"On behalf of President Obama and the American people, I have sent my deepest condolences to Ragaei's family and to the entire U.S. Mission in Afghanistan," U.S. Secretary of State Hillary Clinton said in a written statement released late Thursday.

The Taliban claimed responsibility for the attack, saying two bombers targeted the American soldier near the entrance of the compound of the province council in Asadabad, according to a statement released by spokesman Zabiullah Mujahid.

Mujahid said the attack occurred as the troops were exiting a military vehicle and gathering to enter the compound. The Taliban claimed to have killed 17 soldiers, though the group is known to routinely claim responsibility for attacks and inflate casualty numbers.

The Defense Department identified the slain soldiers:

-- Army Command Sgt. Maj. Kevin J. Griffin, the senior enlisted soldier of the 4th Brigade Combat Team, 4th Infantry Division from Fort Carson, Colorado.

-- Army Maj. Thomas E. Kennedy, 35, of West Point, New York.

-- Air Force Maj. Walter D. Gray, 38, of Conyers, Georgia.

Kennedy served on the brigade staff, while Gray was a flight commander attached as a liaison to the brigade, according to their respective service records.

Griffin, 45, of Laramie, Wyoming, was the brigade's senior ranking non-commissioned officer, the Defense Department said. He joined the Army in 1988 and participated in the U.S.-led invasion of Iraq in 2003, according to his service records.

Griffin deployed twice more to Iraq, once in 2007 and again in 2009. He deployed to Afghanistan in March with a headquarters company of the brigade.

Kennedy was commissioned as an officer in 2000. He served two tours in Iraq in 2003 and 2005. According to his service record, Kennedy deployed to Afghanistan on July 18.

Gray was assigned to the 13th Air Support Operations Squadron at Fort Carson.

An Afghan interpreter was also killed, the State Department said.

Troops were also wounded in the attack, said Maj. Martyn Crighton, a NATO spokesman. He would not release the number of injured but said "all the seriously wounded were evacuated to Germany."

Complete coverage on Afghanistan

CNN's Ben Brumfield, Samuel Gardner III, Greg Morrison, and Chris Lawrence contributed to this report. Carter and Sterling reported from Atlanta and Popalzai from Kabul.

@highlight

Analyst says "green-on-blue" attackers are split between infiltrators, disgruntled security

@highlight

Gunman in Afghan uniform killed 3 U.S. troops on a Special Operations Forces mission

@highlight

In another incident, the British Defense Ministry said one of its soldiers died

@highlight

Six civilians died in a roadside mine blast in Helmand