London (CNN) -- Following a year in which "people power" was the rallying cry from the Arab Spring to the Occupy movement, the annual World Economic Forum might seem an elitist anomaly.

Never mind the 1%, this is the 0.00004%: around 2,600 of the world's top political and business leaders, coming together to address the big issues -- most pressingly, the eurozone debt crisis -- in the luxurious surrounds of a Swiss ski resort.

Among those gathering in Europe's highest-altitude town from January 25 to 29 will be royalty from Saudi Arabia, Norway, Belgium and the Netherlands, billionaires like philanthropist George Soros, senior executives from Facebook, Google and other tech giants, and the leaders of countries including Germany, South Africa, Mexico, and the world's youngest nation, South Sudan.

While admission is free for heads of state, civil society or faith leaders and international organizations, among others, those paying will face a $20,000 price tag for admission, plus other costs which can easily push the bill to $40,000. But the true barrier to entry is having the power and influence to secure a "white badge" of invitation, the only means of admission to this most exclusive of clubs.

As undemocratic as the event may seem, the forum's architects say that the current global atmosphere of unrest will give discussions an even greater significance. This year's theme is "The great transformation: shaping new models."

Klaus Schwab, the German economist who founded the World Economic Forum (WEF) in 1971, says new decision-making models are needed to account for changed global realities. The WEF has cautioned that the backlash against rising inequality, seen in the discontent behind the Occupy movement and the Arab Spring, risks derailing globalization and constitutes a threat to economies worldwide. Amidst the turmoil of the current economic environment, emphasis needs to be placed on finding new models for assessing the quality of economic growth -- ensuring it is both sustainable and inclusive.

Given rising youth unemployment -- in Spain, Europe's worst affected country, joblessness among young people stands at about 45% -- a new model for job creation is also needed. "For the first time in generations, many people no longer believe that their children will grow up to enjoy a higher standard of living than theirs," said Lee Howell, the WEF managing director behind the Forum's Global Risks 2012 report.

The key to avoiding catastrophe, Schwab argues in a discussion paper, is "to provide young people with the capability to create their own jobs: to move from the pure concept of unemployment to the concept of micro-entrepreneurship."

Those who dismiss the forum as an ineffectual talk-fest for the wealthy and privileged may point to the thematic similarities with previous years' forums as evidence that the event does little to actually implement change towards its stated ends.

It's certainly true that the problems that have given a more austere tone to proceedings in recent years have only endured, or worsened, since the world's elite last visited Davos. At least this year's discussions will not want for a sense of urgency.

Delegates will meet against the backdrop of the eurozone debt crisis, with European nations bickering over the fiscal compact they hope will be their salvation. But ahead of the EU summit which immediately follows Davos on January 30, the situation remains bleak.

France and Austria recently lost their prized AAA credit ratings in a downgrade by Standard & Poor's which affected seven other eurozone nations. Budget deficit numbers for Greece, the country which triggered the current crisis, are getting worse, while crucial talks between the country's government and its creditors on debt haircuts have struck difficulties.

The world's largest economy suffered the same indignity as France when, in an unprecedented move, the U.S.was stripped of AAA status in August. This followed of months of uncertainty stemming from the political paralysis over raising the $14.3 trillion debt ceiling, the resolution of which meant the country narrowly avoided a potentially calamitous default.

And, a year on from its outbreak, the failure of the Arab Spring to deliver dividends has some questioning whether it really constitutes a new dawn. In Egypt, unemployment is at a decade-long high, tourism is down by a quarter, the Cairo Stock Exchange was 2011's worst performer and the once celebrated military has been recast as a villain. The success of Islamist parties on the new political landscape of the Middle East has disappointed some secularists and liberals, and raised concerns about the social changes that could ensue.

For those in attendance, Davos will provide an opportunity not just to air opinions, but perhaps also to build a consensus on how to approach these new realities. The real action will be conducted behind the scenes, at exclusive cocktail parties and black-tie events in the town's most expensive hotels. Eventually though, from the muted hum of discussions, a better sense of the global agenda for the year ahead will emerge, even for those of us without white badges.

@highlight

The world's elite will converge on Davos with the eurozone crisis at the forefront of discussions

@highlight

The theme of this year's event is "The great transformation: shaping new models"

@highlight

Forum organizers say the backlash against rising inequality is jeopardizing globalization

@highlight

Critics say the event does little to actually implement change towards its stated ends