Washington (CNN) -- A second grand jury's decision not to indict a white police officer in the death of an unarmed black man once again had ripple effects that quickly spread from the streets on New York City to reach the halls of Capitol Hill.

The decision not to indict a New York City police officer in the chokehold death of Eric Garner, a black man who was suspected of illegally selling cigarettes, came just nine days after another grand jury decided not to indict a white police officer in Ferguson, Missouri in the death of black teenager Michael Brown. The news led to another night of protests in major cities nationwide, including Washington, D.C. President Barack Obama vowed not to "let up" in his efforts to ease racial tensions, and some Democrats tried to channel demonstrators' outrage in their reactions overnight and into Thursday morning.

And it was a rare development that brought members of both parties together in calling for further investigation. Rep. Cathy McMorris Rodgers, chairwoman of the House Republican Conference, said Thursday morning that the House should "absolutely" hold hearings to investigate Garner's death.

"We all have a lot of serious questions that need to be addressed and we need to understand what happened, why this decision was made," McMorris Rodgers said on MSNBC's "Morning Joe."

"I would call for the House to have those hearings so that we can better understand. But we need to take action, appropriate action, making sure our local law enforcement have the training, that they're using appropriate force, whichâ€”I think we all recognize these are tragedies and it has raised a lot of questions."

Referring to Rodgers' call for hearings, House Speaker John Boehner said he would not "rule that in or out," but said there are "a lot of unanswered questions that Americans have, and frankly I have."

"I do think that the American people deserve more answers about what really happened here and was our system of justice handled properly," Boehner said Thursday during a press conference.

Black leaders in Congress quickly slammed the decision not to indict New York City police officer Daniel Pantaleo in Garner's death and called on the Department of Justice to investigate Garner's death.

Rep. Marcia Fudge, chairwoman of the Congressional Black Caucus, said Wednesday she was "deeply disappointed" in the decision not to indict Pantaleo in Garner's death and called the grand jury's decision "yet another sad day for our country and our democracy."

"In the span of two weeks, this nation seems to have heard one message loud and clear: there will be no accountability for taking Black lives. As an American, it is growing increasingly difficult to believe that there is justice for all," she said in a statement. "Black lives do matter and our lives do hold value."

Rep. Hakeem Jeffries, the black caucus' incoming whip who represents parts of New York City, called the grand jury's decision a "stunning miscarriage of justice" in a statement Wednesday and said the decision "makes clear that equal protection under the law does not exist for all Americans."

And Jeffries said Thursday that the incidents should serve as a catalyst for a wide shakeup in how cases involving police misconduct and potential crimes should be prosecuted.

"We need to look at broader reform and whether these type of cases should be handled by independent, special prosecutors so that we can have some measure of fairness and a real full and fair investigation," Jeffries said on CNN's New Day.

Jeffries called the altercation between Garner and the police officer, which was caught on video, a "living breathing example of probable cause to indict." Nearly a dozen times, Garner tries telling the officer that he can't breathe and Jeffries noted that Garner "even put his hands up in the air," but Pantaleo "continued to choke him."

Protests featuring slogans like "Hands up, don't shoot," "Black lives matter" and now "I can't breathe" broke out again Wednesday in reaction to the Staten Island grand jury's decision as demonstrators called for justice for Garner and Brown, the black teenager who was shot by police officer Darren Wilson in Ferguson this summer.

Amid outcry from Democrats on Capitol Hill and mostly silence from Congressional Republicans, two New York GOP Congressman defended the grand jury's decision Wednesday not to indict NYPD officer Pantaleo.

Rep. Peter King thanked the grand jury on Twitter "for doing justice" and said later on CNN that he felt "strongly" the police officer should not have been indicted.

RELATED: Rep. Peter King thanks Staten Island grand jury for 'doing justice'

Rep. Michael Grimm, who represents Staten Island in Congress, called the grand jury decision "fair and reasoned" in a statement Wednesday and thanked the District Attorney in the incident for handling the grand jury case "with the utmost integrity." Staten Island is New York's whitest burrough and a majority of the grand jurors in the case were white.

Grimm did not fare so well at the hands of another grand jury last spring, when he was indicted on tax and other fraud charges.

U.S. Attorney General Eric Holder heeded calls from Congressional leaders to launch a federal investigation and later Wednesday formally announced that the Justice Department is leading a civil rights investigation into Garner's death.

President Obama had also weighed in Wednesday saying he had spoken with Holder and said "we are not going to let up until we see a strengthening of the trust and a strengthening of accountability that exists between our communities and law enforcement."

Holder's announcement came after Sen. Kirsten Gillibrand of New York joined members of the Congressional Black Caucus in calling on the Justice Department to investigate the Staten Island death.

Sen. Kirsten Gillibrand called the decision "shocking" and called Garner's death a "tragedy that demands accountability."

"Nobody unarmed should die on a New York City street corner for suspected low-level offenses," she said in a statement.

U.S. Attorney Loretta Lynch, Obama's nominee to succeed Holder as U.S. Attorney General, will lead the investigation into Garner's death.

Sen. Chuck Schumer, also of New York, said he was confident Lynch will "conduct a tough but fair investigation into the tragic death of Eric Garner."

Sen. Rand Paul, a Kentucky Republican and would-be 2016 presidential contender who has specialized in reaching out to minority voters, blamed high taxes on cigarettes in the Empire State as partially to blame for putting police officers in "a dangerous situation with bad laws."

.

@highlight

NEW Speaker Boehner said American people deserve more answers in Garner's death

@highlight

Rep. Hakeem Jeffries called for "broader reforms" to appoint special prosecutors

@highlight

Attorney General Eric Holder announced Wednesday the DOJ is investigating

@highlight

Meanwhile, New York Republicans lauded the grand jury for making a fair decision