(CNN)  -- The images of Haitian children crying or injured or wandering the streets alone are heartbreaking. It's no surprise there has been a flood of well-intentioned people who want to adopt those children.

But that's not always the best immediate move, aid groups caution.

Save the Children Chief Executive Jasmine Whitbread said the "vast majority" of children on their own in Haiti are not orphans, but were simply separated from their families in the chaos.

Their family members may still be alive, she said, and "will be desperate to be reunited with them."

"Taking children out of the country would permanently separate thousands of children from their families -- a separation that would compound the acute trauma they are already suffering and inflict long-term damage on their chances of recovery," Whitbread said.

Hurriedly whisking unclassified children out of Haiti will not ensure the children are happy or safe in the long-term, experts said. Homes and potential parents must be reviewed by professional social workers and it's logistically impossible to do that in a short time. Allowing adoptions to proceed without thorough background checks can lead to child trafficking and other crimes.

The United Nations Children's Fund, or UNICEF, does not facilitate adoptions, but it has been bombarded with calls from people who want a Haitian orphan, said Christopher de Bono, a UNICEF spokesman.

In 2007, UNICEF estimated that there were 380,000 orphans in Haiti, but de Bono said Thursday that he'd "hate to vouch for that figure" because that number -- any number -- is impossible to verify.

Between Haiti's "lousy [child welfare] oversight system," and all the challenges that Haitians have endured, it's not uncommon for Haitian parents to put their children in orphanages temporarily, de Bono said. This means knowing who is truly an orphan and who isn't requires great attention to detail and documents.

"Removing children who've just experienced a disaster from their environment, from where they're from is not necessarily good for them," he said. Haitian children must first be fed, sheltered, clothed and given medical attention; the next step is to register them and trace their relatives.

Diana Boni, who works with Port-au-Prince's BRESMA orphanage, is firmly against new adoptions out of Haiti. "Under no circumstances should we evacuate any child newly orphaned or displaced," she wrote in an e-mail to CNN.

"Imagine losing much of your family, only to discover that a surviving relative had been whisked off to the States to be adopted by strangers without your knowledge or consent! Adoptions without consent are child trafficking. Pure and simple."

Full coverage | Latest news updates | Twitter updates

She has been taking care of children who waited for years in the orphanage to be adopted. "It's a bit sad, as I have several wonderful children who waited literally for years for new families, and no one ever came," she said.

The disaster in Haiti has led to an outpouring of support around the world, with the United States alone donating more than $305 million as of Wednesday, according to the Chronicle of Philanthropy, a newspaper covering nonprofit organizations.

List of missing, found | Are you there? | Impact Your World

Because Haiti's poverty already made it "extremely vulnerable" to exploitation and abuse, rushed adoptions could open the door to traffickers, said World Vision Chief Executive Justin Byworth.

"We are concerned not only about premature overseas adoption but also about children increasingly being sent unaccompanied to the Dominican Republic," he said.

Aid groups said adoptions that were already in progress before the January 12 earthquake should go ahead, as long as the right legal documents are in place and they meet Haitian and international law.

For those who want to help Haitian children, Whitbread said, they should donate to aid agencies that are working on reuniting children with their families.

The International Committee of the Red Cross has opened an office at the headquarters of the Haitian Red Cross in Crois de Prez to help people locate their relatives, said Pete Garratt, a disaster response manager at the British Red Cross.

The Red Cross also has set up a Web site to help people searching for relatives, he said.

CNN's Jessica Ravitz contributed to this report.

@highlight

Experts: Hurried adoptions can lead to trafficking and cause more trauma to children

@highlight

Aid groups say focus should be on reuniting kids with relatives

@highlight

Reports on plight of children in Haiti has led many to ask about adoptions