(CNN) -- The ideal of childhood, and the protection of its innocence, is a central pillar of both our morality and our legal code. There is, therefore, little that shocks and outrages us more than crimes by adults against children.

Unfortunately, we have much to be shocked and outraged about. There have, for example, been a number of recent pedophile criminal cases inside the Catholic church and at universities like Pennsylvania University. And in the Congo, the crimes against children by the warlord Joseph Kony triggered KONY 2012 -- an online crusade made up of mostly children against Kony's abuse of children.

What is KONY 2012?

The last couple of weeks have brought us two more disturbingly high-profile criminal cases against children.

First there was the failed attempt by the medieval Pakistani Taliban to kill the 14-year-old education activist and BBC blogger Malala Yousufzai. And now there are the lurid accusations against the BBC celebrity Jimmy Savile, who is alleged to have sexually abused children.

These grotesque crimes may have been separated by several decades and by thousands of miles, but they have one thing in common. Both the Pakistani Taliban and Jimmy Savile sought to destroy the innocence of youth. Savile is accused of treating children as if they had adult bodies and sexual appetites, while the Taliban attempt to murder Malala Yousufzai was driven by their rejection of the idea of education for girls and thus, in a sense, of the very idea of childhood itself.

But Malala, who is now recovering from the assassination attempt at an English hospital, shares our modern conception of childhood. "I have the right of education," she told CNN. "I have the right to play. I have the right to sing. I have the right to talk. I have the right to go to market. I have the right to speak up."

What Malala is claiming is the right to an autonomous childhood, the right to transform herself from an innocent child to a knowing adult -- and to be let alone by the adult world in this journey. This right is mirrored by the experience of Jimmy Savile's alleged victims, whose innocent childhoods were ruined by their exposure to his criminal adult appetites.

A Taliban spokesman said of the attack on Malala: "She has become a symbol of Western culture in the area. She was openly propagating it. Let this be a lesson."

The Taliban, with their rejection of the very idea of childhood, are of course wrong. But the Malala case does indeed offer us a "lesson." Yes, we should all be horrified by this appalling crime against a 14-year-old Pakistani girl from the Swat Valley, but I fear that, in our idealization of childhood and in our acute sensitivity to the innocence of brave young girls like Malala, we are ourselves vulnerable to transforming children into celebrity martyrs -- modern day versions of Joan of Arc.

This happened with KONY 2012, a movement akin, as I wrote earlier this year, to a children's crusade. And Malala, who was nominated for the 2011 International Children's Peace Prize, is herself in danger of becoming a symbol of injustice exploited by everyone from UNICEF to Madonna and CNN itself.

So how did this happen? Unfortunately, Malala was allowed, by her family, by many Pakistanis and by the media to become a spokesman against the Taliban. The well-meaning BBC is partially to blame here, for giving her a highly visible blog that would inevitably attract Taliban ire.

Malala's equally well-meaning father holds some responsibility too, for allowing his daughter to become so vulnerable -- as does the world's media for transforming the teenager into a global celebrity.

Our ideal of childhood is rooted in allowing children to being let alone by the adult world to develop themselves. We need adults to fight their political battles -- to have prosecuted Jimmy Savile, to hunt down Joseph Kony, to fight the Pakistan Taliban. Let's remember that children are, in every sense, innocent and thus shouldn't be encouraged to become the foot soldiers in the battle against their own exploitation.

The story of Malala Yousufzai should be seen as both an inspiration and a warning.

CNN is currently encouraging its readers to send messages to Malala. My message to her is twofold. Firstly, I dearly hope that you recover quickly from your wounds. And secondly, once you recover, I hope you'll be able to go back to the privacy of your childhood, to simply being Malala rather than a global celebrity whose image is owned by other people.

(The BBC addressed its connection with Malala Yousufzai on its blog called The Editors, and you can read it by following the link here).

The opinions expressed in this commentary are solely those of Andrew Keen.

@highlight

The ideal of childhood is a central pillar of both our morality and our legal code, Keen says

@highlight

Keen: Last few weeks brought two more high-profile criminal cases against children

@highlight

Unfortunately, Malala was allowed to become a spokesman against the Taliban, he says

@highlight

Our ideal of childhood is rooted in allowing children to develop themselves, Keen says