(CNN) -- Last year we published a list of quintessential Americana experiences. You can find it here.

They weren't necessarily the most patriotic, obvious or agreeable choices. NASCAR, bourbon, state fairs, Vegas, what's not to love? Apparently, plenty.

There was scandal. There was outrage. There was name calling.

Because we're gluttons for punishment -- or maybe just because we think we actually can please all of the people all of the time -- we're back for round two.

Here's our Volume II of the most authentically American experiences this country has to offer.

1. Seaside boardwalks

Boardwalks have been enhancing beachside amusement since long before the Drifters' released their classic "Under the Boardwalk" in 1964.

The first boardwalk was built in Atlantic City in 1870, when a railroad conductor was asked to find a way to prevent sand from filling shorefront hotel entryways.

The innovation remains America's favorite wooden path, showing up everywhere from Monopoly, which was inspired by "America's Favorite Playground," to the HBO series "Boardwalk Empire," which takes place in Prohibition-era Atlantic City.

Of course, you don't have to travel to Jersey to experience the joy of a lumber-pathed stroll; there are more than 60 boardwalks split between America's coasts.

Coney Island in Brooklyn, New York, includes roller coasters, carnival attractions, Nathan's Famous hot dogs and other slices of Americana. Out West, the Venice Boardwalk in California offers bodybuilders, artists, trinket sellers, magicians and boutique shops a place to be seen.

2. Pueblos and powwows

One of the most inspiring American experiences is witnessing the culture of the first Americans come alive in a spectacle of swirling, pulsing color.

Every April, approximately 3,000 Native American dancers and singers from roughly 700 tribes come together in Albuquerque, New Mexico, to compete and celebrate their heritage. The teams blend traditional style with modern, innovative techniques, so the result is more than just living history, it's the evolution of a culture that most Americans think has all but died away.

In the same area are many pueblo sites that provide tours of cave dwellings and indigenous architecture.

Perhaps the most memorable is Taos Pueblo, 2Â½ hours northwest of Albuquerque. This village of adobe buildings has been continually occupied by Native Americans for more than a thousand years.

Taos Pueblo, 120 Veterans Highway, Taos, New Mexico; open 8 a.m.-4:30 p.m.; closed for about 10 weeks in late winter and early spring; $10 for adults; 575-758-1028

Gathering of Nations, University of New Mexico Arena, Avenida Cesar Chavez, Albuquerque, New Mexico; 505-836-2810

3. Wrigley Field, Chicago

Forget national pastime -- to some Americans, baseball is a national religion. Wrigley Field in Chicago, regardless of denomination, is their Vatican.

Boston's Fenway Park has two years on Wrigley (the former was built in 1912), but Fenway has had more significant updates. Like a giant video display installed in 2000, and extra seats and luxury boxes that have been added time and time again.

By contrast, Wrigley has remained fairly true to its roots. It's a classic jewel box design -- green seats, open roof, exposed steel, brick, stone -- with ball-swallowing ivy-covered walls.

There's truly no better place to watch a game if you want a direct link to nearly a century of baseball history. If you're in Chicago during the off-season, no worries. The park provides 90-minute tours year-round.

Wrigley Field, 1060 W. Addison St., Chicago; tours $24 for individuals; 773-388-8270

4. College football, anywhere (though Alabama ain't bad)

Let's not kid ourselves. Football is the true national sport of the 21st century.

While it doesn't get much more American than the Super Bowl, we'd argue that the most enjoyable, purest way to experience the unique American-branded mixture of militant strategics, refined athleticism, brute force and exploitation of young labor is at a college football game.

Best to get there early enough to tailgate. Bonding with strangers, drinking and grilling beforehand is 72.4% of the experience.

Pretty much any stadium will do, but a game experience doesn't get much better than at Bryant-Denny Stadium in Tuscaloosa, Alabama, home of the reigning national champion Alabama Crimson Tide. (Yes, we know, the barbecue is spicier and the cheerleaders are hotter at your team's stadium, but we had to draw the line somewhere and "national champs" earns you the top spot on lists like this.)

Bryant-Denny Stadium, 920 Paul W. Bryant Dr., Tuscaloosa, Alabama.

5. Kentucky Derby

There's one more sporting event we have to include on the list.

Sure, other countries have their horse races. But those competitions weren't founded by the grandson of William Clark of the Lewis and Clark expedition. Also, those races don't have a traditional drink made of bourbon (mint julep), nor do they encourage everyone to dress like a flamboyant Southern aristocrat. We're talking bow ties, seersucker, bold pastels and spectacular hats that put British royal wedding attendees to shame.

Churchill Downs, 700 Central Ave., Louisville, Kentucky.; May 3-4, 2013; single day general admission $25-40; 502-636-4400

6. Burning Man

The first Woodstock Music & Art Fair in 1969 was one of the most pivotal moments in American cultural history. Five-hundred-thousand people came together to celebrate drugs, weirdness, creativity, individualism, beauty and sticking it to the Man.

What's the direct descendant of Woodstock? Before you say Bonnaroo, Coachella, Lollapalooza or any other trendy music festival -- each of which is run by the Man -- let us stop you.

The world's largest festival of artistic expression is Burning Man.

The weeklong event held every year in the Black Rock Desert of northern Nevada is difficult to describe. As the website puts it, describing Burning Man is "like trying to explain what a particular color looks like to someone who is blind."

Essentially 50,000 creative spirits gather in one of the most desolate areas in the continental United States to wear bizarre clothes, make art, do drugs, experience a new form of communal living, have a hell of a lot of fun and let their freak flags fly.

Burning Man; August 26-September 2, 2013; 415-863-5263

7. Soul food

It's difficult to pin down the most American of foods. Almost every candidate has roots in other countries, but, of course, that's what makes them American.

Soul food makes the top of the list because it's delicious, unapologetically artery-clogging and it brings us face to face with our turbulent past.

African-American slaves on Southern plantations were often given scraps and leftovers to eat, and had to make do with whatever vegetables they could grow nearby and with little care, as so much time was spent working. From these restrictions arose some of the finest recipes in American cuisine.

There are thousands of spectacular soul food restaurants -- many of the best are in the South -- but Sylvia's in New York is maybe the most well known.

Sylvia's, 328 Lenox Ave., New York; 212-996-0660

8. Juke joints

While we're in the region, one of America's great art forms, Blues music, grew up in the juke joints of the South. Jukes arose after emancipation, taking the form of shacks and private houses where African-Americans gathered to listen to and play music, gamble and dance.

A few classic juke joints still remain, some along Highway 61, aka the Blues Highway, which stretches from New Orleans to the town of Wyoming, Minnesota, an American experience in and of itself. Po' Monkey's, opened in 1963 outside Merigold, Mississippi, is considered one of the last remaining original jukes. It's only open Thursdays, and it's not easy to get to, but the music and crowd make it worth the trip.

Po' Monkey's; Po Monkey Road, Merigold, Mississippi; 662-843-2712

9. Outdoor Christmas light displays

Sure, other countries have Christmas lights (or fairy lights, in the UK), but no one else takes it quite as seriously as Americans.

The lighting of the approximately 80-foot tall Norwood spruce at Rockefeller Center in New York is practically a national event. But the greatest displays of holiday spirit can be seen in more rural areas. Take Magical Night of Lights in Lake Lanier, Georgia, which consists of seven miles and millions of lights, or the six-mile long Oglebay Winter Festival of Lights in Wheeling, West Virginia.

Magical Night of Lights, 7000 Lanier Islands Parkway, Buford, Georgia; 770-945-8787

Winter Festival of Lights, 465 Lodge Dr., Wheeling, West Virginia; November 8, 2013-January 5, 2014; Sunday through Thursday until 10 p.m. and Friday and Saturday until 11 p.m.; 800-624-6988

10. Megachurches

Americans know how to make praising Jesus memorable. Just look at Gospel music and tent revivals.

In modern times you needn't look much further than Gospel brunches (wash away your sins from the night before with spiritual songs and mimosas) and megachurches.

Those giant boxes of worship are where thousands of Christians gather not simply to pray and praise, but in many cases to eat, shop and work out.

The United States has more than 1,300 of them, and more than 50 draw a weekly attendance between 10,000 and 45,000.

The mega-ist of American megachurches is Lakewood Church in Houston, led by senior pastor Joel Osteen. Every week his message is broadcast to 7 million viewers in more than 100 countries.

Lakewood Church; 3700 Southwest Freeway, Houston; 713-635-4151

@highlight

Pueblos and powwows in New Mexico highlight Native American culture

@highlight

Baseball, football and the Derby made the cut -- yes, we love sports

@highlight

What would the country be without soul food?

@highlight

We tried to resist including Burning Man, but failed