(CNN) -- Rizana Nafeek was a child herself -- 17 years old, according to her birth certificate -- when a four-month-old baby died in her care in Saudi Arabia. She had migrated from Sri Lanka only weeks earlier to be a domestic worker for a Saudi family.

Although Rizana said the baby died in a choking accident, Saudi courts convicted her of murder and sentenced her to death. On Wednesday, the Saudi government carried out the sentence in a gruesome fashion, by beheading Rizana.

Read more: Outrage over beheading of Sri Lankan woman by Saudi Arabia

Rizana's case was rife with problems from the beginning. A recruitment agency in Sri Lanka knew she was legally too young to migrate, but she had falsified papers to say she was 23. After the baby died, Rizana gave a confession that she said was made under duress -- she later retracted it. She had no lawyer to defend her until after she was sentenced to death and no competent interpreter during her trial. Her sentence violated international law, which prohibits the death penalty for crimes committed before age 18.

Rizana's fate should arouse international outrage. But it should also spotlight the precarious existence of other domestic workers. At least 1.5 million work in Saudi Arabia alone and more than 50 million -- mainly women and girls -- are employed worldwide according to the International Labour Organization (ILO).

Read more: Indonesian maid escapes execution in Saudi Arabia

Again according to the ILO, the number of domestic workers worldwide has grown by more than 50% since the mid-1990s. Many, like Rizana, seek employment in foreign countries where they may be unfamiliar with the language and legal system and have few rights.

When Rizana traveled to Saudi Arabia, for example, she may not have known that many Saudi employers confiscate domestic workers' passports and confine them inside their home, cutting them off from the outside world and sources of help.

It is unlikely that anyone ever told her about Saudi Arabia's flawed criminal justice system or that while many domestic workers find kind employers who treat them well, others are forced to work for months or even years without pay and subjected to physical or sexual abuse.

Read more: Saudi woman beheaded for 'witchcraft and sorcery'

Conditions for migrant domestic workers in Saudi Arabia are among some of the worst, but domestic workers in other countries rarely enjoy the same rights as other workers. In a new report this week, the International Labour Organization says that nearly 30% of the world's domestic workers are completely excluded from national labor laws. They typically earn only 40% of the average wage of other workers. Forty-five percent aren't even entitled by law to a weekly day off.

Last year, I interviewed young girls in Morocco who worked 12 hours a day, 7 days a week for a fraction of the minimum wage. One girl began working at age 12 and told me: "I don't mind working, but to be beaten and not to have enough food, this is the hardest part."

Many governments have finally begun to recognize the risks and exploitation domestic workers face. During 2012, dozens of countries took action to strengthen protections for domestic workers. Thailand, and Singapore approved measures to give domestic workers a weekly day off, while Venezuela and the Philippines adopted broad laws for domestic workers ensuring a minimum wage, paid holidays, and limits to their working hours. Brazil is amending its constitution to state that domestic workers have all the same rights as other workers. Bahrain codified access to mediation of labor disputes.

Read more: Convicted killer beheaded, put on display in Saudi Arabia

Perhaps most significantly, eight countries acted in 2012 to ratify -- and therefore be legally bound by -- the Domestic Workers Convention, with more poised to follow suit this year. The convention is a groundbreaking treaty adopted in 2011 to guarantee domestic workers the same protections available to other workers, including weekly days off, effective complaints procedures and protection from violence.

The Convention also has specific protections for domestic workers under the age of 18 and provisions for regulating and monitoring recruitment agencies. All governments should ratify the convention.

Many reforms are needed to prevent another tragic case like that of Rizana Nafeek. The obvious one is for Saudi Arabia to stop its use of the death penalty and end its outlier status as one of only three countries worldwide to execute people for crimes committed while a child.

Labor reforms are also critically important. They may have prevented the recruitment of a 17 year old for migration abroad in the first place. And they can protect millions of other domestic workers who labor with precariously few guarantees for their safety and rights.

Read more: Malala, others on front lines in fight for women

The opinions expressed in this commentary are solely those of Jo Becker.

@highlight

Saudi authorities beheaded Rizana Nafeek, a Sri Lankan woman

@highlight

She was convicted of killing a baby of the family employing her as a housemaid

@highlight

This was despite Nafeek's claims that the baby died in a choking accident

@highlight

Becker says her fate "should spotlight the precarious existence of domestic workers"