"She was a professor?"

That's what an astonished caseworker at Adult Protective Services asked about Margaret Mary Vojtko when informed of the 83-year-old woman's destitute situation, according to an op-ed in the Pittsburgh Post-Gazette. Vojtko died September 1 of a massive heart attack.

Yes, she was a professor. An adjunct professor of French at Duquesne University. Until she was not renewed this year, with neither due process nor severance pay.

She taught students for 25 years, with no health benefits, no retirement benefits, and low wages.

The minimum pay for adjunct faculty at Duquesne used to be $2500 per course. After an ongoing effort by the United Steelworkers to unionize adjuncts there, the university paid $3,500 per course.

Vojtko's situation was not unusual for adjuncts in academia. That is why many have taken the hashtag #iamMargaretMary to tweet their indignation at her working conditions, lack of support and lack of respect.

The dirty little secret is that higher education is staffed with an insufficiently resourced, egregiously exploited, contingent "new faculty majority." In addition to the 49.3% of faculty in part-time positions (70% in community colleges), another 19% are full-time, nontenure-track. (These numbers do not include graduate assistants or postdocs.)

Adjunct professors, like many hard-working Americans, are the working poor. They are one step away from "We don't need your services anymore" or one medical emergency away from being destitute, like Vojtko.

If Vojtko was good enough to be entrusted with teaching Duquesne undergraduates, how can the university justify not providing her (and her adjunct colleagues) with health care and other basic benefits?

If American higher education says to students and society that a college education is the path to the middle class, how can we justify such treatment of these professionals, with advanced degrees, who are teaching the students?

We are living a lie that cheats these professors and the students they teach, particularly in access universities and community colleges where adjunct faculty numbers, like percentages of lower-income students, are highest and instructional spending per student is lowest.

The story is not just about Duquesne. Certainly, the institution's wealth ($171 million endowment, tuition over $28,000) and Catholic status (Catholic social doctrine supports collective bargaining rights) make the situation -- and Duquesne's refusal to recognize a union that adjunct faculty voted for overwhelmingly -- particularly indefensible.

Duquesne University's administration has provided a response to the situation, suggesting that there were caring responses by people within the institution to Vojtko's circumstances. However, acts of charity are not conditions-of-employment justice for hard-working adjunct professors.

The larger issues are not about individual responsibility or culpability for actions toward Vojtko, but rather, about collective responsibility for the structural conditions of work that contributed to her circumstances, and that leave significant segments of the academic workforce with no benefits and low pay.

So Duquesne should recognize the adjunct union, bargain in good faith, grant benefits and set up a professional development fund in Vojtko's name. But this story speaks more broadly about a horrible reality in higher education.

Adjunct professors, as part of a growing army of working poor, are at the center of the academic labor movement, just as fast-food workers are now at the center of the larger labor movement. We are in the midst of deciding the extent to which we are an inclusive society that will live up to our nation's promise that hard work pays off.

The question is: How will we treat working people?  Will we, the richest nation on earth, continue to structure employment in ways that reduce large segments of society to near Dickensian conditions of existence? Or can we muster the collective will to appropriately remunerate and honor the work of all working Americans?

In academia, that means tenure stream faculty, staff, students, administrators, and communities must recognize in Vojtko's fate the ugly and diminished future of higher education and choose, in big ways and small ways, a more equitable path.

Adjunct professors have taken initiatives to change the status quo. Some have joined advocacy groups, such as the New Faculty Majority. Some are involved with caucuses within unions and professional associations where they gather data about pay and working conditions, define best practices, and work to ensure that adjunct faculty are not discriminated against.

Adjuncts are organizing for benefits, a living wage, and conditions that will benefit their students and their schools. In Pittsburgh, as in Boston, Los Angeles, Seattle, and Washington, there are union campaigns for adjunct unions in private (often wealthy) universities. There is also much organizing in public institutions, and in units that combine adjunct with full-time and tenure track faculty.

No one deserves the treatment and fate experienced by Margaret Mary Vojtko, who escaped the 21st century equivalent of Victorian poorhouses in a cardboard casket. American higher education can and should do better for those who teach our students.

@highlight

Margaret Mary Vojtko, who taught at a university for 25 years, died in poverty

@highlight

Gary Rhoades: Adjunct professors are paid very little and have no benefits

@highlight

He says the dirty secret in higher education is that adjuncts are used a lot

@highlight

Rhoades: Adjunct faculty do not deserve to be the new working poor in society