Kathmandu, Nepal (CNN) -- Geeta was 9 when she began wearing makeup, staying up until 2 a.m. and having sex with as many as 60 men a day.

"I used to be really sad and frustrated with what was happening in my life," she said.

The daughter of Nepalese peasant farmers, Geeta -- now 26 -- had been sold to a brothel in India by a member of her extended family. The family member had duped Geeta's visually impaired mother into believing her daughter would get work at a clothing company in Nepal.

"The brothel where I was ... there [were] many customers coming in every day. The owner used to verbally abuse us, and if we didn't comply, [she] would start beating us with wires, rods and hot spoons."

It was not until Geeta was 14 that a police officer rescued her and brought her to a safe house compound run by Anuradha Koirala. The 61-year-old woman and her group, Maiti Nepal, have been fighting for more than 16 years to rescue and rehabilitate thousands of Nepal's sex trafficking victims.

"Families are tricked all the time," said Koirala. "The trafficking of the girls is done by people who are basically known to the girls, who can lure them from the village by telling them they are getting a nice job. It's a lucrative business."

By raiding brothels, patrolling the India-Nepal border and providing safe shelter and support services, Koirala and Maiti Nepal have helped rescue and rehabilitate more than 12,000 Nepali women and girls since 1993.

Do you know someone who should be a CNN Hero? Nominations are open now

According to the U.S. State Department, some 10,000 to 15,000 women and girls from Nepal are trafficked to India and then sexually exploited each year.

Koirala's own history in an abusive relationship led her to her crusade. For most of her young adulthood, she taught primary school English in Nepal. But when her relationship took a violent turn, her life's "purpose and responsibility completely changed," she said.

"Every day, there was battering. And then I had three miscarriages that I think [were] from the beating. It was very difficult because I didn't know in those days where to go and report [it], who to ... talk to."

After the relationship ended, Koirala used a portion of her $100 monthly salary to start a small retail shop to employ and support displaced victims of sex trafficking and domestic violence.

By the early 1990s, an increasing demand for help and persistent cases of violence against women compelled Koirala to do more. Maiti Nepal was her brainchild for giving voice, legal defense and rehabilitation to victims of sex trafficking.

Roughly translated, Maiti means "Mother's Home." The group has facilities throughout Nepal and India, but most of the rehabilitation work takes place at its main campus in Kathmandu, Nepal.

Koirala said girls from the brothels arrive empty-handed, sick, in many cases pregnant or with small children, and "psychologically broken."

"When the girl first comes to Maiti Nepal, we never, never ask them a question. We just let them [be] for as long as they need. We let them play, dance, walk, talk to a friend," Koirala said. "They are afraid at first, but eventually they will talk to us on their own."

The group also takes in rape and domestic violence survivors, as well as abandoned children.

"I cannot say no to anybody," Koirala said. "Everybody comes to Maiti Nepal."

Accommodating its population of close to 400 women and children requires a large staff of teachers, counselors and medical personnel -- and dozens of bunk beds. Many of the staff are sex trafficking survivors now committed to helping rehabilitate other girls. The work is funded by grants and donations from around the world.

Post-rescue recovery is comprehensive. Maiti Nepal provides medical treatment, psychological and legal counseling, formal court filings and criminal prosecution, all for free.

While some of the girls are able to return to their families, many of them -- particularly those with HIV/AIDS and other sexually transmitted diseases -- become socially stigmatized and are no longer welcome in their home communities. For these girls, Maiti Nepal becomes their new, and possibly last, home. A hospice on the compound's grounds houses terminally ill patients.

"The hardest part for me is to see a girl dying or coming back with different diseases at an [age] when she should be out frolicking," Koirala said. "That's what fuels me to work harder."

The group's ultimate goal is to help girls become economically independent and reintegrated into society.

"We try to give them whatever work they want to do, whatever training they want to do, because when you're economically empowered, people forget everything. People even forget [she is] HIV-positive or was trafficked," Koirala said.

Koirala and at least 50 trafficking survivors also participate in what she calls social preventive work outside the campus. Their community awareness camps educate families in rural villages and city slums about the dangers of sex trafficking, and a daily patrol at crossing points along the India-Nepal border successfully rescues an average of four Nepali girls a day.

"Our girls are border guards who have been trafficked themselves. They easily recognize a girl that is being trafficked or will be trafficked," Koirala said. "The girls need no motivation from me. They know the horrors of the brothel, and they are here to save their sisters."

Some girls who are trafficked choose to remain prostitutes for life because their home villages will not accept them. But Koirala says that among those rescued by Maiti Nepal, there isn't a single case when a girl has returned back to the streets.

Geeta's recovery is one of the group's success stories. Today, she works at Maiti Nepal as a peer educator and also helps with the group's awareness camps. She credits Koirala and Maiti Nepal for the strength to keep living and the confidence to join the fight against sex trafficking.

"Anuradha is a hero. ... She's courageous," Geeta said. "She gave me my faith back. ... If Maiti Nepal wasn't there for me, I would be dead by now."

Want to get involved? Check out the Maiti Nepal website and see how to help.

CNN's Gena Somra and Farhad Shadravan contributed to this report.

@highlight

Group fights to prevent sexual trafficking of Nepal's women and girls

@highlight

Anuradha Koirala, 61, started Maiti Nepal following an abusive relationship

@highlight

More than 12,000 Nepali women and girls have been rescued and rehabilitated since 1993

@highlight

Do you know someone who should be a CNN Hero? Nominations are open now