(CNN) -- George Zimmerman should only be prosecuted if, after an exhaustive investigation and an honest assessment of Florida's "stand your ground" law, special prosecutor Angela Corey concludes that there is a strong possibility of proving his guilt at trial for the killing of Trayvon Martin.

No American should ever be prosecuted for any crime as a consequence of the demands of a crowd, however large or vocal. This core principle of justice should stand regardless of the facts of a case or the radioactivity of a defendant. The justice system, fragile at best, is imperiled when prosecutorial decisions are tied to politics.

That said, good prosecutors should vigorously pursue cases when justice demands, even and maybe especially, when there are legal impediments. To do less, especially in a homicide case, is to create one of society's greatest miscarriages: the failure to hold accountable someone who acted culpably to take the life of another. The victim's life must be vindicated. Unfortunately, some prosecutors find themselves legally paralyzed by complex cases or shrink from pursuing matters that are not air tight.

Unless there are clear legal red lights at the outset, successful prosecution frequently means stretching existing laws to achieve just ends. This means arguing at trial, and on appeal, that someone like Zimmerman can be brought to justice notwithstanding Florida's strong self defense law, or that the law should be construed less favorably to those who resort to deadly force.

In many self defense cases, the defendant can and does argue that the case should revolve around the uncertain moments of terror faced when he was confronted by an assailant, and that everyone in the court room is after-the-fact quarterbacking. The outcome of cases is determined by comparing the defendant's actions against state law. In no part of the country is a person threatened with death or serious physical injury required to suffer the first blow. A person can be found to have acted justifiably and reasonably for killing an unarmed person depending on the circumstances.

Opinion: Without protests, justice for Trayvon Martin can't be served

Florida authorizes deadly force "if the danger could be avoided only" by using it, but does not require a threatened person to try first to flee. In states with more restrictive self defense rules, deadly force is only an option if someone subjected to an attack can't escape with complete safety. In Florida and elsewhere, however, even if someone is an aggressor, he can regain the right to use self defense if he withdraws from the confrontation that he initiated.

Thus, a major challenge for the prosecution team in the Martin case may be the version of events that Zimmerman offers. In his account, the first face-to-face encounter with Trayvon Martin was occasioned when the teenager approached him and said, "You got a problem?" as Zimmerman was walking away.

It is imperative for the state to emphasize evidence that the defendant is not justified in his killing and discredit or explain all contradictory evidence. Witness statements will have to be parsed with great care, especially where they appear to support Zimmerman's version of events. The prosecution should also make sure that the defendant cannot introduce into the minds of the jurors something that is so off-putting that it gives rise to doubt about the propriety of the defendant's intentions and actions.

Even though the state has a lode of evidence, including vitally important 911 tapes that can offer a unique window into the motives of Zimmerman on that fateful night, it needs to be mindful of the narrative of fear that will be told by the defense counsel. (The Florida gated community has seen a number of crimes, Zimmerman was acting as a good citizen by being a neighborhood watch member, Martin is a powerfully built teenager, etc.) The defense will no doubt also exploit any lack of thoroughness in the police and forensic investigation as a bungled rush to judgment that can unsettle the minds of jurors who might otherwise be horrified by the shooting.

To convict Zimmerman, a jury would have to find that there is no reasonable view of the evidence that would justify his lethal actions. Of course, the state's star witness, Trayvon Martin, is unavailable to them.

The opinions expressed in this commentary are solely those of Eugene O'Donnell.

@highlight

Eugene O'Donnell: Prosecutor needs to see if Zimmerman can be proven guilty

@highlight

O'Donnell: No American should ever be prosecuted for a crime because of demands of crowds

@highlight

He says prosecutors should vigorously pursue cases when justice demands it

@highlight

O'Donnell: Major challenge for prosecution would be disproving Zimmerman's story