(CNN) -- "We are now locked in a rolling filibuster on every issue, which is totally gridlocking the U.S. Senate. That is wrong. It is wrong for America."

Who said that? Democrat Harry Reid, majority leader of the Senate? Guess again. Try former Republican leader Trent Lott, bemoaning the troubled state of the Senate in the late 1990s.

No recent majority leader of either party has been saved the headache of trying to lead a Senate in which minorities can exploit the rules and stymie the chamber. This is not a new problem. Harry Reid may face a particularly unrestrained minority. But generations of Senate leaders from Henry Clay to Bill Frist have felt compelled to seek changes in Senate rules to make the chamber a more governable place.

Some things never change.

Twice this week, the Senate has opened debate with its party leaders engaged in a caustic battle over Reid's plans to seek changes to Senate rules in January.

Reid argues that Republicans have engaged in unprecedented levels of filibustering. GOP leader Mitch McConnell blames what he calls Reid's weak leadership, arguing that Republicans' parliamentary tactics are a natural response to Reid's partisan ways.

There is no innocent party in the parliamentary arms race that engulfs the Senate. Still, many argue that Republicans go overboard in their willingness to exploit Senate rules. Indeed, since 2007, Senate records show that Republicans have filibustered or threatened to filibuster more than 360 times, a historic record.

Reform of the Senate is overdue. In 1997, with Republicans controlling the Senate, author Steven Smith and I advocated reforms that sought to trim the filibuster while preserving minority rights. Today, with Democrats in control, I again think changes in Senate rules are due:

Senate should limit the number of motions subject to a filibuster

A top priority should be to eliminate filibusters of the "motion to proceed" to a bill and the three motions that are required to send a bill to conference with the House.

When the majority seeks to call up a bill on the floor for consideration, the leader offers a motion to proceed. Because Senate rules deem this motion "debatable," it takes 60 votes to cut off debate and come to a vote on the motion.

Banning the filibuster on this motion would still allow a minority to filibuster the underlying bill and amendments to it. But it would give a majority the right to set the chamber's legislative agenda. The change might also rein in senators' secret "holds" because the majority leader would no longer need broad support to advance a bill to the floor.

Similarly, debate could be trimmed by banning filibusters on the three steps required to send a bill to conference with the House. Conference committees have gone the way of the dodo bird because minorities have been willing to filibuster the steps required to send bills to conference.

Banning such filibusters would encourage the use of conference committees and restore the involvement of rank-and-file senators in the process of negotiating bicameral agreements. Senators would still retain the right to filibuster agreements that emerged from conference.

Ratchet down the number of votes required to invoke cloture

The first cloture vote would require 60 votes, as is required under Senate rules.

If that failed, the next vote would require 57 votes, then 54 votes, and so on, until the Senate reached a simple majority vote for cloture. To guarantee the minority adequate time to debate and amend bills, I would tie the number of days of advance notice of a coming cloture vote to the number of votes required for cloture. The fewer the votes required, the longer the advance notice. Coupling new cloture thresholds and notice requirements would allow the Senate to reach votes by simple majority while still protecting the minority's parliamentary rights.

Senate should experiment with new modes of advice and consent for nominations

The confirmation process is a mess, with nominees often waiting months for hearings and confirmation votes.

The Senate should consider new "fast-track" confirmation rules. For executive branch appointees, the fast track might fix the length of Senate consideration, guaranteeing a confirmation vote within, say, three months. For judicial nominations, fast-track consideration might be given to candidates recommended by bipartisan commissions in their home states.

Zelizer: Gridlock in Congress? Blame the GOP

If the White House nominates a candidate approved by such a commission, the Senate would fast-track the nominee to a confirmation vote. Fast-tracks protect the minority's right to scrutinize presidential appointees, but ensure that nominees are guaranteed confirmation votes within a reasonable period of time.

Such reforms would restore some semblance of balance to the Senate. For that reason, the minority party is likely to oppose them. Even members of the majority might balk at trimming their procedural rights.

That is the unfortunate history of Senate reform: Senators rarely want to give up their parliamentary advantages. Because changes to Senate rules can be filibustered, efforts to reform the Senate typically crash and burn. Under some conditions, majorities can avoid filibusters of their reform proposals by using what senators term the "constitutional option."

But as this week's outrage on the Senate floor suggests, the process of an overhaul can be as explosive as the actual reform. There's no easy path.

The opinions in this commentary are solely those of Sarah Binder.

@highlight

Sarah Binder: Minority has always exploited filibuster rules to hang up rival proposals

@highlight

Reid's plans to reform procedures have faced tough opposition, she says

@highlight

Binder: Senate should set limits on filibuster rules that are fair to each party

@highlight

Binder: Confirmation process is glacial and contentious and needs "fast-track" option