(CNN) -- When Elon Musk released details of the Hyperloop -- a transportation system concept that could take people back and forth between San Francisco and Los Angeles at near sonic speeds in about 30 minutes -- he added, "feedback would be most welcome."

Musk already has the input of 1000 engineers from SpaceX and Tesla. So why would he need additional pointers? Why did he invite the world to chime in?

Historically, the planning and design of mass transit systems involved a team of experienced professionals working exclusively with those from other key stakeholder groups. The process may easily take up a decade before the final design is ready for approval.

But just as today's open source product designs on the Web have benefited and improved from the collective effort of programmers, so has Musk decided to confront the design bottleneck by opening up the design process to the general public -- anyone and everyone who cares. The Hyperloop is a $6 billion public infrastructure project that is as challenging as it is ambitious.

Opinion: Hyperloop could be a reality

The future of transportation may well lie in the hybridization of multiple technologies. The alpha version of the Hyperloop design published by Musk on Monday seems like a carefully engineered "lego" transit system with capsules supported on air bearings, the main tube placed on pylons and covered with solar arrays, and advanced propulsion systems.

These components have been or can be individually designed, and made to work as per specification under normal conditions. The difficult part is to make the system safe and efficient while accounting for all the possible contingency events that may arise.

The distance that separates any two adjacent capsules, called the headway, is a critical design parameter, and it will need to account for additional speed changes and halts that may occur during real operating conditions.

Smaller headways will require a capsule-to-capsule signaling system. If multiple stations are envisioned, sophisticated interlocking systems must be designed. These signaling and control systems open up a Pandora's box of safety and security concerns.

What if a computer hacker is able to bypass the signaling system? What if an attacker causes a severe collision by exploiting vulnerabilities of the electronics and communications equipment? The Hyperloop design will require built-in security and safety systems to address these scenarios.

Needless to say, the possibilities for improvements are endless. We've just embarked on a path that can bring together the visionary transportation engineers, architects, urban planners and information technology experts who are willing to collaborate on the design process and flesh out its flaws to make the dream of building the world's fastest and safest transit system a reality.

Already, the Hyperloop has provoked comparisons with the predominant modes of transport between the two megacities, San Francisco and Los Angeles.

The SFO-LAX airline route is one of the busiest in the nation, serving around 2.8 million passengers per year. The flight time is about 80 minutes on good days. Airport security checks and loading/unloading times can easily double the actual travel time. We are looking at a door-to-door travel time of four to five hours after accounting for the time spent in navigating roads to the airport.

This is not a significant improvement over a travel time of about five hours and 30 minutes for navigating the I-5 highway by car from San Francisco to Los Angeles.

The proposed California High Speed Rail hopes to achieve a travel time of two hours and 40 minutes, but this estimate should be scaled up to include the time to reach the transit station from the main residential and business areas.

For a fair comparison, Musk's travel time estimate of 30 minutes between San Francisco and Los Angeles must also be scaled up to include passenger loading/unloading times at the Hyperloop stations and the time to reach and navigate these stations. Still, if it is realized, it will be faster than plane, car, or high speed rail.

At the very least, we can hope that the Hyperloop design can guide the enhancements to existing modes of transport. Wouldn't it be cool if in the next three years, the SFO airport has the capability to transfer passengers from BART to security check points located close to aircraft boarding zones using a super fast capsule-tube-propulsion system?

Hyperloop, let's hope we can take a ride before the decade's end.

The opinions expressed in this commentary are solely those of Saurabh Amin.

@highlight

In releasing details about the Hyperloop, Elon Musk said he welcomes feedback

@highlight

Saurabh Amin: It's smart of Musk to open up the design process to the general public

@highlight

He says historically, designing a mass transit system may take up a decade or more

@highlight

Amin: Some of the major challenges will be to address the safety and security concerns