(CNN) -- Today's selection of Boeing and SpaceX as the providers of a U.S.-based capability to take humans to the International Space Station (ISS) is a major milestone in the almost six-decade history of space exploration. It is just the latest sign that the old paradigm of government-only space travel is being replaced by something else -- a new business ecosystem composed of novel relationships among NASA and the aerospace industry.

No longer will NASA own the ISS "trucking company" -- specifying every nut and bolt. Instead, NASA is buying services from U.S. industry. To be sure, the new announcement made it clear that NASA will be carefully examining the safety aspects of each design. But the designs will still be those of Boeing and SpaceX and vetted by NASA.

I believe this new approach is America's "secret weapon" in what some have described as a space race with China. And, as far as I can tell, while the rest of the world is still stuck in a nearly government-only mode, NASA, with the support of the Obama administration, is letting loose the creativity of American know-how.

Beginning with the NASA Commercial Orbital Transportation Services competition, continuing with the Commercial Resupply Services (cargo) and now the Commercial Crew selection, NASA "bet the farm" on commercial companies filling the gap left by the retirement of the space shuttle, with the Commercial Crew companies (SpaceX and Boeing) replacing the Russians in bringing NASA astronauts to the ISS. This will allow NASA to invest the savings in deep space capabilities such as SLS and Orion.

I believe it is critical that both commercial cargo and crew succeed for at least two reasons: First, NASA's proper role can be summed up in three words: "Explore Deep Space." It is time for NASA to turn over the low Earth orbit work to industry while NASA focuses on getting humanity to Mars, following in the tracks of robotic rovers Spirit, Opportunity and Curiosity. Second, history teaches us that without a trailing edge of commercial exploitation and profitability, exploration as large scale, routine human endeavor will not succeed.

As an aerospace professional and former NASA executive, I have encountered over the decades many concepts for private space exploration. Until a few years ago, none of these ideas met the sniff test for what I call the "practical visionary," that is, someone capable of seeing a new future, yet solidly grounded in lessons learned. Something was always missing in these early ventures -- either the technical approach required some "unobtanium" technology to be invented, the advocate had good ideas but no money or the "build it and they will come" philosophy showed total naivetÃ© in business and marketing.

Today's selection points us in a different direction. As with the early 20th century airmail routes that helped stimulate aviation, NASA's commercial programs are now the anchor tenants in the government transfer of space services to the private sector. This in turn will enable a robust new business enterprise and allow NASA to focus on Mars -- the ultimate target for exploration.

@highlight

Scott Hubbard says recent moves by NASA will allow it to focus on deep space

@highlight

Hubbard: Space X, Boeing contracts are secret weapons in space race with China

@highlight

New arrangement will let "loose the creativity of American know-how," he says