(CNN)After days of turmoil, Yemen's President, Prime Minister and Cabinet have stood down, leaving the troubled Middle Eastern nation without clear leadership and potentially on the brink of armed conflict.

President Abdu Rabu Mansour Hadi's resignation Thursday came after Houthi rebels kidnapped his chief of staff, seized control of key government buildings in the capital, Sanaa, and failed to abide by provisions of a tentative peace deal hammered out Wednesday.

The chaos in Yemen is cause for concern far beyond the country's borders.

For the United States and its allies, Yemen's government has been a key ally in the fight against al Qaeda in the Arabian Peninsula, the Yemen-based group linked to attacks such as the recent slaughter at French magazine Charlie Hebdo.

For the moment, uncertainty rules. Beyond it yawns the prospect of a political vacuum and growing sectarian rift that terror groups such as AQAP could exploit.

Meda Al Rowas, a senior analyst at IHS Country Risk, told CNN that unless Hadi is reinstated, the chances of the country avoiding armed conflict are slim.

"Our forecast is really civil war in Yemen because we have a lot of nonstate armed groups who are likely to compete over territory and have a lot of competing agendas," she said.

Who is in charge right now really depends on where in Yemen you are, she said.

The Houthis -- Shiite Muslims who have long felt marginalized in the majority Sunni country -- have taken control of Sanaa and the northern provinces of Amran and Sadaa.

But there has already been resistance to their attempted takeover of national government institutions from different groups in Yemen, particularly in the south, where there's a long-running secessionist movement, and in the oil-rich province of Marib to the east of Sanaa.

"This really creates a situation where even if the Houthis keep control over Sanaa, they have little chance of taking control of the whole country," said Al Rowas. "We expect to see armed resistance."

It's possible that Hadi, himself a southerner, could rescind his resignation and put a Gulf Cooperation Council initiative for a negotiated transition of power back on track.

But that seems unlikely at present.

According to the national news agency SABA, Yemen's Parliament is due to hold an extraordinary session Sunday, called by Parliament Speaker Yahya al-Rai.

Analysts suggest that because there's no vice president, the speaker could be next in the line of succession, taking on the role of acting president. He's close to former President Ali Abdullah Saleh, who clung to power until being forced out by international pressure two years ago.

Despite their takeover of Sanaa, it's unclear whether the Houthis really want to take charge of the country.

The group more likely wanted Hadi to remain in power as a figurehead behind whom they could pull the strings, without having to take on the burdensome business of governance, said Al Rowas.

Under Wednesday's failed peace deal, the Hadi government had agreed to rewrite parts of the country's constitution to give the Houthis more political power in return for them withdrawing their militias from key government institutions and freeing the President's kidnapped aide.

The government only finally got parliamentary approval in December, said U.S.-based Yemen analyst Sama'a Al-Hamdani. Hadi's resignation seems to be a recognition of the fact that he won't be able to lead the country as he wishes because of the Houthi takeover, she said.

The Houthis are Shiites from northern Yemen who make up about 30% of the population. They've been at war with the central government for the best part of a decade and are also fighting the Sunni AQAP.

At the beginning of 2014, they won a series of battles close to the Saudi border. And in September, Houthi fighters suddenly descended on Sanaa, where they took over government buildings, the main airport and a share of power. In the past week, they've taken it to another level.

Although they have been fighting AQAP, they are no friend to the United States. One of the main slogans of this historically Iranian-backed group is "Death to America."

The Houthis have more recently forged an alliance with supporters of former President Saleh, said Al Rowas.

This facilitated the Houthis' southward expansion, but the alliance is fragile, she said, not least because Saleh in the past waged military campaigns against the Houthis.

Al Qaeda's Yemen affiliate AQAP is perhaps the best-known group internationally.

It first emerged in Saudi Arabia in 2002, but thanks to the efforts of Saudi authorities was a mostly a spent force by 2005, according to analysis from Jane's World Insurgency and Terrorism. It re-emerged, reinvigorated, in Yemen in 2009 after the Saudi outfit merged with a Yemeni al Qaeda counterpart.

Besides battling the Yemeni government and Houthis, it has been involved in international terror attacks, including the failed 2009 attempt to bring down an airliner over Detroit.

The Muslim Brotherhood is also a powerful group in Yemen -- in the shape of the Al Islah Party -- and is well represented in the transitional government. It loathes the Houthis and has its own militias.

The fighting in Yemen also provides an opening to ISIS, which is keen to outflank al Qaeda and prove itself the true defender of the faith. In November, ISIS leader Abu Bakr al-Baghdadi called on Yemeni Sunnis to resist the Houthis.

There are also a number of heavily armed rural tribes that will fight for control over their territories.

While in power, Hadi and the government of Prime Minister Khaled Bahah have been trying to fight AQAP on the ground and also have authorized U.S. drone strikes in the country against terror targets.

As part of those efforts, the United States has several hundred American diplomats and military personnel in Yemen. But the U.S. Embassy has been on reduced staffing since September.

The Houthis have publicly said they oppose U.S. drone strikes and U.S. involvement in Yemen.

There are currently no talks with the Houthis, but there are discussions about whether to talk to them, according to U.S. officials. Multiple policy options are being considered, the officials said, though there is no consensus yet about how to proceed.

"The safety and security of U.S. personnel is our top priority in Yemen," U.S. State Department spokeswoman Jen Psaki said. "We are evaluating the security situation on the ground on an ongoing basis. We call on all parties to abide by their public commitments to ensure the security of the diplomatic community, including our personnel."

Al-Hamdani, the Yemen analyst, said she didn't see an immediate need to pull U.S. personnel out of Yemen.

"I think Yemen is safe at the time being," she told CNN's Wolf Blitzer. "The Houthis have been in charge for a while. They have popular committees all over the capital of Sanaa, and they've been running the security show.

"I do, however, want to say that the Americans might need to start talking to the Houthis. And if the Americans are talking to Iran in back channels, they need to do the same with the Houthis."

Since Hadi's resignation, there has been a lot of anger against the Houthis in parts of the country, said Al Rowas, the IHS Country Risk analyst.

While Hadi wasn't able to unify the country while in power, she said, since the Houthi takeover of Sanaa, he has become the popular symbol of anti-Houthi sentiment across southern and central Yemen.

Many there are calling for his return, she said.

A chief flashpoint for popular anger may be the central Marib province, she said. There have already been some low-level confrontations, and tribes are mobilizing in the area.

Large-scale protests have also been seen in Aden, the main seaport in the country's south, where the current chaos plays into the hands of the secession movement.

7 things to know about Yemen

CNN's Tim Lister, Nick Paton Walsh and Jomana Karadsheh contributed to this report.

@highlight

Yemen's President, Prime Minister and Cabinet have resigned, leaving no clear leadership

@highlight

Their resignations followed a takeover of Yemen's capital by Houthi rebels

@highlight

An analyst says there's a potential for civil conflict without a president to unify factions