On Friday Italy held a national day of mourning. For this is not simply an accident. Accidents and emergencies cannot last two decades.  As a field researcher who has dedicated years of work to maritime migration, and as an Italian citizen, I am grateful to the Italian Council of Ministers for taking such an unprecedented decision to make this declaration.

Today we honor the memory and the families of more than 100 refugees, young adults, women, and children from Eritrea, retrieved off the southern Italian island of Lampedusa; and of the many dozens who are still trapped at the bottom of the sea. We also honor the selfless work of the island's residents, tourists, armed forces, medical personnel, and fishermen who have now rescued thousands on their way to Europe.

But I have listened uncomfortably to national and EU politicians who, as usual, have pointed their finger at smugglers, purporting that redoubling efforts to fight them will prevent further loss of life at sea. People at the helm of unseaworthy vessels are menial laborers executing the last and risky part of trips organized by transnational criminal networks.

Smugglers are not the reason why people are on those vessels. Italian and EU institutions are asking what can be done to prevent further tragedies. To answer, they have to ask also whether they did anything to enable them in the first place, including failing to consider implications and alternatives of their specific actions and inactions.

I need to raise a seemingly simple question. What brings thousands of people to trust criminals, pay them 10 times more than they would pay a comfortable seat on a ferry or airplane, and risk their lives? The overarching answer, in its brutal obviousness, is that they may not legally get on those planes and ferries.

They come from countries, such as Eritrea, that methodically oppress their own citizens and will not grant passports and exit visas. They are refugees, forced to leave home without the time and resources to secure legal passage. They have survived the Sahara, and returning from Libya or Egypt is not a feasible and rational option. They are poor. They fail to offer the financial guarantees requested by European consulates, and will not be granted a visa.

Quotas and legal channels for employment are inadequate both to their needs and to the needs of European economies and aging populations. They are prepared to die as they leave with hope, but do not wish to survive in despair. They fall through the immense cracks of a system that needs them for a job or might grant them asylum, but only if they first make it through miles of peril and years of exploitation.

It is evident then, that the Mediterranean chronicle of death cannot end merely as a result of tougher penalties on smugglers, additional resources for search-and-rescue operations, and heightened military surveillance and dissuasion. Prisons, radars, and helicopters are not solutions. Every institution, at every level of governance, needs radical action.

Fishermen and shipmasters should not have to fear that rescuing people will result in criminal charges for aiding and abetting undocumented immigrants. Or are they to engage in racial profiling and evaluate in hectic moments whether somebody in distress is a refugee or an undocumented economic immigrant? Should they rescue the former, but abandon the latter and perhaps face prosecution for failure to rescue? Can these decisions, and people's life, be left to discretion, chance, and the elements?

EU intergovernmental border patrols (FRONTEX) and national armed forces need to clarify, to themselves and to citizens, whether they patrol the Mediterranean to deter migration, to rescue people, or to intercept and deport them to countries of origin and transit.

'Safe, legal channel needed'

Citizens need to remember that in liberal democracies it is on their behalf and in their name that laws are written and implemented. They need to demonstrate to lawmakers that they are not "afraid" of their Eritrean, Syrian, Somali, Egyptian, Afghani, Iraqi, Ghanaian, Bangladeshi and Pakistani employees, fiancés, neighbors, schoolmates, and coworkers, to mention the nationalities increasingly resorting to maritime journeys.

What happens with boundaries of socio-economic inclusion and integration is related to what happens at the border. National and EU policymakers need to envision a common family reunification and asylum policy, and establish more homogenous parameters for asylum adjudication. This could help curb the equally perilous journeys of hope of many Afghanis across the Strait of Otranto, from Greece to Italy and then to northern Europe.

Most urgently, national and EU policymakers need to establish accessible, safe, and legal channels for internally and internationally displaced people to apply for asylum or to be granted temporary protection.

These are not problems only concerning smugglers, immigrants, and refugees. This national day of mourning is a call for the EU and its member states to start refashioning what sovereignty and humanitarianism mean in the 21st century. It is an invitation to fellow Italian and European citizens, including migrants and their children, to practise democracy in its representative and participatory dimensions. And it serves as yet another reminder of north-south disparities in wealth and power, signaled by the fact that the Mediterranean is a frontier in the first place.

There is no single solution to the Mediterranean chronicle of death. There are certainly alternatives to this state of affairs. They are more rational, and more just, than inaction and methodic negligence.

@highlight

Smugglers are not why people are on these vessels, writes Maurizio Albahari

@highlight

Quotas inadequate both to refugees and European economies, he says

@highlight

Albahari: EU nations must establish safe, legal channels for displaced people

@highlight

No single solution to the Mediterranean chronicle of death, he says