(CNN) -- President Barack Obama said he is not seeking "regime change" in Syria. Military action in Syria, he said this weekend as he sought congressional approval, will be limited. These assurances are meant to reassure those who fear a repeat of Iraq. But the idea of a limited intervention is an illusion. Once the United States becomes directly involved in Syria, there can be no turning back.

The purpose of limited strikes would be to convey a message to Bashar al-Assad: Don't use chemical weapons. But a U.S. attack could potentially widen, rather than halt, the use of chemical weapons in Syria.

Syria, as a united entity, exists today only on the map. On the ground, competing interests have fractured the country. No party can claim to represent even a modest plurality of Syrians, and no power can claim authority over a majority of the territory. But a formidable Arab state exists in Damascus, and the numerous forces striving to seize it or bring about its demise are so hopelessly riven internally that they cannot possibly win without external support. For more than two years now, they have attempted to incite Western intervention by exhibiting evidence of the Assad government's brutality.

Is it 'High Noon' for Obama on Syria?

By intervening now to inflict limited punishment on al-Assad because chemical weapons have been used, the United States is erecting a precedent that could be exploited in the future by the more unscrupulous factions of the opposition looking to provoke further interventions. The knowledge that Washington will intervene if chemical weapons are used could create an incentive for their re-use by those who would benefit from such an intervention.

By seemingly spurning meticulous multilateral investigations led by the United Nations in a rush to fix the blame on al-Assad, the United States is signaling also that, in its opinion, only the regime is capable of carrying out large-scale chemical attacks. This template will produce deadly temptations. As the novelist Amitav Ghosh, who spent long years studying insurgencies in Asia, has observed, in civil conflicts "the very prospect of intervention" often becomes a stimulus for the "the escalation of violence" by the weaker side.

If limited use of chemical weapons can succeed in drawing the United States into the conflict in a way that 100,000 deaths by conventional arms could not, they could be viewed by al-Assad's adversaries -- particularly by the foreign fighters affiliated with al Qaeda -- as a blessing rather than a scourge. The effort to "liberate" Syria could become dependent for its success on the partial annihilation of Syrians with chemical weapons -- since they are the only agents of murder that can trigger a U.S. reaction.

We cannot be certain about the security of the chemical weapon stockpiles in the Syrian government's custody. Its power structure has so far remained largely intact, but, as last year's suicide bombing in Damascus that killed al-Assad's inner circle and maimed his brother demonstrated, the regime is not impregnable.

Syria vote could have consequences for 2016

In a land shattered by war, loyalties are constantly shifting and obtaining fatal nerve agents may not be tremendously difficult. In 1995, for example, an obscure Japanese cult called Aum Shinrikyo managed to kill 13 passengers on the Tokyo subway by releasing sarin gas developed from commercially available chemicals.

So what will the United States do the next time chemical weapons are used in Syria? More than 1,000 deaths are prompting the United States -- despite the absence of conclusive evidence linking the Assad regime to the crime -- to intervene. Can it refuse to live up to its own precedent if 10,000 Syrians were killed in a fresh massacre after Obama's "limited" intervention has concluded? Won't the voices that are now so stridently opposing patient investigations and diplomacy in favor of military action amplify their demands?

But a deeper military involvement will be so self-wounding as to be suicidal. Syria has become a catchment for foreign fighters from more than 60 countries. Their ambition is not simply to defeat al-Assad. It is to establish a theocratic state in the most resolutely secular corner of the Arab world. It is the rise of these jihadists that has compelled Syria's secularists and religious minorities, who at the beginning of the uprising in 2011 had marched alongside the opposition, to return to al-Assad's fold.

To rid Syria of al-Assad's dictatorship and prevent it from falling into the hands of jihadists who are cut from the same ideological cloth as the men who drove the planes into the World Trade Center on September 11, 2001, the United States may have to commit itself to Syria for more than a decade -- fighting the jihadists, subduing al-Assad and his allies in Hezbollah, protecting Israel and preserving Lebanon's fragile peace. After Afghanistan and Iraq, is there an appetite for such an enterprise anywhere?

Military has concerns about Syria mission

Intervening in Syria will perhaps pacify Obama's conscience. But in Syria, there's every chance that it will escalate the conflict. Ultimately tantalizing the losing side in the Syrian civil war with a brief, punitive, "limited" entry on its behalf will only hasten the creation of conditions that will eventually suck America back into the conflict.

The opinions expressed in this commentary are solely those of Kapil Komireddi.

@highlight

Kapil Komireddi: If U.S. engages in Syria over chemical weapons, it could be in for the long haul

@highlight

He says rebels -- now including jihadists -- have long tried to draw outside forces to cause

@highlight

He says opposition will know that use of chemical weapons works to its advantage

@highlight

Komireddi: U.S. could end up fighting Syria's jihadists and the Assad regime