(CNN) -- Following the shootings at Fort Hood, Texas, in November 2009, the attempted car bomb in Times Square in May and a number of other domestic cases, including the recent arrest of a Somali-American teenager in Portland, Oregon, U.S. security agencies are sharply focused on the potential "radicalization" of American-Muslims and how to prevent it.

Many look across the Atlantic to the experience of Britain. Following the July 2005 attacks on London's transport system, a "counter-radicalization" strategy known as Preventing Violent Extremism was introduced. Dubbed Prevent for short, the strategy aims to intervene in the dynamics of Muslim communities to win over hearts and minds and secure allegiance to Western liberal democracy.

Prevent has two prongs.

First, it seeks to sponsor moderate Muslim organizations to oppose "the ideology of violent extremism" (a British government phrase that is deliberately obscure) and promote accommodation with the West. Hundreds of millions of pounds of government funding have been made available to those willing to take on this task.

Second, it seeks to profile individuals suspected of drifting toward "radicalization," that is, the adoption of extremist ideas. Through an elaborate system of surveillance involving teachers and youth workers among others, would-be radicals are identified and given counseling, mentoring and religious instruction in an attempt to divert them from their extremist views.

Many in Washington tout a Prevent-like program as an essential weapon in what they see as the "war within," the next phase of America's War on Terror.

Governments cannot wait, they argue, until terrorist ideas turn into terrorist actions; there has to be some form of intervention earlier in the process to discourage those ideas from circulating. And in a liberal society, where ideas themselves cannot easily be criminalized, something like Prevent is a viable and necessary alternative, they argue.

With the U.S. government already dedicating vast resources to profiling would-be extremists and recruiting Muslim groups as homeland security partners, the building blocks of an American version of Prevent are already in place.

But in Britain, the harm done by Prevent has far outweighed any advantages. I spent a year researching the effects of Prevent on England's Muslim communities. I got documents detailing the full extent of the surveillance involved and spoke to community leaders, grassroots activists, women and young people.

There was overwhelming concern that the policy construed the entire British Muslim population -- roughly two million citizens -- as uniquely and collectively responsible for preventing terrorist incidents. That perception was graphically illustrated by Preventing Violent Extremism funding, which was allocated in direct proportion to the number of Muslims in each local authority area, counted according to the 2001 census (the first to include a question on religion). As it became clear that the program constructed Muslims as a suspect community, more and more of the government's Muslim community partners began to disengage.

In addition, sponsoring moderates to promote the government's anti-extremist message meant, in practice, funding religious scholars and imams to advance an official interpretation of Islam.

In this way, Prevent involved state intervention in theological debates about the true meaning of religion, a paradoxical violation of the very secular principles that Muslims were otherwise being exhorted to uphold.

More generally, the government's search for moderate Muslims often seemed like a search for Muslims who agreed with it, which meant that "moderate" Muslims were quite hard to find.

The vague language of "moderate" and "extremist" was easily exploited to silence nonconformist views, whether from an Islamist ideological viewpoint or simply individual opinions about Britain's foreign policy. This in turn undermined precisely the sort of radical democratic dissent that might have been helpful in winning people away from those who said democracy was pointless, particularly as teachers and youth workers were pressured to inform the police of young Muslims expressing radical views.

The level of distrust and alienation that Prevent generated among British Muslim communities has by now become clear, leading to the recent announcement of a review of the policy by the new coalition government. But it remains to be seen whether policymakers in London and Washington will interpret Prevent's failures as resulting from the bad implementation of a fundamentally sound idea or as the inevitable product of the program's flawed assumptions.

The underlying problem with the Prevent strategy is that it assumes that a democratic government can impose political or religious opinions on its own citizens. In the 21st century, such an approach is bound to backfire.

Western governments are right to recognize that political legitimacy is a key asset in countering terrorism. After all, in the majority of cases since 9/11, including the recent Oregon arrest, the original intelligence has come from Muslim communities.

But governments will find it easier to gain the allegiance of Muslims if they take democratic principles more seriously when it comes to criticism of their foreign policy and refrain from demonizing whole communities.

If, on the other hand, they launch ideological campaigns against a minority among their own citizens, they inevitably conjure memories of the last century's witch hunts of communists and black nationalists. And then any hope of winning hearts and minds is lost.

The opinions expressed in this commentary are solely those of Arun Kundnani.

@highlight

Arun Kundnani: Some urge a U.S. government program aimed at extreme Muslim views

@highlight

He says a British program known as "Prevent" has done more harm than good

@highlight

He says government should not target the entire Muslim community

@highlight

Government interference in religious debate and views is unwise, he says