(CNN)Israeli Prime Minister Benjamin Netanyahu's speech to the Congress this week was as eagerly anticipated in Tehran as it was in Washington.

The Iranian reaction to the speech has been a combination of indignation and indifference.

While some of Netanyahu's remarks are already being exploited by competing factions within the Iranian state, the likeliest impact of the speech is tied to Netanyahu's baseless charge that Iran's vendetta against the Jewish people is an ancient mission.

The earliest official reactions were predictably the most vigorous in denouncing Netanyahu's message to the American people. Ali Larijani, the powerful speaker of the Iranian parliament, painted Netanyahu as the leader of a "tin pot regime" that is not as concerned about Iran's nuclear program as it is of Tehran's growing regional influence.

The hardline Kayhan newspaper, the key official outlet linked to the office of Iran's supreme leader, Ayatollah Ali Khamenei, called the speech "trash talking" but it also made sure to use it an ammunition against its rivals in the moderate faction.

The paper, skeptical of President Hassan Rouhani's nuclear negotiations with the Americans from the beginning, said Netanyahu's comments present an awkward truth for the pro-negotiation faction in Tehran: the Israeli leader and his American supporters are openly signaling the dispute with Iran can only be resolved once there is a change of regime there.

Iranian media coverage of Netanyahu's speech mentioned the controversy in the U.S. around its timing but the hardline outlets warned against reading too much into it. As one hardline newspaper, Khorasan, put it, "although it is undeniable that Obama and Netanyahu disagree on Iran, the [recent] remarks of the two [leaders] shows that they both seek the same goal."

The idea that the U.S. and Israel share the same strategic goal to rein in Iran but are in disagreement about how to achieve it is the cornerstone of the hardliners' stance in Tehran.

The moderate outlets, supportive of President Rouhani, have put a different spin on Netanyahu's speech. Unlike the hardliners, they are not painting the Obama-Netanyahu fallout as some orchestrated good cop-bad cop ploy to maximize concessions from Tehran.

Instead, they emphasize that there is a genuine difference in opinion between the U.S. and Israel. The moderate faction sees the controversy around Netanyahu's speech to the Congress and his failure to squeeze the Obama White House to toughen its negotiation terms with Tehran as an indication that Netanyahu is the one who is isolated.

The hardliners and the moderates were in full agreement on one point, and that was the delight they shared about the absence of some 60 out of 232 Democratic members of the Congress from Netanyahu's speech.

It is too early to gain a good insight into the reaction of ordinary Iranians to Netanyahu's speech. But one aspect of his speech is bound to create backlash among ordinary Iranians outside the corridors of the state: his invocation of festival of Purim, which commemorates the salvation of Jewish people in ancient Persia.

The historic event is recorded in the Book of Esther but Netanyahu's characterization implied that the Persian people's history of anti-Semitism and the pursuit of agenda to destroy the Jewish people is an ancient mission. "Today the Jewish people face another attempt by yet another Persian potentate to destroy us," Netanyahu said.

With that line, he put the ruling Islamists in Tehran on par with ruling Persian empires that have come before them. As is already evident in the Persian-language social media, this will not go down well with ordinary Iranians, many of whom are not supporters of the Islamist system in Tehran and will resent the charge of eternal Persian anti-Semitism.

They wish Netanyahu had made more effort to distinguish between the Islamist rulers in Tehran -- many of whom undoubtedly harbor anti-Semitic views -- and the people of Iran whose history with the Jewish nation is far more amicable than Netanyahu's portrayal of history suggests.

What is more instantly measurable is the impact of Netanyahu's speech among officials in Tehran. The Iranian response to Netanyahu's speech to the Congress is best described as one that reflects the clash of visions between moderates and hardliners in the echelons of power.

For the moderates, the controversy around his speech and the cold-shoulder Netanyahu got from the White House is itself a vindication of President Rouhani's gamble on reaching a diplomatic solution to Iran's 12-year nuclear saga.

The hardliners have been quick to paint Netanyahu's visit to Washington as an example of the insincerity of the Americans in dealing with Iran, but not even the hawks in Tehran are claiming that Netanyahu's presence in the U.S. Congress is grounds to shift Iran's nuclear diplomatic strategy.

@highlight

Iranians met Netanyahu's speech with indignation, indifference, writes Alex Vatanka

@highlight

Moderates believe Obama's cold shoulder is vindication of Rouhani's strategy, he says

@highlight

Hardliners suggest the speech shows U.S. insincerity but have not argued against talks