(CNN) -- President Obama's strategy for destroying the Islamic State of Iraq and Syria (ISIS) appears to depend on a volley of airstrikes followed by a (currently absent) holding force of Syrian rebels and Iraqi troops. "[T]his strategy of taking out terrorists...is one that we have successfully pursued in Yemen and Somalia for years," the President said.

Not so fast. The reality is that the few victories against al Qaeda in Somalia, Yemen and Pakistan are not a product of U.S. air power alone, but a combination of American boots on the ground, advisers and special forces, and as importantly, years of promoting local governance and military reform. Absent such security and political initiatives, Obama's counterterrorism strategy is destined to fail.

There are two critical lessons from the experiences in Somalia, Yemen and Pakistan for the war against ISIS.

First, airstrikes without troops on the ground don't work. Despite innovations in air power such as advanced targeting, intelligence, surveillance, and reconnaissance capabilities, there is simply no substitute for eyes, ears and feet on the ground. With this in mind, the United States has had a presence on the ground in Somalia, Yemen and Pakistan even when the missions were strictly counterterrorism.

At various times in Somalia, Yemen and Pakistan, U.S. troops have directly engaged al Qaeda, protected fellow advisers, marked targets for airstrikes, embedded with and transported local troops, and used armed drones, helicopters and gunships. And yet even after more than 500 air strikes in Somalia, Yemen and Pakistan since 9/11, U.S. troops still had to conduct high-profile raids against specific top terrorist leaders.

American troops have been deployed to Yemen, Somalia and Pakistan to help train local troops, conduct operations and work closely with CIA operatives and local proxies. So boots on the ground are clearly an essential part of any counterterrorism strategy -- as long as local politicians and generals are willing to share power, promote efficiency and embrace diversity.

The second lesson for defeating ISIS is that improving local governance and building pluralistic militaries is difficult, but still the best deterrent against recurring Islamic radicalism.

Of course, Washington cannot fix local politics within failing states that are embroiled in decades of conflict made worse by ethnic and religious divisions. Yet progress in Yemen, Somalia and Pakistan shows that American diplomats have, albeit slowly, pushed central governments to become more inclusive and share power with the periphery, and their militaries to embrace ethnic and religious diversity.

In Somalia, with the help of European and African allies, including the 22,000 well-trained and equipped African Union troops, Washington has prodded the central government to implement the "National Stabilization Strategy," which is focused on promoting national and local reconciliation, facilitating tribal disputes and devolving power to local and regional administrations. Lack of governance and security is the main source of local grievances that Al-Shabaab frequently exploits.

In Yemen, U.S. diplomats have offered $40 million in assistance to encourage President Abdu Rabu Mansour Hadi to convert the National Dialogue Conference into a sustainable peace plan for his fractured country, which will include constitutional reform. Like Somalia, Yemen is in desperate need of a strong plan for disarmament, demobilization and reintegration that devolves power to local districts and places the security forces under the rule of law, guaranteeing religious freedoms.

In nuclear-armed Pakistan's northern tribal badlands, the situation is more complex but governance deficiencies are similar to Somalia's south and Yemen's east. The United States has given billions to improve local infrastructure and supported democracy. Most of the $4.4 billion in aid to Pakistan between 2010 and 2014 is conditioned on strengthening Pakistani democracy.

The passage of the 18th amendment to the Pakistani constitution was a small but encouraging effort to transfer power from the center to the provinces. Moreover, in the most recent protests in Islamabad the Pakistani military has restrained from directly intervening.

Besides helping improve local governance, the United States has spent years training and equipping Yemeni, Somali and Pakistani militaries, subtly encouraging ethnic diversity. In Pakistan, for example, U.S. trainers helped transform a ragtag Frontier Corps, commanded by Punjabi outsiders, into a counterinsurgency force that has several units commanded by Pashtuns.

Of course, not all investments have paid off. Tribal and religious divisions continue to threaten the Somali and Yemeni armies, while the Pakistani military and intelligence services are widely seen as sympathetic to the Afghan Taliban, although troops have finally put pressure on militants in North Waziristan territory.

So what does all this say about how to tackle ISIS?

True, the group trumps al Qaeda and affiliates across the greater Middle East in terms of finances, numbers and territorial control. But it can be defeated. President Obama's push for more representative Iraqi government and improved vetting of Syrian rebels are steps in the right direction.

But realistically the United States should be expecting to send some 4,000 to 6,000 additional U.S. service members to help gather intelligence, train Syrian rebels, revive the Iraqi Army, build a national guard, protect advisers, mark targets and conduct raids against high-profile targets. This cannot be realistically be done without U.S. troops -- and will likely take about two years.

Meanwhile, U.S. diplomats should be pushing for better Iraqi governance, including ensuring all major ethnic and religious groups are represented in the Iraqi and Syrian security forces.

Defeating a foe like ISIS won't be easy, and it will require political courage from the United States to follow through. But a multi-pronged commitment is absolutely necessary. This is one conflict that cannot be won from the air.

@highlight

President Obama's strategy for destroying ISIS seems to rely on air strikes, writes Haider Mullick

@highlight

Obama says strategy has been successful in Yemen and Somalia

@highlight

Mullick says in both countries, some kind of presence was needed on the ground

@highlight

U.S. also needs to focus on improving governance for long-term security, Mullick says