Hong Kong (CNN) -- Late 90s Beijing. Those were the days.

Forgive the wistful opening but it's true. The saccharine pop hit "Xin Tai Ruan" may have played endlessly on the radio and the "Titanic" screensaver displayed on virtually every cubicle PC, but I forgive the kitsch of that era.

It was a time before China became a top destination for resume-wielding MBAs.

And it was a time of intellectual exchange between curious locals and sinophile expats, each drawn by a strong mutual interest in culture, music, and emerging technology.

In circa 1997 Beijing, there was no relentless gridlock or constant smartphone use to prevent free and open exploration in the real world.

And there were only 620,000 Internet users across the entire country.

This was the dawn of dot-coms in China.

Cigarettes and instant noodles

When I couldn't land my dream job as a full-time reporter in Beijing, I took up a post with a fledgling Chinese Internet firm I had covered as a freelancer.

That start-up would later grow into Sohu, one of China's leading Internet companies.

Its original one-room office in the Bright China Chang An Building was spartan to say the least. Forget the gourmet canteens of Baidu today.

Seventeen years ago, the dotcom diet in Beijing was MSG-laced instant noodles and cigarettes at your desk.

I was the only Western woman in the company and one of a few thousand Western expats in the city.

If you were an expat in pre-World Trade Organization China, you were probably there because of a genuine interest in the country and its culture.

We weren't there to exploit the economic opportunity of a so-called rising China. We were just there for an adventure.

Dotcom game

In 1999, I met fellow American expat Porter Erisman for dinner while he was leading the Internet marketing group at Ogilvy & Mather in Beijing. He was curious about jumping into the China dotcom game and wanted to know more about what it was like.

I recently caught up with Porter to reminisce about that time and learn more about why he decided to take that risk and join a Chinese Internet start-up.

"I had a number of clients who had different Internet start-ups and they all looked like they were having such a great time, so I wanted to join in and be part of it," he tells me.

"I met with different managers of different companies, and the one I finally felt comfortable with was Alibaba just because they had a very international mindset."

Porter joined Alibaba.com in April 2000 and for the next eight years worked as a vice president in charge of the company's international website operations, marketing and corporate affairs.

He witnessed Alibaba's rise from a tiny start-up running out of a small apartment to a global Internet giant. And even though he left his post there a few years back, Porter is thrilled for the company as it goes to market with its blockbuster IPO.

"For me, there's some satisfaction in seeing that the company I played a role in building in the early days has grown to become possibly the world's largest e-commerce company," he says.

Porter left Alibaba to become a consultant and filmmaker.

In his documentary film, "Crocodile in the Yangtze," he tells the story of Alibaba's struggle in its early years and eventual triumph over eBay in China.

Far from over

I too left my Chinese dotcom to become a storyteller of sorts. Over the years, I've shared my experiences in China's nascent IT industry and ventured into journalism.

Seventeen years ago in Beijing, there were riveting debates in tea houses and over hot pot dinners. It's since been forced into the open in a very big way thanks to the rise of social media and mobile messaging now reaching more than 600 million Chinese.

As a journalist, the tension and the opportunity of China's now mammoth dotcoms has been a thrill to both witness and report.

And the story is far from over.

@highlight

CNN's Kristie Lu Stout worked for Sohu, a Chinese tech start-up, in the 1990s

@highlight

Sohu and peers like Alibaba are now some of the world's biggest Internet companies

@highlight

Back then, offices were spartan and lunch was instant noodles, not gourmet canteens

@highlight

The rise of China's mammoth dotcoms has been a thrill to both witness and report