Hong Kong (CNN) -- Eight Chinese officials have been fired or suspended after five boys died in a rubbish bin after suffocating on fumes from charcoal they burned to stay warm, according to state-run media.

The bodies of the boys, aged between 9 and 13, were found by a trash collector on Friday in Bijie in China's southwestern Guizhou province, Xinhua reported.

They are believed to have died the night before, as rain fell and temperatures plunged to as low as six degrees Celsius (43 degrees Fahrenheit).

Six officials have lost their jobs, including the principals of two local schools and four government officials in charge of education and civil affairs in Qixingguan district where Bijie is located. Two deputy heads from the same departments were also suspended pending an investigation.

Users on China's social media platforms expressed shock and disgust, with some questioning how society could have allowed such young children to fall through the cracks.

One user on Sina Weibo, China's version of Twitter, wrote: "China is supposedly an intermediate developed country but still can't protect its own children. At the age when they should be enjoying a happy childhood these poor kids are wandering and dying on the streets." (@Datounaonao)

Another said: "I just can't believe this is a story happening in my country today...where are the "relevant departments" doing on this? And "where are the kids' parents? Why give birth to children and then abandon them?" (@Dongsir)

Days after their deaths, details of the boys' lives emerged in local press. They all belonged to the same extended family, the sons of three brothers.

Two of the fathers, Tao Yuanwu and Tao Xueyuan, were rural migrants, who had moved from Guizhou to the special economic zone of Shenzhen near the Hong Kong border, where they worked as rubbish collectors.

The other father, Tao Jinyou, a poor man who was said to work long hours tending fields, told Xinhua that he and his wife paid little attention to their own son, let alone their nephews.

"Sometimes they didn't even come home at night," he said. Persistent truants, the boys were said to have been missing for three weeks before they were found dead. "At first, I sent (my son) back to school by force," Tao said. "But every time he'd run away again, so I knew it was hopeless."

There are estimated to be more than 150,000 street children in China, according to official figures quoted by Xinhua. However, Dale Rutstein of UNICEF China said up to 1.5 million children were thought to be fending for themselves across the country but, given the fluid nature of homelessness, it was hard to keep track.

Rutstein says the presence of street children is obvious in some cities, but it's safe to assume that many remain in rural towns, the byproduct of a huge demographic shift in China, as parents move to booming cities for work.

"It's not uncommon to see several children living in a household with an elderly couple in rural China. These are the left behind children. Right now people are coping the best they can," Rutstein said.

It's estimated there are 55 million "left behind" children in China, the sons and daughters of 200 million migrant workers who have moved to the cities for a better life.

"We would say in UNICEF that that's one of the most significant challenges for China right now, because all the data shows these children have lower nutrition, suffer a higher rate of accidents and injuries and are at greater risk of abuse and exploitation," Rutstein said.

State media reported that four of the five boys found dead in the dumpster were being cared for by their aging, blind grandmother who had difficulty caring for herself.

A local resident told CCTV that neighbors had noticed the boys wandering the streets. "They took a shabby shed in a construction site near the dumpster and ate some discarded vegetables in the market and played football that they had picked up," he said.

Last year, China's Ministry of Civil Affairs launched a nationwide campaign to return "vagrant" children to their homes. Once sent back, the children would be placed in government-run shelters, according to Xinhua.

"Street orphans should be placed in the care of welfare institutions or foster families if their guardians cannot be found," the article said, quoting the vice minister of civil affairs.

Despite efforts to pull millions out of poverty in China over recent decades, the country still lacks modern child welfare systems seen in the West, Rutstein said.

"The concept of social workers, for instance, which is quite well known in Europe and North America, is very, very new in China. China's aware of this and there are many efforts in place right now to professionalize the whole system of social workers, to introduce alternatives to institutionalization, or just sending children to a state orphanage, which traditionally has been the main response to these kinds of situations," he said.

An opinion piece published Wednesday in China Daily asked whether authorities were too quick to lay the blame on local officials and suggested that major changes were needed to reduce the number of "left behind children."

"This tragedy is a wake-up call that something needs to be done to improve the working and living conditions of migrant workers, so they can settle in the cities where they work and enjoy the same rights as their urban counterparts. This would enable them to have their children live with them," it said.

The plight of the dead children in Guizhou has been compared on social media to the tale of the Little Match Girl, a Hans Christian Anderson story of a girl ignored by the rich who froze to death after trying to warm herself with a lit match.

On Wednesday, messages of condolences for the five boys were still being posted on Weibo.

"Hope they won't feel cold anymore in heaven," @Qingyu_aneya said.

@KongXia added: "Rest in peace, don't reincarnate in China..."

Referring to Beijing's decision to turn on the city's heating system two weeks early this year due to colder temperatures, one of China's most popular fairy tale writers, Zheng Yuanjie, posted: "Beijing spent 800 million [yuan] to start the heating system 15 days ahead of time, but you're out of the reach. Hope the 'The Little Match Boys' can forgive us in heaven."

The boys were Tao Zhongjing, 12; Tao Zhonghong, 11; Tao Zhonglin, 13; Tao Chong, 12; and Tao Bo, 9.

Wei Yuan Wen Min contributed to this report.

@highlight

Eight officials sacked or suspended over deaths of five boys in dumpster

@highlight

Children died from carbon monoxide poisoning after burning charcoal for heat

@highlight

Aged between 9 and 13, the boys came from one extended family

@highlight

UNICEF says one of China's biggest challenges is caring for "left behind children"