(CNN) -- The African Wildlife Foundation is hoping to do some tricky medicine on the world at large. It's trying to stop the planet's lungs from collapsing.

"If you think of the world as having two lungs, the Amazon rainforest is one lung, and the Congo Basin forest is the second. It's a place everyone should be concerned about in a time of climate change," says Patrick Bergin, the organization's CEO.

The Congo Basin is also home to the bonobo, forest elephants and Congo peacocks -- species whose survival is dependent on that of the surrounding forest. Bergin has launched an innovative program to save the environment, not just the one region, but on the whole African continent -- the cradle of civilization and potentially its ecological safe keeper.

Over the next decade, the African Wildlife Foundation is building 15 conservation-themed primary schools in some of Africa's most remote regions -- areas that are also highly strategic from an environmental standpoint. The schools are designed to be state-of-the-art, built with attractive faculty housing that will hopefully lure some of Africa's best teachers.

In exchange, the organization not only helps to shape young minds to further the cause, but gets written agreement from the local community to set aside a patch of land for conservation purposes -- a stretch that will be free form hunting, logging and unplanned agriculture.

"It's a bargaining tool," admits Bergin.

"[These communities] are rich in land, but poor in cash. We brought in a resource to help build a school, and we barter."

Education in the Bush

Bergin notes that when it comes to education in Africa, resources go first to schools in the city, then to those in the surrounding towns.

"Kids that live in the Bush are likely to be deeply disadvantaged," he says.

It is precisely that segment, he argues, that needs access to good schooling to protect the future of the continent.

"When children do not get access to a good education, they're doomed to a life where exploiting natural resources is the only way to make a livelihood. If you can't get a skill or a job that allows you to enter the modern economy, harvesting bush meat, cutting trees -- these are your only options," he says.

Sustainable schooling

Construction has already begun on the first school in Ilima, an extremely isolated village in the Democratic Republic of Congo that sits on the corridor between two protected areas.

"We work in a lot of parts of Africa that are remote, but this takes the cake," says Bergin. Getting there involves a two-day motorized canoe trip from Kinshasa, followed by a five-hour motorcycle ride. What that means is that getting materials in and out of the area can prove troublesome.

Architectural firm MASS Design Group has partnered with the African Wildlife Foundation to build the schools. For the Ilima project, it was imperative that the designers used materials that are easy to source and replace.

"If there's a need to repair or maintain the school 45 years down the road, the community has to be able to do it without depending on materials like steel or cement, which would be hard to locate," says Andrew Brose, the project manager.

Mass Design started by researching not just the materials in the region, but local construction methods.

"We've found that when you go into remote regions like this, the things people build are already climate-intellegent. They know how to build with rainfall in mind," says Michael Murphy, CEO of Mass Design.

"We look at how we can adapt and learn from what's already done quite well in the area."

The school is built primarily from mud bricks and local hardwood. Brose's team tested different soils and palm oils in the region to find which combination of ingredients would yield the most durable bricks.

Factoring in the rainforest climate, which is prone to heavy rains and high heat, the school walls only go up two-thirds of the way to allow for cross breeze. Rain catchments will store water for agricultural uses.

"This building is one of the most sustainable we've ever built," says Murphy.

A portal to the 'modern economy'

Like Bergin, Murphy views the schools project as a means to really impact the continent.

"Our ambition is to have more systemic change through a better building process. It's not just a one-off project," he admits.

For starters, Mass Design has trained local craftsmen in its techniques as a way of passing on the baton.

"They could build tens of thousands of schools in the next decade," says Murphy.

"As the population booms significantly in Africa, there will be a massive demand for low-cost, rural school construction."

@highlight

The African Wildlife Foundation is building conservation schools in rural Africa

@highlight

It barters with local communities for land to protect

@highlight

Partnered with MASS Design, it is bringing better schools to the Bush