(CNN) -- After years of setbacks and controversies, the Kenyan deputy president went on trial Tuesday at the International Criminal Court in the Netherlands for alleged crimes against humanity.

William Ruto denied charges that include murder and persecution for allegedly orchestrating attacks that left more than 1,000 people dead after the disputed presidential election nearly six years ago.

Can mobiles help stop Kenya election violence?

His boss, President Uhuru Kenyatta, has been indicted on similar charges and is set to appear before the court in The Hague in November.

A third suspect, radio personality Joshua arap Sang, is being tried alongside Ruto on the same charges. He also denies the accusations against him.

In addition to the deaths, hundreds of thousands were displaced when ethnic groups loyal to leading candidates in the December 2007 election torched homes and hacked rivals to death.

Kenyatta and Ruto have denied accusations that they coordinated violence among their respective ethnic groups after the disputed 2007 election.

In one of a number of setbacks in the run-up to the trial, the Kenyan parliament voted last week to withdraw from the ICC's jurisdiction, a move that would take a while to implement because it involves various steps, including a formal notification to the United Nations.

The International Criminal Court said the trials would proceed despite the withdrawal.

In her opening statement, the ICC's top prosecutor, Fatou Bensouda, said the prosecution would demonstrate that Ruto and his powerful allies sought to exploit the country's tensions for their own political and personal ends.

The evidence would show that the outbreaks of violence "were not just random and spontaneous acts of brutality -- on the contrary, this was a carefully planned, coordinated and executed campaign of violence" that targeted perceived supporters of the ruling PNU party, she said.

"Mr. Ruto's ultimate goal was to seize power for himself and his party through violent means," if they failed to do so through the ballot box, she said.

To do so, Ruto built up a network of influential allies from the Kalenjin ethnic group and recruited Kalenjin youths to take part in attacks, the prosecution said. He and Sang, a popular radio presenter, then both used public platforms to stir up sentiment against the Kikuyu ethnic group in the Rift Valley.

Sang used his prime-time radio show to help Ruto and his allies to "broadcast anti-Kikuyu rhetoric and even helped to coordinate attacks through coded messages," and in this way contributed to the violence, Bensouda said.

Defense: Ruto is an innocent man

Opening for the defense, lawyer Karim Khan said that the case against Ruto was based on an "exceptionally deficient" investigation and that the deputy president should never have been accused.

Khan said an inquiry would be needed at the end of a trial, to ask "how was it that someone innocent has come before this court to answer charges that will be shown to be patently false?"

He said there was a "rotten underbelly" to the prosecution's investigation, chiefly conducted under former ICC prosecutor Luis Moreno-Ocampo, which Khan said had failed to recognize the "lying witnesses" directing untrue accusations against his client.

The ICC investigation was set up to target Ruto he said, and sought to squeeze evidence into that box, "however uncomfortable, however ill-fitting, however bizarre."

Khan said his client deserved praise for being the first serving deputy head of state to come willingly before the ICC to face charges.

Ruto's electoral record demonstrated that he appealed to voters across ethnic groups and had no antipathy toward the Kikuyu ethnic group, the lawyer said. His whole reason for being in politics was to serve the whole of Kenya, Khan added.

A lawyer for Sang will give his opening statement Wednesday, the court said.

'Atrocities ... pain and suffering'

A representative of the victims of the violence in late 2007 and early 2008 told the court that those affected included many women, children and elderly people.

The unrest left more than 400,000 forcibly displaced from their homes, besides the hundreds who lost their lives, Wilfred Nderitu told the court. He represents more than 300 victims of the violence in the case.

One victim was quoted as saying: "If there were no victims, there would be no case. If there was no suffering, would there be any reason to accuse the accused? We are the ones who experienced the atrocities the court cites, because there were atrocities, and there was pain and suffering by the victims."

The trial is being held before presiding Judge Chile Eboe-Osuji, from Nigeria, with Judges Olga Herrera Carbuccia and Robert Fremr, from the Dominican Republic and Czech Republic, respectively. It is expected to last for several months.

Avoiding a power vacuum

After the disastrous 2007 election, Kenyatta and Ruto teamed up and formed a coalition, which won the most recent poll held this year.

Jittery Western nations watched as the two took office in April, raising the prospect of complicated diplomatic ties.

Kenyatta maintains that they will cooperate with the court to clear their names and has asked that their proceedings be held on different days to avoid a power vacuum.

"We will work with ICC, but it must understand that Kenya has a constitution. Ruto and myself cannot therefore be away at the same time," he said.

The court has encountered a number of obstacles leading up to the trial.

Charges against three other suspects were dropped for lack of evidence after witnesses dropped out or recanted their testimonies.

Bensouda has previously said that some of the witnesses, including a few who were set to testify against both leaders, pulled out because of intimidation.

Lawyers for Kenyatta and Ruto have denied any witness intimidation.

Stepping in

The ICC was set up in 2002 to try claims of genocide, crimes against humanity and war crimes.

Kenya's previous administration reneged on a deal to set up a special tribunal to try suspects in the post-election violence, forcing the international court to step in.

"The ICC is not, under any circumstances, a substitute for domestic criminal justice systems; it only intervenes if the national judicial system is either unwilling or unable to ensure that justice is done," the court said in a statement.

That message was repeated by the prosecutor in her opening statement.

The ICC intervened "only after the Kenyan efforts to establish a domestic mechanism to investigate the violence failed," Bensouda said.

Ahead of the trial, rights group Amnesty International urged Kenyan authorities to cooperate fully with the ICC to ensure a fair and effective process for those directly involved in the case, and for the Kenyan people.

"Six years after post-election violence rocked the country, it is high time to prioritize the pursuit of justice for the hundreds and thousands of people who lost their lives or homes," said Netsanet Belay, Amnesty International's Africa program director.

"The government's recent efforts to politicize the ICC trials are deplorable, and must not be allowed to affect the commencement and future proceedings of this landmark trial.

"The authorities should focus their energy on ensuring justice, truth and reparation for the victims of many other crimes that the ICC is not able to deal with."

Eyes on Kenya

Kenya is the second African nation after Sudan to have a sitting president facing charges at the International Criminal Court.

It is East Africa's biggest economy and a crucial trade route into the rest of the continent, so neighboring nations are watching the trial keenly.

Kenya provides an important buffer of stability in a region that includes the fledgling Somali government and the politically tense Sudan and South Sudan.

Most importantly -- at least to the West -- Kenya is a major U.S. ally in the war against Islamist militants in the region and has remained relatively peaceful amid civil wars in neighboring nations.

The first phase of Ruto's trial is expected to end on October 4.

@highlight

Defense lawyer says ICC investigation against Ruto is "exceptionally deficient"

@highlight

William Ruto is on trial at The Hague over the 2007 post-election violence in Kenya

@highlight

His boss, President Uhuru Kenyatta, has been indicted on similar charges

@highlight

Both deny the accusations, as does a third defendant, radio personality Joshua arap Sang