(CNN) -- Russia will not cede control of the Crimea any time soon.

Western saber-rattling would prove hollow: NATO has insufficient forces in the region to challenge Russian control and economic sanctions are not likely to work. Paranoia about Western threats to its security incline Russians to endure great costs to assert the "sphere of privileged interest" Vladimir Putin claims regarding former Soviet Republics now outside the Russian Federation.

Near term, Russia holds the cards. It supplies Europe with about 30% of its natural gas, or 8% of its energy overall. While that gas can be replaced, Europe can't change course overnight.

Europe has substantial shale deposits that France, Germany and several others have chosen not to develop. Exploiting shale deposits, building more nuclear plants and solar facilities, importing more oil and gas from North America and the Middle East, and building infrastructure to effectively deploy those resources would take several years.

Longer term, Russia has much more to lose. Since the end of the Cold War, Russia has become acutely dependent on Western markets to drive its economy, but it has not fundamentally modernized its industries or its geopolitical thinking about the West.

Oil and gas account for roughly 70% of Russian exports, and it sends the West significant amounts of aluminum and other metals. But Russia's manufacturing sector as a whole remains profoundly inefficient and uncompetitive, and the country relies on the West for sophisticated financial services and a broad range of technology and consumer products.

Crony capitalism and the dominance of billionaire oligarchs squeeze out small entrepreneurs that drive so much innovation and progress in the West. The Russian Federation depends on the petroleum industry for 50% of its revenue.

If Europe finds substitutes for its oil and gas, Russia simply would not be able to pay for the Western products it has become accustomed to buying. Moscow won't be able to finance its military and foreign adventures, or pay for the extensive patronage system that has kept Vladimir Putin in power since 1999.

The oligarchs would be a lot poorer and much less able to enjoy penthouses in New York and ski retreats in Colorado. However, most Russians would rather risk becoming much poorer than relent to U.S. and European pressures, because of their ingrained fears about Western threats to their security.

With or without Putin at the helm, the West should not anchor policy on false notions it can change Moscow's thinking about the Ukraine or other former Soviet states by reasoning with its leaders or with threats to freeze assets, cut off trade and the like.

Unless the West can impose significant costs on Russia for its aggressive policies, reduce Europe's vulnerability to a natural gas embargo and curtail Moscow's financial resources, it can count on Russia asserting military power when its leaders perceive threats to Russian interests in neighboring states.

Joint efforts with the Europeans are essential. An across-the-board U.S.-European freeze on assets would be foolhardy. Russia could easily retaliate against U.S. and European investments in petroleum, autos, banking, and other sectors. However, targeted visa restrictions on travel to the United States and Europe, and limited freezes on access to the bank accounts and real estate assets, for the Russian political and military leaders responsible for the Crimean invasion would send a clear and poignant message.

Europeans should move quickly and decisively to develop their own natural gas and other alternatives. Eliminating dependence on Russian gas might not end Russia's paranoia -- in fact it could feed it -- but it would at least deprive Moscow of its ability to threaten Europeans with embargoes and neighboring states with military actions.

Russians could try to sell more natural gas in Asia, but those prospects are limited. Already, Russian oil producers simply burn off huge amounts of gas they can't sell in Europe.

The United States should not quickly volunteer to send Europe liquefied natural gas. France, Germany and several other European countries have shunned the environmental risks of developing shale gas and nuclear power. The United States should insist Europeans share the environmental risks

The high cost of liquefying and shipping U.S. gas to Europe requires that Europe also develop its own resources to fully unyoke itself from dependence on Russia and limit their strategic vulnerability.

The opinions expressed in this commentary are solely those of Peter Morici.

@highlight

Peter Morici: Russia will not cede control of the Crimea any time soon

@highlight

Morici: Near time, Russia has upper hand since it supplies Europe with energy

@highlight

He says Europe must move quickly to develop its own gas and oil industries

@highlight

Morici: Russia's aggressive policies won't go away unless Europe gets more leverage