(CNN) -- It's been called the "Sistine Chapel of paleolithic art," and it's been closed to the public for more than a decade -- until now.

Yesterday, five members of the public who entered a draw were given a guided tour of the extraordinary prehistoric paintings within the Altamira cave in northern Spain.

The vivid images, up to 20,000 years old, depict an extinct species of bison, wild boar and other animals, along with sprayed hand prints and engravings.

The visit of a lucky few to the twisting, 300-meter-long cave -- sealed in pristine condition by a rockfall for 13,000 years before its discovery in 1879 -- serves a wider purpose beyond their own amazement, however.

Small groups drawn from visitors to the nearby museum on one randomly selected day each week until August will be used to test any destructive impact a human presence might have on the ancient paintings through changes in humidity, temperature, CO2 levels and microbiological contamination, the Guardian reports.

Wearing protective clothing, masks and shoes, the visitors get a tour of the cave lasting just over half an hour, only a portion of which is to be spent gazing at the rock art.

The results will help to determine whether the cave, in the Cantabria region, should be reopened to the public permanently -- a boon to the local economy but an outcome opposed by some scientists.

Dismissed as forgeries

Revealed in the late 19th century by an amateur archaeologist led to the site by his eight-year-old daughter, the charcoal and ochre animal studies and other figures at Altamira were at first dismissed as forgeries.

The images, in some cases exploiting the cave's natural contours to create an even more lifelike effect, were deemed too sophisticated to have been produced by ancient humans.

It was only 20 years later, when the Altamira paintings could be compared with other recent prehistoric finds, that their extreme antiquity was accepted -- and the understanding of early humans transformed.

The Altamira cave was first closed to the public in 1977, when the body heat and CO2 from 3,000 daily visitors were found to be damaging the paintings.

The site was subsequently reopened to restricted numbers, creating a waiting list of up to three years.

In 2002, Altamira -- a Unesco World Heritage Site since 1985 -- was closed a second time when body heat, light and moisture were found to be causing a green mold to grow on the ancient works.

Campaign to reopen cave

Since then the Cantabrian regional administration has pushed for Altamira to be opened to the public once more.

The goal was to achieve a "balance" between preserving the rock art and making a vital part of Spain's heritage accessible, the director of the Altamira Museum, JosÃ© Antonio Lasheras, told CNN.

However, the Spanish government's main research body opposes the reopening of the cave.

"The consequences of doing so are incalculable," Sergio SÃ¡nchez Moral, lead researcher at the Spanish National Research Council, told Publico.es.

For the past decade, visitors to Altamira have had to be content with replicas of the paintings -- mainly those in the cave's main chamber -- located a short walk away in in the museum.

"The original [paintings] can be thrilling because the feeling of entering the cave is difficult to reproduce," Lasheras said.

"But people have also felt excited going through the replica."

The museum also has a permanent exhibition called "The Times of Altamira," including furniture made of animal bone and antler, depicting life during the paleolithic era.

Museo de Altamira, Avda. Marcelino Sanz de Sautuola, 39330 Santillana del Mar, Cantabria, Spain; +34 942 818 005/815

@highlight

"Sistine Chapel of paleolithic art" reopens to small groups

@highlight

Effect of visitors on cave's humidity, CO2 to be measured

@highlight

Murals discovered by amateur archaeologist and his daughter in 1879