Adrienne Arieff went through three miscarriages before she learned she was unable to carry a child. Her search for a solution brought her to India, where she found a woman willing to carry her and her husband's embryo in a controversial practice known as foreign gestational surrogacy.

After considerable soul-searching, Arieff traveled in 2008 to Anand, a city in western India that has earned a reputation in recent years as the capital of India's so-called "rent-a-womb" industry. The 36-year-old marketing specialist from San Francisco met Vaina, the 26-year-old married mother who would be her surrogate, and began fertility treatment at the Akanksha Infertility Clinic. Weeks later, Arieff's husband arrived in India for the final stage of IVF, setting the stage for the emotional journey at the heart of her new book, "The Sacred Thread: A True Story of Becoming a Mother and Finding a Family—Half a World Away."

"Surrogacy advocates in the United States will tell you not to get involved with poor surrogates under any circumstances because it can lead to exploitation," she wrote in the book.

"I initially disagreed with this line of thinking. Charges of "renting a womb" and exploitation have long tarnished the practice of surrogacy. But in my mind, a woman going through the risks of labor for another family clearly deserves to be paid. To me, this was not exploitation. This was a win-win, allowing the surrogate to have a brighter future and the couple to have a child. If my money was going to beneﬁt an Indian woman ﬁnancially for a service she willingly provided, I preferred that it be a poor woman who really needed help because the money that a surrogate earns in India is, to be blunt, life- changing."

The book chronicles her struggle to cope with having a surrogate halfway across the world while fielding criticism from others over the decision to spend about $30,000 on the process, less than half of what IVF costs in the United States. She returns to India for the last six weeks of the pregnancy before the birth of her twin daughters, Emma and India, now 2 years old.

Arieff spoke with CNN about the highs and lows of surrogacy and the unique bond that formed between her and Vaina. The following is a transcript of the conversation edited for length and clarity.

CNN: How did you end up choosing a surrogate in India?

Adrienne Arieff: After three miscarriages a doctor in San Francisco told me to consider surrogacy or adoption. My husband and I looked into domestic and international options and learned about Indian surrogacy from an article in the New York Times in 2008. We thought it was particularly interesting because I had a big connection to India from having spent time there and I loved the country.

Plus, Dr. Nayna Patel [medical director of the Akanksha Infertility Clinic] went to a great medical school and had impeccable credentials. Ironically, Dr. Patel went to medical school in London with a high school friend of mine and then my world became smaller. That made me feel comfortable. Also, the medical contracts are much less complicated in India and price is less than half of what it is in the U.S.

CNN: What were some of the moral and ethical dilemmas you had to confront in using a foreign surrogate?

Arieff: I never wanted to exploit anyone and there's so much exploitation in India. I definitely wanted to make sure that my surrogate was really on board and wanted to do this and felt empowered as a woman to be doing something to help me and her family. The whole "womb for rent," that's where the medical contract and the business transaction side of things comes in, but after doing my research I felt comfortable that she was helping me because she wanted to and I was helping her. You have to be an advocate for yourself and surrogate and I always made sure she was OK. I wanted her to feel special because for the rest of your life I was going to put her on pedestal.

With a lot of clinics in India you never meet the surrogates and that's weird, so there are definitely a lot of horrible things that happen in India with surrogates. It's big business but like with anything, you have to do your homework and be really smart about what you're getting into, financially, professionally and personally. So yes, there is a lot of corruption and exploitation with surrogacy in India but that was not the case in our journey.

I was surprised by some of the criticism I got from people, especially ones who knew about my infertility and our history with miscarriages. This wasn't the way we'd planned it or wanted it. But still, it was shocking sometimes to hear the judgments in spite of everything we'd been through.

CNN: At what point did you write a book based on your experience?

Arieff: The book doesn't seek to change anyone's mind. I had a really positive experience and just wanted to share it. When I was considering surrogacy, I ended up buying 30 books, but they dealt with a lot of minutia of the process. There weren't many books from the point of view of the surrogate or the others involved.

This was going to start out as a diary for our girls so they'd know how much we wanted them. It turned into a book because when I started telling people I was doing surrogacy I had so many friends call and e-mail with questions. It got a little out of hand. Because the questions were all so similar I thought maybe I will write a book about this and it was such an easy process and even while writing the book I wondered, should I be doing this? But in the end it turned out very powerful.

I started taking notes around the IVF time of things [in India] because I really wanted to remember everything. I tend to forget if I don't write it down. I wanted to have all their questions answered if they had a lot of questions.

CNN: What were your expectations?

Arieff: I just wanted everything to be OK because I didn't think it was going to work. I was so sad from the chaos and loss I'd already experienced in trying to have children so I was very cautious with expectations.

I knew I would only want the best for her and to feel some kind of bond with her for carrying to term, but I ended up feeling like her big sister. I wanted her to be comfortable, happy and safe. I just wanted to take care of her and make her feel as safe and comfort as possible. Maybe that's friendship but it felt like sisterhood.

CNN: How did the relationship evolve?

Arieff: When I first met her it felt like a business transaction. She needed some money for her family, it was the equivalent of 10 to 15 years of salary and I had fertility challenges so it was win-win, but initially it felt like more business transaction. It's surrogacy, it's not ideal but we came up with a business agreement for both parties.

I saw her for the first time in the beginning. After I left, we'd exchange e-mails through a translator and Dr. Patel would send photos during the course of the pregnancy. One of the most challenging things was the distance. When your surrogate's in the U.S. you're able to talk to her every day and you're free to be engaged in her life so I didn't have that option, which was really sad and unfortunate because I really wanted to feel connected to the pregnancy. I had been pregnant before, once until very far in, so it was hard for me. If I could do it all over again I would stay in India the whole time. I think it's such a big part of the process and that was definitely a huge challenge for me.

When I couldn't do it any longer I got on a plane, and I was so happy that I did. We'd do things like braid each other's hair, do each other's makeup. We don't speak the same language so the relationship was based on these basic human principles and exchanges.

We'd take short walks, watch movies, some Indian films. I got this drum set, and we played that a couple of times. Music, we really bonded on music and had fun making fools ourselves. There were lots of iPhone films and looking at films together and sitting around doing nothing. We'd look at magazines I'd brought. I think her favorite was when I bought Toblerone chocolate.

CNN: This was not your first trip to India. How did the purpose of this visit color your impressions of the country?

Arieff: The first time I was doing it all in hotels and it was very touristy and I loved it, but it was very touristy. This time I was really staying there for an extended period of time so it was nice to slow down in the crazy country and get to know it as someone staying for extended period of time. It gets under your skin because there's so much going on but people are so warm and everyone's not on their iPhone constantly. The tech industry is the south, Bangalore. In western India, where I was, it was slow and quiet. You hang out and talk and just enjoy being there and that brings you into that whole spiritual place. When I returned both times, people thought I was following a guru because they were not used to me being calm. I was happy to be in a slower-paced setting with kind people. People's homes are more basic and it's more about family and religion.

@highlight

Adrienne Arieff develops bond with surrogate in India who gives birth to her twin daughters

@highlight

"The Sacred Thread" describes emotional toll of having surrogate on other side of the world

@highlight

Arieff defends so-called "rent-a-womb" industry, says it was a win-win situation for all sides