I used to be able to justify using Facebook as a cost of doing business. As a writer and sometime activist who needs to promote my books and articles and occasionally rally people to one cause or another, I found Facebook fast and convenient. Though I never really used it to socialize, I figured it was OK to let other people do that, and I benefited from their behavior.

I can no longer justify this arrangement.

Today, I am surrendering my Facebook account, because my participation on the site is simply too inconsistent with the values I espouse in my work. In my upcoming book "Present Shock," I chronicle some of what happens when we can no longer manage our many online presences. I have always argued for engaging with technology as conscious human beings and dispensing with technologies that take that agency away.

Facebook is just such a technology. It does things on our behalf when we're not even there. It actively misrepresents us to our friends, and worse misrepresents those who have befriended us to still others. To enable this dysfunctional situation -- I call it "digiphrenia" -- would be at the very least hypocritical. But to participate on Facebook as an author, in a way specifically intended to draw out the "likes" and resulting vulnerability of others, is untenable.

Facebook has never been merely a social platform. Rather, it exploits our social interactions the way a Tupperware party does.

Facebook does not exist to help us make friends, but to turn our network of connections, brand preferences and activities over time --  our "social graphs" -- into money for others.

We Facebook users have been building a treasure lode of big data that government and corporate researchers have been mining to predict and influence what we buy and for whom we vote. We have been handing over to them vast quantities of information about ourselves and our friends, loved ones and acquaintances. With this information, Facebook and the "big data" research firms purchasing their data predict still more things about us -- from our future product purchases or sexual orientation to our likelihood for civil disobedience or even terrorism.

The true end users of Facebook are the marketers who want to reach and influence us. They are Facebook's paying customers; we are the product. And we are its workers. The countless hours that we -- and the young, particularly -- spend on our profiles are the unpaid labor on which Facebook justifies its stock valuation.

The efforts of a few thousand employees at Facebook's Menlo Park campus pale in comparison to those of the hundreds of millions of users meticulously tweaking their pages. Corporations used to have to do research to assemble our consumer profiles; now we do it for them.

The information collected about you by Facebook through my Facebook page isn't even shared with me. Thanks to my page, Facebook knows the demographics of my readership, their e-mails, what else they like, who else they know and, perhaps most significant, who they trust. And Facebook is taking pains not to share any of this, going so far as to limit the ability of third-party applications to utilize any of this data.

Given that this was the foundation for Facebook's business plan from the start, perhaps more recent developments in the company's ever-evolving user agreement shouldn't have been so disheartening.

Still, we bridle at the notion that any of our updates might be converted into "sponsored stories" by whatever business or brand we may have mentioned. That innocent mention of cup of coffee at Starbucks, in the Facebook universe, quickly becomes an attributed endorsement of their brand. Remember, the only way to connect with something or someone is to "like" them. This means if you want to find out what a politician or company you don't like is up to, you still have to endorse them publicly.

More recently, users -- particularly those with larger sets of friends, followers and likes -- learned that their updates were no longer reaching all of the people who had signed up to get them. Now, we are supposed to pay to "promote" our posts to our friends and, if we pay even more, to their friends.

Yes, Facebook is entitled to be paid for promoting us and our interests -- but this wasn't the deal going in, particularly not for companies who paid Facebook for extra followers in the first place. Neither should users who "friend" my page automatically become the passive conduits for any of my messages to all their friends just because I paid for it.

That brings me to Facebook's most recent shift, and the one that pushed me over the edge.

Through a new variation of the Sponsored Stories feature called Related Posts, users who "like" something can be unwittingly associated with pretty much anything an advertiser pays for. Like e-mail spam with a spoofed identity, the Related Post shows up in a newsfeed right under the user's name and picture. If you like me, you can be shown implicitly recommending me or something I like -- something you've never heard of -- to others without your consent.

For now, as long as I don't like anything myself, I have some measure of control over what those who follow me receive in my name or, worse, are made to appear to be endorsing, themselves. But I feel that control slipping away, and cannot remain part of a system where liking me or my work can be used against you.

The promotional leverage that Facebook affords me is not worth the price. Besides, how can I ask you to like me, when I myself must refuse to like you or anything else?

I have always appreciated that agreeing to become publicly linked to me and my work online involves trust. It is a trust I value, but -- as it is dependent on the good graces of Facebook -- it is a trust I can live up to only by unfriending this particularly anti-social social network.

Maybe in doing so I'll help people remember that Facebook is not the Internet. It's just one website, and it comes with a price.

@highlight

Douglas Rushkoff: Facebook has been very useful to him but now goes too far

@highlight

He says its Related Posts features misrepresents "likes" of users without their consent

@highlight

Facebook users have always been its workers, providing info about themselves to data miners

@highlight

Rushkoff: Related Posts takes too much control, causes him to break trust with followers