(CNN) -- The world's chocolate makers may specialize in delivering a sweet taste but the government of the Ivory Coast is seeking to address what it sees as the bitter treatment of the farmers who grow the industry's raw materials.

The West African nation was the world's biggest cocoa producer -- which is the main ingredient in chocolate -- between 2009 and 2010, rearing some 1.19 million tons of the crop according to the International Cocoa Organization (ICCO).

Thanks to a mixture of price volatility, internal instability within the Ivory Coast and a lack of protection from speculators however, an ever smaller portion of the billions of dollars of annual revenue the industry creates finds its way back to the country's farmers.

While this set up may benefit cocoa buyers and chocolate companies, non profits such as the International Cocoa Initiative (ICI) have claimed that it forces farmers to pay low wages and encourages exploitative practices such as child labor.

Bittersweet times for Ivory Coast's cocoa industry

But according to Sangafowa Coulibaly, the Ivory Coast's agriculture minister, central government efforts are now being made to make the cocoa production process fairer and more profitable for farmers.

"The profits made from the sale of cocoa have unfortunately not been beneficial enough to the farmers because of poor governance," he says.

Coulibaly highlights the fact that farmers receive around a 40% share in the price of the cocoa they grow. This, he claims, is not commensurate with the costs the process incurs and in the coming years he hopes to see this figure rise to 60%.

He also blames the country's former president, Laurent Gbagbo -- who refused to concede defeat in elections in October 2010, leading to a six month long standoff before he was finally forced from power by military force -- for slowing reforms that will benefit the country's cocoa growers.

Now that the political infighting is over and a new government in place however, Coulibaly says that changes will be made to ensure the long term viability of one of the country's most integral industries.

"Things can only get better," he says. "The political crisis is behind us -- the armed conflict is behind us. Ivory Coast has become a country that aspires to be stable," he adds.

With the Ivory Coast contributing to roughly 40% of global cocoa produce alone, such clear intentions of creating a durable and equitable production process should be good news for the world's chocolate companies, as well as the country's cocoa farmers.

But while Coulibaly is adamant that the central government is genuine in its attempts to help farmers, his words are met with a wary skepticism by those at the sharp end of the debate.

Toure Dramane is a farmer and owner of a cocoa co-op deep within the Ivory Coast's rural hinterland.

He says that unless real changes are made to ensure farmers are paid a fair price for their produce they will be forced to employ children and pay low wages, which in turn will create a variety of long term social and humanitarian problems.

The human cost of chocolate

"It's not our choice; it's imposed on us," he says of the price he receives for his cocoa produce.

"We can't transform it. We produce it and we sell. We get the price that is imposed on us. We can't do it any other way."

Dramane says that promises of reform to make cocoa farming fairer and more profitable have been made many times before.

He cites a pledge made by the world's leading chocolate companies to help end child labor almost a decade ago. "[But] in ten years, nothing has been done at all" to address this issue he says, ensuring he remains suspicious about the new government's proclamations no matter how good they sound.

With previous broken promises in mind, Dramane adds that he will reserve judgment about whether conditions will be any different or fairer for farmers until he sees the price he receives for his next harvest.

@highlight

The Ivory Coast is the world's biggest cocoa producer

@highlight

The country's agriculture minister says he wants to make cocoa production fairer for farmers

@highlight

Cocoa farmers are skeptical about government talks of reform