Abu Dhabi (CNN) -- Working conditions for South Asian migrant workers have improved on Abu Dhabi's Saadiyat Island, but more needs to be done and protection gaps remain, Human Rights Watch (HRW) said on Wednesday.

In an 85-page report, the rights groups said those gaps include "reimbursing workers for recruiting fees, which often take months or years to repay and are the single greatest factor in creating conditions of forced labor."

The report also found "lapses in effectively punishing abusive contractors and following through on promises to make monitoring reports public."

Saadiyat Island, a $22 billion cultural project, will include local branches of New York University, as well as the Louvre and Guggenheim Museums.

"For too long, migrant workers in the UAE have toiled in abusive conditions, with private and public developers showing little concern," said Sarah Leah Whitson, Middle East director at Human Rights Watch.

"Now, finally, Emirati developers and their international partners have stepped up to the plate on Saadiyat Island to start to protect workers, but they will need to do more to curtail the abuses."

HRW first reported on the subject in 2009, when they found widespread exploitation of laborers on Saadiyat Island.

The rights group says there have been notable improvements since then, citing "commitments by leading educational and cultural bodies and UAE development companies to ensure regular payment of wages, rest breaks and days off, and employer-paid medical insurance, and to hire independent monitors to detect and report publicly on violations of workers' rights on the island."

But today's progress report noted that many workers still pay recruitment fees in order to obtain their jobs, adding that almost all the 47 workers interviewed reported paying between $900 and $3,350 to agents in their home countries, a practice that can trap them in debt.

The report also found contractors are "regularly confiscating worker passports and substituting worker contracts with less favorable ones when the workers arrive in the UAE."

In a response to HRW's report, Tourism Development & Investment Company (TDIC), the island's master developer, said they continue "to be deeply committed to safeguarding worker welfare on its projects".

In a statement TDIC added that while the company is pleased to see HRW acknowledging the high standards they continue to uphold in the area of worker welfare, they also believe that "some of the findings detailed are outdated and inaccurate, as the report cites interviews conducted between October 2010 and January 2011."

The statement added: "Moreover, the company believes the methodology HRW has used in the report is flawed; we call into question the small sample of workers interviewed, as well as the limited number of contractors these workers represent. TDIC therefore firmly believes that this report is not an accurate reflection of the current situation on Saadiyat."

With regard to recruitment fees, TDIC said that they share HRW's concern, but that the fees continue to be a challenge.

"This practice mainly occurs in the worker's country of origin," said TDIC, "making it an extremely difficult problem to address from the UAE. However, as according to TDIC's employment practices policy, should any worker prove they have been charged fees by an agency to work on any of its projects, the company will take appropriate action under its agreement with the relevant contractor to reimburse the worker. By focusing solely on Saadiyat, HRW is shifting the spotlight away from this important issue rather than trying to address it at its core. TDIC therefore encourages HRW to take the lead role in campaigning against this damaging practice on a wider scale and will fully support it in doing so."

A statement from New York University Abu Dhabi said that "HRW's latest report acknowledges the major steps that we and our government partners have taken to ensure the health and welfare of the individuals who are building NYU Abu Dhabi's new campus on Saadiyat Island."

Josh Taylor, assistant vice chancellor, public affairs and community relations for NYU Abu Dhabi, added: "We also welcome any new, actionable information that will enable us to accomplish our goals on this front. However, whereas our third-party compliance auditors conduct worker interviews each and every month, it appears that HRW's latest report relies on interviews that took place between 14 and 17 months ago. In a number of cases, the report also fails to indicate which project an individual was working on, which makes researching and/or addressing specific claims virtually impossible."

@highlight

Human Rights Watch says more needs to be done to improve working conditions

@highlight

The report found "lapses in effectively punishing abusive contractors"

@highlight

The report noted many workers still pay recruitment fees in order to obtain their jobs