Tombstone, Arizona (CNN) -- The six Forest Service rangers suddenly crouched, whispering, on their way up the rocky mountain trail. It was early Friday afternoon, the first day of the Tombstone Shovel Brigade, and the rangers were out in force, hiking to the spot where dozens of volunteers worked with picks and shovels to move and bury Tombstone's makeshift water line.

Shhh! Look! Do you see it?

The rangers stopped in their tracks. Binoculars emerged from pockets, and fingers pointed to a stand of trees.

And there it was, a Mexican spotted owl, perched high in a pine tree. It was a male, the rangers said, with his back turned to the intruders. He scratched and preened. But mostly, the owl seemed to be watching the nest in a nearby sycamore tree where his mate tended to an owlet.

The owl is a threatened species, and until a few days ago its presence in fire-scorched Miller Canyon was a matter of speculation. But now that it has surfaced, the owl could be a game-changer in the water war between the U.S. Forest Service and the Wild West city made famous by the 30-second gunfight at the O.K. Corral.

Tombstone is trying to repair a 26-mile pipeline that has brought mountain spring water into the city since 1881. It was damaged during last summer's Monument Fire and monsoon rains that brought mud, water and boulders crashing down the denuded slopes.

The Miller Peak Wilderness Area, where owls nest in the trees above Tombstone's pipeline, was hit particularly hard. Sections of pipeline simply vanished, and Tombstone's reservoir ran dry by August.

Kevin Rudd, project manager for the Tombstone pipeline, said the repaired pipeline needs to be shored up or it surely will be washed away when the monsoon rains return next month. Planned tasks for the shovel brigade include reinforcing the spring and diverting its flow by using boulders, sand, downed trees and other flood debris.

As for the owl, nobody could say for certain after the fire whether it would return. But it's the big reason why the Forest Service wouldn't simply hand Tombstone a permit to use heavy construction equipment to fix the pipeline. Tombstone responded by taking the feds to court. Since then, the conflict has escalated, taking on a life of its own.

Tombstone now asserts that it owns 25 springs in the Huachuca Mountains and shouldn't have to ask anyone for permission to maintain its own water line. The Forest Service says Tombstone holds permits for just five springs, and it argues the city is trying to exploit a natural disaster to expand its water system.

With the conservative Goldwater Institute taking on Tombstone's legal work, the court battle has blossomed into a full-blown states rights dispute. Tombstone is getting the attention of activists from Utah, New Mexico and other Western states who say the federal government has gone too far. It has become ground zero in a rekindled Sagebrush Rebellion.

"I'd love to say that this is a partisan issue and that if this administration changes, it's going to be all sweetness and light," said Caren Cowan, a Tombstone native who now heads the New Mexico Cattle Growers Association. "But I have 22 years of experience telling me otherwise. It's not a partisan issue."

Cowan said she has battled the Forest Service often on behalf of ranchers in her state and has found that "people in Washington just don't understand the West. They don't understand the wide open spaces and how we live and how we manage the land."

The federal government controls millions of acres in the West, and some folks believe the feds have reneged on a promise to turn over large swaths to local control once statehood was achieved. It's a battle cry once made by oilmen and ranchers, and now state and local governments are taking up the cause.

The leaders of the Jarbidge Shovel Brigade, which in 2000 used volunteer muscle power to move a boulder and reopen a wilderness road near Elko, Nevada, rallied to Tombstone's side. A nonprofit organization was set up, and Tombstone so far has received $2,000 in donations and about 400 shovels.

The Jarbidge contingent then traveled to Tombstone, hiked up the mountain and labored on the pipeline.

So did Ken Ivory, a state representative from Utah, who won passage of legislation that seeks to turn over federal land to his state. He says the conflict playing out in Tombstone is an example of the Forest Service dictating to, rather than working with, local government officials. He says the feds suddenly cut off Tombstone's access to springs and roads the city has maintained for 130 years under "an arbitrary and irrational federal policy."

As a result, Ivory said, Tombstone "is minutes away from going up in smoke" because it is "a wooden town in the middle of the desert in the middle of a drought."

At the center of the debate is the Mexican spotted owl.

"What is more important, owls or the people of Tombstone?" James Upchurch, a Forest Service supervisor who oversees the wilderness, was asked in court earlier this year.

Upchurch responded that there was no easy answer, which left jaws dropping on Tombstone's side of the courtroom.

So far, the Forest Service had been winning in court; Tombstone's request for an emergency injunction went all the way to the U.S. Supreme Court but was turned down.

The feds seemed to be losing in the court of public opinion, though. Tombstone tells a compelling story, portraying the Forest Service as a rogue agency of obstructionist, tree-hugging bureaucrats. The Forest Service had offered little comment, and when it did say something, it sounded to the people of Tombstone, well, tree-hugging and bureaucratic.

But the rangers came out in force on Friday, presenting their helpful side. A group of Forest Service firefighters hiked up the mountain and used a two-man crosscut saw to take down a tree and clear a path for the pipeline.

While everyone agrees the relationship between Tombstone city officials and Forest Service rangers has improved in recent weeks, their differences simmer just below the surface. The agency is working with the city to come up with a plan to keep water flowing to Tombstone, but it isn't standing down.

The Forest Service granted permits Thursday for the city to bring the all-volunteer shovel brigade into the canyon to shore up the pipeline. Tombstone has until 8 p.m. Saturday to finish the job.

And so, under an unforgiving desert sun, about 100 people -- including Old West cowboy types with monikers such as "Whiskers" and "Cowboy Doug" -- gathered at Tombstone's old high school football field Friday for the first day of an event that was billed as part protest and part work party.

Cowan, who heads the cattle growers group, grew up in Tombstone and remembers playing powder puff football on that field during the 1970s. Her great-grandfather was among Tombstone's first settlers and made a name for himself in banking and ranching, but she considers herself "an economic refugee from Arizona." She says she knows all too well how difficult navigating Forest Service regulations can be.

"The idea that the Forest Service is trying to take water away from my hometown is just beyond words," she said. "I'm very proud to be here today to help and to fight. We're going to fix this, and the Forest Service is going to listen."

The three-mile hike up the mountain was grueling in the 100-degree heat. The trail is steep and rocky, and some of the volunteers didn't make it to the top. Those who did found themselves moving boulders, digging trenches and sliding on gravelly slopes. Soaked with sweat, they staggered down the mountain after a couple of hours of hard labor.

"It's just a lot of manual labor," said Ben Headen, president of Tombstone's American Legion post. It was frustrating, he said, because "we shouldn't be doing it by manual labor, we should be using equipment."

His friend Tim Ferrick, a fellow veteran, said he considered it his "patriotic duty" to stand up for Tombstone's water rights.

Meanwhile, Tombstone's cause has found a champion in Washington. U.S. Rep. Jeff Flake, an Arizona Republican, recently introduced H.R. 5971, the Emergency Water Supply Restoration Act. It proposes to set aside Forest Service restrictions against the use of construction equipment during state-declared water emergencies. Flake and Nancy Sosa, Tombstone's archivist, were among the witnesses who testified before a subcommittee of the House on Friday.

Flake said: "The unforeseen consequences of federal laws and regulations threaten to do something outlaws, economic busts and the Arizona desert couldn't: Kill the town too tough to die."

@highlight

Volunteer shovel brigade heads to hills to fix Tombstone water line by hand

@highlight

Pipeline damaged by fire and monsoon rains lies in protected wilderness area

@highlight

Forest Service won't let city use heavy equipment, citing presence of Mexican spotted owl

@highlight

In Washington, Tombstone's cause has found a champion in Arizona congressman