(CNN) -- Historical tensions and overreaction on the part of both Russia and Georgia contributed to a five-day conflict between the two in 2008, a European Union fact-finding mission concluded in a report released Wednesday.

South Ossetian mourners at the grave of a relative killed in the conflict on the first anniversary in August 2009.

"The conflict is rooted in a profusion of causes comprising different layers in time and actions combined," said the report from the Independent International Fact-Finding Mission on the Conflict in Georgia.

"While it is possible to identify the authorship of some important events and decisions marking its course, there is no way to assign overall responsibility for the conflict to one side alone. They have all failed, and it should be their responsibility to make good for it."

Georgia launched a campaign against South Ossetia, a Russian-backed separatist Georgian territory, on August 7, 2008. The following day, Russian tanks, troops and armored vehicles poured into South Ossetia and another Russian-backed breakaway Georgian territory, Abkhazia, advancing into Georgian cities outside the rebel regions.

A total of about 850 people were killed on all sides, the report said, and untold numbers of others were wounded or went missing. About 100,000 civilians fled their homes, and about 35,000 have been unable to return.

"The fighting did not end the political conflict, nor were any of the issues that lay beneath it resolved," the report said. "Tensions still continue. The political situation after the end of fighting turned out to be no easier and in some respects even more difficult than before."

Russia and Georgia each blamed the other for starting the conflict, and accused each other of a variety of offenses leading up to and during the fighting, including ethnic cleansing. Moscow has since recognized South Ossetia and Abkhazia as independent regions. But relations between Georgia and Russia are at an "all-time low," the report notes.

After five days of fighting, a peace deal was brokered by French President Nicolas Sarkozy, acting on behalf of the EU. An implementation effort followed on September 8. The report noted that the actions "stood in contrast to the failure of the international community, including the U.N. Security Council, to act swiftly and resolutely enough in order to control the ever-mounting tensions prior (to) the outbreak of armed conflict."

Georgian armed forces shelled the South Ossetian capital of Tskhinvali the night of August 7. While that action was seen as the start of the armed conflict, "it was only the culminating point of a long period of increasing tensions, provocations and incidents," the fact-finding report said. "Indeed, the conflict has deep roots in the history of the region, in peoples' national traditions and aspirations as well as in age-old perceptions or rather misperceptions of each other, which were never mended and sometimes exploited."

Any evaluation of the conflict should take that into account, along with mounting tensions in the months and weeks leading up to it, the report said, as well as "years of provocations, mutual accusations, military and political threats and acts of violence both inside and outside the conflict zone.

"It has to consider, too, the impact of a great power's coercive politics and diplomacy against a small and insubordinate neighbor, together with the small neighbour's penchant for overplaying its hand and acting in the heat of the moment without careful consideration of the final outcome, not to mention its fear that it might permanently lose important parts of its territory through creeping annexation," the report said.

The fact-finding mission was established in December by the EU to investigate the conflict. It was headed by Heidi Tagliavini, a former United Nations special representative for Georgia.

The EU said in a statement it welcomed the report and hopes its findings can contribute to future international efforts at "preventive diplomacy."

@highlight

Report: A total of about 850 people were killed on all sides in five-day conflict

@highlight

About 100,000 civilians fled their homes, about 35,000 unable to return

@highlight

Report: "No way to assign overall responsibility for the conflict to one side alone"

@highlight

Russia and Georgia each blamed the other for starting the conflict