(CNN) -- Science has brought us incredible gifts: life-saving vaccines and clean water, air travel and instant communication.

Modern life is built upon the knowledge that the scientific community has gathered and that society -- markets, governments, workers -- put to use. We have our ancestors to thank.

But will our descendants thank us? Have we put to good use the knowledge we are gaining today to help those who will come after us?

That question is now before one of the highest courts of the United States. As a scientist who has spent the past half-century documenting how mankind is fundamentally altering our climate, I fear that unless the courts understand the threat and require the government to produce a plan of action, the answer of history could be damning.

In a new study, I and my co-authors make indisputably clear what the world's scientists have increasingly warned: Our climate is changing, and the impacts are growing. The changes harm humans and threaten other life on the planet.

Our study, published in the prestigious peer-reviewed science journal PLOS-ONE, was written in support of a lawsuit against the federal government. The plaintiffs are young people, those to whom we are handing an increasingly warmer and destabilized planet.

They argue that they have a constitutional right to a safe climate, that they have a right to receive from us a planet that supports all life, just as our forebears gave us. It is correctly a legal argument, but it relates to a fundamental moral question.

We know without a doubt that gases we are adding to the air have caused a planetary energy imbalance and global warming, already 0.8 degrees Celsius since pre-industrial times. This warming is driving an increase in extreme weather, from heat waves and droughts to wildfires and stronger storms (though mistakenly expecting science to instantly document links to specific events misses the forest for the trees).

More than simply listing calamitous threats, we wanted to jump-start the discussion of how the world can take significant action. Now.

First, the good news. We still have time to choose. Will we seek out and exploit ever deeper and dirtier fossil fuels or phase in cleaner carbon-free energy? If we start aggressively reducing carbon emissions, we can stabilize our climate and avoid cataclysmic change. Our fate truly is in our hands.

Our analysis shows that we must rapidly reduce carbon emissions and improve land management policies to restore billions of tons of carbon to soils and forests. We recognize that won't be easy.

Carbon emissions will decline only if the price of fossil fuels begins to include their costs to society: their effects on human health and climate. Economic analysis shows that a rising carbon fee collected from fossil fuel companies would swiftly drive market innovations and investments in clean energy. (Indeed, many companies are preparing for such a fee.)

Watch out for climate surprises, scientists warn

Courts cannot tell the government how to reduce emissions. But they can require that the government provide a plan: How will emissions be reduced to assure that the rights of young people are protected?

There is also painfully challenging news. The widely accepted goal of limiting global temperature rise to 2 degrees Celsius would lead to continually receding shorelines and growing climate extremes.

We must, instead, keep maximum warming close to 1 degree Celsius. Thus, most of the allowed carbon emissions budget has been used up. We must phase out coal emissions. And it would be foolhardy to develop unconventional fossil fuels such as tar sands.

In short, our analysis finds that we must act more quickly and more aggressively than politicians and international negotiators have even considered.

My co-authors are experts on biology, ecology, law, economics, public health, climate modeling, oceanography and paleoclimatology. We need broad expertise because climate change is not just a science problem. It is the great challenge of our times.

Climate change warriors: It's time to go nuclear

Climate change is altering people's lives, right now, from the United States to Africa to the Arctic. It is as clear and present a danger as we've ever seen.

And the threat will only get worse if left unchecked. If we allow the planet's energy imbalance to increase and the ocean to continue to warm, we will pass a point of no return. Our children and grandchildren would inherit disintegrating ice sheets, rising seas that inundate all coastal cities, increasingly violent climate extremes and extermination of countless species. We would leave future generations a far more desolate planet than the one that we were blessed to inherit.

Science and the knowledge it brings is a gift only if we use it. Failing to act on our knowledge to protect future generations would be the gravest injustice of all.

The opinions expressed in this commentary are solely those of James Hansen.

@highlight

James Hansen: We know what to do to prevent climate catastrophe

@highlight

Ending emissions from coal and stopping development of tar sands are key, he says

@highlight

It's time to establish a fee for companies that emit carbon, Hansen says

@highlight

Hansen: It would be unjust to bequeath to our descendants a desolate planet