(CNN) -- Voter turnout was terrible last Tuesday. As President Barack Obama lamented in his post-election press conference Wednesday, two-thirds of voters chose not to vote, making it perhaps the lowest midterm turnout since the 1940s. Conventional wisdom says low turnout favors Republicans, and it did last week. But the days when one party sees low turnout as being in its own interest might be drawing to a close -- and it may be Republicans who will drive the change.

First, some context. Midterm electorates are typically smaller, whiter and older than presidential electorates. In recent years, the GOP has worked hard to ensure that its shrinking, white, aging base turns out in disproportionately large numbers. And even though there are plenty of Republican leaders who'd like to see their party become younger and more diverse, the practical pressures of here-and-now politics have led them to go into campaigns with the voters they have, not the ones they wished they had.

But on Tuesday, the wishes of those Republicans hoping to expand the base started coming true -- at least on the margins, and enough to suggest a new way forward. While Republicans extended their dominance among older white voters, they also made modest inroads with Latino and Asian-American voters, partly by downplaying the nativist messages of past cycles and partly by exploiting frustration with the Obama administration.

Several new-generation black, Hispanic and Asian Republican candidates were also elected across the country. Meanwhile, GOP leaders such as Sen. Rand Paul have been engaging millennial voters on campuses and elsewhere with an unapologetic libertarianism that resonates with some young people.

As a result, it's possible for a smart Republican to see 2014 not only as a win, but as a hint of how the party could prevail in 2016 as well. To put it simply, the GOP might soon see it as in its own interest to boost turnout among young voters and voters of color, instead of writing them off or, as still happens too often, blocking them from voting at all.

This would be a major departure, to be sure. We're still a long way from a heartfelt and well-executed effort to expand the GOP demographic base. And even if party leaders want it, there are still too many voters who vote Republican precisely because they fear or blame the very people the leaders want to bring into the tent.

Still, it's at least becoming possible now. There is an opening among Latino, Asian and young voters. And it would be fantastic for the country if Republicans pushed to exploit that opening.

That may sound funny coming from a Democrat. My party in the 21st century has become the default choice for voters shorthanded as the "rising American electorate," which is to say, young and nonwhite voters. I recognize that an effort by the GOP to grab a chunk of that electorate would be a challenge to my party.

As an American though, I'd love to see it happen. I'd love to see young and nonwhite voters tell candidates from both parties that they are not to be taken for granted, and I'd love for each party to try to outdo the other not just in raising money but in raising turnout across the board.

It would be great for the country if both parties in earnest developed new policy ideas that address the hopes and dreams of millennial voters and voters of color. This means not simply trying to win by carving off slightly more than half of those voters that do turn out, but trying to build true majorities of all the voters.

Weeks before the midterm elections, Rock the Vote released a video that went instantly viral called "Turn Out for What?" With rap stars and other celebrities, it drove home the message that there were numerous issues, from same-sex marriage to marijuana to student debt, that should drive young people to turn out and vote.

In the end, of course, only a fraction of them did. "Turn out for what?" can be also read as a cynical statement. As in, "Why bother?"

If we're ever going to change the "Why bother" attitude, it's going to be because both parties are actively fighting for voters not just in their currently defined bases, but in every subgroup. So I hope, for my country, that the party I don't belong to starts investing heavily in appealing to people who don't belong to it either.

And I hope, for my country, that members of this rising American electorate start demanding more from both parties before giving away their votes, either by casting predictable ballots or not casting them at all.

I loved the Rock the Vote campaign. But true progress will come when we won't need chiding, even fun chiding, to get out and participate, when both parties will be outracing each other to bring more people into the voting booth because they'll have nothing to fear from elections that are truly representative.

Let's turn out for that.

@highlight

Midterm voter turnout last week perhaps was lowest since 1940s

@highlight

Eric Liu: GOP made modest inroads with Latino, Asian-American voters

@highlight

To beat voter apathy, parties must compete for voters in all groups, Liu says