(CNN) -- The issue of human trafficking has exploded into the headlines in recent years. State and federal legislation has been passed helping to define trafficking more specifically and prosecute traffickers, while services enabling victims to lead productive lives, safely beyond the reach of their traffickers, have been proliferating.

Meanwhile, anti-trafficking organizations are using technology in exciting new ways to find and rescue victims and provide network linkages to prosecute their traffickers successfully.

Yet while such progress is welcome, many groups are only just beginning to focus on a crucial element of beating human trafficking -- cutting demand. After all, less demand means fewer trafficked victims.

Sadly, human trafficking is a multibillion dollar global industry, with some estimates suggesting more than 21 million people are enslaved worldwide. Here in the United States, between 100,000 to 300,000 American children are at risk of being trafficked each year, according to the Department of Homeland Security, with the average age of a child first being trafficked just 13.

Of course, while a trafficker can sell drugs or a gun once, sex with a child can be sold over and over again. It is hardly surprising then that there is also increasing evidence that many of the trafficking networks are interconnected with gang activity and drug and gun trafficking.

A child cannot choose to sell sex for money. A minor being sold for sex is by definition being trafficked. There is no such thing as a child prostitute, only a sex-trafficked victim. Thankfully, there is a much needed mindset shift taking place among law enforcement and treatment providers, a change being increasingly embraced by those trained to recognize trafficked victims, but which needs to be accepted by the global community for continued change.

In addition, more training is needed to identify human trafficking victims. Law enforcement, first responders, emergency room personnel, pediatricians, school personnel, foster care administrators, child welfare personnel, court-appointed advocates, hotel, airport and taxi staff -- many of whom come into contact with trafficked children without knowing it -- could all benefit from extra training. Increased awareness and proper protocols can help to identify correctly and get appropriate help to trafficked victims faster.

Many of these victims find themselves in the social service system, where opportunities exist to get them the help they need if they can be correctly identified. Too often, survivors recount how they crossed paths with adults who could have helped them escape but who didn't see the situation clearly enough to offer them assistance.

In the United States, Operation Cross Country, a joint sting operation between the FBI, U.S. Department of Justice and the National Center for Missing and Exploited Children, has recovered more than 3,500 minors since 2003. The Innocence Lost program recovered 168 victims this summer and arrested 281 pimps.

Overseas, however, we have watched helplessly as Boko Haram has kidnapped hundreds of Nigerian schoolgirls with the stated intent to sell them for sex. Four months later, and the international community has been unable to rescue them. The individual stories I've personally heard from trafficking survivors are heart-wrenching, yet it still happens every day in our country and around the world. Sometimes, one victim at a time, sometimes in large groups.

Survivors' stories tell us that some victims are sold into trafficking by family members, some lured by attention and promises of glamour by an "older boyfriend," only to be abused, branded and sold for sex; labor trafficking victims are often promised high-paying jobs far away from home, only to have their documents taken, their lives and families threatened and horrid working conditions waiting for them with no opportunity for escape. Runaways are often picked up by traffickers within 48 hours of running away from home, and no one is looking to find them. The common thread is that traffickers prey on society's most vulnerable.

So what can we do?

More than anything, it's up to us to do everything we can to protect our vulnerable citizens and continue this fight to make our communities and ultimately our world safer. It's up to us to be a voice for the voiceless. While we may not yet have a clear strategy for tackling Boko Haram, we can still be aware of the signs of trafficking and speak up in our communities when we see something that just doesn't look right. A shift in mindset about the definition of a trafficked victim, stronger legislation allowing better identification and services for victims and more vigorous prosecutions of traffickers offer a healthy start.

But we have a long way to go -- there is more to do on all these fronts.

@highlight

Human trafficking is a multibillion dollar global industry, Cindy McCain says

@highlight

Some 100,000 to 300,000 U.S. children are at risk of being trafficked each year, she says

@highlight

More training is needed to identify human trafficking victims, McCain says