(CNN)After the death of King Abdullah, Saudi Arabia quickly announced that one of his younger brothers, Crown Prince Salman, was succeeding him.

The man taking control of the world's top oil exporter is well established in the Gulf kingdom's corridors of power.

Salman, 79, is "a stalwart of the royal family" who is "viewed as a pragmatic and cautious reformer, much like his predecessor," says CNN's Becky Anderson in Abu Dhabi.

He has served as defense minister and deputy prime minister of Saudi Arabia, a vital U.S. ally in the Middle East, for years. Like Abdullah, he's one of the dozens of sons of Saudi Arabia's founder, King Abdulaziz.

Here are some of the key points about the new ruler.

Salman was governor of the Saudi capital, Riyadh, for nearly five decades during a period of significant change.

"When he became governor in 1963, Riyadh had 200,000 inhabitants — today it has more than seven million," Bruce Riedel, a senior fellow at the Brookings Institution's Center for Middle East Policy, said in a commentary. "Salman presided over this remarkable transformation with a record for good governance and a lack of corruption."

"He had to be a combination ... of a reformer, of a judge, a jury in some cases, and deal with dissent, as well as dealing with economic issues," Robert Jordan, a former U.S. ambassador to Saudi Arabia, told CNN. "So I think he's well prepared for the task at hand."

Salman's experience running Riyadh also involved keeping many of the numerous members of the Saudi royal family in line.

"Since most of the royal princes and princesses live in Riyadh, he was also the family sheriff, ensuring any transgressions were dealt with smoothly and quietly, with no publicity," said Riedel, who worked for the CIA for 30 years.

His national roles have since brought him wider responsibility.

Salman "has been chairing cabinet meetings for several months and handling almost all foreign travel responsibilities for the monarchy since he became the heir in 2012," Riedel said.

Salman's ascension to the throne is in line with the appointments put in place by Abdullah before his death.

"I think that you'll see a continuation -- very similar policies, very similar dynamics unfolding," said James Zogby, president of the Arab American Institute. "The kingdom is modernizing; it's changing, it's reforming and it will continue to do so over the next several decades."

Riedel says the royal family "values family collegiality and harmony highly."

"The two previous Saudi kingdoms in the 18th and 19th centuries were wracked by internal family squabbles, which their foreign enemies exploited," he explains. "With the Arab world facing its worst crisis in decades, the royals will want to present an image of stability and strength."

Salman's first order after assuming the throne was to appoint his youngest brother, Prince Muqrin, as the new crown prince.

Analysts see that appointment as an effort to ensure future stability. Abdullah had named Muqrin as deputy crown prince in March.

At 69 years old, Muqrin is relatively youthful. A former head of intelligence for the kingdom, he is also reportedly well-liked by world leaders.

Muqrin "has been closely linked to Abdullah and his policies of modernization and reform," according to Cordesman.

But the succession plan isn't without its critics. Muqrin's mother does not have royal blood, which is a sticking point for some people in Saudi Arabia.

Several of Salman's sons also hold prominent positions.

They include Prince Sultan, who in the 1980s became the first Muslim astronaut and is now the president of Saudi Arabia's tourism authority; Prince Abdulaziz, the deputy oil minister; and Prince Faisal, the governor of the Medina region.

Another son, Prince Khaled, was reportedly among the pilots who carried out the first airstrikes on ISIS positions in Syria last year.

Details about Salman's earlier life and upbringing weren't immediately available Friday. But an official biography contained one nugget about his youth: he had apparently memorized the Quran by the age of 10, it said.

King Abdullah's legacy: 5 things to know

CNN's Dana Ford contributed to this report.

@highlight

Salman is "viewed as a pragmatic and cautious reformer," CNN's Becky Anderson says

@highlight

He ran the Saudi capital for nearly five decades as its population grew significantly