(CNN) -- Demands. Prayers. Chants. Exhortations. Reflections. As Egypt reels from protest to protest, for many Egyptians it has never been more important to get message out about why they are on the streets -- to each other, to the media, to any opposing side.

The country has been rocked in recent days by protesters demanding the resignation of former President Mohamed Morsy, with demonstrations at times threatening to spiral out of control as the pro- and anti-government sides clash violently, at times fatally, over the country's young democracy.

The protests are the latest to wrack the country in what has proved a dramatic, often bloody, two years since the country's 2011 revolution ousted former President Hosni Mubarak. Morsy was elected in Egypt's first democratic elections a year later, but since then critics say he has become increasingly authoritarian, while the country's economy continues to falter. This crisis has led to many of his supporters amongst the poor and middle class to become disaffected, analysts say.

Who is Egypt's President Mohamed Morsy?

Those opposed to Morsy are a broad group, from youth groups and political coalitions to average citizens and Mubarak loyalists keen to return to power. CNN spoke to four anti-Morsy protesters about why they were on the streets, what they are demanding, and where they see their country heading.

Scores of Egyptians have contacted CNN through iReport -- overwhelmingly representing the anti-Morsy faction. Their responses ranged from excitement, to trepidation, to optimism. But all shared one determination -- change for Egypt.

Here's what they had to say, in their own words.

The veteran

Ahmed Raafat has documented the streets of Cairo since the early days of the country's 2011 revolution. He is 23 and a petroleum engineer and photographer.

I protest because I have a dream of changing Egypt for the better. I think this country deserves better than this. Nothing has changed since the beginning of the revolution.

Dramatic photos, videos from iReport capture Egypt's crisis

I've seen many people of my age and social background falling during our fight for freedom. I still remember carrying them and having their blood on my hands. I don't want their blood to go in vain.

When I stand beside thousands of people and we chant together, I feel free and strong. I've never had the chance to experience such feelings before the revolution. The feeling that you're not alone makes you feel stronger.

[At present] the atmosphere of uncertainty makes me nervous. Not knowing how things will turn out makes me worry. I'm excited to see millions on the streets, but I have fears and concerns regarding the role of the military in the coming period. We suffered under military rule in the period following Mubarak's resignation, and I don't want to experience that again.

The documenter

Mohamed Boraie lives in Cairo and works in finance, as well as working as a photographer who has captured images of the protests. He is 27.

The main reason that I am protesting -- this time -- is that the Muslim Brotherhood and Morsy are not being inclusive. Morsy was appointing minsters and lead figures in the government that are exclusively from the Muslim Brotherhood [Islamist movement backing Morsy that has risen to power since the fall of Mubarak].

Opinion: Why Morsy deserves a chance

In addition, he could not restore law and order during the first year of presidency, not to mention his weak economic reforms that every Egyptian is currently facing.

Another personal reason for protesting is how religion is being used and manipulated by the Muslim Brotherhood in a country where there is a huge illiteracy rate. Such misuse of religion is allowing the exploitation of the population in terms of wealth, human rights and women's participation in the work force.

Taking part in a protest feels like someone is getting back an ownership of [their] country. I believe that Egyptians are evolving politically very quickly, and they will not give up unless their demands are met.

I'm excited to see Egypt going through an Islamic state, failing and evolving very quickly to refuse such a state, [but] I'm nervous to see what is next.

The optimist

Maged Eskander is an architect who lives in Cairo. He is 38.

My family and I are out in the streets for the same reason we protested against the old regime -- the only difference this time is the ruling party is much, much worse.

Who are the protesters?

[Protesting is] one of the best feelings you can [have] ... you finally feel that Egypt is with you. You feel you are not alone; you get back the feeling of being proud to be Egyptian. Everybody in the marches is very happy, it's like we already won the battle.

We will stay in the streets until he resigns or the military force [Morsy] to resign. I hope all political parties get united in the [transitional] period until we have a real president and government.

I'm just optimistic, happy, proud ... and a little worried about the Muslim Brotherhood's reaction but confident [we] will win.

The first timer

Marwan Osman is 25 and a software engineer who lives in Alexandria. He went out in the streets for the first time on June 30 amid the mass protests against Morsy's government.

During the fuel crisis that started about a week ago, I witnessed long lines of cars waiting to get some fuel. People fought each other for a place in the lines. Every day the crisis is growing, and no action has been taken.

Amanpour: Egypt's experiment with democracy

This event led me to imagine what will happen when more crises happen. The next one could be a food crisis -- and this time, more people will die and the whole country could collapse because of those successive crises.

The current MB [government] does not have any idea how to rule the country correctly. They can't manage the basic human needs like electricity and fuel. The economy is collapsing and not a single action [has been] taken to prevent or fix the situation.

I am considered one of the high middle-class people with high education and a respectable job. I don't face most of the problems people suffer, [so] it's amazing to share the experience [of protesting] with your country's people.

We all want Morsy to step down and the Muslim Brotherhood party to leave the political scene, for now. Who will rule next is a debate between people, whether it's the army or the liberals. But, for sure, we want a firm grip to save the country and the economy.

@highlight

Massive demonstrations against and in favor of the Egyptian president have hit streets

@highlight

CNN has received scores of iReports from Egyptians documenting the protests

@highlight

iReporters tell why they protest, what they want, and what they think will happen next