(CNN) -- Twenty years ago, Edward Djerejian, a former U.S. diplomat, famously worried that Islamists would exploit democratic elections to come to power, after which they would pull the democratic ladder up behind them. Instead of one man, one vote, he said, Islamists wanted one man, one vote, one time.

Last week, Egypt's President Mohamed Morsy, a member of the Muslim Brotherhood, and his country's first democratically elected president, seemed to fulfill Djerejian's grim prophecy.

In a series of unilateral amendments to Egypt's interim constitution, Morsy declared that his word "is final and binding and cannot be appealed by any way or to any entity," and that he is empowered to "take the necessary actions and measures to protect the country and the goals of the revolution."

But, as shocking as Morsy's actions are, they do not prove that Islamists cannot be democrats. Morsy's decision to grant himself unquestioned authority was not the final, spectacularly public phase in some hitherto clandestine Muslim Brotherhood plan to erect a holy autocracy. Instead, the Egyptian president simply did what Egyptian presidents have been doing for more than 60 years — that is, loosening institutional restraints on their authority in order to more easily fulfill their agendas.

News: Is Morsy Egypt's next strongman?

That Morsy is an Islamist is largely irrelevant. It's likely that the autocratic temptation would have seized Egypt's president regardless of his party or ideological orientation. This is not only because Egypt has had a distressingly long history of powerful executives, it's also because, at this moment in Egypt's political history, there is no actor, institution or organization able to keep the presidency in check.

Under such circumstances, even the most earnest democrats would find themselves flirting with authoritarianism — first in the name of the greater good, and then later, when pretenses can be dropped, in the service of naked ambition.

Usually, presidential ambitions are tamed by legislatures, and this was to be the case under Egypt's interim constitution. A parliament was elected in January, but the Egyptian Supreme Constitutional Court dissolved the body once it became clear that Morsy was on his way to being elected president.

The ostensible reason for the dissolution was that the parliamentary election law ran afoul of some foggy constitutional provision, but the real reason was that Islamists dominated parliament, and the court feared that this Islamist legislature, coupled with a Muslim Brotherhood president, would lead Egypt irretrievably down the road to theocracy.

In the absence of an elected legislature, it was left to the Supreme Council of the Armed Forces -- the consortium of generals who ruled Egypt for the 18 months following former leader Hosni Mubarak's overthrow -- to counteract the presidency. But the Egyptian people and the generals had grown weary of each other. Word in Cairo was that the septuagenarian minister of defense, Muhammad Hussein Tantawi, wanted a way out, a "safe exit" in which he could live out his days free of the indignities visited upon his old boss, who bounced between prison and infirmary.

A bargain was worked out. The president clawed back the council's powers and sent the minister of defense and the armed forces chief of staff into cossetted retirement (while naming them presidential advisers). The political landscape now lay prostrate before him.

Except for the judiciary, and particularly the SCC. To Morsy, the 17 men (and one woman) who make up that body constitute a defiant remnant of the Mubarak order. That a clash was inevitable was apparent from Morsy's first moments in office, when his inauguration was delayed for several hours over his reluctance to be sworn in before the outgoing head of the court.

Business: Morsy makes his power plays

When the president decreed that the dissolved parliament should return to work, the judges shut him down. Later, he tried to fire Egypt's attorney general, a Mubarak appointee. Again, he was told that this was outside his ken. Rumors swirled that the SCC was planning to dissolve the second constituent assembly; others reported that a court was about to rule the Muslim Brotherhood itself illegal.

Morsy and his men point to these things and argue that he was forced to take action. But what's remarkable is what the president didn't do. For all of his complaining about SCC's dissolution of parliament's lower house, and for all the damage that the decision did to Egypt's democratic transition, the president has indicated that he will uphold it.

Essam el-Erian, deputy chairman of the Brotherhood's political arm, the Freedom and Justice Party, has publicly called on Morsy to reinstate the parliament, but a presidential spokesman has said that there are no plans to do so.

The president's reluctance to bring back the parliament further reinforces the impression that his main aim is to expand the powers of his office, which he probably believes is better able to put Egypt right than a raucous legislature packed with unreliable Salafists and a fractious "liberal" wing.

Though the Muslim Brotherhood has generally fallen into line behind the president, there are signs that at least some of its members are deeply uncomfortable with what he has wrought. Muslim Brotherhood politician Ahmed Fahmi, the speaker of the upper house of parliament and a relative of Morsy's, was reported to have said, "We wish that the president had conducted a popular referendum on the constitutional declaration, because what he has done has divided the country between the secular and Islamic forces." (Fahmi has since denied making the statement.)

Muhammad Abd al-Quddus, a Muslim Brotherhood member and a member of the board of Egypt's journalists union, reportedly said, "despite my membership in the Brotherhood, I am a son of the revolution for freedom. Therefore, I reject unlimited powers for the president, regardless of the reasons and the duration."

Even some of the president's defenders have betrayed hints of ambivalence over his radical decision. Muhammad al-Biltagi, secretary general of the Freedom and Justice Party's Cairo branch, declared that "many have a right to be worried" about the president's move to place his decisions above oversight, and he called for a national dialogue to arrive at a solution that would preserve "the right of the president to perform his duties with full authority without political interference from Mubarak's Constitutional Court, as well as the right of the political and social forces to receive guarantees against even temporary presidential tyranny."

Today, the only check on Morsy's authority comes from the streets. And while the protests against the president's decisions have been surprisingly robust, Morsy has so far resisted making concessions. In a meeting with Egyptian judges, he reassured them that he would limit his use of his new powers, but, as of this writing, his decree still stands.

Though large protests are scheduled, the president may believe that he can afford to wait them out. After all, a repeat of the January 25 scenario is unlikely.

The opposition to the president, though significant, remains fractured and uncoordinated, and in any case is far narrower than it was in 2011. The military, which proved essential in removing Mubarak from power, has no appetite for a repeat engagement with the responsibilities of governance, and Morsy has more legitimacy — at home and abroad — than Mubarak did.

And Morsy may believe that the great, silent majority of Egyptians are behind him. After all, Egypt's GDP is about an eighth of the United States', and a greater percentage of Americans were literate during the Civil War than Egyptians are today. The vast countryside is likely untroubled by the president's constitutional maneuverings.

One might be tempted to ask what the United States, Egypt's greatest foreign patron, can do to set that country on the right course. Some have suggested withholding aid, canceling loans and other means of pressuring Morsy to step back from the authoritarian ledge on which he now finds himself.

These measures may produce flurries of positive statements and signals in the near term, but they won't change the fundamental alchemy of Egyptian politics. One only need examine the example of Iraq, which, after almost a decade of American tutelage has nonetheless glided into a form of dominant party autocracy, to realize that genuinely democratic governance cannot be imposed, especially on poor, underdeveloped countries.

None of this — Egypt's tradition of executive dominance, its feeble institutions, its weak political organizations or its enervated society — is particularly the fault of the Muslim Brotherhood.

In fact, if we are to take any lesson from the turmoil on the banks of the Nile, it is not that Islamists can't be trusted with Egypt's presidency, it is that no one can. Morsy may yet reverse course, but odds are that this will not be the last time that an Egyptian leader tries to convince his people that he must kill democracy in order to save it.

The opinions expressed in this commentary are solely those of Tarek Masoud.

@highlight

Egyptian President Mohamed Morsy announced measures vs. judiciary

@highlight

Tarek Masoud: Some say this shows an Islamist party can't be trusted to run a democracy

@highlight

He says the power grab isn't a result of the Muslim Brotherhood, but of Egypt's power vacuum