(CNN) -- Qatar, as diplomats say, likes to "punch above its weight." This arid peninsula in the Persian Gulf is smaller than Connecticut but played a leading role in helping Libyan rebels oust Moammar Gadhafi and has been at the heart of Arab League sanctions against Syria. It's now facilitating talks on the Afghan conflict by allowing the Taliban to open a liaison office in its capital, Doha.

Qatar is also home to the pan-Arab news channel Al Jazeera, a thorn in the side of many Arab regimes past and present. It is a major player in the energy industry, with vast reserves of natural gas, and -- perhaps in an effort to outflank Dubai as the playground of the Gulf -- is due to host the soccer World Cup in 2022.

It helps that the emirate is fabulously wealthy, with the highest per-capita gross domestic product in the world. It can fund ambitious initiatives -- to help fund the Palestinian Authority, for example, or provide cash and weapons to the Libyan rebels. Now it's exploiting long-held ties with the Taliban to provide a platform between the group and the international community, and especially the United States.

Will Taliban's Qatar address change dynamics of Afghan conflict?

As far back as 2001, before the group was ousted in Afghanistan, the Qataris hosted Taliban delegations. And in the past year, thanks to its hyperactive diplomacy under Prime Minister (and Foreign Minister) Hamid bin Jassim Al-Thani, the emirate has emerged as a regional power broker -- to the consternation of its larger neighbor, Saudi Arabia.

Qatar's growing dynamism within the Arab League has been most evident amid the unrest in Libya and Syria. It was one of two Arab states to play a role in enforcing the no-fly zone over Libya. And according to journalists in western Libya last spring, Qatari advisers were working with Libyan rebels in the Nafusa Mountains as well as supplying anti-tank missiles and other weaponry to rebel forces in the east.

In November, Qatar forged a package of sanctions against the regime of Bashar al-Assad that was adopted by the Arab League, provoking an attack on its embassy in Damascus and the withdrawal of the Qatari ambassador. It lobbied other Arab states hard, telling them that effective Arab action was required to avoid "foreign interference" in Syria. Qatar was also ready to use the power of the purse with Syria by canceling projects there.

As part of intensive efforts to build a relationship with the United States, Qatar has allowed U.S. forces to use the al-Udeid air base for operations in Iraq, Afghanistan and Somalia. It also hosts the forward headquarters of the U.S. Central Command.

Over the past 10 years, Qatar has also offered to be the go-between in Iran for successive U.S. administrations. According to a 2006 U.S. diplomatic cable, Foreign Minister Al-Thani told a U.S. official, with some pride: "Qatar talks to Iran as an equal, and this is important."

The two countries are joined at the hip, as they share vast natural gas reserves under the Gulf. And it is a principle of Qatari diplomacy that it will cultivate groups that won't talk to each other -- Hamas and Iran as well as Washington. Qatar also offered to help the United States improve relations with Sunni tribal leaders in Iraq at the height of the insurgency there.

The emir, Hamad Bin Khalifa Al-Thani, and his family drive Qatari policy and have proved themselves agile negotiators with a grasp of the intricacies of Middle East politics. U.S. diplomatic cables describe Qatari officials as well-prepared with a detailed understanding of the nuances of their complex neighborhood.

The Arab Spring has worked in Qatar's favor. One of the few states where no protests have occurred, it has taken advantage of Saudi caution and upheavals in Egypt and Syria to carve out an assertive regional role.

But Qatar's activism generates plenty of resentment. The populism of Al Jazeera has infuriated Arab regimes. The emir fends off complaints about Al Jazeera's reporting, telling CNN's Wolf Blitzer last year: "Of course it's not necessary I will agree with what Al Jazeera say. Actually, Jazeera caused for me a lot of problems."

Similarly, the Saudis are suspicious of Qatar's open channel with Iran. President Ali Abdullah Saleh of Yemen put an end to Qatari efforts to mediate between his government and Huthi rebels. And President Hamid Karzai recalled the Afghan envoy in Doha in December because he'd been kept in the dark about contacts with the Taliban.

But the Al-Thanis are not afraid to ruffle feathers. In the diplomatic world, as one Gulf commentator observed, Qatar is proof that size isn't everything.

@highlight

Qatar is allowing the Taliban to open a liaison office in its capital

@highlight

Gas-rich, Qatar has become a regional power broker

@highlight

It helped fund rebels who ousted Moammar Gadhafi

@highlight

Qatar has hosted Taliban delegations going back to 2001