Gaziantep, Turkey (CNN) -- Al Qaeda has swept to power with the aim of imposing a strict Islamist ideology on Syrians across large swathes of Syria's rebel-held north, according to a CNN survey of towns, activists and analysts that reveals an alarming increase in al Qaeda-linked control in just the past month.

Al Qaeda-backed militants known as the Islamic State of Iraq and Syria (ISIS) are the predominant military force in northern Syria, according to activists and seasoned observers, and have a powerful influence over the majority of population centers in the rebel-held north.

Rami Abdul Rahman, from the Syrian Observatory for Human Rights, said: "ISIS is the strongest group in Northern Syria -- 100% -- and anyone who tells you anything else is lying."

CNN conducted dozens of interviews with activists, local and international observers and residents of the towns affected by ISIS in preparing this study. Many of the Syrians CNN spoke to talked anonymously for fear of angering ISIS, saying ISIS has in some areas made it a crime punishable by flogging to even say their name.

The swift al Qaeda expansion poses a severe policy dilemma for the United States and its European allies who have long delayed their promised armed assistance to rebel groups as they struggled with fears that the weapons could end up in the hands of al Qaeda-backed extremists.

Observers say the delay has provided a vacuum in the often chaotic rebel ranks that the organized and fearless Islamists have moved to fill.

Many observers explain that the extent of ISIS's discipline and resources -- they are said to have considerable cash at their disposal -- means that the other rebel groups operating in the north do not seek to confront them.

Read more: Al Qaeda-linked group gains strength on NATO border

Charles Lister, analyst at IHS Jane's Terrorism and Insurgency Centre, said: "Although not a numerically dominant force, ISIS is playing an increasingly pre-eminent role in the northern Syrian insurgency.

"Much of this is a result of its capability to exploit superior levels of financing and resources -- essentially, to spread itself thinly enough to exert influence and/or control, but not too thin as to be overpowered by rivals."

Most activists point to a clear strategy by ISIS -- which aims to dominate a large swathe of the north from the north-western town of Idlib to the north-eastern city of Raqqa and beyond -- of focusing on population centers on the edges of rebel-held territory and slowly choking off central areas. Some ISIS figures have described a broader aim of trying to link the Sunni province of Anbar in Iraq to the Mediterranean coast, near the Syrian town of Latakia.

There are a number of smaller towns in northern Syria which -- activists and residents have told us -- are controlled entirely by ISIS: Keftin, Tal Rifat, Azaz, Ad Dana, Dar Ta Izzah, Binnish, Raqqa, Ma'arrat Misrin, Jarablus and Al-Bab.

The survey has established that ISIS also has a presence -- which is often hard for other rebel groups to challenge -- in the following towns: Sarmin, Salqin, Hraytan, Tabqa Dam, Hayyan, Al Eyramoon, Karm Al Meeyasir, Karm Al Qatarji, Al Atarib, Sarmada, Tal Halef, Menbij, Athimah, Maarat an-Numan, Saraqib and Ariha.

Watch video: Secret jihadi smuggling route through Turkey

While the main city of Aleppo remains in the control of a series of different rebel groups, ISIS has begun exerting control on key entry points into the city, and has recently gained control of the al-Sakhour neighborhood. The group is also gaining ground in controlling the northern access points to the city and territory in the rebel-held east.

ISIS' control around Idlib, another key city, is complicated by the regime's continued presence there, but the group has established a foothold to the north east in Sarmin, is present in the town of Saraqib, and is in full control of Binnish, a key town to Idlib's north.

Their grip over the rebel town of Raqqa is considerably tighter than elsewhere, despite the continued presence of rival and even aligned rebel groups who do not seek to challenge them. The Washington Institute think-tank says ISIS' grip on Raqqa makes it "the largest city al Qaeda has ever controlled in the Islamic world."

CNN al Qaeda expert Peter Bergen said the Washington Institute assessment could be correct, given the nature of ISIS's dominance in Raqqa, but pointed out that the U.S. Marine Corps admitted al Qaeda was in control of the Iraqi province of Anbar in 2006, which contained, at the time, around a couple of million people, and so could technically be considered larger.

In these ISIS-held areas, signs of the kind of Islamist society that the al Qaeda-backed militants seek to create have been swift to emerge; one woman activist drew comparisons with the Taliban's rule over Afghanistan. Rulings have been posted in some towns forbidding women to travel without a male relative and at certain times of the day, ordering them to cover up their hair with the traditional Islamic headscarf and not to wear trousers in public, and banning them from wearing make-up and seeking treatment from male doctors. Smoking and cameras have also been banned.

Watch video: Al Qaeda's growing influence in Syria

On Sunday one northern town, Jarablus, saw a poster erected by ISIS threatening thieves with having their hand cut off -- an extreme form of punishment mandated by radical readings of Islamist, or Sharia, law.

While many Syrians have described the initial approach of ISIS towards towns they seek to control as friendly and peaceful, often offering generous cash incentives to cooperate, they are increasingly brutal in dealing with their critics.

One activist described how he was taken by ISIS militants from the town of Azaz and held in a blanket factory in Aleppo's northern suburb of Hyratan.

"I was tortured, beaten. They hung me from the ceiling and used electricity on me. They kept trying to make me confess being a British spy," he said, adding that the factory held 20 other prisoners, mostly from rival rebel brigades, and that the site was also used by ISIS to make bombs.

ISIS have released a series of slickly-produced videos about their growing control, and some skeptics say they are promoting stories of their dominance to increase their power over local populations.

Yet in recent weeks, many activists accept that ISIS' genuine hold on the rebel north has escalated to the point where rival groups are unable to challenge them.

@highlight

Al Qaeda-backed militants have taken control of towns in northern Syria

@highlight

Islamic State of Iraq and Syria (ISIS) aims to impose a strict Islamist ideology

@highlight

Swift al Qaeda expansion poses tough dilemma for U.S. and its European allies