Ann Arbor, Michigan (CNN) -- "We did not have a right to choose where we lived ... freedom of speech, or freedom of actions. The traffickers had keys to our apartment. They controlled all of our movement and travel. They watched us and listened when we called our parents. They didn't let us make friends or tell anyone anything about ourselves. We couldn't keep any of the money we earned. We couldn't ask anyone for help." -- Lena

Lena was an athletic student from Eastern Europe yearning to visit the United States through a study-abroad program at her college. She had visions of learning English and returning home to share her experiences with her family.

But the human traffickers who ensnared her had a different vision for Lena, shipping her to America and exploiting her in the sex industry for profit. They met her at the airport with news that her study abroad placement had been changed. She was given new bus tickets and sent off to Detroit, Michigan. Once there they took her passport and her freedom.

After almost a year of enslavement, Lena risked her life to make a daring escape. She is smart, resilient and funny, and I have been honored to be her attorney through the Human Trafficking Clinic at the University of Michigan Law School.

Unfortunately there are thousands of adults and children like Lena who have not been able to escape their traffickers. These victims, especially the children, are in the same position Lena was: They're being exploited and can't ask anyone for help.

The data on human trafficking is sparse, but what is known is terrifying. It's already the second largest criminal industry in the world -- behind only the trade in illegal drugs -- and it's growing fast. The global commercial sex trade exploits one million children annually. At least 100,000 and perhaps as many as 300,000 children in America are victims of sex trafficking each year.

The grim reality of child sex trafficking in the United States is this: Human traffickers are selling sex with children in big cities and small towns throughout America.

Child sex trafficking has been illegal in the United States since 2000 with the passage of the Trafficking Victims Protection Act. Under this law it is illegal to recruit, harbor, transport, provide or obtain a person under the age of 18 years for the purpose of a commercial sex act. Since the passage of the TVPA many states have passed their own human trafficking laws.

Children who are selling sex in the United States are then, by definition, victims of human trafficking. Despite this, child victims of sex trafficking are frequently viewed as criminals rather than as victims. According to the Department of Justice in 2006, six years after the passage of the TVPA, 1,600 children were arrested for prostitution and commercialized vice.

The children victimized by sex trafficking are often very young. On average, girls are first exploited for commercial sex between the ages of 12 and 14. For boys the average age is even younger -- between 11 and 13.

But being a victim of sex trafficking does not have to be a life sentence. Victims can become survivors and build new lives. And while Lena is no longer the young college student she once was and it is too dangerous for her to return home, her speech and actions are now her own. She can choose where she wants to live. She is free.

Through my work with Lena and other clients in the Human Trafficking Clinic we have identified a number of ways to fight sex trafficking.

Raise awareness within your community: One of the biggest barriers to helping victims of sex trafficking is the lack of awareness about the issue. Human traffickers profit when we think human trafficking only happens in foreign countries.

• Human trafficking happens everywhere, and sex trafficking cases involving children have been found in all regions of the country. No community is immune to the horrors of human trafficking.

• Communities must prioritize the fight against human trafficking -- including providing enough resources to law enforcement.

Change the conversation: Children who by law are too young to consent to having sex obviously cannot consent to selling sex, so:

• Victims should not be described as entering into prostitution; they are being exploited and should be described as victims of human trafficking.

• Law enforcement officials often arrest and detain child victims of sex trafficking on either prostitution charges or other charges, such as truancy or curfew violations. Law enforcement must be trained about human trafficking.

• Sellers of sex, especially when they are children, should not be guilty of a criminal violation. Buyers and pimps should be the only individuals at risk of criminal penalties. This would ensure that no victims are arrested or jailed.

Reduce demand: The reality of sex trafficking must not be neutralized or glamorized.

• Individuals who travel abroad to purchase sex from children are demonized in the media and identified as sexual predators, yet individuals who stay in the United States and pay to have sex with children are given the anonymous title "john" -- and frequently aren't even charged with a crime.

• Individuals who pay for sex with children in the United States should be punished.

The opinions expressed in this commentary are solely those of Bridgette Carr.

@highlight

Bridgette Carr says sex trafficking thrives in U.S. communities

@highlight

Victims of sex trade are often wrongly viewed as criminals, she says

@highlight

Carr: To fight trafficking, communities must become aware, reduce demand