Kabul, Afghanistan (CNN) -- A group of former U.S. military and intelligence officers, including retired Navy SEALs, appear in a 22-minute documentary that was released on Wednesday asserting that the Obama administration has leaked considerable classified intelligence about the raid that killed Osama bin Laden for political gain.

They also claim that the administration has given itself too much credit for this feat of American arms and intelligence gathering. The film even makes the dramatic charge that the Obama administration is "purposefully putting lives in jeopardy" because of its purported leaks about national security.

The charges bear some resemblance to the "Swift Boat" tactics used against Sen. John Kerry in the tight 2004 presidential election against President George W. Bush in which Kerry's service in Vietnam, seemingly a strength of the candidate, was turned into a weakness.

GOP strategists: Bain attack ads are this year's Swift Boat campaign

The particulars of the indictment against Obama as laid out in the new film, which is titled "Dishonorable Disclosures," are:

-- The president announced the bin Laden raid before intelligence picked up from bin Laden's compound could be fully exploited.

-- The use of hitherto covert "stealth" helicopters on the raid was publicized.

-- The name of the secret unit that executed the raid --SEAL Team Six -- was made public putting them and their families at risk.

-- The name of the Pakistani doctor recruited by the CIA to help find bin Laden was leaked, jeopardizing him and the CIA's ability to recruit spies in the future. The doctor is now serving 33 years in a Pakistani prison.

Pakistani doctor who helped US appeals verdict

-- Obama has taken way too much credit for killing al Qaeda's leader. "Mr. President, you did not kill Osama bin Laden, America did. The work that the American military has done killed Osama bin Laden. You did not," says a former Navy SEAL interviewed in the film.

Criticism of the way that the bin Laden raid has been discussed publicly by the Obama administration makes up the bulk of "Dishonorable Disclosures," but the administration is also taken to task for supposedly leaking details of covert U.S. actions against the Iranian nuclear program to New York Times reporter David Sanger (who has said he was not the recipient of "deliberate leaks out of the White House") and outlining to other journalists the personal involvement of Obama in selecting targets for the CIA drone program in Pakistan.

One former Navy SEAL featured in the film demands dramatically, "Tell the president to stop leaking information to the enemy."

Is there any merit to these serious accusations?

In fact, Obama and his national security team made every effort -- successfully -- to keep the intelligence about bin Laden a closely held secret for almost a year, from the time they first identified what they believed might be the al Qaeda leader's hideout in the city of Abbottabad, Pakistan, in August 2010 until May 1, 2011, when the raid was launched to kill him.

The raid itself was conducted as a covert operation under the overall direction of then-CIA Director Leon Panetta.

I have written a book about the hunt for bin Laden during the course of which I was the only journalist granted access by the Pakistanis inside the compound in Abbottabad where bin Laden was killed. I also spoke on the record about the hunt for bin Laden with a variety of current White House, Pentagon and intelligence officials, as well as former Defense Department and CIA officials familiar with aspects of the story.

None of them divulged classified information about the bin Laden operation. Indeed, they went to great pains to avoid doing so.

What precipitated the operation going public was not Obama's announcement of the raid but the crash of one of the Black Hawk choppers used in the raid, which turned what had hitherto been a covert operation into a very public event.

Pakistani journalists started arriving at bin Laden's Abbottabad compound soon after the helicopter crashed and started filing stories about the mysterious helicopter and its oddly shaped tail rotor. An Abbottabad resident even tweeted about the unusual sound of helicopters flying over the city in the middle of the night.

It wasn't much of a leap for reporters to ascertain that these helicopters had particular features that had prevented them from being detected by Pakistani radar.

Soon after the SEALs had raided the Abbottabad command, Pakistani officials on the ground were interrogating bin Laden's wives and children at the compound who told them that bin Laden had just been killed. None of this was going to stay secret for long.

Indeed, it was Gen. Ashfaq Parvez Kayani, Pakistan's top military officer, who sped up the Obama administration's announcement of the raid. A few hours after the raid, Kayani told his American counterpart, Adm. Mike Mullen, "Our people need to understand what happened here. We're not going to be able to manage the Pakistani media without you confirming this. You can explain it to them. They need to understand that this was bin Laden and not just some ordinary U.S. operation."

Mullen then told Obama and his national security team, "Kayani has asked for us to go public," which swayed Obama to announce the raid sooner than was planned. (Obama wanted to wait for 100% DNA confirmation that it was bin Laden. At the time of the president's announcement about the raid the confirmation was at 95%.)

During his speech to the nation and world, Obama did not divulge the name of SEAL Team Six, saying only that a "small team of Americans carried out the operation with extraordinary courage and capability."

A visit to Osama bin Laden's lair

It quickly leaked that SEAL Team Six had executed the raid, but this was hardly surprising as the SEALs are the principal Special Operations Forces in the Afghanistan/Pakistan theater, something that has been discussed in multiple news stories over the past several years and in bestselling books such as "Lone Survivor" by former Navy SEAL Marcus Luttrell.

And the SEALs have hardly kept a low profile of late, cooperating in a movie "Act of Valor" that was released in theaters this year, which actually featured real SEALs playing the parts of the heroes of the movie.

Perhaps if you had absolutely no knowledge of the U.S. military, or indeed access to Wikipedia where SEAL Team Six has had an entry since 2004, it would be news to you that SEAL Team Six, along with the Army's Delta Force, are America's premier counterterrorism units. Obviously, a mission to take out bin Laden would not be entrusted to any other than these elite units.

So the notion that the public naming of the unit that killed bin Laden endangers the lives of its members and their families is overwrought. Members of SEAL Team Six are well able to take care of themselves and their families. And who first leaked the involvement of SEAL Team Six in the bin Laden operation remains unclear.

It is just plain wrong that anyone in the U.S. government leaked the name of the CIA asset in Pakistan, Dr Shakil Afridi, who was recruited by the agency in its quest to find bin Laden. This information first surfaced in a story in the Guardian newspaper in July 2011 after Afridi was arrested by the Pakistani intelligence service, ISI. It is obvious that this information was leaked not by the Americans but the Pakistanis who have done their own investigation of the bin Laden raid, which embarrassed them considerably.

As to the notion that Obama has taken too much credit for the bin Laden raid, well he is commander-in-chief, and it was entirely his decision to launch the risky raid on Abbottabad based on the only fragmentary intelligence that bin Laden might be there.

As Adm. William McRaven, who was the military commander of the bin Laden raid, told CNN's Wolf Blitzer last month, "at the end of the day, make no mistake about it, it was the president of the United States that shouldered the burden for this operation, that made the hard decisions, that was instrumental in the planning process, because I pitched every plan to him."

The raid decision was opposed by Vice President Joe Biden, who had run for the Democratic nomination for the presidency against Obama. If Biden had won the White House in 2008, Osama bin Laden might still be alive.

And the decision to do the raid was also opposed by Secretary of Defense Robert Gates, who had served every president going back to Richard Nixon. Gates was concerned about some kind of replay of the 1980 Iran hostage rescue debacle, which helped to turn President Jimmy Carter into a one-term president.

The notion that the decision to greenlight the risky raid was made by anyone other than Obama is just plain silly, and it was a decision he made against the advice of both his vice president and his secretary of defense.

The film "Dishonorable Disclosures" gets even sillier. At one point one of the former officers interviewed for the film charges that the Obama administration "divulged to the world we are using drone technology." The fact that the United States uses drones in Pakistan is one of the world's worst kept secrets. In fact, the New America Foundation where I work has maintained a public database of these attacks since early 2010.'

First look at the Osama bin Laden movie

Similarly, the claim that the Obama administration has recently leaked information about the Stuxnet virus attacks on the Iranian nuclear program to the New York Times is overblown, as this information has been reported since 2010, and the Iranians themselves publicly acknowledged that their nuclear program was under cyberattack two years ago. It is true that the U.S. role in the cyberattacks was disclosed in the New York Times.

And in June, Attorney General Eric Holder appointed two federal prosecutors to investigate leaks including the New York Times story about Obama ordering the cyberattacks against Iran with the Stuxnet virus.

There remains much that is unknown about the still-classified intelligence surrounding the bin Laden raid, including:

-- How did the CIA find the real name of bin Laden's courier who was the key to finding him?

-- How was the courier's cell phone first tracked down?

-- How was he tracked to bin Laden's compound in Abbottabad?

-- How did the CIA establish a safe house in Abbottabad? And who staffed it?

None of this information has been leaked, and it remains classified for good reason as it gets into the CIA's "sources and methods."

Don't expect to hear any of those details any time soon.

@highlight

Former U.S. officers accuse Obama of leaking classified information for political gain

@highlight

Peter Bergen says much of the information cited came from sources outside White House

@highlight

He says administration sought to keep details secret, but events led to disclosures

@highlight

Bergen says the idea that Obama doesn't deserve credit for bin Laden raid is wrong