(CNN) -- The prosecutor in the U.S. government's case against an Indian diplomat charged in New York with visa fraud related to her treatment of her housekeeper expressed dismay Wednesday over the direction the case has taken.

"There has been much misinformation and factual inaccuracy in the reporting on the charges against Devyani Khobragade," said U.S. Attorney Preet Bharara about India's 39-year-old deputy consul general for political, economic, commercial and women's affairs, who was arrested December 12 in New York by federal agents. "It is important to correct these inaccuracies because they are misleading people and creating an inflammatory atmosphere on an unfounded basis."

He was referring to reporting about Khobragade's arrest outside her daughter's school, her detention in a cell with other women and her having been subjected to a strip search -- all of which raised diplomatic hackles in New Delhi.

Prime Minister Manmohan Singh called the diplomat's treatment "deplorable;" Indian National Security Adviser Shiv Shankar Menon called it "barbaric," CNN sister network IBN reported.

Indian officials summoned U.S. Ambassador Nancy Powell, took away U.S. diplomats' identification cards that gave them diplomatic benefits and removed security barriers outside the U.S. Embassy in New Delhi.

But Bharara said Khobragade's treatment was justified. He cited an 11-page complaint that alleged she had promised in the visa application under which her housekeeper moved from India to the United States to pay her at least $9.75 per hour, the minimum wage in New York, and to require that she work no more than 40 hours per week.

But the complaint alleges that Khobragade then had the housekeeper, who has been identified as Sangeeta Richard, sign a second contract, which paid her less than $3.31 per hour and required that she work much longer hours.

The second contract, which was not to be revealed to the U.S. government, "deleted the required language protecting the victim from other forms of exploitation and abuse" and also deleted language that said Khobragade agreed to abide by U.S. laws, he said.

Khobragade is charged with one count of visa fraud -- which carries a maximum sentence of 10 years in prison -- and one count of making false statements -- which carries a maximum sentence of five years.

Khobragade's lawyer, Daniel Arshack, said the allegations were unsubstantiated. "When the facts are looked at, it's perfectly clear that Dr. Khobragade did nothing wrong," he told CNN's "Piers Morgan." "She paid her worker exactly what she was supposed to pay her and the government has simply made a whole series of spectacular blunders, which has enroiled (sic) them into quite a remarkable diplomatic kerfuffle."

He added that the housekeeper was paid "well above the minimum wage," and that his client had -- at the housekeeper's request -- sent a portion of that money to the housekeeper's husband each month in India. "The balance of her pay was paid to her in the United States -- all of it," he said.

Arshack accused the U.S. government of having treated his client "like an ordinary U.S. citizen charged with a crime. The fact is she isn't an ordinary U.S. citizen. She's a diplomat with immunity."

Citizens of India express their outrage

Concern over the treatment by U.S. authorities of Khobragade, not her alleged treatment of her housekeeper, has sparked outrage.

On Tuesday, outside the U.S. Embassy in New Delhi, demonstrators seething over what they considered to be humiliating treatment of the Indian diplomat, carried signs protesting the U.S. handling of the matter. "If USA will not respect Indians, then Americans will not be respected in India also," read one.

In his statement, Bharara noted that Khobragade was charged not only with trying to evade U.S. law intended to protect domestic employees of diplomats and consular workers from exploitation, but also with causing the victim and her spouse "to attest to false documents and be a part of her scheme to lie to U.S. government officials."

He bemoaned that public outrage was focusing not on Khobragade's alleged treatment of the housekeeper and her spouse, but on the U.S. government's treatment of the diplomat.

"Is it for U.S. prosecutors to look the other way, ignore the law and the civil rights of victims (again, here an Indian national), or is it the responsibility of the diplomats and consular officers and their government to make sure the law is observed?" he asked rhetorically.

Bharara defended the handling of the arrest and custody, though his office was not involved. "Khobragade was accorded courtesies well beyond what other defendants, most of whom are American citizens, are accorded," he said. "She was not, as has been incorrectly reported, arrested in front of her children. The agents arrested her in the most discreet way possible, and unlike most defendants, she was not then handcuffed or restrained."

In addition, she was allowed to keep her phone and make calls to arrange personal matters, including child care, he said.

"Because it was cold outside, the agents let her make those calls from their car and even brought her coffee and offered to get her food. It is true that she was fully searched by a female deputy marshal -- in a private setting -- when she was brought into the U.S. Marshals' custody, but this is standard practice for every defendant, rich or poor, American or not, in order to make sure that no prisoner keeps anything on his person that could harm anyone, including himself. This is in the interests of everyone's safety."

Bharara acknowledged that the alleged victim's family has been brought to the United States, but said that that happened after a legal process was initiated in India in an attempt to silence her and compel her to return to India.

An injunction was issued in September by the Delhi High Court seeking to stop Richard from "instituting any actions or proceedings against Dr. Khobragade outside India on the terms or conditions of her employment," the Indian Embassy said last week in a statement.

It said the U.S. government had been asked to find her "and facilitate the service of an arrest warrant, issued by the Metropolitan Magistrate of the South District Court in New Delhi."

Bharara said it had been necessary to bring Richard's family to the United States.

"This office and the Justice Department are compelled to make sure that victims, witnesses and their families are safe and secure while cases are pending," he said.

Complaints reach the highest levels

Still, the complaints from the Indian government, a close U.S. ally, have reached the highest authorities.

President Barack Obama has been briefed on the issue, White House spokesman Jay Carney said.

And the top U.S. diplomat, Secretary of State John Kerry, called Indian National Security Adviser Menon on Wednesday and tried to smooth over the ruffled feathers.

"As a father of two daughters about the same age as Devyani Khobragade, the secretary empathizes with the sensitivities we are hearing from India about the events that unfolded after Ms. Khobragade's arrest, and in his conversation with National Security Adviser Menon he expressed his regret, as well as his concern that we not allow this unfortunate public issue to hurt our close and vital relationship with India," the State Department said.

Asked whether Kerry's regret was about what happened in New York or the response to it in India, State Department spokeswoman Marie Harf said, "Regret on the situation at large, I would say both, honestly. He certainly expressed regret about what happened with this case at large, sort of how this has all played out."

Harf said appropriate procedures appeared to have been followed in the arrest by U.S. marshals, but that conditions surrounding Khobragade's processing would be examined "to ensure that all appropriate procedures were followed and every opportunity for courtesy was extended."

Still, the charges stand.

Harf also said that Khobragade enjoys "consular immunity," a limited diplomatic immunity related to her official duties. Under the 1963 Vienna Convention on Consular Relations, consular officials can be arrested for acts committed outside official job functions.

The State Department said Khobragade's consular immunity does not cover the charges she faces.

Indian officials, too, appeared to be intent on keeping the diplomatic eruption from escalating. "Let me assure you that there is no change in the security situation as regards to any diplomats in India, including U.S. diplomats," said Syed Akbaruddin, a spokesman for India's External Affairs Ministry.

He said U.S. officials shouldn't read too much into the removal of cement barriers in front of the U.S. Embassy in New Delhi.

"India is fully committed to ensuring the safety and security of all diplomats in Delhi and elsewhere. So, please do not have any doubts on that score; we will provide full safety and security within the confines of India law."

Dana Sussman, a lawyer for the housekeeper, said Richard had tried to improve her situation by dealing directly with Khobragade, but the attempts were unsuccessful.

The issue goes beyond a labor dispute for Richard and others in similar positions. "Our clients who work as domestic workers are living in the home with their employers," she said. "So, if they leave, they not only leave their legal status, they leave their only source of income, they leave the only home that they've known in a foreign country."

She said Richard has no passport, is living with friends and has been granted temporary legal status that allows her to remain and work in the United States until the matter is resolved.

Richard herself has brought no claim against Khobragade and has no plans to do so, she said.

A source who has spoken with Richard said she is in her early 40s and had worked previously with other diplomatic families in India.

CNN's Jethro Mullen, Deborah Feyerick, Elise Labott, Harmeet Shah Singh and Susan Candiotti contributed to this report.

@highlight

Kerry calls India's national security adviser, expresses "regret"

@highlight

President Obama has been briefed on the situation

@highlight

India's deputy consul general was detained and strip-searched

@highlight

She's accused of visa fraud involving underpaying a housekeeper