San Diego, California (CNN) -- For me, the issue of skyrocketing gasoline prices came into focus about four years ago, when the national average that Americans paid at the pump reached an all-time high of $4.11 a gallon. Today, the average -- up 30 cents in the last four weeks, and 13 cents in the last week alone -- is about $3.70.

In the summer of 2008, I pulled up next to a gas pump off a major highway in Southern California where -- apparently, a few minutes earlier --  a recreational vehicle, which held more than 100 gallons, had stopped to fill up. The price was still on the screen: $500.

Can you imagine paying $500 to put gas in your vehicle? For many of us, that's more like a monthly car payment.  

But for those who live in Southern California -- where the car is king, public transit is spotty and the carpool lane is almost always underused -- even a tab that size hardly raises an eyebrow. At the gas station closest to my home in San Diego, a gallon of gas is going for about $3.49, and a full tank costs me about $65. I shell that out three or four times a month. Prices are sky high in Los Angeles.

With the average price here expected to reach as much as $5 a gallon by Memorial Day, it's not surprising to see more commuters jammed onto trains and hear that more of your friends are trying to work from home a few days a week.

Although my friends on the East Coast like to think they have it easier with more options for public transportation, it's a mistake for people to assume that higher gas prices don't affect them. It's not about geography. We're all in this together. Have you noticed the price of groceries lately, as those companies that operate delivery trucks have to spend more to stack food on supermarket shelves? So you don't own a car. Maybe you take the subway to work. Swell. But if you have a mouth, and occasionally like to fill it with food, high gas prices should be hard to swallow.

Meanwhile, political leaders -- in both parties -- need to fill up on courage and common sense in order to work on a solution. President Obama was right to say recently that there is little a chief executive can do about gas prices. That said, presidential candidates should stop promising otherwise. At the moment, our politicians seem to be running low on ideas and yet overflowing with an eagerness to exploit the uptick in prices for their own political benefit.

Newt Gingrich is promising lower prices. He also pledges that, if elected president, he won't bow before a Saudi king.

So what? What does that have to do with anything, beyond political rhetoric? At  the moment, our main concern -- and certainly that of our one true friend and ally in the Middle East, Israel -- isn't Saudi Arabia but Iran.

As part of a small group of Latino journalists who visited Israel last month, I was reminded by Israeli officials in one briefing after another that -- were Iran to build a nuclear weapon -- the entire world would change. Iranian President Mahmoud Ahmadinejad could block the Strait of Hormuz and the rest of the world would be too frightened to do anything about it. That's what we should be worried about, not whether U.S. presidents bow before the Saudis.

It also wouldn't hurt to pay more attention to oil reserves in this hemisphere. Mexico is a major producer, and a friend and ally. The relationship between the United States and Mexico isn't perfect; tensions recur over immigration, drugs and trade. Each country has an annoying habit of blaming the other for its problems. 

But it's a strong marriage that will endure. Instead of chanting "Drill, baby, drill," more of our leaders should be saying: "Hola amigo." The U.S. government should increase oil imports from Mexico. Not only is it better to deal with friends than adversaries, it's also a good way to help the Mexican government fund its war against the drug cartels -- a battle that is, let's not forget, fueled by another one of our addictions.

Granted, in order for the United States to increase oil imports from Mexico, our neighbor may have to increase production. That's a slippery situation. Mexico nationalized the oil industry in the 20th century and foreign companies are prohibited from drilling. But that resistance seems to be weakening.

Mexico's national oil company has allowed some private contracts and says its mature fields, which produce just 12,000 barrels of oil per day, could produce up to 220 million barrels of oil. We can have that conversation. And let's face it, the United States would rather work through that issue than work with countries that are hostile to Americans.

Look at the polls, and you'll see that one of the major reasons everyday Americans think we need to become more energy self-sufficient and develop a better strategy for importing oil is that they're leery of becoming too dependent on countries in the Middle East that are often unwelcoming, undemocratic and unstable. After all, no matter how much we love our cars and need our gasoline, few things are scarier than breaking down in a bad neighborhood.

 

 

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Californians are fatalistic about high gas prices, and remember 2008

@highlight

Even if you take the bus, he says, high gas prices affect the cost of food, other goods

@highlight

Navarrette says presidential candidates' promises of lower gas prices are empty rhetoric

@highlight

He thinks a good move would be negotiating to buy more oil from Mexico, a friend and ally