(CNN) -- Thirteen-year-old Anjali didn't just pack her bags and run away to the circus, she signed a 10-year contract with a circus master after fleeing from long hours of domestic servitude in Nepal. Taken to India, she then endured years of appalling and dangerous working conditions for no pay. A British charity helped Anjali finally say goodbye to the circus.

Anjali's story is not the same as other victims, but there are disturbing similarities: threats, sexual and labor exploitation, often cruelty, sometimes brutality. (To read Anjali's story, please go to UNODC's 2013 publication, Hear Their Story. Her name was changed to protect her identity.)

Despite her terrible experiences, Anjali is one of the fortunate ones. There are millions of women, children and men across the world who face similar experiences. Human trafficking is now worth around $32 billion annually to the criminals and their networks. It is one of the world's most profitable crimes.

I recently attended a debate on human trafficking at the U.N. General Assembly in New York. Other speakers included Oscar-winner Mira Sorvino, UNODC's good will ambassador against human trafficking. She spoke with dignity and with passion, which found echoes in the words of many of the other speakers, including U.N. Secretary-General Ban Ki-moon.

The debate ensured that this crime remains on the radar screens of U.N. member states, one decade after the Trafficking in Persons Protocol entered into force.

There is also some good news. Today, 83% of countries have proper legislation to combat human trafficking. In 2009, this figure was only 60%. So far, 175 states are parties to the Convention against Transnational Organized Crime and 154 are party to the Trafficking in Persons Protocol that is the foundation for our work against this heinous crime. Fifteen countries have also ratified the protocol since 2010.

This, however, leaves 39 member states who still have to ratify the protocol and unite the entire world against human trafficking. Impunity is another festering issue. Sixteen percent of countries have never recorded a single conviction for human trafficking. Conviction rates remain low.

CNN Freedom Project: Rescued Nepalese find new life in circus

Based on UNODC's Global Report on Trafficking in Persons 2012, between 2006 and 2009, the number of detectable cases of human trafficking for forced labor doubled from 18% to 36%. It shows that more action against this crime is being undertaken by law enforcement bodies, but there is room for improvement.

There are also problems with data collection and analysis. Our human trafficking report contained information from 132 Member States. Almost a third of countries failed to provide information to the report.

Fortunately, there is an international road map: the 3-year-old Global Plan of Action. The plan created the Victims Trust Fund managed by UNODC. So far, the fund has enabled 11 grass-roots organizations to aid victims in situations similar to that of Anjali.

But the improvements, while encouraging, are coming too slowly to help the millions of victims. What is needed is a catalyst. My suggestion is an inspirational, but realistic goal: a decade of concrete action to end human trafficking. Action founded on international cooperation and coordination.

Arrests made in modern slavery case

If we are truly serious about confronting this issue, I would suggest four steps to immediately improve the situation:

First, increased victim protection and support, second, universal ratification and full implementation of the U.N. Convention against Transnational Organized Crime, as well as its protocol; third, fresh contributions to the Trust Fund from governments, the private sector and the public to assist field organizations; and fourth, the provision of comprehensive data to understand the nature of this global crime.

Legislation, however, is only the springboard for action. Every country needs a national action plan closely linked to regional and international efforts to counter human trafficking. We also need to hunt down the proceeds flowing from this ugly crime.

Preventing money laundering means working closely with banks and the financial sector to report suspicious financial movements and creating a virtuous circle among financial intelligence units, law enforcement bodies and prosecution authorities. But, it is not good enough to simply imprison the guilty traffickers, we must take their money and close down the networks and trafficking routes for good.

I am aware of the dangers of making unrealistic promises, but I believe we can achieve this goal. After all, our reach should always exceed our grasp. Let's turn the hourglass over and begin a decade of action to try to rid the world of the misery and suffering caused by human trafficking.

The opinions expressed in this commentary are solely those of Yury Fedotov

@highlight

Millions of people fall victim to human trafficking, says Yury Fedotov

@highlight

The world has made progress in reducing this profitable crime, he says

@highlight

Fedotov: Many countries have passed legislation against trafficking

@highlight

He says improvements coming too slowly; a decade of action is needed