(CNN) -- The world is OK -- at least this time -- and scientists are psyched.

An asteroid dubbed 1998 QE2 whizzed past Earth on Friday, with its own moon in tow.

"#asteroidQE2 has sailed harmlessly past Earth," NASA's Jet Propulsion Laboratory tweeted around 5 p.m. ET.

It got within about 3.6 million miles of our planet. That's close relatively given the vastness of space, but still more than 15 times the distance from wherever you are to our moon.

The fly-by had astronomers less fearful and more excited about getting the "best look at this asteroid ever," according to NASA.

The resulting images should be of similar quality to those obtained when spacecraft get up close to asteroids, said Lance Benner of NASA's Jet Propulsion Laboratory.

Scientists have been rubbing their hands for a decade and a half for this opportunity since they discovered the asteroid on August 19, 1998, the year for which it is named. The letter "Q" stands for the month of August.

"As my old friend, radar astronomer Steve Ostro used to say, spaceship Earth is making a fly-by of the asteroid, so we're going to exploit the capabilities of the radars to understand as much as possible," Benner said, according to a story on NASA's website.

Forget falling stars: NASA plans to catch an asteroid

A milestone asteroid

1998 QE2 represents a milestone in NASA's Near Earth Object Project, which scopes out the heavens for potential danger from celestial projectiles whizzing past.

"It's one of the initial successes of our effort to find the big asteroids that could hit the Earth and cause global catastrophe," said Paul Chodas, a scientist with the project. "It's certainly one to keep an eye on."

NASA has been tracking it with radar devices since Thursday, not to clock its speed but to get good pictures of it. A day before, scientists got a shot of its moon. The images look less like photos and more like ultrasound images.

The discovery of its moon -- which makes it what scientists call a binary asteroid -- surprised the astronomers, said NASA radar scientist Marina Brozovic, who helped take the images at Deep Space Network antenna at Goldstone, California.

More than 15% of asteroids travel in groups of two or three objects revolving around one another, according to NASA.

Destructive potential

1998 QE2's moon, which is 2,000 feet wide, is large enough for NASA to term it a "potential city killer." The asteroid it revolves around is much bigger, at 1.7 miles wide.

"This is one of the big ones," Chodas said.

Large explosion on moon visible from earth

Any asteroid as large as a half-mile across would cause a global catastrophe, if it struck the blue planet, he added.

To put the potential for damage by an asteroid into perspective, the one that paleontologists believe triggered the extinction of dinosaurs on Earth 65 million years ago was six miles in diameter.

The meteor that exploded over Russia in February, injuring more than 1,000 people and causing millions of dollars in damage, was a "very small asteroid," according to the space agency.

The most dangerous asteroids contain a lot of stone or iron, according to NASA. 1998 QE2 contains a good bit of carbon and well as amino acids, the building blocks of protein.

The NEOP has identified 95% of asteroids of this most dangerous order, Chodas said. Luckily, there is no known possibility of one slamming into the planet.

But NASA has not yet done much work on the meteors one class lower, known as the "potential city killers." They start at a size of 150 yards in diameter. NASA astronomers have identified only 10% of the 10,000 they believe pass close to Earth.

NASA officials this year told a congressional panel, which was considering future defense systems to prevent a potential asteroid strike, that there is only a one in 20,000 chance that a truly dangerous one will hit Earth in a year's time.

Having a look

Even as it jets further and further away, astronomers will continue making images of 1998 QE2 through June 9 with two radar antennas -- one in California and a second one in Puerto Rico.

Amateur astronomers with telescopes as small as 10 inches long may just barely be able to see it in the southern skies. But their devices should be computer controlled because locating it otherwise will be difficult, NASA advises. The coordinates to locate the asteroid are on the Jet Propulsion Laboratory website.

NASA takes threats from asteroids seriously, and will keep calculating the orbits of the large ones they identify long to check their flight paths for any potential danger to Earth.

Eventually, 1998 QE2 will curve back out toward the solar system's outer asteroid belt, which is just short of Jupiter.

It will go by Earth next on July 12, 2028, according to NASA's Jet Propulsion Laboratory. But that time there will be lots more elbow space -- the asteroid is expected to be about 45 million miles away.

There will be a much closer call comes in about 200 years. Even then, though, scientists believe history will repeat itself -- and our planet will once again survive.

Check out CNN's Light Years blog

CNN's Greg Botelho contributed to this report.

@highlight

NEW: Asteroid 1998 QE2 will next pass the Earth in 2028

@highlight

Scientist have been anticipating the asteroid's passing for a few years

@highlight

Images of it should compare well to those shot by spacecraft, NASA says

@highlight

The asteroid "sailed harmlessly" past the Earth, albeit 3.6 million away