(CNN)The Nobel Peace Prize was awarded Friday to India's Kailash Satyarthi and Pakistan's Malala Yousafzai for their struggles against the suppression of children and for young people's rights, including the right to education.

Thorbjorn Jagland, chairman of the Norwegian Nobel Committee, said, "Children must go to school, not be financially exploited."

Yousafzai came to global attention after she was shot in the head by the Taliban -- two years ago Thursday -- for her efforts to promote education for girls in Pakistan. Since then, after recovering from surgery, she has taken her campaign to the world stage, notably with a speech last year at the United Nations.

Through her heroic struggle, Yousafzai has become a leading spokeswoman for girls' rights to education, said Jagland.

According to the Nobel committee, at 17 she's the youngest ever peace prize winner.

Yousafzai said that the award is a "great honor for me," and that she's honored to share it with Satyarthi.

"I'm proud that I'm the first Pakistani and the first young woman or the first young person getting this award," she said in Birmingham, England.

Yousafzai learned she won the award while she was in chemistry class in England on Friday morning, she said. She wasn't expecting to get the award, and at 10:15 a.m., she was sure she hadn't won. But soon afterward, a teacher called her over and told her she had.

Yousafzai said she continued to attend classes, and it was a "normal day," besides teachers and fellow students congratulating her.

She said she doesn't believe that she deserved the award but considers it an encouragement to continue her campaign and "to know that I'm not alone," Yousafzai told reporters.

New beginnings

Her award will not mark the end of her campaign to advocate for girls' education, she said.

"I think this is really the beginning," she said, adding that children around the world "should stand up for their rights" and "not wait for someone else."

Yousafzai spoke with Satyarthi by phone Friday, and they agreed to work together to advocate that every child is able to go to school. She said they also decided to try to build a stronger relationship between their countries, which are longtime rivals.

She said she wants the Prime Ministers of India and Pakistan to attend the December ceremony where she and Satyarthi will receive their awards. Peace between the two nations, Yousafzai said, is important for their progress.

Awarding the Peace Prize to a Pakistani Muslim and an Indian Hindu "gives a message to people of love between Pakistan and India, and between different religions," Yousafzai said. The decision sends a message that all people, regardless of language and religion, should fight for the rights of women, children and every human being.

The Malala Fund, set up to promote girls' education, said via Twitter that Yousafzai called the prize "an encouragement for me to go forward. It means we are standing together to ensure all children get quality education."

Committee commends Satyarthi's courage

Meanwhile, Satyarthi, age 60, has shown great personal courage in heading peaceful demonstrations focusing on the grave exploitation of children for financial gain, the committee said.

Satyarthi told reporters that the award was about many more people than him -- and that credit should go to all those "sacrificing their time and their lives for the cause of child rights" and fighting child slavery.

"It is a great honor for all those children who are deprived of their childhood globally," he said.

"It's an honor to all my fellow Indians who have got this honor -- it's not just an honor for me, it's an honor for all those fighting against child labor globally."

'She has made her countrymen proud'

Pakistani Prime Minister Nawaz Sharif congratulated Yousafzai.

"She is (the) pride of Pakistan, she has made her countrymen proud," he is quoted as saying in a statement. "Her achievement is unparalleled and unequaled.

"Girls and boys of the world should take lead from her struggle and commitment."

His Indian counterpart, Narendra Modi, congratulated both Nobel laureates via Twitter.

"Kailash Satyarthi has devoted his life to a cause that is extremely relevant to entire humankind. I salute his determined efforts," he said, adding that "Malala Yousafzai's life is a journey of immense grit (and) courage."

A spokesman for the Pakistani Taliban, formally known as Tehrik-i-Taliban Pakistan, via email called Yousafzai a "beloved servant" of "infidels" who was awarded the Nobel "for her services to them." The Islamist group, which has intimate links to the Afghan Taliban and al Qaeda, unabashedly confirmed two years ago that it tried to kill the teen activist as she rode home from school in a van.

The spokesman, Ehsanullah Ehsan, said she was targeted because of what he called her "propaganda against Islam."

Nobel Peace Prize: They didn't win, either

The Nobel committee said it "regards it as an important point for a Hindu and a Muslim, an Indian and a Pakistani, to join in a common struggle for education and against extremism.

"It has been calculated that there are 168 million child labourers around the world today. In 2000 the figure was 78 million higher. The world has come closer to the goal of eliminating child labour."

U.N. Secretary-General Ban Ki-moon congratulated both winners, describing Yousafzai as "a brave and gentle advocate of peace who through the simple act of going to school became a global teacher" and Satyarthi as having carried out heroic work to combat child exploitation.

"The true winners today are the world's children," he added.

Opinion: Malala is the new symbol of hope

'Absolutely thrilled'

Nigel Chapman, chief executive of the Plan International aid organization, said the award brought a "fantastic glow" to his heart.

"I think anybody who's interested in campaigning for children's rights is absolutely thrilled by this news," he said, speaking to CNN from New York.

"It's often hard to get these issues at the top of the agenda, and the fact that these two really important figures have been honored today is terrific news."

Chapman praised the Nobel committee for its smart move in awarding the prize jointly to Yousafzai and Satyarthi, who are "two major heroes" in their countries.

The issues of education and child labor are intimately linked together, he said, "because one of the reasons that girls in particular don't go to school is because they are working, often in difficult and dangerous circumstances, trying to earn money for their families."

There are still 65 million girls worldwide who are not in school, he said. Millions start lessons but drop out for reasons including having to work or being forced to marry very young.

He said it was also a great boost for campaigners on the eve of the International Day of the Girl.

Pakistani campaigner: Hard work is needed

Mosharraf Zaidi, a Pakistani education campaigner and former adviser to the Foreign Ministry, welcomed the award but cautioned that there is still a long way to go in his country.

In Pakistan, he told CNN, there are 25 million children ages 5 to 16 who are not in school, more than half of whom are girls.

"So there's a huge need for a campaigner and a voice like Malala's," he said. "Unfortunately, that voice hasn't been welcome in Pakistan in the way that we would've hoped and the work that needs to be done to fulfill the dreams that Malala has, has not yet begun.

"Pakistan's politicians have become very good at paying lip service to the needs of Pakistan's children without doing any of the hard work that's needed."

Pakistan needs to dramatically increase its spending on education and improve how that money is spent, he said, and it "needs to get serious" about giving every child a good education.

Courage, determination and vision

Former UK Prime Minister Gordon Brown, who is the U.N. special envoy for global education,  described the two winners as "the world's greatest children's champions."

They "deserve the Nobel Peace Prize for their courage, determination and for their vision that no child should ever be left behind and that every child should have the best of chances," he said.

"Kailash's life-long work in India fighting child labour -- which I have had the privilege to see at first hand -- complements Malala's work standing up for girls' rights to education from Pakistan to the rest of the world."

European Union leaders Jose Manuel Barroso and Herman Van Rompuy said the prize was a victory for all the children around the world who aspire to go to school.

When the European Union won the peace prize in 2012, they said, it decided to use the money for the same purpose, through an EU program for children in conflict zones.

U.N. High Commissioner for Human Rights Zeid Ra'ad Al Hussein said the award sends an important message of support to all those working for children's rights and rewards "two extraordinarily inspirational human rights defenders" who "have demonstrated tremendous courage in the face of powerful adversaries."

He said he hoped it would bolster the political will of countries and institutions worldwide to uphold the rights of children.

Salil Shetty, secretary general of Amnesty International, hailed the pair's work as representing the struggle of millions of children around the world.

"This is an award for human rights defenders who are willing to dedicate themselves entirely to promoting education and the rights of the world's most vulnerable children," he said.

Prerequisite for peace

The Norwegian Nobel Committee makes the point that 60% of the current population is under 25 years of age in the poorest countries of the world.

"It is a prerequisite for peaceful global development that the rights of children and young people be respected," it said. "In conflict-ridden areas in particular, the violation of children leads to the continuation of violence from generation to generation."

Yousafzai was among the favorites for the prize last year, which instead went to the Organisation for the Prohibition of Chemical Weapons, for its longstanding efforts to "do away with a whole category of weapons of mass destruction."

The Norwegian Nobel Committee received a record 278 nominations for the 2014 prize, 47 of which were for organizations.

Each prize carries with it a monetary reward of 8 million Swedish kronor (about $1.1 million) to be divided among the winners.

CNN's Ray Sanchez, Lindsay Isaac, Alexander Felton, Sophia Saifi and Radina Gigova contributed to this report.

@highlight

Pakistan's Malala Yousafzai: Children around the world "should stand up for their rights"

@highlight

India's Prime Minister congratulates winners for determination and courage

@highlight

Pakistani PM Nawaz Sharif says Yousafzai has "made her countrymen proud"

@highlight

India's Kailash Satyarthi says award honors everyone working for child rights