(CNN) -- On Thursday night, I returned to Caracas, Venezuela, to participate in the funeral and mourning of Hugo Chavez, president of Venezuela from 1999 until his passing this week. Chavez's death has captured the world's attention front and center with renewed vigor and interest.

He first burst onto the world scene with his presidential victory in 1999. Since then, through his fourth re-election in January -- and while he was in Cuba fighting the cancer that would take his life -- his focus was on forging a new socialist Venezuela.

This won many friends and advocates at home and abroad, especially among Venezuela's and the hemisphere's poorest populations. Other world powers demonized Chavez and sought to ostracize him, a la Cuba's Fidel Castro, on a global scale.

But I believe peaceful, constructive negotiation should carry the day over isolation and demonization.

That's why I visited Venezuela in 2005, just after the Rev. Pat Robertson called for the assassination of Chavez. He inflamed a chorus of extremist voices in seeking a way to "deal with Chavez."

That type of hot rhetoric serves no productive purpose.

I went to talk with Chavez; I talked with Jewish religious leaders in Venezuela. I talked with Afro-Venezuelans. I learned about the transition taking place from the old banana republic regimes to the new leaders, with new ideas, such as Chavez in Venezuela, Luiz Lula da Silva in Brazil and Juan Manuel Santos in Colombia. I looked not to exploit differences and fuel division, but for common ground.

That's why I went to Iraq to talk with Saddam Hussein in 1990 as he invaded Kuwait and convinced him there was no value in holding hundreds of people from the United States and other countries as "human shields." He released them.

That's why I went to what remained of Yugoslavia amid the flames of war in 1999, to talk with Slobodan Milosevic to persuade him to release the three U.S. soldiers being held hostage. He did.

And that's why I went to Cuba in 1984 -- long under a senseless U.S. blockade -- to talk with Castro and persuade him to release dozens of political prisoners.

In each instance, the U.S. had a no-talk policy with these leaders and nations.

It's been my experience that talking, keeping lines of communication open to friend and foe alike, can reap dividends. Nations cannot always agree, but we can always talk. That does not require a sacrifice of principles or signal weakness.

I believe in the Gandhi principles, favoring peaceful negotiation over military confrontation. He called the doctrine "satyagraha" -- and explained the "pursuit of truth did not admit of violence being inflicted on one's opponent but that he must be weaned from error by patience and compassion.

"For what appears to be truth to the one may appear to be error to the other. And patience means self-suffering. So the doctrine came to mean vindication of truth, not by infliction of suffering on the opponent, but on oneself."

It works. In my view, it's always more productive and mutually beneficial to talk things out and not fight things out.

As the world mourns the death of Chavez, it's time to go beyond divisive rhetoric and historical fears that leave all of us in the dark.

Where is our common ground?

We are neighbors; we live in the same hemisphere. There are 200,000 Venezuelans living in the U.S. -- including nearly 70 Major League baseball players in 2012, among them Triple Crown winner Miguel Cabrera.

We are trading partners. Venezuela surpassed Saudi Arabia as the nation with the largest oil reserves in the world, and the U.S. is the largest importer of Venezuelan oil. That oil is four days away, compared with four weeks away in the Middle East. There is a huge potential to expand our market and Venezuela's. And with stronger economic ties comes political stabilization.

It's time to turn crisis into opportunity, to fulfill the unfinished business of realizing to the fullest potential the relationship between the U.S. and Venezuela. Seize this moment to heal the wound and bind the ties.

It won't be easy, but nothing is. And nothing will be accomplished with a no-talk policy.

No doubt, Venezuela's relations with the U.S. have been strained -- diplomatic relations were severed for a time in 2008 when Venezuela accused the U.S. of plotting the overthrow of Chavez. Just last week, days before Chavez died, Vice President Nicolas Maduro expelled two U.S. military officials, accusing the U.S. of trying to destabilize the government.

The good news is that President Barack Obama has sought to restore relations, saying in a statement that the United States "reaffirms its support for the Venezuelan people and its interest in developing a constructive relationship with Venezuela's government. ... As Venezuela begins a new chapter in its history, the United States remains committed to policies that promote democratic principles, the rule of law and respect for human rights."

The U.S. is sending an official delegation to Chavez's funeral. And Obama and Secretary of State John Kerry have expressed their desire to forge a more positive and productive relationship with Venezuela.

As I meet with political, religious and community leaders in Venezuela, this is the message I bring.

Let's put an end to hot rhetoric, demonization and policies of isolation. It's time to forge a practical, productive relationship that will lead to normalization of diplomatic relations between the U.S. and Venezuela.

@highlight

Jesse Jackson: Chavez's death an opportunity for U.S. and Venezuela to heal relations

@highlight

He says we have demonized Chavez, but this rhetoric serves no good purpose

@highlight

Jackson: U.S.-Venezuela bond will be beneficial to both countries, in trade and oil

@highlight

Jackson will be talking with religious, political leaders to rebuild diplomatic ties