MINQIN, China (CNN) -- Switching on the electric pump next to an old well, Ma Junhe waited in the glowing morning sun as water flew into the tank mounted on a donkey cart.

Environmentalist Ma Junhe waters saplings at his ecological forest site in Minqin, China.

"Thirty years ago, you could pump water here from 3 meters below," he lamented. "Now we are pumping it from 80 meters below."

The sinking underground water table is testimony to the desertification that has been threatening the survival of Minqin, an oasis town precariously sandwiched between two large, expanding natural deserts in western China.

Other alarming signs abound in this poor rural county of 310,000 farmers in Gansu Province, where the average annual income hovers around $500.

Over-extraction has turned underground water in many places too salty and alkaline for drinking or irrigation, prompting some experts to call for moving half of Minqin's population elsewhere.

A lake the size of 40,000 soccer fields has completely dried up, leaving countless clamshells scattered on the sandy lakebed the only evidence of the once-flourishing aquatic life.

For Ma, 27, these jarring images serve as a daily reminder of an urgent mission: rescuing his hometown from the encroaching sands. "Many trees were cut down in the 1980's to make way for large-scale land exploitation, while we were losing water from upstream because of drought," he said. "The environment started to deteriorate rapidly."

After high school Ma had traveled across southwestern China as a pharmaceutical salesman. The lush green and moist air in that region presented a stark contrast to the increasingly dusty and barren scenery in Minqin, turning him to an unlikely environmentalist.

In 2005 Ma returned home and created a web site titled "Saving Minqin." Two years later he signed an ambitious agreement with his native village, taking over 27 hectares of arid land for reforestation.

"This place used to be a forest when my grandfather was young," he reminisced. "You would disappear in the tall trees if you walked in here."

On this bright morning, Ma followed a pair of donkeys as they pulled two full tanks of water slowly across a harsh landscape dominated by an immense expanse of sand. The wheelbarrows stopped at Ma's ecological forest site a short trek away, where patches of green are already breaking the monotony of yellow.

"We have planted these suosuo (saxauls) on five hectares of land," Ma pointed at what looked like were mere scrub on the ground. "They are such hardy trees that they can survive on the meager rainfall we get here."

Even this tough plant requires some help under the unusually dry weather this year, however. Armed with buckets and shovels, Ma and other volunteers have been painstakingly watering their young trees once a month.

"So far 90 percent of the saplings have survived," Ma said. "Every time I see them grow, I feel a sense of great accomplishment."

"When the trees grow to 4 to 5 meters tall, they will be able to shield nearby farmland from the sand blown over by wind -- or even improve the climate on site."

For now, Ma is focusing on receiving official blessing for his planned environmental NGO by the end of the year, which he hopes will make fund raising an easier task.

Planting and caring for trees in the desert has proven too costly to rely solely on small donations. The annual price tag of $3,500 is more than half of what Ma makes a year from his day job.

"I have been trying to find a way to support myself financially while allowing me to work on the forest at the same time," he said.

Despite the personal challenges, Ma is heartened by the receptive audience he has found both on the Internet and in his hometown. More than 200 volunteers have signed up to participate in the eco-forest project. Some showed up amid a major dust storm more than a year ago to plant the first batch of saplings.

Many locals have also expressed support to Ma, perceiving the long-term effect of his endeavor in preventing them from becoming so-called ecological refugees.

"When people retreat, the desert advances," Ma noted. "So it's better to let people stay where they are."

"Most people have lived here for generations. Moving away would be painful for them, especially for the elderly."

Ma sees a unique opportunity this year in drawing more attention to his cause as the government emphasizes environmental protection in keeping its promise to hold a "Green Olympics" in Beijing.

But Ma doubts the authorities' ad hoc approach -- such as shutting down factories and construction sites to reduce air pollution -- would work in combating desertification.

"You can't solve an environmental problem through a temporary mass campaign," he said, adding that environmentalists need to address people's attitude first and foremost.

"Desertification is scary, but it's even scarier if you don't care about the environment -- that's the desertification of the mind."

Steven Jiang is a Beijing-based freelance writer and former CNN producer.

@highlight

Rural county of Gansu province threatened by desertification

@highlight

Local resident Ma Junhe started an eco-forest project to counter encroaching desert

@highlight

Highlight growing eco-problems in China on eve of Games touted as 'green'