(CNN) -- Over the past month, North Korea's 29-year-old leader, Kim Jong Un, has threatened to attack Washington with nuclear weapons, declared a state of war with neighboring South Korea and warned diplomats to evacuate the peninsula.

The Obama administration has sent conflicting responses: first deploying bombers and new missile defense assets to the region, then appearing to back off and calling for dialogue with Pyongyang. This is a pattern the North has come to expect of all U.S. administrations.

Historically, after major provocations, the United States has returned to the bargaining table with North Korea within, on average, five months of a provocation. And, of course, the North has typically cheated and raised further demands based on improved nuclear explosions and more capable missiles developed while leaders were in dialogue mode.

We will not negotiate our way out of this one. On the other hand, sanctions and pressure have not deterred the North from its nuclear weapons path. Is the North Korea problem unsolvable? No. But U.S. policy must be based on realistic assessments of five factors: the North's intentions, the danger involved, the efficacy of dialogue, the approach to China, and the role of our alliances.

1) What does North Korea want?

This answer should not be so hard to figure out. The North's highest national priority is the capability to threaten the United States, our Pacific bases and our allies with nuclear-armed ballistic missiles. Almost nothing will knock it off this path.

Do the leaders want respect, aid, lifting of sanctions and legitimacy? Of course: But the regime has determined that these come from owning nuclear weapons and ballistic missiles. The North's outrageous threats are designed to elicit compromise and restraint from the other powers in the region -- to frighten us away from imposing U.N. Security Council sanctions for the latest nuclear and missile tests.

Pyongyang wants first to establish itself undeniably as the world's newest nuclear weapons power. The regime may then freeze one part of its program temporarily, or promise a moratorium to receive food, energy and money, but the pattern has been consistent in later breaking away from whatever agreement was reached. If nuclear weapons were just about deterring the United States, then a nonaggression pact or peace treaty might have some possibility.

U.S. administrations, from those of Barack Obama to George H.W. Bush, have offered North Korea security assurances more than 33 times. But the regime needs these weapons to deter China, to keep its army loyal and to juxtapose its weapons status against rival South Korea's enormous successes on the international stage. In the regime's view, the weapons are indispensable to its survival.

Opinion: North Korea endgame -- 3 scenarios

2) What is the danger?

North Korea can be deterred. The young Kim's use of nuclear weapons would destroy the regime. The North Koreans might have everything to lose, but we -- as rich and comfortable societies -- have much more to lose. That is the leverage the North seeks to exploit.

Pyongyang's increasingly brazen threats could reflect the exuberance and inexperience of a young untested leader, but may also reflect the belief that threats can be made with greater impunity when backed by a handful of nuclear weapons. If the North is beginning to produce nuclear weapons not only from plutonium harvested from its Yongbyon reactor, but also from uranium, then it may soon be able to produce more than one nuclear device, if not weapon, a year. This could lead to even more dangerous threats and demands -- including a possible repeat of the threat to transfer nuclear know-how to other countries.

The other danger stems from the North's brinkmanship strategy itself. For five decades, the North has mastered the art of manufacturing crises and then pulling back from the brink. A CSIS study found that within two months of a rupture in negotiations, North Korea ratchets up another crisis with a provocation -- only to be rewarded with regional powers' diplomacy efforts within five to six months.

With increasing confidence in its nuclear and missile programs, will Pyongyang come closer to that line? Will Kim Jong Un feel pressure not to back down in order to prove his credentials as a marshall of the DPRK? Will he pick the wrong targets and invite a South Korean retaliatory strike?

Nuclear weapons: Who has what?

3) The efficacy of dialogue

The history of this torrid cycle of crisis diplomacy suggests that sooner or later, the Obama administration will be back at the negotiating table to rent a temporary cessation of North Korean belligerence, just as previous administrations have done.

But the definition of madness is to do the same thing over and over hoping that the outcome will be different. It won't. That is why the main track now has to be pressure. Not war, but serious and sustained pressure by all parties that constrains weapons development and proliferation.

4) The China calculus

Of course, sustained pressure is impossible without China's involvement. For the first time in years, there is reason to hope China may be more helpful. Beijing is clearly exasperated with the North. The new Chinese leader, Xi Jinping, is more decisive than his predecessor. His new foreign policy team views Pyongyang with a jaundiced eye after years of mopping up the diplomatic messes. Even sacrosanct assumptions, such as the North's role as a vital strategic buffer for China, are being hotly debated in Beijing.

But we should not expect China to coerce its troublesome client. Beijing remains preoccupied with maintaining stability. Xi cannot push through the economic package he hopes to table in the fall without support from regime conservatives, especially in the military, who favor the status quo on the Korean Peninsula.

Party chieftains administering the Chinese provinces bordering North Korea are critical to meaningful enforcement of tightened sanctions, but they care more about the flourishing border trade and investment opportunities in the North than implementing the will of the U.N. Security Council. Such constraints make it difficult for the senior leadership to -- as U.S. Secretary of State John Kerry put it last week -- "bear down" on Pyongyang.

This means the United States must avoid the temptation to make cooperation on North Korea a litmus test for U.S.-China ties. Doing so will only stiffen Chinese resistance and result in disappointment and increased bilateral friction. It also risks increasing U.S. ownership of the problem at a time when we want China to do more.

Instead, we need to persuade China to drop its parochial approach in favor of cooperation that is strategic, farsighted and genuine, and part of the overall framework of our long-term security relationship. We must convince China that North Korea's actions are creating what Beijing most fears â€” greater U.S. military presence in the region and enhanced trilateral cooperation with Japan and South Korea.

North Korea's missile capabilities

5) Allies matter

A failure to stop North Korea's nuclear programs will irreparably damage our alliances in Asia. Not so much because it will lead to a nuclear Japan or South Korea, but because it will raise doubts about U.S. staying power and ability to provide security to the region.

Any U.S. outreach to China about development of a long-term strategy for Korea must be grounded in deep trilateral planning and coordination with America's allies, South Korea and Japan. Indeed, all eyes will be on the new South Korean President Park Geun-hye as she lays out her vision to President Obama when they meet next month.

Her brain trust has talked about quietly reaching out to change Beijing's view of its strategic equities on the peninsula. This argument will be more persuasive only if it is grounded in unprecedented levels of U.S.-Japan-South Korea cooperation on missile defense, intelligence sharing, military exercises,and missile defense collaboration in response to the North Korean threat.

The allies are key to deterring the North and motivating China -- and to our longer-term position in the region beyond this North Korean footnote in world history.

@highlight

Writers: North Korea's priority is being able to threaten U.S. and allies with nuclear arms

@highlight

It's a circular game, they say. North bullies, steps back; U.S. threatens, then talks

@highlight

Writers: Talks won't change situation. We must assess dangers, intentions, China, allies

@highlight

Writers: We need serious and sustained pressure by all parties, including China