Amman, Jordan (CNN) -- Even as the world's military chiefs gathered in Jordan to debate their next move on Syria, the host nation is keen to keep the talks under wraps.

Official statements have been scant, the precise date, time and location seem secret. Expect no post-meeting press conference either, we are told.

The "why" is very simple: Jordan fears if it appears in any way to become a spring board for strikes on Syria, it will suffer. How it will suffer and why lies buried in layers of history as complex as the shifting desert sands here.

This tiny kingdom has ducked and dived the worst of the regional roiling stirred by the 2011 Arab Spring. Yet the few protests here seem to highlight dissatisfaction with a monarchy the West has come to rely on.

A U.S. defense official told CNN no agreements were signed at meetings Monday as "this was not a planning meeting, where we come ready to discuss a specific way forward." But he did say the meetings focused on ways the escalating conflict in Syria could spill over into neighboring countries and affect regional security as a whole.

King Abdullah of Jordan rules over a population who have seen food and gas prices rise to the point of pain; they endured the arrival of 100,000's of refugees from both Iraq and Syria, pushing up property prices. When they want the hurt to stop they look up to Abdullah. Most still suffer.

To say Jordan is not the most stable of Arab States right now might seem to fly in the face convention. Tourists are still safe here and although they don't flock in the droves they used to, the country's fabled historic sites like the Nabataean ruins in Petra are awash with all shades of international sightseers.

But scratch the surface and the have-nots far outnumber the haves. Most agree that corruption is at the root of the growing divide. The Muslim Brotherhood, long a latent force for change here, exploits the inequalities. Their brothers in Egypt, now under the heel of the military, serve as both reminder and reason to wait their moment.

And the often unspoken tension here between Palestinians and Jordanians finds greater voice today than in preceding decades. An Israeli-Palestinian peace deal, once again under serious debate, could turn once loyal subjects on their leaders if it upsets the careful balance here -- Jordanians in government, Palestinians in business.

In short it would not take much for Bashar al Assad whose forces, an hour and a half drive to the north of Amman and well within missile range of the capital, to turn Jordan into turmoil.

So no surprise that this meeting, that was, we are told, planned weeks before the alleged chemical attack in Damascus, has shrunk in profile to be almost invisible.

Even U.S. officials appeared to play tag over who can say what. One directs us to the other for comment, and so on. One trusted source here told me of his surprise any details of the meeting had been leaked.

For Jordan to host this meeting, at the very moment U.N. weapons inspectors in Damascus are being shot at as they try to figure out if chemical weapons were used, invites the Syrian regime to take the view their tiny neighbor is up to no good.

The real fear is this. If military chiefs walk away from their secure chambers here leaving even the tiniest inkling that while on Jordanian soil they would precipitate a strike or intervention in Syria, then Jordan could face terrorist attack or worse from Syria.

With chemical weapons now apparently freely in play, few would rule out the possibility those same gun barrels could be directed toward King Abdullah's people.

All this said, there is no secret here that weapons are being smuggled across Jordan's border to Syrian rebels. Saudi Arabia is quite proud of its role in this, although Jordanian officials deny the help and say they work to block such smuggling.

The real secrets are more intangible. For example, on how much of a hair trigger are the chemical weapons? And what about the U.S. and Jordanian special forces here, hidden away on army bases? How quickly could they be mobilized?

It's a worry that many Jordanians have: how quickly could their own stability crumble.

CNN's Chris Lawrence contributed to this report

@highlight

A meeting of international military chiefs is taking place in Jordan to discuss Syria

@highlight

Jordan is an ally of the West but stability is being threatened by a growing divide between rich and poor

@highlight

Amman, a 90-minute drive from Amman, is within striking range for Syrian weapons

@highlight

Jordan does not want to be seen to be facilitating strikes on Syria, says Nic Robertson