WASHINGTON (CNN) -- For the first time since September 11, 2001, America is having a vigorous national debate about how to succeed in Afghanistan. This debate is entirely worth having. Whenever America sends its citizens into harm's way, it must do so with eyes wide open.

Though no veteran would ever think of himself as "pro-war," I believe that the fight in Afghanistan is critical to our national security. Our goals there are achievable and success is worth the continued sacrifice.

We must succeed in Afghanistan for many reasons, but one stands above all: the world walked away from Afghanistan once, and it descended into a cauldron of violence, hatred and human rights atrocities that served as the base for the worst terrorist attack in history against our homeland.

We cannot let that happen again, and we cannot let the Taliban and its al Qaeda allies conquer Afghanistan once more. Failure of this kind would also destabilize the entire strategically vital region, including nuclear-armed Pakistan.

We know what it takes to succeed in Afghanistan: a resolute commitment to the principles of counterinsurgency, which turned Iraq around during the surge.

I am confident that properly resourced counterinsurgency policy, adapted to the unique culture and geography of Afghanistan, can lead to success there. Our entire military chain of command supports this approach, as do our NATO allies, which they made clear at their recent defense ministerial meeting in Bratislava.

I supported President Obama when he called for a counterinsurgency plan in March, and I did so again when he deployed Gen. Stanley McChrystal to lead the command in Kabul. I agree with our commander's assessment of the security situation as "deteriorating" and that our civilian and military leaders urgently need more resources, including more combat troops, to turn the tide toward success.

I sympathize with our president, because sending men and women into harm's way is the most difficult decision that a commander-in-chief must make. However, Americans are already serving in harm's way in Afghanistan, and the sooner we can provide the reinforcements and resources they need, the safer and more successful they will be. So I am urging President Obama to move as quickly as possible to fully support Gen. McChrystal's request for more troops.

It is true that the Afghan government is not as strong or credible as we would like, but that should not deter us from committing more civilian and military resources now. Local governments in counterinsurgency environments are usually weak and fledgling. There is an insurgency in the first place because it seeks to exploit the local population's dissatisfaction with its government. As long as Afghanistan is insecure, it is unreasonable to assume that governance will improve.

That is why protecting the population must be job one right now, and in the immediate term, much of that work must be done by U.S. and NATO troops. As security improves, however, we will be able to train capable, battle-tested Afghan security forces that can defend their country.

We can break the insurgency's momentum, enabling Afghans to reconcile with former fighters who are willing to lay down their arms. And we can create an environment of safety in which it is more realistic to expect Afghan leaders to meet the high standards of their fellow citizens and their international partners -- namely, the provision of justice and opportunity, the protection of human rights and a crackdown on corruption.

Ultimately, Afghans will judge the legitimacy of their government not only by the result of one round of voting, but by its performance in delivering basic services.

Success in Afghanistan will emerge, as it did in Iraq, when local leaders and citizens are more and more able to take responsibility for governing and securing their own sovereign country without substantial international assistance. This won't be perfect or easy, but it will allow America's fighting men and women to leave Afghanistan with honor, and it will enable Afghans to build a better, more peaceful future. That is our goal, and we must stay in the fight until it is won.

The opinions expressed in this commentary are solely those of John McCain.

@highlight

Sen. John McCain: It's good to have a debate about Afghan war

@highlight

He says United States cannot let Taliban and al Qaeda have a victory

@highlight

He says a counterinsurgency effort can succeed in Afghanistan

@highlight

McCain: Obama should give Gen. McChrystal the troops he's seeking