(CNN) -- After 14 years, Larry Page has confessed to the Financial Times that Google "probably does need" a new mission statement. Back in 1999, Google came up with "ten things we know to be true" that defined the then-little Silicon Valley start-up. So here are some suggested tweaks to make the Google's original mission statement more relevant in 2014.

Ten things we still know to be true.

1. Original mission: Focus on the user and all else will follow

Tweak: Follow the user and all else will come into focus

Google, of course, relies on knowing everything about its user to make money. Its "free" service isn't really free for us, since Google has become the preeminent "big data" company, mining our personal information to sell advertising. Indeed, as former Google CEO Eric Schmidt boasted, Google follows us so closely that it not only knows where we've been, but also where we are going.

2. Original mission: It's best to do one thing really, really well

Tweak: It's best to do many, many things really, really well

Google started as just another search engine. But today, the $372 billion leviathan, one of the world's three most valuable companies, not only dominates the world's advertising industry, but is also increasingly powerful in the publishing, movie, automotive, education and mapping industries. Google does many, many things really, really well. So well, indeed, that the company has grabbed the attention of anti-trust regulators in Washington DC and Brussels.

3. Original Mission: Fast is better than slow

Tweak: Fast is worse than slow

As the Internet critic Nicholas Carr famously asked: "Is Google Making Us Stupid?" In his 2011 Pulitzer Prize nominated best-seller, The Shallows, Carr concluded that yes, Google is indeed making us stupid. It is shortening our attention spans and making us more and more reliant on links. Through Internet companies like Google, Carr says, we have become information skimmers, snacking continually on unedifying links and other superficial content.

4. Original Mission: Democracy on the web works

Tweak: Democracy on the web doesn't work

Last week, UK spy chief Robert Hannigan said that terrorist groups like ISIS are exploiting the web to successfully peddle their radically anti-democratic message. Describing social media as "a terrorist's command-and-control network of choice," Hannigan warned that unless companies like Google actively cooperate with security services, the web will become an increasingly effective bastion for anti-democratic forces and messages.

5. Original Mission: You don't need to be at your desk to need an answer

Tweak: You don't need to be at your desk or in your car or at a cafÃ© or in bed to need an answer

Google, of course, now has many, many more ways of following users than its traditional search engine. From Google Glass to Google self-driving cars, the view from the Googleplex is increasingly ubiquitous. Wherever we are, Google is coming up with devices to track our behavior. The desk is so 1999. Today, Google is transforming the whole world into a desktop environment where all our movements and thoughts can be tracked and analyzed wherever we are -- from our cars to our bedrooms.

6. Original Mission: You can make money without doing evil

Tweak: You can make a lot of money without doing good

Okay. So Google isn't any more evil than Exxon, General Motors or Raytheon. But it isn't morally better either. Google was founded on the hubristic notion that one could simultaneously become very rich and do good. But this, of course, is the ultimate Silicon Valley conceit. Ten years on from its original mission statement, Google has emerged as one of the most powerful and profitable multinational corporations in the world. Its mission is making money for its shareholders, not improving the world. Rather than a public service, Google is -- with Apple -- the most successful for-profit company in today's global capitalist system.

7. Original Mission: There's always more information out there

Tweak: There's always more and more information out there

See #5

8. Original Mission: The need for information crosses all borders

Tweak: The need for information crosses all borders (except China, Russia and Iran)

For a mixture of idealistic and self-interested reasons, Google has branded itself as the information platform for the world. But, of course, the world isn't a United Nations-style high school project and countries like Russia, China and Iran are increasingly making it hard for its citizens to use Google. Indeed, this is Google's greatest challenge in its second decade: how to compete against state-supported search companies like Baidu and Yandex.

9. Original mission: You can be serious without a suit

Tweak: You can be serious with a suit

One of Google's most remarkable accomplishments over the last 14 years has been to disrupt traditional corporate culture. Disruption now is business orthodoxy. Everyone -- from IBM to Ford -- wants to "do a Google" and disrupt entire industries. The Google way -- of encouraging play and creativity -- has become the new corporate conformity. If you want to rebel these days: wear a suit. Everyone else is trying to look like Larry Page.

10. Original Mission: Great just isn't good enough

Tweak: Google just isn't good enough

Google was originally conceived as a way of reinventing the world. "Ultimately, our constant dissatisfaction with the ways things are becomes the driving force behind everything we do," the company wrote in 1999. But today, Google has become the standard operating system for the world - the way things are. Its real challenge over the next 14 years is to convince its billions of users that we can trust a company that relies on mining our personal data for its massive profits. Currently, Google just isn't good enough. Let's hope by 2029, this will have changed.

@highlight

Google's Larry Page admits Google "probably does need" a new mission statement

@highlight

Andrew Keen suggests tweaking the internet behemoth's "ten things we know to be true"

@highlight

Keen: Google-style disruption of traditional corporate culture is now business orthodoxy

@highlight

"Can we trust a company that relies on mining our personal data for its massive profits?"