(CNN) -- Although Elizabeth Woodville lived centuries ago, author Philippa Gregory believes women today will find they have a commonality with her.

Philippa Gregory took years to research and write "The White Queen."

Gregory's new novel "The White Queen" focuses on the life of Woodville, who was Queen consort to England's Edward IV, and the events that came to be known as the Wars of the Roses.

Gregory is herself often referred to in majestic terms as the "queen of historical fiction."

She has enjoyed international success after a series of best-selling novels, including "The Other Boleyn Girl," which was made into a feature film starring Natalie Portman and Scarlett Johansson.

The new book, which was years in the making, has Gregory departing from the exploits of the Tudor family and delving into the lives of their predecessors, the Plantagenets.

Woodville, a commoner, captured the heart of England's King Edward IV.

She was also the mother of Edward V and Richard of Shrewsbury, who came to be known as the "Princes in the Tower." Their disappearances, and presumed deaths, have long been an enduring mystery.

That intrigue, and Woodville's fascinating life, appealed to the historian in Gregory.

The British author talked to CNN about her new direction, why Americans can't get enough of historic kings and queens and why she loves living in the past.

CNN: Your Tudor series has been so successful. What took you in this direction?

Philippa Gregory: I think I felt like I had written a lot on the Tudors and although they are such fascinating characters and [there are] still some I would like to write about, I just got so interested in the back-story, the family that was there before the Tudors, and I thought I'd see if I could take the audience with me.

I knew I wanted to do it so I thought I would take the chance.

CNN: What drew you to Elizabeth Woodville?

Gregory: She is, herself, such an extraordinary character and a spectator of extraordinary times.

And, of course, she is the mother of the Princes in the Tower which is possibly the greatest mystery in English history.  Watch Gregory talk about her new novel »

CNN: Why do you think people are still so fascinated with the princes?

Gregory: I think because it involves two completely innocent young boys. It really focuses on the absolute wickedness of Richard III, and of course that is debatable, so you've got some controversy there to start off there.

It's very much about could Elizabeth have protected them or should she have done so. In a sense, it questions her as a mother and a queen.

I think the debate about Richard III is probably the key thing.

CNN: Do you think modern-day women will be able to relate to Elizabeth?

Gregory: Oh yes. What we see in Elizabeth and what we see in some of the other historical heroines are women who are in an appalling situation.

They have no legal rights, they have no financial rights, they have no security and the likelihood of them dying in childbirth was always very, very high. You were talking about a terribly dangerous life for women.

Although women today have fantastic rights in comparison, I think we still often have a sense of being in a man's world and having to play by men's rules. I know women identify with that because they often write to me and say they draw great strength and courage from these women who are, in a sense, our heroines.

CNN: You have such a huge fan base in the United States. What do you think it is about Americans which draws us to royalty?

Gregory: I don't know that it's royalty.

I thing a lot of people have a great deal of interest in the royal family, but in a sense the Tudors or even Plantagenets are so far from the modern royal family that I don't think it's that sort of snobbery.

I think actually that a lot of American women find it quite hard to fit into modern, American society.

They find the conflicts and difficulties of the past a very fruitful escape, so it's lovely just to stop worrying about now and go to somewhere else, but I think women also use the books as a type of role model of how to cope.

The Plantagenet women, Elizabeth Woodville the White Queen, they are fighting mythic, epic battles to survive. We fight much more ordinary battles, but sometimes you need the same courage.

CNN: What do you enjoy about writing historical fiction?

Gregory: I love the research. I am a historian by profession so that's probably the biggest thing for me. The reason that I write historical fiction is so that I can set the story in the past and explore the past.

I like the form of it as well. I'm quite a technical writer. I think about how it works and I think the challenge of making the past come alive for the reader is a huge one.

CNN: Having had a book made into a film, does that affect your writing at all? Are you thinking about the fact that a new novel might become a movie?

Gregory: No. One of the funny things is that getting the history right, doing intense amounts of research, trying to make the characters come alive, living with the characters and putting it all in first person, present tense which is technically quite challenging, all of that keeps me busy enough.

I don't even think about the readers. I just think about how the novel is working as a novel. I never think about what will happen with it after I am done.

@highlight

Philippa Gregory has found fame writing historical fiction

@highlight

Her new novel, "The White Queen," is set during the Wars of the Roses

@highlight

Gregory believes modern-day readers will be able to relate to the protagonist

@highlight

Story tells perspective of Elizabeth Woodville, Queen consort to Edward IV