(CNN) -- As a former Royal Navy officer, keen angler and the UK's heir apparent, it makes sense that Prince Charles would be inclined to worry about the future of fish and chips.

Britons have been eating the iconic national dish since the mid-19th century, but with around 30% of the world's fish stocks thought to be over-exploited, the Prince of Wales has concerns.

"When I was at school here in Scotland, I remember one occasion buying fish and chips from a shop in Inverness," he told an audience of scientists and fisheries executives at the sixth World Fisheries Congress.

"It never occurred to me then that I was eating food that had such a reliance on how we treat a wild natural resource. But, of course, how we harvest the fish has a direct impact on how many are left to catch next time."

Study: Organic yields 25% lower than conventional farming

In 2010, Prince Charles launched the International Sustainability Unit (ISU), a charity focused on monitoring and facilitating consensus on environmental management issues.

Drawing on the ISU's latest research, the Prince noted that sustainable fisheries tend to have three things in common: "a strong economic rationale" for their efforts, "a robust management structure" under which rules are enforced, and a holistic approach that takes into account "the whole ecosystem, rather than individual stocks in isolation."

"I am particularly encouraged to hear that the cod stocks in the North Sea have shown signs of recovery from what was, only a decade ago, a much depleted fishery," he said. "By reducing the effort at sea and other management techniques, the stock, I am told, has doubled over the past six years."

Watch: Keeping fish on the menu

Prince Charles also met with members of the National Federation of Fish Friers (NFFF), winners of this year's Young Fish Frier of the Year competition, and fisheries executives gathered aboard a Scottish marine research vessel moored in Edinburgh's harbor to fry some sustainably sourced Scottish haddock, and discuss how to safeguard the future of a beloved national dish.

Britons eat fish and chips twice as much as any other takeaway meal, with 382 million meals consumed a year, according to Denise Dodd, General Secretary of the NFFF. Collectively, Britain's 10,500 fish and chip shops use 10% of the UK's potato crop and buys 30% of its white fish, generating a turnover of $1.9 billion.

"Many businesses are family owned independents, some second and third generation or more, and are the focal point of many communities," Dodd says. "Fish and chips have been firmly on the menu for 150 years and we'd like it to continue for at least another 150 years"

Beauty trumps beast in conservation efforts

Although, Dodd says 90% of Britain's fish and chip shops "use frozen at sea fillets caught by large modern trawlers in well-managed waters."

With input from Young Fish Friers, and from sustainability award-winning fish and chip shop owners, the NFFF, which turns 100 next year, intends to draw up a Responsible Sourcing Code to ensure that fish and chip shops are selling fish from sustainable fisheries. It will also work with the Marine Stewardship Council, which certifies sustainable seafood, to make it easier for fish and chip shops to gain Chain of Custody certification, so consumers can eat "conscience free" cod.

Britons concerned about the provenance of the fish they're eating can consult the Marine Conservation Society's newly revised Good Fish Guide, which confirms that Scottish North Sea haddock, farmed organically or caught from sustainable or certified fisheries, is amongst the best choice they can make.

@highlight

The Prince of Wales is concerned about sustaining stocks of fish, used in Britain's favorite meal.

@highlight

Britons eat fish and chips twice as much as any other takeaway dish.

@highlight

Industry reps plan to introduce a code to ensure fish is responsibly sourced.