(CNN) -- Thousands of migrant children, including newborn babies, are being locked up in squalid and cramped detention facilities each year in Thailand, enduring serious physical and emotional harm, according to a new report.

The 67-page report from Human Rights Watch (HRW) entitled "Two Years with No Moon': Immigration Detention of Children in Thailand," describes how Thailand is unnecessarily violating children's rights and risking their welfare because of their immigration status or that of their parents.

"Migrant children detained in Thailand are suffering needlessly in filthy, overcrowded cells without adequate nutrition, education, or exercise space," said Alice Farmer, children's rights researcher at HRW and author of the report.

"Detention lockup is no place for migrant children. The sad thing is it's been known for years that these poor detention conditions fall far short of international standards but the Thai government has done little or nothing to address them."

Held indefinitely

The report, which was based on interviews with 41 children and 64 adults who were all detained or arrested by immigration officials, said those affected -- often from neighboring countries such as Myanmar, Cambodia and Laos -- can be held indefinitely with little or no legal support, in violation of international law.

One migrant mentioned in the report described how he and his family were kept at a detention center in Bangkok for six months. "My [five-year-old] nephew asked, 'How long will I stay?' He asked, 'Will I live the rest of my life here?' I didn't know what to say."

The rights group also said several children described being confined in cells so crowded they had to sleep sitting up. Others reported sleeping on tile or wooden floors, without mattresses or blankets, and surrounded by strange adults.

"The worst part was that you were trapped and stuck," Cindy Y., a migrant child held from the age of 9 to 12, told HRW. "I would look outside and see people walking around the neighborhood, and I would hope that would be me."

According to Thai law, any migrant with an irregular immigration status, even a child, can be arrested and detained.

Military crackdown

In recent months, tens of thousands of migrant workers, particularly from Cambodia, have fled Thailand amid rumors of a crackdown on undocumented workers by the country's new military rulers.

Thailand has a very low unemployment rate of 0.9%, according to the National Statistical Official of Thailand. Many of the foreigners work low-paying jobs that Thais are unwilling to do, but they are often vulnerable to police harassment and exploitation, advocates say.

But the Thai military has claimed it doesn't have a policy of arrest as has been widely reported, rather it says it has encouraged undocumented workers to "seek employment through proper channels."

The International Organization for Migration (IOM) estimates there are 370,000 to 380,000 migrant children in Thailand, with the largest number coming from Myanmar where they have fled sectarian persecution against ethnic groups such as the Rohingya Muslims in western Rakhine state.

According to HRW, the problem of overcrowded detention facilities is worsening, as the country sees more refugees and asylum seekers coming from further afield, such as war-torn Syria, or Christians fleeing persecution in Pakistan.

Meanwhile, an event being held to discuss the human rights situation in Thailand in the wake of this year's military coup has been canceled following pressure from the authorities. Police officers arrived at the Foreign Correspondent's Club of Thailand (FCCT) in Bangkok on Tuesday afternoon to deliver their order, according to Pawinee Chumsri of Thai Lawyers for Human Rights.

She said police told her the event would violate an order from the National Council for Peace and Order (NCPO) banning political gatherings.

"We regard this action as a human rights violation to families and people who are entitled to receive justice," she said.

The Thai authorities have yet to comment on the allegations by Human Rights Watch.

@highlight

Human Rights Watch reports says Thailand is unnecessarily violating children's rights

@highlight

Many being locked up with families by immigration authorities

@highlight

Detention centers often overcrowded and not set up to house children safely

@highlight

International Organization for Migration says there are 370,000-380,000 migrant children in Thailand