(CNN) -- Does the David Petraeus extramarital affair pose a threat to national security?

The scandal reinforces the risks of age-old intelligence-gathering landmines -- be careful what you say and where you say it.

But analysts doubt national security was compromised.

"Petraeus' potential exposure to blackmail, and the dangers associated with the use of nonofficial e-mail accounts that he needed to keep the affair secret, made this a potential national security issue," said Stephen Biddle, a professor of political science and international affairs at The George Washington University.

Petraeus probe includes top general in Afghanistan

"The FBI concluded that this was only potential, and that no meaningful security breaches had actually occurred, but the affair created a risk that could have been exploited in the future."

Petraeus resigned last week from the head of the CIA after admitting an affair with a woman later identified as his biographer, Paula Broadwell, 40, a fellow West Point graduate who spent months studying the general's leadership of U.S. forces in Afghanistan.

The revelation came during an FBI probe of another matter, and it led to the shocking fall of the celebrated and revered four-star Army general, who once ran the wars in Iraq and Afghanistan.

The affair came to light during an FBI investigation of "jealous" e-mails reportedly sent by Broadwell to a U.S. Central Command volunteer named Jill Kelley, a government source familiar with the investigation told CNN on Monday.

Timeline of the Petraeus affair

Kelley received the worrisome e-mails in May, an official said, describing the messages as along the lines of "stay away from my guy," but not explicitly threatening.

According to a source with knowledge of the e-mails, the messages accused Kelley of untoward behavior with some generals at MacDill Air Force Base in Tampa, Florida, where Kelley did volunteer work.

The e-mails detailed the "comings and goings of the generals and Ms. Kelley," said the source, who declined to speak on the record because of sensitivity of the investigation.

Among those believed to be referenced in the e-mails was Petreaus. Because parts of Petreaus' schedule were not public, the e-mails raised questions about whether the sender of the e-mails had access to his private schedule or other sensitive information.

Kelley, 37, and her husband Scott released a statement saying they have been friends with Petraeus and his family for more than five years, and asked for privacy.

Opinion: Petraeus adultery no big deal

Robert Baer, a CNN contributor and former CIA operative, said the situation is troubling because Petraeus could have innocently told Broadwell secrets he shouldn't have in casual conversation.

Also, in a speech at the end of October, Broadwell suggested the terrorist attack on the U.S. Consulate in Benghazi, Libya, took place because the United States was housing Libyan prisoners there -- a theory, she noted at the time, that had not been vetted yet. The claim by Broadwell has since been discounted by administration officials.

Baer said it's rare in a relationship that a person wouldn't cross the line and say things he or she shouldn't have said.

But "my gut is there's nothing there," he said, and that Petraeus didn't say anything he shouldn't have to Broadwell.

Opinion: 5 things we've learned from Petraeus scandal

Nevertheless, he said, the "potential is big here for policy and security implications."

"It's a spy agency's worst nightmare," he said. "They've let an outsider in, which is always a terrible error."

As for the morality of the situation, Baer said extramarital relations do happen when the Army and the CIA go to war.

The Petraeus affair: A lot more than sex

"I would be more worried if he were asexual," Baer said of Petraeus. "It shouldn't distract from his legacy."

Retired Gen. James "Spider" Marks, for whom Broadwell once worked and who knows Petraeus, said he doubts security protocols were breached despite what seems an unlikely indiscretion on the part of Petraeus.

A senior U.S. intelligence official said an extramarital affair by a CIA officer is not automatically considered a security violation.

Analysis: Will national security scandal create national security risk?

"It depends on the circumstances," the official said.

The official also said Broadwell did not have a security clearance from the CIA. Another official said Broadwell, who is an officer in the Army reserve, did have some kind of security clearance and that there are no issues with Broadwell having unauthorized access to classified information.

"I do not know how she got that information," said Sen. Dianne Feinstein, chair of the Senate Intelligence Committee, referring to Broadwell's October speech. "We should find out."

Panetta makes first comments on Petraeus' affair

Feinstein said she would investigate why the FBI investigation that uncovered the extramarital affair did not notify oversight committees about its investigation into Petraeus after the bureau determined he was having a secret and risky extramarital affair.

Fran Townsend, a former Bush Homeland security adviser and CNN national security contributor, agrees the situation lends itself for the potential that security would be breached.

"Is there the potential? Yes of course. I think there's no indication that there's a problem here. There's no indication this involved classified material from him to her."

She also said she thinks that Broadwell is "playing the journalists' game."

"If she's in an intimate relationship with the CIA director, he's not her only source." And, she might have heard the October remarks, made at the University of Denver, in passing from someone else.

Kurtz: How Petraeus courted the press

As investigators try to determine who said what to whom, it might end up as a "he said, she said." And as a result, nothing will be firmed down or resolved.

"I worry about the distraction that this now becomes for Congress and the media," Townsend said.

Tom Fuentes, a former FBI assistant director and CNN contributor, said there are always potential worries about having appropriate relations and the potential of spies. In this situation, Petraeus is "very experienced" and knows about security clearances. Broadwell has scores of military contacts and is an author and academic.

But what if someone burglarized her house, for example, and found classified information there. Could she be blackmailed?

"That's the worry," he said.

Petraeus letter: 'I showed extremely poor judgment'

@highlight

David Petraeus had affair while CIA chief

@highlight

Could secrets have been passed casually?

@highlight

Experts doubt serious breaches, but worry about potential exposure to blackmail

@highlight

Ex-CIA agent: "It's a spy agency's worst nightmare"