San Diego, California (CNN) -- When I speak to college students, I always push two messages: If you work hard, take risks, leave your comfort zone and never give up, you can do anything you want to in life; and part of life is competition, because no matter what you want, you can bet that someone else wants it too.

Competition. A simple concept and a beneficial one. It makes us better by forcing us to work harder. Sadly, it's also an idea that is going out of style in a society where students expect to get good grades just for showing up, where everyone gets a ribbon no matter where they finish, and where parents scheme to get their kids into college by lobbying state legislatures to create set-asides for in-state residents at public universities.

When we're not hiding from domestic competition, we're trying to shield ourselves from the foreign variety. High-skilled workers don't want to compete with those from China, India or Pakistan. Low-skilled workers are just as afraid of those from Mexico, Guatemala or El Salvador.

Politicians only make matters worse. While Republicans exploit the immigration issue, Democrats do the same thing with trade. In last year's Democratic presidential primary, Barack Obama and Hillary Clinton tried to give displaced workers in Ohio, Michigan and Pennsylvania a convenient villain to blame -- the North American Free Trade Agreement.

Both parties use lies and demagoguery to exploit fears and convince frightened Americans that we can fence ourselves off from competition. Build a wall. Impose a tariff. All so we don't have to put up with the annoyance of being forced to out-work, out-produce and out-hustle someone else to make a living.

Imagine that. What people in other countries accept as the natural order, we continue to resist. What our own parents and grandparents came to expect decades ago when they went after a job, we think we're above. We've come to think that competition is cruel because there are winners and losers; so we spend all our time devising new ways to minimize the losing.

Our elected officials should inspire us to be better people, and to learn to accept competition as part of life. Instead, most of them are too busy telling us what we want to hear so we'll like them better and buy whatever they're selling at the moment.

Consider what Rep. Luis Gutierrez, D-Illinois, is pitching. He has just written a new 10-point immigration reform bill that he plans to introduce any day now. In addition to providing a pathway to legalize 12 million illegal immigrants, Gutierrez proposes to manage future immigrant flow by establishing a commission that ties foreign visas to labor market demand.

"Here's the guiding principle," Gutierrez said on National Public Radio's "Tell Me More with Michel Martin" in explaining the rationale for his bill. "No American worker, no citizen of the United States, no one born here in this country should ever have to lose an opportunity for gainful employment at the expense of someone not born here."

As principles go, that one is dreadful. Gutierrez's bill has some good things in it, but it also has some things we could do without. A commission that protects American workers from competing with foreigners belongs in the second category.

Think about it. Why should "no one born here in this country ... ever lose an opportunity for gainful employment at the expense of someone not born here?" Remember, these aren't illegal immigrants but legal immigrants coming on visas.

Why should U.S. citizens get a benefit not from education or hard work but from something they had nothing to do with -- where they were born? If a job is available, U.S. workers should be free to compete for it, but not have it handed to them on a silver platter. Likewise, foreign workers who come here legally should have a shot at competing for that same job.

Of course, protectionists claim that the playing field isn't level since foreign workers will often accept less money to do the same job, thus putting American workers at a disadvantage.

Tough. President John Kennedy had it right. At a press conference in March 1962, while fielding a question about military reservists who were upset at being mobilized and deployed to Europe and Southeast Asia, Kennedy made the point that there is no level playing field -- not ever.

"There is always inequity in life," he said. "Some men are killed in a war, and some men are wounded, and some men never leave the country, and some men are stationed in the Antarctic, and some are stationed in San Francisco. It's very hard in military or in personal life to assure complete equality. Life is unfair."

Exactly. Bad news, Rep. Gutierrez. You're no Jack Kennedy. How sad that our current crop of elected leaders has strayed so far from such straight talk. Instead, they coddle us and make us comfortable with our fears  -- all so we'll keep re-electing them.

That way, they don't have to go into the private sector and compete for jobs with the rest of us. You see, our aversion to competition starts at the top.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Competition is a fact of life, says Ruben Navarrette Jr.

@highlight

He says some are seeking to protect U.S. workers even from legal immigrants

@highlight

Navarrette: Politicians should stop trying to insulate U.S. workers from reality of competition