MANAMA, Bahrain (CNN) -- Suryavathi Rao entered her 40th year in what can be called no man's land.

A protestor locked in a suitcase reading "Stop Human Trafficking" in Germany last year.

A domestic worker from India, she arrived at a shelter in the Gulf state of Bahrain one morning with only a nightgown, slippers, and a prayer for a better life.

"I had to leave because it was getting too difficult for me," she said. "I have not brought any clothes, I have not brought personal belongings, all I brought with me is a Bible."

Rao says her employer -- a family with eight children who sponsored her journey here -- did not pay her the monthly salary of just over $100 for six months. Having fled her employer's home, she is now considered an illegal resident on the island.

Marietta Dias, who runs the Migrant Workers Society, says the mind-set regarding immigrant workers here has got to change.

Some employers treat their help as "not a person but a machine (that) starts in the morning: Put on a switch (and) work consistently right through the day. Take care of the children, washing, cleaning, cooking, right down to cleaning (the) car."

The exploitation of workers is a huge business worldwide.

People forced to work without pay collectively lose more than $20 billion a year in earnings, according to a report from the United Nations International Labour Organization released Tuesday.

Global profits from human trafficking and forced labor have reached $36 billion, according to the United Nations, and that sum is climbing.

"Forced labor is the antithesis of decent work," ILO Director-General Juan Somavia said in a statement as the report became public. "It causes untold human suffering and steals from its victims."

"It is the vulnerable who suffer the most" in times of economic crisis like the present, the report says.

It took years for governments to acknowledge the problem. Now the biggest challenges, officials say, are the implementation and enforcement of laws.

"Eighty percent of forced labor is in the private economy, but this is very, very rarely been prosecuted, if at all in most countries," said Roger Plant, one of the authors of the ILO report.

Part of the problem is that the law is often hazy.

"There's a whole lot of gray areas where intermediate agents, sub-brokers, are taking advantage of loopholes in the law in order to extract large amounts of money from vulnerable people, uninformed (people) who are going off to work in a country where they don't speak the language," Plant said.

But for him, the bottom line is clear.

"There is some absolutely flagrant forced labor where the offenders must be put behind bars. Forced labor is a serious criminal offense and must be treated as such," he said.

Labor markets need a regulatory overhaul like the one financial markets are now facing, he argued.

"Because labor markets are too deregulated there are too many options for people to act in an unethical way," he said.

"After the havoc in the financial markets, people are realizing they need some monitoring, licensing, regulation. You've got to do the same on the labor markets," he said.

The ILO tried to set standards for private agencies that place workers, he said.

"But we're finding is that there is a number of totally unknown, unlicensed and unregulated labor workers at the bottom end of the market, and there is broker after broker, intermediate after intermediate getting cash -- getting some money from the worker," he said. "Usually it is in the very much down the bottom in the informal sector, in the developing countries, but we are finding that sometimes this is pervading even larger recruitment agencies."

Bahrain, where Suryavathi Rao fled her employer, is considered a reformer on labor issues. The Gulf state has introduced the Labour Market Regulatory Authority to register and track workers of all types.

"People were not familiar with the definition of human trafficking and most of the time they weren't accepting that is phenomena is actually here in our region," Abdulaziz bin Mubarak Al-Khalifa of the country's Ministry of Foreign Affairs said.

A top priority is to reduce the role of middlemen who take sizable fees -- sometimes a year's salary plus interest, he said.

But worldwide, prosecutions are comparatively rare, said Antonio Maria Costa, under secretary-general of the United Nations.

"Only a few thousand people were criminalized in the underworld in the past 2-3 years -- a fraction of the criminals who actually prey upon victims."

The average, according to labor officials, is one prosecution for every 800 cases -- a rate that keeps workers like Suryavathi Rao, and millions more, vulnerable to exploitation.

@highlight

Global profits from human trafficking, forced labor reach $36 billion, U.N. says

@highlight

Eighty percent of forced labor is in private economy, says ILO report author

@highlight

Bahrain has introduced the Labour Market Regulatory Authority to register workers

@highlight

Bahrain Foreign Ministry: Top priority is to reduce role of middlemen