London (CNN) -- Pirates? Ravers? At first glance, the portraits are startling and confusing.

Hidden behind sunglasses and hats, their faces shrouded in brightly colored scarves and t-shirts, these striking, enigmatic figures could as easily be rebel fighters as models at an edgy runway show.

In fact, they are migrant construction workers of the United Arab Emirates, mostly men from India and Pakistan whose cheap labor has powered the rise of the country's skyscrapers.

The laborers -- often subjected to exploitative working conditions, according to Human Rights Watch -- are described by photographer Philippe Chancel as "the new slaves" of the Gulf.

"But they don't look like slaves," said the Frenchman, whose photographic study of the migrant workers was published as a book, "Workers Emirates," by Bernard Chauveau Editeur last month.

They don't look like like workers either, he said, their bright colors a stark contrast to traditionally drab depictions of laborers in the West.

"I try to give something very beautiful, a little seductive. I want not to denounce, but to give people the possibility to get inside a very deep problem," Chancel added.

Chancel began visiting the Emirates in 2007, initially training his camera on the bold new architecture emerging out of the desert. But he soon became fascinated with the brightly-dressed workers in the margins of his viewfinder, a group which seemed to pass unnoticed by the surrounding society.

"The most shocking thing for me is the violence of the indifference," he said. Despite their vivid appearance, he likened them to ghosts. "They were omnipresent but at the same time invisible, as if the eye did not see them as worth attention," he writes.

The men were anonymous, their faces were shielded from the sun, while their work barely registered with the majority of the population, which spent the day sheltered from the elements inside air-conditioned buildings.

Chancel began visiting their building sites and dormitory camps unannounced, shooting "very fast and very sharp" to capture realistic representations of the men and their surroundings. On one occasion he was arrested.

Having seen the squalid conditions in their dormitories, which he likened to a prison, he became further intrigued to discover the men, who earn salaries of about $160 a month, seem to accept their plight.

"The worker is a slave, but he feels lucky to have an opportunity to try to meet his destiny," said Chancel. "His hell is bearable."

Priyanka Motaparthy, Middle East researcher at Human Rights Watch, said that some workers paid up to $4,000 to recruiters in pursuit of good wages and low living expenses, taking on significant debts just to get the jobs.

"Most are completely trapped by financial circumstances," she said.

They are let into the country as temporary workers, usually on three-year permits. Tight immigration laws grant their employers extraordinary powers over their lives, with bosses keeping their passports and sponsoring their visas, meaning they cannot easily change jobs if they find the conditions intolerable.

"The climate of fear they live in means they can't strike or protest," she said.

The economies of the United Arab Emirates, and the other Gulf Cooperation Council countries of Saudi Arabia, Kuwait, Bahrain, Qatar and Oman, are heavily dependent on foreign workers, with an estimated 15 million foreigners working in the GCC, according to the International Labor Organization.

"Many workers don't know what they're getting into," said Motaparthy. "They're not getting contracts that reflect what the job actually is, and the contracts aren't in their own language."

While there had been some improvements for workers in recent years, with governments introducing wage protection schemes and mandatory health insurance to be paid by employers, exploitation was still widespread, she said.

Chancel, who has also produced work on North Korea, is currently exhibiting in London, Paris, Montpelier and Dubai.

"I love the idea of the pictures coming back to the origin," he said of the Dubai show. But there was little chance of his subjects coming across portraits of themselves in a Dubai gallery. "Of course not," he said.

@highlight

Photographer Philippe Chancel has released a book of portraits of migrant laborers in the UAE

@highlight

Human Rights Watch says the exploitation of migrant laborers from South Asia is widespread

@highlight

Chancel likens the laborers to "ghosts," invisible to others in the Emirates