Qaqoortoq, Greenland (CNN) -- Greenland is an autonomous territory that is partially administered by Denmark. The police force and military in Greenland are Danish and Greenland sends three members to the Danish parliament. It is the largest Island in the world and was discovered around 982 by an explorer named Eric the Red who had been exiled from Iceland for murder for three years.

That is significant because Eric the Red sailed to Greenland in a small wooden boat, but nowadays the area around Greenland is covered all year with pack ice and icebergs. It would have been impossible for him to penetrate the ice fields around Greenland with the vessels of the day.

So many researchers have come to the conclusion that temperatures in Greenland must have been much higher in the 10th century than they are today. Also, the fact that he named the territory "Greenland" seems to indicate a more lush landscape than the barren plains and mountains one can see now.

Scientists have long known that the earth's temperatures have gone up and down in various climate cycles in our planet's long history and weather pattern have changed with them. Greenland was once billed as promising farming territory and now that our planet is warming up once again, agriculture is returning.

It might seem strange that the people of Greenland, those who are witnessing global warming up close, are not too unhappy about it. Until you visit the Greenland's Agricultural Advisory Service in Qaqoortoq, southern Greenland, close to where Erik the Red started his first settlement more than 1,000 years ago.

Anne Jensen is an agricultural adviser here and she is frank about what the temperature changes mean to Greenlanders.

"Of course the warmer it gets the better the conditions are for farming," she said while inspecting a green house. "There is a lot of potential for farming in Greenland. We have such vast expanses the main issue here is really building irrigation systems."

Until a few years ago farming was difficult in Greenland because the temperatures simply did not remain warm long enough for crops to blossom. But now things are changing. Greenlandic potatoes, cabbage, and a variety of herbs have become common in supermarkets on the island.

And during CNN's visit to the institute Anne Jensen showed our crew the latest crop the gardeners here were experimenting with: strawberries, grown just South of the Arctic Circle.

"We are testing to see whether they will survive the harsh winter here," Jensen said inspecting the plants. Many were showing signs of new light green leaves springing from the stems. "We can see there are new leaves and that seems to indicate that they have survived the winter. It might not be uncommon in the future to see strawberries from Greenland in shops."

But for now it is still a trial and Anne Jensen, like most Greenlanders, goes to great lengths to show that the people who live here do not want to get wealthy on the heels of global warming.

"It is not all good," Jensen explained. "The past summer was very warm, but it doesn't just get hotter, the climate patterns change as well and we had a pretty severe drought here which led to very bad crops for many farmers."

Still, rising temperatures offer a lot of potential that Greenland is trying to tap into, hoping that farming will prevail here if the infrastructure, like watering systems, is in place. In addition, the receding glaciers also mean that there will be more land will be available for commercial use. Besides farming, an abundance of natural resources are also coming to light and prospecting companies are already busy, hoping for a bonanza.

Flying over parts of Greenland it is easy to see exploratory mines and many firms are already in talks with Greenland's government in hopes of exploiting everything from coal to iron, gold, diamonds, and even uranium. Some believe Greenland could because the next Kazakhstan referring to that countries abundance of natural resources.

The branch of agriculture with the longest tradition by far is sheep herding. CNN's crew visited the biggest sheep farm in Southern Greenland with about 800 animals during lambing season, when baby sheep are born every few minutes. The land belongs to Aqalooraq Frederiksen, a third generation farmer, who says his business is getting better with rising temperatures.

"It used to be very hard to find enough grazing land here in Greenland because grass just didn't grow here," Frederiksen said while inspecting the new lambs. "Now it is getting better. In fact we could have even more sheep in Greenland. Right now, there are about 20,000 in all of Greenland, but we could easily have 40,000 with the grazing land that is now available."

The main problem for the growth of this industry is logistics, Frederiksen said: "There are only fifty thousand people in all of Greenland and this place is massive. It is really hard to get our products to markets in the capital Nuuk. That is an hour-and-a-half flight away and there is no road. In the winters all the waterways are frozen.

"The same is true for animal feed. We can't make enough for the winter here so we have to import everything from Denmark, which is very expensive."

Still, Frederiksen believes in the long run these problems can be worked out and sheep farming will continue to grow along with cattle and reindeer farming, both of which are still in their infancy.

Global warming may very well be a threat to humanity, but here in Greenland it seems to be pushing this country back to what it was when it was discovered by the traveler Erik the Red. A lush, green piece of land that could offer good conditions for agriculture.

@highlight

Temperatures in Greenland thought to have been higher during the 10th century when discovered by Eric the Red

@highlight

As ice melts today, Greenland is becoming a better place to farm a variety of crops

@highlight

Numbers of livestock, such as sheep, could double from current population of 20,000, says farmer