BAGHDAD, Iraq (CNN) -- Court proceedings in the trial against Tariq Aziz, one of the best-known faces of Saddam Hussein's former regime in Iraq, and several co-defendants have ended after being in session only briefly Tuesday.

The trial of Tariq Aziz, pictured here in a Baghdad courtroom in July 2004, has begun.

The trial, which is to resume May 20, was delayed because one of the defendants, Ali Hassan al-Majeed, also known as "Chemical Ali," was not present because he was ill.

Iraqi procedural codes require that all defendants be in court for the first session. Chief Judge Raouf Abdul Rahman read a U.S. medical report signed by three doctors that said al-Majeed is in critical condition after suffering a heart attack two weeks ago.

He has been released from the hospital but still requires daily treatment and doctor visits. The report said that traveling to court from his detention facility could worsen his health. He cannot walk up stairs or sit in court for long hours, it said.

He will need three weeks to recover and may need some sort of surgery, the report said. It added he is diabetic and suffers from "acute heart failure."

Treatment includes clearing of the arteries followed by either open heart surgery or stents in the arteries, but neither option is available at this time, the report said.

Ali Hasan al-Majeed, who was a top Baathist official during the Saddam Hussein era, is awaiting execution after being convicted of genocide in connection with the killing of Kurds during the Anfal campaign in the late 1980s.

Aziz, al-Majeed and six others are now facing trial for having a role in the execution of 42 Iraqi merchants in 1992. A former deputy prime minister, Aziz was the first to be called into court, followed by six other defendants.

Aziz appeared frail, walked slowly with a cane, and was coughing and blowing his nose.

He was sitting in the seat Saddam Hussein used during his appearances in court and was represented by a private attorney.

The court was sorting out which defendants did not have attorneys present.

This is the fourth major trial of former Hussein regime officials since his government was overthrown. The most prominent was the 2006 trial that led to the execution of Hussein and three lieutenants for a crackdown in the Shiite town of Dujail in which more than 140 men allegedly plotting Hussein's assassination were executed.

Aziz's lead attorney, Badie Aref -- who was an attorney for Hussein in that trial -- is charged with contempt of court in Iraq and has been in Jordan since a warrant for his arrest was issued last year. He said he would return to Baghdad for this trial only if he were assured he would not be arrested.

Meanwhile, amid a swirling, blanketing sandstorm, fierce fighting in Baghdad Tuesday saw U.S. troops kill 32 "enemy forces" in a gunbattle, according to the U.S. military. Iraqi authorities reported 16 people were killed in a residential area in the same clash.

The Iraqi Interior Ministry said the fighting was in the predominantly Shiite Sadr City neighborhood in eastern Baghdad.

Five suspected insurgents dressed in Iraqi army uniforms attacked the home of a human rights worker in Diyala on Tuesday, killing the resident of the home and an Iraqi soldier who lived in the neighborhood, according to the U.S. military.

Two Iraqi civilians also were injured in the small-arms attack. "Attacking civilians in their homes is both criminal and barbaric," said Major Peggy Kageleiry, spokeswoman for the military's Multi-National Division - North.

Insurgents have been attempting to exploit the harsh conditions, which have curtailed flights coming into Baghdad International Airport. Sandstorms make it easier for militants to screen their activities and harder for U.S. air power to be deployed effectively.

A U.S. military spokesman said fighting began around 9:30 a.m. when militants fired at a U.S. patrol and wounded an American soldier.

When the soldier was being evacuated, a U.S. vehicle was struck by two roadside bombs and peppered with small-arms fire and rocket propelled grenades. That left two more soldiers injured.

Three more soldiers were wounded in the fighting.

Soldiers used a "combination of weapon systems available, including a guided multiple launch rocket (GMLR) system" to fight the insurgents and killed at least 28 militants in a four-hour long battle, the military said.

Lt. Col. Steven Stover, spokesman for Multi-National Division-Baghdad, said three GMLRs were launched, at 11:23 a.m., 1:03 p.m. and 1:37 p.m.

Officials with Iraq's Interior and Health Ministry told CNN 16 people were killed and 45 people were wounded when U.S. rockets hit at least three houses in a residential area in Sadr City around 1:15 p.m.

Two children and a woman were among the dead and four children and five women were among the wounded, they said.

Asked if he was aware of reports of civilian casualties from the strikes, Stover said, "If there were civilian casualties, I sincerely regret them.

"The rockets struck militants firing from buildings, alleyways and rooftops. It was these militants who initiated the engagement by attacking U.S. soldiers. Our soldiers have a right to defend ourselves."

Two U.S. soldiers were killed Tuesday in separate incidents in northwest Baghdad, the military said. The first soldier died from wounds suffered from insurgent small-arms fire at about 8:50 p.m. local time in northwest Baghdad, according to a U.S. military public affairs office.

The second soldier died at about 10:15 p.m. when the vehicle he was riding in was struck by an improvised explosive device. The names of both soldiers were being withheld until their families could be notified. E-mail to a friend

CNN's Jomana Karadsheh, Christine Theodorou, Mohammed Tawfeeq and Ingrid Formanek contributed to this report.

@highlight

Tariq Aziz, former Iraqi deputy PM, appears in court over executions

@highlight

He and five others charged with execution of 42 merchants

@highlight

This is the fourth major trial of ex-Hussein officials since invasion

@highlight

Violence continues in Baghdad as U.S. troops kill insurgents in gunbattle