(CNN) -- The world of Formula One may seem an unlikely source of inspiration for a major carbon-cutting initiative, but technology used for coordinating pit-stops is primed to slash emissions from airports across the globe.

According to Britain's National Air Traffic Services (NATS), more than half the planes landing at London's Heathrow airport are stuck in circles overhead -- often for 20 minutes at a time -- as they wait for its congested runways to clear.

NATS says the carbon cost of this pile-up in the sky is an estimated 600 tons a day.

And this is where McLaren, the hugely successful Formula One team behind former world champions Lewis Hamilton and Jenson Button, have come in with an unexpected solution.

Over the years the company has developed modeling software to analyze live racing data and visualize a range of potential scenarios -- allowing pit crews to make strategic decisions in the blink of an eye -- all in an effort to get their cars back out onto the racetrack milliseconds ahead of their competitors.

It's this ground-level tracking technology that could hold the key to unlocking congestion, reducing CO2 emissions by streamlining the way aircraft make their own pit-stops once they've landed -- dropping off passengers, refueling and departing again with F1 efficiency.

This similarity between a motor race and an airport runway was first observed by Peter Tomlinson, head of aviation data solutions at NATS, while attending a workshop on cross-industry collaboration at McLaren's UK technology center three years ago.

"It became clear that the pit-stop in a race track, with cars coming in, changing tyres and refueling and going out again actually is pretty similar to an aircraft arriving at the airport, parking at the gate, passengers getting off, refueling and going out," said the air traffic veteran, who has over 30 years experience in the industry.

The beauty of McLaren's system is that it reduces the complexity of a racetrack into a circle "so at the point of decision, presentation of the data is very simple, which allows the engineer in a very stressful environment to make the right strategic decision and also see the data in a very clear, crisp format," said Tomlinson.

For the last three years NATS has been working with McLaren's engineers to map Heathrow's taxiways and runways -- much as they do a Formula One track.

But now, says Tomlinson, in place of a race strategist the system is operated by Heathrow's air traffic control, and instead of a circle the airport's network of runways and taxi lanes are represented by a simple rectangle -- enabling planes to be guided around the airport with greater ease and accuracy once they've landed.

The collaboration has been "groundbreaking" according to Geoff McGrath, managing director of McLaren Applied Technologies -- the F1 team's tech division.

"To my knowledge this is a first -- NATS has invested in this because there is nothing like it available," he added.

The system is now in its "proof of concept" stage and hopes are high that it will be used by airports around the world within a year.

"Think in terms of the environmental benefits of that," enthused Tomlinson. "Large airports with about 1300 to 1400 flights a day - if you save just one minute of taxi time per flight on average, that equates to one day's worth of taxi time - and that's how much we could save using McLaren's technology."

@highlight

London's Heathrow airport hopes to cut C02 emissions by using motor racing technology

@highlight

Software developed by F1's McLaren reduces waiting time in pit-stops

@highlight

Britain's National Air Traffic Services, software could be use to cut air congestion