LONDON, England (CNN) -- Hundreds of thousands of children worldwide are thought to be working full-time on tobacco farms, suffering from toxic levels of nicotine exposure and abusive labor conditions.

Children as young as five-years-old work on tobacco farms in Malawi, according to Plan International.

In Malawi alone there are an estimated 78,000 boys and girls employed in tobacco harvesting. On average they earn 17 cents for a 12-hour day of back-breaking, bare-handed work, according to a recent report from Plan International.

Handling burley tobacco leaves without gloves, in unwashed clothes and rarely bathing, these children can absorb the same amount of nicotine in one day of harvesting that they would from smoking 50 cigarettes.

"Sometimes it feels like you don't have enough breath...You reach a point where you cannot breathe because of the pain in your chest. Then the blood comes when you vomit. At the end, most of this dies and then you remain with a headache," the report quoted one child describing how he felt at the end of the day.

See pictures of Malawi's child tobacco farmers »

"Nicotine is water soluble and can enter via the skin, so if it has recently rained, or there is heavy dew, the nicotine migrates into the water on the leaf. If that water gets on to your shirt it essentially becomes a giant nicotine patch," explained Henry Spiller of the Kentucky Regional Poison Center.

After reading the Plan report, Spiller, who has researched Green Tobacco Sickness (GTS) in children working on tobacco farms in the U.S., told CNN that the Malawi children's symptoms were "absolutely" consistent with GTS.

The Minister of Labor for Malawi, Yunnus Mussa, has denied the findings of the Plan report and told CNN their figures were "absolute trash."

According to Mussa, the government has been hard at work with UNICEF for the past two years to eliminate child labor and has made substantial progress. "No estate-owner has ever employed children age five to 14," he added.

In 2007 UNICEF estimated that 29 percent of children ages five to 14-years-old in Malawi worked, and that the majority of those children worked in agriculture.

There are more than 30,000 smallholder farmers in tobacco production and the crop contributes 70 percent of foreign exchange and 30 percent of GDP, according to the government Web site.

Figures aside, the pictures speak for themselves, showing that the danger of nicotine poisoning is real and that better regulation and monitoring is needed.

"There are a couple of things that could prevent this, like you should wash or change shirts," Spiller said, citing a study in which sweat rung out from tobacco workers' shirts contained up to 98mcg/mL of nicotine.

As well as exploitative conditions, the children described repeated physical and sexual abuse from their supervisors.

Many of the kids also complained of "sticky stuff" from the stalks that they could not wash off their hands because they had no access to soap or water, according to Glynis Clacherty, who interviewed the children first-hand for the Plan report.

"We are busy working and we don't have time to go for bathing, so we develop those sores," one 15-year-old girl told Clacherty.

The 44 children she interviewed were working full-time on both large estates and small family farms, but none were working for their own families, and 36 of them were orphans. The main reason the children gave for working was poverty: lack of food, clothing or money to go to school were frequently cited.

"A lot think it's fine for children to work. They don't see the dangers of the pesticides or the opportunity cost of not going to school," said Susan Gunn, an expert in hazardous child labor at the International Labor Organization (ILO), referring to farmers in East Africa.

"The new globalization of agriculture has a tendency to increase the demand for child labor," explained Gunn.

When you have growers that are working under contract to larger companies, in industries such as tobacco, sugar or flowers, the contract is made with the adults, who in turn use their families to reach a quota or get a livable income."

In recent years multinational tobacco corporations have been rapidly shifting farming production away from rich countries like the United States. Nearly 75 percent of tobacco production is now done in developing countries such as Malawi, Tanzania, Zimbabwe, China, Brazil and India.

Re-location to poorer states by multinational firms increases the demand for all types of labor their, not just that of children, according to Professor Margaret McMillan of Tufts University. If anything, she argues, increased investment can actually bring higher salaries and improved monitoring of abuse.

"If children are working in the tobacco fields, they are probably very poor and the alternatives could be even worse," she said. "I firmly believe that engagement by international corporations in African agriculture must happen, but they should be monitored on all fronts."

Today UNICEF, the ILO, Plan and others all remain active in Malawi, working with the government to develop links between the ministries of labor and agriculture to end child labor on tobacco farms.

Since the report came out in August, Plan International told CNN in an email that "the government has been constructive in their response and are discussing/looking to work with Plan to conduct a national survey to gauge the true scale of the issue and better enforcement of existing child labor laws."

@highlight

Children can absorb up to 50 cigarettes worth of nicotine on wet days

@highlight

Wearing gloves, washing clothes or bathing would all reduce exposure and risk

@highlight

Green Tobacco Sickness 'feels like death,' induces headaches, nausea

@highlight

Report reveals widespread abuse of child workers, withheld wages, violence