(CNN) -- President Barack Obama announced recently that about 100 U.S. troops are being deployed to Central Africa to help "apprehend and remove" the elusive Joseph Kony and his top commanders of the Lord's Resistance Army.

It's not the first time the United States has gone in to help put an end to the marauding, murdering gang known as the Lord's Resistance Army -- LRA, for short.

The LRA has butchered, enslaved and displaced people in Uganda and Central Africa for two decades. Although its brand of terrorism doesn't target the United States, Washington has listed it as a terrorist group. The U.S. decision to help go after Kony is a strategic -- as well as a humanitarian -- one. Africa is a frontier for terrorism. Uganda is fighting Al-Shabaab militants in Somalia -- which helps the United States -- so in turn, the U.S. is helping Uganda fight the LRA.

The Lord's Resistance Army began in northern Uganda in 1987 as an opposition force to leader Yoweri Museveni. Kony sees himself as a prophet who has said he wants to rule by following the Ten Commandments.

Instead, he has ruled -- and thrived -- by breaking a lot of those commandments. The Ugandan army -- with the help of the U.S. military -- has tried for years to take him and his leadership out. The International Criminal Court has had a warrant out for him since 2005.

The Lord's Resistance Army replenishes its ranks by abducting villagers -- men, women and children -- brainwashing them and forcing them to fight. Or to serve as sex slaves for commanders. LRA members survive by staying on the move constantly and stealing food and provisions. Last month, according to researchers, an LRA band raided a village in the Democratic Republic of Congo soon after the World Food Programme had distributed food supplies there.

So what is LRA leader Kony's secret? How has he evaded justice to operate his band of marauders and murderers with impunity for decades?

Here are five reasons some experts give:

1. He uses terror strategically.

You've probably seen photos of children whose noses or ears were cut off -- because they didn't obey the LRA's orders. He's forced children he's abducted to kill their siblings or parents. (More: Woman recalls harrowing tale of captivity)

"They use very carefully thought-through strategies to have the biggest impact," said Tim Allen, a professor at the London School of Economics and co-author of "The Lord's Resistance Army: Myth and Reality."

"In northern Uganda in 2004," Allen said, "they took some 20-odd women with their babies out of the displacement camp, laid them on the ground with their babies on their backs and smashed their brains in."

And they did it at the edge of the camp -- so that everyone in the camp would see.

"They didn't do that very often," Allen said. "But you don't have to do that sort of thing very often to have a large impact on a lot of people."

2. Kony exploits regional politics and borders.

He got support from the Sudanese government for years. And the LRA uses borders as a defense: It hasn't been in Uganda for years. That's made it hard for the Ugandan army to pursue Kony. The militia is split and is constantly moving between the Democratic Republic of Congo, the Central African Republic and southern Sudan.

3. Uganda's efforts to get Kony have flagged.

Uganda's army has been stretched to the hilt, fighting Al-Shabaab militants in Somalia as part of an African Union force.

4. Kony is a smart strategist.

His band travels in small groups, and they're a moving target. And he has informants -- with cell phones. The last time the U.S. military helped Uganda go after Kony, in 2008, it used a traditional air and ground assault. Kony and his leaders escaped, then massacred hundreds of people in revenge. This time, the United States is bringing Special Forces (and probably other intelligence agents) with equipment and tactics to track him in the jungle.

5. Kony mixes military discipline with cultish charisma and spiritual tactics to keep captives in line -- and sometimes, to keep the loyalty even of those who escape.

Allen, the London School of Economics professor, has talked to women who have escaped the Lord's Resistance Army but are still loyal to their LRA "husbands."

"He cultivates this image of himself as a medium for the power of the spirit and at other times, he presents himself as a ruthless military leader," said Ned Dalby, Central Africa researcher with the International Crisis Group. "So he's able to maintain cohesion as a group and maintain the loyalty of his fighters."

Dalby said some former LRA fighters from northern Uganda have given a clue as to why some outside the group have stayed loyal to Kony.

"They expressed the feeling that because they were given a rank, they were given a certain purpose, and respect and authority," Dalby said. "And then, once they're outside the LRA, they find they've become just another poor person, trying to survive."

@highlight

Lord's Resistance Army has terrorized people in Africa for two decades

@highlight

The group is led by the elusive Joseph Kony

@highlight

Experts point to Kony's strategies and politics as some reasons why he is still at large