Washington  (CNN)Jeb Bush revealed his strategy for dealing with the polarizing foreign policy legacy of his brother: Make a quick declaration of independence then pivot to a searing attack on the failings abroad of President Barack Obama.

"I love my father and my brother. I admire their service to the nation and the difficult decisions they had to make," Bush said Wednesday in Chicago during the first major foreign policy speech of his prospective Republican presidential campaign. "But I am my own man."

The appearance offered Bush a chance to show how he will balance a desire not to dismiss George W. Bush's presidency while insulating himself from Democratic attempts to paint him as a clone of the man who led the nation into a bloody, prolonged era of foreign wars.

Bush did concede that the previous Bush administration made "a mistake" by not providing security for Iraqis in the wake of the U.S. invasion in 2003. But he also argued that his brother's surge strategy forged political stability in Iraq that Obama squandered in his eagerness to get American troops home.

It's too early to tell whether Bush's appearance answered the key question facing his campaign: Can a third man with the name "Bush" win the presidency in a nation exhausted by war and suspicious of dynasties?

But his message seemed clearly tailored towards the activist base of the Republican Party, which likes its foreign policy hawkish, and has significant doubts about Bush on issues including immigration reform and education which could hamper his chances of winning the primary race.

Democrats quickly tried to stamp out any progress Bush had made with the wider electorate which he would ask to entrust him with U.S. national security if he becomes the GOP nominee.

"Today, Jeb Bush made his first foray into explaining and attempting to recast his foreign policy," said DNC spokeswoman Holly Shulman. "But despite Jeb Bush's claim that he will be his 'own man', there is little evidence that Jeb Bush's foreign policy agenda is much different than his brother's."

She added: "Embracing decisions that made the world more dangerous, and then trying to shift the blame -- that's the Jeb Bush Doctrine."

Bush is not the first presidential candidate forced to differentiate himself from a powerful predecessor in a desire to strike out on his own.

Vice President Al Gore famously declared he was his "own man" as he tried to shuffle out of the shadow of Bill Clinton's impeachment shame in 2000. Obama jabbed Hillary Clinton in 2008 over her famous husband's intervention in the campaign, saying he could not sometimes tell who he was running against.

She responded: "I'm here. He's not."

Bush is a more cerebral, cautious character than his brother and his speech lacked the bristling rhetoric of George W. Bush which Democrats often decried as a symptom of cowboy diplomacy.

But the hawkish global vision he laid out sat squarely in the muscular foreign policy that has dominated the Republican Party since his brother went on the offensive following the Sept. 11, 2001, attacks.

Bush made a case that Obama was being misled by Iran on nuclear talks, said the president had been too soft on Russia, sided with Israeli Prime Minister Benjamin Netanyahu in the row over his address to Congress and condemned the administration's opening to Cuba.

He said Obama's failure to do a deal to keep U.S. troops in Iraq created a "void" exploited by extremists.

"This administration talks, but the words fade," Bush said. "They draw red lines, and then erase them. With grandiosity they announce resets and then disengage. Hashtag campaigns replace actual diplomacy and engagement."

Bush offered few surprises. This was exactly the kind of speech a prospective GOP presidential candidate would be expected to make 21 months before a general election. Bush made a case that Obama's politics had tipped the world into chaos, played to the GOP's base and avoided unveiling new policies that could get ripped to shreds in the long months on the campaign trail.

Despite the inclusion on list of foreign policy advisors released by his camp of Republican gurus James Baker and George Schultz, Bush had little in common with the subtle internationalism of his father George H.W. Bush.

"The great irony of the Obama presidency is this, someone who came to office, promising greater engagement with the world has left America less influential in the world," Bush said.

"Everywhere you look, you see the world slipping out of control," Bush said, blaming Obama for the rise of ISIS, the breakdown of Iraq and Syria, Iranian dominance of the Middle East and and Russia's belligerence.

"Under this administration, we are inconsistent and indecisive. We have lost the trust and confidence of our friends. We definitely no longer inspire fear in our enemies," Bush said, in a speech delivered at such a breakneck pace that he at one point confused Iran and Iraq.

This was clearly an act of political positioning rather than an attempt to chart a meaningful foreign policy strategy.

"We policy wonks like wonkish speeches and politicians like political speeches," said Justin Logan, head of the foreign policy program at the Cato Institute.

"There was nothing very surprising about the speech. I think there would be nothing very surprising about President Jeb Bush's foreign policy. This was a do no harm speech."

Bush did little to deviate from Republican foreign policy orthodoxy. He said a strong economy was crucial to U.S. national security, advocated increased military spending, rebuilt alliances with NATO members and in Asia and an effort to reengage with traditional U.S. friends in the Middle East like Egypt.

While he repeatedly criticized Obama, he did not say if he would use military force against Iran if nuclear diplomacy failed or make a decisive intervention into the debate about whether to deploy ground troops to Syria to help fight ISIS. He did however advocate arming Ukraine.

It was the kind of speech that every single Republican running for president is likely to give during the campaign -- with the possible exception of the more isolationist Rand Paul. The goal seemed to be to show Bush could be trusted with national security but was not extreme. And it likely did little to scare off other possible Republican candidates -- especially someone like Florida Sen. Marco Rubio, who is positioning himself as a foreign policy expert.

"Nobody is going to be running for eight more years of Obama foreign and defense policy," said James Jay Carafano of the conservative Heritage Foundation. "Everybody is going to sound like they are not a neo-con and not an isolationist. This would check the box of what you would expect a responsible speech to sound like."

Bush argued that he had come by his foreign policy views in a grounding in global affairs that started when he lived overseas with his wife Columba in Venezuela. As governor, he said, he led multiple trade missions to Latin America and had visited Israeli five times.

He said he had "forced" himself to visit Asia four times a year to experience the region's explosive growth -- and complained that people he met said Obama's Asia "pivot" policy was all talk and no action.

He ended his speech with a message to Republican isolationists and Obama's foreign policy backers.

"America does not have the luxury of withdrawing from the world," Bush said.  "Our security, and our prosperity, and our values demand that we remain engaged and involved in -- often distant places," he said.

"We have no reason to apologize for our leadership, or our interest in serving the cause of global security, global peace, and human freedom. Nothing and no one can replace strong American leadership."

CNN's Ashley Killough contributed to this report

@highlight

Bush balances brother's Iraq war legacy and his political hopes

@highlight

Slams Obama on everything from ISIS to Cuba

@highlight

Few specifics in speech