(CNN) -- The world's wildlife has declined by 27 percent since 1970 because of the human impact on the environment, the World Wildlife Fund said Friday.

These two adult frilled-neck lizards are threatened species and are bred in captivity in Australia.

The WWF's latest Living Planet Index shows terrestrial, freshwater and marine species all suffered declines in their populations between 1970 and 2005, with freshwater species experiencing the biggest drop.

The index is included in a report called "2010 and Beyond: Rising to the Biodiversity Challenge," which the WWF prepared for an international biodiversity conference in Germany later this month.

"No one can escape the impact of biodiversity loss because reduced global diversity translates quite clearly into fewer new medicines, greater vulnerability to natural disasters, and greater effects from global warming," said James Leape, director-general of WWF International.

The Living Planet Index measured 4,000 populations of 1,477 vertebrate species, which the WWF says is a good indicator of overall biodiversity trends.

Terrestrial species in both temperate and tropical areas fell by an average of 25 percent during the 35-year period, the WWF said.

Marine species fell by 28 percent in the same period, with a dramatic decline between 1995 and 2005, the WWF said.

"Many marine ecosystems are changing rapidly under human influence, and one recent study estimates that more than 40 percent of the world's ocean area is strongly affected by human activities while few areas remain untouched," the WWF report said.

Freshwater species in both temperate and tropical regions fell by 29 percent between 1970 and 2003. The WWF said that is especially significant because despite covering only about 1 percent of the total land surface of the planet, inland waters are home to more than 40,000 vertebrate species.

In tropical regions, freshwater species were especially hard-hit; the index shows they suffered a 35-percent drop between 1970 and 2000.

The WWF said it had insufficient data to chart tropical freshwater species beyond 2000 and temperate freshwater species beyond 2003.

The causes of the declines are varied but ultimately stem from human demands on the biosphere, such as consumption of natural resources or the displacement of ecosystems, the WWF said.

The dominant threat to marine life is overexploitation -- harvesting or killing animals or plants beyond the species' capacity to replace itself, the WWF said. Overfishing is one example.

Overexploitation is also a threat to terrestrial species, according to the report, which cites the hunting of tropical forest mammals. Overharvesting of timber is also a major factor, it said.

Invasive species, whether introduced deliberately or not, are another threat, especially in freshwater ecosystems, where they are thought to be the main cause of extinction among endemic species, the WWF said.

Pollution and overall climate change are other factors causing a loss of biodiversity, it said.

The WWF called on governments attending this month's conference to take urgent action to reduce the rate of loss by 2010.

It wants governments to establish protected areas, particularly those areas important for food security, water supply, medicine, and disaster mitigation, and to commit to zero deforestation by 2020.

@highlight

The world's wildlife has declined by 27 percent since 1970 because of humans

@highlight

WWF: Terrestrial, freshwater, marine species all under threat

@highlight

Pollution and overall climate change are other factors causing loss of wildlife