(CNN) -- Ever since Myo's head was smashed into a block of ice he's had trouble hearing. The Burmese man, whose name has been changed for his safety, was on a fishing boat in Thailand last year when it happened.

He had left Myanmar, also known as Burma, thinking he was going to work in a factory processing pineapple. But when he arrived in Thailand, he says, his recruiters sold him to a boat captain for the equivalent of around $430. After being held on the vessel for 10 months, working against his will and suffering regular beatings, he finally managed to escape.

Myo's story features in the United States' latest report on countries efforts to fight modern slavery around the world. It echoes numerous other accounts told by trafficking survivors to international media and human rights groups in Thailand in recent years.

Many are foreign migrants who report being forced into labor or prostitution; some face physical abuse or even death. The lucky ones escape or know someone who can pay the exorbitant price for their release.

For four years the U.S. State Department has warned Thailand that it hasn't been doing enough to combat human trafficking. It said the country was a source, transit point and destination for trafficking, with ethnic minorities and citizens of neighboring countries at particular risk of exploitation in the sex trade and forced labor.

In the State Department's 2012 and 2013 Trafficking in Persons (TIP) report, Thailand faced relegation to the worst category, but received waivers based on a plan to bring itself into compliance with minimum standards for eliminating trafficking.

On Friday, when the State Department released its 2014 report, it automatically downgraded Thailand to the lowest possible ranking, after the country reached its limit of waivers and failed to show significant improvement.

Now, the Southeast Asian nation shares the "Tier 3" category with 22 other countries, putting it on par with the likes of North Korea, Syria and the Central African Republic.

Sihasak Phuangketkheow, the permanent secretary to Thailand's Ministry of Foreign Affairs, called the move "a great disappointment."

"I do know that Thailand has been doing much better than those countries in that category," he said. "So I ask U.S. whether Thailand should be in that category."

Sihasak said Thailand will continue efforts to tackle this problem.

The downgrade means Thailand could see the withdrawal of non-humanitarian U.S. assistance, and its opposition to funding from international institutions like the World Bank and International Monetary Fund. Although anti-trafficking advocates, like the Alliance to End Slavery and Trafficking, believe the U.S. is unlikely to impose such sanctions in practice to preserve security, and economic ties between the two nations.

Progress?

Thai authorities acknowledge there is a problem. "Human trafficking is one of the worst forms of human indignity and Thailand is committed to eliminating this inhumane exploitation," the Thai Ambassador to the United States, Vijavat Isarabhakdi, said in a recent press statement.

But he insisted significant progress has been made in tackling the issue, and that efforts made in 2013 exceeded the State Department's criteria for an upgrade.

"We're not doing it just because it might impact our trade ... we think that it's a scourge that needs to be eradicated in Thailand and other countries," Isarabhakdi told CNN.

He pointed to the number of trafficking convictions -- 225 defendants were convicted in 2013, over four times more than the previous year. The government took legal action against more than 150 illegal labor recruitment companies for alleged corruption, forced labor, human trafficking and smuggling. The police carried out over 28,000 police inspections in workplaces suspected of being used for commercial sex and forced labor, he said.

"So in total, I think that we've been doing a lot, but we acknowledge the fact that much more needs to be done," he added.

Yet Thailand's law enforcement efforts remain "insufficient" compared to the size of the issue, the State Department said.

"In Thailand, we have a lot of beginnings that will hopefully come to fruition, but the report doesn't look at promises, it looks at results," said Luis CdeBaca, the U.S. Ambassador-at-Large to Monitor and Combat Trafficking in Persons. "In this coming year, we hope we'll see success with the new round of cases that there have been some arrests in. We're seeing some good numbers from police, but what happens when the prosecutors get the cases? What happened when the judges hear the cases?"

Prostitution, slavery at sea

Two of the biggest areas of concern are sex trafficking, and forced labor, especially in the fishing industry.

The majority of Thai victims identified during 2013 were found in the country's billion dollar sex industry, according to the State Department. The exact number of women and children exploited through prostitution in Thailand is unknown, but estimates from researchers and non-profit groups put the figure in the tens of thousands. Victims are subject to sex trafficking in venues that cater to local demand, along with establishments in tourist hubs like Bangkok and Chiang Mai that cater to foreigners, the State Department said.

Thailand is also the world's third-largest exporter of seafood. A 2013 study published by the U.N.'s International Labor Organization (ILO) found that 17% of around 600 fishermen in Thailand said they worked against their will and were unable to leave for threat of financial penalties, the threat of violence or being reporting to authorities. Around six in 10 migrants who had been forced to work on Thai fishing boats said they had seen the murder of another worker, according to a 2009 survey from the U.N. Inter-Agency Project on Human Trafficking.

Corruption

According to the State Department, Thailand's efforts to address trafficking are being hampered by "corruption at all levels." Some corrupt officials have even protected brothels and food processing facilities from raids and inspections, the TIP report said. Police officers at the local and national level, who had been assigned to regions notorious for trafficking, formed protective relationships with traffickers. Immigration officials and police have allegedly sold migrants who were unable to pay labor brokers and sex traffickers, according to the report.

"There are cases of suspected corruption, and in all the cases, investigations have been or are being carried out," Ambassador Isarabhakdi said. "At least 33 police officers and also five high-ranking police officials were, or are being, punished under the civil or criminal processes. So many of the cases are still in the process but many have been punished already."

The State Department acknowledged Thailand has improved its system for collecting anti-trafficking data, but says authorities have demonstrated little effort in addressing reports of debt bondage among foreign migrants in commercial sectors, and have not made "sufficient efforts" to proactively identify trafficking victims.

It also warned that the use of harsh criminal defamation laws to prosecute those who researched or reported on trafficking "may have discouraged efforts" to combat the practice.

Rohingya asylum seekers

One particular area of concern, according to the State Department, are reports of trafficking of Myanmar's Muslim Rohingya minority -- many of whom have fled ethnic and religious violence in the country in recent years and pass through neighboring countries, including Thailand. They are among those most vulnerable to being trafficked, the State Department says.

"We're concerned about the Rohingya -- the refugees and asylum seekers. We are concerned that some of them have been subjected to sex trafficking and forced labor," said CdeBaca. "We want the Thai government to investigate and duly address those things."

But when Thailand submitted its 2013 trafficking data to the United States for the Trafficking in Persons project in March, officials said they found no evidence that Rohingya were victims of trafficking, because their transit through Thailand was voluntary. This conflicted with reports from local NGOs and media groups: At least 40,000 ethnic Rohingya and Bangladeshis passed through trafficking camps in Thailand in 2013, according to Chris Lewa, director of the human rights group, the Arakan Project. Although she points out that it's a rough estimate because it's difficult to trace every single migrant boat.

On Friday, the Thai Ambassador to the U.S. told CNN that while most of the Rohingya cases involved willful smuggling, towards the end of the reporting period, December 2013, there were cases of trafficking also.

"Those cases are being investigated and will be dealt with in next year's report I'm sure," he said.

Thailand is not alone in struggling to demonstrate it is serious about fighting trafficking. Malaysia, its southern neighbor, has also been downgraded to Tier 3 in this year's report, and all other nations it shares borders with remain on the State Department's watch list.

Countries like Thailand and Malaysia will need to show "results" if they want to get off the State Department's list next year, CdeBaca said.

CNN's Leif Coorlim contributed to this report.

@highlight

U.S. says Thailand isn't doing enough to fight human trafficking

@highlight

Thailand could face sanctions as a result of State Department's annual report

@highlight

Thailand's ambassador to the U.S. says "significant efforts" have been made to tackle problem

@highlight

Countries need to show "results" not only promises, State Department says