Hong Kong (CNN) -- They live largely unseen, in towering Hong Kong apartment blocks, trapped in a life of servitude to pay back crippling debts to unscrupulous recruiters who've lied to convince them to sign up.

According to a new report from Amnesty International, thousands of domestic workers from Indonesia are being duped into working in the city by brokers and agencies solely focused on profit.

"Every step of the way, from the moment their documents are confiscated in Indonesia their movements are controlled in Hong Kong," said Norma Muico, the author of the report "Exploited for profit, failed by governments."

"The recruitment agency tells the employer, 'don't let your workers out for the first seven months when they pay their recruitment fees. Don't let them talk to other Indonesian workers.' Every aspect of their lives is controlled for the purpose of getting the money," said Muico, Amnesty International's Asia-Pacific migrants' rights researcher.

The report accuses the Indonesian and Hong Kong governments of turning a blind eye to the problem because domestic workers provide a valuable service to the city, and send much of the money they earn back to Indonesia.

In response to the report, the Indonesian Consulate in Hong Kong released a statement saying "the protection of the Indonesian citizens abroad is the priority of the Indonesian government," and "we have a full commitment to do that with all possible means and resources."

The Hong Kong Labour Department also issued a statement saying, in part: "We do not allow abuse of FDHs [foreign domestic helpers] including underpayment of wages, non-granting of weekly rest days and statutory holidays etc. Any abuse that is supported by sufficient evidence will be prosecuted."

Hong Kong's domestic help

As of September, almost 150,000 Indonesian domestic workers, or "helpers" as they're known, were living and working in Hong Kong, almost half the total number of 319,000. The others are mainly Filipino. Almost all are women.

While they come to do the same job, Filipinos receive more support from their own government, and don't have to pay the same extortionate recruitment fees that tie their Indonesian counterparts to months, if not years, of debt, Muico said.

"It's more problematic with the Indonesians because they don't get the support they need from the Indonesian government and the recruitment companies can pretty much do what they like," she said.

While the report is based on in-depth interviews with 97 workers who sought help, Amnesty said its findings were backed by an independent survey of nearly 1,000 women by the Indonesian Migrant Workers Union (IMWU) conducted in Hong Kong in 2011.

Signing up for debt

The typical story starts back in Indonesia where brokers convince poorer women to seek work in Hong Kong.

They're taken to training centers, sometimes hours from home, where they spend anywhere between 10 days and 15 months learning the skills and language -- Cantonese -- to do the job, according to the report.

In many cases, their documents are taken, along with their phones, and they're allowed only limited contact with their families. Some women told researchers they were forced to cut off all their hair, while others were given mandatory contraceptive injections to avoid pregnancy on short visits home.

Once in Hong Kong, Amnesty says local recruitment agencies step in to ensure workers repay their debts.

According to the IMWU survey, 85% of women said recruitment fees of around HK$3,000 a month were deducted from their monthly wage for seven months, taking the total recruitment cost to HKD$21,000 (US$2.700).

The fee far exceeds the limits set by both the Indonesian and Hong Kong governments. Under Hong Kong law, employment agencies are not allowed to charge more than 10% of a worker's monthly wage, or HK$401 (US$52). Indonesia limits the fee to IDR 14,780,400 or HK$13,436 (US$1,730).

In October, the minimum wage for domestic workers rose to HK$4,010.00 (US$517), leaving little left after the monthly fee deduction. And for some it doesn't end there.

"If they want more recruitment fees, they'll manipulate it," Muico said, explaining that some recruitment agencies tell employers to terminate their workers after seven months so they can be placed with another employer, with a new set of fees.

Nowhere to go

The pressure to repay their recruitment fees prevents many domestic workers from leaving abusive employers, the report said.

Stories of the mistreatment of foreign domestic workers aren't too hard to find in Hong Kong. Recently, an extreme example made headlines when a couple was jailed for subjecting their Indonesian helper to "cruel" and "vicious" abuse. The court heard Kartika Puspitasari, 30, was whipped with bicycle chains and bound with cables during her two-year contract.

READ MORE: Despite abuses, foreign domestic workers flock to Hong Kong

Under Hong Kong law, it's illegal for domestic workers to live-out so they sleep in their employers' flats. No limits are imposed on daily work hours, though they're entitled to 24 hours off each week, usually on a Sunday, when thousands gather in public areas in Hong Kong to catch up with friends.

Standard duties include cleaning, general household chores and childcare, but some report having to work, illegally, in employers' businesses. One woman told Amnesty she'd been told she'd be taking care of an elderly woman. Instead, she had to carry vegetables at a market and sort trash.

"Without gloves, I had to pick through the rubbish to find items that could be recycled. I then carried them, which were often very heavy, to a center where I could sell them. It was truly horrible work, but I remained because I needed to pay off my recruitment fees," she said.

What needs to be done

Amnesty has called on both governments to do more to stop unscrupulous recruiters, end the requirement for workers to live-in and make it easier for them to seek help.

Both Hong Kong and Indonesia say they've taken steps to clampdown on recruiters, and they're already distributing information letting domestic helpers know how and when to file a complaint.

In its statement to CNN, the Hong Kong Labour Department said in 2012 it revoked two employment agency licenses, one of which was due to overcharging.

It added: "The issue of overcharging Indonesian domestic helpers of agency fees back in Indonesia is beyond our jurisdiction and should be tackled at source by the country of origin."

The Indonesian consulate said it had an annual system for evaluating and accrediting agencies in Hong Kong.

Since 2009, it said 26 agencies had "received punishments for their misconducts," ranging from warnings, to suspensions and cancellation of licenses. And as of June, 190 employers had been banned from hiring domestic workers, it added.

Amnesty International said it's not enough.

"We need to see current laws enforced and people face justice for the exploitation. Only then will we start to see an end to forced labor from Indonesia to Hong Kong," Muico said.

@highlight

Amnesty report claims Indonesia, Hong Kong ignoring problem of unscrupulous recruiters

@highlight

Says Indonesian domestic workers being overcharged, underpaid with little or no recourse

@highlight

Hong Kong, Indonesia say they're committed to helping foreign domestic workers

@highlight

Amnesty says huge fees prevent many workers from leaving abusive employers