(CNN) -- Microsoft has announced its Surface tablets, due out late this year, at a time when security is a growing concern for users of mobile devices.

And when most consumers think security, Microsoft probably isn't the first brand to spring to mind.

But are Surface tablets likely to be any more or less secure than the iPad or Android tablets? That could depend on which Surface model you're talking about. But in general, these devices probably won't pose any significant additional security risks to mobile users.

Microsoft said there will be two versions of Surface.

The first, due out this fall, will run the not-yet-released Windows RT operating system -- a tablet-based version of the Windows Phone OS, which will only run apps adapted for Microsoft's tile-based "Metro" user interface.

So far, Microsoft has offered few hardcore details about this system. But the tech news site Pocket Lint offered a good rundown of what to expect from Windows RT.

The higher-end second Surface tablet, probably due out a few months later, will run the full Windows 8 operating system. This OS also has not yet been released, but a consumer preview has been available for several months.

At a conference Tuesday, Collin Davis, senior director of development for Symantec's Norton line of security software, explained that so far it's hard to say exactly what types of security concerns Windows RT devices might pose. But security experts know a fair bit about Windows 8.

"It's a lot like the current desktop version of Windows we have today, so its security issues will probably be very similar," he said.

"Microsoft raised the security bar considerably a few years ago when they introduced Microsoft Security Essentials," Davis added, referring to software has since been rebranded as Microsoft Defender. It offers a level of protection against threats such as spyware, botnets, phishing attacks, websites that install malicious code and more.

"We know that Windows 8 will include Defender," Davis said.

The "bad guys" who develop malware and other security threats pay close attention to the level of security built into Microsoft products, since Windows remains the most popular computer operating system in the world. And right now, those bad guys are busily updating their code, Davis said.

Hackers today can already exploit Windows 7 and soon should be able to exploit Windows 8, he said.

One key difference in Windows 8 is that it's two operating systems in one. It offers a regular Windows desktop interface as well as Microsoft's newer "Metro" interface -- the tile-based design that's the hallmark of Windows Phone.

In contrast, the first model of the Surface tablet (Windows RT only) will only offer the Metro interface, so it won't be able to run the full versions of many desktop apps popular with Windows users, such as Photoshop.

"From a security perspective, we expect this device to be about the same as what we see with current mobile operating systems such as Android and iOS," Davis said.

According to Networked World, Windows RT might offer some security advantages for large organizations: "Microsoft can perform a type of network access control on Windows RT devices as a way to protect corporate networks from harm ... making them a cut above iPads and Android tablets in this regard."

If you're concerned about security, you can purchase extra security software such as Norton or other products from various vendors, many of which have mobile apps. For the Windows 8 version of Surface, such software could provide additional protection above what Microsoft Defender offers.

In the big picture for mobile, so far the vast majority of mobile security threats are malware that target Android devices. The open nature of the Android OS and the ease with which Android apps can be distributed through the Google Play store make this possible. So users of Android devices, including tablets, should be especially careful of security risks.

Despite popular opinion that Apple devices are inherently more secure and despite ongoing Windows security problems such as the pernicious Conficker worm, Microsoft may actually be better at security overall than Apple.

Security expert Eugene Kaspersky recently told Computer Business Review that Apple is "10 years behind Microsoft in terms of security."

Kaspersky was referring to Macintosh computers, but his comments might also apply to iPhones and iPads. Simply because Windows has long been the world's most popular computer operating system by a long shot, it has been a far more attractive target for bad guys seeking to exploit security holes. Thus Microsoft has far more experience with spotting, combating and communicating about security issues.

Whether this expertise ends up making these new Windows tablets extra secure remains to be seen.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Microsoft announced its Surface tablets this week

@highlight

Security is a growing concern for users of mobile devices

@highlight

Surface models probably won't pose any significant additional security risks to mobile users

@highlight

One expert says Microsoft is ahead of Apple in security