(CNN) -- What would prompt a 23-year-old man, born and raised in France, to chase a small, terrified Jewish girl into a school courtyard, look her in the eye and shoot her in the head?

The very idea brings back memories of the 1940s, of an era that many Europeans have worked diligently, with considerable success, to put behind them. But the echoes of history should not be silenced. The tragedy of Toulouse is a call to take another look at that crucial fight against the poisonous prejudice that ultimately devastated Europe in the middle of the 20th century.

I believe an honest examination will reveal a blind spot among those fighting prejudice that has allowed the ancient Jew hatred that infected Europe for centuries to survive. The blind spot is this: When the prejudice -- and even the call for murder -- is made in connection with the Palestinian cause, people look the other way and give it a pass.

Blood-chilling security camera video from the city of Toulouse on Monday shows a man we now believe was Mohammed Merah shooting 7-year-old Miriam Monsonego as her mother watched. The chase and murder came moments after he shot two other children -- 4-year-old Gabriel and 5-year-old Arieh -- and their father, Jonathan Sandler, a rabbi and teacher at the Jewish school. Days earlier, Merah had allegedly killed three French soldiers of Arab origin.

Initially, the fact that he had murdered both Arabs and Jews made people conclude that this was the work of a racist, right-wing extremist. In recent years, Europeans have been alarmed by anti-immigrant and anti-Muslim sentiment. With a presidential election around the corner in France, the murders quickly took on political significance.

But the trail led to Merah, a self-described jihadist. Merah apparently called a television station to explain his actions, saying he wanted to "take revenge on the law against the full Islamic veil (in France) and also on France's participation in the war in Afghanistan and to protest against the situation in Palestine."

The prime minister of the Palestinian Authority, Salam Fayyad, reacted indignantly to the familiar, phony link. "It is time for those criminals," he said, "to stop exploiting the name of Palestine through their terrorist actions."

It's not just the criminals and the terrorists who should stop.

It is time to stop excusing anti-Semitic calls for the murder of Jews as an acceptable outgrowth of the Palestinian cause.

A couple of years ago, I was in the Netherlands when a pro-Palestinian demonstration broke into a familiar chant: "Hamas, Hamas, Jews to the gas." The "Jews to the gas" is a common cheer at Dutch soccer games. This was nothing new.

What was new is that this demonstration included a Dutch member of Parliament, Harry van Bommel of the Socialist Party, who continued along as his comrades called for a repeat of the Holocaust.

Political leaders and government authorities often act dismissively when Jews are the target of violence, particularly from Arabs. When a Jewish girl was beaten at school by five Muslim girls who called her a "dirty Jew" and shouted that she should "return to your country," community leaders said they were "exasperated" by the endless attacks on Belgian Jews and asked the government to take action. Viviane Teitelbaum, a Jewish member of Parliament, condemned the failure of the Belgian media and the political establishment to speak out.

The earlier confusion in Toulouse is understandable. After all, when Jews are murdered, the killer could come from the left or from the right.

It's easy to blame the situation of the Arab-Israel conflict, but Jean-Yves Camus, a French expert in extremism, says today's prejudice includes the "new anti-Semitism" from radicalized Muslims and the old-fashioned hatred from the right, including neo-Nazis.

Often, when the Palestinian link is made, the prejudice comes from the left, couched as passion for human rights.

At times, human rights activists seem to have no problem with anti-Semitism -- even of the genocidal variety -- condemning it forcefully only if it is accompanied by anti-immigrant or anti-Muslim sentiment.

Just days before the Toulouse murders, on March 19, the U.N. Human Rights Council in Geneva hosted an event featuring a high official from Hamas. That is a group whose easily obtainable charter calls not just for the creation of a Palestinian state, which is something I, like many other people, wholeheartedly support.

But Hamas' charter also declares: "Israel will exist and will continue to exist until Islam will obliterate it. ... The Day of Judgment will not come about until Muslims fight the Jews (killing the Jews). ..." If a white supremacist organization advocated genocide as this one does, polite society would keep its distance, at the very least.

Instead, polite society contributes to a campaign to demonize Israel, fueling the hatred that is then unleashed against Jews in France and elsewhere. Last week, a U.N. official posted to Twitter a picture of a heartbreakingly injured Palestinian girl, tweeting "Another child killed by #Israel ..." Turns out it was a 2006 picture of a girl who died falling from a swing. Back in 2006, Reuters had sent out the same picture, saying she was the target of a military strike, but later retracted it, explaining that the girl was the victim of a playground accident. Portraying Israelis as baby killers fits neatly into the old anti-Semitic narrative that outrageously claims Jews kill Christian children to make Passover matzos.

These types of "errors" are all too common, and they contribute to an air of anti-Israel and anti-Jewish sentiment. In Europe, that falls on fertile ground.

At least 400 anti-Semitic (which means anti-Jewish, for those who will argue Arabs are also Semites) incidents are recorded yearly in France. French Jews have been killed in bombings. Belgian Jewish children are beaten, and Dutch Jews are afraid to wear their traditional head cover outside because it so often leads to pummelings.

A just-released survey in 10 European countries found that 24% of the French population holds anti-Jewish sentiment, up from 20% in 2009. In Hungary, Spain and Poland, anti-Semitic sentiment is "off the charts," according to Abraham Foxman of the Anti-Defamation League. Surveys show that 15% of Americans hold anti-Jewish views.

The sentiment is most common among European Muslims, some of whom have attended Islamic schools, whose Saudi-financed textbooks explained that Jews look like monkeys and pigs and seek "world domination."

Why would a man kill small Jewish children? The answer has intrigued historians and psychologists for many centuries. But the more urgent question is what we can do to stop it from happening again. And the answer is that the first requirement is telling the truth about anti-Jewish ideologies.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Toulouse shooting echoes the ravages of last century's anti-Semitism in Europe

@highlight

She says it's time to examine enduring European blind spot when it comes to anti-Semitism

@highlight

Examples abound that prejudice is given a pass if connected to Palestinian cause, she says

@highlight

Ghitis: This adds to air of anti-Israel, anti-Jewish sentiment that falls on fertile ground in Europe