(CNN) -- Millions of migrant workers flood to the Middle East from some of the world's poorest countries in search of paid work they won't find at home.

But for some, the journey doesn't end as they hope. Instead, they become victims of human trafficking, forced labor and sexual exploitation.

The CNN Freedom Project: Join CNN's fight to end modern day slavery

A report released Tuesday by the International Labor Organization paints a horrifying picture of migrant workers who find themselves trapped in appalling conditions without any way to get out.

"Our research team interviewed hundreds of workers and their experiences independent of country were very similar, actually," Beate Andrees, the report's author and head of the ILO's Special Action Programme to Combat Forced Labour, told CNN.

"They were lured into jobs that either didn't exist or that were offered under conditions that were very different from what they were promised in the first place," she said.

Data is scarce, but the ILO estimates as many as 600,000 people may be victims of forced labor across the Middle East.

That equates to 3.4 in every 1,000 of the region's inhabitants being compelled to work against their free choice, the ILO said.

The study, titled "Tricked and Trapped: Human Trafficking in the Middle East," is based on more than 650 interviews done over a two-year period in Jordan, Lebanon, Kuwait and the United Arab Emirates.

More than half of those interviewed for the study were migrant workers, the ILO said. The others included employers, government officials and representatives of employers' and workers' groups in the Middle East.

"Labour migration in this part of the world is unique in terms of its sheer scale and its exponential growth in recent years," Andrees said. "The challenge is how to put in place safeguards in both origin and destination countries to prevent the exploitation and abuse of these workers."

Low-skilled migrant workers are the most vulnerable to human trafficking and forced labor, whether at the hands of unscrupulous agents or individual employers, the report states.

"Victims of trafficking usually have limited financial resources, incur debt and are poorly educated," it says.

"At the same time, many are resilient and courageous women and men, who are aware of the possible risks of exploitation but, impelled by the lack of viable job opportunities at home and the pressing needs of their families, have nevertheless made their individual decisions to travel abroad in search of work."

Confined, beaten, raped

Domestic workers are particularly vulnerable because their isolation in private homes, without inspections, makes them more vulnerable to exploitation and forced labor, the ILO said.

Among the conditions they may face are: being denied proper time off; being confined to their place of work; being placed under surveillance; being made to live in degrading conditions, like sleeping in a kitchen or hallway; or having their identity papers confiscated or wages withheld so they can't leave.

In more extreme cases, they may be subject to physical and sexual violence.

A Filipina domestic worker in Lebanon told the ILO she was caught after trying to escape by climbing out over the balcony.

"My employer broke my elbow and then tied my hands behind my back. They left me one day long in my room and put a camera there. He threatened me: 'I'll accuse you of stealing money and ask for my money back, and they will throw you in jail!'" she is quoted as saying.

Another Filipina domestic worker interviewed in a detention center in Kuwait told the ILO that her employer had raped her.

"I went to the doctors and filed a complaint at the police, and then returned to work the next day. He reported to the authorities that I had run away, and the police arrested me," she said.

"My employer tells me that if I drop the rape charges, he will make sure that I am not deported."

Even where anti-trafficking laws exist, prosecutions are few, so "there is little to deter others from confining migrant workers in exploitative situations against their will," the ILO points out.

Sex brokers

Meanwhile, those who are coerced into sex work within the entertainment industry face a "real" risk of violence, detention or deportation, the report said.

"Owners and managers of entertainment establishments, and sex brokers (pimps), do not hesitate to use threats of denunciation to the authorities and family repudiation, and actual psychological, physical and sexual violence, to intimidate their victims," the report says.

"The impossibility of leaving the exploiter is entrenched by the fact that women known to have engaged in sex work have limited opportunities to secure income by other means."

Asian and African women are particularly vulnerable to being deceived and coerced into sexual exploitation, the report said.

Some are lured away from their original employers with promises of love or a better job, and then forced into sex work, while others are abducted on arrival and taken to underground brothels, or are tricked into thinking they have a job as a waitress or singer in a nightclub and then made to provide sexual services.

In some cases, those running the sex rings are other migrant workers, often of the same nationality, the report said. Local sponsors may also be involved or turn a blind eye.

"Even though prostitution is legally forbidden in most countries of the Middle East, the commercial sex industry employing foreign women is unofficially tolerated," the report said.

In part, this is because demand for sexual services is stubbornly high. In addition to the local demand, there are also large numbers of male migrant workers who are away from home for long periods and cannot fulfill their natural sex drive by legitimate means, the report says.

A Nepalese client of sex workers is quoted as saying: "I think the majority of women are forced to have sex. They are physically beaten, isolated and locked in the apartments. The clients are usually aware that the women are forced but are okay with this because they themselves are sexually deprived."

Some girls from Middle Eastern countries who are forced into marriage are also pushed into prostitution by their husbands, the report says.

'Forced into the desert'

But while much attention focuses on the plight of women, male migrant workers in the construction, manufacturing, seafaring and agriculture sectors are also vulnerable to human trafficking, the report says.

They "are routinely deceived with respect to living and working conditions, the type of work to be performed, or even the existence of a job at all."

Some migrant workers reported having been recruited as domestic workers -- but then forced to tend animal herds in the desert.

A "runaway" Sri Lankan shepherd interviewed in Kuwait told the ILO: "I came to Kuwait to work as a driver and my employer took me across the border in Saudi Arabia for six months.

"I lived in a small steel hut with no air conditioning, no electricity and no shower or toilet. I was not allowed to kill the animals to feed myself. I was scared of my employer who tried to hit me but I said, 'If you hit me, I will hit you back.'"

Complex factors make it almost impossible for many to leave if it all goes wrong.

Chief among these is the "kafala," or sponsorship, system that governs most migrant workers in the region. This, the ILO says, is "inherently problematic" because it creates an unequal power dynamic between the employer and the worker.

Many employers justify holding the passports of migrant workers because under the system they are legally responsible for the worker's residency and employment.

They may also hold back wages -- meaning workers can't leave because they risk ending up with nothing -- or charge sky-high "release" fees to stop exploited workers from seeking jobs elsewhere.

"The system was not set up to create this extreme dependence between employers and workers," Andrees said.

Positive changes

Of course, not every migrant worker has a bad experience, and for many the opportunity to work overseas delivers the promised escape from grinding poverty at home.

The presence of migrant workers is also vital to the economies of many countries in the Middle East -- and in some, they outnumber the national workers substantially, the ILO points out.

In Qatar, an astonishing 94% of workers are migrants, while in Saudi Arabia that figure is over 50%, the report says. Migrants also make up a significant part of the workforce in Jordan and Lebanon.

The ILO report highlights some positive changes in the region, saying governments and other groups have stepped up efforts to combat forced labor and human trafficking in recent years, including through the passage of anti-trafficking legislation.

But, it says, "shortcomings persist in applying laws and prosecuting and convicting perpetrators of human trafficking."

It proposes an overhaul of the kafala system, suggesting that national ministries of labor should be in charge of the recruitment process, rather than agencies, and should handle complaints.

The ILO also recommends extending legislation to protect all types of worker, the revision of employment contracts, beefing up inspections and ending wage discrimination.

Opinion: 5 signs the Middle East is changing

CNNs Caroline Faraj and Schams Elwazer contributed to this report.

@highlight

NEW: Migrant workers are often duped into taking jobs, the report's author says

@highlight

As many as 600,000 people may be victims of forced labor in the Middle East, ILO says

@highlight

Migrant workers give accounts of being raped, abused or kept prisoner by employers

@highlight

Employers or agents sometimes withhold wages or documents to prevent workers leaving