(CNN) -- In Juanga, India, a village of less than 3,000 inhabitants, the adults typically work as farmers on small plots of land earning less than $2 a day. They live in extended families in two or three roomed bamboo thatched mud huts, surviving on rice and dahl.

Unable to see the value of education, the parents typically take their children out of school before they turn 16 to earn money. Women frequently deny themselves trips to health clinics and they lack knowledge of basic preventative healthcare measures.

They also lack basics such as drinking water, electricity, food, healthcare and infrastructure, but cell phone towers are often ubiquitous.

One American non-profit organization is using this proliferation of phone masts to bring empowering mobile technology to these destitute villagers.

mPowering, headquartered in San Francisco, has joined forces with Citta, a charity working in Orissa, one of the poorest states in India, which has a population of 37 million, roughly the same size as California.

According to UNICEF, Orissa has the most people living below the poverty line of any state in India and one of the highest infant and maternal mortality rates of all the states in India. Many people are from illiterate tribal communities and the region is also frequently hit by droughts, floods and cyclones. Nearly half the children leave school at 14 years and are not vaccinated against common childhood diseases.

Read related: Phone journalism gives a voice to India's rural poor

mPowering is exploiting the large number of cell towers, low cost of WiFi and GSM connectivity, falling rates of mobile subscriptions and of phones in India to bring generations out of poverty.

Read related: Rise of 'nomophobia': More people fear loss of mobile contact

Citta, a charity registered in the U.S. and UK, built a school in Juanga in 2001 and a hospital in 1996. It also runs a women's center which provides pre- and postnatal healthcare and gives seminars to mothers on nutrition and hygiene.

The school began with 140 pupils and now has about 400. The hospital, which has five doctors and 10 nurses, is currently the only hospital in the region, serving a community of approximately 100,000 people within a 15 mile (25km) radius.

According to mPowering, 46 per cent of people in Juanga live below the poverty line and 41 per cent of children suffer from malnutrition.

Read related: In India, more cell phones than toilets

mPowering started working with Citta in 2010, handing 56 families in Juanga a smartphone loaded with culturally customized mobile apps and location analytics (similar to Foursquare) built around the concept of rewards and incentives.

Despite some of the villagers having never used a phone, they quickly learned how it worked. Sharing one smartphone per family, the children earn points for attending school and mothers for attending preventative healthcare classes. The families then pool the points and redeem them for food, clothing and medicine each month. Local Indians scan the barcodes on their smartphones when they attend the classes.

mPowering has provided phone chargers at schools since many families do not have electricity.

Jeff Martin, who founded the non-profit, spent ten years as a senior executive at Apple, six of which he was head of music, entertainment, and marketing, reporting directly to Steve Jobs. He is also the Founder and CEO of Tribal Brands and of Tribal Technologies and has used the technology from those companies at mPowering.

He traveled to India extensively during his career at Apple, he says. "I chose Orissa because it is where the poorest of the poor live. The best way to improve lives in rural areas and change centuries' old traditions is using mobile technology and rewarding people," he said.

His next plan is to track the art work of the children. "Through the art work we will be able to see if they are becoming more optimistic," he said. "Fundamentally we are showing connections. We always knew that if kids ate well their grades would improve."

But now he is able to prove it. Donors will be able to see realtime the impact of their donations -- pictures of the children's art work or their grades could be sent to the donors' mobiles for example.

Read related: How mobile broadband can transform Africa

A future plan is to give points to mothers when they take their children to health clinics which can be redeemed for medicines.

He also aims to give out Lifestraws (portable water filters) to villagers if they watch videos installed on their smartphones about contamination of water, since most water supplies are polluted by the villagers.

"We want more charities to use us," Martin said. "Charities don't currently have a way to measure their own results. But we believe in measurement. No one makes money in Silicon Valley without measurement. I have got various funders behind me and a lot of them feel like I do, that charities need to be measured and mobile analytics is the answer.

"I am not a big believer in micro loans as they create a pressure to pay back a loan. Many people don't want to give money to charities if they don't know how it is being spent. We can actually prove we are changing behaviors."

"Tribal does the same thing but commercially -- such as changing the way people buy music on their mobile phones and giving them rewards," he said.

The project has had a measurable impact, mPowering says. The number of reported diseases in the village has reduced from 119 last year down to 52. There were 125 clinic visits this year compared to 98 last year, according to their figures.

Seventy-one per cent of children attend school, compared to 52 per cent last year. "This year every student in the middle school passed the state level exams we were very excited to say the least," said Michael Daube, founder and executive director of Citta.

"We have monitored the progress from the start of the project and find almost a 25 per cent increase in enrolment because of the mPowering initiative," Daube said. "mPowering's mission is the perfect extension to increase more efficient support to any poverty-stricken region," he added.

@highlight

In parts of India, people lack basics such as food and water but cell phone towers are often everywhere

@highlight

Parents typically take their children out of school before they turn 16 to earn money

@highlight

One American non-profit organization is exploiting mobile technology to empower destitute villagers