(CNN) -- The beheadings of two American journalists and now a British aid worker have rightly prompted outrage around the world. Although ISIS only started to make international headlines this year, its rise has been years in the making. And it should not have taken anyone in the international community by surprise.

For three years, the West did little more than pay lip service to the potential broader impact of Syrian President Bashar al-Assad's brutal response to a peaceful civil revolt during the Arab Spring. His regime's war on its own people resulted in the militarization of the conflict, which in turn took on a sectarian dimension.

In Iraq, meanwhile, the West ignored the message of Iraqi elections and threw its full support behind Prime Minister Nuri al-Maliki, despite championing democracy. Yet in office, al-Maliki pursued exclusionary policies that left a large segment of Iraqi society feeling sidelined. It was this marginalization that provided ISIS, which now calls itself the Islamic State, an opportunity to exploit the Sunni desire for fairer representation.

But as much as ISIS claims to be championing Sunnis, it does not in any way represent Islam. The Quran clearly and categorically condemns forced conversion to Islam. It also accepts other religions and prophets as messengers of God, especially those of the other monotheistic religions: Judaism and Christianity.

What ISIS is doing -- including its targeting of Christians and Yazidis -- therefore has nothing to do with practices through the ages, from the Levant to Andalusia. Indeed, Arab Christians have been an integral part of Arab history -- the presence of Christians in this part of the world is not an aberration, and Christianity is as part of the history of this region as Islam.

Sadly, ISIS has tried to hijack Islam and is often wrongly labeled a Sunni organization.

This is unfortunate as the vast majority of Sunnis are moderates who should not be tarred with the same brush as the extremist group. In fact, Sunnis have largely been the main victims of ISIS atrocities.

In Syria, for example, ISIS has often trained its fire on the moderate Free Syrian Army rather than the forces of the al-Assad regime. In Iraq, meanwhile, ISIS has alienated those Sunni tribes that have rejected its extremist practices, while also fighting (predominantly Sunni) Kurdish forces.

So how should the West and the countries of the Middle East respond to the growing threat that ISIS poses?

The reality is that force alone will not be enough to uproot ISIS and banish the threat it poses to this region and to the rest of the world. Instead, militias such as ISIS -- typically based on rigid and outdated ideological beliefs -- require a multipronged approach.

Yes, military confrontation is an important tool, as is boosting economic and social development in areas affected. But the war on ISIS can't be won unless a key reason for its emergence is not tackled: tyranny and a lack of justice.

Tyranny is another face of extremism, and it therefore makes no sense to treat it as if it is a viable alternative to radical agendas. With that in mind, it is high time that world leaders not just claim to cherish democracy, freedom, justice and respect of human rights while merely condemning the acts of dictators. Empty words will do nothing to change their behavior. Instead, the West must offer genuine support for moderate, civil opposition in Syria and Iraq.

The United States' increased engagement in the region, as signaled by President Barack Obama's speech last Wednesday, is welcome. And the proposed military element -- including airstrikes -- may be successful in containing the threat ISIS poses.

But to truly eliminate the risk of its resurgence (or its replacement by some other extremist group), the West has to be more engaged in finding lasting solutions to fundamental problems in the region.

What are these problems?

Israel's occupation of Arab lands is one. Another is the vindictive government policies that have left large segments of the Iraqi population frustrated, a problem that could in part be resolved by guaranteeing a true power sharing arrangement. Finally, the Geneva process needs to be restarted with a view to forming a transitional government with a mandate for moving toward democratic rule in Syria.

Unfortunately, some in the West have suggested that keeping al-Assad might even be desirable, believing he is the lesser of two evils.

This is not only preposterous, but also immoral and completely ignores the Syrian conflict's role in ISIS's emergence in the first place. Indeed, my country has firsthand experience of having to confront extremism stoked by al-Assad's regime -- back in 2007, when I was Prime Minister, we discovered an extremist group called Fatah al Islam appeared to have links to Syrian intelligence.

Experience has shown us that dictatorships are not a sustainable guarantor of peace for minorities. Instead, only the emergence of a democratic and modern civil state, where all individuals are treated equally, regardless of regardless of religion or ethnic grouping, can bring lasting peace and stability.

And the West should see in this struggle not only a moral duty to act but also its own long-term interests. Ending the Israeli occupation through the principles of a two-state solution while backing the forces of moderation in the Arab world would undermine the appeal of extremists and pave the way for democratic states that foster stability.

Diversity and pluralism in nations such as Iraq and Syria can be seen as either a challenge or as presenting an opportunity. But one thing should by now be clear to all religious and sectarian actors in the Levant: one group cannot force its lifestyle, opinions or policies onto the other groups. Democracy should not be used as an excuse to marginalize a minority.

For years, Lebanon was successful in following a principle espoused by President Obama -- "the principle of no victor and no vanquished." He is absolutely right, and governments and others in this region should listen.

But if the United States wants to see real change, then it will have to empower those moderate forces that are trying to put these fine words into action.

@highlight

Former Lebanese Prime Minster Fouad Siniora says ISIS rise should not have been a surprise

@highlight

ISIS claims to be championing Sunnis but does not represent Islam, Siniora says

@highlight

Siniora: Force alone will not be enough to uproot ISIS