Washington (CNN) -- For four years, we've witnessed a non-stop political brawl over Obamacare.

Now rhetoric has again reached a fever pitch since the botched October 1 launch of the new insurance exchanges at the heart of President Barack Obama's signature health care reforms.

While Obama and Democrats scramble to reassure supporters and a skeptical nation that the dysfunctional Obamacare website can be fixed and the reforms will work, Republican opponents seize every opportunity to attack the 2010 Affordable Care Act they consider to be big government run amok.

Not surprisingly, such partisan back-and-forth has generated persistent myths about Obamacare that foment confusion, if not outright ignorance, about the reforms. In other cases, both sides try to quickly exploit newer issues.

Here is an attempt to debunk some of them:

1. If you like your plan, you can keep your plan

Let's start with the obvious -- Obama's oft-repeated pledge in selling the reforms that they wouldn't require people to change health coverage or doctors.

While the administration depends on a technicality to explain what Obama meant -- he was referring only to individually owned policies already in place back in March 2010 when the Affordable Care Act became law -- it was misleading when he started saying it back in 2008 and definitely is false today.

Yes, anyone with an individual policy dating back more than three years can keep it, as long as it hasn't been changed by the insurance company.

However, that is unlikely in the volatile individual market that comprises about 5% of Americans, a relatively small group compared to the 80% who get coverage through their jobs or government programs such as Medicare and Medicaid.

Instead, at least 1 million individual policy holders have received letters from their insurers in recent months informing them that their plans are being discontinued at the end of the year or changed to cost more. The reason cited is added benefits required by Obamacare.

"The fact that the president sold it on a basis that was not true has undermined the foundation of his second term," former Massachusetts Gov. Mitt Romney, who lost to Obama in last year's presidential election, told NBC's "Meet the Press" on Sunday.

Obama and his aides argue the President kept his word by including a "grandfather" provision that allowed people to keep their plans from before the health care law was passed, as long as the policies hadn't been changed by the insurance companies.

At the same time, they contend most policies no longer eligible for the "grandfather" provision -- and therefore being canceled by insurers -- offered substandard coverage, leaving people at risk of bankruptcy for hospitalization or other major medical needs.

"If you have or had one of these plans before the Affordable Care Act came into law and you really like that plan, what we said was you could keep it if it hasn't changed since the law was passed," Obama told supporters on Monday night.

"But if the insurance company changes it, then what we're saying is they've got to change it to a higher standard," he said, adding that "if we had allowed these old plans to be downgraded or sold to new enrollees once the law had already passed, then we would have broken an even more important promise -- making sure that Americans gain access to health care that doesn't leave them one illness away from financial ruin."

His explanation differed from the repeated promises on the campaign trail that if people liked their coverage, they could keep it, period. Obama aides note that for most Americans who get their health care through their jobs or government programs, that remains true.

"What the President was referring to was the broader promise of the Affordable Care Act, that if you're on Medicare or Medicaid, if you, like probably most people in this room, have insurance through your employer, if you're a vet and you get coverage through the (Veterans administration), you don't have to do anything," White House spokesman Jay Carney told reporters on Tuesday.

Obama further alters 'you can keep your plan' pledge

2. Everyone's health insurance costs will rise because of Obamacare

Republicans regularly declare that the end result of Obamacare will be higher health insurance costs for all.

If that happened, it would continue what was going on before Obamacare, when skyrocketing health care costs put effective insurance coverage out of reach for millions of Americans.

Obamacare requires virtually everyone to have health insurance, which would create large markets of previously uninsured or underinsured people to stimulate competition and presumably hold down prices.

That means some will pay more than before, such as healthier young people now required by the Affordable Care Act to have coverage, and some will pay less.

Under the reforms, some people who make too much to be eligible for Medicaid coverage but not enough to afford high-quality plans can get government subsidies in the form of tax credits to ease the burden.

Ezekiel Emanuel, an Obamacare architect from the University of Pennsylvania, told Fox News Sunday that the reforms were based on the concept of shared responsibility.

"We all share in the costs so that everyone can get it," he said, adding that if people don't have coverage and need health care, "they transfer those costs to the rest of us. That's the whole point of part of Obamacare, to eliminate this cost shifting."

Obamacare website getting better, official tells Senate panel

3. Write me

In recent weeks, as the extent of problems with the Obamacare website became known, the President and his aides sought to reassure the public by noting other options to enroll, including paper applications they could file by mail to avoid the dysfunctional online option.

However, notes from so-called War Room meetings of administration officials released by the Republican-led House Oversight Committee showed all applications still must be processed through the HealthCare.gov website, regardless of whether they were submitted online or mailed in.

"The same portal is used to determine eligibility no matter how the application is submitted," said notes from an October 11 meeting, according to the committee. " ... The paper applications allow people to feel like they are moving forward in the process and provide another option; at the end of the day, we are all stuck in the same queue."

Website performance has improved, but problems continue as open enrollment for Obamacare enters the second of a planned six months. A notice at the top of HealthCare.gov on Monday explained it will be out of order between 1 a.m. and 5 a.m. ET every day as contractors work on it.

Obamacare website goes dark for nightly fix-it work

4. The website is broken, so Obamacare is a failure

"The website is just the tip of the iceberg," Republican Sen. John Barrasso of Wyoming said Monday. "There is the sticker shock for increased costs. There's increased out-of-pocket cost in terms of deductibles and co-pays, and many Americans are not going to be able to keep their doctor, even if they'd like to keep their doctor."

No one disputes that the website woes are a major problem that threatens to derail the vital enrollment of millions of uninsured or underinsured people if not fixed soon.

However, the law was passed more than three years ago, and Obama aides point out it has already made a difference.

In his speech Monday night, Obama listed various reforms that already have taken effect.

"The insurance market now has the strongest consumer protections that this country has ever known," he said of the reforms. "No more discriminating against kids with pre-existing conditions. No more dropping your policy when you get sick. No more lifetime limits on the care that you can receive. All of that and more is part of a new Patient's Bill of Rights that's smack dab in the middle of the Affordable Care Act, and it's helping people right now."

Jonathan Gruber, a Massachusetts Institute of Technology professor who helped design both Obamacare and the Massachusetts health insurance program on which it was modeled, counseled patience in assessing whether reforms should be labeled a success or failure.

"According to the Congressional Budget Office, it will be about a three-year ramp-up period until Obamacare is fully effective at its full level of functioning," Gruber told CNN last week. "That's what we saw in Massachusetts as well. So we need to just calm down and stop worrying about days and weeks and focus instead on months and years."

However, Gruber warned that the HealthCare.gov website must be fully operational by the end of November to ensure that people being forced to change policies have time to enroll by January 1, when their current coverage ends.

The Obama administration says the website will work smoothly for the "vast majority" of users by November 30.

Obamacare: It's about government's role, future elections

CNN's Z.Byron Wolf, Jason Seher and Greg Clary contributed to this report.

@highlight

After more than three years of Obamacare, myths about the reforms persist

@highlight

For some, you can't keep your plan even if you like it

@highlight

Not everyone will pay more because of Obamacare

@highlight

A broken website doesn't mean all is lost -- yet