London (CNN) -- What do artificial whiskers and coffee-filled balloons have in common?

The answer is that they are both tools on experimental robots -- but they are also being put forward as possible ideas to help future planetary explorations.

"Shrewbot" is the latest in a line of robots developed by teams at the UK's Bristol Robotics Laboratory (BRL) that aims to test whether artificial whiskers could help a robot find its way around.

Inspired by the Etruscan shrew -- one of the world's tiniest mammals -- scientists wanted to find out if a robot could explore its environment using touch instead of vision, just as rats, mice and shrews find food in the dark.

Team leader Martin Pearson, who works at the Biotact project, said the research was primarily to assist biologists in their understanding of how an animal's touch sensing works.

But he added: "Future robotic applications for this kind of sensing could be in search-and-rescue robots operating in smoke filled buildings or for sub-sea pipeline inspection robots in the murky depths of the sea."

The idea has also been suggested as a way to explore planetary surfaces where there is limited vision. Speaking at a space conference at the UK's Rutherford Appleton Laboratory, robotics expert and co-founder of the BRL, Alan Winfield, identified it as one of a number of advancements that might be useful to space scientists planning future missions.

"I was speculating that whiskers could provide a planetary rover with the ability to feel its way around," he told CNN.

"It may be that certain types of geology would be helped if you could, for instance, run the whiskers across the rock sample because you can get texture from whiskers.

"You can also imagine planets with thick, heavy atmospheres where vision would be completely useless. One of the beauties of whiskers is that the whisker can get damaged but still works -- all the sensing is done at the root."

Winfield also pointed to research carried out by Cornell, the University of Chicago, iRobot Corp and Liquidia that produced a robotic gripper using coffee granules and a latex party balloon.

It exploits the way vacuum-packed coffee is rigid until the seal is broken and then the coffee granules can flow, adapting to the shape of an object it is pressed against. The vacuum can then be restored and the balloon 'jams' solid to form a grip.

Watch how the gripper works at Cornell Creative Machines Lab

In 2010 "jamming gripper" researcher Heinrich Jaeger described in the Cornell Chronicle how the project had "opened the door to applications none of us had originally thought about."

One of those applications, Winfield suggested, is a potential alternative for gathering samples on a planetary rover mission.

"Almost any planetary exploration robot is likely to need a gripper to pick up or collect rock samples for analysis or collection," he said on his blog. "Something like the Jaeger-Lipson coffee balloon gripper would -- I think -- provide a much better solution. This soft gripper avoids the hard control and computation because the soft material adapts itself to the thing it is gripping."

Speaking to CNN, Jaeger said it would be exciting to work with space scientists. "It's wonderful to see engineers and researchers come up with new ideas based on granular jamming.

"The main advantage of the jamming gripper is that it can deal effectively with very irregularly shaped objects and needs to cover only a fraction of the sample's surface in order to hold on to it.

"Perhaps even more importantly for a rover mission on Mars -- there are no mechanical parts that can get clogged up by dust.

"A third advantage is that the gripper is exceedingly gentle. It will put very little stress on the object to be gripped because it distributes the holding force over a large contact area that very closely conforms to the object's shape."

Winfield said this new field of "soft robotics" could be well suited to space exploration, explaining that the BRL is now working on touch sensors for robots.

"It's easy to see that giving planetary robots touch sensing could be useful, but there's another possibility ... the potential to allow Earth scientists to feel what the robot's sensor is feeling," he told CNN.

Looking further into the future, Winfield believes so-called swarm robots -- large groups of simple robots that work together like social insects -- ones that can self-assemble and adapt to the environment in the way living creatures do, could also aid scientists exploring new worlds.

"Imagine that robots can actually remake parts of themselves -- we can't even do that in the lab yet -- but in theory you can imagine robots that can adapt their physical shape as well as their behaviors to meet a particular environment ... it's almost like evolution except these are mechanical devices," he said.

However, he also believes that this technology -- along with fully autonomous robots that can think for themselves -- is a long way off.

"This field is very much a concept that we are developing in the lab -- I wouldn't expect these swarms of robots in space any time soon," he said.

@highlight

"Shrewbot" aims to test whether artificial whiskers could help a robot navigate

@highlight

Robotics expert Alan Winfield suggests they could be useful for planetary rovers

@highlight

He also points to work on soft robotics that could aid space exploration

@highlight

So-called 'swarm robots' might be able to adapt to an alien planet's environment, he says