(CNN) -- Presidential historian Doris Kearns Goodwin says that even though a lot of modern debates are programmed, there are still moments that no one expected.

"And it's sort of like championship boxing," she says, "you do get revelations of character, of temperament, of humor, of anger, and you get a feeling of this person during these one-on-one debates that really nothing else can provide."

Goodwin describes 10 key presidential and vice presidential debates that made a difference:

1960 -- Kennedy vs. Nixon: First TV debate

Just having Kennedy on the same stage as an experienced vice president made a difference for JFK because he could hold his own with Nixon. But then, of course, when it was listened to on the radio, it made it seem like it was pretty equal, and even some people giving an edge to Nixon. But he looked so terrible. His makeup was bad. He wasn't feeling well. He looked sallow, He looked scornful. And people just reacted to that image of a vigorous, young Kennedy, and an almost sick-looking Nixon. And from then on, somehow JFK became a figure.

iReport: 10 questions you would ask at the presidential debate

1976 -- Carter vs. Ford: No Soviet domination of Eastern Europe?

Ford had done well in the first debate, but in the second debate he was asked a question about Soviet domination of Eastern Europe. And he answered it incomprehensibly. There was already a perception, a vulnerability, that he wasn't intelligent. And then this thing just got parodied, just got talked about, and became a huge event. When ordinary people watched that debate, they didn't feel the Ford had screwed up. But when it was pointed out, that he didn't understand what was happening in the Cold War in Eastern Europe, then suddenly they had shifted their minds, and he seemed much worse than it had seemed at that moment.

1980 -- Reagan vs. Carter: 'There you go again'

In 1980, Carter was primed to go after Reagan about his record, especially on Medicare. He was going on the offensive: 'You did this! You voted this way! You said that!' And Reagan, just with humor and subtlety, said, 'There you go again.' And it somehow relaxed Reagan and it took the offensive away from Carter. It was a brilliant answer to a really serious critique of Reagan's past that might have been troubling for him.

1980 -- Reagan vs. Carter: 'Are you better off now than you were four years ago?'

There was no more brilliant closing than Reagan's 'Are you better off now than you were four years ago?' What it did was to make people think, 'Yes. That's what's happened to me. My economic life, my family life, my working life, has been hurt by the economy over these last four years.' And once they realized that, it almost gave a poster to the entire campaign. It wasn't just a great moment in the debate, it became a theme encapsulated in just a few sentences. And in the end saying, 'if you are better off, then you vote for Mr. Carter. If you're not, you do have another choice. Me,' And at the same time, Carter gave a very weak closing statement.

Opinion: When candidates said 'no' to debates

1984 -- Mondale vs. Reagan: 'I will not exploit ... my opponent's youth and inexperience'

In the first debate between Reagan and Mondale, Reagan had appeared old. He was the oldest candidate in history at that time. He seemed confused by some of the questions, his answers had wandered, and the issue of age really became a large question among the press. So when he comes back in the second debate, and they ask him, 'Do you think age is a problem?' He had that answer prepared, and boy did he nail it. It was subtle, it was humorous, and Mondale knew, he said right then, that he had not only lost the debate, but probably the election.

1988 -- Dukakis vs. George H.W. Bush: 'If your wife, Kitty Dukakis, were raped and murdered?'

The question asked to Michael Dukakis in 1988 was a difficult one. I mean, 'What would you do, given your feelings about the death penalty, if your wife, Kitty Dukakis, were raped and murdered?' And what you would've expected might have been a home run, where Dukakis would've said, 'I would've wanted to kill that person who murdered my wife. But we have a country of laws and that would be wrong.' But instead, he answered in a policy-wonkish way about the death penalty that underscored a vulnerability that he already seemed to be without emotion and without passion.

1988 -- Bentsen vs. Quayle: 'You're no Jack Kennedy'

During the campaign, Quayle had already been saying many times that he had as much experience as Jack Kennedy did, so Bentsen was primed for that and when he mentioned it again in the debate, I'm sure Bentsen was saying 'Yay! Here comes my line!' And again, Quayle handled it OK and said it probably wasn't called for but it was such a zinger of a line that people loved it and told one another about it and it became the line of that debate.

Opinion: The mistakes candidates make in debates

1992 -- George H.W. Bush looks at his watch

It looked like he was bored, that he didn't care about the debate and that underscored the feeling that he wasn't connected to the problems of the people and the country. He later said when he was looking he was looking at his watch he was thinking, 'I hate these debates, I'm so glad it's almost over.' In that debate Clinton showed his empathy -- he was wandering around the stage. He talked to the people, almost wrapped their arms around them. The debate format in that year was perfect for Clinton because they could wander away from the microphones. When Bush is seen stiffly to be looking at his watch and seemed not engaged, and not connected, it underscored Clinton's enormous capacity to emotionally connect.

1992 -- Stockdale vs. Gore vs. Quayle: 'Who am I? Why am I here?'

When [Ross] Perot had chosen [Adm. James] Stockdale as his [running mate], Stockdale appeared to in that debate to be stunned; he almost didn't seem to belong there. He looked like an observer of the other two candidates and that was underlined when he said, 'Who am I, what am I doing here?' What it underscored was a problem of judgment on Perot's part -- how could he have chosen somebody who himself was wondering, 'Why am I here?' It made no sense to the audience and it hurt Perot's credibility as a presidential candidate.

2000 -- Al Gore sighs

Focus groups right after Al Gore and George W. Bush debated seemed to give a slight edge to Gore because he was more articulate, he had better answers, but once the television cameras caught that sighing, that constant look on his face where he seemed annoyed by the whole idea of having to be there with Bush, it seemed to underscore, as somebody said, as a teacher's pet who knew all the answers but was annoying and irritating. And they kept playing it over and over again and it became parodies on the comedy shows and late night TV. Then people began to project onto Gore a personality trait of just annoyance and irritation of people in general and it became devastating for him to live that down.

@highlight

Historian Doris Kearns Goodwin says debates reveal character strengths and weaknesses

@highlight

1960 debate contrasted "vigorous" Kennedy with "sallow" Nixon

@highlight

Reagan's humor defused Carter's indignation in 1980 debate

@highlight

With a glance at his watch, George H.W. Bush underscored Clinton's ability to connect