(CNN) -- Efforts to curb overfishing in five of the world's marine ecosystems are starting to show signs of working.

Many fisheries around the world are dangerously close to collapsing.

The news comes from a multi-national study on the status of marine fisheries and ecosystems reported in "Science".

While the report found that stock collapse is an increasing international trend, the scientists involved believe there are positive signs that rebuilding the ocean's depleted fish stocks is possible.

The two year study looked at ten marine ecosystems, evaluating how much marine life was being fished and which management techniques have been used to rebuild depleted stocks. It is a follow-up to a 2006 paper that highlighted a widespread global trend toward fisheries collapse that led to disagreement among the scientific community.

The study found signs of some stock recovery in waters around the U.S., Iceland and New Zealand, supporting the argument that well managed fishing can lead to rebuilding fisheries in other parts of the world.

"These highly managed ecosystems are improving" said Ray Hilborn of the University of Washington and one of the report's lead authors. "Yet there is still a long way to go: of all fish stocks that we examined sixty-three percent remained below target and still needed to be rebuilt."

"Across all regions we are still seeing a troubling trend of increasing stock collapse," said Boris Worm, of Dalhousie University and co-author of the report.

"But this paper shows that our oceans are not a lost cause. The encouraging result is that exploitation rate -- the ultimate driver of depletion and collapse -- is decreasing in half of the ten systems we examined in detail. This means that management in those areas is setting the stage for ecological and economic recovery. It's only a start, but it gives me hope that we have the ability to bring overfishing under control."

Most of the marine ecosystems studied were in intensive managed areas in developed countries where the scientists were able to collect regular data.

However, the report also found that often overfishing would move to areas with weaker laws and enforcement.

While most of the fisheries that showed improvement are managed by a few wealthy nations, there are some exceptions. In Kenya, scientists, managers, and local communities teamed up to close some key areas to fishing and restrict certain types of fishing gear. According to the study, this led to an increase in the size and amount of fish available -- and an increase in fishers' incomes.

"These successes are local - but they are inspiring others to follow suit," says Tim McClanahan of the Wildlife Conservation Society in Kenya.

"We know that more fish can be harvested with less fishing effort and less impact on the environment, if we first slow down and allow over-fished populations to rebuild," said Jeremy Collie from the University of Rhode Island, another author of the report.

"Scientists and managers in places as different as Iceland and Kenya have been able to reduce overfishing and rebuild fish populations despite serious challenges."

While the study suggests that closing areas to fishing, banning some types of fishing gear and changing fishing quotas have long-term benefits, they also come with short-term costs to fishers.

"Some places have chosen to end overfishing," said Trevor Branch from the University of Washington in the report. "That choice can be painful for fishermen in the short term, but in the long term it benefits fish, fishermen, and our ocean ecosystems as a whole."

However, "lessons from one spot need to be applied very carefully to a new area," said co-author Beth Fulton of the CSIRO Wealth from Oceans Flagship in Australia, since "there are no single silver bullet solutions. Management efforts must be customized to the place and the people."

@highlight

Methods available to meet fishing needs and conservation, report suggests

@highlight

General trend is towards overfishing, but rates in some areas slowing

@highlight

New Zealand, U.S., and Iceland show signs of some stock recovery

@highlight

Kenya provides rare success story of managed fishing in less developed countries