Kabul, Afghanistan (CNN) -- Exactly 10 years ago, a brutal civil war was being fought in Afghanistan as rebels advanced on the Taliban in the capital, Kabul.

From the former five-star Intercontinental Hotel -- a luxury hotel without TVs which were banned by the Taliban -- we watched as the rebels launched a daring raid on the airport.

We could see the rockets flying in and flames coming from the fuel dumps and damaged aircraft. A few hours later we heard about the attacks in the United States.

The Intercontinental was where we watched the civil war, and where we were on 9/11 though the TV ban meant bizarrely we could not watch those events, and it was where the Taliban foreign minister denied Osama bin Laden's involvement. This year it came under attack from the Taliban.

It's in the heart of Kabul and could symbolize the fragility of progress.

A few months ago the Taliban were able to storm the Intercontinental and put up a three-hour gun battle that eventually involved NATO coming in to quell.

That's part of the story here. There's the appearance of security but the Taliban can mount complex attacks.

The security we see is a veneer and that's in the capital. Meanwhile the rest of the country is open to violence and Taliban intimidation.

In Kabul now, you can walk the streets but you can't set a pattern without opening up the risk of kidnap.

For Afghans, the city is relatively safe. People blame the police for a lot of bribery at the various checkpoints.

But the city has improved. It's much greener because the irrigation systems have been repaired and that makes the city look and feel brighter.

Under the Taliban so much had been destroyed and it was always dusty. Now there are new hotels being built and lots of brand new glass in the windows.

The city looks and feels much better than it did but that does not make the place secure and right now the city is on very, very high alert.

There are more checkpoints and the searches are much more thorough. Everyone is aware the Taliban can launch complex attacks, like the one on the Intercontinental, and the anniversary of 9/11 would be a prime time for them.

Any moment when they can launch an attack that makes them look bigger or stronger than they are, they will exploit because of the worldwide headlines it would generate.

The thing about being in Kabul on 9/11 is we could not see any of the images because the Taliban had banned TV.

We could only visualize it through what others were telling us. I was on the phone to my wife when the second plane hit the World Trade Center and at that moment I knew it was terrorism and most likely Osama bin Laden.

He was the only one launching these 'spectacular' attacks against the U.S. that we had seen previously with the USS Cole and the embassies in Tanzania and Kenya.

Back then, eventually the Taliban said it was not safe for us. Under Afghan culture when they invite you into the country they protect you. This was their way of saying we needed to leave.

It was only when we were kicked out of the country about 10 days later that I got to see the damage from 9 /11 for the first time.

One of the hardest lessons over the past decade is the failure of the international community to step up.

It's frustrating that the window of opportunity that was there at the beginning was missed -- when all the Afghans wanted was weapons and warlords to be removed and disarmed so that they could have a normal life.

But the commitment that the international community gave was only sufficient only for its own needs - enough troops only to chase out al Qaeda -- and did not address the fundamental problem of Afghans.

Then the humanitarian money over the following years did not measure up to the task and the Taliban took advantage of that and exploited it.

It's also frustrating to realize -- without trying to heap all the blame on one person -- the failings or weaknesses of President Hamid Karzai have limited what can be achieved in the country.

When I first interviewed him he said the right things -- he wanted peace and stability for the whole country -- but he has failed to deliver, ran a corrupt regime and been accused by many of lying.

One of the big political issues now is to get agreement on the number of U.S. forces that can be based in Afghanistan. That will set in stone the future relationship between the two countries.

I don't think anyone expects good security in the near-term. There are no quick fix solutions to the fight with the Taliban.

There is a sense among Western officials that the Taliban is getting worn down and worn out but that is not what the Taliban says. They say they are ready to fight until the occupying force, NATO, leaves the country.

The scene is being set for a continuation of what we have already seen and as coalition forces draw down the Taliban will take any advantage.

On a personal level when there were the 7/7 attacks in London 2005 I was in the U.S. and it made me very concerned about my family and I felt the same in the immediate aftermath of 9/11.

I spend a lot of time examining the al Qaeda threat, and while I am happy that I put it in perspective and don't overblow it in my own my mind, I am very aware of what that threat could be.

So if there is a heightened threat warning I would advise my friends and family to be cautious.

@highlight

The Intercontinental Hotel has entertained diplomats and come under Taliban attack

@highlight

One of the hardest lessons of the past decade is the failure of the international community to step up

@highlight

President Karzai's weaknesses have also limited what can be achieved in the country

@highlight

Kabul enjoys a veneer of security but the rest of the country is open to Taliban violence