Zurich, Switzerland (CNN) -- Top international soccer officials are meeting Thursday in Switzerland to discuss whether to change the dates for the 2022 World Cup tournament in Qatar from summer to winter amid concerns over heat.

The two-day meeting of FIFA's executive committee in Zurich will also consider allegations that migrant workers employed on huge World Cup-related construction projects are being abused.

Dozens of workers' rights protesters, waving flags and brandishing red cards, gathered outside the complex ahead of the meeting as they delivered a letter to FIFA President Sepp Blatter calling on soccer's world governing body to ensure fair labor practices.

A FIFA official took the letter inside, saying that FIFA is taking the matter seriously.

Members of the executive committee, known as ExCo, declined to answer reporters' questions as they entered.

In addition to the issues of Qatar's summer heat and concerns over labor conditions, the committee is expected to hear an update from Qatar 2022 organizers on their preparations for the World Cup.

FIFA has been considering the option of moving the tournament because of fears that players and fans could be adversely affected by temperatures that sometimes reach 122 degrees Fahrenheit during the summer.

All 54 member associations of UEFA, Europe's governing body, last month voted against holding the tournament in the Qatari summer, adding to speculation that a move to the winter was in prospect.

But a winter World Cup would cause chaos with the European domestic season, with many clubs fearing they could lose out financially.

Decision, or no decision?

The final decision lies with FIFA's executive committee. Its verdict had been widely expected to come Friday -- but UEFA President Michel Platini has reportedly cast doubt on that. "There will be no decision. It is impossible," he is quoted by Britain's Daily Telegraph newspaper as saying Wednesday in Zurich.

Platini reportedly added that he was "much more concerned" by the allegations of abusive labor practices in Qatar than the question of when the tournament is played.

FIFA said last week that it would raise the issue of workers' rights with the Qatari authorities and that the executive committee would discuss claims that migrant workers are being exploited.

A CNN report in May highlighted allegations by rights groups that thousands of construction workers building the infrastructure for the 2022 World Cup have been abused, denied their wages and trapped in a situation from which they cannot escape because, under Qatar's visa system, they cannot leave the country without their employer's consent. Allegations made by The Guardian newspaper last week added to concerns.

The world professional footballers association, FIFPro, said that "Qatar must respect the rights of the key people who will deliver the 2022 FIFA World Cup: the workers who build the World Cup stadia and infrastructure and the professional footballers who play in them."

The Qatar 2022 Supreme Committee has said it is committed to ensuring workers' safety and well being.

Labor ministry: More inspectors, translators

Ali Al Khulaifi, an international relations adviser at Qatar's Ministry of Labor and Social Affairs, told CNN that Qatar is taking concrete steps to ensure its labor rules are enforced, including making it easier for workers to report abuses by their employers.

"We have a plan to double the number of inspectors by the end of the year," he said. "Since many of the migrant workers don't speak Arabic, we are hiring translators to submit complaints."

The Ministry of Labor says it plans to increase the number of branches it has from the current two in the capital, Doha, and five outside, but has not given details.

Conditions for workers in Qatar have come under increased scrutiny since a report in The Guardian last week alleging that dozens of Nepali migrant laborers died there over the summer.

"We are a member of the ILO (International Labour Organization). We have ratified the forced labor convention. So we're hiring an international firm to look into the allegations," Al Khulaifi said

"Work-related deaths are really unfortunate. But the numbers are less than what was published."

He said the ministry would investigate any claims that some companies are holding the passports of workers, preventing them from leaving, as has been alleged.

The ministry has commissioned an international law firm, DLA Piper, to carry out independent investigation into the allegations and report back to the government, the state-run Qatar News Agency reported Wednesday.

Legal action threatened

The question of any shift in the calendar for the 2022 Qatar World Cup -- or, more drastically, any move to take it away from the wealthy Gulf nation -- will be closely watched around the world.

Australia, which lost out to Qatar along with South Korea, the United States and Japan, believes it should be compensated if the World Cup is held in the winter rather than the summer and has threatened legal action.

A move to the winter months could also have big cost implications for European clubs and for broadcasters. Moving matches means shifting many of the events that the latter have paid multimillions for and, importantly, would be wanting to tie up in contracts for the future.

Blatter, the FIFA president, recently said that it would not be feasible to hold a summer World Cup in Qatar. But Qatar disagrees.

Hassan al-Thawadi, secretary general of the Qatar 2022 Supreme Committee, told CNN last week that it is "absolutely not" too hot during the summer to stage the tournament then.

He acknowledged that summer in his country is hot, but said, "Other nations have hosted similar World Cups in similar if not more severe conditions."

In addition, he said, Qatar is investing in cooling technologies for stadiums, training areas and fan areas.

This, he said, "adds more confidence to us in terms of our ability to host a very successful and very memorable World Cup."

CNN's Alex Thomas reported from Zurich and Leone Lakhani from Doha, while Laura Smith-Spark wrote in London. CNN's Schams Elwazer contributed to this report.

@highlight

NEW: Qatar's Labor Ministry says it will boost inspections and investigate claims of abuses

@highlight

Workers' rights protesters gather in Zurich as FIFA debates the 2022 Qatar World Cup

@highlight

A decision could be made on whether to move the tournament to Qatar's winter months

@highlight

There are fears players and fans could suffer in the searing heat of Qatar's summer