(CNN) -- Pope Francis has made clear that "wealth and income inequality is a moral issue" that needs addressing as a priority. Expect President Barack Obama to address that theme strongly during his State of the Union address Tuesday -- but for very different political reasons.

Barack Obama will make economic inequality central to his 2014 agenda in his State of the Union address on Tuesday night. The president's speech will be watched intensely not just in the United States, but right across the world.

This is because, right now, inequality is a very salient issue internationally. And, interestingly, it is not just politicians, but also other prominent figures (including, most notably, Pope Francis) who are championing this agenda.

Less than a year into his papacy, Francis has already criticized what he sees as modern society's "idolatry of money." He has clearly stated that "wealth and income inequality is a moral issue" that needs addressing as a priority.

And in a sign that Obama recognizes the growing international momentum behind this issue, the White House last week announced that the president will travel to the Vatican in late March. The talks will center around the "shared commitment [of the Pope and President] to fighting global poverty and growing inequality."

Obama's State of the Union address, and his March meeting with the Pope, will not just bring global attention to this agenda. It will also encourage campaigning on similar themes by politicians around the world, especially from the left of center.

To date, mainstream left parties in many countries have failed to capitalize electorally, particularly in Europe, on the last few years of economic downturn that has been the most acute period of crisis since at least the 1930s. But, the fortunes of the center left could yet be on the turn.

In Europe, for instance, UK Labour Party Leader Ed Miliband hopes to win office next year on a platform of voter discontent in the country over stagnant living standards.

Meanwhile, Canada's Liberal Party leader Justin Trudeau is championing a narrative of the struggling middle class in advance of the 2015 ballot in that country. And, in New Zealand, Labour Party Leader David Cunliffe hopes to seize power by exploiting economic inequality issues in an election expected this year.

Meanwhile, in the United States, the White House calculates that a core economic fairness agenda has the potential to reboot Obama's flailing second term of office, and prove a winning national theme for the Democratic Party in November's mid-term congressional elections.

To this end, Obama plans to use his address to build popular support, and also press for specific proposals to address income inequality, including extending jobless-benefits, and expanding the federal minimum wage to at least $10.

Professor Johannes Lindvall's fascinating research on the political consequences of the Great Depression, and the post 2008/09 Great Recession, is potentially illuminating about the left of center's political prospects in coming years.

He has shown that the electoral implications of both of these defining historical moments were similar to begin with: conservative parties generally performed stronger in ballots than the mainstream left soon after both economic crises began.

As Lindvall asserts, this could be potentially explained, in part, by the fact that the initial trauma of both the Great Depression and Great Recession were widely perceived as so significant that many middle class voters cast their lot in with conservative parties which were seen as better able to tackle the crisis.

In the two years after 2008/09 alone, for instance, center-left parties lost ground, or were jolted by significant electoral losses in countries in Asia-Pacific (Australia and New Zealand), to Europe (Czech Republic, Finland, Germany, the Netherlands, Sweden, the United Kingdom) and North America (in the 2010 U.S. mid-term elections).

What is potentially even more interesting, however, is that Lindvall found that once the Great Depression was no longer seen by voters as a major continuing threat, the political pendulum tended to swing back toward parties of the center left.

Of course, it is by no means certain that history will repeat itself. Lindvall, for instance, notes that politicians of the mainstream left today have less new agenda setting ideas and policy options than in the 1930s when an era of expansionary fiscal policies and welfare programmes blossomed.

Nonetheless, the longer the legacy of the 2008/09 crisis continues to bite, from higher youth unemployment to stagnant living standards, the greater the opportunities could be for the centre left to benefit.

Now as in the 1930s, economic hardship is being felt in many countries not just by the poor, but also the middle classes. And, it is this discontent that left-of-center politicians, including Obama, Miliband, Trudeau, and Cunliffe, are seeking to tap into.

The opinions expressed in this commentary are solely those of Andrew Hammond.

@highlight

Andrew Hammond: President Barack Obama will make economic inequality a priority

@highlight

Pope Francis has criticized modern society's "idolatry of money," he writes

@highlight

Hammond: The White House announced the president will travel to the Vatican in March

@highlight

The visit is a sign Obama recognizes the momentum behind this issue, he says