(CNN) -- Colombian and Mexican drug cartels have jumped the Atlantic Ocean and expanded into West Africa, working closely with local criminal gangs to carve out a staging area for an assault on the lucrative European market.

Authorities destroy cannabis found in Ivory Coast. West Africa is appealing to drug traffickers from Latin America.

The situation has gotten so out of hand that tiny Guinea-Bissau, the fifth-poorest nation in the world, is being called Africa's first narco-state. Others talk about how Africa's Gold Coast has become the Coke Coast. In all, officials say, at least nine top-tier Latin American drug cartels have established bases in 11 West African nations.

"The same organizations that we investigate in Central and South America that are involved in drug activity toward the United States are engaged in this trafficking in Western Africa," said Russell Benson, the Drug Enforcement Agency regional director for Europe and Africa. "There's not one country that hasn't been touched to some extent."

The calculus is simple: bigger profits in Europe than in the United States, less law enforcement in West Africa than in Europe.

The driving force is the booming European market for cocaine.

"The exponential rise in the number of consumers has made Europe the fastest-growing and most-profitable market in the world," said Bruce Bagley, dean of the Graduate School of International Studies at the University of Miami.

While the European market has been expanding, use in the United States has declined from its peak in the 1980s, the U.N. Office of Drugs and Crime said in its 2009 annual report, issued in July.

"Cocaine use prevalence in the USA is 50 percent lower than it was two decades ago, while Spain, Italy, Portugal, France and the United Kingdom have all seen cocaine use double or triple in recent years," the U.N. report said.

About 1,000 tons of pure cocaine are produced each year, nearly 60 percent of which evades law enforcement interception and makes it to market, the report said. That's a wholesale global market of about $70 billion.

Criminals traffic about 250 tons to Europe each year, though not all of it makes it there, the U.N. said. The European market totals about $11 billion. About 27 percent of the cocaine that entered Europe in 2006 came from Africa, the United Nations said.

Huge profits make Europe particularly attractive. Two pounds of uncut cocaine can sell for $22,000 in the United States but for $45,000 in Europe, analyst Ashley-Louise Bybee wrote in a policy journal this year. The Justice Department said the price in Europe can be three times more than in the United States.

"It's a significant market for them to exploit," Benson said.

A strong euro and weaker dollar also make Europe attractive to traffickers because of favorable exchange rates. There's also the fact that the European Union recently issued a 500 euro note, currently equivalent to about $700. The largest U.S. denomination in circulation is the $100 bill. Traffickers prefer the large euro notes because they are easier to carry in large quantities.

For example, Benson said that $1 million in $100 bills weighs 22 pounds, while $1 million in 500 euro notes weighs 3.5 pounds.

"It's a huge difference," he said.

Though Europe is highly attractive to traffickers, it can have tight, Western-style security. So the Colombian and Mexican cartels have discovered that it's much easier to smuggle large loads into West Africa and then break that up into smaller shipments to the continent -- mostly Spain, the United Kingdom and France.

West Africa is a smuggler's dream, suffering from a combination of factors that make the area particularly vulnerable. It is among the poorest and least stable regions in the world. Governments are weak and ineffective and, as a top DEA chief testified to the U.S. Senate this summer, officials are often corrupt.

Law enforcement also is largely riddled with corruption. Criminal gangs are rampant. Foot soldiers can be recruited from a large pool of poor and desperate youth.

"It's a point of least resistance," Benson said.

West Africa refers to Benin, Burkina Faso, Cape Verde, Ivory Coast, Gambia, Ghana, Guinea, Guinea-Bissau, Liberia, Mali, Mauritania, Niger, Nigeria, Senegal, Sierra Leone and Togo.

"This area of the world is ripe," Bagley said. "There has been very little attention paid to it. The United States is loath to give aid to these countries because they are corrupt."

U.S. authorities find themselves at a great disadvantage fighting cartels that have much more money and guns. The DEA has four offices -- in Egypt, Ghana, Nigeria and South Africa -- to cover a continent that spans 11.7 million square miles and has nearly 1 billion people.

"It's a big place," Benson acknowledges, noting that there are 54 countries on the continent.

Local police also are vastly outgunned. Guinea-Bissau offers an alarming example.

"The Judicial Police ... have 60 agents, one vehicle and often no fuel," analyst Bybee wrote in a journal called New Voices in Public Policy, published by the George Mason University School of Public Policy. "As a result, when culprits are apprehended, they are driven in a taxi to the police station. They just recently received six sets of handcuffs from the U.K., which were badly needed. In the military, one rusty ship patrols the 350-kilometer (217-mile) coastline and 88 islands."

Even when criminals are caught, Bybee said, "the near absence of a judicial system allows traffickers to operate unimpeded." For example, she said, "because the police are so impotent, the culprits are often held for just a few hours before senior military personnel suddenly attain extraordinary judicial powers to demand their release."

The few officials who stand up to the traffickers receive death threats or are killed.

West Africa also is particularly attractive to traffickers because it is near "the soft underbelly of Europe," said retired four-star Army Gen. Barry McCaffrey, who was drug policy director for President Clinton.

Geography plays another role because West Africa is fairly close to the three South American nations that produce nearly all of the world's cocaine -- Colombia, Peru and Bolivia. Many of the shipments depart from Venezuela, which shares a 1,273-mile (2,050-kilometer) porous border with Colombia and is even closer to Africa.

"They go right dead-ass across the shortest route," McCaffrey said.

Most of the cocaine shipments cross the Atlantic in large "mother ships" and then are off-loaded to small vessels near the coastline, the United Nations said. Small planes modified for overseas flight that can carry a 1-ton cargo also have been used. Most of those come from Venezuela, the United Nations reported.

A report issued in July by the Government Accountability Office said traffickers use go-fast boats, fishing vessels and commercial shipping containers as the primary means of smuggling cocaine out of Venezuela. McCaffrey also noted the use of go-fast boats and special planes.

DEA Assistant Administrator Thomas Harrigan testified before the Senate in June that authorities in Sierra Leone seized a cocaine shipment last year from a twin-engine aircraft marked with a Red Cross insignia. The flight originated in Venezuela, he said.

The GAO report noted that "U.S. government officials have observed an increase in suspicious air traffic originating in Venezuela." In 2004, the report said, authorities tracked 109 suspect flights out of Venezuela. In 2007, officials tracked 178 suspicious flights.

Then there's the crime connection in West Africa.

"Colombian and Venezuelan traffickers are entrenched in West Africa and have cultivated long-standing relationships with African criminal networks to facilitate their activities in the region," Harrigan told a Senate subcommittee on African affairs.

"These organizations don't operate in a vacuum," Benson said. "They have to align themselves with West African criminal groups."

The cartels also have aligned themselves with terrorists, Harrigan said.

"The threat of narco-terrorism in Africa is a real concern, including the presence of international terrorist organizations operating or based in Africa, such as the regional threat presented by al Qaeda in the Lands of Maghreb," he said, referring to al Qaeda activists in North Africa. "In addition, DEA investigations have identified elements of Colombia's Fuerzas Armadas Revolucionarias de Colombia [FARC] as being involved in cocaine trafficking in West Africa."

Benson said the groups operating in Africa are "primarily narcotics organizations" but acknowledged that the Marxist FARC guerrillas in Colombia are a force to be dealt with. The rebels have waged war on the Colombian government for more than 40 years.

"The profit potential is such that the FARC is one of the largest cocaine-trafficking operations globally and is also a terrorist organization," he said.

Bagley and McCaffrey see less evidence of terrorist connections with the traffickers in Africa, both using nearly identical language.

"I'd be really skeptical of those kinds of assertions," McCaffrey said.

"I'm quite skeptical about linkages between cartels and terrorists," Bagley said. "The criminal groups seek profits. They're not interested in taking over governments."

Still, Bagley said, traffickers and terrorists may use some of the same criminal networks.

Analysts note that the surge of cartel activity in West Africa is a fairly recent development. The U.N. report said it started around 2005. Bybee places it around 2006.

McCaffrey, who was in the Clinton White House in the 1990s, said he saw the problem coming a long time ago.

"I've been warning people in Europe and Latin America starting 10 years ago where this issue was going to move," he said. "The Europeans absolutely blew me off."

The U.N. report offers some hope, saying that cocaine seizures in Europe peaked in 2006 and topped out in West Africa in 2007. Overall seizures have declined since 2006, the report said.

"This trend appears to be continuing in 2009 and includes declines in the number and volume of seizures made in the region and in the number of air couriers coming from the region in Europe," the report concluded.

For example, authorities seized 11 large shipments in Africa in 2007, four in 2008 and none so far this year.

The report does not specify whether there are fewer shipments or smarter criminals avoiding detection.

But if there is a decline, the DEA's Benson said he has not seen it.

"In the last three or four years, it's increased quite dramatically," he said. "The Colombian organizations have been active there longer than that. In the last two years, we've also seen Mexican involvement in the area as well."

@highlight

Guinea-Bissau, fifth-poorest nation in the world, is called Africa's first narco-state

@highlight

Officials: At least nine Latin American drug cartels have set up bases in West Africa

@highlight

West Africa has little law enforcement, making it easier for traffickers there

@highlight

More money can be made selling drugs to Europe than to the U.S., officials say