(CNN) -- It may be far from home but a South African company is powering its way into the U.S. energy landscape, hoping that its grand plan to introduce a once-shunned technology in the United States will pay off.

Sasol, a Johannesburg-based energy giant, announced late last year its intention to spend up to $14 billion on building the first U.S.-based commercial plant to perform the alchemy of turning natural gas into liquid fuels -- hailed as one of the biggest investments from a non-U.S. company in American history.

Using a process known as gas-to-liquids (GTL), the company plans to chemically convert gas into transport fuels, lubricants and other chemical products.

"In that technology we take natural gas and we actually break the molecule down and then reform that molecule into other high-value products like diesel," says Mike Thomas, Sasol's vice president of U.S. operations, explaining the company's proprietary technology.

Gas boom

Sasol's mega-project in Louisiana also includes a separate $5 to $7 billion ethane cracker and derivatives plant. It has picked the United States for its GTL facility because the country has abundant shale gas, released through the controversial drilling process of hydraulic fracturing -- or fracking

Due to the rise in fracking, estimates suggest that the U.S. has more than 100 years' supply of natural gas. Sasol, which has been producing synthetic fuels for decades, says it will not be fracking directly to source natural gas feedstock for its facilities, instead tapping into the U.S. natural gas market through the existing infrastructure.

Read this: World's biggest dam to light up Africa?

"The price of the natural gas in the United States is about the lowest in the world and the markets are also in the U.S.," says Thomas. "If you look within the United States, particularly on the U.S. Gulf Coast where we are ... there is no better infrastructure for the petrochemical industry in the United States, and probably in the world."

Old technology, new use?

Although GTL is only now gearing toward its commercial U.S. debut, the process on which it's based dates back to the 1920s. Yet, by the 1950s, the conversion technology was largely abandoned. High production costs and the emergence of much cheaper products made from refined crude oil rendered GTL commercially unviable. Meanwhile, the high correlation between natural gas and crude oil markets meant that there wasn't a significant difference between the two prices, therefore no opportunity for companies to exploit margins.

As a result, the technology failed to establish a foothold in the market. The only country where it gained wide traction was coal-rich South Africa where international embargoes during the apartheid years made oil hard to come by.

Today, only Sasol and Royal Dutch Shell are converting gas into liquid vehicle fuel on a commercial level.

Yet experts say the current price difference between natural gas and oil, courtesy of the recent shale gas boom, coupled with the long-term global transport trends favoring low-emissions fuels, have helped turn GTL into a particularly appealing proposition in places like North America -- as it means less reliance on oil from the Middle East.

"We're taking Sasol's technology, which was developed here in South Africa for the past 63 years, and helping the U.S. be more energy independent and have a security of supply," says Sasol's chief executive David Constable.

Restraints

Sasol, which already operates smaller GTL plants in South Africa and Qatar, expects its Louisiana-based facility to produce at least 96,000 barrels per day, creating 1,200 permanent jobs in the following years. It describes GTL diesel as a cleaner-burning fuel that can be used in existing vehicles and fuel delivery infrastructure without any modifications.

Yet despite the renewed interest in GTL, many still see the technology as a precarious business. Analysts say the requirement to invest hefty sums to build plants and manufacture products means that finances for large-scale projects could often be difficult to balance.

"The economics can be a bit shaky," says Craig Brown, downstream oil and petrochemicals analyst at PFC Energy. "The whole process is extremely energy intensive and tends to be more costly than crude distillation," he adds.

But, more importantly, critics say the biggest danger is that if the cost of gas rises to the price of oil, the technology will lose its commercial appeal.

"With that amount of capital expenditure, they need to have a degree of certainty that the gas prices are going to stay at a certain price for a long period of time to make it an economically viable project long-term," says Brown.

'Very viable'

Still, Sasol is determined to press ahead with its big plans.

The company says its investments are "well-reviewed" and thoroughly scrutinized "to make sure that these are good sound projects" that will open up new economic opportunities.

"We've looked at it in many different ways," says Constable.

"We've proven it here in South Africa, we've proven it up in Qatar," he adds. "It's a sought-after product, it's a sought-after technology -- if you look at those dynamics as macroeconomics over the long term, we see our projects as being very, very viable."

@highlight

South African energy giant Sasol building a gas-to-liquids plant in Louisiana

@highlight

The technology will help it convert natural gas to transportation fuels

@highlight

Project is one of the biggest investments from a non-U.S. company in American history

@highlight

Critics warn the technology is not commercially viable if cost of the gas rises to the price of oil