(CNN) -- A senior Vatican official acknowledged Thursday there is "no excuse" for child sex abuse, as he and others were grilled by a U.N. committee about the Catholic Church's handling of pedophile priests.

It's the first time the Vatican has been forced to answer allegations so publicly that it enabled the sexual abuse of children by protecting such priests.

The committee questioned a handful of Vatican officials -- including Monsignor Silvano Tomasi, permanent observer of the Holy See to the United Nations in Geneva, and Monsignor Charles Scicluna, the Vatican's former chief sex-crimes prosecutor -- for several hours Thursday in Switzerland.

In his opening remarks, Tomasi said, "There is no excuse for any form of sexual violence or exploitation of children. Such crimes can never be justified, whether committed in the home, in schools, in community and sports programs, in religious organizations and structures. This is the longstanding policy of the Holy See."

He said the body would welcome any suggestions on promoting and respecting children's rights from the panel, the U.N. Committee on the Convention on the Rights of the Child.

In a series of hard-hitting questions, committee member Sara Oviedo pressed Tomasi over what kind of sanctions are imposed on abusive priests and whether they are handed over to the justice systems of the countries where crimes are committed.

The Vatican officials were also questioned on what is being done to prevent bishops transferring problem priests to different parishes in order to cover up their abuses.

Since taking the helm of the Roman Catholic Church in March, Pope Francis has told a senior Vatican official to carry out "due proceedings against the guilty" in sexual abuse cases.

Vatican sets up commission against sexual abuse of minors

Scicluna: No 'coverups'

Scicluna said he was there to say that "the Holy See 'gets it' " with regard to the issue and that no one should stand in the way of the prosecution of abusive priests.

"Let's not say too late or not," he said. "But there are certain things that need to be done differently. I would talk about cover-up, for example, because this is a very important concern."

States "need to take action against citizens of the country who obstruct justice in such an egregious crime as sexual abuse of minors, whoever these people are," Scicluna said.

"It is not a policy of the Holy See to encourage cover-ups," he said. "This goes against the truth. Only the truth will help us move on to a situation when we can start being ... an example of best practice."

This comes down to the Roman Catholic Church's work on the ground, Scicluna said, not just words.

He said that education of clergy and laypeople connected to the church is key, as is the enforcement of guidelines on child protection.

As for priests who have committed sexual abuse of minors, the Holy See has made clear in a letter to bishops that it is "a no-go simply to move people from one place to another, from one diocese to another" without being open about their backgrounds, Scicluna said.

The Vatican officials were also quizzed on transparency. "The best way to prevent new offenses is to reveal old ones and to remove the offender from positions where he or she will have the opportunity to reoffend -- so openness instead of sweeping the offenses under the carpet," a panel member said.

The panel also urged the Vatican officials to do "very concrete things" to help those who have suffered abuse by clergy, and to give them "closure" so they can move forward.

"It's a first step," Joelle Casteix, a regional director for SNAP -- the Survivors Network of those Abused by Priests -- said ahead of Thursday's hearing. "Five years ago, we never thought that something like this would even be possible."

But the Center for Constitutional Rights, a nonprofit legal group which has worked alongside SNAP, said the Vatican had "consistently refused to accept responsibility" for sexual abuse of children and that its response was still "unsatisfactory."

"The Vatican attempted to relegate the issue to the past and claim it is a new era, that they now 'get it,' but they continue to refuse to turn over records for prosecution, punish higher-ups that covered up the crimes, or provide any real evidence that they are now putting the safety of children above the reputation of the Church," said an attorney for the center, Pam Spees.

"Nonetheless, today's hearing is a milestone in calling for an end to these days of impunity. The international community is demanding answers, and that is the first step toward true accountability and, we hope, an end to the widespread violence against children."

'A wound that hurts the church'

Panel members said that what the Vatican officials expressed Thursday was a welcome change in attitudes and that they wanted to see the measures promised become a reality.

Tomasi assured them that action on the issue of sex abuse was a priority.

"For the Holy See, the whole problem of the abuse of children is a wound that hurts the church as a community of faith, and it's a suffering first of all within the community of faith," he said.

"And therefore it becomes not just a legal but moral and human commitment to continue to support and defend the principles of the convention that are protecting the children in a very specific way."

CNN's senior Vatican analyst, John Allen, said observers are looking to see whether the Vatican under Francis' leadership will crack down on bishops accused of covering up abuse by their priests.

It's rare to see senior Vatican officials grilled in public in the way they were Thursday, Allen said.

While the details that have emerged are not new, he said, the hearing signals that the world is watching to see whether the expectations of reform raised by Francis' steps so far will be matched by action on the ground.

One matter of contention is that the Holy See argues that its direct jurisdiction extends only to the tiny Vatican City state and not to the Roman Catholic Church as a whole, although it provides guidelines to it.

Other questions asked Thursday dealt with the church's approach to forced adoptions of children, including historical cases where religious bodies in Ireland and Spain are accused of removing children born to unmarried mothers, who were then given to "more suitable" adoptive parents.

The panel asked the Vatican officials what action was being taken to reunite those children with their families and to punish those responsible for their removal.

It also urged them to encourage care of orphaned or abandoned children in homes rather than in church-run institutions, where they may be vulnerable to abuse.

The Holy See ratified the U.N. Convention on the Rights of the Child in 1990, but critics say it is failing to abide by its provisions.

Pope Francis lays down the law on child sex abuse on Vatican grounds

Pope: 'Act decisively'

In April, Francis recommended that the church's Congregation for the Doctrine of the Faith "act decisively with regard to cases of sexual abuse, first of all by promoting measures for the protection of minors, as well as in offering assistance to those who have suffered abuse, carrying out due proceedings against the guilty," the Vatican said at the time.

The statement does not specify who "the guilty" are.

But in recent years, priests, nuns and other people connected to the Catholic Church have been accused of sexually abusing children.

Francis called for the church hierarchy to "formulate and implement" directives to address an area he described as "so important" to the church's credibility and worship.

'Most vulnerable' victims

Even with the inroads made, SNAP would like to see more action from the Vatican.

"Pope Francis has been a very popular pope, but when it comes to child sexual abuse, he has followed the same strategies as his predecessors," Casteix said.

His predecessor, Benedict XVI, said many times that abusers should be prosecuted, but SNAP and other victims' groups said he did too little.

Benedict spoke with some victims of sexual abuse by priests on papal visits to countries including the United States and the United Kingdom, where he expressed his "deep sorrow" about the scandal. The Vatican selected those he met.

The challenge for Francis is to do more, Casteix said.

"This is a man who has a rock star-like popularity. He has reached out to the poor; he has reached out to the desperate and the vulnerable. But he has continually ignored the sex abuse victims, those who are the most vulnerable and who were hurt by his clerics," Casteix said.

"It is time, it is a simply easy thing for him to do, and I believe that this hearing will really prove to him and the world how important it is that he take decisive action to stop abuse and coverup."

@highlight

NEW: Vatican response still unsatisfactory, Center for Constitutional Rights says

@highlight

Vatican urged to take "concrete" steps to help victims of abuse by clergy

@highlight

"It is not a policy of the Holy See to encourage cover-ups," a Vatican official says

@highlight

Victims' group calls for action, not words; says Pope Francis should take a new path