San Diego, California (CNN) -- "Let the word go forth from this time and place, to friend and foe alike, that the torch has been passed to a new generation of Americans -- born in this century, tempered by war, disciplined by a hard and bitter peace, proud of our ancient heritage ..." — John F. Kennedy, inaugural address, 1961

At the risk of being accused of ageism, let me suggest that the Republican Party should set its mind in 2016 to nominating a presidential candidate who is young enough to make their likely Democratic opponent look, well, not so young.

In November 2016, Hillary Clinton — who won't be the only Democrat running in the primaries, but will surely be the frontrunner — will be 69 years old. Already, we've seen one headline that spells out what a lot of Americans may be thinking: "Is Hillary Clinton Too Old to be President?"

We're not supposed to ask that question or mention Hillary's age. That's because she's a woman and a Democrat and we're only allowed to bring up a candidate's age when we're talking about men and Republicans.

Besides, Clinton is a baby Boomer, and that demographic of 70 million Americans is determined -- by virtue of sheer size -- to redefine every stage of life. We can expect to read plenty of articles in the months to come, green lit by baby boomer editors, about how 70 is the new 40. Or something like that.

All spinning aside, here's the bad news for Democrats: While Americans have come to expect that being president tends to prematurely age whomever occupies the office, when it comes to electing a president, they still seem prefer to vote for people for whom the aging process isn't already too far along.

That's a polite way of saying that voters often prefer younger candidates to older ones. In the field of politics -- as in sports and entertainment -- many people worship at the altar of youth and what President Kennedy used to call "vigor."

Even in the best of times -- economic prosperity, a healthy job market, no threats to our national security and so on -- being president is a tough gig. The job is intellectually taxing, emotionally draining, and physically demanding. I would imagine that just the daily terror briefings alone, where the president is informed of all the plots that were foiled by authorities the night before, is enough to turn one's hair white.

There have been exceptions. In 1984, President Reagan -- at 73 -- famously quipped during a debate with his 56-year-old Democratic opponent, Walter Mondale, that he wouldn't "exploit for political purposes my opponent's youth and inexperience." In his runaway bid for re-election, Reagan carried 49 states.

But there are lots of examples of youth carrying the day.

-- Kennedy had no qualms about exploiting youth for political purposes. In 1946, the Massachusetts Democrat vied for the state's 11th congressional district. Campaign posters offered the slogan: "A New Generation Offers a Leader." Kennedy won; he was just 29 years old. It was 15 years later, at 44, as he was sworn in as president, that he talked about how the "torch" of leadership had been passed to his cohort -- the fabled "World War II Generation."

-- In 1992, 46-year-old Bill Clinton went on MTV, played the saxophone on "The Arsenio Hall Show" and told Americans -- in the words of Fleetwood Mac -- "don't stop thinking about tomorrow." In that race, Clinton defeated the incumbent president, 68-year-old George H.W. Bush. In 1996, a 50-year-old Clinton beat Sen. Bob Dole of Kansas, who was 73 years old.

-- In 2008, after a campaign full of whispers about his opponent's health and vitality, 47-year-old Barack Obama handily defeated Sen. John McCain of Arizona, who was 72 at the time. Four years later, in 2012, a 51-year-old Obama cruised to victory over 65-year-old Mitt Romney, the former Massachusetts governor.

Now imagine how 2016 could shape up. By then, a 69-year-old Hillary Clinton could find herself slugging through a tougher-than-expected Democratic primary against a 73-year-old Joe Biden or Sen. Elizabeth Warren of Massachusetts, who will then be 67 years old. Democrats should take a good hard look at more youthful candidates such as New York Gov. Andrew Cuomo, who will be 58 years old, or a 53-year-old Martin O'Malley, the governor of Maryland.

Meanwhile, Republicans should definitely be looking for a younger candidate on the assumption that Clinton will be the nominee. In fact, Republican National Committee Chairman Reince Priebus should just flat-out declare that -- for this job -- anyone over 60 years old need not apply.

Some might consider this requirement unfair, even tantamount to age discrimination. Not so. All sorts of jobs have mandatory age limits attached to them.

Why not the presidency? It's true that, in 2016, there will be millions of Americans who are older than 60. But I would wager that more of them will -- at that stage of life -- be interested in easing into retirement than running for president. Older voters don't necessarily vote for older candidates, just as younger voters don't always support younger candidates.

A GOP age limit would still leave an opening for what will be, in 2016, a pair of promising 45-year-old Hispanic senators — Ted Cruz of Texas and Marco Rubio of Florida. Sen. Rand Paul of Kentucky would also make the cut since he'll only be 53 years old. Rounding out the top tier of GOP hopefuls, Wisconsin Gov. Scott Walker will be 49 years old, and New Jersey Gov. Chris Christie will be 54 years old.

The bad news: Capping applicants at 60 would exclude one of the best Republican prospects — former Florida Gov. Jeb Bush, who will be 63 in 2016. The good news: It'll also spare the country another Quixotic presidential campaign by Mitt Romney, who would be 69.

This isn't about ability. It's about electability. So the question isn't whether a given candidate is too old to serve as president. It's whether voters are willing to hand the presidency over to someone who they perceive as too old.

In 2016, the message to both parties should be: "Go young — or go home."

@highlight

Ruben Navarrette: 2016 GOP candidate should be young, to make Dem opponent look old

@highlight

He says we're 'allowed' to mention older male candidates' age but not Hillary's. It's an issue

@highlight

Candidates age quickly in tough office. With some exceptions, youth, vigor better, he says

@highlight

Navarrette: Candidates should be capped at 60. 2016 message: 'Go young, or go home'