(CNN) -- Tar balls found on Florida Keys beaches Monday and Tuesday are not from a massive oil spill off the coast of Louisiana, the Coast Guard said Wednesday.

"A sampling of tar balls discovered on beaches at Fort Zachary State Park, Fla., Smathers Beach in Key West, Big Pine Key, Fla., and Loggerhead Key in the Dry Tortugas National Park, Fla., were flown by a Coast Guard HU-25 Falcon jet based in Miami, Fla., to New London, Conn., Tuesday for testing and analysis," a Coast Guard statement said.

"The results of those tests conclusively show that the tar balls collected from Florida Keys beaches do not match the type of oil from the Deepwater Horizon oil spill in the Gulf of Mexico," the statement said. "The source of the tar balls remains unknown at this time."

However, "the conclusion that these tar balls are not from the Deepwater Horizon oil spill incident in no way diminishes the need to continue to aggressively identify and clean up tar ball-contaminated areas in the Florida Keys," said Coast Guard Capt. Pat DeQuattro, commanding officer of Sector Key West.

DeQuattro authorized the use of the Oil Spill Liability Trust Fund on Tuesday to begin cleanups of any oil pollution on Florida Keys shores and established a unified command made up of members of the Coast Guard, the National Oceanic and Atmospheric Administration, the Department of the Interior, and state and local officials to manage the tar ball response, the Coast Guard said.

The tar balls nevertheless have raised fears that oil from the Gulf spill is headed to the coastlines of Florida and beyond.

Researchers and federal officials seem to agree that a plume of oil is being dragged into the Gulf of Mexico's Loop Current. The current flows through the Yucatan Channel between Cuba and Mexico, and then northward, where it loops just south of the Florida Keys and travels to the west side of the western Bahamas, according to meteorologists.

The European Space Agency issued a statement Wednesday saying satellite images show the oil is in the Loop Current.

"With these images from space, we have visible proof that at least oil from the surface of the water has reached the current," Bertrand Chapron of Ifremer, the French Research Institute for Exploitation of the Sea, said in the statement.

A new tracking forecast prepared by four experts relying on five computer models shows that part of the oil may reach the Keys in five to six days, and Miami, Florida, five days after that, Sen. Bill Nelson, D-Florida, said in a statement Tuesday.

"While I always hope for the best, this is looking like really out-of-control bad," Nelson said.

The forecast cited by Nelson assumes the Loop Current's persistence and does not take into account dispersion and evaporation from the oil spill, CNN meteorologist Sean Morris said. It remains to be seen how much oil has entered the current. In addition, he said, "the Loop Current is much warmer than surrounding water, which would cause oil to evaporate at a greater rate than it is evaporating near the source of the spill."

Also Tuesday, NOAA shut down fishing in a larger part of the Gulf over which the federal government has jurisdiction: a total of 45,728 square miles, which is 19 percent of the Gulf, NOAA Administrator Jane Lubchenco said.

An undersea oil well has been gushing an estimated 5,000 barrels of oil a day (210,000 gallons) into the Gulf since late April, when the drill rig Deepwater Horizon blew up and sank about 40 miles off Louisiana. Some estimates have put the amount of oil spewing from the well far higher.

Eleven workers are missing and presumed dead after the explosion and sinking, and the cause has not been determined.

Samples taken by scientists offshore have raised concerns that large plumes of oil are settling below the surface. But federal officials said the results have not been fully analyzed.

Some of the oil has washed ashore on the Louisiana coast. The Mississippi Emergency Management Agency said Tuesday that the slick was 50 miles off the Mississippi coast.

Weather Underground meteorologist Jeff Masters said Tuesday that based on satellite imagery, "the oil is definitely in the Loop Current. ... The only question is how much oil made it in."

Others, including Lubchenco, said the oil was poised to enter the current Tuesday but had not yet done so. Once it does, scientists say it could reach Florida in as little as four and as many as 10 days.

Once in the Florida Straits -- waters between Florida, Cuba and the Bahamas -- onshore winds would be required to push the oil onto shore, along with oil getting into an eddy on the edge of the current, Lubchenco said.

The oil might not actually make it to Florida, depending on current patterns, Masters said. "The currents right now in the Gulf of Mexico are changing rapidly, day by day. It's kind of an unstable situation."

Chanmin Hu, associate professor of optical oceanography at the University of Miami, said scientists "do not have a very reliable, sophisticated 3-D model to capture what's going on on the ocean bottom." Most efforts have been concentrated on the surface of the water, he said, and different depths have not been observed.

Hu said he and other researchers are headed to the spot where the oil meets the Loop Current and will collect samples and measure water properties on Wednesday.

According to the NOAA website, tar balls are remnants of oil spills. When crude oil floats on the surface of the water, it is torn into smaller patches covering a wider area by winds and waves. The oil undergoes a process called "weathering."

The lighter components of the oil evaporate, and heavier components are left behind. Some crude oils mix with water to form "an emulsion that often looks like chocolate pudding" that is thicker and stickier than the initial oil, NOAA said. "Winds and waves continue to stretch and tear the oil patches into smaller pieces, or tar balls." The tar balls can travel hundreds of miles, according to the website.

@highlight

Coast Guard tested tar balls from Keys, Dry Tortugas; source is unknown, it says

@highlight

Group made of federal, state, local officials created to manage response to tar balls

@highlight

European Space Agency says satellite images show oil now in Gulf of Mexico's Loop Current

@highlight

Researchers headed to the spot where oil meets Loop Current to collect samples today