(CNN) -- Have you ever been caught in a shoot-out, dodging bullets as they scatter across walls? Or participated in a bank robbery in broad daylight?

No need to duck.

Modern-day fans of America's outlaws can safely step into one of the most famous gunfights in history and the first successful daylight robbery.

Although famous outlaws John Dillinger and Jesse James aren't usually embraced for their violence, their exploits are a part of America's history. The birthplaces, graves and trails once traveled by these famous American criminals can be found all over the United States. Here are some of the best locations to relive the most well-known rogues of yesteryear.

John Dillinger, Wisconsin and Arizona

American gangster John Dillinger, whose criminal run was featured in the 2009 Johnny Depp movie "Public Enemies," robbed two dozen banks and four police stations during his Depression-era crime spree. With all the violent criminals running rampant at the time, Dillinger is probably the most infamous of all: His crimes inspired the FBI to develop their organized crime unit and made it a priority to catch Dillinger.

Little Bohemia Lodge in Manitowish Waters, Wisconsin, was the site of the famous 1934 Dillinger gang shootout with the FBI in which Dillinger, attempting to hide and evade law enforcement, narrowly escaped with his life. With hundreds of bullet holes in the windows and walls, it's preserved just as it was 80 years ago. The lodge is still open for dining, but with an updated menu.

Another famous Dillinger site is Hotel Congress in Tucson, Arizona. Dillinger was arrested after a fire at the hotel, transferred to Indiana and escaped prison months before the Little Bohemia shootout.

Jesse James, Missouri

Jesse James was one of the most prolific outlaws of the Wild West, believed to have robbed dozens of banks and trains. Although he lived and died in the state of Missouri, the James gang was responsible for major heists in many other states.

After being pursued by law enforcement for nearly 20 years, ironically James was shot and killed by one of his fellow gang members for a $10,000 reward. The 2007 Brad Pitt movie "The Assassination of Jesse James" focuses on the outlaw's death and his relationship with Robert Ford, the friend who shot him in the back of the head.

The Jesse James Farm and Museum in Kearney, Missouri, is the birthplace and childhood home of James, born in 1847. Visitors can tour the restored home and see where the adventure began. The town hosts an annual Jesse James festival in September.

Liberty, Missouri's Jesse James Bank Museum is known as the site of the nation's first successful daylight peaceful bank robbery in 1866. Although the culprits were never caught, this robbery has been attributed to the James gang.

In nearby St. Joseph is the Jesse James Home Museum, where James was killed. This museum holds artifacts of James' life and death, including the evidence from his 1995 exhumation that laid to rest the rumors that he wasn't really dead.

Bonnie and Clyde, Texas and Louisiana

Immortalized in the 1967 movie "Bonnie and Clyde," Bonnie Parker and Clyde Barrow traveled the central United States and robbed banks during the Great Depression. In 1934, only a few years after their killing spree began, the couple was ambushed in Bienville Parish, Louisiana by Texas and Louisiana law enforcement who had been in pursuit. Caught off-guard, it's said they were shot to death in their car without ever returning fire.

Bienville Parish, eight miles South of Gibsland, Louisiana, has a monument at the ambush site that tourists can visit. The cement marker is repeatedly vandalized and scavenged by souvenir hunters and has to be replaced often, but remains standing.

Both natives of Dallas, numerous places from their past can be found in and around the Dallas-Fort Worth area. The pair's gravesites and Parker's elementary school are just a few of the sites that can be visited.

Butch Cassidy and the Sundance Kid, Wyoming

To relive the adventures of the real-life Butch Cassidy and the Sundance Kid, featured in the 1969 movie starring Paul Newman and Robert Redford, head to Cody, Wyoming. The town holds Cassidy's home in Old Trail Town, Outlaw Cave and trails commonly traveled by his gang, and several others, for safe passage and places to hide out.

Hole-in-the-Wall pass, in the Big Horn Mountains, once held the log cabin where Butch Cassidy's Wild Bunch gang met. Located in a secluded area, lawmen couldn't approach without the gang knowing, keeping them safe. The cabin is preserved at the Old Trail Town Museum.

Some 20 miles west of Kaycee is the Outlaw Cave Recreation Area, another spot where the gang used to hide out. The cave was well hidden and bordered Colorado, allowing for a quick exit from authorities and rival gangs.

Al Capone, Pennsylvania and Illinois

Perhaps the most notorious of all American mobsters was Alphonse Capone, the infamous leader of the Chicago mafia during prohibition. The 1929 St. Valentine's Day Massacre, in which Capone's men lured and killed rival bootleggers, turned the mob boss into a household name, as the media went wild.

Despite all the killings for which he was responsible, Capone was convicted of tax evasion in 1931 and served only seven years in prison. He died at his home in 1947, immortalized as one of the most notorious criminals of the 20th century.

Robert De Niro played Al Capone in the 1987 box office hit "The Untouchables," which recounted FBI agent Eliot Ness's fight to bring Capone to justice.

Al Capone spent eight months at Philadelphia, Pennsylvania's Eastern State Penitentiary in 1929. This was Capone's first prison sentence, for carrying a concealed and deadly weapon, and he spent his time in a cell on Park Avenue Block with fine furniture, a cabinet radio and other luxuries.

Capone's grave is just outside Chicago at Mount Carmel Cemetery, with a stone monument and flat marker. It's not unusual for visitors to leave icons of his legendary status, such as cigars and bottles of alcohol.

Billy the Kid, New Mexico

Billy the Kid only lived to be 21, dying in 1881, but it's believed he killed eight people in his short life. A frontier outlaw of the Wild West, Billy the Kid started his life of thievery and crime early, eventually joining the Regulators, a gang of lawmen-turned-outlaws. Paul Newman also took on the role as a young Billy the Kid in a 1958 movie that portrayed the outlaw as a misunderstood young man.

In 1880, Billy the Kid was arrested for killing a Lincoln County sheriff and subsequently escaped jail after being sentenced to death. A year later, he was found and shot to death by Sheriff Pat Garrett in Fort Sumner, New Mexico.

The Billy the Kid Museum in Fort Sumner opened in 1953 and is filled with over 60,000 relics of the Wild West, many of them historic. The adjoining state monument, Old Fort Sumner, was once a familiar haunt of Billy the Kid's. With plenty of friends nearby and no lawman within a day's travel, it was an ideal place to lie low. When strangers arrived, locals would alert "The Kid," so he could disappear into the countryside until it was safe to return.

Bugsy Siegel, Nevada

A vital part in developing the Las Vegas strip, Benjamin "Bugsy" Siegel was born in Brooklyn, New York, in 1906 but became famous for his role in the development of the Las Vegas strip 40 years later. Before moving to Nevada, he spent years in New York and California as a bootlegger and ruthless killer. The 1991 Warren Beatty film "Bugsy" depicted the mobster's life in California and his rise to power in Las Vegas.

A lifelong gambler, it was Siegel's dream to open a huge casino in the burgeoning Nevada desert, and with funding from the East Coast mob, he built the $6 million Flamingo Hotel in 1946.

When Siegel's associate, Meyer Lansky, discovered the high cost was due to Siegel's theft and mismanagement, Siegel was gunned down in his Beverly Hills home only one year after the casino opened. Although Lansky was never officially linked to the crime, it's almost undoubtable that he ordered the hit.

One of the first resorts to open on the strip, the Flamingo Hotel (the earliest incarnation of the modern hotel standing today) remains a popular destination in Las Vegas. A bronze plaque memorial remains at the hotel, set in front of the wedding chapel, making for some very distinctive wedding photos.

The Crime Museum, Washington, D.C.

If you don't have time to travel the country in search of outlaws, Washington's Crime Museum holds one of the country's largest collections of criminal artifacts. Visitors can see relics of some of the most famous outlaws and gangsters, such as John Dillinger's car and items from Al Capone's restaurant, Colosimo's. There are even galleries featuring the history of crime dating back to the Middle Ages.

@highlight

Outlaw museums and landmarks can be found all over the country

@highlight

Jesse James' home and Al Capone's grave are popular sites

@highlight

The Crime Museum in Washington, D.C. holds a large collection of artifacts