New Delhi, India (CNN) -- Shazadi, a mother of six, scrubs her thin steel dishes as hard as she can with as little water as she can. The only way she gets water is by filling up heavy buckets from a neighborhood spigot and lugging them home.

But once she gets it home she worries whether it is even safe to drink.

"We get sick two to three times per month," Shazadi said. "I cannot afford bottled water."

Her seven-year-old daughter, Moazmin, smiles and waves at us. She wants to play but isn't feeling good.

"My stomach aches and gurgles," she said, before talking about the many times she has been to the hospital. She made clear she was not fond of the injection she is often given there.

There are about 100,000 people living in this neighborhood on New Delhi's outskirts. None of them has ever had water piped into their homes.

Instead the government turns on one tap three times a day. This is how the vast majority of the neighborhood gets access to water.

People line up to fill their bottles and buckets, and children take showers under the flowing water. The tap juts out inches from a drain littered with garbage and sewage and clumps of bright green algae.

There are a few people in the area who have installed ground water pumps, but these are illegal.

Some others get their drinking water from Prakash Sahoo. He has made a business of providing water to residents and businesses. He rides his bicycle around the neighborhood every day in the baking hot sun, making five or six trips to fill a large water container strapped to the back of his bike. He is pouring with sweat as he makes his deliveries.

"There is no sanitation here, just so many complaints. So I thought: 'Let me get a water filter and supply clean water to these people, in order to help them and make some money'," Sahoo said.

He charges 10 rupees -- about 18 cents -- per container, a price business owners but few others can afford to pay, as most in the neighborhood make less than $2 a day.

Getting clean water to drink is a struggle every day of their lives.

India's government has long fought to provide enough clean drinking water for the masses.

The country has 18 percent of the world's population but only 4 percent of the world's renewable water sources. And demand is growing.

At the same time major problems with leaks and pollution strip away the supply further.

T.M. Vijay Bhaskar, an official with India's department of drinking water and sanitation, said rural India has a whole range of issues depleting its water.

"Because rural drinking water is dependent on ground water, ground water levels are going down because of exploitation by irrigation, by farmers and by industries, we are forced to drill deeper and deeper for drinking water," he told CNN.

"And as we go deeper and deeper we find more and more contaminants. It may be arsenic. It may be fluoride. Now we are finding nitrate, iron, and salinity. Uranium is also involved in some places."

India has put in place a national river conservation plan aimed at pollution abatement in its rivers. That plan includes interception, diversion and treatment of sewage, low-cost sanitation works on riverbanks, and electric or improved wood crematoria for funerals.

Authorities admit India is facing what they call "water stress" because of urbanization, industrialization and rising population.

According to the 2011 census, the nation's per capita water availability stands at 1,545 cubic meters, down from 1,816 cubic meters in the 2001 population count.

This year an acute water shortage hit the capital, New Delhi. The city relies on other states for much of its water supply but has found itself in a tug of war to get it because other states are dealing with shortages too.

There are still entire neighborhoods in the city where large trucks bring in the only water supply.

Thirsty crowds emerge as soon as the truck becomes visible. Mother Bimla fills as large a bucket as possible because the truck only comes to her neighborhood three times a week.

Underneath the water truck children squat to put little buckets which collect the drops of water spilling from the undercarriage.

"At times there are scuffles and we have to return empty handed," said Bimla.

When every drop of water matters, the fight for it is ultimately a fight for survival.

@highlight

Indian authorities say the country is facing "water stress"

@highlight

India has 18% of the world's population but only 4% of the world's renewable water sources

@highlight

Demand for drinking water is growing, but pollution and leaks are depleting supplies

@highlight

Many communities rely on standpipes and water tankers