WASHINGTON (CNN) -- Barack Obama's victory Tuesday over John McCain capped an unprecedented rise in American politics.

Barack Obama, addressing supporters after his victory, was an unlikely nominee not that long ago.

The obscure state legislator with, as he put it, "a funny name" propelled himself onto the national stage at the Democratic National Convention four years ago with a speech so electrifying that commentators declared he would become America's first black president.

Election Day showed that, in this case at least, you can believe the hype. But Obama did not win the White House on hype, any more than he won it on hope.

He won it with an organization that even opponents called brilliant. He won it with a clear strategy that was stuck to with remarkably little internal drama. He won it with unparalleled fundraising and an overwhelming ground game. And he won it after facing various challenges and turning them to his advantage.

Turning points

Winning Iowa: Obama's victory in the Iowa caucuses knocked almost all of his Democratic competitors out in the first nominating contest, and it pushed the "inevitable" Democratic nominee, Hillary Clinton, back on her heels. He'd built an organization strong enough to haul supporters out of their homes on a frigid January night to debate, harangue and cajole their neighbors into backing him. Tens of thousands of new voters became the key to his Iowa win and revealed the outline of a general election plan: Create a wide coalition to bring new voters to the polls in record numbers.

Ted Kennedy: Within weeks of Iowa, all of Obama's Democratic competitors had dropped out of the race except for Clinton, who split the races with him in the run-up to Super Tuesday. It was then that Ted Kennedy, head of the only Democratic family to outrank the Clintons, came out for Obama, comparing the Illinois senator to his assassinated brother, President John F. Kennedy. The move was deeply symbolic, not just for the public but also the party. The Obama-Clinton battle then hinged on who could sway more superdelegates -- the party leaders who could decide the winner if the primary voters could not -- and few superdelegates had the stature of Ted Kennedy.

Addressing race: Race was always going to be a factor in Obama's campaign, even if he hoped his candidacy would transcend it. Clips of the Rev. Jeremiah Wright, his longtime pastor, making hateful remarks hit the Internet and television and put Obama on defense. He responded with a speech in March hailed by commentators as among the most thoughtful ever delivered on race by an American politician. When Wright went further, so did Obama -- condemning him outright and later quitting his church. All this time, black voters were rallying behind Obama, switching their allegiance from Clinton in such large numbers that party elders, such as civil rights icon Rep. John Lewis of Georgia, had to do the same.

Fundraising: Flush with cash from a nationwide network of small and large contributors, Obama announced in June he would opt out of public financing -- the first presidential candidate to pay for his campaign with donations rather than government money since the system began in 1976. McCain hammered Obama for reneging on a promise to stick with public financing, but the issue failed to resonate with voters. Obama kept raising and spending record amounts of money, using it to send staff across the country -- even to dozens of states Democrats hadn't won in years -- and to swamp the airwaves with advertising.

Working with Clinton: The long and bitter primary battle turned many Clinton supporters off Obama. A CNN/Opinion Research Corp. poll a month after Obama sealed the nomination found that nearly 50 percent of Clinton's supporters did not plan to vote for Obama in November. McCain tried to exploit the Democrats' divisions and attract Clinton supporters to his side, but the former rivals came together to stop that. Obama and Clinton worked behind the scenes to create a show of public unity, epitomized by Clinton dramatically marching onto the convention floor in Denver to call for the party to nominate Obama by acclamation.

The debates: Obama won all three debates in the eyes of the public, polling for CNN suggested, even if he came up with few, if any, memorable promises or knockout blows. The debates showed the classic Obama -- thoughtful, deliberate and steady. Critically, Obama made no gaffes, rounding out a campaign that was remarkably free of them.

Barack Obama may have looked an unlikely candidate and an even unlikelier victor only a year ago. But his campaign had a different look. It started small but with big ideas and worked, inexorably, to make them reality. Like any candidate, Obama faced challenges, but he always seemed to take the path that would make him stronger. And, by the end, the campaign and the support was so large, so well organized and so powerful that nothing could prevent Obama's march to victory.

CNN's Richard Allen Greene, Rebecca Sinderbrand and Laura Haring contributed to this report.

@highlight

Barack Obama seemed unlikely to be Democrat nominee a year ago

@highlight

Well-planned and well-executed campaign helped fortunes soar

@highlight

Fund-raising, support of Kennedy clan important in his success