(CNN) -- For a while, it seemed that the threat from ISIS was limited to sparsely populated desert regions in the Middle East.

Through brutal tactics and persecution of minorities, the Sunni extremist group brought slaughter and chaos to large areas of Syria and Iraq.

But its merciless efforts to establish its version of an Islamic caliphate unsettled the wider region, prompting U.S. airstrikes aimed at stemming its advance.

The Islamic militant group has responded by beheading three of its Western hostages in recent weeks, ratcheting up the crisis. It has also amped up the rhetoric, threatening attacks on the United States and its allies. On Monday, several countries quickly rejected the threats, which were made in an audio recording from an ISIS leader who urged attacks on civilians in the United States and other Western nations.

The situation underscores the question of what ISIS hopes to gain through the intensifying conflict with the United States and its allies.

What has ISIS been saying about the U.S.?

ISIS, which calls itself the "Islamic State," has been ramping up its threats against the United States and the West for months.

The extremist group publicly warned of "direct confrontation" with the U.S. as far back as January, according to the National Counterterrorism Center.

ISIS has also "repeatedly taunted Americans," the center said, notably during the recent videotaped executions of journalists James Foley and Steven Sotloff.

The killings of Foley and Sotloff took place after the U.S. military began airstrikes against ISIS positions in Iraq to help Kurdish and Iraqi forces beat back the militants' rapid advance.

President Obama has since announced his anti-ISIS strategy, which is expected to involve expanding the airstrikes into the chaotic Syrian battle zone. The U.S. has also been working to build up a coalition of countries to help counter the threat from ISIS, which is also known as ISIL.

Why is ISIS so eager to pick a fight with America?

This summer, ISIS declared the establishment of a "caliphate," an Islamic state stretching across the territory it has conquered.

A former ISIS fighter told CNN this month that the group's main aim is "to establish an Islamic state that will encompass the Arab world."

"And after that, we go to other countries," the man said in an interview in Turkey.

With that goal in mind, taunting and antagonizing the world's foremost military power may not seem like the wisest way for ISIS leader Abu Bakr al-Baghdadi to expand and consolidate his territory in the Middle East.

But analysts say that for the group to be seen around the world as locked in battle with the U.S. is an effective means of rallying more fighters to ISIS' banner.

"For al-Baghdadi, fighting America and its coalition of 40 countries is a badge of honor, a powerful recruiting tool. It is proof that he and his organization have become the leaders of global jihad, toppling al Qaeda, their rival in that contest," world affairs columnist Frida Ghitis wrote in a commentary for CNN.

Will it work?

With the U.S. military carrying out strikes against ISIS forces, the extremist group is able to exploit the situation for propaganda purposes. The group said the executions of Foley and Sotloff were in response to the American airstrikes in Iraq.

"I'm back, Obama, and I'm back because of your arrogant foreign policy towards the Islamic State," the executioner says in the video of Sotloff's beheading. "Just as your missiles continue to strike our people, our knife will continue to strike the necks of your people."

The beheadings further intensified attention on ISIS and its efforts to impose its heavy-handed rule on parts of Iraq and Syria.

U.S. intelligence officials estimate that more than 2,000 Europeans and more than 100 Americans have flocked Syria to fight with extremist groups there. They say it's unclear precisely how many of them have joined ISIS.

But the strategy could backfire.

"ISIS is gambling that drawing America and the West into the fight will make it stronger, but if the West is strategic and smart, this move will prove to be ISIS' worst mistake," said Ghitis.

What kind of threat does ISIS pose to the U.S.?

U.S. officials say that ISIS fighters aren't a direct threat to the U.S. homeland at the moment.

"At this point, we have no information that ISIL is plotting an attack inside the United States," Matthew Olsen, the director of the National Counterterrorism Center, said last week in testimony to Congress.

The dangers, officials say, are to U.S. personnel and infrastructure in Iraq -- and from militants with U.S. or other Western passports potentially returning home and staging attacks.

"What really worries American counterterrorism officials is that ISIS will prioritize launching attacks against the United States, will train Western recruits in bomb-making and send them back," said CNN terrorism analyst Paul Cruickshank.

The suspect in the deadly shooting at Belgium's Jewish Museum in May recently spent a year in Syria and is a radicalized Islamist, according to French officials. Prosecutors say that when police arrested the French citizen, they also seized a Kalashnikov rifle wrapped in a flag bearing the ISIS insignia.

What about the risk of homegrown attacks?

That's what security analysts say is cause for concern -- and what ISIS appears to be urging in its new audio message.

Attacks by homegrown terrorists aren't new. In recent years, the United States has experienced the horror of the Boston Marathon bombings and the Fort Hood shooting.

Al Qaeda has long urged individuals in the West to mount their own attacks, providing instructions on matters like bomb-making in its magazine, Inspire.

The Boston marathon bombers used pressure cooker devices they apparently learned to make online.

The National Counterterrorism Center says homegrown violent extremists are "the most likely immediate threat to the homeland." It estimates that the level of activity of such extremists has remained consistent over the past few years, but that ISIS' influence could start to play a role.

"We remain mindful of the possibility that an ISIL-sympathizer could conduct a limited, self-directed attack here at home with no warning," the center says.

Officials say they are particularly concerned about ISIS' skillful use of propaganda, particularly on social media, to reach an audience in the West.

Have there already been any cases of ISIS-inspired attackers in the West?

U.S. authorities have alleged that a man who owns an upstate New York food store funded ISIS, tried to send jihadists to Syria and plotted to kill U.S. troops who had served in Iraq.

Mufid A. Elfgeeh, 30, was arrested on May 31, though federal officials didn't outline the case against him until last week.

Elfgeeh, a naturalized U.S. citizen from Yemen, has pleaded not guilty to the charges, which include trying "to provide material support to a foreign terrorist organization" and attempting to kill officers and employees of the United States.

In Australia, whose government has pledged combat aircraft and military advisers to the fight against ISIS, authorities carried out a large-scale anti-terrorism operation last week.

Australian Prime Minister Tony Abbott said that an Australian high up in ISIS had been calling on his networks in Australia to carry out "demonstration killings."

Australian media reported that the alleged assailants planned to kidnap a member of the public, behead the victim and then drape him or her in an ISIS flag.

Authorities declined to give details about the threat, citing an ongoing operation.

Was the U.S. slow to grasp the scale of the ISIS menace?

While ISIS has been taunting the United States for months -- including publishing images of American soldiers engulfed in flames in its online magazine -- some critics have suggested Obama initially underestimated the extremist group.

In particular, the President's comments to The New Yorker in January have been singled out.

"The analogy we use around here sometimes, and I think is accurate, is if a J.V. team puts on Lakers uniforms, that doesn't make them Kobe Bryant," Obama told the magazine.

Months later, Obama ordered airstrikes against the group, which he has described as a "cancer." His defense secretary, Chuck Hagel, said last month the threat from ISIS was "beyond anything we have seen."

But senior administration officials have defended Obama's earlier characterization of the extremists.

"The President was right," Deputy National Security Adviser Tony Blinken told CNN last month. "They did not pose a threat like al Qaeda central to us in the homeland."

@highlight

Fighting the U.S. is "a badge of honor" that helps ISIS recruitment, commentator says

@highlight

But taking on the world's top military power also comes with risks

@highlight

U.S. intelligence officials have said they're not aware of an ISIS plot inside the U.S.