San Diego, California (CNN) -- What's in a name? For my friends and simpaticos in the immigration reform community, enough to go ballistic at the mere mention of the phrase: "illegal immigrant."

First, there's enough to be afraid of in this world -- from big government to monsters under the bed. We shouldn't be afraid of words. And when it comes time to declare a word or phrase offensive, we should be careful to do so judiciously and not go overboard.

That's my advice to my very good friend and business partner, Charles Garcia, for whom I have great affection and tremendous respect. He's my brother from another mother. That's true even on the rare occasion when he's wrong. And that's the case this week now that Charlie has written, in a thought-provoking column for CNN.com, that the phrase "illegal immigrant" is "biased" and "racially offensive." He also implied that it's a "slur" and -- borrowing language from George Orwell -- a "worn-out and useless phrase."

Actually, it's none of the above. The phrase is accurate. It's the shoe that fits. It's reality. And, as is often the case with reality, it's hard for some people to accept.

What do you think about the term? Share your view with CNN iReport.

Apparently, that includes people like Justice Sonia Sotomayor who, in her first opinion on the Supreme Court -- in a 2009 case called Mohawk Industries v. Carpenter, which involved a business accused of employing illegal immigrants -- used the term "undocumented immigrant." According to The New York Times, this was the first time that a Supreme Court justice had used that phrase. Other justices had previously gone with "illegal immigrant."

Undocumented immigrant? Really? That's politically correct, but it's also absurd. Most of these people have plenty of documents. A woman who makes a living cleaning homes in my neighborhood once explained to me that she had a drawer full of fake green cards and IDs saying she was -- pick one -- a native-born U.S. citizen, legal resident or exchange student. Many illegal immigrants have Matricula ID cards issued by Mexican consulates, foreign passports, drivers licenses in some states and phony Social Security cards where all nine digits are "0's."

Garcia: Why "illegal immigrant" is a slur

This isn't about documents. It has been my experience that many of those who have trouble with the phrase "illegal immigrant" are really troubled by something deeper -- the fact that, at the end of the day, by supporting a pathway to earned legal status, they're defending a group of people who engaged in unlawful activity. For some folks, this is messy business. So they try to sanitize it by changing the language.

As a columnist, I don't mind messy. I have never used "illegal aliens," and I never will. And I don't use "illegal" as a noun. But, like many other journalists, including those at CNN, I do use "illegal immigrant." And I refuse to accept that doing so is tantamount to a hate crime. I don't want to demean anyone. But, as someone who makes his living with words, I'd also prefer not to degrade the English language.

Besides, in more than 20 years of writing about illegal immigrants -- oops, there, I said it again -- I've been accused of defending lawbreakers thousands of times. I plead guilty as charged. I don't condone illegal immigration, but I do often defend illegal immigrants who are unfairly exploited, picked on and blamed for everything from crime to pollution to the quality of public schools.

As Charlie correctly points out in the part of the column with which I agree, a lot of that nonsense comes from the Republican Party and shameful politicians who think that raising our blood pressure over illegal immigration is a shortcut to helping them raise their poll numbers and raise funds from contributors. I've spanked many of these officials before, and I look forward to the next opportunity.

For the record, I'm not against high blood pressure. I've been known to raise it myself. I think that, if people are upset that our immigration system is broken, they have a right to be angry. But I also think they should direct their anger at government and politicians, and not at the immigrants themselves.

I also think that illegal immigrants are more of a positive than a negative. They make a contribution to the U.S. economy, do jobs Americans won't do, replenish the American spirit with hope and optimism and often raise good kids with a work ethic and strong traditional values that put the native-born to shame. They're not a liability. They're an asset.

Naturalized citizens explain why they're American by choice

But, c'mon. These people are not saints. With the exception of DREAM Act kids involuntarily brought here by their parents, these people did something wrong. Illegal immigrants either overstayed a visa or crossed a border without authorization. That was wrong. Then many of them doubled down on the misdeed by using fake documents to procure employment or not paying income taxes on money earned, even though the federal government has set up an Individual Taxpayer Identification Number that allows illegal immigrants to pay taxes.

If that sounds harsh, blame my upbringing. I'm the grandson of a Mexican immigrant who came to the United States legally during the Mexican Revolution and my father spent 36 years as a cop. It's in my DNA to not make excuses for wrongdoing.

My friends in the immigration reform community need to get over their uneasiness and stop sugar coating who these people are and what they've done to get here. We can't fix the problem of illegal immigration until we deal with it honesty and candidly.

As Charlie mentioned, Justice Anthony Kennedy has an interesting take on illegal immigration, which he incorporated into the majority opinion in the recent Supreme Court decision striking down most of the Arizona immigration law. Kennedy wrote: "As a general rule, it is not a crime for a removable alien to remain present in the United States."

True. But "present" doesn't just happen. The estimated 10 million illegal immigrants who are unlawfully in the United States didn't just appear one day like the genie out of Aladdin's lamp. Like the old saying goes: "If you see a turtle resting on a fence post, you can be sure someone put it there. It didn't get there by itself."

At some point in time, again with the exception of DREAM'ers, someone did something bad. That doesn't make them bad people. But they broke the law. We're not talking about criminal law, and so they're not "criminals." Immigration law is based in civil law, and that's why those who break it get deported and not imprisoned. But these people are still lawbreakers, and -- by definition -- illegal immigrants.

Sorry, Charlie.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Those who say "illegal immigrant" is a slur are wrong

@highlight

He says adult migrants who aren't legal immigrants broke the law to get to the U.S.

@highlight

Navarrette: Migrants aren't criminals and are wrongly blamed for many of America's ills

@highlight

Still, he says, it doesn't help to gloss over fact that immigration laws were broken