(CNN) -- Oceans around the globe could inject an extra $50 billion into the world's economy -- if fisheries were sustainably managed, a new report backed by Prince Charles shows.

Prince Charles, a keen environmentalist, hosted a meeting in London Thursday bringing together representatives of the fishing industry, governments, campaigning groups and investors. The aim was to transform the way the conservation efforts are funded -- from philanthropic and public sources of money, to business investment.

"Success would provide a much-needed example of how to regenerate our planet's dangerously depleted, threadbare and under-performing natural capital while also providing a realistic economic return," Prince Charles said.

Fisheries contribute more than $270 billion to global GDP and employ hundreds of millions of people around the world, according to the report from the Prince of Wales charity. An additional $160 billion comes from related businesses, such as ship building or fish processing industries.

But environmentalists argue the world's oceans are being exploited, and that will eventually cost the industry billions. The report points to the Canadian Grand Banks cod fisheries, where unsustainable fishing led to its collapse, as an example of the impact.

The report argues global demand for fish and seafood have pushed prices up since early 2000s -- but stocks have remained constrained. It says sustainable fishing would ensure a bigger and healthier fish stock, producing yields in the longer term.

"Oceans are the single most important resource in human history," Fred Krupp, the President of Environmental Defence Fund said. "We can transform our oceans into a sustainable, enduring resource -- one that provides more fish in the sea, more food on the plate, and more economic prosperity," he said.

The Global Ocean Commission has also sounded warnings about the high seas, saying in June that there was a risk of exploitation in oceans outside national jurisdictions.

"There are 'too many boats trying to catch too few fish' yet, despite this clear overcapacity, governments still grant at least US$30 billion a year in fisheries subsidies," the commission said.

The commission said the majority of sustainable fishing in these waters is done by only 10 countries -- most of them developed countries that can afford subsidizing the expensive operations of sending large boats into remote corners of the oceans.

"Economy and ecology do not have to be locked into an irreconcilable struggle," the Prince said.

Prince Charles, along with the Environmental Defense Fund and a fisheries network 50in10, is now calling for investors to transform the industry into a more sustainable model -- and find that extra $50 billion.

@highlight

A new report backed by Prince Charles says fisheries could bring $50 billion

@highlight

The aim is to bring in businesses and transform the way the conservation efforts are funded

@highlight

Prince Charles: "Economy and ecology do not have to be locked into an irreconcilable struggle"