(CNN) -- The attorney for an Indian diplomat whose arrest and detention in New York sparked an international controversy on visa fraud charges said Thursday the allegations are baseless. And he accused U.S. authorities of deliberately mishandling her arrest.

"They were trying to humiliate her and flex their muscle, and they succeeded in doing that," Dan Arshack, lawyer for Devyani Khobragade, told CNN's "New Day."

But the attorney for a housekeeper at the center of allegations that Khobragade violated an agreement in a visa document by underpaying her said Arshack is the one who doesn't have the facts straight.

The salvos came a day after the chief federal prosecutor in Manhattan, U.S. Attorney Preet Bharara, lashed out at those questioning the legitimacy of the case, which has infuriated Indian society and led to repercussions from the Indian government.

"This office's sole motivation in this case, as in all cases, is to uphold the rule of law, protect victims, and hold accountable anyone who breaks the law -- no matter what their societal status and no matter how powerful, rich or connected they are," he said in a statement.

Khobragade, India's deputy consul general in New York, was arrested and stripped-searched last week on charges of visa fraud related to her treatment of her housekeeper, who has been publicly identified as Sangeeta Richard.

"This type of fraud on the United States and exploitation of an individual will not be tolerated," Bharara said.

The case has sparked outrage among different, conflicting camps: those slamming her treatment as "barbaric" and those saying the real issue is the alleged mistreatment of domestic workers.

The case has reverberated in Washington and New Delhi.

Indian Prime Minister Manmohan Singh called her treatment "deplorable."

In a statement, Secretary of State John Kerry expressed "regret" over the situation, without saying the United States had done anything wrong.

"In terms of our relationship with the United States, I do feel this must be resolved," Indian External Affairs Minister Salman Khurshid said, according to CNN sister network IBN.

Deputy Secretary of State William Burns and Undersecretary Wendy Sherman sought to diffuse tensions through discussions with Indian officials.

A senior official said the U.S. government is most concerned about India's response in removing security barriers at the embassy in New Dehli and whether India might subject a U.S. diplomat to treatment similar to what Khobragade went through during her detention in New York.

In court documents and in a public statement, Bharara -- who was himself born in India -- states that Khobragade lied in a visa application, promising to pay her housekeeper the minimum wage of $9.75. She would actually be paid $3.31 per hour.

Khobragade allegedly instructed the housekeeper to say she would be paid the higher rate and not mention her actual pay.

Khobragade allegedly had the housekeeper sign another employment contract establishing the lower pay.

The second contract, which was not to be revealed to the U.S. government, "deleted the required language protecting the victim from other forms of exploitation and abuse" and also deleted language that said Khobragade agreed to abide by U.S. laws, Bharara said Wednesday.

Khobragade is charged with one count of visa fraud and one count of making false statements, which carry a combined maximum sentence of 15 years in prison.

The allegations have "nothing to do with what the actual facts are," Arshack told CNN Thursday.

Khobragade abided by the terms of the contract that was submitted, he said. "There was no fraud."

The second contract, Arshack alleged, was one the domestic worker requested, "which would confirm that a portion of the money that she was going to get paid would get sent directly to her husband in New Delhi. And that's what happened. And that's what the documents support."

But Dana Sussman, the housekeeper's attorney, said his client was only paid the smaller amount, which was deposited into an Indian bank account. Her client denies being given any money in the United States that could be considered a salary, she said.

"I don't know what he's talking about," Sussman said of Arshack's claims. "This story seems to keep changing."

Indian diplomat: Does she have immunity?

Dispute over diplomat's treatment

U.S. authorities should have handled the case differently, Arshack argued.

A financial dispute could be handled as a civil action, he said. And he asked why the government didn't contact Khobragade to say she would be arrested and give her the chance to come in. "We do self-surrenders all the time with defendants in New York," Arshack said.

Instead, she was arrested after dropping off her daughter at school. "This is muscle flexing," Arshack complained.

The diplomat's detention was handled by the U.S. Marshals Service, not New York police.

Bharara defended the handling of the arrest and custody though his office was not involved.

"Khobragade was accorded courtesies well beyond what other defendants, most of whom are American citizens, are accorded," he said Wednesday. "She was not, as has been incorrectly reported, arrested in front of her children. The agents arrested her in the most discreet way possible, and unlike most defendants, she was not then handcuffed or restrained."

In addition, she was allowed to keep her phone and make calls to arrange personal matters, including child care, he said.

"Because it was cold outside, the agents let her make those calls from their car and even brought her coffee and offered to get her food. It is true that she was fully searched by a female deputy marshal -- in a private setting -- when she was brought into the U.S. Marshals' custody, but this is standard practice for every defendant, rich or poor, American or not, in order to make sure that no prisoner keeps anything on his person that could harm anyone, including himself. This is in the interests of everyone's safety.

"There can be no plausible claim that this case was somehow unexpected or an injustice," Bharara said. "In fact, the Indian government itself has been aware of this legal issue, and that its diplomats and consular officers were at risk of violating the law. The question then may be asked: Is it for U.S. prosecutors to look the other way, ignore the law and the civil rights of victims... or is it the responsibility of the diplomats and consular officers and their government to make sure the law is observed?"

One aspect of this case that's in dispute involves the question of what level of immunity Khobragade is entitled to, the circumstances of her arrest and Richard's actions during her employment.

Opinion: What about the nanny?

Calls for an apology

It remained unclear Thursday whether U.S. and Indian officials would be able to find a way out of the diplomatic tangle.

Kerry's expression of regret was featured prominently on the front page of leading Indian newspapers on Thursday. Commentators and government officials debated whether his comments went far enough.

"An apology from America, acceptance of their fault is what we will be satisfied with," Parliamentary Affairs Minister Kamal Nath said, according to IBN.

As her case plays out in public, Khobragade has been moved to India's Permanent Mission to the United Nations, where she may get full diplomatic immunity, Indian officials say.

Richard, meanwhile, has no passport, is living with friends and has been granted temporary legal status that allows her to remain and work in the United States until the matter is resolved, her lawyer Dana Sussman said.

Human rights advocates say the allegations against Khobragade highlight the exploitation of domestic workers around the world.

"It's a good sign that authorities are showing they can take mistreatment of domestic workers seriously," Nisha Varia of Human Rights Watch said in a blog post Tuesday. "It sends the message that no employer is above the law."

Debate: Arrest, strip-search of Indian diplomat 'barbaric?'

CNN's Tom Watkins, Deborah Feyerick, Elise Labott, Harmeet Shah Singh, Ross Levitt and Susan Candiotti contributed to this report.

@highlight

Housekeeper's attorney says diplomat's attorney's "story keeps changing"

@highlight

Diplomat's attorney accuses U.S. authorities of "trying to humiliate"

@highlight

India's external affairs minister plans to talk to John Kerry on Thursday

@highlight

Prosecutors say diplomat lied to authorities about working conditions of her housekeeper