Washington (CNN) -- In what may be the furthest thing from a pleasure cruise, the U.S. Coast Guard's only operating Arctic icebreaker is escorting a Russian-flagged tanker this week on an emergency fuel run to the ice-blocked town of Nome, Alaska.

The mission: Deliver 1.1 million gallons of diesel fuel and 300,000 gallons of gasoline to Nome (population 3,598), where storms prevented a fuel shipment in the fall.

Midweek, the two ships left Dutch Harbor, in Alaska's Aleutian Islands. Friday, the ships are expected to encounter the ice, and USCG Cutter Healy will take the lead, plowing a 300-mile-long path for the Russian-flagged tanker Renda.

If all goes well, the two ships will arrive at Nome on Sunday or Monday. The Healy will stop a half mile short of the harbor to avoid scraping the bottom, while the tanker Renda will push on, stopping next to stable ice to off-load fuel using a lengthy hoses.

Officials are calling the trip historic.

It is the first time fuel has been delivered through ice-covered waters to a western Alaska community, they say. While it is possible to exaggerate Nome's plight -- fuel could have been flown in -- officials say it is difficult to exaggerate what this mission says about the dismal status of the Coast Guard's ice-breaking fleet.

The nation's two heavy polar icebreakers -- the Polar Star and the Polar Sea -- are out of commission, with the Polar Sea unlikely to see service again. The 420-foot Healy, meanwhile, is a medium-sized icebreaker and it does not have the capabilities of its larger predecessors.

The Nome mission has lengthened the eight-month deployment of its 80-person crew, robbing them of a Christmas holiday. And it is delaying scheduled repairs to the ship, possibly affecting its scientific mission scheduled for next summer. This further underscores just how thin the nation's ice-breaking capabilities have become.

By contrast, Russia has 25 polar icebreakers (including eight heavy ones), according to a Congressional Research Service report. Finland and Sweden have seven icebreakers each. Canada has six.

"The United States needs icebreakers, and this incident proves it," said Alaska's Lt. Gov. Mead Treadwell. Treadwell said the dearth of icebreakers means the U.S. is not competitive with other Arctic nations, which are exploiting new water passages created by climate changes. Icebreakers could extend the seasons for some state industries, he said.

But many people in the Lower 48 just don't understand, Treadwell said.

"The United States has been an Arctic nation since 1867, but most people still think of Alaska as Seward's Folly," he said.

The Nome mission "brings awareness that there is a bigger issue there," said Nome Mayor Denise Michels. "It really does."

"There is more of a need now than ever before in our history for new ice-breaking ships capable of reaching the shores of our communities," wrote Jason Evans, chairman of Sitnasuak Native Corporation, Nome's village corporation.

Slow-motion crisis

If the Nome situation is a crisis, it's a "crisis that's kind of unfolding in slow motion," Evans told CNN.

The stage was set in November when a major storm swept through the region, delaying a barge carrying 1.6 million gallons of fuel to Nome. After the storm cleared, sea ice blocked the harbor.

The village corporation, one of two main suppliers of fuel for the town, quickly determined its existing fuel would likely run out before another barge could reach the town in the spring.

There was a chance that home heating fuel would run out by March, when Nome is still subject to freezing temperatures. Diesel fuel for the police department and heavy equipment ran out a week ago, though the town's other supplier has helped fill that void. And gasoline is expected to run out in early February, Evans said.

Corporation officials considered flying in fuel. But it would have taken more than 300 flights, each carrying 4,000 to 5,000 gallons, to meet the town's needs, Evans said. Shipping costs would have added $3 or $4 to the price of a gallon of gasoline, which already approaches $6 a gallon, he said.

The corporation considered hiring local ice-breaking tugs, Canadian tugs and barges, Norwegian ice-breaking ships and Russian ships, finally settling on Russian ships that were "close, capable and possibly available."

Vitus Marine LLC contracted with the Renda, a Russian-flagged, double-hulled vessel. Since the Renda is an ice-breaking tanker, "we were confident, cautiously confident, that they could do it unassisted," Evans said. But Evans said he sought assistance from the Coast Guard icebreaker to ensure the mission's success.

"This has never been done before and when you do something that's never been done before, having an organization like the U.S. Coast Guard is a huge relief," Evans said.

Officials said legal and regulatory obstacles were as formidable as the ice.

Evans and officials worked with the Coast Guard to get a waiver from the Jones Act, which requires goods being transported from one U.S. port to another to be transported by a U.S.-flagged ship. The Coast Guard inspected the Renda so it could operate in U.S. waters. And they worked out a plan to off-load the fuel at Nome.

State officials invoked a law signed by President Franklin Roosevelt that allows the Coast Guard to conduct operations for commercial enterprises. Though commonly used to justify Coast Guard operations in the Great Lakes and Hudson River, it had not previously been used to assist businesses in Alaska, officials said.

"The same protections that Americans enjoy in the Great Lakes, western Alaskans ought to enjoy," Treadwell said.

To the rescue

Rear Adm. Thomas Ostebo, commander of the Coast Guard's district that includes Alaska, said the Coast Guard had wanted to be part of the operation from the beginning.

"Clearly having Healy there in the event that something were to (go wrong), just a simple mechanical problem on Renda, the Healy's there to help her out," Ostebo said. "It's a 300-mile transit in ice close to our shores and the prudent thing to do."

Ostebo said the Cutter Healy can cut through "first year" ice at close to 10 knots, but that the speed of the Renda may be the limiting factor.

He said he is confident that mission will be successful.

"We're not relying on hope or chance here. We've spent a lot of time with all of our partners, whether that's state, federal, tribal partners, as well as the city of Nome, to ensure that we look at all of the details of how this operation is going to go down," he said. "I think we're going to do fine on this."

Village corporation chairman Evans agreed. "I've done everything but celebrate yet," he said.

@highlight

Coast Guard's only Arctic icebreaker is escorting fuel ship to Nome

@highlight

Fall storms prevented town from getting fuel last fall

@highlight

Alaskans say episode illustrates the dearth of icebreakers in U.S. fleet

@highlight

USCG is down to one working polar icebreaker