(CNN) -- Pacific Gas & Electric Co. said Tuesday that it is liable for the San Bruno, California, pipeline rupture, which killed eight people and destroyed dozens of homes in September 2010, and will compensate the victims.

"We are taking on financial responsibility so that everyone injured in the accident will be able to recover all of their damages from PG&E," said Chris Johns, the company's president. "We are affirming our commitment to do the right thing in our response to this accident."

The announcement came in response to a San Mateo County Superior Court judge's request for PG&E's official position and ahead of a court hearing Friday on the case, PG&E said on its website.

PG&E said it has been working to resolve claims "fairly and promptly" and to improve the safety of its pipeline operations.

Federal officials said in August that a faulty pipe, flawed operations and inadequate government oversight led to the natural gas explosion in the San Francisco suburb.

During a public board meeting after delivering their final report on the matter, National Transportation Safety Board investigators sharply criticized pipeline owner PG&E for the explosion, saying the pipe was inadequate from the time it was installed in 1956.

That was compounded "by a litany of failures" over the years, including poor record-keeping, inadequate inspection programs and "an integrity management program without integrity," NTSB Chairwoman Deborah Hersman said.

"It was not a question of if this pipeline would burst," she said. "It was a question of when."

Hersman said the probe yielded "troubling revelations about a company that exploited weaknesses in a lax system of oversight, and government agencies that placed a blind trust in operators to the detriment of public safety."

In a memo sent Tuesday to employees, Johns noted that a legal filing in July had been interpreted by some to mean that the utility "was leaving the door open to somehow blame San Bruno residents or the city of San Bruno for the accident itself. Nothing could be further from the truth, which we stated at the time. In a follow-up filing, we clarified our position by explicitly stating that none of the plaintiffs or residents of San Bruno was at fault for the accident. PG&E has consistently stated our position that we would do what we could to assist the residents of San Bruno and help them recover from this tragic accident."

He said external pressure had not led the company to issue the announcement.

"The judge is hopeful that this will make the legal proceedings move faster and more efficiently. PG&E is hopeful that this will allow the people injured to receive compensation sooner without unnecessary legal proceedings."

The September 9, 2010, explosion blasted a 72-foot by 26-foot crater and destroyed 38 homes in San Bruno, near San Francisco International Airport. A 28-foot segment of the pipe was found about 100 feet from the crater. Scorched homes and the shells of burned-out cars lined charred streets, where firefighters battled hot spots trying to save the devastated neighborhood.

Prior to the hearing, the company said in a statement that it had taken "multiple steps" to improve the safety of its operations, including efforts to replace aging pipe and improve contacts with local police and fire departments.

NTSB investigators determined the explosion was caused by a substandard and poorly welded pipe, creating a weak spot that resulted in a pipeline rupture during a pressure increase stemming from poorly planned electrical work. They said the faulty welds should have been detected when the pipe was laid in 1956.

Compounding the problem, investigators said, was the fact that PG&E failed to alert emergency responders as soon as they realized the line had burst. Isolating the rupture to stop the flow of gas took more than an hour, and put first responders in a defensive mode as they struggled to put out the fire, investigators said.

"There were a lot of opportunities missed here by PG&E," Hersman said.

During the board meeting, board member Robert Sumwalt noted that the California Public Utilities Commission failed to exercise adequate oversight and enforcement of PG&E, and that the federal regulator, the Pipeline and Hazardous Materials Safety Administration, which is a part of the Department of Transportation, failed to monitor the state commission's oversight of PG&E.

"This accident is not just about the failure of a seam in a pipeline. Rather it's about a failure of an entire system -- a system of checks and balances that should have been put in place to prevent the disaster," Sumwalt said.

Board members pointed to previous PG&E-related incidents as examples of the company's lax procedures, noting a gas explosion resulting in a fatality in 2008, and a gas main break in 1981 that forced more than 30,000 people to evacuate San Francisco's financial district.

PG&E runs three major gas pipelines, including the one involved in the San Bruno explosion, under "nine high-population-density neighborhoods in San Francisco," Herrera said.

@highlight

NEW: PG&E president stresses that city of San Bruno nor residents were at fault

@highlight

"We are affirming our commitment to do the right thing," Chris Johns says

@highlight

Eight died and dozens of homes were destroyed when pipeline ruptured in 2010