Gaza City (CNN) -- A brief respite from the violence in Gaza appeared imminent Wednesday after both sides agreed to a U.N-requested temporary cease-fire.

"Factions of the resistance have agreed to accept the offer of the UN regarding a 'field calm' for 5 hours from 10 AM until 3 PM (local time) Thursday for humanitarian needs," Hamas spokesman Sami Abu Zhuri said in a text message.

Israel had already accepted the proposal; however, the military warned it would not sit idle if attacked.

"Should the humanitarian window be exploited by Hamas or other terror organizations for the purpose of launching attacks against Israeli civilian or military targets the IDF will respond firmly and decisively," the Israel Defense Forces said in a statement.

An effort to permanently stop the killing stalled Tuesday when Israel resumed airstrikes following a brief, one-sided cease-fire brokered by Egypt. While Israel paused for six hours, Hamas leaders rejected the deal and continued firing rockets.

They said they had not been consulted, and complained the deal did not address their demands for greater freedom for Gaza's 1.8 million residents.

"The initiative is no longer acceptable, and there is no basis for the continuation of this initiative," Hamas spokesman Zhuri had told CNN.

Children on beach killed

Anger is rising over civilian deaths -- including those of four children killed while playing on the beach.

The boys, ages 9 to 11, died Wednesday when a shell from an Israeli gunship exploded near them at the Al-Shati refugee camp in northern Gaza, according to Palestinian officials.

An Israeli official said the shelling was another example of Hamas using civilians as human shields -- intimating that the boys had been left to play near a rocket launcher.

"What they are deliberately doing is seeking to kill as many Palestinians as possible in order to yell to the world to, 'Help us,' " Israeli Cabinet member Naftali Bennett told CNN. "This is cynical and this is cowardly."

A Hamas official, however, called the shelling by an Israeli gunship a "massacre" and a "war crime" and demanded U.N. action.

"Those children were not firing rockets, they were just playing," Hamas spokesman Zhuri told reporters.

Israel's military said it was aware of the report and was investigating. The military, spokesman Brig. Gen. Moti Almoz said, never intentionally targets civilians.

"Based on preliminary results, the target of this strike was Hamas terrorist operatives. The reported civilian causalities from this strike are a tragic outcome," the IDF said in a statement.

"We're checking it out because we don't target civilians. We don't target children. There's obviously been a mistake," Israeli government spokesman Mark Regev told CNN's "The Situation Room with Wolf Blitzer."

The incident inflamed already raw emotions over civilian deaths in Gaza, where at least 221 Palestinians have died and close to 1,600 have been injured since Israel began its anti-Hamas military operation July 7, according to Palestinian health officials.

The one fatality on the Israeli side so far occurred Monday when a mortar shell hit a man at the Erez border crossing, Israeli Rescue Services said.

Rejection of Egyptian efforts

Also Wednesday, Hamas declined to join talks in Cairo between Egyptian President Abdel Fattah el-Sisi and Palestinian Authority President Mahmoud Abbas.

Like Israel, Egypt considers Hamas a terror organization because of the group's roots in the Muslim Brotherhood, which Egypt's military-led government banned after the country's 2013 coup.

Hamas officials said they are not opposed to a cease-fire, but want to see a broad agreement that would, among other things, end restrictions on border crossings that they say are choking the life out of Gaza's 1.8 million residents.

"I think what they want is to see a cease-fire agreement that addresses the real problems that they face and the system of violence that is this siege, that is the occupation, so that it can be a genuine cease-fire agreement that brings an end to hostilities, not just from one side," Yousef Munayyer, executive director of the Palestine Center, a pro-Palestinian think tank, told CNN's "New Day."

But Israeli Prime Minister Benjamin Netanyahu said that Hamas had brought the continued Israeli operation on itself after rejecting the Egyptian-brokered cease-fire.

"We held our fire for six hours and during that time, Hamas continued to barrage our cities with rockets," Netanyahu said. "Hamas thus shut the door to a diplomatic solution, and it therefore bears sole the responsibility for the continuation of the violence."

Former Palestinian Authority Foreign Minister Nabil Shaath said Hamas has legitimate complaints about how Israel has implemented past accords.

"Gaza is still fully under siege. And none of the agreements that have been signed before have been implemented," he told CNN's Blitzer. "But we think this is something that can be discussed later. What we should do now is proceed to an immediate stop of the Israeli attack on Gaza and, therefore, an immediate cease-fire. And we are working very hard to make that happen as soon as possible."

'We are in jail here'

Both Palestinians and Israelis say they are living in fear.

"We are forced to live in this, and there is nothing for us to do," said Abu Musbah, a, 21-year-old member of Islamic Jihad, one of the groups that is firing rockets at Israel. "The children are scared, but we struggle to continue our lives."

The Shuja'iya neighborhood of Gaza City, where Musbah lives, was like a ghost town Wednesday. Many people had fled during the night.

At the Al-Shati camp, 65-year-old Abu Ashraf said, "We are in jail here, big jail."

In the Israeli city of Ashkelon, less than 15 kilometers (less 10 miles) from the Gaza border, people live under the constant threat of rocket fire.

"It's a difficult situation," said Merav Danieli, a resident of the city. "I know that Gaza has a difficult situation also. We feel for them, we feel for them. But you can't live in your own country and someone will bomb you all the time, it's not a normal situation."

Gaza crisis: Who's who in Hamas

People on both sides of the conflict "deserve to live in peace and security, free from fear," President Barack Obama told reporters Wednesday. He said the United States will continue to encourage diplomatic efforts to reach a cease-fire.

'Failure is not an option'

The failed cease-fire took shape after a secret telephone call between Egypt's al-Sisi and Netanyahu coordinated by U.N. Middle East peace envoy Tony Blair, the Israeli newspaper Haaretz reported Wednesday, citing unnamed diplomatic sources.

The Egyptian plan calls for all sides to cease hostilities in Gaza, the opening of border crossings and for high-level talks among those involved.

The deal was "prepared hastily" without consulting all the parties involved, most notably Hamas, Haaretz reported, citing Western and Israeli diplomatic sources.

The effort to find a new path to a cease-fire is a "must for all of us," said Saeb Erakat, chief negotiator for the Palestinian Authority. "Failure is not an option here," he said.

U.S. Secretary of State John Kerry said the immediate need is to find a way to stop the violence.

"Our concern is to have a legitimate cease-fire and see if we can find a way to stop the conflict killing so we can get to the real issues that are underlying it," he said. "And we're doing everything in our power."

Israeli military's 'knock on roof' warnings criticized by rights groups

War-scarred Gaza medical crews also in harm's way

Opinion: A smart way out of the Gaza confrontation

CNN's Ben Wedeman and Ian Lee reported from Gaza City, and Michael Pearson reported and wrote from Atlanta. CNN's Diana Magnay, Elwazer Schams, Samira Said, Michael Schwartz, Mohammed Tawfeeq, Salma Abdelaziz, Ali Younes, Elise Labott and Jethro Mullen also contributed to this report.

@highlight

NEW: The proposed period of calm is expected to last five hours Thursday

@highlight

Deaths of four children in Gaza camp a "war crime," Hamas official says

@highlight

Israeli officials say they're investigating, but never intentionally target civilians