(CNN)Achong is struggling to push our longboat against the current of Borneo's Batang Ai River, so we jump into the water to help him.

"Stay in the boat," he pleads, but we ignore him.

It's dry season and every ounce of weight is a factor as the longboat's hull scrapes the bottom of the shallow waterway.

This is the only time we ignore Achong.

Like other tattoo-covered Iban tribesman, he's a master boatman and this is his territory.

The Iban, once fearsome headhunters, are also expert trackers who have turned their talents to trailing one of the world's most fascinating endangered creatures: orangutans.

The ape pursuit takes us to Sri Aman Division, a remote area of Sarawak that nudges the border of Kalimantan, the Indonesian portion of Borneo.

Borneo and neighboring Sumatra island are the only places the shaggy-haired red ape survives.

The chances of seeing them in the wild are increasingly slim.

"There's no guarantee," warns Borneo Adventure in its publicity blurb for the Red Ape Trail, the safari that has brought us deep into the Asian island's dense, steamy jungle.

"Ape numbers are about 20,000 and constantly declining due to forestry, palm oil crops and poaching."

Far more certain is searing heat, humidity of 80-100%, slippery conditions and the possibility of leeches.

"This walk demands a great deal of physical and mental exertion," says Philip Yong, Borneo Adventure's co-founder. "The region is totally isolated from the outside world."

Pampering base

Fortunately there's a soft option -- surprisingly, it involves a longhouse.

Longhouses are the large jungle huts that generations of Iban and other Dayak tribes have called home.

Usually built on stilts, they're dark, communal living spaces often shared by several families.

The Hilton Batang Ai Longhouse Resort in the Sarawak region of Malaysia's portion of Borneo island takes its inspiration from traditional local homes, and translates this into luxury accommodation.

Seen from its jetty on the Batang Ai, a massive man-made reservoir in the Sri Aman region, the Hilton-managed resort appears like any other longhouse in the area.

Built from large chunks of belian (ironwood), it sits amid swirls of mist on the edges of the reservoir.

A huddle of pastel pink and blue painted longboats are tethered to its moorings.

This will be our pre-and-post-punishment pampering base.

Here we can cool off in a swimming pool -- safely out of leech reach -- and escape the melting humidity in air conditioned suites.

The next morning, we head upriver.

Deep in the tropical forests, we get a taste of life among the local Iban communities that have lived here, reputedly, since the 17th century.

Along the Batang Ai and its tributaries, colorful longhouse settlements unfurl like streamers on the riverbanks. Rice paddies cloak surrounding hillsides in velvet green crops.

"As shifting cultivators, they always built their homes near navigable rivers," says our guide, Mashour. "They were designed to last as long as their exploitation of rice farming in the area, before they moved on to new pastures."

Tattooed bodies

Some traditional Iban dwellings are big enough to house 20 families he adds.

They're about 200 feet long. Most are old ramshackle structures.

While some Iban now live in new cement longhouses that have a generator-powered TV set or fridge, most stick to old customs.

With one major exception.

The Iban's name was once synonymous with headhunting -- tribes often saved the severed heads of their human victims as trophies.

The tattoos swathing their bodies bragged of their triumphs.

Headhunting was largely extinguished by the British colonial regime in Sarawak in the early 20th century.

It made a brief comeback during World War II when the heads of 1,500 occupying Japanese forces were paranged with glee. (Parangs are machetes, swords and other blades used across the Malay archipelago.)

Heads were mounted like trophies in Iban homes.

The Iban have since lent their hunting skills to less grisly pursuits.

In 2002, Iban trackers helped map out the Red Ape Trail for Borneo Adventure. The trek got the backing of the UK's Orangutan Foundation for its noteworthy conservation efforts.

Today, a safari with the Iban offers one of the best chances of encountering the apes in their natural environment.

Fleeting glimpses

After traveling up the Delok River to Borneo Adventure's Nanga Sumpa lodge, we head out in search of orangutan.

The Red Ape Trail traces old Iban hunting tracks -- used for hunting heads as well as animals.

On the four-hour walk to Genting Tunu, we stop midway for lunch by the river.

Our guides, Apau and Nam, dip nimbly into the surrounding forest where, in contrast to their bloodthirsty ancestors, they use their parangs for chopping foraged bamboo shoots and edible ferns.

Nam stuffs bamboo logs with the jungle greens, chicken and rice and smokes them on a riverside fire.

Later, after an exhausting day of trekking through the jungle, we return to our base camp at the Hilton longhouse.

At the wood paneled Nanga Mepi restaurant, we're not so far from authentic Iban life.

Lapping up the lake nightlights, we eat local fish and sago puddings, more bamboo chicken and stir-fried jungle ferns.

Our encounters with the ape have been fleeting: glimpses of the world's largest arboreal animal crashing through the trees in the distance.

However, there were also opportunities for closeups at the nearby Semenggoh Wildlife Center, where apes that have been injured or illegally kept as pets are looked after before being returned to the wild.

We can hardly be disappointed. We've sensed the presence of this amazing creature in one of its only surviving habitats.

Borneo Adventure, 55 Main Bazaar, Kuching, Sarawak, Malaysia; +60 82 245175

Batang Ai Longhouse Resort, Batang Ai, Lubok Antu, 95900, Malaysia; +60 83 584 388

@highlight

Once fearsome headhunters, the Iban people are expert trackers who've turned their talents to following orangutan

@highlight

Hilton's Batang Ai Longhouse Resort is modeled after traditional longhouses, but is far more luxurious

@highlight

The resort, on the shores of a jungle reservoir, is ideal for treks to find wild orangutan