Cairo (CNN) -- A few days before the runoff elections that brought the Muslim Brotherhood candidate to the presidency, I was invited along with other civil activists to meet Mohamed Morsi. He did not show up, but his top advisers were present. After the long speech they gave about how Morsi will empower the civil society and that the Muslim Brotherhood will respect human rights including women's rights, a colleague of mine raised his hand to ask a question.

"I saw in your booklet that you respect human rights and women rights according to Sharia," my colleague asked. "Is it different from the rights mentioned in the international conventions that Egypt has signed?"

The answer given by one of the leader of Morsi's campaign was shocking. "Sharia values women more than the international conventions," the Morsi adviser said. "Do you know that according to Sharia the woman may choose not to breastfeed her child or clean the house until her husband pays her for doing this?" he added confidently, to much laughter in the room.

This simple conversation, more than anything, sums up how the Muslim Brotherhood views women's rights and what the status of women is likely to be under its rule. For while it may use the same terminology that we do, its perception of what those terms mean is completely different to that of liberal activists like me. They cannot see a woman outside the biological stereotypes as a mother, child-bearer, and housewife.

On the other side, activists like myself are working to establish women rights and gender equality in social, political, and civic spheres. Actually, they always describe "women's rights" as a western value and used to call it "women's issues." The space provided for women on the Brotherhood's Ikhwan website, for instance, is called "family oasis" and is full of stories about bringing up children, making your husband happy, the proper dress for the woman, and such topics that views women's role exclusively within the family.

The Muslim Brotherhood in fact has a shameful record of marginalizing women in the group, until it needs to abuse them to beautify the group's image. All through its history, the Muslim Sisters have never been allowed access to the leadership office of the Muslim Brotherhood group. The Muslim Brothers have changed this only in the past year by establishing the Freedom and Justice political party. It hired some women in the supreme committee of the party, but they are the wives, daughters, or relatives of leading brothers. We do not know much about them and they rarely -- if ever -- appear in public to speak on behalf of their party.

Although the Muslim Brotherhood allows women to run for parliamentary elections, they put them at the bottom of the ticket or support them with weak campaigns. The women chosen are merely the wives of the leaders, regardless of their skills or qualifications. Thus, their chances to win are limited. This makes the group appear to be respecting women rights; in reality it is doing the opposite.

Regardless of the fact that Muslim Brotherhood declared in 2007 that they may never allow Egyptian "women or Coptic Christians" in decision-making positions, they did not hesitate to exploit women to appear more moderate than other Islamist groups and appeal more to the political scene. In 2005 parliamentary elections, they put three women among the 133 candidates on their parliamentary election campaign platform. These women were the wives of prominent members in the group. They were politically weak and generally unpopular. One of them was Makarem Eldiary, who included many items in her political agenda that were clearly discriminatory towards women.

Her equivalent in the post-revolution parliament is Azza Al-Garf who has been lobbying against the 2003 legislation that criminalizes the savage practice of female genital mutilation.

A few weeks after her statements, the Muslim Brothers' Freedom and Justice Party launched a medical convoy that roamed Upper Egyptian cities looking to circumcize girls.

The Muslim Brotherhood cannot be solely blamed for the marginalization of Egytian women, whose rights are almost grinding between two large stones. The first is the patriarchal mind-set that traps women in stereotypical female roles and stigmatizes any woman who tries to break out of this mold. The second is the rise of political Islamists who encourage this patriarchal mentality and are wrongly interpreting religion to justify the social and political marginalization of women in the name of Islam.

One month after the revolution, we had a referendum on the constitutional amendments. Massive number of Egyptians motivated by their hunger for democracy participated in the poll. As a woman rights activist, I seized the opportunity to test people's willingness to include women in their vision of democracy. I ran a survey about whether "it is good for Egypt to have a woman president" outside polling stations in three areas Nasr City, Shubra, and Downtown. With the help of two interns, we surveyed 1453 people, including 634 women. The answer for my survey question was "100% no." Ironically, most of the words that followed this extreme "no" was loaded with much hatred and derision toward women. Despite the impressive role of women in the revolution, most Egyptians still believe that women are made for kitchen not for office.

I do not know Morsi to pre-judge how women will be treated under his rule. Yet, I know the history of the Muslim Brothers that our new president came from. I know that they show respect to women rights only to hunt a political gain and then go back to mistreating them. If this happened this time, they will not be abusing the group's women, they will be abusing Egypt's women. I hope and pray every day that Morsi will prove me wrong and does his best -- despite the Muslim Brotherhood attitude toward women -- to empower Egypt through empowering its women in their non-biological roles.

The opinions expressed in this commentary are solely those of Dahlia Ziada.

@highlight

Egyptian activist says Muslim Brotherhood views women only in terms of role as mother and housewife

@highlight

Dahlia Ziada argues Muslim Brotherhood has shameful record of marginalizing women

@highlight

New President Mohamed Morsi has much to prove to protect women's rights, she adds