Gaza City (CNN) -- The death toll on both sides of the Gaza battle jumped Monday, as Palestinian officials reported scores more killed and Israel announced seven more soldiers died -- including several on Israeli soil.

About 576 Palestinians have been killed, Gaza Health Ministry officials said. It's unknown how many were militants, but the United Nations has estimated that 70% are civilians. Israel has reported dozens of terrorists killed by its forces.

In total, 27 Israeli soldiers have died, including three believed killed by friendly fire. Nine of the soldiers were killed Monday. Four were on Israeli soil, killed as a result of infiltration by Hamas operatives, the Israel Defense Forces said.

Two of the soldiers who died over the weekend were dual Israeli-American citizens: California native Max Steinberg and Sean Carmeli, from South Padre Island, Texas, the U.S. State Department said.

Two Israeli civilians have also been killed. Israel's Iron Dome defense system helps protect its residents from missile attacks.

Gaza hospital shelled

The Shuhada Al-Aqsa hospital in central Gaza was hit by shelling, leaving five people dead -- one patient and four relatives, the Gaza Health Ministry said. Hamas TV showed upper floors damaged.

Israeli Justice Minister Tzipi Livni told CNN that the reports of hospital shelling are being questioned, "and we will make all the facts found public."

The Israel Defense Forces said an initial investigation shows that a cache of missiles was stored in the immediate vicinity of the hospital and was targeted. "Civilian casualties are a tragic inevitability of the brutal and systematic exploitation of homes, hospitals and mosques in Gaza," the IDF said. "While the IDF takes every possible measure to minimize civilian casualties, Hamas and its deliberate tactic of embedding terrorist activities within the urban environment is ultimately responsible."

Israel also blames Hamas for other civilian deaths in Gaza, noting that the group has encouraged people to stay in their homes despite repeated warnings from Israel in advance of airstrikes. But some Palestinians have said they feared that even if they left they could face the same violence anywhere in Gaza. More than 83,000 Palestinians have taken refuge in U.N. facilities.

"Nobody is safe and nobody can flee anywhere because everywhere is targeted," said Enas Sisisalem, a mother of two who lives in the al-Remal neighborhood of Gaza City. "When we hear the shelling my kids will cry."

Palestinian lawmaker Mustafa Barghouti accused the Israeli government of "acting in a criminal way."

"What happened in Gaza during the past 10 days is nothing but a massacre," he told CNN's "The Situation Room with Wolf Blitzer."

"This has to stop."

Israeli kindergarten struck

A rocket fired from Gaza struck a kindergarten, which was empty at the time, in the Israeli town of Sha'ar Hanegev, the IDF said.

More than 2,000 rockets have been fired at Israel since the start of Operation Protective Edge, it said.

Hamas said Monday it had killed Israeli soldiers in an ambush and that the Hamas fighters were uninjured. It also said it successfully targeted Israeli troops in several places.

Israel killed more than 10 Hamas terrorists who entered the country through tunnels "to attack two different kibbutzim," or communal areas, "where farmers are trying to conduct their daily lives," government spokesman Mark Regev told CNN.

"We will see Hamas come out of this substantially weakened, their arsenal of dangerous weapons diminished," Regev vowed Monday in an interview with CNN's Wolf Blitzer. "They will understand they can't shoot at our people with impunity."

In a meeting late Sunday, U.N. Security Council members expressed "serious concern about the growing number of casualties," according to the body's president, Ambassador Eugene-Richard Gasana of Rwanda.

And as the bloodshed continued Monday, U.S. President Barack Obama announced that he has instructed Secretary of State John Kerry to "push for an immediate cessation of hostilities." Kerry arrived in Cairo on Monday and said the United States would provide $47 million in humanitarian assistance to Gaza.

The talks should focus on a return to the Gaza-Israel cease-fire agreement of November 2012, the President said at the White House. "We don't want to see any more" civilian deaths in Gaza or Israel, he said.

Hamas speaking with other countries, not Egypt

Israel has slammed Hamas for refusing to consider a cease-fire proposal made by Egypt last week.

Senior Hamas political figure Izzat Risheq in Qatar told CNN on Monday that Hamas is not speaking directly with Egypt, but several other nations are involved: Turkey, Qatar, and Kuwait. Hamas political leader Khaled Meshaal traveled from Qatar to Kuwait on Sunday, Risheq said.

Hamas postponed a scheduled news conference, at which Meshaal was going to speak, due to ongoing talks, Risheq said.

Kerry told CNN on Sunday the United States has "shown our willingness to try to deal with the underlying issues," but Hamas "must step up and show a level of reasonableness."

"No country, no human being, is comfortable with children being killed, with people being killed, but we're not comfortable with Israeli soldiers being killed either, or with people being rocketed in Israel," he said.

While steadfastly supportive of Israel in public comments, Kerry appeared to let slip some frustration when caught on an open microphone between television interviews Sunday. After one of his deputies mentioned the latest number of Palestinian casualties, Kerry was heard to say, "It's a hell of a pinpoint operation."

Obama spoke Sunday with Israeli Prime Minister Benjamin Netanyahu, the second call in three days. Obama reiterated U.S. condemnation of Hamas attacks against Israel "and reaffirmed Israel's right to defend itself," the White House said in a statement. Obama also "raised serious concern about the growing number of casualties, including increasing Palestinian civilian deaths in Gaza and the loss of Israeli soldiers."

UN: 'Massive' airlift under way

The United Nations is sending supplies into Gaza in what Chris Gunness, spokesman for the U.N. agency for Palestinian refugees, described as a "massive humanitarian airlift."

"In the coming days, more airlifts are scheduled to arrive in Amman, from where (the U.N. agency) will truck the aid into Gaza for distribution," he said on Twitter.

The IDF, meanwhile, tweeted, "While Hamas continues its attacks, tons of goods are reaching Palestinians in Gaza from Israel," including 148 trucks of food and medical supplies.

Israeli soldier captured?

Hamas said Sunday it had captured an Israeli soldier. "He is a prisoner, and if Zionists lie about the dead and wounded, then the fate of this soldier is their responsibility," Hamas spokesman Abu Obeida said.

Gunfire and cheers erupted in Gaza in apparent celebration of the soldier's capture.

Israel's ambassador to the United Nations later disputed that claim. "There's no kidnapped Israeli soldier, and those rumors are untrue," Ron Prosor said.

But Monday morning, the Israeli government said it was unsure.

"It could just be Hamas bravado. We're looking into it," Regev said. "We don't underestimate Hamas. Hamas has built a formidable military machine. We see that with these rockets that they can shoot at the center of our country -- at Jerusalem and Tel Aviv. That network of tunnels under the Gaza Strip, there's a whole subterranean terror world there in Gaza. Some of those can go into Israel and pop up on our side of the frontier with arms, with explosives and can cause murder and mayhem on our side. So we take the Hamas threat very seriously."

If the claim is true, it will be "a game changer immediately because it's going to change what the Israelis are doing on the ground in that sector. They're going to be looking for him," said CNN military analyst Lt. Col. Rick Francona. But, he added, "overall, the Israeli strategy is not going to change. They're committed to this mission."

In 2006, Israeli soldier Gilad Shalit was captured. He was released some five years later in exchange for more than 1,000 Palestinian prisoners.

Hezbollah reaches out to Hamas

The Lebanese militant group Hezbollah reached out to Hamas to express its support Monday.

Hassan Nasrallah, the group's secretary-general, spoke with Hamas political chief Khaled Meshaal, who lives in Qatar.

Nasrallah "praised the steadfastness of the resisters and their creativeness in the battlefield, the enormous patience of the wronged people of Gaza and their stand behind their resistance," according to a CNN translation of a Hezbollah statement.

Nasrallah also spoke with Ramadan Shallah, head of Islamic Jihad, another Palestinian militant group, the statement said. Shallah is one of the FBI's most wanted terrorists.

CNN's Karl Penhaul and Ian Lee reported from Gaza City, Josh Levs and Ali Younes from Atlanta and Jethro Mullen from Hong Kong. CNN's Kareem Khadder, Ben Wedeman, Atika Shubert, Ben Brumfield, Tim Lister, Michael Martinez, Mohammed Tawfeeq and Yon Pomrenze contributed to this report.

@highlight

The United States announces $47 million in humanitarian assistance to Gaza

@highlight

"What happened in Gaza ... is nothing but a massacre," says Palestinian lawmaker

@highlight

Israeli kindergarten struck; it was empty

@highlight

Gaza hospital shelled; Israel says missiles in the vicinity were targeted