London (CNN) -- For thousands of Iraqi women and girls, the conflict that began in 2003 was only the start of their ordeals.

In the chaos of war and the confusion, lawlessness and poverty that followed, an untold number have become victims of sexual traffickers, some within Iraq and others sold over the borders.

But the problem of trafficking has gone almost unreported, kept in the shadows by a combination of corruption, religious and cultural taboo and lack of interest by the region's authorities in tackling it, researchers say.

A report released by the London-based non-governmental group Social Change for Education in the Middle East (SCEME) Wednesday hopes to change that.

Entitled Karamatuna, or Our Dignity, the study highlights the plight of girls as young as 10 or 12 who have been trafficked from post-war Iraq into countries including Syria, Jordan, Lebanon, United Arab Emirates and Saudi Arabia for sexual exploitation.

Other victims trafficked within Iraq end up in nightclubs or brothels, often in Baghdad, the report says. Some of those brothels "have been established purely to meet the demand created by United States service personnel," it adds.

Launching the report, Iman Abou-Atta, a clinical researcher who put her career on hold a year ago in order to produce the study, told a hearing at the House of Lords in London that she had felt compelled to investigate after realizing the extent of the silence around the issue.

"What I came across was closed doors, shame, the unwillingness of authorities of Syria and Jordan and the quietness of civil society on the issue," she writes in the foreword to the study.

Abou-Atta also encountered resistance when she raised the issue with the British and U.S. authorities whose forces' presence in Iraq has been a contributing factor to the problem, she says.

While sexual exploitation existed in Iraq, as anywhere, long before the war began in 2003, "the invasion and instability that followed led to an environment where young women and girls became much more vulnerable to trafficking," she told the hearing.

One Iraqi non-governmental organization, the Organization for Women's Freedom in Iraq, estimates that about 4,000 women, one fifth of them aged under 18, disappeared in the first seven years after the war.

Although hard data is hard to come by, the group's research suggests many were trafficked by criminal gangs nationally or internationally, or sold into forced marriage by their own families.

Hundreds of thousands of Iraqis were displaced or made refugees by the war. Prevented from working legally, some men have forced female relatives into prostitution to earn money for the family.

Others have taken advantage of others' hardship. One case cited by the study is that of 17-year-old Amira, whose impoverished father accepted a man's offer to hire her for $200 a month to care for his handicapped wife. As well as housework, she was forced to have sex with the man's son and friends.

Professional trafficking gangs also target young women after they flee home to escape forced marriage, abuse or violence, the report says.

In a finding that may surprise some people, many of the traffickers within Iraq are women, the study says. While some of those have themselves been victims of sexual exploitation, Abou-Atta says, others are in it for the easy money.

Other traffickers are taxi drivers who lure girls with false offers of help and then take them to brothels, or young men recruited by gangs who trick vulnerable young girls into eloping and then sell them into sexual servitude.

Some young victims are tricked into thinking a marriage proposal is genuine, Abou-Atta said -- and then after being sexually exploited are swiftly divorced and dumped in the streets, all honor gone in the eyes of conservative Arab society. They are then easy targets for further abuse.

Once in the hands of the traffickers, the victims face a grim future.

One girl, identified as Shada, was left by her father at the Syrian border, the study says. She was trafficked to Damascus, where she was raped by five men and sold to a woman who forced her to work as a prostitute in nightclubs.

Many women forced into the sex trade then feel trapped, unable to leave because of threats to their family and a lack of any future in a conservative, predominantly Muslim society that tends to see them as to blame for their "shame."

Abou-Atta, who spoke to some victims of sex trafficking in Lebanon, said the women painted a dismal picture.

"In the beginning it's a nightmare," she said. "Then they realize there's no choice, they cannot run away."

One woman recounted how when those who had trafficked her learned she planned to flee, they threatened to destroy the life of her daughter by making her shame public -- so she opted to stay, Abou-Atta said.

"It comes to the price of their lives, the price of their families," she said.

Another cruel practice, particularly in Syria, is the "mut'a" marriage, in which a girl is married off for a price to a man on a Friday, only for him to divorce her on the Sunday.

"Research suggests that the rates at which these mut'a marriages are carried out intensifies in the summer when male tourists visit Syria from the Gulf," the study says.

"Although this particular kind of marriage is not explicitly called prostitution, it is in effect sexual exploitation, often forced, as a means of either securing livelihood, or generating profit."

While anti-trafficking and prostitution laws exist in many countries in the region, the will to enforce them appears weak -- and they fail to offer much protection for the victims.

In a move in the right direction, Syria strengthened its anti-trafficking laws last year, the study says, and toughened the penalties against men involved in trafficking. However, women who have been forced into prostitution continue to face sanctions too.

Syria also deports Iraqi refugees found illegally working in the country -- including women forced into the sex trade.

Meanwhile, provision of shelters, health care or psychological support for the stigmatized victims of sexual exploitation, who have little other chance of employment, is almost non-existent across the region, Abou-Atta said.

She sees improved education and increased awareness as key factors in protecting future generations of women and girls.

She also hopes to carry out more field research, to bolster what little hard evidence is available on an issue shrouded in secrecy. The group's efforts were hampered over the past year by the Arab Spring uprising, which made access to many places difficult or dangerous.

Houzan Mahmoud, of the Organization for Women's Freedom in Iraq, which published its own report on prostitution in Iraq last year, told the hearing the Iraqi government had opposed her group's work and tried to block its access to the media.

She urged Western governments to do more to put pressure on their Arab counterparts to tackle sexual exploitation, and to ensure they do not send vulnerable asylum seekers back to a situation where they may be trafficked again.

Religious leaders should play a role by using their influence to change attitudes within society rather than demonizing women who are sexually exploited, she added.

Change won't be easy though. At the heart of the issue are the men who are happy to hand over money for sex -- and the corrupt officials at borders and elsewhere who turn a blind eye to what's happening to vulnerable women.

"The problem is there's a demand for this, there's a market for this," said Mahmoud. "This is about money-making and profits."

@highlight

Study: Years of conflict have made Iraqi women vulnerable to sex trafficking

@highlight

Thousands of women and girls are thought to have been trafficked in Iraq and the region

@highlight

Some girls as young as 11 have been sold as sex slaves in nightclubs, the report says

@highlight

The issue is shrouded in secrecy in a conservative, mostly Muslim society