(CNN) -- 2014 is an election year. We know this because, once again, the Democrats are out in force with voices raised, full of outrage, trying to convince women that new laws are needed to ensure that they receive equal pay for equal work.

Equal pay for equal work. Sounds pretty simple, right? We all agree that a woman doing the same job as a man should not be paid less just because she's a woman.

Unfortunately, the broader issue is not that simple. What if one employee has more education? What if that employee has been with the company longer or has more experience?

These are questions that courts have been mediating since 1963 as companies have faced lawsuits over gender discrimination with regard to wages.

Why 1963? Because that is when the Equal Pay Act was signed into law by President John F. Kennedy. The law says that "no employer shall discriminate between employees on the basis of sex." And it passed the House that year by a 362-9 vote. That's right, nine Democrats voted against it.

Democrats highlight equal pay in political push

For the past two election cycles, Democrats have tried to paint Republicans as backward cavemen on this issue as part of their so-called "War on Women," claiming that Republicans don't care about women because they opposed the Lilly Ledbetter Act. Never mind that the Ledbetter Act had little to do with the premise of equal pay for equal work and everything to do with the time limit for trial lawyers looking to exploit a potential claim.

Democrats consistently ignore data from neutral sources that indicates that when you actually compare men and women with the same background and education doing the same job, equality of pay has been largely achieved. PayScale, a compensation data company, has shown that in careers from software developer to nursing to construction project manager to human resources administrator, women are within 1% to 4% of men in terms of pay equity.

Obama to strengthen equal pay protections

However, much of the research on women voters in recent years supports the notion that women believe that men get paid more for the same job than women do. There are several reasons for this: 1) personal experience, 2) friend to friend examples and 3) Democrat politicians with manufactured data perpetuating it.

So what is a Republican candidate to do?

First, every Republican should affirm, without hesitation, support for the concept of equal pay for equal work. There should be no perceived daylight between Republicans and Democrats on this basic value.

Democrats seize on equal pay as midterm issue

Second, every Republican should remind voters that they support the Equal Pay Act. They should affirm that, had they been in Congress at the time, they would have voted to pass it and that the only "nay" votes recorded that day came from Democrats. And Republicans should remind women that if they are not receiving the equal pay that they deserve, the law is on their side and that bad actors should be vigorously prosecuted.

Third, all Republicans should know their facts. Be prepared to challenge the media and their opponents when they try to claim that some new piece of legislation is necessary to ensure equal pay. Not every problem in America can be fixed by Washington. Every disparity that exists in the workplace is not an opportunity for a new piece of legislation.

Fourth, every Republican should celebrate companies that have decided it is good business to have a diverse workplace. We should applaud those that have gone out of their way to attract women and give them a rich and robust work experience.

And there are plenty of great examples in the Forbes list, "The 10 Best Companies for Women in 2014":

-- IBM, which has a Reconnections Initiative that tries to bring women who left to have children back to IBM.

-- Marriott, which has an impressive 55% female workforce and 58% female management team.

-- Ernst & Young, which has a mentorship program where senior level women pursue opportunities on behalf of younger women within the company.

As we celebrate these success stories and condemn bad actors, workplace experiences for all women will improve.

Finally, all Republicans should support initiatives to encourage young girls to enter traditionally male-dominated fields such as science, technology, engineering and math. These important STEM fields are crucial to our country's future and provide incredible opportunities for women to achieve high earnings.

As of last month, there were 4.7 million unemployed women in this country. What is sad indeed is the willingness by Democrat candidates to use the issue of pay equity as a political football to change the subject from that sobering statistic and the fact that women can't keep their insurance plans or their doctors because the promise of Obamacare turned out to be a lie. These are the real challenges facing women today.

But the truth can be inconvenient when it doesn't fit into the Democrats' narrative of a trumped up "War on Women."

Join us on Facebook.com/CNNOpinion.

@highlight

Katie Packer Gage says Democrats use the pay equity issue as a political football

@highlight

Republicans, she argues, can take five steps to combat the ploy

@highlight

GOPers should remind voters that they support the Equal Pay Act, she said

@highlight

She also says Republicans should support companies with a diversified workforce