(CNN) -- Here's a question for you:

What do you think life in the United States would be like if there were no minimum wage?

If employers were allowed to pay workers anything they wanted?

Would much of American life turn into something out of Charles Dickens? Or would the country flourish?

It's not as outrageous a notion as it sounds.

For most of the time this nation has existed, that was the case: There simply was no such thing as a minimum wage.

Right now the minimum-wage debate is in the news because President Barack Obama has proposed that it be raised. Currently, the federal minimum wage is $7.25 per hour; Obama wants it to be raised to $9 per hour.

In his State of the Union address this month, the president said:

"Let's declare that in the wealthiest nation on Earth, no one who works full-time should have to live in poverty."

The political battle will be over how much -- if at all -- the $7.25 minimum wage should be raised. There is significant opposition to an increase; Rep. John Boehner of Ohio, speaker of the House of Representatives, summed it up when he said:

"When you raise the price of employment, guess what happens? You get less of it. Why would we want to make it harder for small employers to hire people?"

There was no U.S. minimum wage at all until the eve of World War II. States had tried to institute minimum wages, but the United States Supreme Court repeatedly struck down those state laws. The Supreme Court's reasoning was that a minimum wage deprived workers of the right to set the price of their own labor.

CNNMoney: The impact of a $9 minimum wage

This sounded increasingly absurd during the Great Depression. President Franklin D. Roosevelt, knowing he had the nation on his side, threw down the gauntlet when he proclaimed: "All but the hopeless reactionary will agree that to conserve our primary resources of manpower, government must have some control over maximum hours, minimum wages, the evil of child labor, and the exploitation of unorganized labor." A federal minimum-wage law was passed that the Supreme Court did not overturn.

And so, in 1938, the first federal minimum wage went into effect:

Twenty-five cents per hour.

As the number has increased over the decades, there have always been serious voices in agreement with Boehner's position: that when the minimum wage is raised, businesses are able to hire and pay fewer workers, so that not only is the economy harmed, but people who want jobs have a more difficult time finding them.

On the other side, some economists argue that the higher-minimum-wages-means-fewer-jobs theory is, in the phrase used by former Secretary of Labor Robert Reich, "baloney." Reich recently wrote that providing a bottom line beneath which workers' hourly pay must not fall is the nation's moral duty, and "a decent society should do no less."

The minimum wage has been a part of American life for so long now that very few citizens have any memory of a time when it did not exist. But the United States was built by workers who were guaranteed no minimum wage -- in a country that, until the 1938 law, let the marketplace determine how much anyone was paid.

(Reich's contention is that there is really no such thing as "a 'market' that exists separate from society. . .[T]here's no 'market' in a state of nature, just survival of the fittest.")

Some states have their own minimum-wage standards that are higher than the federal rate; the states are free to demand that workers earn more per hour than the federal $7.25 level, but may not pass laws that pay workers less.

One of those states is Florida, where the current minimum wage is $7.79 per hour. I asked Mike King, a grocery worker in Collier County earning the minimum wage, if the increase to $9 would make an appreciable difference in his life.

"There's no question about it," he said.

What may seem like small change to wealthier people, he said, would allow people in his situation to be at least a little better off: "I'd be able to buy better quality food some of the time. I could pay for gas and car insurance, so I could drive to my job instead of taking public transportation or riding a bicycle. And it would help me be able to pay my electricity and phone bills on time."

The federal minimum-wage law has always served a symbolic purpose beyond setting a specific number.

It has sent a signal to even the lowest-paid workers:

The country believes that what you do has value. The country will offer you a layer of protection that no one can undercut.

Today's column began with one question, so let's end it with another.

If there had never been a minimum-wage law passed -- if, as in the years before 1938, Americans today could be paid as little as employers could get away with -- and if, in 2013, someone in Congress proposed the first law ever that would guarantee workers a minimum wage. . . .

Do you think, in our current political atmosphere, such a law would have a chance of passing?

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene asks: What would life in U.S. be like if there were no minimum wage

@highlight

For most of U.S. history, there was no minimum wage; it started in 1938 under FDR

@highlight

Obama wants to raise it. Others, like Speaker Boehner, oppose it as costly to business

@highlight

Greene: With minimum wage nation tells workers: What you do has value worth protecting