DOHA, Qatar (CNN) -- One look outside the window gives a glimpse of the "economics of energy" in Doha, Qatar. Cranes dot the tops of half-finished towers, a monumental work in progress; the result of vast energy wealth being pumped out of the ground and poured into project after project.

Doha, Qatar: A city skyline awash with cranes and towers powered by abundant oil and gas supplies.

It's here that our Principal Voices met for the first of this year's roundtables. Outside Qatar, the economics of energy present a very different picture. Rising fuel costs are pricing power out of the means of some of the world's poorest people. And the environmental cost of continuing to exploit the world's fossil fuel supplies is now almost universally agreed to be so great that society can no longer afford to ignore it.

Our Principal Voices come from diverse backgrounds:

The Icelandic President Olafur Grimsson -- the first head of state to sit on a Principal Voices panel -- grew up on a small island in the North Atlantic Ocean and over the past forty years has witnessed the country abandon coal to become the world's first clean economy.

Dr Joseph Adelegan from Nigeria has seen poverty first hand in Africa where he worked closely with villagers to convert slaughterhouse waste to gas they use for cooking.

And, Qatar-based businessman Hesham Ismail AbdulRahman Al Emadi is leading an ambitious project to create a global network of "Energy Cities" to house the oil and gas industry.

For an hour and a half they spoke about how to solve what Icelandic President Grimsson called, "the most fundamental question of the 21st century": energy and whether there will ever be enough alternative sources of power to satisfy global demand if, and only if, the world manages to shake its addiction to oil and other fossil fuels.

They spoke not only about the need to find alternatives to traditional energy sources, but whether there'll ever be a concerted effort in developed countries to conserve rather than consume precious resources.

So what is holding us back? "We are creatures of habit," Grimsson offered by way of explanation, adding that "it usually takes a crisis to bring about change". He warned that there is one potential disaster looming: the predicted melting of the glaciers in the Himalayas in 30 to 40 years which will cause catastrophic flooding in India and China.

"This is not just a discussion about the rich, about cities or about Europe or America or even China or India, the great economic powerhouses. This is also a question about the poorest of the poor."

In a response to an emailed question about whether the developed world should face sanctions for not meeting any targets set by the international community on climate change, Dr Joseph Adelegan called for aid to help poorer countries --like the ones in Africa -- find alternatives to fossil fuels.

The Middle East is facing different challenges. Hesham Al Emadi says energy subsidies in Gulf Cooperation Council countries and ignorance of the issues provide little incentive for residents to conserve energy or find greener alternatives: "there is lots of ignorance. Awareness is a major issue."

And what of countries like the U.S.? Would higher taxes on fuel be enough to move residents in the right direction? Acknowledging he's an optimist and "a great friend of America," Grimsson said, politically, all the elements are already in place for a big shift in attitudes in the U.S. "McCain, Hillary and Obama are all on the positive issue, as I call it," he said.

He also said the world might be wise to look to the Middle East for guidance. "I believe they are probably more aware than we are that the odds are that oil will run out sooner rather than later," Grimsson said, adding "A visionary leader of a country who wants to create a good living for his or her grandchildren or great grandchildren thinks about these issues."

We'll put more content from the debate on the website as soon as possible, including video highlights.

What's your point of view? Send us an email by filling out the form on the front page, or perhaps send us an iReport explaining your views. Join the debate.

@highlight

First Principal Voices round table debate takes place in Doha, Qatar

@highlight

Olafur Grimsson states "it usually takes a crisis to bring about change"

@highlight

Joseph Adelegan calls for aid to help poor countries find alternatives to fossil fuels