(Fast Company) -- Demand Media burst onto the public markets last month, quickly earning itself a valuation of $1.5 billion -- and a tidy payday for its chief investors and founders.

But it's possible they got into the market just before the getting stopped being good.

There's a rising backlash against "spam" search results and other low-quality content, and that could spell the death knell for content farms like Demand.

The problem: Google used to be an efficient way to find what you needed. Enter a search term, and, presto, the results served up the very thing you were looking for. But increasingly, that's not the case.

Investor and business commentator Paul Kedrosky recently vented his outrage at the pile of garbage he found on Google when he went looking for tips on buying a dishwasher.

UC Berkeley professor (and tech commentator) Vivek Wadhwa threw up his hands when Google couldn't help his students find the information they were looking for.

And at a panel on the future of search earlier this week, Loopt co-founder Sam Altman said: "Three times in the last month, I searched for things on Google, and the result wasn't on the front page. That's the first time it's ever happened."

A major source of the problem is the entire industry that has emerged to game the Google system, producing content that looks promising within the results, but that when clicked on, serves up a mishmash of text that looks like sneezed-out alphabet soup.

The material produced by Demand Media -- and other content farms, like AOL's Seed -- is usually not as egregious as the example above, but it's often not far behind.

Demand and AOL both employ humans, but make thousands of assignments a month -- and there are minimum quality requirements.

The payment structure at both companies is such that very few freelancers can afford to devote the time necessary to produce the kind of reliable take a reader might be looking for. For example, a Wired story about Demand described the efforts of a videographer to shoot, edit, and post 10 videos on kayaking techniques in under two hours, because he was only getting paid a total of $200.

Search engines, whose entire value proposition rests on the quality of the results they produce, are starting to take notice.

Blekko, a new engine launched last year to fight this very problem, is already crowdsourcing quality by letting users mark results as spam.

Earlier this week, Blekko announced that, based on feedback it received through its spam-watch program, it had decided to ban material from 20 sites produced by content farms, like Demand Media's eHow.

The sites "are literally responsible for millions of pages on the Web that our users say are just not helpful and they'd prefer they were banned permanently," Blekko CEO Rich Skrenta said. "So we're going to do that for them."

Google has also responded.

"In 2010, we launched two major algorithmic changes focused on low-quality sites," Matt Cutts, Google's leader for search quality, wrote on The Official Google Blog last month. "Nonetheless, we hear the feedback from the web loud and clear: People are asking for even stronger action on content farms and sites that consist primarily of spammy or low-quality content. ... We can and should do better."

What Google will actually do remains to be seen. At Farsight 2011 this week, the conference at which Loopt's Altman appeared, Cutts indicated that the search giant is looking for algorithmic ways to improve the quality of search results.

"We care about the long-term loyalty of our users," he said.

All of which means, if the search business gets serious about weeding out spam and low-quality content, Demand's days could be numbered.

Its business model was designed to exploit -- and reap revenue from -- the specific ecosystem into which it was born. But if that ecosystem changes, it's anyone's guess whether Demand will be able to retool and find a new strategy.

The "Risk Factors" section of its pre-IPO S-1 filing says as much:

"Internet search engines could decide that content on our owned and operated websites and on our customers' websites, including content that is created by our freelance content creators, is unacceptable,"the filing says.

"Any reduction in the number of users directed to our owned and operated websites and to our customers' websites would negatively affect our ability to earn revenue. If traffic on our owned and operated websites and on our customers' websites declines, we may need to resort to more costly sources to replace lost traffic, and such increased expense could adversely affect our business, revenue, financial condition and results of operations."

Fast Company reached out to Demand for comment, but they declined because they are still in the "quiet period" required by the SEC, which prohibits companies from talking about themselves in the period surrounding an IPO.

Copyright © 2010 FastCompany.com, a unit of Mansueto Ventures, LLC. All rights reserved.

@highlight

Demand Media was recently valued at $1.5 billion at its initial public offering

@highlight

But a search-engine crackdown could spell trouble for content farms like Demand

@highlight

Google's Matt Cutts says the search giant plans to crack down on low-quality content

@highlight

Blekko, a startup search engine, already bans results from Demand Media