(CNN) -- Manila's Payatas dump site is more than a simple landfill, it's an entire human eco-system.

Located to the northeast of the Philippines' capital, it supports a population of almost half a million people many of whom eke out a precarious living sifting through garbage.

Over the decades, an informal cottage industry grew up around women who earned money weaving recycled scrap fabric into rugs --- a job that allowed them to earn at least some money while they took care of their children at home.

Their work came to the attention of middlemen who exploited them by controlling the supply of fabric as well as their access to the market.

Eventually, many of the women were driven down below cost, producing the rugs for as little as 20 cents a day.

In 2007, a group of young professionals came together to change the situation. Rags2Riches was set up to provide the women artisans of Payatas with a fair price and access to the formal market.

With the help of some of the Philippines' top designers, including sought-after names such as Rajo Laurel, Amina Aranaz-Alunan, Olivia d'Aboville and Oliver Tolentino, the company began producing high-end fashion accessories made by the women of Patayas and other communities around the Philippines.

According to Rags2Riches president Reese Fernandez-Ruiz, in a short six years the company has built an international brand with a growing reputation.

"We are starting to sell to retailers like Anthropologie and our partnerships are just going to expand," she said. "We're doing our next fundraising within weeks and we'll be getting new investors in."

The company has so far trained more than 800 artisans producing everything from handbags, wallets and even wine bottle covers that retail in fashion houses as far away as London and New York.

It now operates in 21 different communities around Metro Manila and has expanded to other parts of the Philippines taking in designs and work from poor communities across the country.

Creating chances for a better future

The company aims not just to pay its workers better but to provide financial, educational and health training that it says will pay dividends into the future.

Fernandez-Ruiz stresses that the materials that go into the products are no longer sourced from the garbage dump -- the scene of a tragic landslip in 2000 that killed more than 200 people -- but come straight from textile manufacturers before they are dumped.

As for taking on the middlemen, she says there was such little cohesion among them that simple market forces broke their grip on the trade.

Rags2Riches, she says, pays an average of 400-700 pesos a day ($9-$16) to its artisans, making it an easy choice for women that once earned as little as 20 cents for every rug they made.

"Funnily enough the middlemen made up a very informal group and a lot of middlemen didn't know that there were a string of middlemen involved in the operation," she said.

"Some of them thought they were alone in this and some of them are actually artisans now," she said. "It wasn't really a gangster scene but it was more a group of people who really weren't aware of the opportunities that they had.

"When they had information, it allowed them to make better decisions. By coming into the picture, we provide them with that avenue."

Fernandez-Ruiz said the artisans are more than simply employees, and are integral to the operation of the company.

"They have a voice here. They provide us with their feedback and input -- they are part of our management team and part of our board as well."

Building a business

While the rag-pickers of Patayas had always made woven material to a high standard, she said that taking the products to the next level to allow them to be sold in international fashion houses had been an education for the artisans and the managers at Rags2Riches.

"While quality might be an objective thing for people who know what that means, for people who have other things to think about like what their kids will eat, the idea of quality can seem very trivial.

"We had to expose them to the market and understand how it works and why it has to work that way.

"It took a while and it was a process but there's a very strong understanding of how the market works now and the artisans influence it themselves."

In the often ego-driven world of high fashion -- where a designer's name drives the success of the brand -- Rags2Riches is turning many of the commonly held assumptions about brand success on their head.

"Artisans come to us with their designs all the time," Fernandez-Ruiz said, adding that individual artisans put their name to every product. "We have a practice of collaborative design so it's not just one person calling the shots.

"One person will know how one particular part of a bag works and another person will know another part.

"We've found that if it's not collaborative, it's not as effective."

Read more: Some Philippines children swim to school, but now their lives could change

Read CNN's sponsorships policy

@highlight

Payatas is home to one of the Philippines' largest garbage dumps

@highlight

Half a million people live around the area with many surviving by scavenging

@highlight

Rags2Riches set up to help give women chance to utilize weaving skills by making bags and fashion accessories