A leading humanitarian organization has urged soccer's ruling body FIFA and the Qatari government to honor their commitment to reform employment laws for migrant workers ahead of the 2022 World Cup, amid fears that stadiums will be built using an exploited labor force.

Human Rights Watch (HRW) has compiled a 146-page report -- "Building a better World Cup: Protecting migrant workers" -- examining Qatar's recruitment and employment system, where 94% of its workforce are migrant workers.

The Qatari government recently suggested it will replace the current sponsorship scheme  --  where all foreigners must be sponsored by local employers to work and reside in the country -- with a system of contracts between employers and employees.

But HRW said that it might prove of no benefit to the workers constructing the stadiums needed to host the tournament.

"The government needs to ensure that the cutting-edge, high-tech stadiums it's planning to build for World Cup fans are not built on the backs of abused and exploited workers," HRW's Middle East director Sarah Leah Whitson said.

"Workers building stadiums won't benefit from Qatar's general promise to end the sponsorship system. They need a deadline for this to happen before their work for the FIFA games starts."

Qatar is smaller than the Bahamas in land area, has less than 300,000 citizens, but  boasts the highest per capita GDP in the world.

But in HRW's interviews with 73 migrant construction workers they reported a host of problems, including unpaid wages, illegal salary deductions, crowded and unsanitary labor camps, and unsafe working conditions.

The Qatari Labor Ministry denies that workers are being exploited.

"The Ministry has received no complaint of forced labor and it is inconceivable that such a thing exists in Qatar as the worker may break his contract and return to his country whenever he wishes and the employer cannot force him to remain in the country against his will," it said in a letter to HRW, an international non-governmental organization which conducts research on human rights.

The report seeks to address apparent concerns over worker safety in Qatar's construction industry and claims that discrepancies exist between the number of construction worker deaths reported by local embassies and the number reported by the government.

While the Nepali embassy reported 191 Nepali worker deaths in 2010, and the Indian embassy reported 98 Indian migrant deaths -- ncluding 45 deaths of young, low-income workers due to cardiac arrest, so far in 2012 -- the Qatar Labor Ministry says there have no more than six worker deaths over the last three years.

Qatar's success in being chosen by FIFA as 2022 World Cup hosts is likely to mean an anticipated construction boom in the Arab state.

The local organizing committee for the tournament, the Supreme Committee for Qatar 22, and the company it appointed to help oversee World Cup construction, CH2M HILL, have said they will establish labor standards that builders and other contractors hired to build World Cup venues must meet.

FIFA, meanwhile, has pledged to raise worker rights issues with the Qatar government.

Those commitments are a beginning, HRW says, but it wants additional steps, including minimum employee standards in line with Qatari law and international labor standards for private contractors involved in World Cup-related construction.

"Ensuring international standards for workers' rights and conditions has and will continue to be at the forefront of our committee's strategic planning and implementation," said the the Qatar 2022 Supreme Committee.  "We are fully committed to ensuring that preventative measures are in place to safeguard workers ahead of all construction projects directly relating to the 2022 FIFA World Cup."

Fifa was not immediately available for comment.

@highlight

Human Rights Watch issues warning over employment laws for migrant workers ahead of 2022 World Cup in Qatar

@highlight

Qatari Labor Ministry denies that workers are being exploited.

@highlight

Qatari government has vowed to make changes to existing system

@highlight

FIFA pledges to raise worker rights issues with government.