(CNN) -- She was the world's crusader against the trafficking of girls for sex in Cambodia, and she told an extraordinary personal tale: she was a village girl sold by a grandfatherly man into sex slavery.

Triumphant as well as beautiful, Somaly Mam won attention from Oprah Winfrey, a New York Times columnist, a PBS documentary, Time magazine's 100 Most Influential People of 2009, and even CNN, which named her a "Hero" in 2007.

The fame -- and her memoir "The Road of Lost Innocence" -- generated millions of dollars for her Somaly Mam Foundation, fighting sex traffickers.

But her personal story wasn't true, according to a Newsweek exposé this month.

In the wake of the magazine's revelations, Mam resigned this week from her foundation, which had hired a law firm to independently investigate Mam's background when questions arose. The law firm's findings weren't disclosed by the foundation.

Mam, whose book says she was born around 1970 or 1971, couldn't be reached for comment, but the foundation still bearing her name issued a statement this week:

"As a result of (the law firm's) efforts, we have accepted Somaly's resignation effective immediately," foundation executive director Gina Reiss-Wilchins said. "Despite the foundation's heartfelt disappointment, we remain grateful to Somaly's work over the past two decades and for helping to build a foundation that has served thousands of women and girls.

"The foundation's commitment to eradicating the trafficking and sexual exploitation of women and girls in Southeast Asia remains steadfast, and we ask that you continue to stand with us in the face of these challenging times," Reiss-Wilchins said.

Villagers contradict her

A Newsweek story by Simon Marks cited how Mam's childhood acquaintances, village leaders and even a cousin contradicted her autobiography.

Residents of the Thloc Chhroy village told the magazine they never saw or met the cruel "Grandfather" who turned her into a domestic slave as a child, a rich Chinese merchant who raped her, or a violent soldier whom Mam said she was forced to marry as a teenager. Mam claimed all those experiences in her story of survival.

In fact, Mam arrived with a family and lived a normal life in the village from 1981 until 1987, when she finished high school and then took a teachers exam, according to a commune chief, childhood friends, a cousin and a school official interviewed by Newsweek.

Furthermore, "Mam was well-known and popular in their small village, a happy, pretty girl with pigtails," Newsweek reported.

Those villagers' accounts differed from the horrific personal narrative that Mam told the media and readers of her memoir.

In an interview with CNN on Friday, Marks said he spoke with "to dozens of villagers, former teachers, commune chiefs, who all say that they witnessed Somaly Mam arrive in the village."

"They say that they saw her arrive in the village with a family, she grew up in the village living a relatively normal life," said Marks, who's a contributor to Newsweek.

Millions in donations

Mam's foundation attracted such corporate partners as Estee Lauder Companies and Goldman Sachs. Actress Susan Sarandon sits on the group's advisory board.

By 2011, the Somaly Mam Foundation attracted $2.1 million in revenue and incurred $3.67 million in expenses, according to its annual report.

In 2012, those revenues rose to $2.78 million and the foundation's expenses fell to $2.3 million, its annual report said. That year, the foundation helped thousands of sex workers: 9,269 in Cambodia, 1,356 in Laos and 6,675 in Vietnam, the report said.

Many people in Cambodia long doubted Mam's personal story, but they feared her duality: Mam was polished and charming in front of international donors, but was "tyrannical" and "moody" in the office, even ordering the girls in her foundation to do her personal chores, the magazine reported, quoting named and unnamed sources.

False claims by "rescued" girls

Some of the girls and young women whom Mam rescued from slavery were used in testimonials promoting Mam's foundation, but at least one of those girls later "confessed that her story was fabricated and carefully rehearsed for the cameras under Mam's instruction," Newsweek reported.

Meas Ratha portrayed herself on a French television program in 1998 as a teenager who had been sold to a brothel and was forced to become a sex slave, but last year, Ratha said the foundation chose her to go on television after auditioning her, the magazine said.

In fact, Ratha was never a sex slave. Her parents couldn't care for their seven children so they sent Ratha and her sister in 1997 to a refuge center of group called Agir Pour Les Femmes en Situation Precaire, or AFESIP (Helping Women in Danger), whose then president and co-founder was Mam, Newsweek said.

Now in her early 30s in Phnom Penh, Ratha told Newsweek she reluctantly agreed to the fake story about being a child sex slave: "Somaly said that...if I want to help another woman I have to do [the interview] very well," she told the magazine.

Ratha wasn't the only purported rescued girl telling fictions, according to the magazine.

Long Pros claimed a woman kidnapped her and sold her to a brothel, where she was tortured and forced to undergo two crude abortions. Pros alleged an angry pimp gouged out one of her eyes with a piece of metal. Mam rescued Pros, and Pros' story was recounted by New York Times columnist Nicholas Kristof in 2009. In 2008, he also profiled Mam in a column headlined "A Heroine From The Brothels."

But Pros' family, neighbors and doctor contradicted her account: A physician performed surgery on a nonmalignant tumor covering her right eye when she was 13, and medical records clearly showed her eye before and after the surgery, Newsweek said. Pros was then sent to Mam's group to be part of a vocational training program, an eye hospital director told the magazine.

This week, the foundation ended its relationship with Pros, also as a result of the law firm's investigation into her background, Reiss-Wilchins said.

"We are permanently removing Ms. Pros from any affiliation with the organization or our grant partner, but will help her to transition into the next phase of her life," Reiss-Wilchins said.

@highlight

Somaly Mam drew international attention for her personal tale of surviving sex slavery

@highlight

She used that narrative to begin a foundation and collect money to save girls

@highlight

But Newsweek reports this month that her personal story is untrue

@highlight

Mam resigned from the foundation this week