(CNN) -- The debate over genetically engineered salmon should be put in the proper context: As the world's population grows at an accelerating pace, so does the consumption of seafood.

This is true not only because there are more mouths to feed, but also because as people become more aware of the health benefits associated with eating seafood, more are switching from meat to fish. To satisfy this demand, we have become very sophisticated fishers, with ever-growing fleets, factory fishing ships and very effective gear.

We efficiently hunt our own seafood in the wild; it seems natural to all of us, while we do not hunt for wild chicken, beef or pork. But fish is harvested at a rate that exceeds the fisheries' ability to replenish themselves.

According to the UN Food and Agricultural Organization, more than 50 percent of the world's main fisheries stocks are fully exploited, while another 28 percent are over-exploited or depleted.

Fish species that used to be plentiful, such as cod, plaice, haddock and others, are now rare in the wild. The king of the oceans, the giant bluefin tuna, is now near the point of no return, its stocks dropping precipitously in the past decade alone.

Reflecting upon these declines, the U.S. has become the world's second largest importer of seafood (after Japan) with more than 80 percent of the seafood consumed in this country coming from overseas. And seafood imports contribute $9 billion annually to the U.S. trade deficit, largest among all agricultural products.

Fisheries scientists have repeatedly warned us that if we do not change our commercial fisheries practices, we will run out of the vast majority of the commercial species by the middle of this century.

This must stop. Like any other animal or plant crop, fish and seafood must be produced through farming -- or aquaculture -- and the wild stocks should be protected so they can recover. As a society, we must accept that while it is nice to eat wild salmon, there is no wild Atlantic salmon out there; we must get used to eating farmed fish.

The aquaculture industry faces a huge challenge. It must grow fish in a way that is economically viable and environmentally responsible. And this is where genetic engineering enters the picture. Genetically engineered fish, like the AquAdvantage salmon, offer great benefits to fish farmers and should be available to the industry.

If used carefully, genetic engineering can produce fish that reach the market much faster, as in the AquAdvantage salmon, and use less feed (and thus less fish meal).

As the science develops, it could generate fish that are resistant to disease (currently the aquaculture industry loses billions of dollars annually to disease in its fish population) and healthier for the consumer -- making beneficial omega-3 oils available in fish that do not normally contain them, for example.

The public should not be scared by the term "genetic engineering." This powerful platform requires making only relatively minor and very targeted modifications to the animal genome, compared, for example, with selective breeding and domestication, where we manipulate many genes over generations without knowing exactly what is altered.

We have all been eating selectively bred fish, chicken, beef and other animals for many years without thinking twice about it. The AquAdvantage Atlantic salmon has only one extra copy of a fish gene inserted into its genome. This one addition, while enhancing the hormones of the growth axis in fish, operates within the fish's physiological range. And these are fish hormones that have no effect on the human consumer.

The AquAdvantage salmon is no different from conventional farmed salmon in its composition and health benefits, and the Food and Drug Administration has concluded that it is safe for people to eat.

The single most important caution I would offer is that we must ensure that these fish, as well as any other farmed but domesticated fish (non-genetically engineered), cannot escape from the farming systems to our seas or rivers.

The AquAdvantage salmon must be fully contained, both biologically and physically. Indeed, AquAdvantage salmon are sterile fish, and therefore unable to reproduce even if they escape. These fish are intended to be farmed only in fully contained, land-based farming systems. Every new operation that would grow these fish for sale in the United States would be subject to FDA approval, according to the FDA.

By using multiple and redundant mechanical means to prevent escape (such as screens and filters), as well as reusing the culture water, the systems should be close to full containment, having minimal interactions with the environment. And the implementation of these new, land-based and fully contained marine aquaculture systems offers an opportunity for aquaculture to become more efficient and environmentally sustainable.

However, before approving the genetically engineered fish for use in aquaculture, as a scientist, I would like to see the FDA and AquaBounty be less presumptive and more experimental about the potential environmental risk of AquAdvantage salmon.

I want to see scientific data, proof beyond a shadow of a doubt, that if fish do escape from containment, they will not survive, will not breed and will be purged from the environment. Experiments to demonstrate this are all feasible, but will take a few more years to complete.

And finally, consumers should absolutely be informed whether the salmon they are buying is genetically engineered or not. It is our responsibility to make sure the public is educated so the fear factor dissipates and the consumer can make rational decisions regarding genetically engineered salmon. Not labeling the fish will harm the industry altogether as people who do not want genetically engineered fish will avoid farmed salmon altogether.

As a society that is in dire need of more plentiful and healthier food, we must accept the practices of modern agriculture in fish farming. We must trust the power and virtue of the advanced sciences and technology in providing new generations with high-quality food.

We must stop depleting the wild stocks, reducing our biodiversity and harming the oceans around us. Sustainable aquaculture, based on responsible modern biology, including genetic engineering, will provide the world with the seafood that we need and help conserve our planet.

The opinions expressed in this commentary are solely those of Yonathan Zohar.

@highlight

Yonathan Zohar says people are eating more fish, so natural fish stocks are rapidly depleting

@highlight

He says we must accept that if we want to eat fish, we have to farm them like any other food

@highlight

Aquaculture industry's challenge: to be safe, efficient; also offers big promise, he says

@highlight

Zohar: GE salmon should be available, but labels, safeguards to prevent escape crucial