(CNN) -- "Extraordinary claims require extraordinary evidence," the astronomer Carl Sagan once said. In the case of the extraordinary claim concerning the possible discovery of the wreck of Santa Maria, the flagship of Columbus' fleet, it's clear that we aren't there yet. In fact, we seem to be getting further away from proof all the time.

The potential discovery of the wreck, which happened on the first of Columbus' four voyages to the Americas, has become a flashpoint for the difficulties of determining the authenticity of artifacts honored in memory but difficult to locate in the present.

The discoverer, underwater explorer Barry Clifford, says he has quite a few reasons to believe he's found the right ship in the Caribbean Sea. Columbus left details in his diary about the location of the sinking, which happened near Haiti on Christmas Day in 1492. Clifford maintains that description matches the shipwreck's whereabouts.

500-year-old mystery solved?

As the author of "Columbus: The Four Voyages," which surveys the explorer's career, I was naturally drawn to this remarkable find -- if that's what it is. Love him or hate him, Columbus made a difference. No one doubts that he led some of the most important voyages of discovery ever undertaken, and that's why the fate of Santa Maria matters today.

The story of this wreck is well-known, and documented by Columbus himself. On Christmas Eve 1492, crew members of all three ships were celebrating, drinking and looking forward to a speedy voyage home to Spain. (The outward-bound trip had taken just 33 days, a testament, in part, to Columbus' navigational genius.) Columbus said he stretched out for a nap at this time.

As the fleet traversed the northern coast of what is now Haiti, the ship's master turned over the tiller to a 14-year-old ship's boy, and soon after Santa Maria ran into a reef and began to disintegrate. Columbus managed to rescue everyone -- in fact, he never lost anyone at sea in his eight transatlantic crossings -- and to gather valuable items from the ship before it sank into an estimated 15 to 25 feet of water. That's a summary of what we know, and the wreck should take these factors into consideration to be considered authentic.

For starters, Columbus described in his log how the mainmast of the ship was cut away, and, as he wrote, "she lay on her beam ends. ... The planking opened." Any discovery should be consistent with these descriptions, but so far no information about that is forthcoming.

And then we also have to account for erosion -- tides and hurricanes -- changing the shoreline and the reef over half a millennium. It's entirely possible, indeed, likely that reefs encountered by Santa Maria have shifted significantly over time, altering or moving the wreck.

Next, there's the evidence in Columbus' own hand: his map of the coastline where the ship supposedly sank. Again, it represents how things looked to him 500 years ago rather than in the present. And, most frustrating of all, perhaps, Columbus occasionally fudged his navigational records. Why? To prevent others from exploiting his discoveries.

Finally, it's unlikely that any of the wooden parts of the ship have survived after all these years. Other ships have sailed through those same waters over the years, and perhaps collided with the reefs. How to tell one ancient wreck from another?

All of these factors make finding Santa Maria difficult. How can a shipwreck hunter make his claims stick?

Clifford has pointed to "ballast" in the form of stones from the ship as evidence to identify Santa Maria. But ships in those days probably didn't have stone ballast to steady them; heavy cargo such as wine casks served the same function.

And then there's the intriguing "smoking gun," as Clifford calls it, the lombard, or cannon, aboard Santa Maria. Just before his presentation at the Explorers Club in New York in 2006, Clifford discovered that these items were missing from the site, "looted," he explained. That's frustrating, especially because back in 2003, he was aware of the wreck and its probable lombards, if that's what they were, and he was touting a visit to the site as part of an auction held by the Explorers Club. But now the lombards, if that's what they were, are gone. There's not much left to go on.

Exploration is all about finding something unknown, which often means shaking things up, disproving rather than confirming to arrive at something new. Since 2006, it seems that little was done to secure or explore the site, and given its potential importance, I wonder why that is.

Given its potential historic significance, let's hope this wreck will finally receive the careful and responsible attention it deserves.

@highlight

Explorer says he found wreck of Santa Maria, flagship of Columbus' fleet, off Haiti

@highlight

Laurence Bergreen believes discovery is highly unlikely, given erosion, shifts, tides

@highlight

Bergreen:The wooden parts of the ship probably have not survived 500 years

@highlight

Bergreen: Given potential historic significance, this wreck needs careful examination