They've been called "blood phones."

It's a reference to the fact that some metals used to make smartphones and other electronic gadgets are sourced from war-torn areas of the Democratic Republic of the Congo.

Experts say these "conflict minerals" help fuel one of the world's deadliest conflicts. An estimated 5.4 million people have died there from war-related causes, including disease and malnutrition, since 1998, according to the International Rescue Committee.

But according to a report released Thursday by the Enough Project, an advocacy group, metals from the Congo are getting less bloody.

That's thanks in part to the fact that tech companies like Intel, HP, Dell, Microsoft and Apple have made efforts to trace the source of metals used in their devices. An auditing system for smelters, the industrial facilities that process raw metals, also has been put in place. A certification system is in the works that would allow companies to certify some metals from Congo as "conflict free."

Other tech companies, however, like Nintendo, Canon, Nikon, Sharp and HTC, received low rankings from the group. Nintendo was the only company out of 24 ranked by the Enough Project that received a score of zero, for taking no steps to ensure that its electronics do not support armed groups in central Africa.

"Nintendo is, I believe, the only company that has basically refused to acknowledge the issue or demonstrate they are making any sort of effort on it," said Sasha Lezhnev, senior policy analyst at the Enough Project. "And this is despite a good two years of trying to get in contact with them."

In a statement issued to CNN, Nintendo said it "outsources the manufacture and assembly of all Nintendo products to our production partners and therefore is not directly involved in the sourcing of raw materials that are ultimately used in our products."

The company added: "We nonetheless take our social responsibilities as a global company very seriously and expect our production partners to do the same."

A Nintendo spokeswoman declined to comment on conflict minerals specifically.

Other companies saw their scores improve from a similar report in 2010.

Intel ranked highest on the Enough Project's list with a score of 60, meaning it has taken 60% of the steps recommended by the group to ensure it is responsibly tracking conflict minerals. That's up from a score of 24 in 2010. Apple and Microsoft both scored 38, up from 13 and 15, respectively. Nokia scored 35, up from 19. IBM, Sony, LG and Samsung received scores of 27. Three of those companies had received scores lower than 10 in the previous Enough Project ranking.

The report says there is still much to be done, however.

"Despite the progress made in the past year by both governments and industry, a long road still lies ahead," the group says in its report, titled "Taking Conflict Out of Consumer Gadgets." "Exploitation of Congo's mineral resources continues to exacerbate conflict and instability on the ground and consumers are still largely in the dark as to whether or not their products are conflict free.

"It will take a holistic effort by multiple governments and industries to regulate the flow of illegal conflict minerals. The driver of that effort must remain the demand of the conscious consumer."

The Enough Project says the results are already apparent on the ground in the Congo. The amount of money armed groups make off three of the main conflict minerals (tin, tantalum and tungsten) has dropped 65% over the past two years, according to a report released earlier this month, which attributes the decrease both to the efforts of the tech industry and to new legislation.

A rule tucked into 2010 financial reform legislation in the United States may soon require companies to disclose whether they source metals form conflict zones. The U.S. Securities and Exchange Commission is expected to vote on those rules concerning conflict minerals on August 22. Some business groups, including the U.S. Chamber of Commerce, say the SEC should reconsider the rules because they are too expensive or complex to implement.

Four metals -- gold, tin, tantalum and tungsten -- are used in gadgets and also are mined in the eastern Congo, a region of the vast country that has been in active conflict for years.

Armed groups have profited from mining these metals, holding some workers at gunpoint and forcing them to work for little or no pay, according to the group Free the Slaves.

New certifications systems, however, aim to attach bar codes to packages of Congolese metals that have been certified as conflict-free. The Enough Project also says there are efforts to differentiate Congolese metals from others by their color and other physical properties.

Many challenges remain. The growth of a rebel group called M23 and ongoing gold smuggling threaten to further destabilize the mining industry, the report says.

Companies once were "turning a blind eye to where they're getting their materials from," said Lezhnev. But after considerable pressure from advocacy groups and college students, more of them have become aware of the issue.

"Sunshine," he said, "is the best disinfectant."

@highlight

Report: Tech companies are making progress on 'conflict minerals'

@highlight

The term refers to metals that come from the Democratic Republic of the Congo

@highlight

Metals used in gadgets are said to fuel violence in that country

@highlight

While many make progress, the report gives Nintendo a score of zero