(CNN) -- The shooting down of a Chinook helicopter in central Afghanistan with the loss of 38 lives -- most of them U.S. Navy SEALs -- highlights two crucial aspects of the conflict in Afghanistan, as U.S. forces begin to draw down and Afghan security forces start taking the lead.

The first is the growing reliance on U.S. Special Operations Forces to combat the Taliban and other insurgent groups -- in operations every night across the country.

The second is that many areas far beyond the Taliban's traditional strongholds in the south remain very insecure, areas where the Taliban have exploited an instinctive wariness of a foreign force among locals -- and punished those who dare to work with them.

One such place is the Tangi Valley in Wardak province, where the crash occurred in the early hours of Saturday morning. Soldiers who have served there describe it as perfect territory for insurgents, with steep mountainsides of shale and boulders overlooking orchards and thick vegetation.

Improvised bombs are regularly planted along the one road that runs through the valley, next to the Logar River, and detonated from vantage points above. (NATO officials say that the IEDs' control wires are laid across the river, making pursuit of the insurgents more difficult.)

Tangi is only 60 miles from Kabul, close to the main highway south. But the Taliban (though not al Qaeda or other foreign groups) have long been active in the area.

In 2009, soldiers in the U.S. Army's 10th Mountain Division were deployed to this part of Wardak. They encountered 57 roadside bombs in the valley in just three months, dubbing the road "IED alley" and "Walter Reed Highway," a reference to the Army medical center where many soldiers wounded in Afghanistan have received treatment.

Firefights were an almost daily occurrence.

On his blog this weekend, a former member of the 173rd Airborne Brigade recently deployed to Tangi wrote of the village where the helicopter came down. "Juy Zarin is a village we went to frequently during our deployment and never found anything good while out there. In fact it was a wonderful place to go if we felt like getting into contact."

Back in the 1980s, the Soviet Army was never able to pacify the region, and Soviet convoys were frequently ambushed there.

Earlier this year U.S. forces passed control of the military post in the valley to Afghan troops. Lt. Col. Thomas S. Rickard of the 10th Mountain Division handed over Combat Outpost Tangi to a unit of the Afghan National Army.

"As we lose U.S. personnel, we have to concentrate on the greater populations," Rickard told the U.S. Army website at the time. But the afghan Army did not maintain a permanent presence at the outpost, according to officials of the International Security Assistance Force (ISAF).

As elsewhere, especially in eastern Afghanistan, U.S. forces are now returning to areas previously seen as too remote to focus on or too difficult to defend, where the Taliban and other insurgent groups have filled the vacuum. As they do, the risk of casualties grows -- as does the role of U.S. special forces.

The use of U.S. Special Operations Forces (SOF) in Afghanistan has grown exponentially. In a talk two weeks ago at the Aspen Security Forum, the outgoing commander of the U.S. Special Operations Command, Adm. Eric T. Olson, disclosed that SOF carried out "somewhere between 3,000 and 4,000 operations" in 2010 alone.

"This is now routine, every night....ground forces getting on a helicopter and flying against a target," Olson said.

The template of such operations includes "a quick reaction force on call to render assistance should things go bad," Olson said. In Friday night's attack, it was the quick reaction force, on its way to assist an ongoing mission by Army Rangers, that perished.

Speaking of the Navy SEALs who took part in the mission that killed Osama bin Laden, Adm. Olson made their role sound almost mundane. "For the people involved it was another mission and another target....This is not a force that sits on the second deck of the fire station waiting for the bell to ring every 10 or 15 years. We trace our lessons back to what we did last night."

Who are the Navy SEALs?

But he also recognized the huge burden now falling on Special Operations Forces to subdue the Taliban.

"We are beginning to fray around the edges. We are asking an awful lot of our people," he said at the Aspen conference, adding that SOF units were seeing "a lot of separations short of divorce." But 82% of SOF troops who have the choice of leaving or staying in choose the latter, according to Olson. And more will be asked of them. Of the 33,000 U.S. troops due to be withdrawn from Afghanistan by the end of 2012, none will be special forces.

Special Operations Command -- drawn from all four branches of the U.S. military -- has grown to a strength of 60,000. With a $10 billion budget it is now larger than the U.S. Coast Guard and about the same size as the entire Canadian Defense Force.

And the caliber of its members reflects its special status. Thirty percent are college graduates. They are more experienced than regular soldiers, with an average age of 30, and they volunteer multiple times. Olson says 60% of SOF have joined since September 11, 2001 -- and the aim is to keep them in the military for an average of 20 years.

SOF operations in Afghanistan have at times been controversial, the subject of criticism from President Hamid Karzai because of civilian casualties.

In 2010, then-ISAF Commander Gen. Stanley McChrystal tightened rules of engagement after a series of raids involved civilian deaths, although some units remained exempt from the directive. When he took over, Gen. David Petraeus expanded the use of SOF in an effort to drive the Taliban out of Helmand and Kandahar provinces and blunt the Haqqani network further east.

In testimony to Congress in March, Petraeus said: "We have stepped up the tempo of precise, intelligence-driven operations to capture or kill insurgent leaders....In a typical 90-day period, precision operations by U.S. special-mission units and their Afghan partners alone kill or capture some 360 targeted insurgent leaders."

It appears the Army Rangers were involved in just such a mission in Tangi Valley -- closing in on Taliban commanders meeting in a village -- when they called for reinforcement.

Special Operations Forces remain the sharp end of a multi-pronged approach in Afghanistan. Olson said the strategy marries "the counter-terrorism line of operation and the engagement line of operation -- what's been called village stability operations and the development of Afghan local police trying to return neighborhoods back to the neighbors."

It's become known as "clear, hold, build, transition" to win over what are euphemistically called "under-governed spaces."

Such was the aim of commanders in Tangi two years ago.

Lt. Col. Kimo Gallahue, battalion commander for the 2nd Battalion, 87th Infantry Regiment, told the Armed Forces Press Service in March 2009: "We'll take the physical terrain from the enemy ... and we'll take the people away, because the people are the prize in this fight."

But even with the surge last year, many areas of Afghanistan rarely see an ISAF soldier. And officers acknowledge that while a platoon can show a presence, it might take a company or more to persuade villagers they are secure. "Successful counter-insurgency is labor intensive," said one officer.

One soldier deployed to Tangi Valley wrote of his experiences on the website AssgnmentAfghanistan in January.

"Few of the villagers are openly hostile towards us, but they are always mindful of the Taliban, who move through the valley at night," he said. "They are in a delicate situation -- we Americans have much to offer them, but they know that we will not be in their valley forever, and they know that the (Afghan National Army) and (Afghan National Police) cannot fight the insurgency alone."

Last year, the newspaper Stars and Stripes reported on a planned meeting for farmers in the district.

Two officials from the ministry of agriculture in Kabul backed out at the last minute, fearing for their safety, and not a single farmer showed up, "leaving a handful of American soldiers and a lone U.S. Department of Agriculture representative, sitting on otherwise empty benches in a stiff breeze, with folding tables full of unopened water bottles and unmade tea," the paper reported.

The phrase commonly used in Afghanistan is: "The Americans have the watches, but the Taliban have the time."

@highlight

The use of U.S. Special Operations Forces in Afghanistan has grown

@highlight

Special Operations Command now has a strength of 60,000

@highlight

Commander: SOF carried out "somewhere between 3,000 and 4,000 operations" in 2010

@highlight

Of the 33,000 U.S. troops to be withdrawn by the end of 2012, none will be special forces