(CNN) -- There are few criminal events as stunning and frightening as a mass shooting. The suddenness, randomness and unpredictability of episodes like Friday's early morning massacre at an Aurora, Colorado, movie theater cause us all to wonder whether any place is safe.

In our search for some pattern or commonality to these tragedies that might help us make sense of what appears so senseless, we invariably seek answers to such questions as: "What would inspire someone to commit such a dreadful act, one that was clearly planned in terms of time and place?" and "Are there measures that would reduce the likelihood of such events or at least reduce the carnage associated with them when they do occur?"

News: Gunman kills 12 in Colorado movie theater

Because the shooting suspect was alive at the scene -- many mass killers commit suicide -- we might learn a lot more than usual about a motive for mass murder. Of course, that will do little to help us prevent future events. (The number of mass murders in the U.S. has remained fairly steady, averaging about two dozen cases a year since the mid-1970s.)

Even though there is a general profile that typifies these perpetrators, their exact identities become crystal clear only in the aftermath.

If one thing is predictable about mass shootings, however, is that they will spark arguments from gun control advocates and gun rights groups alike. Both sides of the gun issue will probably view this tragedy as one more example of why more or less gun control is the answer ... and both sides will be wrong.

Tighter restrictions on gun purchasing -- for example, eliminating multiple gun sales and closing the gun-show loophole -- may help reduce America's gun violence problem generally, but mass murder is unlike most other forms of violent conflict.

News: Shooting turns theater into surreal horror -- 'This is real'

Mass killers are determined, deliberate and dead-set on murder. They plan methodically to execute their victims, finding the means no matter what laws or other impediments the state attempts to place in their way. To them, the will to kill cannot be denied.

Mass shootings have been exploited just as effectively by pro-gun groups to promote legislation allowing ordinary citizens to carry concealed weapons in public places. Concealed-carry proponents suggest that an armed citizenry would deter criminals or at least reduce the death toll.

iReporter: 'AK-47 a weapon for war'

While logical in theory, in the chaos of the moment, few gun owners would be prepared to mount an effective counterattack. And in a crowded setting, such as the movie theater clouded with tear gas and smoke, it would be virtually impossible to distinguish the bad guy with a gun from the good guys with their guns.

In the short term, there will probably be security specialists who will recommend ways in which our public spaces could be better protected. Sadly, mass shootings have occurred in shopping malls, schools, restaurants, health clubs, churches, courthouses, post offices, almost any place that people congregate. None of us would wish to turn our public spaces into tightly secured fortresses.

News: Shooting victim details emerge

It is also unreasonable to expect that we would begin a campaign to round up all the guns or all the potentially dangerous people who might have access to guns. Mass murder is regrettably one of the painful consequences of the freedoms we enjoy.

Postscript: I do support wholeheartedly certain reasonable gun restrictions -- steps designed to reduce our nation's overall rate of firearms violence. Still, murder in its most extreme form, as in the Colorado shooting, is particularly difficult to prevent through gun regulations, or other strategies, for that matter. Of course, that doesn't mean we shouldn't try nonetheless.

In light of the shooting, what are your thoughts on gun control and safety in public spaces? Let us know on CNN iReport.

The opinions expressed in this commentary are solely those of James Alan Fox.

@highlight

James Fox: When a mass shooting happens, we search for answers

@highlight

He says investigators might be able learn about motivation by talking to the suspect

@highlight

Fox says many will advocate either gun control or more use of concealed weapons

@highlight

He says it's very unlikely either solution could prevent mass murders