(CNN) -- More than 30 years ago, 6-year-old Etan Patz vanished from a Manhattan street on his way to a school bus stop. His parents never saw him again.

The case riveted millions. It also changed the country.

Patz investigation a 33-year-long roller-coaster ride

"It awakened America," Ernie Allen, president and chief executive officer of the National Center for Missing & Exploited Children, recently told CNN. "It was the beginning of a missing children's movement."

Thursday, Pedro Hernandez, a former Manhattan stock clerk who once lived in the same neighborhood as Etan, was arrested in connection with his death.

The Patz case was the first of several high-profile cases that catapulted concern about missing children to the forefront of national consciousness.

Basement search for Etan Patz clues ends

Just weeks after Etan disappeared in May 1979, an attacker abducted the first of more than 20 children to be kidnapped and killed in Atlanta, stirring fear until police arrested a suspect two years later.

In another case that made headlines, in 1981 someone abducted 6-year-old Adam Walsh from a Florida shopping mall and killed him.

The cases received increasing news coverage in a fast-changing landscape that saw a proliferation of media outlets with growing interest in compelling visual images -- such as a heart-rending photo of a smiling child or video of parents pleading for their child's safe return.

Overheard on CNN: Face on milk carton chipped away at our innocence

The actual number of children who were kidnapped and killed did not change -- it's always been a relatively small number -- but awareness of the cases skyrocketed, experts said in recent interviews that shed light on the issue of missing children.

"Interest in the situation exploded," said Marc Klaas, whose 12-year-old daughter, Polly, was kidnapped and strangled to death in a 1993 case that also received intense news coverage.

"It really pulled the lid off of America's dirty little secret, the fact that children are being victimized in large numbers," he told CNN in April.

The cases also stoked fear, sparked awareness and prompted change from politicians and police.

In 1984, Congress passed the Missing Children's Assistance Act. That led to the creation of the National Center for Missing & Exploited Children.

President Ronald Reagan opened the center in a White House ceremony in 1984. It soon began operating a 24-hour toll-free hotline on which callers could report information about missing boys and girls.

Police officers also started to respond more quickly to reports of missing children, experts said.

After Etan disappeared, investigators tried what was then a novel technique to try to find him: They put his face on thousands of milk cartons, a technique that would become more common in the next few years.

Relatives and authorities also put the images of missing children on billboards and fliers distributed by mail.

Those more assertive efforts eventually led to the AMBER alert system, which broadcasts news about missing children on TV, radio, the Internet, mobile phones, lottery tickets and highway signs.

That system has helped save 554 children, the federal government says. Most of them were recovered after the first-ever White House Conference on Missing, Exploited and Runaway Children in 2002.

Before the dramatic increase in awareness of crimes against children in the 1980s, only a few high-profile cases grabbed the public's attention.

Klaas points out that in 1873, after a 4-year-old Philadelphia boy named Charley Ross disappeared, authorities produced the first missing-child flier.

The 1932 disappearance and killing of Charles Lindbergh Jr., the 20-month-old son of the world-famous aviator, attracted worldwide attention. It resulted in the Lindbergh Law, which permitted federal authorities to chase kidnappers across state lines.

Even before the Etan Patz case, groups were working in the 1970s -- largely out of the spotlight -- on the issue of missing children. They advocated tougher rules in cases of children who were abducted by relatives, said Joel Best, a professor of sociology and criminal justice at the University of Delaware.

Children abducted by relatives, runaways, and abductions by strangers are the three classifications of what came to be repackaged and rebranded by activists as "missing children" in the late 1970s and early 1980s, he said.

"The missing children's movement was the outgrowth of an earlier child-snatching movement," Best said.

Runaways comprise the largest number of the missing children, he said, and while there are few abductions by strangers, those "emotional, wrenching stories" make an impact.

Best spoke last month, after police dug up parts of a basement in an unsuccessful attempt to crack the case. So did Lisa Cohen, author of "After Etan: The Missing Child Case that Held America Captive." She said the Etan Patz case galvanized media-saturated New York. So did his photo, which Cohen called a "beautiful" shot made by his photographer father, Stan.

"A picture is worth a thousand words," she said.

Cohen said people empathized with the angst of Stan and his wife Julie -- seen by TV viewers and newspapers readers as normal, intelligent and wise people.

The case never ended, the story was never over, and the news outlets never stopped covering it.

"It started a ball rolling," she said. "There was a real momentum."

Barbara Friedman, associate professor of University of North Carolina's School of Journalism and Mass Communication, has said such "heinous crimes are always newsworthy" and "have been reported in the press for as long as there has been a press."

"As media became more plentiful and visual in the 1980s, child abductions and child murders allowed for the kinds of images that are at once intimate and universal -- like school photos and grieving families," Friedman said.

"The use of milk cartons as another form of media to locate missing children was a way to bring the issue into the family space -- the breakfast table -- heightening awareness as well as anxieties."

Etan's family and Adam Walsh's parents have been particularly media savvy, she said, as they kept their cases front and center before the public and law enforcement.

"They were strategically and actively engaged in cultivating their attention. And in the age of the 24-hour news cycle, there were more reporters looking for substantive news stories and more space to fill," she said.

The case raised consciousness but also stirred fear.

"I think it ended an era of innocence in this country," Allen said. "Parents around the nation saw how it happened and thought, 'But for the grace of God, my child.' "

@highlight

NEW: New York police say a man has been arrested in the death of Etan Patz

@highlight

The case was the first of several high-profile missing children cases

@highlight

Etan's photo was posted on milk cartons, a new idea at the time

@highlight

Abductions by strangers are rare; runaways are much more numerous