(CNN)Geography is, in part, destiny for Italy: The country will always be a bridge between Africa and Europe, as the ongoing humanitarian crisis in the Mediterranean so starkly shows.

A surge of refugees this year, usually transported by smugglers on overcrowded vessels, has sought to reach Europe via the Libyan coast.  A boatload of 900 migrants who embarked from Libya are now feared dead in the latest sinking. Over 10,000 were rescued off the coast of Italy in the last week alone. European leaders are scrambling to deal with this emergency.

There is a backstory here worthy of our attention, and it has to do with Italy's colonial past. Many of the refugees involved in recent disasters come from some of Italy's former colonies in North and East Africa, namely Eritrea (occupied from 1890-1941) and Somalia (1908-1941). As migrants, Libyans are fewer in number, but Libya (1912-1941) plays a central role in the current crisis as the main departure point for Italy.

Italy's empire never rivaled that of the British and the French in scope and longevity, but those who lived in its possessions were no less affected. Indeed, the migrants traversing the Mediterranean today form part of a century-long chain of migrations, expulsions, and exiles sparked by Italy's imperial ambition and commercial interests, the post-colonial anger of African leaders, and now mass economic desperation and political strife.

Long after the formal end of Italian colonialism, these Eritreans, Somalis, and Libyans have inherited the histories of influence and exploitation that shaped their home countries. It also affects the treatment of Africans who settle in Italy.

Libya is an example of the long reach of Italian imperialism. Libya was for a brief period an incorporated province of Italy, on the model of French Algeria, and Libyan families still feel the devastating effects of the fascist dictatorship's persecution of those who resisted Italian occupation. Over 100,000 Libyan men, women, and children were deported to concentration camps deep in the desert in the late 1920s and early 1930s, and much of the ruling class was exiled or executed.

Col. Moammar Gadhafi, who ruled from 1969 to 2011, was born during the Italian occupation of his country, and his identity as a revolutionary was shaped by the example of resistance leaders such as Omar al-Mukhtar, who was hanged by the fascists in front of 20,000 of his people in 1931.

In 1970, soon after he took power, Gadhafi struck back, expelling the remaining Italian community in Libya. Some of those people had grown up entirely in Libya. They arrived in Italy for the first time, at some of the same ports receiving migrants today.

This political intervention did not spell the end of Italian-Libyan commercial dealings, which grew out of colonial-era relations that had made Libya Italy's biggest oil supplier. Since 2004, Italy and Libya have been directly connected by the Greenstream natural gas pipeline, which runs below the Mediterranean, on the same axis as many migrant boats.

Commercial concerns, and the cozy relationship of then-Prime Minister Silvio Berlusconi and Gadhafi, also lay behind a historic 2008 Friendship Treaty between Italy and Libya, which promised infrastructure and other aid to Libya worth the equivalent of $5 billion as compensation for the damages inflicted by Italy during the decades of colonial rule.

Until his death in 2011, despite deals with Italy and the European Union to control departures from his borders, Gadhafi intermittently used European fears of mass arrivals of migrants from Libya as a political weapon. Given Europe's geography, this weapon was pointed particularly at Italy, Libya's former master, and the principal target of Gadhafi's post-colonial revenge politics.

Few Italians learn about this colonial history and its legacies, even though episodes of racist violence against immigrants from former Italian colonies and elsewhere are on the rise. Upon her appointment in 2013 as minister of integration, Cécile Kyenge, an Italian of Congolese origin, faced ugly racist attacks from fellow Italian politicians, including a comment that she looked like an orangutan.

This climate has encouraged those who wish to rehabilitate the "heroes" of fascist imperialism. In 2012, the town of Affile built a publicly-funded memorial to General Rodolfo Graziani, known as "the butcher of Fezzan" for his brutal repression of Libyan resisters in the 1920s -- and for the massacre of Ethiopian civilians he ordered in response to a 1937 attempt on his life.

This colonial history and its long-term consequences can help us understand Italians' ambivalent reactions to the emergency on their southernmost shores. Italian rescuers and activists work tirelessly and selflessly, and yet migrants who remain in Italy are often subject to racist attacks.

It is ironic that the name chosen for the sea rescue operation organized by the Italian Navy in 2013 was the slogan of the fascist's dictatorship's bid to control the Mediterranean: Mare Nostrum. The program rescued more than 160,000 migrants in one year before it was discontinued due to European Union budget restrictions. It seems to reflect the conflicted attitude of the Italian government to its past aggressions: an admirable and courageous initiative -- advanced under an imperialist banner.

The Italian government deserves the full support of the European Union as it responds to the current humanitarian crisis. But it also needs to address the failure of civic education about its colonial past. At 40 years old, Italian Prime Minister Matteo Renzi is of a different generation than those who have sustained a politics of selective memory that is as dangerous in its own way for migrants as the boats now capsizing in the Mediterranean.

Setting a new course on this issue is in Italy's interest, now more than ever.

@highlight

Ruth Ben-Ghiat: Italy's colonial past plays a key role in the migrant humanitarian disaster in the Mediterranean

@highlight

She says African migrants still bound to histories of exploitation that shaped their home countries long after end of Italian rule