Washington (CNN) -- After several years of what it calls broken promises, the U.S. government has singled out Thailand, Malaysia, The Gambia and Venezuela for taking insufficient action against human trafficking.

In its annual Trafficking in Persons (TIP) Report, released Friday, the State Department downgraded the four nations to Tier 3, the lowest possible ranking it gives for a country's response to fighting modern-day slavery.

The report says there is evidence of forced labor and sex trafficking in Malaysia and Thailand. It highlights Malaysia's problem with migrants from other Asian nations who seek work on farms, factories and construction sites only to be trapped and have their passports taken and wages withheld.

In Thailand, the report says, tens of thousands of migrants from neighboring countries are being exploited in the commercial sex industry, on fishing boats or as domestic servants.

And in Venezuela, women and girls are often lured from poor interior regions to tourist centers with the promise of false job offers. When they arrive, they are often forced into prostitution.

The report ranks governments based on their perceived efforts to acknowledge and combat human trafficking, advance reforms and target resources for prevention, protection and prosecution programs.

It divides nations into three tiers based on their compliance with 11 "minimum standards for the elimination of trafficking."

-- Tier 1 countries include governments fully compliant with the minimum standards.

-- Tier 2 countries don't fully comply, but are making significant efforts to do so. (A Tier 2 Watch List includes countries with a high number of victims, or where the numbers are significantly increasing. It also includes countries where there's insufficient evidence of acceptable efforts to improve anti-trafficking programs).

-- Tier 3 countries do not fully comply with the minimum standards and have not shown the U.S. they are making significant efforts to do so.

A Tier 3 status can also mean less money as the U.S. government may use the designation to withhold or withdraw assistance that is unrelated to trade or humanitarian aid. Those countries could also face U.S. opposition in obtaining development aid from international financial institutions like the World Bank or International Monetary Fund.

More than 20 million people worldwide are believed to be ensnared in some form of human trafficking, according to the International Labour Organization.

Luis CdeBaca, ambassador-at-large of the Office to Monitor and Combat Trafficking in Persons, cited Thailand and Malaysia's repeated noncompliance in meeting minimum anti-trafficking standards.

"Malaysia continues to have a victim care regime that basically locks up the victims," Cdebaca said.

"In Thailand, we have a lot of beginnings that will hopefully come to fruition, but the report doesn't look at promises. It looks at results."

In Venezuela, women and girls are often lured from poor interior regions to tourist centers with the promise of false job offers. When they arrive, they are often forced into prostitution.

Four other countries had faced possible downgrades to Tier 3 -- Afghanistan, Barbados, Chad and the Maldives.

Cdebaca said each of those demonstrated over the past year that their governments were serious about stopping human trafficking.

"In Afghanistan, for the first time now, we're seeing 14 traffickers were convicted. We're even seeing the conviction of soldiers," says Cdebaca.

While the United States puts itself in the Tier 1 category, the State Department acknowledges its own problems fighting trafficking, something that hadn't been done in the report until 2010.

This year's report highlights several new groups within the U.S. that may be vulnerable to traffickers, including teens living on Native American reservations and members of the LGBT community.

Other Tier 3 countries are Algeria; Central African Republic; Cuba; Democratic Republic of Congo; Equatorial Guinea; Eritrea; Guinea-Bissau; Iran; Kuwait; Libya; Mauritania; North Korea; Papua New Guinea; Russia; Saudi Arabia; Syria; Uzbekistan; Yemen; and Zimbabwe.

@highlight

U.S. State Department issues annual Trafficking in Persons Report

@highlight

In Thailand, migrants are being exploited in the commercial sex industry, report says

@highlight

Report: Venezuelan women and girls are often lured into prostitution with false job offers

@highlight

In Malaysia, it says, migrants from other Asian countries have been trapped in forced labor