(CNN) -- A Sudanese court sentenced a pregnant 27 year old woman, called Meriam Yehya Ibrahim, to death this week. Her crime was she fell in love and married a Christian man and affirmed her faith in Christianity.

She was subsequently accused, and convicted, of apostasy, since the court in Khartoum regards her as a Muslim even though she was raised Christian by her mother after her Muslim father left when she was six years old. Since the court does not recognise her marriage to a non-Muslim either, she has also been convicted of adultery and sentenced to 100 lashes.

As disturbing as the above story may be, unfortunately it does not come as a surprise. Countries such as Sudan, Pakistan and more recently Brunei are increasingly lurching towards archaic and inane interpretations of Sharia and applying laws that undermine basic human rights and equality.

This not only puts them at odds with the modern world, it puts them at odds with the trajectory progressive Muslim thinkers and reformists have been travelling in for the last 200 years.

The idea that Muslims who leave Islam should be killed is prominent in medieval jurisprudential texts that were written at a time when religious faith and political allegiance were inextricably linked. Hence, leaving the faith was deemed treason and construed as an act of rebellion against political authorities.

As Muslim political empires became more diverse, conceptions of political allegiance began to change and in 1844, the Ottoman Empire abolished the death penalty for apostasy from Islam. Al-Azhar in Egypt, the world's most influential Sunni religious authority, followed suit in 1958 and issued a formal fatwa (religious edict) abolishing the death penalty for apostasy.

Apostasy laws also blatantly contradict the Universal Declaration of Human Rights (UGHR) which was introduced in 1948 and signed by most Muslim-majority countries at the time. However, the so-called "Cairo Declaration on Human Rights in Islam," issued by Organization of Islamic Conference (OIC) Foreign Ministers in 1990, contains the following clauses:

"Article 10: Islam is the religion of unspoiled nature. It is prohibited to exercise any form of compulsion on man or to exploit his poverty or ignorance in order to convert him to another religion or to atheism."

"Article 22(a): Everyone shall have the right to express his opinion freely in such manner as would not be contrary to the principles of the Shar'iah."

"Article 25: The Islamic Shari'ah is the only source of reference for the explanation or clarification to any of the articles of this Declaration."

The last two articles of this bizarre and highly-politicized declaration, allow Muslim-majority countries to violate the UDHR by invoking the Sharia as though there was a unified version of it.

Not only is there no single interpretation of Sharia, but certain Muslim-majority countries seem adamant on re-invigorating some of the most regressive and outmoded interpretations of it in an almost defiant and aggressive manner.

This lurch towards medievalism is largely driven by the global Islamist movement, which was born in 1928 when the Muslim Brotherhood was established, and gained real momentum after the Iranian revolution in 1979.

The current regime in Sudan, which seized power after a military coup in 1989, has systematically used Islamism to silence domestic dissent. They have even reached out to Islamist militant groups in the region and hosted the late al Qaeda leader, Osama bin Laden, in the early 1990s.

The global Islamist movement seeks a much greater role for Islam in the political sphere and, in its political stances, is defined by its opposition to the West.

In synchronizing a medieval interpretation of Islam with politics, this movement seeks to challenge and reverse progress on human rights and equality that has been made in recent decades. Hence, we are witnessing the introduction of increasingly antiquated laws that discriminate and undermine basic rights.

It is time for the Cairo Declaration to be revoked and for the Muslim human rights discourse to catch up with, and contribute as an equal partner to, modern international human rights discourse.

It is also time for human rights groups and the international community to take a strong stance against any state that violates the rights of ordinary citizens for making choices the rest of us take for granted.

@highlight

A Sudanese court sentenced a pregnant 27 year old woman to death this week

@highlight

Her crime was she married a Christian man, affirming her faith in Christianity

@highlight

Unfortunately, this does not come as a surprise, write Maajid Nawaz and Ghaffar Hussain

@highlight

Certain countries are lurching towards inane interpretations of Sharia law, they say