(CNN) -- Fifty years after the Second Vatican Council was meant to represent the beginning of a "world church" in the Catholic Church, the Catholic Church is still predominantly Eurocentric in her teachings, structures, and personnel.

The shift in the center of gravity in world Christianity from the West to the global South, and the changing demographics in world Christianity, demands that the Eurocentric types and models of church and Christianity need to be abandoned.

African Catholicism, like all local Catholic Churches throughout the world, can only flourish when it has the freedom to mine local and cultural resources and to develop its own narrative of faith and life, while embracing the positive heritage of Catholic and Christian history.

Read more: Why the next pope should be African

In the West, many Catholics are calling on the future pope to use his authority to address the causes and consequences of the clerical sexual abuse crisis. Other issues which many Western Christians see as needing urgent action are clerical celibacy, the place of women in the church, the problems of a high rate of divorce, the place of homosexuals in the church, the anguish of divorced and separated Catholics, the use and abuse of authority in the church, and some of the polarizing arguments on abortion and contraception.

However, sometimes these problems in their Western variants are presented as the universal templates to view the challenges facing the Catholic Church in all parts of the world. Similar problems do exist in African Catholicism, but they manifest themselves in different ways and for different reasons.

In African Catholicism, for example, there are few incidents of pedophile priests, but that does not mean that the church in Africa does not have its own demons with regard to sexual misdemeanors of its clergy with adult females.

Many Africans value families because having children is the only way an African achieves personal immortality, by becoming an ancestor. As a result, the concern of some African Catholics for the church to have an open and honest discussion on celibacy is not driven out of concern for the loneliness or isolation that priests suffer in the West, but rather by the belief that having a wife and children culturally enhances one's humanity and is a good thing for the community and the individual priest.

Some African Catholic priests and bishops who secretly have had their own children were driven not simply by some unchecked and repressed libidinous upsurge, but by a cultural pressure to procreate and thus guarantee ancestral life beyond death.

Watch video: Contender to be the first black pope?

Most African Catholic women do not wish to be able to become Catholic priests like their Western counterparts. On the other hand, many African women in the Catholic Church are silently bearing the weight of an African brand of Catholicism that reinforces a traditional African patriarchal mentality that women should not have a voice, and that they should be subordinate to men.

African Catholic women would like to see the end to all kinds of sexual, physical, and emotional abuses of women in marriages, sexual harassment and exploitation in public offices and in some churches, and the suppression of the rights of women in African society.

African Catholic women are praying for a future pope who will encourage African religious leaders to commit themselves to defending the rights of women to inheritance, land and to divorce, so that gender equality and respect for the dignity of the African woman can be achieved.

Whereas abortion and contraception are divisive issues in Western Catholicism, most African Catholics embrace this teaching because most African cultures reject abortion and contraception. However, African Catholics are more concerned that the use of condoms to prevent HIV/AIDS should be understood as a therapeutic means to protect and preserve life. It should be seen in this light as actually a morally legitimate pro-life act, rather than anti-life.

African Catholics look forward to the future pope introducing new and effective measures to check the seeming absolute powers and privileges of African bishops and priests. There is a troubling clericalism in African Catholicism that is similar to, and in some cases worse than, the dictatorial tendencies, corruption and lack of accountability among African politicians.

Read also: Africa's rocky road to democracy

The poverty in Africa is shocking and sinful; the social condition of the continent is perplexing, and the human suffering is not only unacceptable, but also inexcusable. The reason that religion is so central to Africans, and for the appeal of Catholicism, is because most Africans believe that God can intervene in their longs nights and dark days of suffering and uncertainty about the future.

Many Africans hope that the future pope will challenge his fellow African bishops and priests to become the voice of the voiceless, and to not live above the people or exploit their vulnerability.

Religion, and Christianity in particular, has become for many Africans a shopping mall where they experiment with all kinds of solutions to their existential problems. Many might argue that African Christianity lacks depth because people's allegiance to one church or religion is not firm: an African Catholic can consult with an African traditional healer in the morning and take the same problem to a Pentecostal pastor in the afternoon, and then bring the same issue for prayer at a Catholic Mass in the evening. However, in an atmosphere of so much suffering and pain, the search for religious options becomes a viable pathway.

African Catholics expect the next pope to raise the bar of ethical, prophetic, sacrificial, and servant leadership in African Catholicism -- and to hoist the banner of righteousness and moral rectitude, and political activism and solidarity, to lift millions of Africans from the pit of poverty so that they will have a voice and contribute in building a better society.

The African church should be a church of the poor, a church with the poor, a church for the poor and a church that is on the side of the poor so as to give them a voice.

Next pope from Africa or Latin America?

Africans, like most Catholics, hope that the future pope will be a humble, holy, wise and compassionate servant leader, who is able to communicate the teachings of the Catholic Church with compassion and tenderness.

Such a pope must also be a listening pope who will not be afraid to engage the modern world, in order to discern the signs of the times and embrace the beauty of the new revelations which God is manifesting in today's world.

What do you think should be the next pope's top priority in Africa? Leave a comment below.

The opinions expressed in this commentary are solely those of Stan Chu Ilo.

@highlight

Catholic Church is still predominantly Eurocentric, argues Stan Chu Ilo

@highlight

Challenges facing African Catholicism not always the same as those facing the Western church

@highlight

African Catholic women praying that pope will encourage religious leaders to defend women's rights

@highlight

Ilo says Africans hope pope will be humble, holy, wise and compassionate