(CNN)Italians have a saying: "Too much of something cripples it."

We're overcrowded with so many frescoed churches, medieval castles and Roman ruins that we simply don't know what to do with them, let alone care for a proper upkeep.

We've turned blind to their value and beauty.

There are nearly 5,000 "gems" scattered across the country, ranging from museums to archaeological areas and monuments.

Italy boasts the highest number of UNESCO World Heritage sites in the world -- 50, several of which risk crumbling to the ground due to neglect and lack of public resources.

And there are another 42,000 that are at the mercy of mudslides, floods and natural calamities.

The UNESCO-listed Basilica of Assisi, where St. Frances' tomb lies, is just the last of a series of national shames. Its frescoed walls by Renaissance masters including Giotto risk falling down and are badly in need of a restyle. In a desperate move the monks have launched a crowdfunding project to raise 500,000 euros. We're talking of one of the biggest pilgrimage sites in the world -- not to mention its artistic value.

I remember once an American colleague asking me: "But what does Italy do with its immense cultural heritage"?

Good question.

If other nations had half as much of what we boast, they'd make a much better job with it. Paradoxically, if we had just the Coliseum or Venice it would be easier.

But we don't and trouble is Italy doesn't know how to exploit this treasure.

Take the British Museum's successful exhibition on Pompeii in 2013: we have the real site in our backyard but the British made the best of it worldwide while the real Pompeii was -- and still is -- making global headlines just because of its frequent collapses.

Or, worse, Italy couldn't care less to promote its assets.

As a travel writer I have the misfortune of dealing with tourist offices almost on a daily basis and it's a battle: many are reluctant to give information and have no good photos of places. I find myself almost begging them, when it should be the other way round.

The true but sad thing is that restyling in Italy is mainly thanks to private funds and sponsors. Crowdfunding has already saved Bologna's San Luca Portico. The Coliseum is getting a makeover thanks to shoe brand Todd's, while a few visionary businessmen are rescuing crumbling villages by turning them into luxury resorts.

Yet it's not just a matter of scarce public resources or austerity-driven measures.

It's also about not having a sense of artistic and cultural attachment, the care to cherish a country's valuable monuments. And that's because Italians have always lacked a sense of national belonging: Italy, despite its millenary history, is one of the world's most modern states, unified in 1861.

Patriot Massimo D'Azeglio once said: "Now that we've made Italy, we need to make Italians."

Tough job indeed, and we're still a long way to go. There's also wide-spread approach that tends to limit restyling in general.

Heritage authorities are in love with the Romantic ideal "of decadent ruins": better leave the monument or site as it is, even allow it to rot, rather than recover it and "destroy its original beauty."

Each time new subway works bring to light an unknown Roman theatre or necropoli, it all freezes - the public works and the artistic upkeep.

Preservation is equal to negligence and oblivion.

But that's a blind approach. There's so much Italy could do with what it has, that it could live off tourism.  Symbola Foundation estimates that culture and art, if well exploited, could generate a turnover of 214 billion euros a year, amounting to 15.3% of GDP.

Another thorny issue is having a cheap culture.

Entrance tickets to the Coliseum, Italy's top site that each year lures more than 6 million tourists, cost a maximum of 12 euros. Matera's rock crypts are 5 euros. Not to mention churches featuring Michelangelo's works, which are free to enter.

The first time I visited Westminster Abbey in London, and St. Patrick's church in Dublin, I was shocked to find out I had to pay to get in. And it was quite expensive, too.

One could argue that Italy does well to open for free the Lord's doors, but probably in some "critical" cases a minimum cost to enter wouldn't hurt.

The country's mindset needs to change, too.

Monuments and works of art are not dead, but living things that deserve to be sexed-up once in a while. If we don't have enough space to showcase all of them or the money for their maintenance, why not give them over to other countries to run? Or sell them to rich businessmen?

Similar options make state authorities' hair stand on end: they stress art belongs to the Italian people and should remain in public hands -- even if it's inaccessible and unenjoyable.

Yet is it better to have a public ruin or a private, thriving multimedia museum?

The Uffizi Galleries' secret cellars are stacked with 2,500 forgotten masterpieces, which could be leased out to privates. Curators fear the artworks could get damaged if moved. But cobwebs and dust can do no harm, right?

Our sunny piazzas, bridges and frescoed castles should be regularly rented out for lavish ceremonies and weddings of billionaires couples or for major company events that would bring millions of euros to cities' coffers.

And who cares if for one single evening residents are unable to park their car in front of their palazzo?

There are also 6,000 abandoned medieval "ghost towns" that could be recovered or sold to revamp local economy.

The state should also speed up the process of putting up for auction hundreds of artistic sites and historical buildings to privates and international investors who get to run them for 50 years.

Since the project launch in 2012 so far just two restyles have worked out, one being a Renaissance villa in Florence turned into a deluxe spa resort.

Fine, Rome wasn't built in a day. But it could crumble in an hour.

@highlight

Italy boasts the highest number of UNESCO World Heritage sites in the world

@highlight

Italy doesn't know how to exploit treasures, and appears not to care about them, writes Silvia Marchetti