(CNN) -- ISIS has made huge territorial gains in the border areas between Iraq and Syria during the past month, as well as capturing strategic cities such as Mosul and Tikrit. Now its leader Abu Bakr al-Baghdadi has changed the group's name from the previous "Islamic State of Iraq and Ash-Sham" to "Islamic State." He has also appointed himself "caliph" and declared the re-establishment of the caliphate.

The caliphate is the term used by some Muslims to mean an Islamic State intended to unify the global Muslim population (known as the ummah). It is viewed as the succession to the state founded after the Prophet Mohammed's death and, according to Islamists, is to be governed by one interpretation of Sharia.

The first four caliphs were considered to be Rashidun or "rightly-guided" and especially pious. Subsequent empires controlled by the Umayyads, the Abbasids and the Ottomans each claimed control of the caliphate but failed to be universally recognized by Muslims. When the Ottoman Empire collapsed in 1924, AtatÃ¼rk declared Turkey a republic and abolished the caliphate system.

While the Ahmadiyya, a small Islamic religious movement, has claimed a spiritual caliphate for most of the last century and the King of Morocco refers to himself as amir al muminin (leader of the faithful), a term normally reserved for the caliph, since the fall of the Ottoman Empire, no real attempt has been made to re-establish what was lost with the fall of the Ottomans.

The historical significance of the caliphate, therefore, makes this a huge claim, a risky move, and a crucial point in ISIS's short history. Its ambition and its professed success may well cause the group as many problems as it does find solutions. If the so-called Islamic State (IS) fails to gain widespread support from Muslims, it will lack the legitimacy it so craves.

According to the binary jihadist doctrine of al Qaeda -- seeing the world as Muslim or non-Muslim -- al-Baghdadi will either be seen as the caliph worthy of following or as an imposter worthy of fighting. If you were to follow the revolutionary Islamist doctrine of groups such as Hizb ut-Tahrir, and yet not consider the new caliphate legitimate, "IS" is an infidel state that must be removed.

If "IS" were to follow the letter of their own ideology, it would have to punish all rebellion with death. For "IS," legitimacy will be gained through exploitation of religion, political manipulation of historical narratives, and the violent quashing of dissent. Jihadist infighting is guaranteed over the coming months and Syria and Iraq's future looks even bloodier than the last 11 years.

On top of these intra-Islamist disagreements, the so-called caliphate will struggle in much the same way as other pretenders to Islamic statehood have over the last 50 years. "IS" will have difficulty implementing a narrow jihadist interpretation of Sharia, replete with barbaric punishments for dissenters, as state law.

It is building hospitals and has established a radio station, but will likely fail to deliver any meaningful level of social justice in Iraqi and Syrian society. It also faces a well-organized counter-offensive from the Iraqi army in Tikrit and any level of military loss would immediately undermine the legitimacy of the new caliph. In much the same way as governments worldwide, "IS" will quickly learn that opposition is a much easier position to hold than government.

It is clear from this declaration that al-Baghdadi has over-estimated the level of support that he has among Muslims. He will hope that his declaration will lead to more Sunni Muslims in Iraq and Syria pledging allegiance to him. This must also be seen in conjunction with the group's media and social media strategy to engage increasing numbers of Muslims around the world and, thereby, boost their recruitment of foreign fighters.

A further factor affecting support for ISIS will be the reception of this declaration in countries like Jordan and Morocco (whose rulers are considered to be the direct descendants of the Prophet Mohammed) and in Lebanon or Saudi Arabia, where sectarian chaos and destabilization could be the result, given "IS's" continued rhetoric about the lack of legitimacy of existing Muslim-majority countries. If more foreign fighters flock to join "IS," they are likely to stay there in the short term.

Opinion: How to keep ISIS terror from U.S. shores

The worry for the rest of the world is that, if "IS" manages to consolidate its territory and preserve its legitimacy, an offensive jihad against all other countries will then be considered viable.

Most interesting though will be the reaction of al Qaeda. Although it is clear from statements by its leader Ayman al-Zawahiri in February and May that al Qaeda would remain distinct from ISIS, the claim of the caliphate's establishment will change the dynamic of this relationship, and may prompt the leaders of some of the regional affiliates to change their allegiance from Zawahiri to Baghdadi.

Al Qaeda will now want to challenge ISIS's appropriation of its key objectives and tactics. The only way for al Qaeda to stay relevant now is through a violent and spectacular attack. Although ISIS may eventually be a victim of its own success, the real victims will be the thousands of innocent Muslims and non-Muslims caught in the crossfire of this millennarian struggle.

READ: How ISIS is overshadowing al Qaeda

READ: ISIS: The first terror group to build an Islamic state?

@highlight

ISIS leader has declared re-establishment of the caliphate, and appointed himself its caliph

@highlight

Significance of caliphate makes this huge claim, risky move, and crucial point in ISIS's short history - Jonathan Russell

@highlight

Russell: So-called caliphate will struggle as other pretenders to Islamic statehood have over the last 50 years

@highlight

Most interesting though will be the reaction of al Qaeda, he adds