(CNN)The world's seventh-largest economy is heading toward collapse. An economic powerhouse conservatively valued at $24 trillion, one that annually churns out the equivalent of $2.5 trillion, is under assault. However, I am not referring to one of the G8 economies, but to the "super economy" of the ocean. It's one that for far too long has been ignored and taken for granted -- and it is going downhill fast.

The health and wealth of the ocean are assessed in a WWF report released Thursday, Reviving the Ocean Economy. The report is the result of a hard economic analysis performed by The Boston Consulting Group built on a foundation of the latest ocean science provided by the Global Change Institute of the University of Queensland.

True, the enormity of the ocean can complicate any single appraisal. But it is still important to try to understand its value if global leaders are ever going to sustain it for future generations.

The fact is that the ocean feeds us, employs us, offers protection and plays a direct role in the lives and livelihoods of people throughout the world. The ocean also provides intangible but essential services to humanity, such as climate regulation and oxygen production, that are difficult to put in monetary terms. And while we all may look at the ocean from different perspectives, no one can escape the fact that it is a shared resource that provides for each and every one of us.

A figure that may get lost in the headlines generated by our report is perhaps most telling: Seventy percent of the ocean's overall economic value relies on its continued health. Ocean assets like fisheries, coral reefs, mangroves and seagrasses that produce goods and services rivaling the world's top 10 economies will lose their value if we continue to over-exploit and outright destroy them.

That may seem like a far-off possibility to some, but it is a future foretold by the many details in this report. For example, 90 percent of the world's fish stocks are either fully exploited or over-exploited. And that is not all. By 2050 -- only a few decades from now -- it is possible that the ocean could lose its coral reefs, which have already been halved in the last few decades. This isn't just a concern for dive enthusiasts, but to the hundreds of millions of people that rely on ocean resources for their daily meals and their weekly paychecks.

The ocean is truly too big to fail. The loss of the ocean's critical habitats and species would have a devastating ripple effect on global food security and economies that no government bailout could salvage. Fortunately, our report identifies actions that would revive the ocean economy, three of which are critical this year.

First, the international community must rally around a set of sustainable development goals that clearly reflect the link between the environment -- including the ocean -- and human well-being. Also, negotiators meeting in Paris later this year must agree on an ambitious global climate deal that sets us on the path to avert the worst impacts of climate change. And finally, leaders must commit to conserving increasing amounts of coastal and marine areas over the course of the next 15 years.

The economic case for why the ocean is so critical to livelihoods around the world is clear, and we will not be able to plead ignorance if we collectively preside over the collapse of the ocean economy. Reviving the Ocean Economy is dedicated to helping us avoid that outcome, but it will require political vision and courage among policymakers.

All this said, and as terrifying as it is that the deterioration of the ocean's health has been its fastest in millions of years, there is actually some (potential) good news: If we act swiftly and with determination, marine resources can recover -- and recover quickly. Many local examples -- from the Mediterranean to the Mozambique Channel, from the Fiji archipelago to the Arctic -- show us that conservation, restoration and sustainable-use approaches mean the ocean, and the people who depend on it, can both prosper.

Ultimately, the ocean bridges continents, connects cultures and offers equal opportunity inspiration and we should therefore work together in support of this vital shared resource. But if we are to have any chance of avoiding the point of no return, we must find ways of reaching genuine global commitments on sustainable development and climate. After all, it's far better to avoid an economic collapse than be forced to scramble to pick up the pieces.

@highlight

Ocean economic powerhouse valued at $24 trillion: WWF report

@highlight

Marco Lambertini: Ocean plays direct role in livelihoods across globe