Broad Channel, New York (CNN) -- Power lines crackled in the solid black night as the Atlantic Ocean rushed ashore. A sandy strip of a neighborhood called Broad Channel was about to go underwater.

"We're gonna drown if this goes any higher!" Karen Panetta remembers yelling to her four children.

Superstorm Sandy hit a year ago this week, shocking this tiny community with its force. On one side of Broad Channel, the ocean poured through homes and met Jamaica Bay on the other side. The Panettas' home was right in the middle. But one glimmer of hope emerged from that dark and scary night: A hero was born.

"I jumped into the water and went for help," said Ryan Panetta, 13 at the time.

He swam like a little fish to the neighbors' homes looking for people. His mother remembers how the little kids were screaming with fear. She pulled them atop a bed but the water was rising too high. Ryan finally found someone on the second floor of a neighbor's house. He swam back with them through the debris, he said, "not even thinking about what I was doing but just about my family."

Everyone got out alive. They laughed later that he'd made time to pull on his swim trunks.

"It's hard to explain how you feel about your son after that," Karen said a year later. "I'm so proud of him. Even more after what he's endured ever since."

Ryan's exploits have become a footnote to his endurance, a high point at the beginning of his journey from heroism to heartache. In the days after Sandy, he and his family evacuated to temporary housing an hour away in downtown Brooklyn.

His storied community was a wreck.

Broad Channel has been home to New York's rescue workers -- firefighters, police, military and medical -- for generations; getaway neighborhoods of beach bungalows converted into permanent homes.

It sits along the Rockaway Peninsula, which juts into the Atlantic Ocean with majestic views of Manhattan's signature skyline. Dee Dee Ramone, who combed its beaches here as a child, famously sang about "Rock Rock Rockaway Beach."

The sun is out, I want some

It's not hard, not far to reach

We can hitch a ride to Rockaway Beach

In the days after Sandy crashed ashore, the sun did seem out of reach. The historic community was awash with water from a bay, an ocean and even a massive sewage treatment plant that overflowed into Ryan's school, Scholars' Academy. It was one of the worst hit among the 1,750 schools so badly damaged by Sandy that the New York City school system -- the nation's largest -- closed for several days for the first time in recent memory.

Immediately after the storm, Ryan's house looked fine from the outside, though a boat had floated onto the adjacent lawn. But inside, a lifetime of memories were soaked with saltwater, the foundation was soggy and the walls were quickly crawling with mold.

A family home rebuilt, then destroyed

Despite the damage, it was the Panetta family's lifelong home, so they began rebuilding at once.

The family moved to a temporary apartment in Brooklyn where Ryan and his two brothers and sister would rise before dawn for a trip to the closest school bus stop, where private bus companies had been enlisted to fill in for the 300 lost in the storm. A half-hour later, the children were sitting in workrooms and auditoriums and even hallways, crammed into every available space in already crowded schools around the city that had welcomed 73,000 displaced kids.

When school wrapped at 3 p.m., they would make an hourlong commute to their wounded home, pulling out dirty wet clothes, useless appliances and furniture, and photo memories that would never be recovered.

The Panetta family wasn't alone: More than half the Scholars' Academy students had also lost homes, even the principal and many of the teachers. "It was heartbreaking to watch that kid and so many others," said Principal Brian O'Connell, who also lost his home. "But they remained so resilient."

7 years to build Scholars' Academy, 15 minutes to destroy it

"It's just too much," Ryan said one day, breaking into tears at his desk in the temporary school. The teachers did their best to not miss a beat, but scattered friends and families, lost notebooks and lost books crippled the learning process for Ryan. He feared he might not keep up.

Then 2013 rolled around and Ryan had "the best day ever" when the Scholar's Academy reopened, with students wearing T-shirts emblazoned with the words, "Rockaway Resilient."

With the ups came the downs. Six months after Ryan and his family started banging away at new wall supports and installing drywall in their wounded home, the city condemned the house and the menacing claws of a giant excavator chewed Ryan's birthplace to pieces.

"I would want to be here to see it but I didn't know it was going to be so tough," said Ryan, as machinery put an end to efforts to save their family home.

Sandy bringing down homes, families vow to be back

As the family began the process of building a new home on their now vacant lot, the obstacles they faced were substantial. "The city required us to have two trees in place for a year before we could start unless we got an exemption. The new flood maps require us to build 10 feet over the sidewalk with at least a 5 foot foundation with flood vents," Karen Panetta said.

New flood maps issued by the Federal Emergency Management Agency aimed to prepare for another big storm by stepping up building requirements in areas likely to flood. New homes had to be built higher and stronger and the Panetta family was among those who didn't know where they would get the money.

The Panettas were among the New Yorkers who applied for assistance from the federal "Build it Back" program. The federal government had allocated $648 million to the city for housing, but almost none of the money has reached the 24,000 people who registered for the program.

This week, the federal government allocated another $650 million to the program and announced the first recipient.

"They are taking such a long time and we are $100,000 short of money to rebuild," said Karen Panetta, her voice cracking with frustration. "We're going to put up whatever we can put up, rebuild whatever we can, grab money paycheck to paycheck," she said. "We can't wait. We want to come home."

A new beginning

Plan A for the Panettas is to buy an inexpensive modular home, which comes without a kitchen, flooring or appliances. "That is what we opted for since we would run out of money and we wanted to at least get a home rebuilt," Karen Panetta explained. "It is those things along with front steps and back steps that we will have to still work on, along with the plumbing and electrical hookups."

She said the family has spent additional funds to meet the new building codes, including having a fire sprinkler system inside the house and other pricey extras that they did not expect when they filed with their insurance after the storm.

"The house has to be Energy Star rated, which was an increase in the cost to rebuild as well -- all things not taken into consideration when the insurance company is paying out," she said.

They hit another hurdle this week, when the city rejected their architect's plans. The family believes a few revisions will get them approval. They are living in rented housing paid for by an assistance program.

Karen Panetta said she avoids visiting the spot where they used to live, an empty lot punctuated by a single mailbox.  The children have only gone back once in many months, to pose for a picture for this article.

"All that we can hope for is that a storm like this never comes this way again," she said. "The only thing I'm sure of is that me and the kids will never, never, ever be in this home again when a storm is on the way."

Ryan, now 14, expresses his frustration to his family daily, even as he brings home high grades and a perfect attendance record. He set up his own paper route and signed up 38 customers, insistent that he would help his family with money.

"He wants his home back just like we all do," Karen Panetta said. "I truly thought things would move quicker. There are days when we are just angry at the whole system and think something has just failed us."

Then, just as she and her husband and children begin to fall into a state of dark despair, their glimmer of hope shines again. Ryan was recently awarded a medal of honor from the Boy Scouts of America, something given rarely. It was to applaud him for risking his life to save others.

They posted a video on YouTube about his exploits. "The motto is 'Be prepared,'" said Ryan. "Which really helps, because you never know what life is going to throw at you."

Or what one teenage boy will throw back.

@highlight

Ryan Panetta, now 14, helped save his family when Superstorm Sandy hit last year

@highlight

He also helped his family rebuild the family home

@highlight

The house was condemned and torn down

@highlight

Now the family is struggling to build a new home that meets strict codes