(CNN) -- The Westgate Mall siege in Kenya has claimed the lives of more than 60 people including the Kenyan president's nephew, at least one Canadian diplomat and American, British, French and Chinese nationals. Al Qaeda's affiliate in Somalia, Al-Shabaab, has claimed responsibility for the siege and it has been reported that a number of the militants involved in the attack may have been foreign jihadists from Western nations.

Read more: Sources say gunmen still inside Kenyan mall

If true, does the phenomenon of Westerners killing Westerners in Kenya represent a victory for al Qaeda and is this representative of the future of the group's transnational jihad? Does the radicalization of Muslims in the West pose a substantial threat to global security and what can be done to stop it?

Al Qaeda has looked to inspire Western Muslims to commit such atrocities for years with help from Anwar al-Awlaki's online sermons and the group's magazine, "Inspire," which has often praised the actions of Western Islamists in their own countries and abroad. Most notably, it commended the Tsarnaev brothers, the alleged Boston bombers as well as Roshonara Choudhary, the young girl from Newham, east who attempted to murder her local parliamentary representative. However, Western Muslims fought in the Afghanistan jihad against the USSR that originally gave rise to al Qaeda as well as in other conflicts in Bosnia, Chechnya, Iraq and Syria.

Watch: Did al Qaeda magazine inspire Tsarnaevs?

In reality, the numbers of Western Muslims abandoning their lives in the United Kingdom or the United States of America to go and join Al-Shabaab in Somalia is very small. In order to best analyze this phenomenon, they should be separated into three distinct groups: converts to Islam, Western Muslims, such as Abu Usama al-Britani -- a Briton believed to have been killed in Somalia -- and members of the Somali diaspora in Western countries.

Read more: American jihadi reportedly killed in Somalia

Converts to Islam are particularly vulnerable to extremist ideologies and narratives because of exploitation by charismatic recruiters. Failures of moderate Muslim communities to welcome converts due to ethnic or regional differences or to answer the political or theological questions that many new converts have often led to their adoption by radical groups such as al Muhajiroun and its offshoots, that invariably have links to Islamist groups present in hot conflicts.

Under these radical wings, new converts to Islam are taught a highly politicized version of Islam that invariably focuses on current conflicts around the world, spun with an Islamist narrative that exaggerates the importance and benefits of violent jihad, the need for action against oppressors, or the moral degradation of Westerners and their societies.

Read more: Group hails 9/11 'Magnificent 19'

These recruits are considered perfect for al Qaeda's future goals as, due to the fact that they are often not targeted for racial profiling and have greater access in their home countries, they can pass between borders relatively risk-free. With an estimated 40,000 Westerners currently living in Kenya, many more visiting as tourists each year, and an area of limited policing on the Somalia-Kenya border, Western members of Al-Shabaab constitute a potentially large threat to the country's security.

However, Somalia is not a particularly attractive destination for Western jihadists. When assessed in terms of cohesion and integration, Al-Shabaab is one of the weakest al Qaeda regional affiliates. Due to existing tribal hierarchies and fault lines, Al-Shabaab has significant infighting and is renowned for not being accepting of foreigners.

Western Muslim minorities, predominately from Pakistani and Bangladeshi backgrounds, therefore face similar issues to white converts when it comes to joining the jihad in Somalia. The recent killing of Abu Osama al-Britani and Abu Mansoor al-Amriki (Omar Hammimi), who had purportedly fallen out with Al-Shabaab's leadership reveals the extent to the lack of cohesion in the group.

Read more: American jihadi reportedly killed in Somalia

However, for Islamist groups such as Hizb ut-Tahrir and al-Muhajiroun, this conflict is a well-established part of the radicalizing narrative, in much the same way that Afghanistan, Bosnia and Iraq have been, and will continue to attract Western Islamists with jihadist aspirations. In reality, Al-Shabaab are fighting a more nationalist struggle, clothing it in pseudo-religious garments and will continue to fail to engage significant numbers of Westerners.

The Somali expatriate community numbers more than 100,000 in the United Kingdom, 78% of whom reside in London, according to the Office of National Statistics.

The Organisation for Economic Cooperation and Development estimates more than 20,000 Somalis reside in the Netherlands and about 89,000 in the U.S. According to Canada's 2011 National Household Survey, more than 44,000 Somalis live within its borders. This is the most likely group of Western Muslims to be making trips to Somalia, and, if Islamists, are those most likely to be accepted by Al-Shabaab.

As communities that are often criticized for their lack of integration within Western societies and with some radical community leaders among them, members going to fight in Somalia has long been a concern for Western security services. Of greater immediate concern, however, is the Somali diaspora in Kenya, whom the Kenyan authorities will undoubtedly target in the coming weeks.

Al-Shabaab has shown itself to be exceptionally capable, both operationally and in terms of its use of secrecy, and increasingly extreme. According to our sources, while previously with limited operations outside of Somalia, Al-Shabaab conducted the preparation for these attacks months ago and had considerable surveillance in the shopping mall, and is likely delivering retribution against Kenya for its aggressive pursuit of Al-Shabaab in recent years.

In whichever way the Western contribution to Al-Shabaab will be depicted by the group for propaganda purposes, its lack of cohesion will continue to curb its effectiveness. The radicalization of Westerners is a significant problem that must be addressed in the United Kingdom and jihadist tourism is an issue in which security services are rightfully investing considerable resources; Somalia is simply the latest destination and not a particularly fashionable one.

The opinions expressed in this commentary are solely those of Jonathan Russell.

@highlight

More than 60 people have died in a siege at a shopping mall in Nairobi, Kenya

@highlight

Al Qaeda offshoot Al-Shabaab has claimed responsibility for the attack

@highlight

It has been reported that Western jihadists may have been among the attackers

@highlight

Jonathan Russell says the radicalization of Western Muslims needs addressing