(CNN) -- Afghan President Hamid Karzai will meet with President Barack Obama on Friday to discuss the post-2014 American presence in Afghanistan.

The U.S. military has already given Obama options under which as few as 6,000 or as many as 20,000 soldiers would remain in Afghanistan after 2014. Those forces would work as advisers to the Afghan army and mount special operations raids against the Taliban and al Qaeda.

Read more: U.S. may remove all troops from Afghanistan after 2014

But on Tuesday, Ben Rhodes, the White House's deputy national security adviser, told reporters that the Obama administration is mulling the idea of removing all U.S. troops from Afghanistan after the NATO combat mission finishes at the end of 2014.

This may be a negotiating ploy by the Obama administration as it gets down to some hard bargaining with Karzai, who has long criticized many aspects of the U.S. military presence and who is likely to be reluctant to accede to a key American demand: That any U.S. soldiers who remain in Afghanistan after 2014 retain immunity from prosecution in the dysfunctional Afghan court system. It was this issue that led the U.S. to pull all its troops out of Iraq in December, 2011 after failing to negotiate an agreement with the Nuri al-Maliki government.

Read more: Defense officials to press Karzai on what he needs

Or this may represent the real views of those in the Obama administration who have long called for a much-reduced U.S. presence in Afghanistan, and it is also in keeping with the emerging Obama doctrine of attacking al Qaeda and its allies with drones but no American boots on the ground. And it certainly aligns with the view of most Americans, only around a quarter of whom now support the war in Afghanistan, according to a poll taken in September.

Security Clearance: Afghanistan options emerge

In any case, zeroing out U.S. troop levels in the post-2014 Afghanistan is a bad idea on its face -- and even raising this concept publicly is maladroit strategic messaging to Afghanistan and the region writ large.

Why so? Afghans well remember something that most Americans have forgotten.

After the Soviet Union withdrew from Afghanistan, something that was accomplished at the cost of more than a million Afghan lives and billions of dollars of U.S. aid, the United States closed its embassy in Afghanistan in 1989 during the George H. W. Bush administration and then zeroed out aid to one of the poorest countries in the world under the Clinton administration. It essentially turned its back on Afghans once they had served their purpose of dealing a deathblow to the Soviets.

As a result, the United States had virtually no understanding of the subsequent vacuum in Afghanistan into which eventually stepped the Taliban, who rose to power in the mid-1990s. The Taliban granted shelter to Osama bin Laden and his al Qaeda organization from 1996 onward.

Read more: Court considers demand that U.S. release photos of bin Laden's body

After the overthrow of the Taliban, a form of this mistake was made again by the George W. Bush administration, which had an ideological disdain for nation building and was distracted by the Iraq War, so that in the first years after the fall of the Taliban, only a few thousand U.S. soldiers were stationed in Afghanistan.

The relatively small number of American boots on the ground in Afghanistan helped to create a vacuum of security in the country, which the Taliban would deftly exploit, so that by 2007, they once again posed a significant military threat in Afghanistan.

In 2009, Obama ordered a surge of 30,000 troops into Afghanistan to blunt the Taliban's gathering momentum, which it has certainly accomplished.

Read more: Inside the Taliban

But when Obama announced the new troops of the Afghan surge, most media accounts of the speech seized on the fact that the president also said that some of those troops would be coming home in July 2011.

This had the unintended effect of signaling to the Taliban that the U.S. was pulling out of Afghanistan reasonably soon and fit into the longstanding narrative that many Afghans have that the U.S. will abandon them again.

Similarly, the current public discussion of zero U.S. troop presence in Afghanistan after 2014 will encourage those hardliner elements of the Taliban who have no interest in a negotiated settlement and believe they can simply wait the Americans out.

It also discourages the many millions of Afghans who see a longtime U.S. presence as the best guarantor that the Taliban won't come back in any meaningful way and also an important element in dissuading powerful neighbors such as Pakistan from interference in Afghanistan's internal affairs.

Read related: Afghanistan vet finds a new way to serve

Instead of publicly discussing the zero option on troops in Afghanistan after 2014, a much smarter American messaging strategy for the country and the region would be to emphasize that the Strategic Partnership Agreement that the United States has already negotiated with Afghanistan last year guarantees that the U.S. will have some form of partnership with the Afghans until 2024.

In this messaging strategy, the point should be made that the exact size of the American troop presence after 2014 is less important than the fact that U.S. soldiers will stay in the country for many years, with Afghan consent, as a guarantor of Afghanistan's stability.

The United States continues to station thousands of troops in South Korea more than five decades after the end of the Korean War. Under this American security umbrella, South Korea has gone from being one of the poorest countries in the world to one of the richest.

It is this kind of model that most Afghans want and the U.S. needs to provide so Afghanistan doesn't revert to the kind of chaos that beset it in the mid-1990s and from which the Taliban first emerged.

Read more: What's at stake for Afghan women?

@highlight

White House aide suggested all U.S. troops could be withdrawn from Afghanistan

@highlight

Peter Bergen said the idea would be dangerous and send the wrong message

@highlight

He says U.S. has abandoned Afghanistan before and saw the rise of the Taliban

@highlight

Bergen: U.S. is seeking agreement that military will have immunity from prosecution