(CNN) -- The bombing of the Boston Marathon has been described by some as another wake-up call. Regrettably, it seems we've hit the snooze button too many times to say that this time we've really woken up.

Our vulnerability to attacks such as the one at the marathon has been well known for some time. We have long been concerned that attackers would focus on soft targets in which many people gather in open and easily accessible areas. Moreover, these targets lack the sophisticated security measures that one would find at a chemical plant or federal building.

Improvised explosive devices, or IEDs, are one of the biggest threats to the United States. The bombs used in the Boston Marathon cost less than $100 to make from materials that can be commonly purchased and with instructions found on the Internet.

Opinion: Don't ignore the threat of IEDs

Lt. Gen. Michael Barbero, director of the Joint Improvised Explosive Device Defeat Organization at the Department of Defense, stated in his July 2012 testimony before the U.S. House of Representative Homeland Security Committee that: "It is clear the IED is the primary weapon of choice for threat networks globally and is one of the enduring operational and domestic security challenges for the foreseeable future. ... The domestic IED threat from both homegrown extremists and global threat networks is real and presents a significant security challenge for the United States and our international partners."

The Boston Police Department was about as well prepared to address this threat as any police department could be. Boston has had a number of high profile events in the past years to be ready for unexpected events. The city has received millions of dollars in Homeland Security grants and the police force recently conducted a DHS sponsored multijurisdiction IED training program.

Still, at least two suspects were able to exploit the vulnerability of the marathon. The important questions now are not just who was responsible for the attack, but how can we prevent similar attacks?

We have to concede that it takes money and resources to prevent and fight attacks. But it's harder in this belt-tightening time.

For example, the budget for the Office of Bombing Prevention, a Department of Homeland Security office charged with the mission of leading the department's "efforts to implement the National Policy for Countering Improvised Explosive Devices and enhance the nation's ability to prevent, protect against, respond to, and mitigate the terrorist use of explosives ...," has had its budget cut or reallocated with rumors of further cuts in 2014.

To be fair, the Office of Bombing Prevention isn't the only federal entity that deals with IEDs. The Transportation Security Administration, FBI and Bureau of Alcohol, Tobacco, Firearms and Explosives all have efforts aimed at helping the private sector and law enforcement agencies prevent IED attacks. However, the Office of Bombing Prevention has an important mission of enhancing counter-IED capabilities through coordination of bombing prevention efforts. Rather than cutting its budget, we should increase it.

Barbero's department requested a $1.9 billion budget for 2013. It is a highly effective organization that saved many lives through the use of intelligence, technology and equipment in Afghanistan and Iraq. Now that we have withdrawn from Iraq and will be doing so from Afghanistan, we should reallocate some of those resources to focus on domestic threats and to prevent attacks at home.

IEDs are a low-cost high-consequence type of weapon that will take significant financial and personnel resources to defeat. The alternative will be the loss of more lives and millions of dollars in investigative and recovery efforts if more attacks happen.

We need to increase the Office of Bombing Prevention budget so we can train state and local law enforcement and private sector security, because they are the front line in our defense.

Above all, we should never submit to the fear that deranged minds may attempt to instill in us. The people of this country are too strong and resilient to ever cower before acts of terrorism.

The opinions expressed in this commentary are solely those of Robert P. Liscouski.

@highlight

Robert Liscouski: Improvised explosive devices are one of the biggest threats to the U.S.

@highlight

Liscouski: How can we prevent attacks like the marathon bombing?

@highlight

He says one way is to increase the budget for the Office of Bombing Prevention

@highlight

Liscouski: The resources will help train those who are on the front line of defense