(Mental Floss) -- Memorial Day is more than just a three-day weekend and a chance to get the year's first sunburn. Here's a handy 10-pack of facts to give the holiday some perspective.

The gravesite of Capt. Jesse Milton is seen in Arlington National Cemetery.

1. It started with the Civil War

Memorial Day was a response to the unprecedented carnage of the Civil War, in which some 620,000 soldiers on both sides died. The loss of life and its effect on communities throughout the North and South led to spontaneous commemorations of the dead:

• In 1864, women from Boalsburg, Pennsylvania, put flowers on the graves of their dead from the just-fought Battle of Gettysburg. The next year, a group of women decorated the graves of soldiers buried in a Vicksburg, Mississippi, cemetery.

• In April 1866, women from Columbus, Mississippi, laid flowers on the graves of both Union and Confederate soldiers. It was recognized at the time as an act of healing regional wounds. In the same month, up in Carbondale, Illinois, 219 Civil War veterans marched through town in memory of the fallen to Woodlawn Cemetery, where Union hero Maj. Gen. John A. Logan delivered the principal address. The ceremony gave Carbondale its claim to the first organized, community-wide Memorial Day observance. Watch the meaning of the holiday

• Waterloo, New York., began holding an annual community service on May 5, 1866. Although many towns claimed the title, it was Waterloo that won congressional recognition as the "birthplace of Memorial Day."

2. General Logan made it official

Gen. Logan, the speaker at the Carbondale gathering, also was commander of the Grand Army of the Republic, an organization of Union veterans. On May 5, 1868, he issued General Orders No. 11, which set aside May 30, 1868, "for the purpose of strewing with flowers, or otherwise decorating the graves of comrades who died in defense of their country during the late rebellion...."  Watch the history of the holiday »

The orders expressed hope that the observance would be "kept up from year to year while a survivor of the war remains to honor the memory of his departed comrades."  Watch military kids learn to grieve »

3. It was first known as Decoration Day

From the practice of decorating graves with flowers, wreaths and flags, the holiday was long known as Decoration Day. The name Memorial Day goes back to 1882, but the older name didn't disappear until after World War II. Federal law declared "Memorial Day" the official name in 1967.

4. The holiday is a franchise

Calling Memorial Day a "national holiday" is a bit of a misnomer. While there are 11 "federal holidays" created by Congress -- including Memorial Day -- they apply only to Federal employees and the District of Columbia. Federal Memorial Day, established in 1888, allowed Civil War veterans, many of whom were drawing a government paycheck, to honor their fallen comrades with out being docked a day's pay.

For the rest of us, our holidays were enacted state by state. New York was the first state to designate Memorial Day a legal holiday, in 1873. Most Northern states had followed suit by the 1890s. The states of the former Confederacy were unenthusiastic about a holiday memorializing those who, in Gen. Logan's words, "united to suppress the late rebellion." The South didn't adopt the May 30 Memorial Day until after World War I, by which time its purpose had been broadened to include those who died in all the country's wars.

In 1971, the Monday Holiday Law shifted Memorial Day from May 30, to the last Monday of the month. Mental Floss: 10 holidays not yet exploited by Hallmark

5. It was James Garfield's finest hour -- or maybe hour-and-a-half

On May 30, 1868, President Ulysses S. Grant presided over the first Memorial Day ceremony at Arlington National Cemetery -- which, until 1864, was Confederate Gen. Robert E. Lee's plantation.

Some 5,000 people attended on a spring day which, The New York Times reported, was "somewhat too warm for comfort." The principal speaker was James A. Garfield, a Civil War general, Republican congressman from Ohio and future president.

"I am oppressed with a sense of the impropriety of uttering words on this occasion," Garfield began, and then continued to utter them. "If silence is ever golden, it must be beside the graves of fifteen-thousand men, whose lives were more significant than speech, and whose death was a poem the music of which can never be sung." It went on like that for pages and pages.

As the songs, speeches and sermons ended, the participants helped to decorate the graves of the Union and Confederate soldiers buried in the cemetery.

6. Not even the Unknown Soldier can avoid media scrutiny these days

"Here rests in honored glory an American soldier known but to God." That is the inscription on the Tomb of the Unknowns, established at Arlington National Cemetery to inter the remains of the first Unknown Soldier, a World War I fighter, on November 11, 1921. Unknown soldiers from World War II and the Korean War subsequently were interred in the tomb on Memorial Day 1958.

An emotional President Ronald Reagan presided over the interment of six bones, the remains of an unidentified Vietnam War soldier, on November 28, 1984. Fourteen years later, those remains were disinterred, no longer unknown. Spurred by an investigation by CBS News, the defense department removed the remains from the Tomb of the Unknowns for DNA testing.

The once-unknown fighter was Air Force pilot Lt. Michael Joseph Blassie, whose jet crashed in South Vietnam in 1972. "The CBS investigation suggested that the military review board that had changed the designation on Lt. Blassie's remains to 'unknown' did so under pressure from veterans' groups to honor a casualty from the Vietnam War," The New York Times reported in 1998.

Lt. Blassie was reburied near his hometown of St. Louis, Missouri. His crypt at Arlington remains permanently empty.  Watch digital memorial to troops of Afghanistan and Iraq »

7. Vietnam vets go whole hog

On Memorial Day weekend in 1988, 2,500 motorcyclists rode into Washington, D.C., for the first Rolling Thunder rally to draw attention to Vietnam War soldiers still missing in action or prisoners of war. By 2002, the numbers had swelled to 300,000 bikers, many of them veterans. There may have been a half-million participants in 2005 in what organizers bluntly call "a demonstration -- not a parade."

A national veterans rights group, Rolling Thunder takes its name from the B-52 carpet-bombing runs during the war in Vietnam. Rolling Thunder XXII (and you thought only Super Bowls and Rocky movies used Roman numerals) is Sunday, May 24.

8. Memorial Day has its customs

General Orders No. 11 stated that "in this observance no form of ceremony is prescribed," but over time several customs and symbols became associated with the holiday.

It is customary on Memorial Day to fly the flag at half staff until noon, and then raise it to the top of the staff until sunset.

Taps, the 24-note bugle call, is played at all military funerals and memorial services. It originated in 1862 when Union Gen. Dan Butterfield "grew tired of the 'lights out' call sounded at the end of each day," according to The Washington Post. Together with the brigade bugler, Butterfield made some changes to the tune.

Not long after, the melody was used at a burial for the first time, when a battery commander ordered it played in lieu of the customary three rifle volleys over the grave. The battery was so close to enemy lines, the commander was worried the shots would spark renewed fighting.

The World War I poem "In Flanders Fields," by John McCrea, inspired the Memorial Day custom of wearing red artificial poppies. In 1915, a Georgia teacher and volunteer war worker named Moina Michael began a campaign to make the poppy a symbol of tribute to veterans and for "keeping the faith with all who died." The sale of poppies has supported the work of the Veterans of Foreign Wars.

9. There is still a grey Memorial Day

Several Southern states continue to set aside a day for honoring the Confederate dead, which is usually called Confederate Memorial Day: Alabama: fourth Monday in April; Georgia: April 26; Louisiana: June 3; Mississippi: last Monday in April; North Carolina: May 10; South Carolina: May 10; Tennessee (Confederate Decoration Day): June 3; Texas (Confederate Heroes Day): January 19; Virginia: last Monday in May. Mental Floss: The Confederacy's plan to conquer Latin America

10. Each Memorial Day is a little different

No question that Memorial Day is a solemn event. Still, don't feel too guilty about doing something frivolous, like having barbecue, over the weekend. After all, you weren't the one who instituted the Indianapolis 500 on May 30, 1911. That credit goes to Indianapolis businessman Carl Fisher. The winning driver that day was Ray Harroun, who averaged 74.6 mph and completed the race in 6 hours and 42 minutes.

Gravitas returned on May 30, 1922, when the Lincoln Memorial was dedicated. Supreme Court chief justice (and former president) William Howard Taft dedicated the monument before a crowd of 50,000 people, segregated by race, and which included a row of Union and Confederate veterans. Also attending was Lincoln's surviving son, Robert Todd Lincoln.

And in 2000, Congress established a National Moment of Remembrance, which asks Americans to pause for one minute at 3 p.m. in an act of national unity. The time was chosen because 3 p.m. "is the time when most Americans are enjoying their freedoms on the national holiday."

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Memorial Day was a response to unprecedented carnage of the Civil War

@highlight

On May 5, 1868, Gen. Logan issued General Orders No. 11, for grave decoration

@highlight

President Grant presided over first Memorial Day ceremony at Arlington

@highlight

In 2000, Congress established a National Moment of Remembrance at 3 p.m.