(CNN) -- On a small, floating piece of ice in the Beaufort Sea, several hundred miles north of Alaska, a group of scientists are documenting what some dub an "Arctic meltdown."

According to climate scientists, the warming of the region is shrinking the polar ice cap at an alarming rate, reducing the permafrost layer and wreaking havoc on polar bears, arctic foxes and other indigenous wildlife in the region.

What is bad for the animals, though, has been good for commerce.

The recession of the sea ice and the reduction in permafrost -- combined with advances in technology -- have allowed access to oil, mineral and natural gas deposits that were previously trapped in the ice.

The abundance of these valuable resources and the opportunity to exploit them has created a gold rush-like scramble in the high north, with fierce competition to determine which countries have the right to access the riches of the Arctic.

This competition has brought in its wake a host of naval and military activities that the Arctic hasn't seen since the end of the Cold War.

Now, one of the coldest places on Earth is heating up as nuclear submarines, Aegis-class frigates, strategic bombers and a new generation of icebreakers are resuming operations there.

Just how much oil and natural gas is under the Arctic ice?  The Arctic is home to approximately 90 billion barrels of undiscovered but recoverable oil, according to a 2008 study by the U.S. Geological Survey. And preliminary estimates are that one-third of the world's natural gas may be harbored in the Arctic ice.

But that's not all that's up for grabs. The Arctic also contains rich mineral deposits. Canada, which was not historically a diamond-producing nation, is now the third-largest diamond producer in the world.

If the global warming trend continues as many scientists project it to, it is likely that more and more resources will be discovered as the ice melts further.

Who are the countries competing for resources?  The United States, Canada, Russia, Norway, Denmark, Iceland, Sweden and Finland all stake a claim to a portion of the Arctic. These countries make up the Arctic Council, a diplomatic forum designed to mediate disputes on Arctic issues

Lawson Brigham, a professor at the University of Alaska Fairbanks and an Arctic expert, says "cooperation in the Arctic has never been higher."

But like the oil trapped on the Arctic sea floor, much of the activity of the Arctic Council is happening below the surface.

In secret diplomatic cables published by WikiLeaks, Danish Foreign Minister Per Stieg Moeller was quoted as saying to the United States, "If you stay out, the rest of us will have more to carve up the Arctic."

At the root of Moeller's statement is a dispute over control of territories that is pitting friend against foe and against friend. Canada and the U.S., strategic allies in NATO and Afghanistan, are in a diplomatic dispute over the Northwest Passage. Canada and Russia have recently signed development agreements together.

In the same way a compass goes awry approaching the North Pole, traditional strategic alliances are impacted at the top of the world.

Who owns the rights to the resources?  Right now, the most far-reaching legal document is the U.N. Convention on Law of the Sea, or UNCLOS. All of the Arctic states are using its language to assert their claims.

The Law of the Sea was initially designed to govern issues like fishing rights, granting nations an exclusive economic zone 200 miles off their coasts. But in the undefined, changing and overlapping territory of the Arctic, the Law of the Sea becomes an imperfect guide, and there are disputes over who owns what.

One example is the Lomonosov Ridge, which Canada, Denmark and Russia all claim is within their territory, based on their cartographic interpretations.

Also complicating matters is the fact that the U.S. has never ratified the Law of the Sea. That has given other Arctic Council nations more muscle to assert territorial rights.

So what's next?  With murky international agreements and an absence of clear legal authority, countries are preaching cooperation but preparing for conflict.

There has been a flurry of new military activity reminiscent of days past.

Two U.S. nuclear-powered attack submarines, the SSN Connecticut and the SSN New Hampshire, recently finished conducting ice exercises in the Arctic. Secretary of the Navy Richard Mabus said the purpose of the recent naval exercises was "to do operational and war-fighting capabilities. Places are becoming open that have been ice-bound for literally millennia. You're going to see more and more of the world's attention pointed towards the Arctic."

Other Arctic nations are ramping up their military capabilities as well. Just this month, Russia announced that it is deploying two brigades to the Arctic, including a special forces unit. The Russian air force has recently resumed strategic bomber flights over the Pole. Canada, Denmark and Norway are also rapidly rebuilding their military presence.

But despite the buildup, almost all of the activity in the Arctic has been within the scope of normal military operations or research.

Have we seen this before?  There is a long precedent for countries using the Arctic to demonstrate military primacy.

On April 25, 1958, the world's first nuclear-powered submarine -- the USS Nautilus (SSN 571) -- began Operation Sunshine, the first undersea transpolar crossing.

Done on the heels of the Sputnik satellite launch, it was a demonstration that the U.S. could go places that its Cold War nemesis could not. For the next three decades, U.S. and Soviet submarines would continue to use the Arctic as a proving ground for military prowess.

With the end of the Cold War, that activity waned. But in 2007, a Russian expedition planted a flag on the bottom of the polar sea floor, almost 14,000 feet below the surface. This "neo-Sputnik" has brought renewed interest to the Arctic and launched a flurry of activity -- scientific, economic and military -- that is eerily parallel to the decades of tension between the superpowers.

The Cold War may be over, but the dethawing of military activity means that the frigid Arctic is once again becoming a hot spot.

@highlight

Tension is building in the Arctic, where countries are vying for valuable natural resources

@highlight

More oil, natural gas and mineral deposits can be accessed now because of climate change

@highlight

There have been territorial disputes over the underwater land where these deposits rest

@highlight

The Arctic is now seeing naval and military activities it hasn't seen since the Cold War