Hong Kong (CNN) -- Tensions are running high in the skies between China and Japan -- and the United States is refusing to stay on the sidelines.

After Beijing upset the region by declaring a new air defense zone over a large part of the East China Sea, two unarmed U.S. B-52 bombers flew through the area in what the U.S. State Department said was a planned military exercise.

The U.S. aircraft ignored China's new demands that planes that fly through the zone identify themselves and submit flight plans to Chinese authorities -- despite Beijing's warnings that it could take military measures against aircraft that failed to comply.

The delicate situation is a test of how China's increasingly assertive approach beyond its borders will play out against the U.S. government's promise to focus more on Asia and uphold commitments to its allies.

"China is busy designing and implementing a bolder foreign policy in light of an anticipated U.S. decline," Stephanie Kleine-Ahlbrandt, director of Asia-Pacific programs at the U.S. Institute of Peace, writes in a commentary for CNN.com this week.

The air zone declaration is a clear example of the new approach of Chinese President Xi Jinping, who has been in power for about a year, according to Kleine-Ahlbrandt.

"Unlike his predecessors, Xi is making foreign policy with the mindset of a great power, increasingly probing U.S. commitments to its allies in the region and exploiting opportunities to change the status quo," she says.

But for the time being, the U.S. government is standing its ground in the East China Sea.

War of words

The United States and Japan have criticized Beijing's air defense announcement, saying it escalates tensions in the region and raises the risk of an incident. They say they won't recognize the new zone.

China hit back at those comments with strong words of its own, describing the U.S. and Japanese statements as unreasonable and unacceptable.

After news of the U.S. flights emerged, the Chinese defense ministry responded cautiously Wednesday, saying it had monitored the planes' activity on the edge of the air defense zone. The statement held back from criticizing the U.S. action.

At a regular briefing later Wednesday, a journalist asked a Chinese foreign ministry spokesman if Beijing is concerned it will now be seen as a "paper tiger."

"I want to emphasize that the Chinese government has enough resolution and capability to safeguard the country's sovereignty and security," the spokesman, Qin Gang replied.

Simmering dispute

The bomber flights are the strongest American involvement yet in a festering territorial dispute in the region between China and Japan over a set of small, uninhabited islands in the East China Sea.

After China's air defense declaration Saturday, U.S. Defense Secretary Chuck Hagel reiterated American support for Japan, where thousands of U.S. troops are stationed as part of a security agreement.

He said the U.S. Japan Mutual Defense Treaty applies to the disputed islands, known as Senkaku by Japan and Diaoyu by China.

Uneasy encounters between Chinese and Japanese planes and ships have already taken place repeatedly over the past year near the islands, which are believed to have large oil reserves located near them.

Tensions spiked after the Japanese government purchased some of the islands from a private owner in September 2012, angering Chinese authorities, who saw the move as an attempt by Japan to tighten control.

Hagel warned that China's "unilateral action" of declaring the air defense zone "increases the risk of misunderstanding and miscalculations."

Amid the tensions, U.S. Vice President Joe Biden will visit the region next week on a previously announced trip, stopping in Tokyo, Beijing and Seoul, South Korea.

Why China's new air zone incensed Japan, U.S.

Difficult to monitor

The U.S. bomber flights Monday also highlight the challenges that analysts say China faces in policing its newly claimed air zone.

In its statement Wednesday, the Chinese defense ministry said that "China has the capability to exercise effective control" over the area.

"Beijing might have bitten off a bit more than they can chew because actually going out and monitoring these things on an ongoing basis is probably a bit beyond the capabilities of the Chinese air force right now," said Greg Waldron, Asia managing editor of FlightGlobal, an aviation and aerospace industry website.

"In a sense, it's more a rhetorical statement, as opposed to a realistic military space," Waldron said.

Adding to the complications and confusion surrounding the zone, Japan's two main commercial airlines said Wednesday that following a request from the Japanese government, they and other members of the Scheduled Airlines Association of Japan will not submit flight plans to Chinese authorities for flights through the zone claimed by Beijing.

The two carriers, Japan Airlines and All Nippon Airways, said the association had concluded that there would be "no impact" on the safety of passengers on board flights through the zone without the submission of flight plans to China.

But Waldron said he wasn't entirely sure about that. From a legal point of view, he said, the airlines probably don't have to report their plans and follow all the rules requested by China.

"I think from a safety perspective, it's a good idea for them to do so," Waldron said. "Just in case."

'The right of every country'

Since it declared the new air defense zone at the weekend, China has been busy making its case for why it feels the move was justified.

It has pointed out that other countries already operate air defense identification zones in waters around their territory, noting that Japan has had a zone in place in the East China Sea since the 1960s.

"It's natural, it's indeed the right of every country to defend its airspace and also to make sure that its territorial integrity, its sovereignty are safeguarded," China's U.N. Ambassador Liu Jieyi said Tuesday.

But analysts say that by declaring a zone that now overlaps with that of Japan, China has increased the likelihood of a high-risk incident in the air.

South Korea and Australia have also criticized the Chinese announcement.

The situation has remained tense around the islands over the past year. Japan has repeatedly scrambled fighter jets in response to Chinese government planes flying near the islands. And ships from the two countries regularly engage in high seas games of cat and mouse in waters around the islands.

China slams 'inappropriate' U.S. remarks on territorial dispute with Japan

Aircraft carrier on the move

On top of the already strained situation, China's military announced on its website early Wednesday that its navy's sole aircraft carrier, the Liaoning, was heading toward the South China Sea.

That's where China has had territorial disputes with other Asian nations including the Philippines and Vietnam.

The carrier, which was commissioned in September 2012 and first had aircraft leaving and landing on it two months later, set out from a shipyard in eastern China's Qingdao city on Tuesday morning, the military said on its website.

As with U.S. aircraft carriers, it doesn't travel alone: two guided missile destroyers and two guided missile frigates are accompanying the massive ship as part of its group.

The Chinese military makes no mention of the dispute with Japan and its ally, the United States. Rather, its website post notes that the carrier group's mission is to conduct training and tests.

But in order to get from Qingdao to the South China Sea, the aircraft carrier group has to first go through the East China Sea.

It remained unclear how close it would sail to the disputed islands.

"There are several possible courses for the voyage from Qingdao to the South China Sea and it is not clear which the Liaoning will take," the state-run newspaper China Daily reported Wednesday.

At the same time, U.S. and Japanese forces are due to hold joint naval exercises this week off Okinawa -- a few hundred kilometers from the disputed islands.

CNN's Barbara Starr, Greg Botelho, Madison Park, Steven Jiang, David McKenzie, Junko Ogura and Kevin Wang contributed to this report.

@highlight

The Chinese military says it identified the U.S. military aircraft

@highlight

U.S. official: B-52s didn't tell Beijing about flights over China's new air defense zone

@highlight

Washington and Tokyo have criticized Beijing's declaration of the new zone

@highlight

They say it increases tensions and raises risks of an incident