(Mental Floss) -- Starting a legitimate business is hard, boring work. There's paperwork to fill out, employees to hire, and all sorts of other drudgery, not to mention the biggest hurdle of all: providing a product or service for which customers are willing to pay.

President Ulysses S. Grant foiled a gold scam.

In all likelihood, it would be much easier to just stumble upon some clever scam to line your pockets. Or so it would seem.

As many aspiring scam artists quickly learn, when a business scam fails, it tends to fail in rather grand fashion. Just ask any of these four teams of not-so-smooth operators.

A corny sea story

Xenothemis and Hegestratos may not have been the world's first white-collar criminals, but they were certainly noteworthy for their incompetence. In 360 B.C., the pair stumbled upon what seemed like a killer plan to make some quick cash. Shipping was extremely risky at the time, and boats went down at sea with alarming frequency.

To exploit this uncertainty, Xenothemis and Hegestratos devised a plan in which they would receive a cash advance to ship a load of corn from Syracuse to Athens. Due to the dangers associated with shipping, the buyer would take on full risk if the shipment didn't make it to Athens, so if the boat sank Xenothemis and Hegestratos could keep their cash.

Instead of loading the ship with expensive corn, the conniving pair made a plan to sail an empty ship out to sea for a few days, then sink it and escape in lifeboats. Since the boat itself was insured, this plot seemed airtight, and the potential profit was great.

Unfortunately, though, the boat's other passengers allegedly caught wind of the scheme during the attempting scuttling of the ship. These passengers were understandably a bit peeved at Hegestratos' attempts to drown them for his own financial gain. Hegestratos panicked and jumped overboard, at which point he drowned.

Unable to sink the ship by himself, Xenothemis had to sail on to the port, at which point the buyer, Protos, wanted to know why his shipload of corn was empty. A legal battle followed, and although the verdict has been lost by history, it's safe to say that the late Hegestratos regretted the scam.

When Friday went black

Despite his prowess as a general, Ulysses S. Grant's presidency didn't go so smoothly. Ones of its most notable scandals occurred in 1869, when a group of speculators upended the U.S gold market.

The plan started when financier James Fisk and robber baron Jay Gould formed a group of speculators with the goal of cornering the gold market, which would give the group the ability to manipulate the price.

Of course, one can only corner the market if there's a fixed quantity of gold available. Otherwise, the government could just sell large quantities of gold, and the cornering effort would be an expensive failure. In an effort to avoid this fate, Gould and Fisk brought President Grant's brother-in-law Abel Corbin into their fold.

Using Corbin's influence to get an audience with the President, the pair would argue to Grant that selling gold was a terrible idea that the government should avoid at all costs. The wily pair also used their influence at the White House to secure a position as assistant treasurer of the United States for Daniel Butterfield, who would warn them if the government started to sell gold.

With their connections in place, Fisk and Gould started buying up gold in September 1869, quickly driving the price of gold up by around 30 percent.

Once Grant and his advisors got wise to the situation, though, the government quickly sold off $4 million in gold to break the corner, effectively killing the inflated prices on September 24.

As investors scrambled to get rid of their overpriced gold, the price plummeted sharply, and many involved in the scam lost huge amounts of money. Fisk and Gould managed to avoid big losses due to their connections in the treasury, but what would be known as Black Friday didn't earn them a huge windfall -- and significantly harmed the American economy.

Bad moves

If you've ever hired movers, you know it can be pretty pricey. Erik Deri, the founder of Woodinville, Washington-based Nationwide Moving Systems, understood that most movers were expensive, so he drummed up business by offering super-cheap quotes to frugal clients. The customers were ecstatic to find a mover who could get their belongings to a new home so cheaply.

That is, until the price went up. Deri's movers would load the company's vans with all of a customer's worldly belongings, then a foreman would inform the client that they'd have to pay an inflated price to actually get their stuff to their new digs.

The price hikes weren't small, either; one man's estimate stated he could move for $3,000 but was later revised to $16,000 after loading. According to authorities, if customers balked at these demands, the movers would threaten to unload their boxes and furniture into the street...and then charge them an unloading fee.

If things got really sticky, Nationwide's trucks could just take off with all of the clients' possessions. Deri supposedly paid cash bonuses to employees who successfully strong-armed customers into forking over the premiums.

In the end, though, Deri learned that you can't scam that many customers and hope to get away with it. In 2005 he was found guilty of 27 counts of extortion and one count of conspiracy to commit wire fraud and extortion. Three of his accomplices were also convicted in connection with the moving racket. Deri was sentenced to seven years in prison, after which he'll face deportation to his native Israel.

Fools for gold

Bre-X Minerals Ltd. was a small Canadian mining company that made a big announcement in 1995. Geologists had discovered gold on a site Bre-X owned near Busang, Indonesia. Not just a little gold, either -- at least 30 million ounces, possibly as much as 200 million ounces. Given the high prices of gold, such a deposit would have been worth tens of billions of dollars. Bre-X's stock price shot through the roof; shares went from being valued at a few cents to over $280 Canadian.

In fact, the deposit seemed so rich and so large that a small company like Bre-X could not possibly handle it all without some help. In 1997, the Indonesian government convinced Bre-X to take on an American firm as a partner to help extract the gold.

When this firm, Freeport-McMoRan, started sampling the soil at the deposit site as part of its due diligence, it reached a confusing conclusion: there wasn't any gold in the soil. Subsequent examinations by independent auditors reached the same conclusion. The "natural" gold that in the original samples Bre-X had taken was mostly river gold from other regions or shavings off of gold jewelry.

Although the company's market cap had climbed to $4.4 billion, this report quickly destroyed Bre-X's value. Share prices dropped 97 percent in a day following the announcement, the company was soon removed from the Toronto Stock Exchange and Nasdaq, and Bre-X quickly went bankrupt. Amazingly, no one ended up in jail from this scam, but you should still probably be wary if anyone offers to sell you an enormous gold mine on Borneo.

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

When a business scam fails, it tends to fail in rather grand fashion

@highlight

360 B.C. scam: Sink ship and collect insurance on goods

@highlight

President Grant foiled a gold speculation scam

@highlight

Moving company founder goes to prison for bait-and-switch pricing