Gaza (CNN) -- Israel late Saturday authorized an extension of the humanitarian cease-fire in Gaza for another 24 hours at the request of the United Nations, Israeli officials told CNN.

But Hamas rejected a cease-fire extension, Hamas spokesman Sami Abu Zuhri said.

"Any humanitarian cease-fire that does not include the withdrawal of the occupation soldiers from Gaza borders and allowing citizens to return to their homes and evacuate casualties is unacceptable," he said.

Prior to Hamas' rejection, chief Palestinian negotiator Saeb Erakat also expressed concerns about occupation.

"I'm very, very worried," Erakat told CNN. "We are witnessing the gradual reoccupation of Gaza."

The developments came as a tenuous cease-fire both parties agreed to earlier appeared to be shattered, with at least eight militant rockets again hurtling toward Israel as diplomats pushed for a longer truce in a conflict that has killed more than 1,000 people -- mostly civilians.

The Israeli Security Cabinet late Saturday agreed to extend the cease-fire, starting at 5 p.m. ET, on the condition that Israel Defense Forces continues dismantling and destroying militant tunnels from Gaza into Israel, according to senior Israeli officials.

Lt. Col Peter Lerner, an IDF spokesman, told CNN that dozens of tunnels provided militants "easy infiltration" to carry out attacks against Israelis.

"We will do what it takes in order to stop this threat," he said. "We have to take this threat off of the table."

Senior Israeli officials said IDF would "act against any violations of the cease-fire" during this period. The Cabinet was to reconvene Sunday to discuss the continuation of the military operation, the officials said.

Israel had earlier agreed to extend the truce for four hours, but Hamas spokesman Abu Zuhri said there would be no extension.

The original cease-fire started at 8 a.m. Saturday (1 a.m. ET). The temporary truce enabled Palestinians to move medical supplies into Gaza, families to emerge from shelters and people to dig the dead from piles of rubble.

The prospect of an extension faded quickly as the IDF accused militants of exploiting the humanitarian window by firing at Israel for the second time, with three rockets hitting the Sha'ar HaNegev regional council.

Earlier Saturday, moments after the cease-fire officially ended, another three mortars were fired from Gaza and hit Israel in the Eshkol regional council. No casualties or damage were reported.

At about 4 p.m. ET, IDF said four rockets had been fired in the last hour: two were intercepted above Ashkelon, one was intercepted above the Shfela region and another came down in the Hof Ashkelon regional council.

Residents back in harm's way?

The IDF said many Gaza residents were returning to previously evacuated areas despite repeated warnings, placing themselves at risk. It said operations against the tunnel threat continued and defensive positions were being maintained.

Israeli government officials told CNN that the United Nations has asked for a 24-hour humanitarian cease-fire extension.

"We owe to the people of both Israel and Gaza our renewed effort to consolidate this pause in fighting into a more sustainable ceasefire," U.N. Secretary General Ban Ki-moon said in statement, reiterating his call for seven-day humanitarian cease-fire.

Palestinians found more than 100 bodies in areas that have been too dangerous to enter in recent days because of Israeli bombardment, Dr. Ashraf al-Qedra from the Gaza Ministry of Health told CNN.

Nearly 1,050 Palestinians have been killed and about 6,000 wounded since the start of an Israeli operation, al-Qedra said.

The IDF reported that two Israeli soldiers wounded in Gaza in the past week died on Saturday, bringing to 42 the number of Israeli troops killed in the current operation.

The possibility of a longer truce seems to have passed, according to comments from the Hamas camp.

"There won't been any talks about extending the cease-fire as long as there aren't talks about breaking the siege," said Israa Al-Mudalal of the Gaza Ministry of Foreign Affairs.

She accused Israel of "escalating the situation" in the so-called buffer zone and of not letting medical workers remove bodies in certain areas.

"We can't stop the firing (of rockets) until we have a real solution to this problem," she said. "There will be no peace as long as the siege continues."

Two senior Hamas officials, Izzat Risheq and Jamal Nazal, told CNN that the truce negotiations were tense and difficult.

In Paris on Saturday, U.S. Secretary of State John Kerry and other diplomats pushed for an extended truce. He met with Turkish Foreign Minister Ahmet Davutoglu.

The passions of the conflict, meanwhile, echoed across the world.

About 40 protesters were arrested in Paris on Saturday when a banned pro-Palestinian demonstration turned violent, authorities said.

Police brandished shields as they faced off with protesters in a cloud of tear gas at Place de la RÃ©publique, a busy pedestrian square in central Paris. Angry protesters hurled glass shards and rocks at police, set a small fire and smashed a bus shelter.

'There is no Eid'

A CNN team visiting the hardest-hit areas in northern Gaza where many of the newly-discovered bodies were discovered saw entire blocks of buildings reduced to rubble.

"I wish this cease-fire had never happened," one man in Beit Hanoun told CNN, "And I would have never found out my home is destroyed."

Another woman in Beit Hanoun meets a neighbor as she navigates her way through mounds of rubble and metal. "Did you see my home?"

"It's gone. Nothing is left," the neighbor responds.

Families took advantage of the cease-fire to stock up on provisions.

"There are more people in the streets," said a mother of five in Khan Younis, who did not want to be named. "People who were afraid before, go out now out of necessity. People with sick kids go to the hospital today. Buy Pampers today. Buy food today. I went to get bread for my family today."

She added, "When my husband goes to the mosque to pray, I pray that he comes back. ... If someone killed a cat in America, people make a bigger deal about it than children dying in Gaza."

As the Muslim world prepared to celebrate the Eid holiday in two days, Gaza residents buried the dead.

"There is no Eid," the woman in Khan Younis said. "In the Gaza Strip, it would be absurd for anyone to bake cookies."

Israel Defense Forces have accused militants of hiding weapons in shelters and schools and firing rockets at civilians. The IDF said it will keep working to "locate and neutralize tunnels" being used by militants during the cease-fire and will respond with force if militants target Israeli civilians or soldiers.

Doctor: 'We are preparing ourselves for death'

The bloodshed is pushing hospitals in Gaza to the limit. At South Gaza's European Hospital, the flood of bloodied children and adults has overwhelmed doctors.

"We sometimes work 20 hours continuous," Dr. Jamal Abu Hilal said.

Doctors here say they're sick of stitching up bodies mutilated by shrapnel.

"We feel exhausted. We feel anxious. We feel depressed," Hilal's colleague Dr. Shadi said.

In one room, surgeons worked on a child mangled by shrapnel. The rest of the boy's family was killed.

"Not even one square meter is safe in Gaza strip," Dr. Hassen al-Masri said.

He, too, is afraid of dying in the conflict. The doctor carries his identification papers with him all the time, even while treating patients -- just in case.

"We are preparing ourselves for death."

Casualties mount in West Bank

The violence has also expanded to the West Bank. At least four Palestinians were killed in outbreaks of violence in several parts of the West Bank, according to medical sources.

A 23-year-old man was shot near Huwara village outside Nablus by Jewish settlers, a doctor at the Rafidia Hospital said. The circumstances of his death are unclear, but it led to clashes between protesters and the Israeli military in which another man was killed, medical sources said.

Two more men were killed during clashes with Israeli troops at a checkpoint north of Hebron in Beir Ummar in the West Bank, according to Palestinian medical sources.

The violent protests came after the U.N. shelter in Gaza was hit, killing 16 people and wounding a couple hundred more -- most of them women and children.

Video from the school showed chaos amid pools of blood. There were so many victims than many gurneys included two wounded children.

The bloodshed left the U.N. Secretary-General exasperated.

"I am telling to the parties -- both Israelis and Hamas, Palestinians -- that it is morally wrong to kill your own people," Ban said. The "whole world has been watching, is watching with great concern. You must stop fighting and enter into dialogue."

Americans fighting for Israel

Is Hamas using human shields in Gaza?

What is Hamas' endgame in Gaza?

What is Israel's endgame in Gaza?

Map: Tension felt around the world

U.S. ends ban on flights in Ben Gurion

CNN's Karl Penhaul reported from Gaza; Ray Sanchez wrote from New York and Chelsea J. Carter reported and wrote from Atlanta. CNN's Yousuf Basil, Salma Abdelaziz, Ben Wedeman, Elise Labott, Richard Roth, Ian Lee,Tal Heinrich, Tim Lister and Samira Said contributed to this report.

@highlight

NEW: Hamas: A cease-fire that doesn't include troop withdrawal is unacceptable

@highlight

Israel authorizes extension of cease-fire for 24 more hours

@highlight

More 1,000 Palestinians have been killed, at least 40 Israeli soldiers have died

@highlight

More than 100 bodies found in Gaza areas too dangerous to enter in recent days