(CNN)I did not know Kayla Mueller, the American aid worker and ISIS hostage whose death was confirmed by her family this week. But like many people who read her letter to her family, I wish I had. And in some ways I feel I have.

In my two decades working in the humanitarian field responding to conflict, I have met some incredibly brave individuals who poured themselves into the work they did to build up the societies in which they were working. But at the same time, I have watched our ability to enter into places of need begin to disappear.

One by one I have seen cities I love crumble. Daily life becomes intolerable. But the most painful thing has been watching our physical space and mobile access to do humanitarian and conflict mitigation shrink. Long gone are the days when the Red Cross, a press badge or the U.N. flag were perceived as neutral.

The targeting of aid workers is not new. And it is not limited to the Middle East or ISIS strongholds -- it first came to international attention in Somalia in the late 1990s, and became of true global note in the early 2000s in Iraq and Afghanistan as the blurred lines between civilian, military, aid workers, journalists, security actors and intelligence created a justification for extremist and terror groups to pursue anyone.

In other words, we cannot find our way in. When we do, we are seen as one of the aggressors or potential spies. We are seen as a commodity to embarrass Western countries by exploiting the media to shape public opinion. We are, in short, targets.

Despite growing attention over the problem, little has been done to change this reality. Instead, the response has been that the decades-long practice of civil society groups not having weapons on their premises or traveling in armored vehicles was reversed. More and more, civilian and military cooperation has been the only way to enter conflict zones, and security is now a necessary component to most organizations' budgets.

I do not know an aid worker, a war reporter or a conflict mediator who has not lost a friend in the past decade. Mueller's death reminds many of us of those selfless individuals we've encountered who worked, and were killed, while carrying out their humanitarian missions. I often remember my dear friend Margaret Hassan, a woman I worked closely with in Baghdad in 2003, who was kidnapped and killed in 2004.

When I remember Fern Holland and Salwa Oumashi, dear friends of mine who shared my passion for women's rights in the southern governorates of Iraq, I don't remember the gunmen that killed them. When I think of Fern and Salwa, I remember women who were so courageous that they took on the Sadrists to create women's centers in southern Iraq.  And I remember Marla Ruzicka, who traveled in and out of Afghanistan and Iraq to advocate for innocent victims of conflict.

As I meet with the families of those who have been lost, I also experience a deep sadness, and survivor's guilt that I should have done more, too. When I spoke with Fern Holland's sister after she was brutally killed in Iraq, I was sure she would have anger in her heart and be seeking to have someone to blame. I could not have been further from the truth. Instead, she had lots of questions, all centered on wanting to support and know the women Fern believed so passionately in.

Kayla Mueller lived my worst fear. Over and over, from Afghanistan to Iraq to Libya, my colleagues and I have agreed that death was far better than being kidnapped. We've even discussed how we might get cyanide pills. We were ready to sacrifice our lives. Yet it was unbearable to think of making a choice that would affect our loved ones.

Those who work in conflict know very well what other people call us. Some call us emergency junkies. Some say we are ambulance chasers. Some say we have such meaningless lives, that we seek meaning through this work. We have savior complexes. Perhaps there is truth in these labels. But the one thing I have in common with all my friends who work in conflict areas is idealism. We believe in the power of one individual to make change.

I did not know Kayla. I do not know her family. But I hope that her family is hearing the same message I shared with Fern Holland's sister. With the friends and family of Marla Ruzicka and Margaret Hassan. I hope they know beyond a shadow of a doubt she was loved by the people she served. That in addition to the entire global community, the vast majority of Palestinians and Syrians are mourning her death as one of their own.

Most importantly, I hope the world knows none of those labels I mentioned describe her. She was not a naive idealist. She was part of a greater change and a rise in collective consciousness that will eventually lead to a global shift toward a better world. She will be remembered by those to which she fought to give a voice. She is an inspiration for many of us to continue our work -- to fight for access and demand for humanitarian space and conflict resolution.

She is a true heroine.

@highlight

American aid worker and ISIS hostage Kayla Mueller was reported killed

@highlight

Manal Omar: The targeting of aid workers is not new