(CNN) -- A hundred years ago on this day, on August 8th, 1914, the British HMS Asteria and Pegasus protected cruisers bombed Dar-es-Salaam, then the capital of German East Africa, bringing the European so-called "war to end all wars" to the eastern African shores. The day before, Anglo-French forces constituted of Ghanaian, Nigerian, Sierra Leonean, Gambian and Beninese troops had invaded German Togoland in West Africa.

Among World War I campaigns, the East African one was the longest of all: as the armistice was being signed in Europe on November, 11th 1918, the last of the German forces were still fighting their British counterparts. Indeed the general who led them only surrendered two weeks later, on November, 25th 1918.

But who knows any of this, whether in America, in Europe or indeed in Africa? As the world commemorates the Centenary of the Great War, the African side of this story remains a footnote, despite huge losses of human lives and major consequences for the future of the African continent.

The East Africa campaign was the opposite of the European war of trenches: it was about mobility, short raids and long treks on foot. The German Schutztruppe, white German commanders and black African soldiers called askaris, never exceeded 25,000 men. The British however assembled 150,000 troops: South Africans and Indians at first, joined by Kenyans and Nigerians later on.

But none of these soldiers would ever have survived, let alone be able to fight, without the unmentioned exploitation of porters. For every one soldier, German and British troops used four "native carriers," including women and children, who howled food supplies, arms and even artillery; cooked, scrubbed and tended to their needs; and died of exhaustion, malnutrition and disease. Of the 105,000 deaths among British forces during the East Africa campaign, 90% were porters. 45,000 among the dead were from British East Africa (Kenya) alone.

Read this: African writers you should be reading

General Paul von Lettow-Vorbeck, the German commander, is often lauded for his military genius, outwitting the British during four years with barely a fifth of their numbers. Some of the tales written are nothing short of David vs. Goliath. But von Lettow-Vorbeck had been ordered not to engage by Berlin. As far as I am concerned, his actions would be better described as a war-mongering megalomaniac effort by a military commander responsible for the callous deaths of 300,000 porters, the looting of hundreds of villages and the devastation of years of crops. If the death toll had been of German lives, would he have been as celebrated in the scrolls of History?

It is unclear that askaris actually volunteered to be part of the Schutztruppe, considering just a decade earlier, in 1905, the Germans had violently suppressed one of the largest uprisings against colonial rule on the African continent, the Maji Maji rebellion. That same year, Germans carried out the first genocide of the century against the Herero in German South West Africa (Namibia). Terror, subjugation and inhumane practice ruled in the German colonies, and this is how it should be remembered.

All told, two million African soldiers, workers and porters were directly involved in World War I. Though never fully acknowledged, Europe's Great war was a war of colonials and a colonial theater of war. As I reflect on this day, a public holiday (Nane Nane) for farmers in Tanzania, I remember a hundred years ago 750,000 square miles of land was inundated and destroyed, I remember the farmers who were forcefully dragged into this as porters. I remember Africans who fought other Africans for reasons unknown to them.

The erasure of Africa's involvement in World War I, including the ongoing centenary commemorations, painstakingly reminds us that, once again, it is for us to make sure history is told in full. My commitment to The World War I in Africa Project finds its roots in this necessity: history should be unearthed and a critical lens applied, especially by us Africans.

What happened in Africa should not stay in Africa.

Read this: African writers you should be reading

More from African Voices

The opinions expressed in this commentary are solely those of Kathleen Bomani.

@highlight

As world commemorates the WW1 Centenary, the African story remains a footnote

@highlight

WW1 resulted in huge losses of African lives, had consequences for continent's future

@highlight

Two million African soldiers, workers and porters were directly involved in World War I