London (CNN) -- For months, the West has struggled to take a strong stand against Russia for its incursion into Ukraine.

And while Europe's leaders are acutely aware of the threat to peace on their Eastern flank, the countries with the most at stake have, time after time, seemed unable to present a united and resolute front.

But the downing of Malaysia Airlines Flight 17 has become a game changer -- a watershed moment which most concede would be too dangerous to let go.

And now, as Europe prepares to finally take decisive steps, its chiefs will have to recognize that, if they are to be effective, they will also have to hurt their economies.

As a block, the European Union exports about 100 billion euros worth of goods and services to Russia and takes in roughly 200 billion euros of the latter's imports.

That is money that matters, for sure, but it's not Russia's role as a consumer that would affect Europe most. Rather, it's Russia's function as a major supplier of energy.

Should Russia cut its gas to the West in response, the loss in European production would more damaging than the hit its trade balance would take.

Just as the region is trying its best to revive a stagnant economy, attempting to mend a fragile debt market and tackle high unemployment, alienating a major trading partner next door is a risk Europe's ministers are understandably loath to take.

And some countries have more to lose than others.

With its billion dollar contracts for Mistral warships -- a deal which keeps some 1,000 Frenchmen and women employed in a country with a 10% unemployment rate -- France is Europe's largest supplier of arms to Russia.

The UK also provides more minor military hardware and sells cars to Russia. With its own gas fields in the North Sea and the potential in future years to harness its shale oil, the UK does have other energy options.

However if the EU hits Russian state-owned banks, London's financial center would suffer while its luxurious residences in the capital would also become less appealing to the swathe of oligarchs who have relocated to Britain of late.

For Germany, curtailed trade with Russia could really bite. And considering as the former is Europe's biggest economy the implications would be felt well beyond its borders.

More than 6,000 German firms operate in Russia, pouring in billions of dollars in foreign direct investment. Some 300,000 German workers depend on their country's trade with Russia for their livelihoods.

Sectors like the automotive industry, defense and engineering which have haemorrhaged jobs since the 2008 crisis would be hit hard once again.

So, are such sanctions really worth it and would they work?

To answer this question it depends on what Europe hopes to achieve.

Russia's economy was already headed for a recession before Europe and the U.S. started talking tough.

Some $90 billion of capital is likely to flee its markets this year, according to the conservative estimates of Russia's central bank which was forced to pull a recent bond auction due to unfavorable market conditions.

By tightening the noose over Russia's banks, Europe hopes not only to turn the country's key industrialists away from president Putin but also to limit the Kremlin's ability to fund its banks on the international markets, meaning Russia would have to dig deep into its currency reserves and undermine the value of the Ruble -- a currency which has up until now been surprisingly unruffled.

In the longer term -- say in three to five years-- bans on equipment and so-called sensitive technologies to the energy sector could hamper Russian plans to further exploit its massive oil and gas reserves.

Presumably the EU hopes that for everyone's sake the crisis surrounding Ukraine will be solved by then.

But in the meantime, if the EU intends to send the strong message it needs, its leaders must reconcile their wish to make a point with the potential to lose a few points off of their GDP.

READ MORE: Nun, athlete, family: Those killed on MH17

READ MORE: Flight attendants keep flying

WATCH MORE: Who were the victims of MH17?

@highlight

The West has struggled to show a united front against Russia with sanctions

@highlight

The downing of MH17 is a turning point, as European leaders prepare decisive steps

@highlight

But they must be prepared to hurt their own economies to punish Russia