San Francisco, California (CNN)  -- As all people of conscience will agree, human trafficking and child exploitation are utterly despicable and horrendous crimes.

In contrast with the epidemic numbers often cited for the nation as a whole, the incidence of such crimes is low and getting lower on Craigslist because of the comprehensive preventive measures we have taken. Some experts now liken the relative rarity on Craigslist to "looking for a needle in a haystack."

Nevertheless, any misuse of our site whatsoever in facilitating such unspeakable crimes is unacceptable, and we will continue to work tirelessly, in tandem with law enforcement and key nonprofits, to ensure that any victims receive the assistance they desperately need and deserve, and that those responsible are imprisoned.

We believe Craigslist is one of the few bright spots and success stories in the fight against these terrible scourges. We've been told as much by experts on the front lines of this fight, many of whom we have met with, and many of whom have shared helpful suggestions that we have incorporated in our approach. Even politicians looking to advance their careers at the expense of Craigslist's good name grudgingly admit, when pressed, that we have made huge strides, and that Craigslist is virtually alone among advertising venues in vigorously combating these problems.

Indeed, to our knowledge, only Craigslist, out of countless venues, takes any of the following measures, let alone all  of them:

• Educating and encouraging users to report trafficking and exploitation

• Prominently featuring anti-trafficking and exploitation resources

• Creating specialized search interfaces for law enforcement

• Providing support for law enforcement anti-crime sweeps and stings

• Actively participating in the National Center for Missing and Exploited Children's cyber-tipline program

• Leading all awareness efforts for the National Trafficking Hotline

• Meeting regularly with experts at nonprofits and in law enforcement

• Manually reviewing every adult service ad before posting

• Requiring phone verification for every adult service ad

• Implementing the PICS content labeling system.

Last year, we began manual screening of each adult services ad before its posting, and those unwilling to conform to Craigslist's standards left in droves for the many venues that do not screen ads. This migration is a matter of public record.

You do not hear about arrests connected to the vast majority of adult services advertising because the venues hosting those ads do not cooperate with law enforcement, do not urge their users to be on the lookout for and report suspected trafficking and exploitation, do not participate in reporting programs, do not consult regularly with experts and advocacy groups, and in fact do not take any of the preventive measures we have taken.

Looking on the bright side, the potential for progress would be enormous if all such venues would adopt the  practices that Craigslist has established.

We are aware that some have called for "shutting down" the adult services section of Craigslist. Fortunately, most concerned parties seem to realize that declassifying adult services ads back into Craigslist personals, services, and other categories, and offsite to venues that have no interest in combating trafficking and exploitation or in assisting law enforcement, would simply undo all the progress we have made, undermine our primary mission of evolving Craigslist community sites according to user feedback, set back the efforts of our partners in law enforcement and exacerbate the very societal epidemic we all seek to end.

Read an alternate view accusing Craigslist of publishing such ads

In serving our users and the general public as best we can, Craigslist has to balance an immense amount of passionate and often conflicting feedback, and at the end of the day do what our consciences tell us is right.

Certainly the adult services arena has exemplified this. Passionately held opinions on the part of respected experts and well-intentioned citizens range from insistence that all aspects of the "adult industry" must be legalized and regulated in order to make further progress against trafficking and child exploitation, to those equally insistent that the entire industry must be further criminalized and marginalized for such progress to be made.

Fortunately, there is a lot of common ground among all concerned parties, regardless of ideology, and we are focused on making further progress by continuing to seek and incorporate the collective wisdom of the many who have generously shared their ideas and advice about these complex issues.

As a community site facilitating billions of human interactions among more than 50 million Americans each month, we face many of the same difficult social problems that have faced communities throughout the ages, and all the support, advice and encouragement we have received from so many is sincerely appreciated.

The opinions expressed in this commentary are solely those of Jim Buckmaster.

@highlight

Craigslist CEO says site uses comprehensive preventive measures to bar child sex ads

@highlight

Jim Buckmaster: Site works with nonprofits, law enforcement to make sure victims get aid

@highlight

Buckmaster says his site is virtually the only ad venue that vigorously combats this crime

@highlight

He writes that measures have driven criminals away from Craigslist to permissive sites