Dublin (CNN) -- The day of the Gen. McChrystal mea culpa last week, an Afghan friend of mine, whom we can call Osman, drove from Kandahar city to his native village. A group of Taliban stopped the car and demanded to search Osman and his companions.

This search has become a fact of life since the movement re-established its control over villages in Panjwai, a district in Kandahar province. The head of the armed group was the 20-year-old son of Osman's tenant farmer. Not far below a superficial politeness, the young Talib fighter deliberately humiliated someone who, according to Kandahari norms, was his senior.

New-generation fighters like the tenant tend to be from the poorer families in their tribes, have little education, have no property and have never held a paying job. The Kalashnikov and motorcycle that come with being a Taliban commander and the moral authority of claiming to be waging a jihad have empowered these tribal outsiders. Ironically, a decade ago, Osman was a senior leader in the original Taliban movement and commanded hundreds of such young men.

One of the main themes of the counterinsurgency (COIN) strategy is a "population focus." A district like the one where Osman lives is today densely populated, unlike during the Soviet occupation. It sits astride a national highway and is a gateway to Kandahar. It is therefore prioritized as "key terrain." According to the "shape-clear-hold-build" COIN mantra, NATO is supposed to expel insurgents from Osman's district and 59 other priority areas.

It is supposed to help install Afghan civil administration and security forces and leave them to maintain security and practically assist the population. To make this possible, Afghan security force numbers are to be raised to 400,000 and Afghan government legitimacy, responsiveness and accountability are to be boosted.

Unfortunately, none of this is going to happen by 2011. Success requires more time and political action than backers have been prepared to contemplate. Osman's encounter with his tenant Taliban gives a clue to the steady supply of insurgent fighters and commanders. Insurgency has become their social niche. Taliban fighters keep on popping up, making good their losses and adapting to the International Security Assistance Force campaign.

More global perspectives, images, videos and the latest news at the Afghanistan Crossroads blog

In the face of a resilient insurgency, U.S. and Afghan timelines do not match. The U.S. will review progress against its strategy in late 2010. But at the end of the year, Afghanistan will look pretty much the same as last year, before the surge.

The challenge in dealing with the Afghan government is to encourage the good and forbid the evil. But current strategy contains no silver bullets for delivering a government that the population might consider trustworthy or legitimate.

Increased awareness of the problems with a "kleptocratic" government has not translated into effective measures to clean it up. Moreover, the insurgency is now self-sustaining. Enough protection money leaks from transport, security and construction contracts to finance thousands of the kind of group that stopped Osman. Meanwhile, the U.S. has also found it very difficult to support the government in a way that delivers resources and backup to administrators and officers on the ground.

Another challenge, which is more political than military, is that the insurgents are still able to exploit Pakistan as a haven. Groups like the one that stopped Osman alternate between the battlefield and the haven in Pakistani Baluchistan, only eight hours away.

What can be done? The first challenge is to get the Afghan leadership and the international allies onto the same script. For example, the Afghan leadership insists on holding parliamentary elections in September, even though everyone else knows they would be disastrous for the counterinsurgency objective of boosting government legitimacy.

An election held in conditions in which half of the polling station locations are too dangerous for candidate agents, and indeed voters, to visit is likely to lead to another round of rigging and disputes, undermining the credibility of the parliament. This is the kind of disconnect that needs to be overcome.

Likewise, reconciliation with the amenable parts of the insurgency will have to be elevated from the status of show or strategic afterthought to become a serious part of the strategy. The strategy will also require some bright new ideas for getting Pakistan on board.

A more realistic strategy would have the work of securing much of the key terrain eventually fall to the Afghan National Security Forces. Before the phased hand-over, NATO will secure main cities but probably only a handful of the current prioritized districts.

If the U.S. leadership decides to stay engaged, there will have to be a switch to a longer-term post-surge support strategy with more modest objectives, such as securing the cities and main highways rather than all population centers.

Renewed U.S. commitment will generate opportunities to convince some of the insurgent leadership that they have no prospect of toppling the Kabul government and might as well strike a deal. In the best of all possible counterinsurgency worlds, the Taliban leadership would abandon al Qaeda and declare its armed jihad over.

However, there is little prospect of anyone signing up to such a deal as long as thousands of fighters expect to ride out a time-limited surge, flitting between Panjwai and Baluchistan.

The opinions expressed in this commentary are solely those of Michael Semple.

@highlight

Michael Semple says new crop of Afghan Taliban made bold by guns, jihad authority

@highlight

Forces face this constant supply of fighters, he says, as well as kleptocratic government

@highlight

He says COIN goals of forming government and security forces won't be reached by 2011

@highlight

Semple: Making common cause with reasonable parts of insurgency key to success