(CNN) -- A 24-year-old who was stabbed to death in South Africa is the victim of "corrective rape," gay rights activists said Thursday, a crime where men attack lesbians in an attempt to reverse their sexual orientation.

Noxolo Nogwaza was attacked late last month after dropping off her girlfriend in Kwa-Thema township near Johannesburg.

She was raped, stabbed with broken glass several times and her face pummelled with rocks, Human Rights Watch said.

"A beer bottle, a large rock and used condoms were found on and near her body," the rights group said.

Earlier this week, the nation's Justice Ministry set up a task force to address hate crimes against lesbian, gay, bisexual and transgender South Africans.

The task team was set up after activists worldwide signed an online petition demanding the South African government act to halt the attacks. The call to petition intensified after Nogwaza's killing.

Police in Gauteng province, where the township is located, said they have not found any evidence of a hate crime and an investigation is under way.

But some gay rights activists disagree.

"Her attack is a case of corrective rape," said gay rights activist Lydia Kunu. "Neighbors said they heard her attackers telling her, 'We will take the lesbian out of you. ' They were mocking her and asking her why she acts like a man."

Kunu is a community networking organizer for Ekurhuleni Pride Organizing Committee, where Nogwaza worked as well.

The death has sparked renewed calls for action as rights groups warn of escalated homophobic attacks.

"In these cases, killing is the end of the spectrum," said Siphokazi Mthathi, the South Africa director for Human Rights Watch. "It follows a trail of other problems -- rape, violence, problem accessing health care and violation by police."

Mthathi said it is hard to get an overall number of the people subjected to violence because attacks go unreported over the distrust for the judicial system.

"There's a great deal of under-representation because they are going to face secondary victimization," she said. "We've heard of cases where when they report a rape, the police tell them, 'aren't you happy that you got a real man for a change.'"

The use of the term "corrective rape" started three years ago after the rape and murder of Eudy Simelane, a well-known soccer player who lived openly as a lesbian.

Nogwaza's attack is similar to the soccer player's in some ways: police say they were both raped and stabbed to death. And just like Nogwaza, Simelane's body was dumped in a public place in the same township .

Two men were found guilty in the soccer star's death and sentenced to prison terms, but the judges quashed any motions linking her attack to her sexual orientation.

"Nogwaza's death is the latest in a long series of sadistic crimes against lesbians, gay men, and transgender people in South Africa," said Dipika Nath, researcher in the lesbian, gay, bisexual and transgender rights program at Human Rights Watch.

"Police and other South African officials fail to acknowledge that members of the LGBT community are raped, beaten and killed simply because of how they look or identify, and they are attacked by men who then walk freely, boasting of their exploits," said Nath.

A police spokesman slammed the accusations, and said authorities are working to ensure safety for all.

"It is our responsibility to provide safety, and we take that job seriously," said Col. Tshisikhawe Ndou, the provincial spokesman for Gauteng.

The spokesman said there have been no arrests in Nogwaza's killing, but investigations are under way.

"We're following some leads, and in this specific case, we'd like to ask anyone with information to contact the police," he said. "They can even do so anonymously if they are scared."

Outspoken gay rights activists have faced harassment and attacks in the nation, Human Rights Watch said.

Homosexuality is illegal in most African countries, based on rules left over from the British colonial era when sodomy laws were introduced.

However, the post-apartheid constitution bans prejudice against gays in South Africa, the first African nation to prohibit discrimination based on sexual orientation.

Despite the law, attacks based on sexual orientation are still going on, rights groups said.

The new task force is scheduled to start working in July. It will address issues such as whether police and social workers should undergo sensitivity training, and whether rapists who target sexual minorities should get harsher sentences.

Mthathi said having the anti-prejudicial constitution in place is an indicator that the task force alone won't resolve underlying problems.

"South Africa is a very misogynist and homophobic society," she said. "We welcome the task team, but it won't solve social problems. We need to address the culture of accountability in judicial and social institutions, we need to address the attitudes ... disrupt the culture of impunity."

@highlight

She is attacked after dropping off her girlfriend in a township near Johannesburg

@highlight

She is raped, stabbed with broken glass several times and hit with rocks, group says

@highlight

South Africa sets up a task force to address hate crimes