Washington (CNN) -- One of the most divisive issues in politics is set to take center stage in Congress on Thursday as the House of Representatives votes on a measure banning abortions based on the sex of a fetus.

Supporters characterize the proposal as a necessary defense of the civil rights of unborn children; opponents consider it part of a broader so-called "war on women" and an ongoing assault on legalized abortion.

The Prenatal Nondiscrimination Act would impose possible fines and prison sentences up to five years on doctors who knowingly perform abortions chosen on grounds based on sex.

Abortion providers could also be subject to civil penalties, including punitive monetary damages, under certain circumstances.

Gallup poll: 'Pro-choice' at a record low

There is "evidence that the practice of sex selection abortion is demonstrably increasing here in the United States, especially but not exclusively in the Asian immigrant community," Arizona Republican Rep. Trent Franks, the bill's main sponsor, said Wednesday on the House floor.

"I refuse to believe that we cannot find enough humanity in this body to conclude together that it is wrong to knowingly kill unborn children because they are baby girls instead of baby boys."

It is "hypocrisy to say that one is pro-woman and that it's OK to end the life of an unborn child just because of its gender," argued Rep. Marsha Blackburn, R-Tennessee. "Since when did America subscribe to the idea that males are worth more than females? ... It's sick, it's discriminatory, it's sexist and it is blatantly anti-woman and anti-human."

Women's rights: Nuns' fight with Vatican highlights Catholicism's global struggle

Rep. Chris Smith, R-New Jersey, declared, "Today the three most dangerous words in China and India are: It's a girl. We can't let that happen here."

Supporters of the measure cited multiple studies to back claims of a growing pattern of abortions based on the sex of the fetus. Opponents, however, took issue with certain interpretations of the studies and warned of negative ramifications for women's health if the bill becomes law.

Michigan Rep. John Conyers, the top Democrat on the House Judiciary Committee, said the bill "tramples (on) the rights of women under the guise of nondiscrimination, while doing absolutely nothing to provide women with needed resources for their babies, female and male."

Citing opposition to the bill from groups such as the American Congress of Obstetricians and Gynecologists, Conyers said, "If this measure is passed into law, we will then require that medical and mental health professionals violate ... doctor-patient confidentiality" and report suspected violations to law enforcement authorities.

Rep. Barbara Lee, D-California, said the bill's backers were "exploiting serious issues like racism and sexism (as part of) a backdoor attempt to make abortion illegal."

House Minority Whip Steny Hoyer, D-Maryland, said nobody he has talked to favors abortion based on sex preferences, and the proposal was brought up simply "because somebody decided politically it was a difficult place to put people in."

Drew Hammill, a spokesman for House Minority Leader Nancy Pelosi, D-California, called the debate over the bill "yet another distraction and yet another day that this Republican majority fails to act on job creation."

Asked why the Republican-controlled House is taking up an abortion bill at a time when GOP leaders have called economic recovery their top concern, a spokesman for Speaker John Boehner, R-Ohio, said the party's priorities had not changed.

Planned Parenthood's new ad zeroes in on Romney

"House Republicans are focused on the American people's top priorities: jobs and the economy," spokesman Michael Steel said. "Dealing with a bill to prevent sex-selective abortion ... doesn't change that."

The bill is being considered under an expedited legislative process that requires a two-thirds vote of approval for passage. While Republicans wouldn't say why they were intentionally setting up a higher hurdle for House approval, the procedure avoids an extended argument over a divisive social issue with the potential to sidetrack the economic debate.

Franks' bill is coming to a vote at a time when abortion, a perennial hot button topic, has re-emerged as a political focal point. The anti-abortion rights group Live Action released an undercover sting video this week showing a Planned Parenthood staffer offering advice to a woman involved in the sting on how best to proceed with an abortion if her fetus is female.

Franks and several other House Republicans are scheduled to hold a press conference Thursday morning with the head of Live Action to "address the growing trend of the abortion industry targeting baby girls in the United States," according to a news release from Live Action.

A spokeswoman for Planned Parenthood, which provides a range of medical services for women, responded to the video's release with a statement noting that the staff member in question lost her job because she failed to follow proper procedures for the organization.

"Planned Parenthood opposes racism and sexism in all forms, and we work to advance equity and human rights in the delivery of health care," said spokeswoman Leslie Kantor. "Planned Parenthood condemns sex selection motivated by gender bias, and urges leaders to challenge the underlying conditions that lead to these beliefs and practices."

Planned Parenthood's leadership jumped into the presidential contest on Wednesday, unveiling a roughly $1.5 million ad campaign targeting presumptive Republican presidential nominee Mitt Romney. The ad, which claims Romney would deny women critical medical services, is set to run in the battleground states of Florida, Iowa, and Virginia.

CNN's Kate Bolduan and Deirdre Walsh contributed to this report

@highlight

House to vote on measure banning abortion based on sex preference

@highlight

Doctors who perform such abortions could face up to five years in prison

@highlight

Democrats call the bill an unneeded distraction from the economic debate

@highlight

Two-thirds of House members need to back the bill for it to pass