Shipping companies may have found a new tool to fight piracy: It turns out, pirates like to tweet.

Not only that, Somali-based pirates blog and are on Facebook, security experts say. And it is through social media that shipping companies are increasing their understanding of how they operate.

"Somalia is a very sophisticated economy, it has one of the best mobile phone communication systems in the world," said Jessica Lincoln, director of intelligence at Rubicon Resolution, a risk consultancy.

Lincoln follows pirates' activities using what she describes as "normal" web tools. She gathers whatever individuals and organizations like al-Qaeda's Somali affiliate Al-Shabaab post online about attacks. The insurgent organization runs a Twitter account  where it publicizes its activities. The Al-Shabaab Twitter account has been a part of the debate over whether terrorist organizations should be allowed to use Twitter.

Twitter does not take responsibility for the accuracy and appropriateness of user content in its terms of service.

Another source for her is the Kenyan army,  which Lincoln describes as fully engaged in online exchanges with Al-Shabaab.

Fertile territory for Al-Shabaab in chaos of Somalia

Other organizations, like the International Maritime Organization, document pirate attacks and tweet about them.

While, for example, Al-Shabaab may claim an attack was carried out, Lincoln will confirm this claim with other online sources, like the Kenyan army or the IMO.

Lincoln has put together data from social media, mainstream media, academics, governmental organizations, and NGOs to create a virtual representation of the social networking web of pirates in Somalia. Her work -- aggregated from online sources -- has drawn the interest of shippers and government intelligence agencies.

Her work was on display at a recent shipping conference in Hong Kong, where more than half the conference dealt with risks and crises in this field, suggesting the industry's growing concern with violence and piracy.

But the same weakness Lincoln exploits can favor criminals. Shipping companies, like all listed enterprises, are required to disclose information like vessel sizes, their expenses in armed escorts and usual routes.

Pirates are armed with increasingly sophisticated technology and ample online access to stay ahead of the game.  As a result, the high-seas clash between pirates and commercial shippers is becoming more of a technology race, security experts say.

"[Pirates] are being more understanding of the shipping industry, because of the World Wide Web and the money they've got through ransom payments, they bought themselves the laptops, they've got their iPhones and their iPads," said Lane Aldred, director of maritime and security services at Control Risks.

Aldred said pirates look at shipping schedules and the protection measures aboard to select targets.

In 2011, the total cost of piracy was $7 billion, according to a report by Oceans Beyond Piracy, an NGO. Aldred considers this estimate conservative.

Meanwhile, the same report said that ransoms were 2% of these total costs. Re-routing ships is piracy's biggest cost, estimated at $2.4 billion a year, or about a third of the total. Other growing piracy costs for shippers are insurance premiums and security equipment.

Nevertheless, OBP states that while successful attacks are decreasing due to improving counter measures, ransoms and the time a ship is held have increased.

Longer kidnap times for seafarers implies a series of problems that pirates solve through specialization: while some attack ships on sea, others supply a number of services on land.

"It's like a supply chain... you have the attackers, they're the guys on the skiffs, approaching the vessel, boarding the vessel and getting the hostages; you got the guy who sets himself up as the negotiator; you got the guy that manages the vessel and the hostages," Aldred told CNN. "There are different actors brought in for their specialist function."

As more people get involved in these operations, their impact reverberates throughout local communities.

Somalia earn on average about $600 a year, according to the CIA, so a $1 million ransom payment can be a boon to local operators involved in an aspect of the pirate trade, analysts said.

Many people in Somalia are aware of what's going on, and they talk about it on Twitter and other social media. Still, analysts face the same problems social media encounters elsewhere.

"Actually getting verified information from within Somalia is very difficult, because anybody can tweet, anybody can post anything," Lincoln said.

Therefore, Twitter is only one source that undergoes a validation process before accepting these bits of information as usable, she said.

Lincoln has three guidelines. "First we look at corroboration of data," she said. The analyst tries to compare tweets to recognized sources reporting on piracy like the International Maritime Organization. If data can't be matched to a report by the IMO or other trusted organization, she seeks to understand who's behind it.

"If you can understand their agenda, you can understand where they're coming from judging that piece of information," she said. Militant groups use Twitter as propaganda, whereas others could be trying relay a fact, according to the analyst.

And if these two steps fail, and the information is still valuable, Lincoln includes it in her analysis with a full disclosure of source and circumstance, she said.

@highlight

Pirates are using Twitter, Facebook and other social media to do their business

@highlight

Security analysts are using social media chatter to better understand the pirate trade

@highlight

In 2011, the total cost of piracy to the shipping industry was estimated at $7 billion

@highlight

"Somalia ... has one of the best mobile phone communication systems in the world"