Washington (CNN) -- The Supreme Court threw its legal weight Tuesday behind a Thai student whose side business selling foreign-made textbooks got him in trouble with the publisher.

The justices ruled 6-3 that copyrighted works made and purchased abroad can then be resold within the United States without the copyright owner's permission.

The ruling is a victory for those who buy and sell books, movies, music, and artwork, and perhaps even furniture, electronics, automobiles, and clothing -- anything that may be considered "intellectual property."

Storefront and at-home secondary retailers, libraries, artistic venues -- even the local garage sale -- would also be affected.

Justice Stephen Breyer, writing for the majority, said to rule otherwise would create financial chaos, citing public libraries as an example.

"How can they find, say, the copyright owner of a foreign book, perhaps written decades ago?" he said. "Are the libraries to stop circulating or distributing the millions of books in their collections that were printed abroad?"

The legal dispute had attracted interest from the Obama administration, media and publishing companies, and a range of consumer and retail groups.

Competing claims of intellectual property and owners' rights in the electronic age made Supap Kirtsaeng's venture one of the most closely watched business cases at the high court this term. He bought textbooks abroad, where the prices are lower, and resold them in the United States.

The justices considered the limits of two key interpretations of copyright law -- the "first sale doctrine" and its complex relationship to foreign distribution rights.

The first sale doctrine generally gives copyright holders the ability to profit only from the original sale.

It essentially means once a person lawfully buys a Peter Max lithograph or an Adele music CD in the United States, that person then can sell that copyrighted work in the United States without punishment and without having to compensate the original copyright holder.

It ensures a distribution chain of retail items, library lending, gift giving and rentals for a range of intellectual property. That stream of commerce includes secondary markets like flea markets and online resellers Craigslist and eBay.

The idea -- upheld by the Supreme Court since 1908 -- is that once a copyright holder legally sells a product, the ownership claim is exhausted, giving the buyer the power to resell, destroy, donate, or whatever. It's a limited idea, involving only a buyer's distribution right, not the power to reproduce that DVD or designer dress for sale.

The tricky part is whether that first sale doctrine applies to material both manufactured and first purchased outside the United States.

Breyer said it does: "The upshot is that copyright-related consequences, along with language, context, and interpretative canons, argue strongly against a geographical interpretation."

John Wiley & Sons, the publishing firm that sued Kirtsaeng, argued it readily sells its products overseas at a cheaper price -- particularly to countries in Asia, the Middle East and Latin America -- to satisfy an audience that may have less income than in the States or Europe.

Such differences in worldwide prices are often exploited by retail and resale firms, especially on high-end luxury and specialized items. Known as parallel sales or the "gray market" -- foreign-made goods obtained through second-hand sources -- the strategy costs manufacturers tens of billions of dollars a year, according to some business-generated estimates.

Kirtsaeng came to the United States to study mathematics in 1997 at Cornell University and later pursued doctoral studies at the University of Southern California. To cover tuition and living expenses, he asked family and friends back home to ship him foreign editions of textbooks that often can be bought more cheaply overseas.

Using the computer tag BlueChristine99, he sold the imported books online in the United States on eBay. Court records show he pulled in about $1.2 million in revenue, but both sides disagree over how much profit he made.

His sales included dozens of copies of eight textbooks printed in Asia by a Wiley subsidiary. Kirtsaeng's lawyers claim his gross revenue from the Wiley sales was just $37,000.

The New Jersey publisher has a thriving overseas business. Its foreign editions typically have a disclaimer: "This book is authorized for sale in Europe, Asia, Africa and the Middle East only and may not be exported. Exportation from or importation of this book to another region without the publishers authorization is illegal."

The company sued and a federal jury found Kirtsaeng's conduct was willful and ordered him to pay $600,000 in damages.

Theodore Olson, an attorney with Gibson Dunn hired by the publisher, told CNN last year that banning the low-cost versions from the United States helps the global economy.

"The whole idea of the copyright laws is to provide people with an incentive to create books, movies, or other works of art," he said. "If you take away that incentive, you're not going to have creators out there doing things that give us pleasure or educate us."

Members of the entertainment industry said a ruling in their favor was vital in the digital economy, to ensure they can divide their property and distribution rights across the global markets.

But Kirtsaeng and his owners' rights supporters worried a slippery slope would quickly occur on a variety of fronts if they lost at the Supreme Court:

--Domestic manufacturers would have financial incentive to shut down U.S. plants and produce everything overseas, since they could get a monetary cut and distribution control over every resale. Kirtsaeng's lawyers said that would amount to double-dipping, with copyright holders getting paid twice for the same item's sale.

--Libraries would have to either have to purge their stacks of every foreign-printed work, pay a royalty, or essentially go out of the public lending service.

--American consumers would lose access to affordable and differentiated goods, and charitable donations would be stifled.

--With a global consumer economy now dominated by digital and cloud-based access and transfer of information and entertainment, the cross-border lines would create chaos and uncertainty when it comes to determining where a particular copyrighted good is manufactured and then resold.

Wiley, with the Justice Department in support, dismissed those scenarios.

But Andrew Shore, a lawyer and executive director of the Owners Rights Initiative, which backed Kirtsaeng, speaking prior to arguments before the Supreme Court in October, said, "The rule we want the Supreme Court to adopt is simple: you bought it, you own it and you can do with it what you please. Very clear, very clean, very easy. The copyright holders are getting paid. They're getting paid on the first sale."

In dissent Tuesday, Justice Ruth Bader Ginsburg said the majority ruling could affect future international trade negotiations. She was supported by Justices Anthony Kennedy and Antonin Scalia.

In federal law, she said, "Congress intended to provide copyright owners with a remedy against unauthorized importation of foreign-made copies of their works, even if those copies were made and sold abroad with the copyright owner's authorization."

The high court already had ruled in prior cases that copyright holders cannot block U.S.-made goods sent overseas from later being brought back into the country for resale. The issue in this case was whether copyright laws applied to foreign-made goods imported into the American market.

Kirtsaeng, now a professor back in Thailand, never responded to CNN's efforts for an interview.

He initially testified receiving advice from friends back home -- and consulting "Google Answers," an online research help service -- to ensure he could legally resell the foreign editions in the United States.

In court papers, he also said he was unable to afford the hefty pending judgment against him. The man's lawyers said that after the lower court's verdict, he was ordered to give the publisher his golf clubs and computer in partial compensation.

The case is Kirtsaeng v. John Wiley & Sons, Inc. (11-697).

@highlight

The court says copyrighted works from abroad can be resold within the United States

@highlight

The ruling covers libraries, artistic venues -- even the local garage sale

@highlight

The first sale doctrine generally lets copyright holders profit only from the original sale