San Diego (CNN) -- Who's afraid of a harmless course in Mexican-American studies?

Arizonans. That's who. It figures. In the immigration debate, the state that has demonstrated that it is terrified of changing demographics and determined to run off Latinos seems afraid of its own cultural footprint.

We're talking about courses in Mexican-American history being taught to high school students of all colors and backgrounds in the Tucson Unified School District.

Concerned that teachers are presenting material in a biased and inflammatory manner, a posse of elected officials, education bureaucrats and school board trustees -- made up of Democrats and Republicans -- are trying to shut down the district's Mexican-American studies program.

Those wrongheaded efforts got a boost last week when, at an administrative hearing, state Administrative Law Judge Lewis Kowal -- relying on auditors that had surveyed only a few classes -- found that the program was being taught in an inappropriate manner.

It's rare that you find ethnic studies at the K-12 level. Maybe that's because parents and communities are sometimes uncomfortable with the subject matter.

I bet you could go into most high schools in the United States, and you'd find U.S. history textbooks that make no mention of the Chicano Movement, the birth of the United Farm Workers union, the Zoot Suit Riots and a long list of other seminal events experienced by Mexican-Americans in this country.

And given that Latinos account for 16% of the U.S. population and are projected to make up twice that percentage in a few decades -- and that Mexican and Mexican-Americans account for about two-thirds of the Latino population -- that sort of blind spot doesn't serve anyone's interests.

Latinos have to learn about the culture and institutions of the mainstream. Why shouldn't those in the mainstream have to reciprocate and learn a little something about Latinos? That's not only fair, but also wise.

These days, it's hard to be wise in Arizona. An ominous state law passed by the legislature in 2010 bans courses that teach "racial resentment" or are "designed for a specific ethnic group" or advocate "ethnic solidarity instead of the treatment of pupils as individuals." Under the law, the state can withhold 10% of the funding for a school district -- in the case of Tucson, about $15 million a year -- until the district changes the courses or eliminates them.

In writing his opinion, Kowal charged right into the debate with the grace of, well, a right-wing radio talk show host.

"Teaching oppression objectively is quite different than actively presenting material in a biased, political, and emotionally charged manner," Kowal wrote. "Teaching in such a manner promotes social or political activism against the white people, promotes racial resentment, and advocates ethnic solidarity, instead of treating pupils as individuals."

As an example of the harm supposedly done by such courses, he brought up one lesson that taught students that the historic treatment of Mexican-Americans was "marked by the use of force, fraud and exploitation."

And so? Isn't that true? And isn't the same thing true of Asian-Americans, Native Americans and African-Americans? Are these the next groups to be bullied? So we won't teach the ugly chapters of American history. Why not just have the textbooks written by Hallmark?

Here's what this is really about. A group of people is afraid that the tables are being turned, and that they will eventually lose power and suffer retaliation. So they're portraying themselves as victims of a new oppression.

This view is shared by Republicans and Democrats alike. It makes no difference. This isn't about partisanship. It's about pettiness. And losing your place in line. Arizona, the problem child of the Southwest, has it backward again. In recent years, state officials have made it awfully clear where they believe Latinos belong in the social pecking order. The bottom.

That was the message when artists hired to paint a mural at a school in Prescott were told to "lighten" the face of the child at the center of the drawing because people objected that the figure was obviously Latino -- before the school came to its senses and retracted the order.

That was the message when state lawmakers passed a tough immigration bill that encouraged ethnic profiling by deputizing local and state police to enforce federal immigration law based on who they suspect is in the country illegally. And that was the message when state education officials went so far as to bar instructors who are determined to have heavy accents from teaching English language classes.

Opponents of ethnic studies think knowledge is dangerous. But what's the alternative? Take a good look at what's become of Arizona and consider the perils of ignorance.

The opinions in this commentary are solely those of Rube Navarrette Jr.

@highlight

Arizona judge rules for group trying to stop school district's Mexican-American studies

@highlight

Ruben Navarrette: Latino-American population is growing; it's fair to teach its history

@highlight

Arizona has approved a series of oppressive measures, he says, including immigration law

@highlight

These measures are championed by people afraid of changing demographics, he writes