What if the world's most distinguished human rights organization decided to condone pimping? Unthinkable, right? But that's what happened when Amnesty International put forth a document calling for the legalization of prostitution.

For 50 years, the global women's movement has been fighting the selling and buying of human beings, which has a name: slavery. For decades, feminists called for criminalizing the buyers while decriminalizing the women they buy; offering women support services ranging from safe harbor through drug rehabilitation to education and skills training; and enforcing laws that criminalize pimps, traffickers and brothel owners.

The response was that it would never work (and feminists were crazy, sex-hating Puritans).

The sex industry fought back, both openly -- It's the "oldest profession, always been with us";  it represents "sexual liberation"  -- and covertly, through funding happy-hooker-type groups, rebranding prostitution as "sex work," and praising it as a career choice indistinguishable from any other. Have you ever met an 8-year-old who said, "Ooh, I wanna grow up to be a hooker"?

The numbers of prostituted women who suffer post-traumatic stress disorder are in the same range as combat veterans  and refugees from state sponsored torture. They are also disproportionately survivors of child sexual and physical abuse, rape and battery, kidnapping, assault with a deadly weapon, and addiction to drugs and/or alcohol.

Vednita Carter, a survivor activist, has noted that every prostituted woman has been forced, whether or not she seems to "choose willingly." Racism, violence and poverty are ever present forms of coercion in the sex industry; consequently, poor women and women of color have a disproportionately large presence. And we're only now discovering the enormous impact of prostitution on women in native communities.

As the survivors succinctly depict it:   $ Does Not = Consent.

There is, as Kathleen Barry pointed out in her classic, "The Prostitution of Sexuality," a single interrelated mega-enterprise of sexual exploitation.

We know the trajectory of, say, a young runaway from an abusive home: First, the offer of work in "films." Then, the "temporary" turning of a trick or two, which becomes  a permanent deployment in prostitution. Finally, she finds herself being moved around as a trafficked commodity.

Despite this reality, the phrase "sex work" became fashionable among some well-meaning people who assumed that this term meant respect for the women involved -- when actually it signifies approval for the context in which such women were trying to stay barely alive, or from which they were trying to escape.

Nevertheless, progress seemed possible. Sweden, Norway, and Iceland passed legislation holding customers responsible for buying human beings for sex, criminalizing the buyers and offering the women support programs.

This is  known as the Nordic Model. The French parliament voted last December to follow Sweden's model; similar laws are pending in the parliaments of Belgium, Ireland, Scotland and Canada, and the European Parliament favored it with a strongly affirmative vote on February 24, 2014.

See, the model works. Since Sweden began enforcement, street prostitution has been reduced almost by half and trafficking has declined.  This unglues the arguments of those who treat trafficking as a separate issue from "sex work." Is it less enslaving to be bought in your own country rather than another? Contrarily, countries with legalized prostitution have greater inflows of human trafficking, according to a study published in ScienceDirect.

Then, just when it seemed sanity was winning, the respected human rights organization Amnesty International appears to have come out on the side of the sex industry.

An Amnesty International document, "Decriminalization of Sex Work," argues that pimps and johns should be "free from government interference" and allowed to "exercise their autonomy."

It says governments have an obligation to establish an environment where pimps can operate freely to engage prostituted people; to do otherwise "threatens the rights to health, nondiscrimination, equality, privacy, and security of persons." The document also insults the disability community by claiming that men with disabilities require access to prostituted women to further their sense of "life enjoyment and dignity."

Amnesty International has argued that the document is a draft and is in the discussion stage.  But Amnesty International representatives appeared at the Northern Ireland Assembly in January, lobbying to strike down proposed legislation that would criminalize customers for buying prostituted women.

What's even more stunning is that a former member of Amnesty, is proudly claiming credit for having first raised the issue of legalizing pimps and brothel owners at the organization, which he says resulted in the policy recommendation. A campaigner for the International Union of Sex Workers  who and calls himself a  "sex worker", he and his partner run a major escort service. Amnesty, however, denies his involvement in the draft document, saying he had "zero input."   Amnesty came to this on its own, then? Hard to know which is worse.

It took decades for the global women's movement to convince Amnesty that human rights were not reserved for male people. Now, Amnesty International London has set things back by considering a shocking violation of the Universal Declaration of Human Rights.

But this time, the "crazy, puritanical feminists" can't be dismissed; we're backed by national governments who've proved our point—and saved women's lives. This time survivors must be heard.

On March 8,  a mass protest will be held at Amnesty International's London headquarters, and a worldwide virtual protest is building online. A global petition to Amnesty and a Facebook page called Virtual Protest of Amnesty International has full information. We hope Amnesty will regain its soul  -- and realize that survivors' rights are women's rights are human rights.

@highlight

Amnesty International put forth a document calling for the legalization of prostitution

@highlight

Robin Morgan: Prostitution is selling and buying human beings, which amounts to slavery

@highlight

Morgan: Prostituted women have high rates of PTSD, many are child abuse survivors

@highlight

She says we should criminalize buyers. Amnesty should reject decriminalization