(CNN) -- Polygamy is back in the headlines.

Last week, a federal judge in Utah struck down part of the state's anti-polygamy law as unconstitutional, although he kept the ban on possessing more than one marriage license at a time. Fans of the "Sister Wives" reality TV stars, who filed the suit, are rejoicing in the news.

At the other end of the spectrum, TLC debuted its newest docuseries, "Breaking the Faith," which tells the dark story of women and children trying to escape from the practice.

Another lawsuit filed by the Department of Justice alleges that polygamous clans are secretly running the show in Utah and Arizona townships, manipulating the political process from behind the scenes. And in Texas, the Attorney General's Office is inching closer to seizing a massive polygamous ranch.

Across the country, angry citizens are calling for the government to follow its own laws and crack down on polygamy.

Meanwhile, celebrities like Akon and various news outlets encourage people of all ages to reconsider plural marriage.

What competing narratives about polygamy in America reveal is that whether or not a white-washed, clean-cut version of plural marriage could in theory legally exist, in practice it does not, and what states like Utah, Arizona and Texas actually have is an unregulated, dangerous and harmful situation, where the strong prey upon the weak and helpless.

The time has come to address this discrepancy. When the Supreme Court struck down the federal Defense of Marriage Act in U.S. v. Windsor in June, opening the door to federal recognition of same-sex marriage, it also set the stage for a discussion of plural marriage.

DOMA defined marriage as "a legal union between one man and one woman as husband and wife." While DOMA obviously prohibited same-sex marriage (by requiring that a marital unit consist of a man and a woman), it also enshrined the prohibition against polygamy, by requiring that such a union be between only one man and one woman.

Even before Windsor the Supreme Court had declared morals-based legislation invalid, renewing interest in polygamy. But in calling DOMA definitions unconstitutionally restrictive, the court, perhaps unwittingly, also struck down the federal numerical limitation in a marriage, immediately re-opening the possibility of plural marriage at the state level. Activists have taken note, and are only getting louder.

But despite the strength of any legal arguments, and the voices of a few, plural marriage is still a crime, and public opinion remains strongly in favor of the ban.

Studies show that it tends to create abusive relationships antithetical to family values. Co-wives who lose favor are pushed aside for new and often younger rivals; left to fend for themselves and their children with dwindling resources and support, they are exploited by emotionally detached husbands.

Advocates say the harms are not intrinsic to the practice; they do not support underage or coercive relationships. They challenge us to crack down on abuses in general, irrespective of marital model.

Polygamy might not be inherently evil, which is why we need purposeful debates. But unlike traditional marriage, it has never been effectively regulated and so people, especially women and children, have suffered. The real beauty of last summer's ruling is that it not only opened the door for polygamy, it also established a framework.

Same-sex relationships that were only decriminalized in earlier cases were finally given legal recognition in Windsor. If there is to be a change in status quo -- if we as a nation decide that polygamy cannot or should not be illegal -- then going straight from criminalization to full recognition is both the correct legal answer and necessary to assuage public fears.

Decriminalizing polygamy would only make abuses even harder to catch. But following Windsor's lead and allowing these relationships to be recognized could instead bring them into the light.

Recognition would enable law enforcement to crack down on abuse; allow an independent civil authority -- a town clerk or justice of the peace -- to express concerns about and even refuse to approve an inappropriate marriage. It would help prosecutors overcome the evidentiary hurdles inherent in prosecuting related crimes. Unlike decriminalization, legalizing and regulating polygamy cuts to the heart of policy concerns.

Morals-based legislation has been unconstitutional since 2003's Lawrence v. Texas, and so we cannot just continue ignoring the polygamists' clamor for acceptance. But the practical policy solution -- awarding those formerly banned relationships rights, and with those rights accompanying duties and responsibilities, which will be monitored -- was only handed down last summer.

A clean-cut version of American polygamy does not currently exist, but under Windsor, perhaps, we could actually build it.

The opinions expressed in this commentary are solely those of Mark Goldfeder.

@highlight

A judge in Utah struck down part of the state's anti-polygamy law as unconstitutional

@highlight

Mark Goldfeder: In practice, polygamy exists even if legally it is not recognized

@highlight

He says U.S. needs to address polygamy, possibly find a way to make it legal

@highlight

Goldfeder: Recognition would enable law enforcement to crack down on abuse