(CNN) -- Olli Heinonen, the former deputy director general of the International Atomic Energy Agency recently asserted that Iran having passed the "point of no return" in its nuclear weapons program could within two weeks have the ability to enrich enough missile-grade uranium to build a bomb.

Yet U.S.-led direct negotiations with Iran broke down in Geneva while the potential remains for the unraveling of sanctions. Israel wants Iran's enrichment of uranium set back by 12 months along with the dismantling of numerous centrifuges. The U.S., however, is willing to set it back by five months. Israel fears the problem with the U.S. timeline is if Iran kicks out inspectors, Washington would not have sufficient time to gear up militarily.

At Geneva, Iran opposed suspending work on its plutonium-producing reactor at Arak and downgrade its stockpile of higher-enriched uranium. Israel notes that recently Iran has planned for 34 new nuclear sites to be constructed along the country's Persian Gulf and Caspian coasts. Alaeddin Boroujerdi, the head of the Iranian parliament's foreign affairs committee recently asserted that Iran will never agree to dismantle the Fordow uranium enrichment facility. Ilan Berman, the Vice President of the American Foreign Policy Center notes that this was a key concession that officials in the U.S. and Europe had expected Iran to make.

GCC countries such as Saudi Arabia and UAE have been able to push back against U.S.-led negotiations with Iran by allowing countries like France to curry favor with them. Thus it is possible that France scuttled the deal on offer in Geneva in order to win energy and military contracts in Saudi Arabia and the UAE at the U.S.'s expense. France has also increased defence ties with Israel. For these reasons there is little chance that Israel and Saudi Arabia will not lobby to derail P5+1 talks when they reconvene in November 20.

A skeptic urges: Give Iran talks time

Israel is also concerned that the unraveling of sanctions accompanied with Iran's increased enrichment of uranium will be blamed by the Obama administration on its settlement policy. Secretary Kerry's harsh criticism of Israel's settlement policy is linked to President Obama's original position that the road to Tehran runs through Jerusalem.

In an interview with Jeffrey Goldberg, U.S. Secretary of Defense, Chuck Hagel described one of the main strategic interests of the U.S. in the Middle East as resolving the Israel-Palestinian issue.

This is at a time of more than 100,000 people killed in Syria with a mass refugee crisis spilling over the borders threatening the stability and security of Jordan, Turkey, and Iraq. Middle East borders drawn by the Sykes-Picot Accord are disintegrating. Red lines have been crossed in Syria as chemical weapons have been used by the Assad regime which suffers no consequences while subsequently being increasingly reluctant to reveal all its sites or offer access to them to chemical inspectors. Iran could follow suit by avoiding tougher sanctions by appearing to cooperate with the U.S., playing for time while creating and exploiting differences between the U.S. on one hand and Israel and Saudi Arabia on the other. They already did this by backing out of the Geneva point at the last hour. Iran could maintain their core nuclear program making peripheral relinquishments so that they could reconstitute their program and a nuclear weapon in a moment's notice.

A Sunni-Shiite war is brewing across the region with the U.S.'s policies ironically emboldening Islamism by supporting the Muslim Brotherhood in Egypt and its hands-off approach that emboldened jihadists in Syria. At the same time the U.S. is relinquishing its role in the Middle East to Russia much to the consternation of Saudi Arabia and Israel. At a time of austerity leading to the slashing of military budgets and a less than comprehensive foreign policy it is surreal that the Obama administration would seek to focus on imposing a solution to the Israeli-Palestinian conflict. The U.S. was reluctant to commit troops to Libya or Syria where mass slaughter has been committed, and yet is willing to commit troops to the Jordan valley.

Amid austerity, the U.S. has abandoned the promotion of democracy, prevention of humanitarian catastrophe and resisted becoming involved in "someone else's civil war." Thus President Obama is incompetent by being unable to prioritize security threats and strategic interests. A senior Israeli defence official told me that the alternative is that President Obama genuinely thinks that the Palestinians and Israel are the problem -- the source of all the region's ills. He revealed his country's national consciousness saying gravely, "Jews have heard that accusation before but today is different, the state of Israel exists and we refuse to be vulnerable."

US-Israel rift over Iran nukes now in the open

Israel does not see the U.S. as a reliable ally, especially in light of leaks from the White House on targets that the U.S. had of Syria's military instillations and chemical sites giving the Assad regime the time to disperse it into densely populated areas; and more recently on Israel's strike on Hezbollah's weapons shipments giving Hezbollah an excuse to strike back.

The combined result is that the U.S.'s allies in the region -- mainly the Gulf and Israel are feeling cornered with the high probability that Israel will feel forced to strike Iran before the Obama administration decides to proceed with independent negotiations with Iran and unilaterally roll back sanctions allowing Iran to become a nuclear threshold state. Saudi Arabia and Israel care more about U.S. sanctions than EU ones; EU and U.N. sanctions hurt Iran less than U.S. ones as even if EU banks don't offer letters of credit to Iran, it is because of the U.S. sanctions. If EU does not buy oil from Iran, Iran will go and sell it to China.

Saudi Arabia, Egypt and Turkey will also seek to go nuclear in the event that the U.S. fails to prevent Iran from gaining nuclear status. Former Israeli defence officials that I spoke with that were previously averse to the idea of a military strike on Iran are increasingly warming to it.

GCC States and Israel have increased their intelligence sharing to counter an Iranian threat. It was the former that Wikileaks revealed urging President Obama to "Cut the head of the snake." The international community including the U.S. and Gulf States will publically denunciate Israel's actions while privately offering a sigh of relief in the same way that it did in the aftermath of Israel's strikes against Saddam Hussein's nuclear facility in Osirak in 1981. It is foolhardy to write off Netanyahu's threats as mere bluster and one has to understand the Israeli psyche. An Iranian bomb would be the death knell for Zionism. Former Iranian President Akbar Hashemi Rafsanjani in the past observed that targeting Israel by the, "application of an atomic bomb would not leave anything in Israel but the same thing would just produce damages in the Muslim world."

It would be a historical irony if after over half a century of declaring "Never Again" and posing as an insurance policy for the physical survival of the Jewish people, Israel become a state ghetto with a concentration of Jewish people becoming vulnerable to a nuclear attack. Israel considers the Geneva talks as contributing to just that.

The opinions expressed in this commentary are solely those of Barak Seener.

@highlight

Former IAEA deputy: Iran could have ability to enrich bomb-grade uranium in 2 weeks

@highlight

Israel fears Washington would have insufficient time to gear up militarily - Barak Seener

@highlight

Seener: U.S.'s policies aiding Islamism, by backing Muslim Brotherhood in Egypt and Syrian jihadists

@highlight

Saudi Arabia, Egypt and Turkey as well as Israel all fear Iran gaining nuclear status - Seener