Antananarivo, Madagascar (CNN) -- With their unique shape and imposing stature, the majestic baobab trees have been an icon of Madagascar's landscape for centuries, unmovable symbols of the tropical island's luscious scenery.

Six out of the eight species of the long-lived tree are endemic to Madagascar, the island country located in the Indian Ocean off the southeastern coast of Africa.

The stunning country is home to a rich ecosystem that boasts an incredible mosaic of animal and plant life evolved for tens of millions of years in complete isolation. As a result 90% of Madagascar's wildlife exists nowhere else on the planet.

In the midst of it all, the mighty baobab has stood tall for generations, its barrel-like trunk reaching a height of 18 meters.

Often described as "the upside down tree" due to its unusual shape -- the tree's branches look like roots sticking up in the air -- the baobab has sparked many legends throughout the centuries. An ancient myth goes that when the gods planted the trees, they kept walking away so they placed them upside down.

Read related: Madagascar's 'lemur lady' on saving endangered animals

Communities in Madagascar, one of the poorest countries in the world, have long been benefiting from the deciduous trees -- their fruits are edible, their leaves are used for medicinal purposes, while their large trunks are often excavated to serve as shelters or store water during dry periods.

"There are many interactions with the life of community living around forest," explains botanist Jimmy Razafitsalama.

"First, they use the bark for the construction of their house and then they use leaves as medicinal plants. They eat also the fruit because the fruit are very rich in vitamins and don't forget also it's one of the attraction for tourists to come here."

But while tourism proceeds can generate income for people often living on less than $2 a day, many other human activities are posing a serious threat to the baobab trees and the island's one-of-a-kind ecosystem.

Largely dependent on the island's natural resources, many rural communities in Madagascar have to make ends meet by exploiting the land that surrounds them -- the country is estimated to have lost 90% of its forest to deforestation over the years.

Environmentalists say that activities like slash-and-burn agriculture -- where an area of forest is cut and burned to create fields -- logging for timber and fuelwood and charcoal production are all destroying the island's beautiful rainforests and their endemic biodiversity.

"They cut the trees down to clear the land for agriculture or for grazing their animals," says Razafitsalama, who has moved to the island's northernmost part near the city of Diego Suarez to teach locals about biodiversity.

In recent years, authorities in Madagascar have taken up a series of initiatives to save its precious forests. The country has launched several conservation and reforestation projects and has also marked many regions in the country as national parks, attracting ecotourists from across the world.

Razafitsalama says that more needs to be done to safeguard the future of the baobab trees and the vast array of unique species living in Madagascar's forests.

"Now the government they want to increase the surface of protected areas. They made a big effort but right now I see for baobab it's not yet representative," he says.

"A good example is this forest in front of us -- it is not protected but this has the highest concentration of population of this endemic species."

Unless more action is taken and behaviors change, Madagascar, one of the world's true biodiversity hotspots, will risk losing more of its forests, putting in danger the survival of its unique species.

@highlight

Six out of the eight species of the baobab tree are endemic to Madagascar

@highlight

The island is home to a vast array of animal and plant life

@highlight

Madagascar has lost 90% of its forest to deforestation

@highlight

The government is trying to protect the forests by marking areas as national parks