(CNN) -- Every day, thousands of children are living and working on the streets of Vietnam's cities. Michael Brosowski is trying to give many of them a chance at a brighter future.

Through Brosowski's Blue Dragon Children's Foundation, more than 350 Vietnamese children have been given safe shelter and enrolled in school. The organization has a network of programs in cities throughout Vietnam, and it recently broadened its efforts to combat child trafficking. So far, it has rescued more than 100 trafficked children.

Brosowski recently spoke with CNN about the struggles facing Vietnam's street children.

CNN: Who are Vietnam's street kids?

Michael Brosowski: When we were starting out back in 2002, the kids were pretty much all boys coming from rural areas. And they were coming to make a little bit of money to supplement the family income. Mom and dad can hardly afford money to send the rest of the kids to school, can't afford to get enough food on the table, so they think, well, you might as well go to Hanoi and work.

These days, we're mostly coming across runaway children, and it's where kids are having some kind of family problem. Poverty is usually part of the problem, but it's not the only problem. Very often, there might be alcoholism, sometimes drug use.

It might be that one of the parents has died and the remaining parent has remarried and then that new husband and wife couple don't want the kids from the previous marriage. So kids are ending up now on the streets of Hanoi more because they feel unwanted at home rather than coming here to earn money to support the family.

CNN: What dangers do the kids face on the streets in Vietnam?

Brosowski: The dangers now are much greater, and there are more of them than when we started out. There's a lot more gang activity on the streets and a lot more cases of trafficking.

One reason that street kids here in Vietnam are mostly boys is that the families have this view that the girls should be somewhere safe and secure, but the boys are fine (and) they can wander around at will.

In reality, they're not fine. In reality, the boys are facing gangs, they're facing arrest. And the longer they're out on the street, the worse habits they learn. There are gangs selling heroin, and heroin here is very cheap, widely accessible and a lot of people's job is to get young people hooked on it so that then they've got to start buying it.

Meanwhile, the girls ... they're going to end up in positions that can very often be exploitative or abusive. So we've also got to think about how to protect the girls.

Watch Brosowski meet a girl who was almost trafficked

CNN: What are some of the challenges you and your group encounter when working with street kids?

Brosowski: As satisfying as (this work) is, it's not easy. One of the things I always tell my staff is, "It's never the end of the story."

Today, there might be a kid who is getting in trouble, has broken the law, he's had a fight in our center, he's told the staff to get lost. Tomorrow, that same kid might really start to make a change in their life. But equally there can be a kid doing really well today -- doing his best at school, behaving well. And tomorrow he might be out there stealing with a gang. So our work is never finished, in a sense. There's always something more that could happen, and I think that's the biggest frustration for us.

Sometimes there are kids we've worked with for a year who've then come back at night, broken in and robbed us. That's what hurts us all the most, because we take that personally. We put so much of ourselves into the kids.

But we've had kids do that and then come back to us later really sorry. And they've actually come back to make amends. And that's more powerful still to have someone who's been with us and then gone astray and then come back, because I think that shows the power of our work.

See the full story on CNN Hero Michael Brosowski: Giving Vietnam's street kids a chance

CNN's Danielle Berger and Alex Zolbert contributed to this report.

@highlight

CNN Hero Michael Brosowski is helping Vietnam's street children turn their lives around

@highlight

Many of them are runaways who feel unwanted at home, Brosowski says

@highlight

Among the dangers they face are gangs, drugs and child traffickers