(CNN) -- On Monday, three lucky diners nibbled a $325,000 burger -- not in the name of luxury but in the name of science, animal rights and sustainability. The meat was grown in a lab.

This in-vitro hamburger is "cultured" in many different ways: It's the product of human ingenuity, it's considerate of humans, animals and the planet, and it's produced through growing cells.

Tasters declared the hamburger a little dry, and you won't be able to buy one any time soon. But that's not the point: It's a proof of concept prototype -- evidence that it is physically possible to produce meat through cell culture.

It's a step toward a day when meat can be produced in a cost-effective, time-efficient and completely animal-free manner.

By collecting cells from healthy animals and culturing them in a sterile environment, we can grow animal muscle and bypass slaughter and inhumane treatment. We can establish a safer food supply by avoiding conditions that promote the spread of disease. And we can take a major step toward improving our impact on the environment, including a dramatic reduction in greenhouse gas emissions.

But perhaps the most radical aspect of cultured meat is that its development has been nearly entirely philanthropic, funded largely by individual donors and foundations. The funding behind the creation of this cultured hamburger did not come from a private company or a government but from the forward-thinking co-founder of Google, Sergey Brin. He donated dollars to seek a novel and transformative solution to the world's meat problem.

This hamburger was developed by Mark Post, a Dutch researcher at the University of Maastricht. The nonprofit organization New Harvest also has been instrumental in advancing cultured meat. By funding scientific research directly, using donations from individuals and advising both the Dutch government and Brin's foundation to support cultured meat research, New Harvest has been a key player in keeping development of this new technology cooperative and a concerted worldwide effort.

All of this research remains in the public domain. The implications of it being available to all are very promising.

At first glance, cultured meat might seem to be a homogenizing of our food choices. But beer is a biotech product with many tastes and types. How it is produced is public information. And that makes the business of beer vastly different from the business of, say, transgenic crops.

The production of beer requires living organisms -- yeast -- and nourishment for those organisms -- grain. How these elements come together with others to make beer is straightforward in theory, and nuanced in practice. The products are varied and distinct.

Cultured meat production is extremely similar. Explained simply, all that is required is a cell line and nourishment for those cells. How the cells are grown, and under what conditions, are adjustable. The potential variety of materials and processes will allow cultured meat to take on many distinctly unique forms, flavors and textures.

Any intellectual property protection in beer production is negligible. Nothing holds back the home brewer or the craft brewer from creating one-of-a-kind offerings. Perhaps it is the lack of clear intellectual property protection opportunities for cultured meat that has kept Big Food companies at arm's length to date.

To extend the analogy further, consider the visuals of brewing: stainless steel bioreactors containing living organisms and biological reactions, and controlled aseptic environments. Not only do we tour these facilities as a casual weekend activity, we are also pleased to eat or drink in their presence at a microbrewery or brew pub.

Imagine that within those stainless steel walls, meat was brewing. Contrast this with the facilities that produce meat today, and you can appreciate just how much cultured meat is a concept that can shake up current systems. As Einstein said, we can't solve problems by using the same kind of thinking we used when we created them.

It's a new way of thinking because this is food science by the public, for the public. It prompts a widespread conversation about a food technology years in advance of its market release rather than years afterward. It's a new way of thinking because it's a technology largely driven by societal demand and people have pushed this forward, as donors to a cause.

The biggest reasons why cultured meat hasn't progressed further is a lack of funding and a lack of creative understanding. We're not used to food technology being a positive solution. We're not used to food development being nonprofit. And we're not used to a nonprofit group generally categorized as an animal rights/environmentalist group requiring a cancer research-scale budget. But we're learning.

Some people might think the meat has a "yuck" factor. We should all get over it. We've embraced all kinds of technologies that first seemed like science fiction -- think in-vitro fertilization and Google Glass. The yuck factor associated with modern-day factory farming is undeniable. And meat seems to be recalled for bacterial contamination every other month, and we still buy it. It makes no sense.

In many ways the hamburger as we know it is a symbol of the meat problem: the globalization of food, overconsumption, illogical food pricing and fast-food culture.

The cultured hamburger symbolizes something else: our opportunity to take back food technology.

The opinions expressed in this commentary are solely those of Isha Datar.

@highlight

A hamburger that cost $325,000 to create in a lab was served this week

@highlight

Isha Datar: It's not ready for market but proves we can make meat through cell culture

@highlight

Datar: Cultured meat is good for the environment, safe, and it eliminates animal slaughter

@highlight

Datar: It's not funded by companies or government but by individuals and foundations