(CNN) -- Last week, Apple released its sixth annual supplier responsibility report, which detailed violations made by its suppliers. In the same week, news surfaced that about 150 Chinese workers at a giant manufacturing plant that produces Microsoft's Xbox 360 had threatened mass suicide by throwing themselves off their factory rooftop amid a labor dispute.

The incident involving one of Apple's chief competitors took place at a Foxconn factory complex in Wuhan, roughly 600 miles from the better-known port city of Shenzhen. American media outlets carried a haunting photo showing dozens of workers assembled on a rooftop, with several standing at its edge.

We pluck our favorite phone or game controller off racks at our local electronics store, or they arrive at our doorstep, but in fact, they originate in Chinese cities like Shenzhen and Wuhan. As a result, labor disputes and injustices on the other side of the world feel far away and difficult to judge.

Journalistic exposÃ©s, along with Mike Daisey's highly scrutinized one-man play "The Agony and the Ecstasy of Steve Jobs," have sought to raise awareness of conditions at Foxconn factories in China in recent months. They describe long hours, low wages and overcrowded worker housing units, even if Businessweek reported last May that Foxconn had started making strides under pressure from Apple.

Still, as we hear stories like the one out of Wuhan last week -- albeit not of Apple, but one of its competitors -- there seems to be a collective sense of confusion, helplessness and resignation on the part of consumers.

The fact that we are overwhelmed is understandable. Foxconn is the unimaginably huge, yet virtually unknown producer of the most popular, best-selling gadgets of our time, with an estimated 800,000 employees. It manufactures products like Amazon's Kindle, Nintendo's Wii, Microsoft's Xbox and Sony's PlayStation, among many other consumer electronics. But chief among them are Apple's iPhone and iPad, which dwarf most others in sales and stature.

As the unrivaled global technology leader, Apple needs to step up its pressure on Foxconn and raise its supply chain standards to remedy labor injustices. We consumers need to stand with them; we've done it before. Just look at the sweatshop movement in the 1990s. The National Labor Committee created a media frenzy over the child labor that was used to create Kathie Lee Gifford's Walmart label, effectively ending it. On a larger scale, the United Students Against Sweatshops all but eradicated products that were created by exploitative labor for sale on campuses, simply by raising awareness among students and demanding more from manufacturing standards.

In recent days, students at Duke University, Apple CEO Tim Cook's alma mater, published an open letter calling on Cook and Apple to guarantee "conflict-free" products. In releasing Apple's supplier responsibility report, Cook is acknowledging Apple's role, and in an internal memo to Apple staff, he said, "No one in our industry is driving improvements for workers the way Apple is today."

We, as consumers, have to embrace our own responsibility to the workers who labor over our coveted gadgets by keeping pressure on Apple and its competitors to ensure that they will change their ways. With injuries and suicides at Foxconn's manufacturing facilities already documented, lives are literally on the line.

We can start by demanding that Apple and other companies that use suppliers like Foxconn provide a safe and healthy work environment for their employees. If Foxconn can deliver on Apple's extraordinary product and packaging demands, it certainly has the ability to make this happen.

Scores of Chinese workers have stood up under desperate, if not oppressive, circumstances by one of Apple's foremost competitors, probably just trying to keep up. While Daisey and others remain intent on associating Apple's late founder with the company's poor labor practices, this can and should be Cook's defining moment. After all, before being anointed CEO, Cook was the supply chain guru behind Apple's remarkable rebirth and success. But this isn't just on Cook or Apple; it's on all of us.

Join CNN Opinion on Facebook and follow updates on Twitter.

The opinions in this commentary are solely those of John Cary.

@highlight

Last week, Chinese workers at Foxconn threatened mass suicide in a labor dispute

@highlight

John Cary: Consumers must help workers who make products under tough conditions

@highlight

Consumers need to pressure Apple to improve its supply-side standards, he says

@highlight

He says this is CEO Tim Cook's moment to fix the labor injustices associated with Apple products