The Islamist terrorist organization Boko Haram has been active as a violent group since 2009 and in recent months has killed Nigerians, both Christian and Muslim, at rates frequently exceeding a hundred people weekly.

It is puzzling how little attention this has received in world media, especially in comparison to, say, the attack of Islamist militants on the mall in Kenya in September, resulting in 67 dead.

That is, until now. The abduction of a reported 276 schoolgirls from Chibok village in the northeastern Borno state has shocked people around the world. A deeper examination of Boko Haram provides a revealing prism of the conflict in Nigeria.

Boko Haram translates as "Western education is sin." Rarely has the name of a terrorist organization revealed so much, but it does in ways beyond the surface interpretations sometimes portrayed in the media.

In Boko Haram, we see a total storm coming together: Globalization has brought Western ideas and imagery, especially around issues of women and sexuality, into the most patriarchal corners of the world. Globalization, through Internet and broader interconnectedness, has facilitated and favored global ideologies, including globalized versions of Islam, some of which are extremist.

Melinda Gates: Boko Haram kidnaps a nation

New media have shined a light on poor governance, including that of the corrupt Nigerian government. The impact of Wahhabi Islam, actively promoted by Saudis and Gulf Arabs, has had such an impact that in northern Nigeria, even Arabic street signs and Middle Eastern dress are seen together with Saudi-funded mosques.

But Boko Haram's rise is not only driven by global trends in themselves but by how globalization has melded with the internal dynamics of Nigerian education. The Christian South in Nigeria is much more prosperous than the Muslim North, and that economic gap is growing rapidly. The roots go back to the British colonial period from the late 19th century to independence in 1960. The British ruled the South directly, which was also being rapidly Christianized by missionaries. Missionaries ran many of the schools.

Malala: Kidnapped girls are 'my sisters'

In the Muslim North, the British practiced "indirect rule," governing through the clerical and traditional elites and allowing local religious institutions to operate autonomously (with some limitations, for example, banning slavery).

The impact of missionary schooling was to bring Western education into Nigeria, and this has had direct bearing on economic development for the regions where such schools predominated -- and this legacy is with us to this day. Access to Western-style education has been key for enabling people to adapt to a modern economy.

In the north, some missionary schools were established, but traditional elites always resisted them for obvious religious reasons and because those schools threatened to generate an alternative elite.

Instead, the schooling that predominates in the north of Nigeria consists of religious schools, or the al-Majiri education system -- often informal, with students congregating under a tree. These students are completely unequipped to work in a changing economy (and overall, Nigeria is economically growing rapidly). Some of these schools have dubious teachers who exploit the usually impoverished students by getting them to beg in the streets for the teachers' own gain.

John Sutter: 'We can't let this be the new normal'

In the wake of September 11, there was extensive discussion of Muslim schools and the extent to which some were inculcating extremism, for example madrassas in Pakistan. Some have claimed that Muslim education, properly taught, would provide an inoculation against extremism. But that debate lost sight of a larger issue, whatever the theology of such schools. The graduates of those schools are often adrift in globalized economies without marketable skills and modern education, and more vulnerable to at least tolerating extremism.

Which brings us back to the language of Boko Haram. The leadership has ranted against any form of secular education. It teaches that European colonists introduced modern secular education into Islamic societies in a conspiracy to maintain colonialist hegemony over Muslim societies: The West aims to corrupt pure Islamic morals with liberal norms.

Likewise, the leaders believe that the West wants to replace proper gender roles with sexual permissiveness. Secular subjects like chemistry, physics, engineering, meteorological explanations of rain, the theory of evolution are all denounced as contrary to the Quran.

In our research in the area, and in other surveys, it is evident that students coming out of the religious schools are more likely to sympathize with Boko Haram, significantly even those who are not particularly religious in practice. Equally significantly, religiosity as such does not necessarily bring with it a tendency to back Boko Haram. The issue is the education system, not religious belief.

In the eyes of Boko Haram, the abduction of schoolgirls is a triple strike against what they view as Western depravity: against Western schools, against "the obscenity" of having girls in school at all and against Christianity, to the degree the schoolgirls are Christian.

If northern Nigeria is to have a more stable and prosperous long-term future, it is essential to develop an education system that prepares students for a modern, globalized economy. This is especially the case in the northeast, where Boko Haram is most active.

Nigerians in northeastern Nigeria, who in part may sympathize with Boko Haram's fight against corruption, are however alienated by Boko Haram's bloodlust. And most will support developing an education system that provides the foundation to make a living.

@highlight

Boko Haram has killed hundreds of Nigerians each month

@highlight

Authors: Kidnapping of schoolgirls brought world's attention to the terror group

@highlight

They say it is fueled by a reaction in impoverished north to Western education, values

@highlight

Backward schooling must yield to education that teaches marketable skills, they say