For the most part, train terminals are desperate places. They're an unavoidable evil linking us to somewhere else -- but not before assaulting us with tepid coffee, drafty waiting rooms and smelly, ugly ticket halls.

Manhattan's Grand Central Terminal, which turns 100 this month, is a glorious exception.

But it's not just its iconic opal-faced clock (a century old and valued at more than $10 million), flawless marble staircases (modeled on those in the Paris Opera House) and gleaming chandeliers (fitted with 35,000 custom-designed, low-energy light bulbs) that lend Grand Central a sense of golden age grandeur.

The terminal -- not station, never station -- also has a fascinating history, with stories to rival Manhattan's better known, pointier landmarks.

Listen: Grand Central's 100th birthday

1913: Grand opening

While trains had been running in and out of Manhattan since 1871, it wasn't until the completion of Grand Central Terminal in 1913 that New York had itself a world renowned transportation icon.

The Vanderbilt family constructed the 48-acre site (the little polished brass acorns adorning every clock and light fixture reflect the family symbol), inadvertently triggering a 20-year Midtown construction boom that added the likes of the Helmsley and Chrysler Buildings to the city's skyline.

If it weren't for Grand Central, all those 1990s disaster movies would have looked very different.

1942: A president rolls in

At 200 feet, Grand Central boasts the deepest basement in New York City. This is where some of the terminal's shadiest secrets are concealed.

Among them is a hidden platform connecting a presidential getaway train to an area beneath the Waldorf Astoria hotel. The secret platform was constructed for Franklin D. Roosevelt during World War II.

The polio-suffering president's armored carriage was specifically designed to limit lateral movement, allowing him to travel while keeping his disability secret from the American public.

So why is it still a rusty relic beneath Grand Central, rather than a museum showpiece? Simple: It weighs 142 metric tons -- you try moving it.

1944: Winning the war

Another of the terminal's great subterranean secrets is M42 -- a hidden basement and the deepest accessible underground point in Manhattan.

Not that you'll ever go there -- the existence of the area was officially denied by the building's owners until the late 1980s and it doesn't even appear on the original blueprints.

So what's the big secret?

The room -- named after Grand Central's 42nd Street location -- houses a series of rotary converters, which, back in the 1930s, provided the power that electrified the terminal's 63 tracks.

During World War II, these tracks linked thousands of shaven grunts and other instruments of war to the ports that would ship them out to the front lines.

Despite Grand Central's strategic significance, however, a bucket of sand tipped into one of these converters would have been enough to bring the terminal -- and 80% of the country's eastbound military movement -- to a standstill.

This vulnerability was nearly exploited by a pair of Nazi saboteurs in November 1944, but their plot was scuppered by an FBI manhunt.

Commuters join celebrities for Grand Central's 100th birthday

1957: To infinity (but not much further)

A small hole in the ceiling of the main concourse, just near the constellation of Pisces, is an unlikely legacy of the space race. The hole was left behind after a Redstone rocket was hoisted up inside the terminal in an attempt to get the U.S. public excited about space exploration.

So eager was the government to counteract anxiety around the Russian Sputnik launch, that it forgot to check whether the rocket would fit in the building.

1968: Demolition looms

By the late 1960s, the growing popularity of interstate highways and air travel had taken a toll on the country's railroads, leaving Grand Central a stinking, hobo-infested eyesore.

It was condemned to be demolished until the New York City Landmarks Preservation Commission stepped in to declare the building a historic landmark. Grand Central was saved, but there was still the problem of what to do with the guys and gals using the Beaux Arts masterpiece as their own personal living quarters and latrine.

Rather than force out the homeless, city officials addressed each and every member of Grand Central's homeless community on a case-by-case basis. The vast majority ended up in permanent housing.

1990: A green role model

While these days you'll do well to walk more than half a Manhattan block without tripping over some sort of green waste initiative, back in the early 1990s, Manhattan was chugging out as much CO2 as everyone else.

Setting an example for contemporary recycling programs, Grand Central overnight became the biggest recycling plant in the United States when it introduced newspaper bins in 1990, collecting five tons of waste in its first day.

However, not everyone loved the scheme.

When The New York Times noticed the introduction of the bins coincided with a hefty dent in sales (thanks to commuters salvaging dumped papers rather than buying their own), they reacted swiftly.

Since 2001, they've been paying a significant fee each year to maintain craftily designed bins that prevent people from removing discarded papers.

1998: A lick of paint

Grand Central's mid-1990s makeover took 12 years to complete. During this time everything from light bulbs to the gigantic ceiling skyscape were painstakingly scraped, scrubbed and polished back to their prewar glory.

But what do you do when the quarries from which you procured your original marble have closed?

Order them to be reopened, of course, and, while you're at it, pull masonry technicians out of retirement to make sure everything is properly prepared and fitted.

This goes some way to explaining why the whole restoration project cost more than $160 million.

2000s: Top of the shops

Of the 700,000 people who pass through Grand Central every day, an estimated 10,000 don't have a ticket.

They're not fare dodgers, they're shoppers, who together shell out $150 million every year on lattes, oyster dinners, MacBooks and more. The terminal houses 50 shops, 20 casual eateries and five restaurants and cocktail lounges.

In terms of spend per square foot, that makes the terminal the most commercially successful shopping center in the United States.

2008: A viral hit

Grand Central has been immortalized in scores of Hollywood movies -- credits include "North By Northwest," "Serpico," "The Untouchables" and, um, "Little Nicky" -- but by far its most memorable theatrical moment came when drama collective ImprovEverywhere scared rush hour commuters with this incredible stunt.

More than 200 of the group's "agents" froze perfectly still, in unison, for five minutes, giving everyone else the impression that they'd just stumbled upon some cataclysmic rift in the space-time continuum.

The result? More YouTube views than Keyboard Cat.

2012: Storm savior

While its 100-year history has seen it take on the role of everything from government propaganda auditorium to glitzy shopping mall, Grand Central remains a transportation hub, and an efficient one.

Just as it did on 9/11 -- when, despite all other transport networks shutting down, it had the city evacuated by 2 p.m. -- Grand Central played a key role in getting New Yorkers to safety ahead of October's superstorm Sandy.

Very rarely has the terminal's marble concourse looked as cavernous as it did when the last Metro-North Railroad train fled to higher ground -- probably not since the Vanderbilts declared Grand Central open almost 100 years previously, in fact.

iReport: Photos from the centennial celebration

2013: 100 up

On February 1, 2013, this grand dame of the railway world celebrates its 100th birthday.

A brass band will play on the main concourse, actors, poets and celebrities will swan around and shops and restaurants will adopt a 1913 pricing strategy -- including 6 cents for a loaf of rye bread from Zaro's Bakery and $2 for silk scarves from Toto.

Grand Central Terminal, 87 E. 42nd St., New York; open daily from 5:30 a.m.-2 a.m.; www.grandcentralterminal.com

Details about centennial celebrations can be found online.

@highlight

Terminal's opening turned New York into a world renowned transport icon

@highlight

Nazi sabotage event in 1944 foiled by the FBI

@highlight

Today, terminal is as much a tourist destination as a transport hub

@highlight

Per square foot, it's the most commercially successful shopping center in U.S.