More than five years after the bankruptcy of Lehman Brothers and the beginning of the most severe economic downturn since the Great Depression, lawmakers should ask themselves whether they have done enough to reduce the risk of another financial crisis. In our view, the answer is no.

The chances of another financial crisis will remain unacceptably high as long as there are financial institutions that are "too big to fail" -- entities that are deemed so important to the overall health and functioning of the markets that their collapse would bring down the entire financial system.

But over five years after the crash, the big banks are more concentrated and more interconnected and their appetite for excessively risky behavior is unchanged. The biggest banks are substantially bigger than they were in 2008. In fact, the five biggest banks now control more than half the nation's total banking assets.

Despite a marked increase in banks' overall stability since 2008, the risk of systemic failure continues to exist. In 2012, JPMorgan Chase suffered a $6.2 billion loss because of the so-called "London Whale" trades. The bank's senior management, board of directors, and internal risk controls failed to stem the rapidly expanding losses. In its settlement with federal regulators, the bank admitted wrongdoing and acknowledged that there were severe problems with its internal controls.

That episode was yet another reminder that banks continue to engage in risky conduct and that regulators continue to lack the tools and willingness to stop such conduct before it happens.

That's why we co-sponsored the 21st Century Glass-Steagall Act. The Act, which we first introduced a year ago last week, would separate traditional banks that offer checking and savings accounts from riskier financial services, such as investment banking and swaps dealing.

It would encourage financial institutions to shrink to manageable sizes and eliminate their ability to rely on federal depository insurance as a backstop for high-risk activities. It would make banks smaller and less complex.

This proactive, structural approach to reducing bank risk should be far preferable to risk-management through over-regulation. Although a new Glass-Steagall Act would not resolve the "too big to fail" problem entirely, reinstating and strengthening the wall between federally insured commercial banks and investment banks would discourage the largest financial institutions from exploiting regulatory loopholes in order to take excessive risks at taxpayer expense.

Congress should not wait until the next crisis to address the "too big to fail" problem. Nor should it wait any longer in the hopes that regulators will end this phenomenon themselves.  It's been four years since Congress passed, and rulemaking began on, the Dodd-Frank Act. The regulators have so far missed more than half of their statutory rule-making deadlines and many rules remain unwritten.

Congress must step in. We owe the American people as much. The real cost of the financial crisis was borne, and is still being borne, by the men, women, families, small businesses, and communities in America -- American taxpayers. A report by the Federal Reserve Bank of Dallas estimated that the financial crisis cost us as much as $14 trillion. That's $120,000 for every American household -- more than two years' worth of income for the average family.

The big Wall Street banks continue to hum along as they did before the crisis -- too big to fail and, in many cases, potentially exposing the economy to the risk of systemic failure. That would, needless to say, be devastating. Which leads to the last question lawmakers should ask themselves:  More than five years later, with another financial crisis a very real possibility, why isn't this a more urgent issue?  We urge our colleagues to support our bill.

@highlight

Senators: We still have banks that are "too big to fail," threatening another crash

@highlight

Senators want updated Glass-Steagall Act to scale back huge financial institutions

@highlight

They say new act would separate traditional banks from riskier financial services

@highlight

Senators: American taxpayers are still paying the price of saving "too big to fail" banks