HOLLYWOOD, Florida (CNN) -- For nearly three decades, John Walsh's black leather jackets and swagger have made him a crime-fighting cultural icon. But when he returned this week to the Hollywood police station, he was once again the father of a murdered child.

John and Reve Walsh turned their grief into activism on behalf of missing children and crime victims.

His face was ashen. His eyes were red and brimming with tears. He clutched the hand of his wife, Reve, as police closed the books Tuesday on their 27-year investigation into his boy's abduction, murder and decapitation.

Ottis Toole, a convicted pedophile and murderer who was a partner of serial killer Henry Lee Lucas, was officially named the killer. Toole died in prison for an unrelated crime in 1996.

After his son's death, Walsh became an advocate for missing children and crime victims, and host of the TV show "America's Most Wanted." He always thought Toole was the boy's killer. Now he knows for sure.

"For 27 years, we've been asking, 'Who can take a 6-year-old boy and murder and decapitate him? Who?' We needed to know," Walsh said. "The not knowing has been a torture, but that journey's over."

"We will always be the parents of that little boy," Reve Walsh said.  Watch Reve Walsh thank her children »

In 1981, the world seemed to be a much safer place. It was not unusual for parents to let children play outside unattended or to drop them off at parks, malls and schoolyards.

After Adam's murder, his parents went through tough times, separating and later reconciling. They raised three other children, who are now 26, 24 and 14. Adam would be 33.

Walsh said the birth of their oldest daughter, Megan, "probably saved our lives, because she was born a year after Adam [died], when we were spiraling into hell."

Perhaps to save themselves, they made it their mission to preserve Adam's legacy by helping other crime victims.

The abduction and murder of Adam Walsh also fundamentally changed the way law enforcement agencies look for missing children.

Chad Wagner, the police chief in Hollywood, where Adam was abducted, said law enforcement back then was "like a whole 'nuther world."  Watch the chief close the case »

Hollywood police were accused of some major blunders in their investigation, and Wagner apologized to the Walshes for those mistakes. The case, he said, "made us a better agency.... If this same type of situation were to occur today, I would tell you it would be a much quicker, much better, much cleaner outcome."

"In 1981, when Adam disappeared, you couldn't enter missing children information into the FBI computer system," said Ernie Allen, president of the National Center for Missing and Exploited Children. The Walshes are co-founders of the center.

"You could enter information on stolen cars, stolen guns and stolen jewelry, but you couldn't enter information on missing children," he said.

Walsh, who before Adam's murder was a hotel developer, went to Capitol Hill and began a second career as an activist for crime victims. He fought for passage of the 1982 Missing Children's Act, which created the FBI's national database. Today, there are at least 80,000 missing children listed in the database.

In 1981, when Adam was taken and killed, there was no coordinated national response to child abductions. The 18,000 police departments across the United States did not effectively communicate.

"Most police departments would tell you he probably just ran away, if he doesn't come back, call us in 48 or 72 hours," Allen said. "But, what we've found in 75 percent of cases, the child is dead within the first three hours. Waiting until the day after tomorrow is just too late."

Walsh lobbied for more federal legislation and by 1984, the National Center for Missing and Exploited Children was up and running. With it came an explosion of activism that resulted in the faces of missing kids being printed on milk cartons and on fliers that have gone into 85 million homes a week for 23 years.

There also have been advances in age enhancement photography.  "Code Adam" is now an internal alarm at 70,000 department stores and shops that alerts employees to potential threats to children. The employees are trained to lock the doors when the alarm goes off.

"It's a powerful example of the legacy of one little boy and his courageous parents," Allen said.

Beyond the technical advances, there are social and cultural changes as well. People have become much more aware of crime, predators and fugitives.

The Web site for John Walsh's show, "America's Most Wanted" says it has helped catch 1,049 fugitives.

"Society has built on a lot of the things they have done," said CNN law enforcement analyst Mike Brooks. There are surveillance cameras at businesses, and Amber Alerts are issued when a child is missing.

Walsh "has helped law enforcement immensely," Brooks said. "The more eyes and ears you can get out there looking for a missing person, the better."

The Walshes raised their three other children in an envelope of pain and grief for a sibling they never knew. On Tuesday, the Walsh children, now grown, accompanied their parents to the police station in Hollywood, Florida.

They stood silently as their parents clutched hands and fought tears, once again victims, once again the parents of a murdered child.

@highlight

Murder of Adam Walsh, parents' response, changed law enforcement

@highlight

Adam, 6, was abducted and murdered in July 1981

@highlight

Police closed case Tuesday, named deceased drifter Ottis Toole

@highlight

Boy's father, John Walsh, became activist for crime victims