(CNN) -- In Russian, there is an old saying: "An uninvited guest is worse than a Tatar," referring to the country's medieval invaders from the East.

Although Edward Snowden's lawyer calls him "the most wanted man on the planet," it's clear that Russia's president, Vladimir Putin, would rather he were just about anywhere else.

After five weeks in Sheremetyevo Airport's transit zone, the NSA leaker was allowed to leave on Thursday under a grant of temporary asylum valid for one year. A taxi spirited him to an undisclosed Moscow location, where Putin's Federal Security Service will undoubtedly be watching him closely.

To some in the U.S., Snowden's Sheremetyevo escapade seems to have Putin written all over it. The Russian president, who once compared the U.S.'s behavior abroad to that of the Third Reich, seems to rarely miss an opportunity to score points at Washington's expense.

Yet the reality is that Putin did not seek out this problem, and now that his agents have presumably debriefed Snowden, he would much prefer for it to disappear.

Snowden was -- and remains -- an uninvited guest. Russia's intelligence agencies did not lure the NSA contractor to Moscow. It is not even clear how much they will have learned from him. Russian intelligence must have known already that the NSA was comprehensively monitoring telephone and Internet traffic.

Putin, who has never shown a soft spot for whistle-blowers and civil libertarians, is certainly not sheltering Snowden on humanitarian grounds. As a former KGB colonel, he understands the U.S. intelligence community's desire to get the leaker back.

But Putin is stuck. He cannot extradite Snowden to the U.S. without looking subservient. At the same time, he has no real interest in further damaging relations with Washington.

That might seem strange given the angry rhetoric that regularly issues from Moscow, in particular from the Parliament, where Putin's United Russia party dominates. Just in December, Putin signed a bill banning the adoption of Russian orphans by Americans.

However, anti-Americanism has always been a complicated game for the Russian president. On the one hand, it plays well in the provinces. Since December 2011, when Moscow's boulevards erupted into protest, Putin has faced the most serious political challenge of his career. Having lost the support of sophisticated urbanites, his priority has been to shore up his provincial base.

One key strategy has been to appeal to more traditional and nationalist constituencies. Kremlin operatives attempt to discredit Putin's critics by portraying them as stooges for an interventionist Washington that seeks to interfere in Russian domestic life. In 2007, Putin compared his opponents to "jackals," scrounging around outside foreign embassies for handouts.

Although exploiting xenophobia may seem crude, it works with some segments of the population. Putin wins widespread credit for standing up for Russia's rights and restoring the country's position in the world.

Still, while insisting on Russian sovereignty, Putin loses the aura of a skilled statesman if his policies provoke genuine crises. Behind the scenes, and even in public, he has sought accommodation on certain international issues. Putin, the anti-American in chief, personally faced down communist protesters to permit NATO to build a transit hub in the city of Ulyanovsk.

Some in Washington have urged President Obama to skip the G20 summit in St. Petersburg in September. Sen. Lindsey Graham even suggested boycotting the 2014 Sochi Winter Olympics. Putin would clearly like to avoid such snubs.

But were they to occur, he would cast them as yet another show of U.S. arrogance, a slap in the face not for him personally but for Russia. Assuming the leaders of Western European countries -- where many sympathize with Snowden -- do come to St. Petersburg, the final impression produced by Obama's empty chair might be less of Russian humiliation than of U.S. isolation.

For this and other reasons, the White House would probably also prefer to move beyond the Snowden issue. The U.S. public appears ambivalent at this point, uncomfortable about both Snowden's law-breaking and the scope of government snooping.

Yet the longer the issue remains in the public eye, the more embarrassing it is likely to become for the administration. For a U.S. attorney general to have to guarantee that a suspect would not be tortured if returned shows how much has changed over the past 12 years. The more officials turn out to have "misspoken" in denying existing surveillance programs, the lower trust in government is likely to sink.

At the same time, the U.S. has a broader agenda on which it needs to negotiate with Moscow. Syria continues to bleed. Although odds of a breakthrough are low, a joint U.S.-Russian peace conference is supposed to take place in Geneva this fall. The Iranian and North Korean nuclear programs remain urgent challenges. On these and other issues, Russia's U.N. Security Council seat makes it a crucial player.

Through 2014, as U.S. troops withdraw from Afghanistan, the NATO transport route across Russian territory will remain important. If Secretary of State John Kerry's latest attempt to revive Middle East peace talks is to bear fruit, the U.S. will at least need to persuade Russia not to become a spoiler.

Finally, even on Snowden, the White House may not want to push the Russians too far. As Andrew Kuchins, director of the Russia and Eurasia Program at the Center for Strategic and International Studies, points out, the U.S. could do worse than to have Snowden remain -- under tight control -- in Moscow.

If Putin honors his pledge to stop Snowden harming what Putin called his "American partners," then at least further leaks will be prevented. Were the Russians in frustration to put their uninvited guest on a plane to Ecuador or Cuba, the next morning's newspapers might contain additional revelations.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Daniel Treisman.

@highlight

Daniel Treisman says Putin often takes anti-American stances to shore up his support

@highlight

He writes that the Snowden affair has put Putin in a difficult bind

@highlight

He says Putin can't be seen to be subservient to U.S. but doesn't want a fight

@highlight

Treisman: U.S. needs Russian support on some key international issues