(CNN) -- Low-income Latinos are routinely discriminated against in the South, a new report says, but the study's author and others say the problem exists nationwide, with millions of Spanish-speaking immigrants living "beyond the protection of the law."

Migrant laborers help in the post-Hurricane Katrina cleanup in New Orleans, Louisiana, in 2006.

The report, released Wednesday by the Southern Poverty Law Center, documents the experiences of 500 immigrants in the South, finding that Latinos routinely are cheated out of wages, are denied basic health protection and fall victim to racial profiling.

"Under Siege: Life for Low-Income Latinos in the South" details stories such as that of a Tennessee woman who says she was jailed at a cheese factory for asking for pay, a bean picker in Alabama who says his life savings were taken by police at a traffic stop, and a rapist in Georgia who was not arrested because the suspect's victim was an undocumented immigrant.

Forty-one percent of the people surveyed said they had experienced theft of their wages by employers. Forty-seven percent said they know someone who was treated unfairly by police. Seventy-seven percent of women surveyed said they have been sexually harassed by bosses, many saying that bosses used their immigration status as leverage.

"This report documents the human toll of failed policies that relegate millions of people to an underground economy, where they are beyond the protection of the law," said Mary Bauer, author of the report. "Workplace abuses and racial profiling are rampant in the South."

But such discrimination is also rampant nationwide, she said. The human-rights law center focused on the South because that's the area the Montgomery, Alabama-based group knows best, she said.

"This is not limited to the South," she said. "This does not stop when you get to some particular border. These same issues happen everywhere."

The problem may seem more acute in the South because Latinos are a relatively new immigrant group to the area, some observers say.

"Newcomers in any new region are always the first to be exploited. They're at the bottom of the pecking order," said Gustavo Arellano, the California-based author of the nationally syndicated "Ask a Mexican" column and a national radio commentator. "What's going on in the South now has already happened in Southern California."

Teodoro Maus, president of the Georgia Latino Alliance for Human Rights, has heard thousands of discrimination complaints from Mexican immigrants during the past two decades. "In the South, you just open the door and you find it," he said.

"It's absolutely correct that there's generalized discrimination," he told CNN. "There's a general feeling that discrimination is valid because these people are illegal, because these people have no right to be here."

But the attitude toward discrimination has changed throughout the years, said Maus, who was also the Mexican consul general in Atlanta, Georgia, from 1990 to 1994 and from 1995 to 2001.

"The big difference from previous years is that there were discriminatory acts before, but not the belief that discrimination is allowed," he said.

Bolstered by what Maus called "an ultraconservative element," some people "realized they could have open aggression against a group of people who could not defend themselves."

Arizona also has experienced widespread discrimination, Maus and others say.

Bernardo Mendez Lugo, Mexico's deputy consul in Tucson, Arizona, said he sees three main forms of discrimination: racial profiling by law enforcement officers, problems in the workplace and difficulties in the rental housing market.

"There is much abuse," he said Wednesday.

Police officers frequently stop Latin-looking drivers "for any reason" and immediately call immigration officials if the motorist does not have an Arizona driver's license or other local identification, Mendez Lugo said.

In the workplace, he said, employees often find they are passed over for promotions despite their qualifications or length of employment. The abuse, Mendez Lugo said, is generally aimed at undocumented workers.

"They are told, 'I'm going to call immigration [authorities] if you keep asking,' " Mendez Lugo said.

Federal officials say there are more than 12 million undocumented immigrants in the United States. Most of them come from Mexico and other Latin American countries.

John McManus, president of the conservative John Birch Society, doesn't see a widespread abuse problem.

"I would probably expect there would be some," he said. "There's a small number of unscrupulous people who will always take advantage of others. Generally speaking, I don't think that's the case."

Nor does McManus believe the source of the information.

"I don't put any stock at all in anything the Southern Poverty Law Center says," McManus said. "They like to distort a lot of things."

The center urged the federal government to strengthen labor laws and crack down on racial profiling.

"We're talking about a matter of basic human rights here," said Southern Poverty Law Center President Richard Cohen. "By allowing this cycle of abuse and discrimination to continue, we're creating an underclass of people who are invisible to justice and undermining our country's fundamental ideals."

@highlight

NEW: Study's author, others say problem isn't just regional

@highlight

Low-income Latinos in the South victims of discrimination, exploitation, study finds

@highlight

Forty-seven percent of respondents claim to know someone mistreated by police

@highlight

Federal government urged to strengthen labor laws, crack down on racial profiling