(CNN) -- By now, everyone knows who Malala Yousafzai is. But most people had never heard of the heroic and highly effective work of her fellow Nobel Peace Prize winner, Kailash Satyarthi. By awarding the prize jointly to both of them, the Nobel Committee made an inspired choice.

The win by Malala, who has become a global icon and a symbol of courage and of the rights of girls to an education, was expected, even demanded by the public. In contrast, Satyarthi, a children's rights and anti-slavery activist, is known mostly in the world of human rights defenders. It's time his story started inspiring all of us.

The two are, above all, enemies of injustice. And while Malala's young life has dazzled the world in a short time, Satyarthi, 60, has already spent decades working to combat the shocking reality that even today, millions of children are forced to work in slavery, often to pay off their parents' debts, enduring exploitation and trafficking.

As noted by Thorbjoern Jagland, the head of the Norwegian Nobel Committee, the shared Nobel, awarded to an Indian and a Pakistani, a Hindu and a Muslim -- natives of two countries that have gone to war with each other -- sends a strong message of reconciliation.

But if Malala's uncommon courage is difficult to replicate -- she redoubled her efforts after being shot in the head by the Taliban -- Satyarthi's life is a reminder that there is a potential hero hiding within every human being. And it underscores how as individuals we don't have to accept the wrongs we see in the world as if they were inescapable and unchangeable.

Satyarthi is said to have been only 6 years old when he noticed a boy on the steps at his school. But this boy was working shining shoes. This was, according to Satyarthi, when his conscience was awoken. By the time he was 11, as one writer notes, he was pushing his classmates to donate their textbooks to the poor and their parents to help pay school fees for those who couldn't afford them.

There was always a profoundly practical aspect to his activism. It was about getting results.

Satyarthi eventually became an electrical engineer, but he decided to leave that behind and dedicate himself to something he believed was more important, and he started working to free the so-called "bonded laborers," essentially slaves forced to work to pay off debts.

In 1980, he founded Bachpan Bachao Andolan, Save the Children Mission, to rescue and protect children from servitude and trafficking. He built an ashram, the Liberation Retreat, to teach new skills to former slave workers, so they could become self-sufficient after gaining their freedom. BBA started as a direct-action group and evolved into the cornerstone of a global movement to free children from slave labor and give them the chance of having not just a real childhood but also the chance of a decent life. According to the Hindustan Times, it grew to have more than 80,000 people and 750 member organizations.

By some counts they have freed more than 75,000 children from servitude and have raised awareness of the problem and developed a wide-ranging strategy to solve it. Child labor -- modern slavery -- is now recognized internationally as a fundamental human rights challenge.

Satyarthi's Global March against Child Labor and the Global Campaign for Education have chapters throughout the world, with thousands of members working to influence and ultimately persuade governments, businesses and consumers to stop illegal labor practices. They also help develop international conventions on children's rights so that what is clearly immoral is also designated as illegal.

They have, to put it quite simply, made a difference.

Malala Yousafzai and Kailash Satyarthi stand as symbols of the crucial role individuals must play to address the urgent issues of our time. Their joint Nobel Peace Prize reminds us that in the great struggles unfolding today, the fight against extremism, the oppression and exploitation of women, the battle between competing ideologies, all of us can make the choice. Everyone can become a hero.

@highlight

Kailash Satyarthi is announced co-winner of Nobel Peace Prize

@highlight

Decision to award it to Satyarthi and Malala Yousafzai was inspired, writes Frida Ghitis

@highlight

The two activists are symbols of how we can all be heroes, Ghitis writes