(CNN) -- Earth Day is the time of year to hear the usual polarized debates between liberals who lament humanity's reckless use of natural resources and conservatives who deny any human role in climate change and echo Sarah Palin's call for industry to "drill, baby, drill."

This division is familiar, but it hasn't always been this way. After all, it was President Nixon who established the Environmental Protection Agency and signed the Clean Air Act. Long before that, social conservatives were in the vanguard of environmental activism in the United States, in part because of their traditional views about women.

Lydia Adams-Williams, conservationist and writer, summed up a widely held belief when she proclaimed in 1908, "Man has been too busy building railroads, constructing ships, engineering great projects and exploiting vast commercial enterprises to take the time necessary to consider the problems which concern the welfare of the home and the future." It fell to women, she declared, "to educate public sentiment to save from rapacious waste and complete exhaustion the resources upon which depend the welfare of the home, the children, and the children's children."

The General Federation of Women's Clubs was a leader in the fight for resource conservation. Founded in 1890 and officially nonpartisan, it was made up almost exclusively of full-time homemakers who rejected feminism, accepting marriage and motherhood as women's highest calling. The General Federation maintained that "conservation in its material and ethical sense is the basic principle of womanhood."

"Woman's supreme function as mother of the race gives her a special claim to protection," it said, "not so much individually as for unborn generations." And in 1911, Ladies' Home Journal reminded it readers that, as housekeepers, "you have been practicing conservation all your life, doing on a small scale what the Government is beginning to do on a huge one. ... The Government is in a way the good mother of us all."

Such ideas were inculcated into millions of girls when they joined the Girl Scouts of America, established in 1912 by Juliette Gordon Low. According to the organization's original handbook, a Girl Scout's first duty was to "Be Womanly," for "none of us like women who ape men." Among the tasks of a good Girl Scout was to "have children of your own" and "teach them to be good, hardworking, honorable citizens in our big growing country."

Girls were told that they were the natural leaders in conservation: "Women and girls have it infinitely more in their power than men have to prevent waste. ... The real test of a good cook is how little food she wastes." Girls were also urged to apply to natural resources the principles of conservation practiced at home, recognizing that "in this United States of ours we have cut down too many trees and our forests are fast following the buffalo." Their innate maternal qualities left them uniquely qualified -- and obligated -- to conserve, protect and defend parks and forests.

This notion that women's natural role as homemakers and mothers gave them a responsibility to act as nature's housekeepers led many socially conservative women to take up environmental activism, campaigning to protect the nation's bird population, which was being decimated by the feather trade, and promoting conservation education in their children's schools.

Most men dismissed women's environmental concerns as sentimental and frivolous. The Chicago Record Herald reported that the God who made coal "knew that smoke would be a good thing for the world." Women like naturalist Ella Higginson fired back, charging that men were so obsessed with profit that they wanted to "tear down our forests, rip open our mountain sides, blow out our stumps with giant powder, (and) dam up our water ways."

For decades, socially conservative women joined groups like the Audubon Society, working in unison with more socially liberal members. Suburban homemakers joined with college students to make up the core of the new environmental movement of the 1970s. Under the leadership of Lois Gibbs, the protests at Love Canal were led primarily by full-time homemakers who rejected much of the burgeoning feminist movement. They welcomed, however, the assistance of liberal activists in their campaign for a safe, nontoxic environment.

In recent years, liberals who reject traditional social values have come to dominate the conservation movement. But for a time, there was a joint involvement in resource protection that provides a model of how people with opposing social views can come together in support of the environment that we all share.

The opinions expressed in this commentary are solely those of Nancy Unger.

@highlight

Nancy Unger: On Earth Day, liberals and conservatives show polarization on conservation

@highlight

But conservative women were early conservation supporters because of role as mothers

@highlight

She says they held traditional roles as protector of children, health

@highlight

Unger: Men dismissed them as frivolous, but women decried men rapaciously damaging Earth