With great power comes great responsibility. There is some confusion over whether this quote should be attributed to Voltaire or Spiderman.

Either way, the message is the same and one that should be resonating with the inventors, companies, brands, media, policy makers and industries hitching a ride on the innovation bullet train of wearable technologies.

Our original Human Cloud research project at Goldsmiths, University of London in partnership with cloud computing provider Rackspace focused on the socio-economic impact of wearable technology moving from novelty and entertainment to health and lifestyle.

We conducted a survey of 4,000 adults in the UK and US and spent six weeks with 26 participants experimenting with these new technologies, from fitness bands like the Fitbit, Jawbone Up and Nike Fuelband, to sensor-based wearable cameras like the Autographer.

With echoes of Stephen Hawking's voice on Radiohead's "OK Computer" album, participants experimenting with wearable technologies felt fitter (68%), happier (75%), and more productive (84%).

The nuances of the human experience was reflected in the six archetypes of wearable technology users we identified from deep qualitative research from the curious, controllers, and quantified selfers to the self-medics, finish line fanatics, and ubiquitors.

"As you can see, today has not gone well so far," says one self-medic participant mournfully, looking at two graphs: one shows he only took 394 steps that day, the other that he only got five hours 28 minutes sleep. When asked why he wears technology, his answer is to "prevent delusion" and so that function is at least achieved.

Privacy remains a key issue, but it is a multifaceted and complex discussion.

Twenty percent of survey respondents wanted to see Google Glass banned entirely from public spaces, but the same percentage were willing to share the data from wearable devices with government to improve services.

The argument from our 'controller' archetype is that their data is already valuable, the question is who is benefiting and exploiting this value.

Fernando Pessoa wrote that it is the fate of everyone in this life to be exploited so is it worse to be exploited by Senhor Vasques [his employer] and his textile company than by vanity, glory, resentment, envy, or the impossible?

This is a question all of us must answer, particularly as the fine line between the possible and the seemingly impossible is breached nearly every day by one form of emerging technology or another fueled by the exponential growth of computing power, storage, bandwidth, nanotechnology, and big data.

One of the most intriguing findings of the initial phase of the research was the way early adopter companies were starting to explore the power of wearable tech in the workplace.

Several companies reported issuing laptops, mobile phones, and fitness bands to all employees as part of standard corporate kit.  This stimulated our imagination and led to the next phase of our research now underway with Rackspace.

We are looking at a big data mash-up where the wearable tech human cloud meets the productivity and performance corporate cloud to amplify the role of the human cloud at work.

For businesses experimenting with these technologies there are implications for occupational psychology, systems development, insight and analytics, leadership, competitive advantage, environmental analysis and workplace design.

Three billion gigabytes of big data are generated every day, but only one-half of one percent of this data gets analyzed and put to work.

Wearable tech data from employees and customers are an inevitable key ingredient in the recipes for making sense of big data and the role of emerging technologies in shaping our cities, societies, markets and economies.

This big data stew can be augmented with cognitive and decision-support systems like IBM Watson, the computing service that famously triumphed on Jeopardy in 2011, now deployed in the cloud diagnosing and helping treat cancer patients.

With real-time access to human data in the workplace systems like Watson can potentially support specific decisions and scenarios in relation to your personal Human Cloud. We recognize it is not all about opportunities.

There are obvious surveillance implications and risks inherent in these kinds of dynamic data driven integrations of networks of people and systems.

Analysts at Credit Suisse suggest the wearable tech market will grow from $1.4bn (£878m) in annual sales this year to $50bn (£31.3bn) by 2018.

Your friendly neighborhood Spiderman also said some spiders change colors to blend into their environment. It's a defense mechanism.

Wearable technologies are in the midst of this blending and soon will diffuse subtly but powerfully into the fabric of everyday lives so as to be unrecognizable as a distinct innovation domain.

At this stage it is the great responsibility of every one of us to consider those implications.

@highlight

Human Cloud research project explores socio-economic impact of wearable tech

@highlight

A recent study shows devices can boost productivity and happiness

@highlight

Analysts predict this market will grow from $1.4bn in annual sales this year to $50bn by 2018

@highlight

Wearable technologies are in the midst of this blending into everyday lives