Editor's Note: Republican strategist Alex Castellanos was a campaign consultant for Mitt Romney's presidential campaign and has worked on more than half a dozen presidential campaigns. Castellanos is a partner in National Media Inc., a political and public affairs consulting firm that specializes in advertising. For a rival view, read here

Alex Castellanos says the Constitution requires that votes be counted equally within a state.

(CNN) -- Minnesotans are a peculiar breed, the stereotype goes. They are disproportionately well-mannered. When dinner is offered, Minnesotans refuse at least three times before accepting.

They habitually react to the most bone-chilling personal misfortune with a stoic, "Could have been worse."

They speak an indirect idiom to avoid hurting another's feelings. "So, what gave you the idea that we talk like that then?" Minnesotans eat lutefisk, not for its taste, but from a sense of cultural responsibility. After all, the delightful state staple is fish prepared in lye. Who would want to miss "All You Can Eat" night?

"Minnesota Nice," however, can expose the soft underbelly of the state to self-interested politicians. This year, it may allow comedian Al Franken to walk away with one of the state's highest public offices and the U.S. Senate might finally gain what it has always lacked: a clown who is a credentialed professional.

Even with Washington in disgrace and Congress suffering all-time-low approval ratings, a U.S. Senate seat still has value. Ask Rod Blagojevich, the chief executive of Illinois, a state whose lowest point, previously, was the Mississippi River. It is now his own governor's office.

If the U.S. attorney's charges are true, at least Blagojevich had sufficient respect for a Senate seat to ask aspirants to pay for it. In Minnesota, Franken might pocket the Senate seat formerly held by Norm Coleman without paying a cent.

As Michael Stokes Paulsen, a professor of law at the University of St. Thomas in Minneapolis wrote in The Wall Street Journal, there is a lot in the recount affair to concern us. Franken has exploited a weakness in almost every state's recount process.

Recounts, Paulsen observes, must not violate the 14th Amendment, which provides that "no state shall...deny to any person within its jurisdiction the equal protection of the laws." The Constitution suggests it is a matter of some importance that votes be counted uniformly in a democracy.

The Supreme Court's "Bush v. Gore" 2000 decision reaffirmed the equal protection clause: Ballots in one precinct or county must not be evaluated differently than those in others.

Recounts, however, are conducted locally, with individual precincts and counties interpreting state election laws. The result in Minnesota is a crazy quilt of newly evolved standards that, in fact, have become no standards at all -- and are constitutionally unacceptable. All votes are meant to get equal protection in Minnesota, but Franken's votes are getting more equal protection than Coleman's.

In some parts of the state, as a Wall Street Journal editorial observed, recount officials have accepted Franken votes tallied on election night, even when the physical ballots were nowhere to be found for the recount.

Let's say, through error or design, some overly enthusiastic election night official fed Franken votes through a voting machine twice: In some parts of Minnesota, Franken kept those votes, even though they could not be re-tallied.

In other jurisdictions, the election night tally was thrown out and Franken got to include votes he didn't have election night but his team subsequently discovered. Availing himself of dissimilar standards in different parts of the state, Franken got to pick which benefited him the most, the election-day tally or the recount.

In some localities, Franken's campaign has even been allowed to double-count ballots. If a legitimate ballot is damaged and cannot be mechanically counted, Minnesota law allows election officials to create and count a duplicate, as long as the original is marked and both ballots are stapled together.

The Wall Street Journal contends that 80 to 100 original and duplicate ballots were separated and counted individually in the recount. Even if this were Illinois, such electoral imagineering is unlawful.

Has the Coleman campaign allowed itself to be victimized? Perhaps. As Paulsen noted, the Minnesota Supreme Court's 3-2 decision allowed local boards to count absentee ballots that had been excluded, but only if both the Coleman and Franken teams approved.

"Insiders agree that Mr. Franken's team played a far more savvy game than Mr. Coleman's," he wrote. "The margin of Mr. Franken's current lead is partly the product of a successful what's-mine-is-mine-what's-yours-is-vetoed strategy, and of the Coleman team's failure to counter it," Paulsen wrote.

Unfortunately for Franken, the equal protection clause is not concerned with the cleverest competitors or the most savvy strategy. The Constitution is there to protect voters, not candidates, and it says all their votes must be valued identically.

A recount is supposed to eliminate the political absurdities we find in Minnesota. Instead, Franken has exploited this recount to manufacture them. As a result, he has a lead -- and 25 precincts in Minnesota now have more ballots than voters.

The good people of Minnesota need not worry, however. That oracle of objectivity, the selfless Democratic leader of the Senate, has declared Al Franken the winner.

There's no need to see the process through, Harry Reid said Wednesday, because, "There is no way that Coleman can win this. The numbers just aren't there. He should concede." Reid adds that "polls in Minnesota show that about half the people are upset...at Coleman asking for this additional work."

Shame on Coleman for insisting that every vote be counted, especially when those votes are his.

In politics, much like football, both teams have to play by one set of rules. Neither team is allowed to score points after the game is over and the other team has left the field. Otherwise, the Vikings could still go to the Super Bowl. With Al Franken's vote counters, John McCain could still have been sworn in.

There is good news for Coleman, however: The U.S. Constitution is still law in Minnesota. Minnesota courts will soon speak on the unequal evaluation of votes that has consistently advantaged Franken. If state courts do not invalidate Franken's dodgy lead in a trial that started Monday, it would not surprise if the U.S. Supreme Court finally did.

Franken has tried to claim a hasty victory with more votes than voters. In so doing, he has shrugged aside the Constitution and underestimated the people of Minnesota. Their civility is built upon steel-eyed character. They believe all votes and all voters should be treated equally. The nicest state in the union deserves nothing less.

The opinions expressed in this commentary are solely those of Alex Castellanos.

@highlight

Alex Castellanos: Minnesota's recount violated equal protection clause

@highlight

He says Al Franken benefited from differing standards in different localities

@highlight

Castellanos: Some votes were not counted, others may have been counted twice

@highlight

He says trial that started Monday could invalidate Franken's lead