Washington (CNN) -- Years-old but newly scrutinized videos of MIT economics professor Jonathan Gruber ignited a political firestorm this week because the self-described architect of Obamacare thanks "the stupidity of the American voter" for leading to passage of the president's signature piece of legislation.

With Obamacare open enrollment set to begin over the weekend and the Supreme Court set to weigh in again on the law next year, Republicans pounced, using the videos as additional ammunition in their case that President Barack Obama and his administration misled the American public on Obamacare.

Obama on Sunday dismissed the idea that his administration and other proponents of the law misled voters about the legislation, noting that "we had a yearlong debate."

"The fact that some adviser who never worked on our staff expressed an opinion that I completely disagree with ... is no reflection on the actual process that was run," Obama said.

So why should old videos of an economics professor matter?

Here's the gist: Gruber called voters stupid, Republicans are calling him the Obamacare architect, and Democrats are calling it all a big misunderstanding.

Still confused? This will help:

Was Gruber the "architect" of Obamacare?

Not exactly. This is a law that was passed by both houses of Congress and written in different forms by several Congressional committees. It's many thousands of pages long and has a myriad of different provisions. But Gruber clearly played an important role in crafting the idea behind the series of exchanges, subsidies and taxes that form the law's centerpiece. He continues to argue the country is better for Obamacare -- but we'll get to that.

And he doesn't look nearly as cool as this guy, who actually goes by the name, "the architect."

So why is he being called that? And what did he actually do?

Gruber's work did shape the Affordable Care Act in three key ways:

1. Gruber played a crucial role in crafting the health care law passed in Massachusetts during then-Gov. Mitt Romney's tenure. Gruber modeled the impact and effectiveness of that state's plans to implement an individual mandate -- the controversial policy that essentially forces people to get covered, or get fined.

And this matters because the 2004 Massachusetts law was the model for Obamacare. The "individual mandate" became a key component -- and political lightning rod -- of the health care law most people now call Obamacare.

Obamacare's next fight for survival

2. Gruber was hired in 2009 as a consultant by the Obama administration -- and paid nearly $400,000 -- for a year of his work. What'd he do? Gruber has called it "technical support" and "analysis." What he really did was take a bunch of numbers and model the effects of proposals that would later become the Affordable Care Act.

"If they hadn't had this kind of analysis, well, the law would not be designed as well," Gruber said on the O'Reilly Factor last year, discussing his work.

3.  At least eight states called him in to counsel them on how to implement the health care law and set up state-run health insurance exchanges. So he's pretty important to Obamacare.

O.K. but this guy is still calling voters stupid! I vote. Am I stupid?

No, you're not stupid. At least we don't think so.

So why is he calling us voters stupid?

Let's first look at what Gruber actually said: He was defending the fact that the law was written behind closed doors and he said Democrats intentionally made the law confusing to mask the fact that the law instituted a new tax to pay for health reform. Why'd the Democrats do this? Voters don't like new taxes. Gruber said it was more important to get health reform than to be up front.

"It's a very clever, you know, basic exploitation of the lack of economic understanding of the American voter," Gruber said at the Honors Colloquium 2012 at the University of Rhode Island.

And: "They proposed it and that passed, because the American people are too stupid to understand the difference," he said at Washington University at St. Louis in 2013.

The brunt of Gruber's argument is that policymakers crafting the law had to take politics into account. And politics means that politicians prefer to vote for a tax on insurance companies that will ultimately get passed on to consumers, rather than voting for a tax on consumers outright, for example.

Gruber's "stupid" comments are summed up his contention that people don't want to pay more taxes, even when they want cheaper or better things. For instance:

- Want better public education?

- Sure!

- Want to pay higher taxes to improve public education?

- Eh...

This also applies to voting for the individual mandate "penalty," as the Obama administration refers to it, rather than a "tax," as the Supreme Court ruled in 2012.

And it turns out that Gruber always knew a tax on expensive insurance plans would eventually grow to hit almost every insurance plan. He admitted as much in yet another video that surfaced on Friday. The White House and Democrats, by the way, promised up and down that the so-called "cadillac tax" wouldn't affect most Americans.

The guy who thinks voters are 'stupid'

But the controversy over whether the mandate is a "tax" isn't news, right?

Nope. But it is giving Republicans' claims that the Obama administration misled voters on the "truth" of the Affordable Care Act more credence.

So why are Democrats trying to distance themselves from Gruber?

Democrats clearly don't want Obamacare tarnished anymore than it already has because of one guy. And they definitely don't want him to be the face of Obamacare or Democrats' view on the law.

What they're trying to do is downplay Gruber's role in crafting the law.

On Sunday, President Obama speaking from the G20 summit in Australia called him "some adviser who never worked on our staff."

Minority Leader Nancy Pelosi said Gruber "didn't help write our bill" and claimed not to "know who he is."

She wasn't being entirely up front on that point. Pelosi actually cited Gruber's work approvingly in 2009 and even mentioned him by name in an interview that same year.

Obamacare architect discussed misleading public in 4th newly uncovered video

Was Gruber making a larger point here that we're missing?

Definitely. If you can get past his condescending tone and insults, Gruber's speeches actually offer some insight into how policy is impacted by politics.

"If you had a law which said healthy people are going to pay in -- if you made it explicit that healthy people pay in and sick people get money, it would not have passed, OK?" Gruber said.

And while the (impartial) jury on the Affordable Care Act is still out, the law has lowered that national uninsured rate and, so far, the law is proving to be cheaper than expected.

Either way, Gruber has said he believes the U.S. is better off with Obamacare than without it.

And if less transparency helps implement better policy, he's O.K. with that.

But am I? Are you?

You make that call.

Third video emerges of Obamacare architect insulting voters

@highlight

Gruber called voters stupid, the GOP is calling him the Obamacare architect, and Dems are calling it all a misunderstanding

@highlight

Gruber played a crucial role in crafting the law and its Massachusetts model, but isn't "the architect" of the law

@highlight

Gruber's "stupid" comments came as he explained the lack of transparency in selling the law to have it pass

@highlight

The GOP is using this to prove voters were misled and Democrats are trying to distance themselves from Gruber