(CNN) -- The social media universe has been aghast this week after the revelation that Prince Alwaleed bin Talal of Saudi Arabia has invested $300 million in Twitter. The shock and awe seems to center around the notion that Twitter has been at least partly responsible for the Arab Spring uprisings that directly threaten the Saudi royal family's grip on power. On the surface, anyway, this seems like a contradiction.

Why would the king's nephew be investing in the medium of his family's enemy? Will he attempt to influence the development of the network or try to make it more susceptible to censorship in a regime-threatening emergency? And what of Twitter?

Will the participation of a major investor widely considered to be the beneficiary of one of the world's most exploitative dynasties tarnish the company's otherwise net-friendly brand image? Why would Twitter accept such an investor, and why would he court them in the first place?

The answer, most simply, is for the money.

Prince Alwaleed bin Talal is no doubt aware of Twitter and Facebook's tremendous influence in his own and neighboring countries, and may even be personally concerned about what a revolution might do to his own and his family's sovereign rule. But why should that stop him from positioning himself to become the wealthiest deposed royal he can be? It's a win-win.

For its part, Twitter, which isn't even a public company, is not actually selling shares to a Saudi Arabian prince. It's Twitter's early investors who are selling $300 million of their own shares to the Prince's investing group, "Kingdom Holding Company." Of course, Twitter benefited by selling those shares initially, and now benefits indirectly as the resale of these shares puts the company's total valuation up to $8.4 billion.

The dismay and disillusionment associated with this transaction seems overblown to me, or at least misplaced. In short, we are looking at the wrong medium. We are not witnessing Twitter operate against its central, democratizing premise. We are witnessing money operate in perfect accordance with its own, highly abstracting premise. Money, by its very nature, launders.

This is exactly what money and the corporation were invented 700 years ago to do: provide kings and other members of the aristocracy with a way to invest at arm's length in projects they may or may not want to be associated with. The corporation gives people a way to invest passively in companies whose operations they might not want to know about, much less be known for.

Likewise, generic, central currencies give people who have done Lord-knows-what the very same access to markets as those who have earned their money through sweat or innovation. Once it's money, it is as clean as anyone else's money.

Similarly, once you sell your business to shareholders, they can do what they like with the shares. That's what is meant by shareholding. In the simplest language possible, when you sell your business, you have sold your business. (Maybe that's why so many top people have been leaving Twitter lately. Their shares have vested and they are less restricted about what they can do with them once they quit.)

This is the beauty and horror of investment capital. Just as a Saudi prince can invest in our revolution-inspiring Internet darlings, each of us is free to invest our own retirement savings in the likes of cigarette and liquor companies, weapons manufacturers, polluters, outsourcers and sweatshop exploiters.

We can put our kids through college by investing in the very oil companies through which the Saudi royals made their money in the first place. Then, hopefully, our kids can go on to become peace workers, revolutionaries or even Twitter employees. Or not.

If we're truly concerned about the long arm of international investing, we might best reconsider how we invest ourselves. Instead of relying on the anonymity of outsourced investing to the stock market, why not look around for who or what needs money in our towns and communities?

The Obama administration is already in the process of curtailing the regulations that prevent nonmillionaire investors from putting money into one anothers' businesses. This means we can begin to depend on local money to start-up our own ventures, and on local ventures to build our own savings.

And at that point, if we don't feel like having a Saudi Arabian prince participate, we can just say no.

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Saudi Prince Alwaleed bin Talal invests $300 million in Twitter shares

@highlight

Douglas Rushkoff: Investment will not inhibit Twitter's democratizing influence

@highlight

He says the prince is doing what investors do everywhere: buying shares to make money

@highlight

Rushkoff: Corporations allow investors to put money in without exercising control