(CNN) -- War and toys: two words rarely associated with one another.

But veteran photographer Brian McCarty is bringing the two together in photography and a documentary film to explore what children in the war zone endure every day.

With simple toys and drawings, the War-Toys project explores the daily struggles of Palestinian and Israeli children through their own eyes, with the help of local humanitarian organizations. McCarty, who has used toys in art projects in the past, takes the drawings from children's art therapy and recreates some of those scenes with toys and photographs them.

CNN's Asieh Namdar talked to McCarty about how art therapy is helping kids open up about war, living with fear and day-to-day reality for them.

CNN: How did this idea of "War-Toys" get started?

McCarty: It started 14 years ago at an exhibit in Zagreb, after the Croatian war of independence. I chose to do a study of war toys as cultural artifacts, and as a tool for getting perspective on war. But it was in the abstract form; it wasn't tied into cultural or personal experiences. Over the years I started to see the potential of toys for healing and communication. So War-Toys in a nutshell allows children to articulate their experiences of war, occupation, terrorism through a collaborative process. It's all based on art therapy and play therapy. I essentially go and interview kids, working with established therapists. You ask them to draw a picture or write a letter, and somehow they express what they've seen, what they feel, what they've heard. And from those drawings, I then go and buy local toys, and recreate at the actual locations, what they've described.

(CNN Photos: See images from the War-Toys project)

CNN: What drew you to kids in the Israeli-Palestinian conflict?

McCarty: I chose the Israeli-Palestinian conflict because the region has been in conflict since the dawn of humanity. It is a reflection of the flaws of human nature -- a place where there is a very definite two sides. It's a place ruled by passions and faith. So far I've only been to the West Bank and Israel. I've worked mostly with the Palestinians. Going forward, I want to work with the Israelis. It's really important to me that the project is completely neutral. I want to show all sides of the conflict, and show the cost of the conflict from the kids, who are just stuck in the middle of this whole mess.

CNN: How does art and play therapy work?

McCarty: Art therapy is a way to really have a child be in control and express his or her feelings and emotions from a very safe place. I've been working with some amazing art therapists. Art therapy bridges so many gaps. Children are smart. They know what's going on, they know what's happening -- they have emotions attached to it all. But their language abilities may not be there, so they can never sit there and tell you, "This is what happened to me, this is what I feel about it." So as a result, their accounts of war aren't seen or aren't valued. What they draw brings their experience to life, and I try to capture that. Same can be said for play therapy -- it's even harder to quantify. It's children in a room playing with toys, and a trained therapist watching how they play with toys, asking questions and getting them to explain what happened. It's really the only recognized way to deal with children in PTSD (post-traumatic stress disorder) situations, war and that sort of thing. We'll pick the drawings we can capture in a photograph.

CNN: What is your role during therapy sessions?

McCarty: In the therapeutic setting, my role is observer. I rely on humanitarian organizations with ongoing art therapy and play therapy programs. It's not wise for me to work with the kids directly. In that moment, it would be irresponsible for me to get involved in that way. My biggest fear is to be exploitative, or cause any more harm than these kids have already gone through. It's a real danger, and I'm kind of walking a fine line.

CNN: What's been the kids' reaction so far?

McCarty: Children in the therapeutic process in the art process are generally excited, because they're drawing -- it's fun. They rush to grab the pastels and the pieces of paper, and they carve out little spots on the floor, and it's adorable. But the drawing can also be disturbing. I watched a little girl coloring in pools of blood. It was hard, it took a lot out of me. After I'd done some of the photographs, I brought them back to the kids and showed them the drawings they had done next to the photographs that I did, and their reaction was wonderful. The kids loved them, they went crazy for them: "This is exactly what we're feeling, this is wonderful." The art, for as painful as it was for me to watch, (the kids) were expressing themselves, and able to do so freely. I absolutely saw a release when they were doing the art. One asked ... "Why toys?" He was offended -- he asked me why I was shooting toys, and not the reality on the ground? That gave me the chance to conceptually defend the project to a child. And it was a challenge. I was not expecting it. I was able to say this is my method of communication, this is how I get context and boil down what's happening --- a new way of thinking and seeing. It takes quite a long time for the therapeutic process to really have an effect. But to have someone interested in their perspective, to have someone listening to them and someone who wanted to see what they were drawing, that alone kind of validates humans and makes it better.

CNN: What is the most memorable experience so far?

McCarty: The most overwhelming experience was just shooting video at the barrier wall just inside of the West Bank at the Kalandia checkpoint. The day that I picked happened to be a day that there was a giant protest. I'll never forget a child who drew an account of a shooting by the wall: a little boy being shot in the head. When the boy drew it, you could tell he was really emotional, and he went so far as to cross out the drawing after making it, so I really wanted to do it right. So I went to the wall and set up some toy soldiers, set up a little boy, put down fake blood. Right about then, the protesters showed up en masse, marched on the checkpoint. It was chaos, screaming, running, tear gas. What's remarkable to me looking back, my own reaction. I didn't acknowledge them, just focused on my own shoot. The project isn't about my experiences of war, it's about the kids, it's about articulating what they felt and what they've seen; so my experiences are secondary.

CNN: Where do you want to see yourself in a few years from now?

McCarty: It's hard to say exactly where I'll end up. It depends on funding, of course, but I've thought about Somalia, thought about Afghanistan, I've thought about Iraq, I've thought about Mexico and the drug wars. Really wherever these things are happening and I think that children's perspectives are either underserved or unseen. That's the motivation for it. My goal for War Toys is to use locally bought toys, to really go to the markets and the places where the children who live there buy their toys, or in some cases, make their toys. But the idea has been to use the toys to reflect socioeconomic conditions. If it's a poor neighborhood you'll have cheaper toys. Those differences to me just add another layer of commentary to the project.

CNN: And finally, you've had success with your photography using toys as subject matter. Why toys?

McCarty: I am definitely still a kid at heart. My house looks like a rich fourth grader lives there. I'm still a kid. I think through toys. It's how I view the world, it's how I interact with the world, it's how I make sense of the world.

@highlight

Photographer Brian McCarty has used toys in his art projects for years

@highlight

His latest work is combined with a children's therapy effort

@highlight

His photographs aim to show the conflict from the kids' perspectives