(CNN) -- Saudi Arabia's oil reserves may have been grossly overestimated and its capacity to continue pumping at current capacity exaggerated, according to a U.S. diplomatic cable sent from the kingdom in 2007.

The cable, obtained by WikiLeaks and published in the British newspaper The Guardian, cited the views of Sadad al-Husseini, who had been in charge of exploration and production at the Saudi state-owned company Aramco for 12 years until 2004.

Saudi Aramco dominates exploration and production in the kingdom.

"According to al-Husseini, the crux of the issue is two-fold," the cable says. "First it is possible that Saudi reserves are not as bountiful as sometimes described and the timeline for their production not as unrestrained as Aramco executives and energy optimists would like."

Al-Husseini is quoted as disagreeing with his former company's estimate of total reserves in Saudi Arabia, the world's largest oil producer.

"He believes that Aramco's reserves are overstated by as much as 300 billion barrels of 'speculative resources.' He instead focuses on original proven reserves."

Al Husseini forecasts "a plateau in total output that will last approximately fifteen years," meaning that soon after 2020 "a slow but steady output decline will ensue and no amount of effort will be able to stop it."

The former Aramco executive's forecast was based on Saudi Arabia's stated goal of producing 12.5 million barrels per day by 2009. Industry commentators say it has fallen short of that goal because of the global economic slowdown and insufficient global refining capacity.

According to the U.S. Energy Information Administration, Saudi Arabia produced 8.4 million barrels per day of crude oil in 2010, and around 1.8 million barrels per day of natural gas. But less was available for export because of rapidly increasing domestic demand.

And as global demand recovers, driven by India and China, the price of crude oil has risen sharply. In the long term, Al Husseini sees an "underlying reality that global demand has met supply," according to the cable. "Due to the longer-term constraints on expanding global output, al-Husseini judges that demand will continue to outpace supply and that for every million-barrels-per-day shortfall that exists between demand and supply, the floor price will increase by $12 (per barrel)," the cable says.

Oil industry observers say that while there have been significant finds of crude in recent years -- especially off the coast of Brazil and West Africa -- some fields are in deep water and will be difficult to recover. And they are not big enough to alter the fundamental picture with "super-fields" like the Ghawar field in Saudi Arabia beginning to decline.

However, new reservoir technologies may allow producers to exploit reserves that are currently inaccessible. In Saudi Arabia's case, that amounts to an estimated 360 billion barrels.

Oil industry analysts point out another variable: the use of alternative energy sources. A U.S. cable from 2009 says the Saudis want to develop renewable energy sources, including nuclear power, to meet the rapidly growing demand for electricity. That could have the effect of reducing the need to divert crude from exports to fuel domestic electricity generation.

The 2009 cable says analysts believe "a civilian nuclear program ... is the only possibility the Kingdom has to generate sufficient electricity to meet projected demand from economic and population growth and increasing affluence without wastefully burning large quantities of fuel oil."

Last year Saudi Arabia announced plans to built two nuclear power plants.

@highlight

U.S. cables from Saudi Arabia in 2007 were released by WikiLeaks

@highlight

Former Aramco executive predicted a slow decline in Saudi oil output after 2020

@highlight

Sadad al-Husseini disagreed with estimate of as many as 300 billion barrels of reserves

@highlight

2009 cable cites analysts who say nuclear power is kingdom's only recourse to meet demand