(CNN) -- In the wake of the important decision by the Environmental Protection Agency to block mining in Alaska's Bristol Bay in order to protect the wild salmon population there, it's a good moment to take stock of the many dangers facing our world's waterways -- and our world's fish. It turns out the wild salmon of Bristol Bay are one of the five least toxic fish to eat around the globe and thankfully will stay that way, thanks to the Obama administration. But what are the other four? And why are the world's fish and water under such threat?

A range of abuses of the environment flow into each other in our world's oceans and lakes and rivers. There's marine pollution in which garbage is intentionally disposed of or carelessly dropped into our waters to such an extent that, for instance, in the north Pacific, there is actually a giant swirling vortex of garbage estimated to be the size of Texas.

Then there's climate change. Our world's oceans have already absorbed 80% of the additional global heat that has been added to our climate system and absorbed 33% of the carbon dioxide humans have emitted into the atmosphere.

Add to that over-fishing. With the world's fish supplies already cut down by environmental hazards, mass fishing technologies like bigger boats and bigger nets have cut the fish population even further, which in turn limits reproduction and natural repopulation.

A stunning three-quarters of the world's fish supply is being harvested faster than the fish can reproduce. And 80% of the world's fish have already been fully exploited or are facing perilous decline.

And then the fish that survive are sick. Water runoff dumps poisons like industrial PCBs, heavy metals, including mercury and lead, agricultural pesticides and sewage system effluents directly into our water. Fish eat or absorb that poison and when you eat the fish, those toxins are passed onto you, often at dangerous levels.

So what's an omnivore to do? Fortunately, there are good fish -- fish that are healthy to eat and responsibly caught in ways that are good for the health of other fish and our oceans.

According to SeafoodWatch.org, a helpful resource on these issues, healthy fish must have low levels of mercury and provide high levels of Omega-3s (the good oils our bodies can and should be getting from eating fish). Plus healthy fish are caught or farmed responsibly, which prevents endangered fish populations -- yes there are many -- and ensures that dolphins or other sea creatures aren't harmed by fishing nets.

So what are the best fish to eat? According to SeafoodWatch, in addition to Alaska's wild caught salmon (the salmon now thankfully preserved in Bristol Bay and beyond), you want to go with canned wild Alaska salmon, Atlantic mackerel and freshwater Coho salmon. Also... sardines, the subject of the video at the top of this story. Wild-caught Pacific sardines are plentiful and quick to reproduce and don't eat a lot of toxins during their short lives. And they can taste great, especially if you find larger filets and grill 'em up. Those are the best of the best.

SeafoodWatch also counts as healthy choices sablefish/black cod from Alaska and the Canadian Pacific, and troll- or pole-caught albacore tuna from the United States or British Columbia. And if you can't get these, there are less sustainable and only sorta-toxic options in between, but it's best to avoid the "dirtiest of the dirty" fish, which include imported catfish and shrimp, bluefin tuna and Chilean sea bass.

In general, stick with the fish on the healthy list, and you'll be doing your body and the planet a big favor.

Responsible fish eating won't solve all our ocean and fish problems around the globe. We still have to stop polluting the oceans and address climate change, which is hurting our nation's water. But for starters, one thing you can do when you go out to eat or cook at home is pick fish that are good for you and good for the planet. It's a simple and delicious step in the right direction.

A recipe for a tasty grilled sardine dish accompanies this article. Care to share yours in the comments below?

@highlight

Sally Kohn: EPA is blocking mining in Alaska's Bristol Bay to protect the healthy wild salmon

@highlight

Kohn: Pollution, climate change, overfishing threaten our stock of fish that are best to eat

@highlight

Kohn: One of the best is the Alaska wild salmon, another is tasty, healthy sardines

@highlight

Check out the easy recipe for grilled sardines from a Brooklyn, New York, chef