(CNN) -- In light of the botched Christmas Day airliner bombing aboard Northwest Airlines Flight 253 en route from Amsterdam to Detroit, the Transportation Security Administration has announced new enhanced "guidelines" requiring airline passengers traveling from (and through) 14 different countries to undergo especially rigorous security screening before being able to fly into the United States.

Under these new TSA guidelines, security screeners will conduct "full pat-down body checks" and extensive carry-on luggage checks for all passengers traveling from a country which the U.S. considers to be a "security risk."

These 14 countries are: Afghanistan, Algeria, Cuba, Iraq, Iran, Lebanon, Libya, Nigeria, Pakistan, Saudi Arabia, Somalia, Sudan, Syria and Yemen. Additionally, passengers traveling from any other foreign country may also be checked at 'random' as well.

These new rules mean that "every individual flying into the U.S. from anywhere in the world traveling from or through nations that are state sponsors of terrorism or other countries of interest will be required to go through enhanced screening," the TSA said.

On its face, this clear use of ethnic, racial and religious profiling will not achieve greater security in the long term for our country. In fact, by targeting only certain passengers for additional screening, "blind spots" can be easily identified and duplicitously exploited by violent extremists wishing our country harm.

Defenders of the new rules might say they're only profiling people coming from certain countries, but the fact that 13 of the 14 are Muslim countries makes clear the religious nature of the profiling.

This new policy deeply undermines the Obama administration's stated commitment to civil rights, equality before the law, and a much-needed effort to rebuild U.S.-Muslim world relations since the disastrous presidency of George W. Bush.

Under international law, countries including the United States that use race, color, ethnicity, religion or nationality as a proxy for criminal suspicion are in violation of international standards against racial discrimination and multiple treaties to which the U.S. is a party.

These include the U.N. Convention for the Elimination of All Forms of Racial Discrimination (CERD) and the International Convention on Civil and Political Rights (ICCPR).

The clear alternative is for law enforcement agencies to focus on actual criminal behavior rather than solely on characteristics such as race, religion, ethnicity, or nationality. Senior international security experts have suggested, for example, that such an approach would have increased the chances that suspected shoe-bomber Richard Reid would have been stopped before he successfully boarded an airplane he intended to attack in December 2001. Among the red flags were that Reid bought a one-way ticket with cash and had no checked luggage.

For years, the concept of "racial profiling" has reportedly undermined important terrorist investigations here in the United States. Most notably, these examples include the April 1995 Oklahoma City bombing in which the two white male domestic terrorists, Timothy McVeigh and Terry Nichols, were able to flee while officers operated on the theory that the act had been committed by "Arab terrorists" for the first 48 hours of the investigation.

Similarly, during the October 2002 Washington-area sniper investigation, the African-American man and boy ultimately accused of the crime reportedly were able to pass through multiple road blocks with the alleged murder weapon in their possession, in part, because police 'profilers' theorized the crime had been committed by a white male acting alone.

According to a report last summer by the American Civil Liberties Union and the Rights Working Group to the U.N. Committee on the Elimination of Discrimination: "Both Democratic and Republican administrations [in the United States] have acknowledged that racial profiling is unconstitutional, socially corrupting and counter-productive, yet this unjustifiable practice remains a stain on American democracy and an affront to the promise of racial equality."

In fact, not only do such "racial profiling" practices waste limited resources, they simply make us less safe. For example, the arrests of John Walker Lindh (a white, middle-class man better known as the 'American Taliban') and Richard Reid (a British citizen of West Indian and European ancestry now serving a life sentence at the Supermax prison in Colorado) confirm that effective law enforcement techniques must rely solely on criminal behavior and not race, religion or nationality in order to ensure our citizens' security.

As the San Diego Union-Tribune said in an editorial: "The minute U.S. officials put out the word that they're not scrutinizing people with blond hair and blue eyes is the minute that al Qaeda starts recruiting people with blond hair and blue eyes. Would looking for Arab-Americans have turned up a passenger that resembled "American Taliban" fighter John Walker Lindh? Would applying extra scrutiny to people with foreign-sounding names have kept would-be shoe bomber Richard Reid off a plane?"

Of course not.

Even conservative Republicans like former House Speaker Newt Gingrich have argued that behavioral (and not racial/ethnic) profiling is the best way to prevent terrorist attacks on our country.

"We need to have the knowledge to be able to profile based on behavior," Mr. Gingrich recently said on ABC's "Good Morning America" while discussing the recent Christmas Day foiled bombing. "Not racial profiling or ethnic profiling, but profiling based on behavior and then, frankly, discriminating based on behavior," he continued during the same interview.

As our national debate on the phenomenon of "racial profiling" emerges once again, let's remember these words of the Chairman of the House Judiciary Committee, Congressman John Conyers of Michigan:

"If Dr. Martin Luther King Jr. were alive today ... he would tell us we must not allow the horrific acts of terror that our nation has endured to slowly and subversively destroy the foundation of our democracy."

The opinions expressed in this commentary are solely those of Arsalan Iftikhar

@highlight

New TSA rules amount to ethnic and religious profiling, says Arsalan Iftikhar

@highlight

He says profiling will create blind spots terrorists can exploit

@highlight

Iftikhar says scrutinizing behavior is the best way to detect terrorist plots

@highlight

Policy deeply undermines Obama administration's commitment to civil rights, he says