(CNN) -- Netflix knows you well.

The streaming and DVD service knows what you've rented and streamed and how long it took you to watch. It knows what genres you like and what performers you prefer. Who knows? It may even have an idea whether you prefer your popcorn lightly salted or slathered with butter. (Don't want the rest of the world to know? It's also testing a privacy mode.)

It has taken this knowledge and managed to produce a few hits of its own -- not just with audiences, but also within the industry.

Netflix is having a moment. Its series, such as "House of Cards" and "Orange Is the New Black," recently picked up 31 Emmy nominations. Wall Street approves of the strategy, having bid up Netflix's share price 10-fold in the last five years.

Emmy nominations 2014: What we learned

And the audience? Netflix just announced it has cracked 50 million subscribers, more than double the number it had just four years ago.

It has taken some old showbiz lessons -- trust the creatives, budget them appropriately -- and added some new twists: Binge-watching. Deep data mining. Exploiting the catalog as if there were nowhere else to go. (From the comments on this Mashable piece, you'd think Netflix owned the only copy of "Big Daddy" and had it transferred to flammable nitrate stock.)

Can it maintain its dominance? It wasn't so long ago that the place was posting losses and alienating customers. Pop culture doesn't sit still, and neither does business. Netflix, which helped drive Blockbuster into oblivion, has to watch challenges from distributors such as Amazon and Hulu -- not to mention stay friendly with content providers like movie studios.

In the meantime, however, Netflix can offer a few lessons on how to scale the media mountain.

1. It's not TV, it's Netflix.

In an interview with CNN's Brian Stelter, Netflix chief content officer Ted Sarandos made it clear Netflix wasn't going to operate by conventional TV rules.

"Every kind of flavor of (traditional TV) should go out the window, as we have conditioned the universe to expect instant gratification by the Internet," he said.

Netflix's plan is multifaceted. It has its original series, which give it cachet. But a majority of Netflix watching is of old TV series, as if the service is an old UHF channel offering reruns of classic shows. And then there's the binge-watching, something anyone who's ever sat down for a "Law & Order" marathon is quite familiar with.

Finally, there's the library: tens of thousands of titles at your fingertips.

Netflix is on target with its focus on "instant gratification," said Jim McKairnes, a former CBS executive who's now the Verizon Chair in Global Broadband and Telecommunications at Temple University. Today's audiences -- particularly younger viewers -- want what they want, when they want it. They have no concept of "sitting down to watch TV," he said. "That's a concept foreign to them. It's like trying to tell them what a phone booth is."

There's also something else: Money.

Broadcast and most cable networks are dependent on advertiser dollars. Netflix takes cash directly from subscribers. Comparing Netflix with traditional TV networks is like comparing "apples and furniture," McKairnes said.

2. Dig your data.

It's worth noting that Reed Hastings, who co-founded Netflix with Marc Randolph in 1997, isn't from TV or movies. He's a techie, having made his first fortune with a software development company.

So a number of Netflix's moves have been more striking in terms of technology than pop culture storytelling. Netflix was built for the Internet -- not for brick-and-mortar strip malls, like Blockbuster, its early competitor -- and embraced streaming as soon as broadband became widespread. Moreover, in 2005 it sponsored a $1 million "Netflix Prize" to go to the software designer who could best improve Netflix's algorithm -- and the improvements weren't even used.

"House of Cards," its first major original success, was built as much on data as it was content. "Because we have a direct relationship with consumers, we know what people like to watch and that helps us understand how big the interest is going to be for a given show," Netflix's Jonathan Friedland told The New York Times.

3. Know your customers.

Ah, the customer. For all the TV and movies we consume, it's surprising sometimes how little attention is paid to our desires. Shows are canceled or moved, quality is inconsistent and viewers are subjected to minor annoyances.

Take one example: NBC's "The Blacklist." Next season, McKairnes observed, NBC is going to split its season in two. The show will debut in fall, take a break for the holidays and the Super Bowl, then return on a new night. The strategy runs the risk of alienating the show's fan base, he said.

"I don't know if the Netflixes of the world would do that in terms of pissing off their customers," McKairnes said.

And that's the thing. Netflix treats the customer well, said brand marketing authority Jeetendr Sehdev.

"They have been very insight-oriented -- they've listened very carefully to the audience, been able to project audience's behaviors and they've developed services and a product operating around that," he said.

That builds goodwill, he added.

"Audiences are far more willing to forgive brands that behave authentically and whose intentions are good," said Sehdev. "(Netflix is) such a human, intimate, audience-centric brand. Even if they fail, that will be seen as being coherent with its brand image."

4. Trust the creatives.

In a speech at last year's Guardian Edinburgh International Television Festival, "House of Cards" star and producer Kevin Spacey -- a biased party, to be sure -- said he and the show's other producers, David Fincher and Beau Willimon, appreciated the service's willingness to take chances.

"Netflix was the only company that said, 'We believe in you. We've run our data, and it tells us our audience would watch this series,' " he said.

Jenji Kohan, the creator of "Orange Is the New Black," agreed. Her show was turned down by both Showtime and HBO before Netflix grabbed it. The service "pretty much bought it in the room," Kohan told The New York Times.

It's an old lesson, but one that has to be consistently relearned, said McKairnes.

"HBO started it in the late '90s -- that's when broadcast network television was looking over its shoulder -- and AMC set the bar, and now Netflix is raising it," he said. The common bond: trusting creative types and letting them do their thing.

5. Get cool.

"Chelsea Lately" host and comic author Chelsea Handler summed up a world of admiration about joining Netflix, where she's scheduled to host a variety of programs, including a new talk show.

"I'm more excited than I've been in awhile, and the team at Netflix is the most forward thinking, alert group I've sat down with in ages," she said in a statement last month.

The Emmy nominations -- which also included nods for Ricky Gervais' "Derek" -- only added to the buzz around the service.

Netflix's shows are built around storytelling, and Spacey -- reiterating a point made by the late director David Lean -- noted that the movie studios' blockbuster mentality runs counter to storytelling. The movie business needs to be more flexible, said Spacey, so it can have both.

Could Netflix have an effect on the movie business?

Not right now, said University of Nebraska film professor Wheeler Winston Dixon. Their business is less about storytelling and more about spectacle.

"The main thing studios have to do is to get people off the couch and into the theaters, and the thing that's going to do that is a huge blockbuster spectacle which offers IMAX, 3-D, blasting sound," he said.

Still, with this summer's dismal domestic box office -- based on play-it-safe big-budget tentpoles and sequels filled with computer graphics -- it's worth watching if change is in the wind.

6. Watch -- out.

If all the praise Netflix has earned sounds familiar, it's because we've seen this show before. The golden child is placed on a pedestal by the media and then knocked to the ground, or simply ignored.

Netflix has been called the "new HBO," but the old HBO was just as golden as Netflix in the early 2000s, before shows like "John from Cincinnati" came along. (It has since recovered much of its luster.) AMC was magical when "Mad Men" and "Breaking Bad" were peaking, less so after "Cold Winter Sun" and "The Killing."

Even Pixar, sainted Pixar, has dropped a notch or two from the days before it started revving the wanly reviewed "Cars." (In Pixar's defense, "Cars" has been a merchandising bonanza.)

Netflix has had its share of missteps. There was the Qwikster debacle, in which an attempt at a DVD-only service failed. (To its credit, the company quickly apologized.) It's currently attracting negative notice for stopping Saturday DVD mailings, because not everyone has signed up for streaming.

Its series "Lilyhammer" and "Hemlock Grove," though both renewed, haven't received a great deal of attention. Another original, "Bad Samaritans," barely registered at all.

Now other series are in the works, and may be hit or miss. One recent Netflix announcement said siblings Lana and Andy Wachowski, of "The Matrix" fame, are developing a show called "Sense8." Given the Wachowskis' recent track record, that show could go either way.

Still, Netflix appears to have a plan. And as the service blazes its trail, it's certainly worth watching, said McKairnes.

"This is a whole new world," he said. "I wouldn't even know how to describe what failure is yet. I don't know that anybody does in the world of streaming."

HBO is a unit of Time Warner, as is CNN.

@highlight

Netflix has plenty of buzz

@highlight

Service picked up 31 Emmy nominations

@highlight

Netflix caters to instant-gratification consumerism

@highlight

Can other media learn from Netflix's success?