Editor's note: Eve Ensler is the playwright of "The Vagina Monologues" and the founder of V-Day, a global movement to end violence against women and girls. V-Day has funded over 10,000 community-based anti-violence programs and launched safe houses in the Democratic Republic of Congo, Haiti, Kenya, South Dakota, Egypt and Iraq. This commentary was adapted from remarks Ensler made Wednesday to the Senate Foreign Relations Subcommittee on African Affairs and the Subcommittee on International Operations and Organizations, Human Rights, Democracy and Global Women's Issues.

Playwright Eve Ensler says conflict in Congo is taking a terrible toll on women and girls.

(CNN) -- I write today on behalf of countless V-Day activists worldwide, and in solidarity with my many Congolese sisters and brothers who demand justice and an end to rape and war.

It is my hope that these words and those of others will break the silence and break open a sea of action to move Congolese women toward peace, safety and freedom.

My play, "The Vagina Monologues," opened my eyes to the world inside this world. Everywhere I traveled with it scores of women lined up to tell me of their rapes, incest, beatings, mutilations. It was because of this that over 11 years ago we launched V-Day, a worldwide movement to end violence against women and girls.

The movement has spread like wildfire to 130 countries, raising $70 million. I have visited and revisited the rape mines of the world, from defined war zones like Bosnia, Afghanistan and Haiti to the domestic battlegrounds in colleges and communities throughout North America, Europe and the world. My in-box -- and heart -- have been jammed with stories every hour of every day for over a decade.

Nothing I have heard or seen compares with what is going on in the Democratic Republic of Congo, where corporate greed, fueled by capitalist consumption, and the rape of women have merged into a single nightmare. Femicide, the systematic and planned destruction of the female population, is being used as a tactic of war to clear villages, pillage mines and destroy the fabric of Congolese society.

In 12 years, there have been 6 million dead men and women in Congo and 1.4 million people displaced. Hundreds and thousands of women and girls have been raped and tortured. Babies as young as 6 months, women as old as 80, their insides torn apart. What I witnessed in Congo has shattered and changed me forever. I will never be the same. None of us should ever be the same.

I think of Beatrice, shot in her vagina, who now has tubes instead of organs. Honorata, raped by gangs as she was tied upside down to a wheel. Noella, who is my heart -- an 8-year-old girl who was held for 2 weeks as groups of grown men raped her over and over. Now she has a fistula, causing her to urinate and defecate on herself. Now she lives in humiliation.

I was in Bosnia during the war in 1994 when it was discovered there were rape camps where white women were being raped. Within two years there was adequate intervention. Yet, in Congo, femicide has continued for 12 years. Why? Is it that coltan, the mineral that keeps our cell phones and computers in play, is more important than Congolese girls?

Is it flat-out racism, the world's utter indifference and disregard for black people and black women in particular? Is it simply that the UN and most governments are run by men who have never known what it feels like to be raped?

What is happening in Congo is the most brutal and rampant violence toward women in the world. If it continues to go unchecked, if there continues to be complete impunity, it sets a precedent, it expands the boundaries of what is permissible to do to women's bodies in the name of exploitation and greed everywhere. It's cheap warfare.

The women in Congo are some of the most resilient women in the world. They need our protection and support. Western governments, like the United States, should fund a training program for female Congolese police officers.

They should address our role in plundering minerals and demand that companies trace the routes of these minerals. Make sure they are making and selling rape-free-products. Supply funds for women's medical and psychological care and seed their economic empowerment. Put pressure on Rwanda, Congo, Uganda and other countries in the Great Lakes region to sit down with all the militias involved in this conflict to find a political solution.

Military solutions are no longer an option and will only bring about more rape. Most of all, we must support the women. Because women are at the center of this horror, they must be at the center of the solutions and peace negotiations. Women are the future of Congo. They are its greatest resource.

Sadly, we are not the first to testify about these atrocities in Congo. I stand in a line of many who have described this horror. Still, in Eastern Congo, 1,100 women a month are raped, according to the United Nations' most recent report. What will the United States government, what will all of you reading this, do to stop it?

Let Congo be the place where we ended femicide, the trend that is madly eviscerating this planet -- from the floggings in Pakistan, the new rape laws in Afghanistan, the ongoing rapes in Haiti, Darfur, Zimbabwe, the daily battering, incest, harassing, trafficking, enslaving, genital cutting and honor killing. Let Congo be the place where women were finally cherished and life affirmed, where the humiliation and subjugation ended, where women took their rightful agency over their bodies and land.

The opinions expressed in this commentary are solely those of Eve Ensler.

@highlight

Eve Ensler: War in Congo is targeting girls and women

@highlight

She says rape is being used as a weapon, with 1,100 raped each month

@highlight

Western governments, including the U.S., need to protect Congo's women, she says