(CNN) -- Google Chairman Eric Schmidt has been thinking a lot about our digital future.

Maybe that's not a big surprise for a man whose company has played a major role in shaping our 21st-century lives, from how we find information to how we use our phones.

It's that role, perhaps, that has made Schmidt's new book, "The New Digital Age: Reshaping the Future of People, Nations and Business," so widely anticipated.

The book, out Tuesday, is co-written with Jared Cohen, a former U.S. State Department terrorism adviser who now heads up Google Ideas, the company's think tank. In it, the authors consider what our world will be like when everyone on Earth is connected digitally. (Schmidt believes this will happen by the end of the decade).

Read: Let's get everyone online ASAP

A universal Web, the authors say, will be an inevitable outcome of a world that's increasingly being driven by technology. But instead of an ominous sci-fi vision of a planet run by robot overlords, they envision a world that will be shaped, for better or worse, by us.

"This is a book about technology, but even more, it's a book about humans and how humans interact with, implement, adapt to and exploit technologies in their environment, now and in the future ...," they write. "For all the possibilities that communication technologies represent, their use for good or ill depends solely on people. Forget all the talk about machines taking over. What happens in the future is up to us."

Here are six predictions Schmidt and Cohen make about the future of the Web:

Online privacy classes will be taught alongside sex education in schools.

"Parents will ... need to be even more involved if they are going to make sure their children do not make mistakes online that could hurt their physical future. As children live significantly faster lives online than their physical maturity allows, most parents will realize that the most valuable way to help their child is to have the privacy-and-security talk even before the sex talk."

Conversely, they say, "Some parents will deliberately choose unique names or unusually spelled traditional names so that their children have an edge in search results, making them easy to locate and promotable online without much direct competition."

The rise of the mobile Web means the entire world will be online by 2020.

"What might seem like a small jump forward for some -- like a smartphone priced under $20 -- may be as profound for one group as commuting to work in a driverless car is for another," they write. "Mobile phones are transforming how people in the developing world access and use information, and adoption rates are soaring. There are already more than 650 million mobile-phone users in Africa, and close to 3 billion across Asia."

One example they cite of how mobile is already changing lives: Congolese fisherwomen who used to take fish to the market, only to sometimes watch their catch spoil, now leave their fish in the water and wait for calls from customers.

News organizations will find themselves out of the breaking-news business, as it becomes impossible to keep up with the real-time nature of information sources like Twitter.

"Every future generation will be able to produce and consume more information than the previous one and people will have little patience or use for media that cannot keep up," the authors say.

"News organizations will remain an important and integral part of society in a number of ways, but many outlets will not survive in their current form -- and those that do survive will have adjusted their goals, methods and organizational structure to meet the changing demands of the new global public."

Online "cloud" data storage will continue to emerge as the norm, and that's going to radically change how we view privacy.

"The possibility that one's personal content will be published and become known one day -- either by mistake or through criminal interference -- will always exist. People will be held responsible for their virtual associations, past and present, which raises the risk for nearly everyone since people's online networks tend to be larger and more diffuse than their physical ones," they write.

"Since information wants to be free, don't write anything down you don't want read back to you in court or printed on the front page of a newspaper, as the saying goes. In the future, this adage will broaden to include not just what you say and write, but the websites you visit, who you include in your online network, what you 'like,' and what others who are connected to you say and share."

As the Web expands, revolutions will begin springing up in nations with oppressive governments "more casually and more often than at any other time in history."

"With new access to virtual space and to its technologies, populations and groups all around the world will seize their moment, addressing long-held grievances or new concerns with tenacity and conviction. Many leading these charges will be young, not just because so many of the countries coming online have incredibly young populations ... but also because the mix of activism and arrogance in young people is universal."

More people will use technology for terror. But a Web presence will make those terrorists easier to find, too.

"Many of the populations coming online in the next decade are very young and live in restive areas, with limited economic opportunities and long histories of internal and external strife. ... Terrorism, of course, will never disappear, and it will continue to have a destructive impact," the authors write.

"But as the terrorists of the future are forced to live in both the physical and the virtual world, their model of secrecy and discretion will suffer. There will be more digital eyes watching, more recorded interactions, and, as careful as even the most sophisticated terrorists are, even they cannot completely hide online."

@highlight

In new book, Google Chairman Eric Schmidt says Web will be everywhere soon

@highlight

Schmidt and co-writer Jared Cohen note rise of mobile in Africa and Asia

@highlight

Cloud storage will prevail, they say, meaning privacy thoughts will change

@highlight

Terrorism may benefit from expanded Web, but also get easier to catch