(CNN) -- As easier-to-extract fossil fuels are depleted, techniques that involve more effort, environmental destruction and carbon emissions are being developed.

Each new wave of more extreme extraction methods, be it tar sands, deep water drilling or mountain top removal, brings a new level of destruction to the area concerned.

In the UK, gas production from the North Sea is in terminal decline.

Prices have risen and consumption is falling. It is within this context that the UK government has proposed building up to 40 new gas-fired power stations in the hope that some unconventional gas will be found to fuel them. This apparently insane gamble does have some, admittedly warped, reasoning behind it.

The threat to the energy corporations, whose influence in government is huge, is not energy shortages, from which they will profit handsomely, but sensible energy conservation which will make people less dependent on them. Whatever the outcome of that gamble, higher prices and less gas are assured, but the destruction of communities and the environment however, is something we do have a choice about.

In the U.S., the shale gas boom is fast turning into a bust. Fracking companies are losing money hand over fist, drilling has slumped, prices are rising and gas production looks set to decline. The drop in demand due to the 2008 recession is what has lowered U.S. natural gas prices and emissions, not shale gas. It is clear that the idea being pushed of a shale-fuelled economic miracle is just so much hot air, fuelled by the usual irrational exuberance.

The impact which a desperate scramble for unconventional gas will have on the UK would be profound. The tens of thousands of wells and thousands of miles of pipelines would have a vast greater impact than has been seen in the U.S. or Australia. The UK is one of the most densely populated countries in the world. As the evidence of water contamination, air pollution and health effect from the U.S. and Australia mounts up, people in the UK are scared.

The UK government is preparing to sell off over half the country for fracking in the next year. It has instituted an Office of Unconventional Gas and Oil to cut though what little regulations previously existed. Plans are also afoot to take planning decisions about these developments out of the hands of regional governments so that local communities will have even less influence of the outcomes.

On a global scale the threat from the exploitation of unconventional gas is even more dire. We cannot afford to burn the all the conventional fossil fuel reserves. The three main unconventional gas techniques are shale gas, coal bed methane (CBM/CSG) and underground coal gasification (UCG), which literally involved setting fire to coal seams underground to exploit the energy released. Between them they could unlock enough carbon to cause a five to 10 degrees Celsius global temperature increase.

In the UK, as with many countries around the world, ordinary people are organizing to resist this invasion of their communities. Groups are being formed, public meetings are being held, films are being made and protests are being organized.

People in the UK do not believe that their health and well-being should be sacrificed for the profit of a few. We take particular heart from Australia where a growing movement of organized communities appears to having some success in resisting the spread of fracking companies.

The message is clear -- fracking and associated extreme energy methods like tar sands extraction, are intrinsically destructive to people and the planet.

They must and will be opposed wherever they are being imposed on communities. In the end, fracking is a road to nowhere and the sooner we start heading back towards safety ground the better it will be for all of us.

@highlight

UK campaigners: Shale gas exploration have greater impact in UK than in U.S.

@highlight

Frack Off: Unconventional gas unlocking could cause huge global temperature rise

@highlight

Group: Health and well-being of people in UK should not be sacrificed for profit of a few