Several detainees in Libya have died after being tortured in recent weeks, the human rights group Amnesty International said Thursday.

The humanitarian aid group Doctors Without Borders said it was halting its work in detention centers in Misrata because detainees are "tortured and denied urgent medical care."

The agency, known by its French acronym MSF, said it has treated 115 people with torture-related wounds from interrogation sessions.

Christopher Stokes, general director of MSF, told CNN that two detainees died -- one in October and another in November -- within 30 minutes of being interrogated. Autopsies were not carried out, so the cause of death is unknown, he said.

In a statement, Amnesty described "widespread torture and ill-treatment of suspected pro-Gadhafi fighters and loyalists," a reference to those who fought for the regime of leader Moammar Gadhafi until his ouster and death.

"Amnesty International delegates in Libya have met detainees being held in and around Tripoli, Misrata and Gharyan, who showed visible marks indicating torture inflicted in recent days and weeks. Their injuries included open wounds on the head, limbs, back and other parts of the body.

"The torture is being carried out by officially recognized military and security entities as well by a multitude of armed militias operating outside any legal framework," Amnesty said in a statement.

Libyan officials could not be immediately reached for comment.

Interim Prime Minister Abderrahim el-Keib, in a televised addressed Wednesday evening about the state of affairs in Libya, said a plan was in progress to take over prisons partially.

Libya's ambassador to the United Nations, Mohammed Shalgham, told the United Nations on Wednesday that Libya does not approve of any abuse of detainees and was working to stop any such practices.

Amnesty published what it said were quotes from tortured detainees in Misrata.

"Five men in plain clothes took turns beating and whipping me. ... They suspended me from the top of the door by my wrists for about an hour and kept beating me. They also kicked me," one said, according to the human rights group.

"Yesterday they beat me with electric cable while my hands were cuffed behind my back and my feet were bound together. They threatened to send me back to the militia who captured me, who would kill me," said another, according to Amnesty.

MSF said some of the patients its personnel have treated were tortured again after being returned to detention centers.

"Some officials have sought to exploit and obstruct MSF's medical work," said Stokes, the general director.

"Patients were brought to us for medical care between interrogation sessions, so that they would be fit for further interrogation. This is unacceptable. Our role is to provide medical care to war casualties and sick detainees, not to repeatedly treat the same patients between torture sessions."

MSF officials told CNN the injuries included cigarette burns, fractures, and electroshocks, which are "definitely" due to torture. There were also clear signs of beatings, Stokes said.

The detainees with torture wounds includes former fighters in the conflict, "but also people who have been accused of theft," Stokes said.

MSF is continuing its work providing mental health services in Misrata schools and health centers, he said.

Libya faces challenges in building a new nation

Navi Pillay, the U.N. High Commissioner for Human Rights, voiced similar concerns about torture in Libya, sparking the response from Shalgham, Libya's U.N. envoy.

Pillay said the International Committee of the Red Cross had visited more than 8,500 detainees in about 60 places in Libya between March and December.

The majority of the detainees are accused of being Gadhafi loyalists, Pillay said Wednesday.

She said the issue is part of the difficulties Libya is having in law enforcement and security as the country transitions from Gadhafi's rule.

"The lack of oversight by the central authorities creates an environment conducive to torture and ill-treatment," Pillay said.

@highlight

Doctors Without Borders official says two detainees died in custody late last year

@highlight

Libya's ambassador to U.N. said government doesn't approve of abuse of detainees

@highlight

Doctors Without Borders says it has treated 115 people with torture-related wounds

@highlight

Amnesty International says some detainees in Libya have died after being tortured