(CNN) -- How can it be that the number of vulnerable and abandoned children is increasing and the numbers of children finding their "forever families" through adoption is decreasing?

I cannot get my head around this shocking fact. What happens to all these kids who desperately need someone to advocate for their very existence? Where do they go? Who do they turn to? How do they survive?

There are an estimated 151 million orphans in the world, which UNICEF defines as a child that's lost one or more parent. If they were a country, they would together form the 10th largest nation in the world. An estimated 18 million of those have lost both parents -- a figure which would represent 80% of the population of my home country, Australia. I try to imagine what that visual looks like, if one were to Google Map it and hone in on one face staring back at you, wondering if there is anyone out there that cares about them and their circumstance.

I am not a learned scholar or professional worker in international adoption. I am not even an adoption advocate -- I am a child advocate. I am an individual who has witnessed what life is like for children who don't have anyone to watch their back, or teach them right from wrong, to care about what they think or feel, or the basic human need to feel loved, to feel safe and secure and to feel that they actually matter. I believe everyone deserves be the object of someone's affection.

This journey for me began six years ago when I addressed an article I read in my local newspaper in Australia about adoption. After speaking with the paper and getting the headline the next day, I realized this issue needed a voice in Australia. Many people from the community implored me to keep speaking as there was so much frustration surrounding adoption. The main grievance for families was the difficultly to adopt in Australia, where couples could wait as long as 10 years.

I am still talking six years on, having established Adoption Awareness Week Australia. It's a no brainer for me: You have loving families wanting to care for these kids and kids that desperately need a loving home. We just have to work out a way to put these two together.

In my mind one of the greatest crimes of humanity is to take away the innocence of a child, and this is in essence what we are doing if we do not step up and take a look at what is happening to abandoned children all over the world.

These kids have literally no self-esteem, they are depressed and without hope and often in extreme danger of exploitation and abuse. If they are not able to be placed with a permanent family, they are either on the streets and prey to abusive predators or being institutionalized and therefore subject to serious mental health and developmental issues.

Many are caught in the foster care system, whereby they are always vulnerable to being moved from family to family and never have a sense of belonging. The lack of permanency for these kids has a huge effect on their safety and security. Sadly, the trajectory for many kids who age out of the foster care system is homelessness, crime, drugs and incarceration, to name a few of the horrors. These kids are stuck, because governments cannot work out how to parent them.

Intercountry adoption is vulnerable because of corruption of the system.

Profiteering and child trafficking has understandably caused great concern and is the reason why The Hague Convention on Intercountry Adoption was created to combat such abuse. But it should not be the reason to close down programs that serve so many children. Greater measures of accountability need to be in place to combat the rotten part of the system, but don't throw the baby out with the bathwater.

What needs to be addressed is the systemic core of the sending countries. We need to assist countries that have been rife with poverty and war and lack of education for decades. Until we can get at the core of why there are so many young women and unborn/newborn babies with no real support, they will always be vulnerable. By getting to the root of the problems, there is the possibility of creating an environment that will serve families and there will be fewer abandoned children that need to find another family.

My dream would be that there would be no need for adoption and that every child could remain with birth families. When adoption is the best option for these kids, I totally advocate for a well-run system that serves these children and families

I believe the biggest reason that intercountry adoption does not work at an optimum is because we have not put in the mind power and energy and resources needed to create a system that works ethically and expediently.

Some governments don't rate abandoned childrens' issues high on their agenda, unless children are being used as a political pawn, as we witnessed late last year when Russia closed down their program with the U.S.

Even the Russian Children's Rights Commissioner made a statement saying "I think any foreign adoption is bad for the country." Bad for the "country," not specifically bad for the "children."

Thousands of children will have to pay the hefty price of that decision, as they will be institutionalized for the remainder of their childhood, never finding a family of their own.

I implore everyone to speak up on this matter. You don't have to adopt a child to show that you care. Just by acknowledging their existence and maybe doing something as simple as taking a minute to think about their plight may lead to a movement, a change, a chance for a better life.

@highlight

Furness: Number of children globally who have lost both parents nearly equals population of Australia

@highlight

While vulnerable to corruption, the problems of overseas adoption should be solved, not shuttered

@highlight

Governments like Russia have used international adoption as a political chess piece with the U.S.

@highlight

Furness established Adoption Awareness Week Australia to shed light on the orphan plight