San Diego, California (CNN)  -- The Christmas Day attempted attack by would-be "underwear bomber" Umar Farouk AbdulMutallab provoked the U.S. government to plan to spend $1 billion for full body scanners and other bomb-detecting devices at airports.

That's a substantial cost, and it doesn't include the extra wait time passengers will spend in security lines, or the distasteful invasiveness of the scanners. Is the extra security worth it?

Much of the cost of the horrendous attacks on 9/11 was indirect and, in a sense, self-inflicted. Adam Rose of the Department of Homeland Security's Center for Risk and Economic Analysis of Terrorism Events at the University of Southern California directed a careful study. One of its most striking findings was that the standard economic costs of the 9/11 attacks, estimated at $25 billion, were exceeded by the costs of behavioral reactions far from the site of the attack.

More specifically, the U.S. economy lost an additional $85 billion or so because Americans chose not to fly. The decrease in demand for air travel, and thus use of hotels and other tourism costs,  lasted for almost two years, triggering airline bankruptcies and eventually forcing the U.S. government to bail out airlines.

A full accounting of the damage would include the losses at tourist destinations in other countries, lost vacations and lost visits with family and friends. So $85 billion is probably an underestimation.

Those "self-inflicted" costs amounted to about three-quarters of a percent of U.S. GDP, the difference between a quick recovery and a prolonged recession. They were mostly because of what we now know was misplaced fear about the terrorism risk associated with air travel. Flying was actually much safer than the dissuaded passengers thought.

In retrospect, nobody made themselves safer by not flying, since there was no successful second attack over the two years of low demand. The one attempted attack, by shoe bomber Richard Reid in December 2001, was easily foiled by passengers and crew members.

The lesson here is clear. It is not enough for the Obama administration to make air travel safe, it must also control the tendency of the public to exaggerate the risk of terrorism.

To put that risk in perspective: Traffic accidents in the U.S. annually account for about 150 times as many avoidable deaths as there were passengers on Northwest Flight 253 from Amsterdam. Avoidable deaths due to tobacco use and unhealthy diets annually account for 3,000 times as many. Yet the traveling public requires constant reassurance. Full body scanners are a very visible means of protection that help convince travelers that the danger is small.

The public's exaggerated perception of the risk in flying provides terrorist organizations with disproportionate political leverage. This is a mechanism that terrorists exploit. Overreacting to fear over an extremely improbable, albeit horrific, event can severely amplify the damage. Keeping the true level of danger in perspective is therefore an important component of counterterrorism, especially in an economically critical sector such as air travel. An expensive defensive response is thus economically justifiable, even if it seems excessive and intrusive.

President Obama was criticized in the press for not responding more forcefully to an egregious attempted attack carried out against civilians on a national holiday. Instead he seemed to focus on the security lapse and how to improve security coordination. That may not have been the populist choice -- it would have been far more satisfying to hear the president lash out at al Qaeda.

Yet his measured response did seem to reassure the traveling public about the true risk associated with air travel: The AMEX index of airline stocks, which fell by 40.3 percent in September 2001, dropped by only 1.7 percent the day after Christmas, and had recovered completely by the first week in January, as had the stock of the airline itself. It must have been awfully disappointing for AbdulMutallab's handlers back in Yemen to see how American travelers brushed off the threat.

The administration's handling of the Christmas attack may get a C in populist politics, but it gets an A in the economics of counterterrorism. Bring on the scanners.

The opinions expressed in this commentary are solely those of Eli Berman and Lindsay Heger.

@highlight

Authors: U.S. economy lost $85 billion after 9/11 because Americans chose not to fly

@highlight

Berman, Heger: Fears of air travel are exaggerated, giving terrorists leverage

@highlight

Extra security justified if only to allay fears, get Americans in the air again, they write

@highlight

Authors: Obama didn't lash out at al Qaeda, as some wanted, but made a good economic move