Washington (CNN) -- Central American leaders signaled to President Barack Obama they're working on a "comprehensive plan" to address the underlying reasons for the surge of immigrant youth from their countries who are entering the United States illegally.

The presidents of El Salvador, Honduras and Guatemala met with Obama at the White House on Friday as Washington struggles to find a solution to what many consider a humanitarian crisis.

The influx this year of tens of thousands of child immigrants, many unaccompanied, has become a partisan flashpoint on the already divisive issue of reforming a U.S. immigration system that all sides agree is broken.

Obama and Presidents Otto Perez Molina of Guatemala, Juan Orlando Hernandez of Honduras, and Salvador Sanchez Ceren of El Salvador issued a statement that reiterated "our commitment to prevent families and children from undertaking this dangerous journey and to work together to promote safe, legal, and orderly migration."

They "all agreed that an effective solution requires a comprehensive and joint effort" from those countries, other nations in the region and the United States, they said.

Specifically, the Central American presidents "indicated" to Obama that they were working on a plan to address the root causes of why people are leaving their countries.

Underlying causes

Part of that, all at the meeting agreed, must address strategies for reducing crime and promoting greater social and economic opportunity.

Priorities include pursuing criminal enterprises "that are exploiting this uniquely vulnerable population" and the need to discourage use of "smuggling networks" that place immigrants at "high risk of violent crime and sexual abuse."

Obama and the others also pledged to redouble efforts to counter misinformation about U.S. deportation policy around young immigrants that some say is fueling the surge, and promised to further efforts to "humanely repatriate migrants, consistent with due process."

Most can't stay

Obama told the Central American leaders that most of the child migrants crossing the border illegally now won't be permitted to stay. Some have been deported already, while most are being allowed to stay temporarily while their immigration status is sorted out.

Also being discussed within the Obama administration has been a pilot program that would let the United States assess asylum claims in those countries in order to reduce the number of illegal immigrants. But Obama sought to play down that option as an answer.

"There may be some narrow circumstances in which there is humanitarian or refugee status that a family might be eligible for. If that's the case it would be better for them to apply in country rather than take a very dangerous journey all the way up to Texas to make those same claims," Obama said.

But he added that potential applicants would still have to meet the same criteria to qualify.

"Under U.S. law, we admit a certain number of refugees from all over the world based on some fairly narrow criteria and typically refugee status is not just based on economic need or because a family lives in a bad neighborhood or in poverty it's typically defined fairly narrowly," he said.

The White House previously called the idea premature. But spokesman Josh Earnest said before Friday's meeting that it could be extended to other countries, if successful.

Struggling for a solution

The administration and Congress have struggled in recent weeks to come to a consensus on how to address the surge that has overwhelmed border and immigration services.

Obama has asked Congress for $3.7 billion in emergency funds for border efforts, while Republicans and some Democrats in Congress are resisting that proposal, and offering alternatives that would spend less and change immigration policy to deport kids faster.

Either way, Obama and others are concerned that lawmakers will leave at the end of next week for their August recess without approving a fix.

House Republicans are expected to vote on a scaled-down border bill next week. It would provide less than $1 billion to address the crisis and would modify a 2008 law to make it easier to deport children from Central America who enter the United States illegally.

Currently, kids who enter the country illegally from Central America can stay until they receive an immigration hearing. That process can take months or years.

The proposal to alter that law all but ensures the bill will not come to a vote in the Senate, where Democrats are opposed to tagging that change to a funding bill of its own for the border crisis.

Democrats worry that accelerating the process will result in many falling through the cracks and being sent back to situations characterized by many as violent situations in their countries.

Guard troops to border

The administration also is considering sending National Guard troops to the border, according to a White House official, just days after Texas Gov. Rick Perry said he would do just that in the Rio Grande Valley area.

Immigrants or refugees?

The Pentagon and the Department of Health and Human Services sent a team this week to assess Border Patrol efforts in the Rio Grande Valley. The number of unaccompanied minors seeping through that area has slowed dramatically since last month.

Key questions about Rick Perry's border plan

CNN's Dana Bash, Jim Acosta, Halimah Abdullah, Kevin Liptak and Deirdre Walsh contributed to this report.

@highlight

NEW: Central American leaders meet with Obama on youth migrant surge

@highlight

NEW: They say they're working on a plan to address underlying cause of migration

@highlight

The Obama administration is buoyed by slight slowing of migrant kids at the border

@highlight

Congress working on scaled-back plan, but House and Senate divided on approach