(CNN) -- Yasuní is both a place and a metaphor.

The place is a UNESCO Biopshere Reserve in the Ecuadorian Amazon where two indigenous communities, the Tagaeri and the Taromenane, live in voluntary isolation. Below the biosphere lie the oil fields Isphingo, Tambococha and Tiputini, abbreviated to ITT.

Yasuní the metaphor is the initiative for paying to keep that oil underground and leave the biological and cultural diversity undisturbed.

Upon learning of just these bare-bone facts, I realized that I have been thinking about the economics of the Yasuní-ITT Initiative for most of my professional career, long before I knew where Yasuní is and what it would mean for humanity.

In March 2009 I signed a contract with the United Nations Development Program (UNDP) to work out the economics of the Initiative.

Three questions loomed large in the global context of climate change. Why should the international community pay anyone for essentially doing nothing? What should they pay? How would they pay it?

Before answering, I wrestled with the language. Because everything changes, I preferred "climate fluctuations" and "transformation" to "climate change." Similarly, "sink" is a more precise term than "atmosphere" for describing the destination of carbon dioxide.

Synthesizing the physics with the economics, I wrote "The Economics of the Yasuní Initiative: Climate Change as if Thermodynamics Mattered". In economics, the sink is also a commons, and climate transformation becomes a question of scale.

Any one country can pursue a dirty industrialization without much worry; but when all countries do so, a "tragedy of the commons" ensues. Alarmingly, emissions have risen significantly since 1990 when the Intergovernmental Panel on Climate Change issued its first assessment report.

In some countries, such as India and China, they have skyrocketed. This is not a criticism of India or China. No wealthy country ever became wealthy without a dirty industrialization.

"Realpolitik" is the reason why the developed countries should pay the developing ones not to exploit their carbon.

Tiny Ecuador is a pilot project.

What should the developed countries pay? The Ecuadorian government quotes $3.5 billion as half the value of the oil foregone in the ITT fields.

As an economist, I cringe. If I or any other economist knew the future price of oil, we would probably be enjoying early retirement in the French Riviera. Knowing how to speculate is what made George Soros a multi-billionaire.

In contrast, the value of the investment and operations foregone is known: PetroEcuador estimates them at approximately $5 billion.

My recommendation is that Ecuador seek $1.25 billion per year in compensation for the first four years of the Initiative and thereafter, the value of the carbon dioxide avoided. How much is that worth? (Again the French Riviera beckons).

If the short history of the carbon market is any guide, the payments would be somewhere between $300 million and $900 million per year.

The financial flows would stop when Ecuador achieves the UNDP Human Development Index that Costa Rica held in 2002, the year its government declined offshore oil extraction without any monetary inducement.

Finally, the last and touchiest question remains: how should the developed countries pay?

The theoretical answer is sponsorship of projects selected according to economic criteria. Topping the list would be the requirement that projects be both public in nature and incapable of being funded from an existing source.

The practical side to how countries should pay is also a question about mechanism. Its answer appeared on August 3, 2010.

At midday in the elegant ballroom of the Chancellery of Ecuador, Under-Secretary-General of the United Nations Rebeca Grynspan and Foreign Minister of Ecuador Ricardo Patiño signed an historic agreement that launched the Yasuní ITT Trust Fund.

That evening I launched with far less fanfare "The Economics of the Yasuní Initiative". Ms. Grynspan introduced me to an audience gathered at the UNDP offices. She commented to much laughter that after such a heady day, we were all fully "yasunized".

Yasuní the place and Yasuní the metaphor have now morphed into a verb.

@highlight

Yasuní is a protected area of forest in Ecuador rich in biodiversity and natural resources

@highlight

New UN initiative will see rich countries pay to keep oil reserves in the ground

@highlight

Joseph Henry Vogel has studied the area and economics of climate change