Maputo, Mozambique (CNN) -- More Brazilian companies are moving into Africa amid a government drive to build closer economic ties with the continent.

A year ago Vale, the Brazilian mining giant, exported its first overseas coal shipment from Mozambique.

The shift of 35,000 metric tons of thermal coal from the port of Beira to the United Arab Emirates marked the southeastern African country's emergence into the global minerals market.

It was part of Vale's ambitious push into the country, and its plans to double capacity to 22 million tons of coal annually over the next few years.

And Vale, the world's second largest miner, is not the only Brazilian company eyeing Africa's potential.

With ties that date back to the era of slave trade, Brazilian leaders are quick to use the country's cultural affinity with Africa as an advantage in its competition.

Ricardo Saad, who oversees Vale's Asia, Australia and Africa operations, says the continent is a "new opportunity." He adds: "I'm based here in (Mozambique capital) Maputo because our investments here in Mozambique are the most important."

Vale operates across several African countries, including Angola, the Democratic Republic of Congo and South Africa. It has been in Mozambique since 2004.

The thermal coal was mined from the company's Moatize concession in western Mozambique, an area believed to hold one of the world's biggest untapped reserves.

Vale is making a broader pitch to access the country's natural resources. It is spending millions on infrastructure, including a railway line passing through Malawi and connecting its Moatize facility with Nacala, the largest deep-water natural port on Africa's eastern coast

The company plans to spend more than $12 billion across the continent over the next five years.

Read related: Brazil competes with China, India to invest in Africa

Vale is not alone. Over the last few years, Brazil's state and private firms have quietly made inroads into the continent, operating mostly in strategic sectors such as infrastructure, energy and mining.

Odebrecht, Brazil's biggest construction company, and Petrobras, a state-controlled energy group, have also stepped up their African operations in recent years.

Trade between Brazil and Africa has jumped from around $4 billion in 2000 to about $20 billion in 2010.

Read more: Why Asian giants scent opportunity in Africa

Analysts say that Brazil's interest in Africa shot up during Lula da Silva's eight years in power (2003-2010) as the former president made Africa a strategic priority for Brazil as part of the country's efforts to expand its global influence.

"Lula visited Africa more times than any other statesman in the world during his tenure in government," says Lyal White, director of the Centre for Dynamic Markets at the Gordon Institute for Business Science in South Africa.

Brazil's deepening engagement with Africa continued under the leadership of Dilma Rousseff, who became Brazil's president early last year. In her first year in office, Rousseff visited Angola, Mozambique, and South Africa.

The cultural ties feed into the relationship, analysts say. "The fact that the majority of Brazil's population is of Afro-Brazilian origin -- making Brazil the world's largest black population after Nigeria -- is frequently quoted by the almost exclusively white governing elite of Brazil in order to stress Brazil's cultural similarities with the African countries," according to Christina Stolte, researcher at the German Institute for Global and Area Studies.

Read more: Is the West losing out to China in Africa?

Stolte says Brazil is very keen to avoid being viewed as a "neo-imperialist" power that is only interested in exploiting Africa's natural resources -- an accusation often directed at other emerging powers operating in the continent.

"Lula and Rousseff have more than once openly critizised China's way of engagement with Africa, trying to distance Brazil from its resource hungry BRICS partner," she says.

"Brazilian officials as well as businessmen frequently stress the aim of contributing to the development of African countries by pointing to the fact that Brazil is hiring and training local workforce and offering social projects to foster local development."

Back in Mozambique, Saad says that Vale, along with making profits, is committed to the development of local communities.

"When we talk about Africa, it's not possible to talk about Africa not thinking about sustainable development and respect to the people, respect to the environment, respect to the planet, but having the sense that our development is going to be also a local development," he says.

"We are here to be a Mozambican company -- we come from Brazil, but we are Mozambican now," Saad adds.

@highlight

Mining giant Vale is one of the many Brazilian firms eying Africa's potential

@highlight

It plans to spend more than $12 billion on investments in Africa over the next five years

@highlight

Analysts say Brazil is very keen to avoid being viewed as "neo-imperialist" power

@highlight

Trade between Brazil and Africa jumped from $4 billion in 2000 to $20 billion in 2010