(CNN) -- Apparently it was a coincidence, but the deadly shooting in Ottawa came on the same day that the 17-year-old Nobel Peace Prize winner Malala Yousafzai was scheduled to speak with high school students and receive honorary Canadian citizenship.

Instead of listening to Malala, instead of seeing Prime Minister Stephen Harper honor the idealistic teenager who defied radicals to advocate peace, reconciliation, and education, Canadians watched in horror as their normally placid capital became the scene of mayhem in what Harper later described as a terrorist attack.

It was the second attack this week, the second in which a Canadian soldier was killed. In both cases the alleged perpetrators were men whose passports authorities had confiscated fearing they had become radicalized and would travel to the Middle East to join Islamist extremists.

The Ottawa attack kept Malala from delivering her message in person. And yet, there is something profoundly powerful in this intersection -- in this scheduling conflict of competing ideologies.

The killings in Canada and the canceled events delineate a sharp contrast between the alternative worldviews faced by young people today -- particularly by young Muslims.

They also highlight the need to develop a clear path of active involvement for those who want to join in making a reality of Malala's vision, just as those who support extremists receive clear direction on how to join their cause.

On one side there is the future outlined with such remarkable clarity by Malala, one in which we provide educational opportunities for all, strive for peace, and respect our differences. She has the heavy burden of having become the torch-bearer for advocates of moderation, coexistence and equality.

Then there is the other end of the spectrum, inhabited by the hyper-extremist group known as ISIS, which also manages to communicate its vision for the future, broadcasting its ideology, its military exploits and its excesses across social media platforms.

Malala had arrived in Toronto this week, as scheduled but, sadly, she left town without speaking, after her events were canceled as a result of the crisis in Ottawa. She tweeted, "I extend my thoughts and prayers to the Canadian people during this difficult time."

It was not the first time that her plans were abruptly changed by a shooter. Her life took a most unexpected turn in 2012 after an extremist tried to kill her.

Now, with the rise of ISIS and a jihadist appeal that has brought young Muslims from around the world to fight in Syria and Iraq, Malala's symbolic place in the battle of ideas extends beyond Pakistan and Afghanistan.

Now it is vital that her message be heard everywhere. But she cannot do it alone. There is a great need to build on her ideas with practical action.

Those who accept the ISIS creed know what to do. They travel to the Middle East to join their jihad, or they follow ISIS's deadly guidance at home. For those who embrace Malala's enlightened view there is no clear path ahead. How does a young person join the cause of freedom and equality?

One of the admirable aspects of young adulthood is an awakening to the larger world; a wish to become involved in something larger than ourselves, a drive to make the world a better place.

Consider Malala's words at the U.N. last year: "We call upon all communities to be tolerant -- to reject prejudice based on cast, creed, sect, religion or gender. To ensure freedom and equality for women so that they can flourish. We cannot all succeed when half of us are held back. We call upon our sisters around the world to be brave -- to embrace the strength within themselves and realize their full potential."

Compare it to the ISIS appeal, which a few days ago proclaimed the rightness of its revival of slavery and slave markets for selling Yazidi women, or its more recent call to followers, "If you are not able to find an IED or a bullet, then single out the disbelieving American, Frenchman, or any of their allies. Smash his head with a rock, or slaughter him with a knife, or run him over with your car, or throw him down from a high place, or choke him, or poison him."

The jihadi appeal is quickly rejected by the vast majority of Muslims, but the tiny percentage who accept it can cause terrible damage. And their help contributes to ISIS victories in the Middle East that are destroying the lives of men and women, including those who might have grown into future Malalas.

Malala's canceled events in Canada will likely be rescheduled. When she returns, she will have a message that will resonate even louder after what occurred in Ottawa. Until then, let her supporters come up with a plan so that those who would follow her can help build the world she envisions, with organizations and active movements in which people can enlist to promote equality, coexistence, and acceptance of other points of view.

@highlight

Frida Ghitis: Malala was due to make appearances on day of Ottawa shooting

@highlight

She says Malala has a powerful message of reconciliation and education

@highlight

Ghitis: It stands in stark contrast to the hateful, violent rhetoric ISIS uses to recruit

@highlight

She says we need to find ways to spread Malala's hopeful, healing message