Washington (CNN) -- Republicans and outside groups used anonymous Twitter accounts to share internal polling data ahead of the midterm elections, CNN has learned, a practice that raises questions about whether they violated campaign finance laws that prohibit coordination.

The Twitter accounts were hidden in plain sight. The profiles were publicly available but meaningless without knowledge of how to find them and decode the information, according to a source with knowledge of the activities.

The practice is the latest effort in the quest by political operatives to exploit the murky world of campaign finance laws at a time when limits on spending in politics are eroding and regulators are being defanged.

The law says that outside groups, such as super PACs and non-profits, can spend freely on political causes as long as they don't coordinate their plans with campaigns. Sharing costly internal polls in private, for instance, could signal to the campaign committees where to focus precious time and resources.

The groups behind the operation had a sense of humor about what they were doing. One Twitter account was named after Bruno Gianelli, a fictional character in The West Wing who pressed his colleagues to use ethically questionable "soft money" to fund campaigns.

A typical tweet read: "CA-40/43-44/49-44/44-50/36-44/49-10/16/14-52-->49/476-10s." The source said posts like that -- which would look like gibberish to most people -- represented polling data for various House races.

Posting the information on Twitter, which is technically public, could provide a convenient loophole to the law â€” or could run afoul of it.

"It's a line that has not been defined. This is really on the cutting edge," said Paul S. Ryan, senior counsel at the Campaign Legal Center, a nonpartisan organization focused on campaign finance issues. "It might not be legal. It's a cutting edge practice that, to my knowledge, the Federal Election Commission has never before addressed to explicitly determine its legality or permissibility."

At least two outside groups and a Republican campaign committee had access to the information posted to the accounts, according to the source. They include American Crossroads, the super PAC founded by Karl Rove; American Action Network, a nonprofit advocacy group, and the National Republican Congressional Committee, which is the campaign arm for the House GOP.

Accounts deleted

The accounts that CNN reviewed were active in the months ahead of this month's election, which gave Republicans their largest majority in the House since World War II and control of the Senate. They were live until Nov. 3 but deleted minutes after CNN contacted the NRCC with questions.

Representatives for American Crossroads, American Action Network and the NRCC declined repeated requests for comment for this story. CNN captured screenshots of the Twitter communications before contacting the parties involved.

American Crossroads dropped $21.6 million during the most recent election cycle, according to the Center for Responsive Politics. The American Action Network, meanwhile, spent nearly $9 million on federal elections in 2014. It's difficult to determine whether Twitter posts prompted ad buys or other spending in specific races.

Two of the profiles were named @TruthTrain14 and @brunogianelli44 but it's unclear which group used specific accounts. Still, the tweeting through special code could raise questions about whether the groups illegally coordinated, according to Kenneth Gross, a former head of the FEC enforcement division who now advises Democrats and Republicans on campaign finance issues.

'Decoder ring'

"If it truly requires some sort of Ovaltine decoder ring to make heads or tails of the information, then there certainly is the possibility that there was some pre-arrangement," Gross said. "Just making it public is not enough. You have to further meet the requirement of no pre-arrangement or coordination. But it is the burden of the government to demonstrate that."

Beyond coordination, the social media operation could also raise questions about whether the polling data contained in the tweets constituted a donation to the NRCC that should have been reported. The groups could have violated election rules by not reporting the information in the tweets as a donation.

The tweets captured by screenshots stretched back to July, but the groups have communicated in this manner for four years, the source said. Staffers for each group deleted individual tweets every few months, so only the past few months of data were available when CNN first viewed the Twitter accounts.

The social media strategy isn't the first time parties and outside groups have used Twitter to communicate. In April, it was Republicans who accused Democrats of attempting to "subvert campaign finance laws" when the Democratic Senatorial Campaign Committee's official Twitter accounts posted messages that Democratic super PACs later incorporated into their ads.

And both parties are working hard to find ways to work more closely with well-financed outside groups.

Earlier this year, for instance, the National Journal reported that Sen. Jeanne Shaheen, a New Hampshire Democrat, posted what appear to be ad scripts on her websites that Republicans say telegraphed messages the campaign would like to see on the air. In the North Carolina Senate race this year, Republican Thom Tillis' campaign posted a detailed memo on its website specifically laying out its needs for television and digital ad buys.

Meanwhile, outside groups also share details of their plans by releasing spending plans to the media or posting the information on their websites as press releases.

But the Twitter accounts in this case are unique in that they did not publicly identify their association with the groups who posted to them or advertise their existence.

Citizens United

The Twitter operation underscores the uncertain state of campaign finance rules after the Supreme Court's 2010 Citizens United decision upended limits on outside spending in politics. Regulations provided by the FEC in the wake of the court ruling leave much to interpretation about what constitutes "coordination," creating a Wild West environment that, according to campaign finance experts, gives outside groups ample opportunity to share information while arguing they stayed within the confines of the law.

"It may bend common sense, but not necessarily the law," said Daniel Tokaji, a professor of Constitutional Law at Ohio State University who co-authored a study this year examining the relationship between outside groups and campaigns. "A lot of things you and I would consider coordination are not coordination under the law. I don't think sharing polling data is going to be enough to establish that the campaign was materially involved in decisions about content, target audience or timing."

In response to this story Monday, FEC vice-chair Ann Ravel said the commission may address the use of social media to share campaign information, but conceded that the rules governing campaign finance are "murky."

The strategy, Ravel wrote on Twitter, "shows that tech changing politics... but coordination rules sadly murky."

The practice also serves as another reminder of Washington's revolving door between campaign committees, party leadership and outside groups. The spokesman for American Crossroads, Paul Lindsay, and the president of American Action Network, Brian Walsh, both formerly worked at the NRCC though there's no evidence that they were involved in the Twitter posts.

Despite the questionable nature of the Twitter communications, experts doubt the FEC will do much to act. Members of the commission have been deadlocked along party lines for years and attorneys for these groups often develop legal arguments before engaging in such practices to avoid acting outside the bounds of the law, Ryan said.

"In many instances, we have very sophisticated political players with really good lawyers who know where the legal lines are and know where to push them to their client's advantage," he said.

@highlight

NEW: FEC vice-chair: Coordination rules are 'sadly murky'

@highlight

Laws ban outside groups from coordinating with campaigns

@highlight

GOP and outside groups shared internal polling data on Twitter accounts

@highlight

Practices raises questions about whether election laws were broken