The United States and the Soviet Union defined the world's first space race, but following South Korea's successful orbital rocket launch this week, it appears Asia  -- particularly North Asia -- is the world's new epicenter for space rivalries in the 21st century.

"In some sense we are already there," says Daniel Pinkston, North East Asia Deputy Project Director for International Crisis Group in Seoul, South Korea. "The Chinese have been very active... (also) Japan, North and South Korea. It's quite a competitive atmosphere."

The race will only ratchet up later this year.

In the second half of 2013, China will shoot for the moon with the aim of landing a rover vehicle on its surface; building on exploration milestones in 2003 and 2012 with the first man, then woman, in space. India plans to send an unmanned probe into Mars orbit this November.

Last July, Japan's government set up the country's first-ever Cabinet-level office for space strategy to oversee the country's space policy and related budget.

And on December 12 last year, North Korea joined the space club -- ahead of more technologically advanced South Korea -- with the successful launch of an Unha-3 rocket that placed an Earth observation satellite into orbit. It was a controversial first for the poverty-stricken nation, yet the country has vowed more launches.

South Korea's own successful rocket launch makes it the fifth Asian country -- and just the 13th nation in the world -- to break the bonds of Earth.

Space race as proxy for arms race?

However, many see the space race as a proxy for a regional arms race.

"Many people will say that everybody is already running  --  that it's already on," says Pinkston. "That said it's all relative."

"It could be much worse. If you look at the percentage of GDP that's allocated militarily it could be much higher. For Japan, it's stayed under 1% of GDP. South Korea's is about 2.5%.  North (Korea) spends a lot, but there's no official number out. It's secret and difficult to ascertain."

South Korea's launch of the Naro-3 -- and its 800-kilometer range -- could add to regional tension. If used to propel a ballistic missile, it could reach most of East Asia. And with South Korea a strong Asian ally of the United States, other regional competitors may be rattled.

"China's main concern is that South Korea will be (used as) one of the (United States') first containment strategies," says Cheong Wooksik, Director of South Korea's Peace Network in Seoul. "South Korea's extension of the range of its ballistic missiles will be used to check or contain the rise of China."

A South Korean ballistic missile can now hit most of China's main eastern seaboard cities including the financial hub of Shanghai, the northeastern port cities of Tianjin and Qingdao as well as the Chinese capital of Beijing.

From apprehension to anger

Seoul's successful launch may be viewed with apprehension if not outright anger by its regional neighbors.

"North Korea will strongly condemn South Korea's launch," says Cheong of Peace Network, but adds that Pyongyang does not feel the international community would condemn South Korea's launch.

"North Korea will ask 'Why does the international community differentiate (between the launches of the two countries)'. It will consider that the world is applying a double standard," says Cheong.

On January 22, the United Nations Security Council unanimously adopted a resolution condemning North Korea's rocket launch from December and expanded existing U.N. sanctions.

With China, analysts believe the country's official response to South Korea's launch will be more muted but that North Korea will pressure Beijing to bend to its own line.

"North Korea will try to exploit the South's launch as hypocritical so they will pressure China to take that position...to share that view that this is an example of the hypocrisy and inequality of (this month's) U.N. Security Council Resolution 2087," says Pinkston.

China was a signatory to that resolution, as was Japan.

"I don't think they (Japan) will say anything in that the South Korean program has been transparent," adds Pinkston.

"They've conducted themselves in a way that's non-threatening. South Korea does not have a nuclear weapons program. It has signed all the non-proliferation treaties."

But Cheong of South Korea's Peace Network disagrees.

"I don't think Japan will welcome (the) South Korean launch," he says. "South Korea and Japan have many issues including (a maritime) territorial dispute. Japan's fundamental concern is that South Korea becomes stronger and stronger. South Korea's launch may, at least in small part, spur Japan's rearmament."

'Fully competitive'

Looking to the future, the historical lack of cooperation between Asia's orbit-reaching nations alludes more to competition than camaraderie.

"There's been some cooperation... I know Japan has launched one satellite at least for South Korea," says Pinkston. "But in most other areas, science exploration, remote sensing, manned spacecraft... it's limited."

"If you look on a continuum of 'full cooperation' to 'fully competitive' it's more leaning towards competitive."

@highlight

'Asia already in space race in some sense', says ICG's Daniel Pinkston

@highlight

China, India have moon and Mars ambitions in 2013

@highlight

Space race is proxy for arms race but 'could be worse', says Pinkston

@highlight

South Korea rocket launch will not be condemned, says Peace Institute's Cheong