(CNN) -- Uganda is one of the poorest countries on earth with an economy based on agriculture but there is one industry that's booming -- international child adoptions.

Extreme poverty combined with one of the world's highest birth rates is creating a pressure cooker where many children are abandoned or put up for adoption.

And there are also fears that as the adoption numbers grow more needs to be done to prevent children being exploited.

Children -- sometimes orphans, sometimes just with parents unable to care for them -- find themselves taken into Uganda's child welfare system.

For some this can mean foster care or a temporary home. For others it is the first step on a road that will lead to adoption and a new life.

While traditional adoption hotspots are becoming less attractive -- Russia has banned Americans from adopting children, and it can take years to navigate China's adoption bureaucracy -- Uganda is seen as a quick and easy alternative for prospective parents.

Opinion: Russia's adoption ban harms kids

In Uganda, the adoption process can take just a few months to complete. The country is not a signatory to the Hague Convention, a treaty which provides a blueprint for safe international adoptions.

Many of the children adopted from Uganda are given a better shot at life overseas - certainly in material terms -- but the speed and ease of the process has many observers worried.

Freda Luzinda worked at the U.S. Embassy in Kampala, Uganda, for two years processing adoption visas. She is now the Uganda national director of the A Child's Voice, an NGO promoting child rights and welfare.

She says that many birth parents in Uganda don't fully understand what adoption actually means and that there is no word for 'adoption' in the local Luganda language.

"I can say that about 60% of the birth parents that I spoke to didn't understand adoption," said Luzinda.

Many birth parents do not understand that adoption is permanent. They believe they may get their children back later. These misconceptions are part of the problem, but not the only problem.

The rise in Ugandan adoptions over the past few years has created a growing number of orphanages and adoption agencies to meet the demand.

"When I first started processing visas at the embassy... there were probably between seven and 10 orphanages that were putting children up for adoption. And the numbers grew, and they grew, and they grew. By the time I finished, and this was two years later, we had a count, and we were dealing with about 100 orphanages." said Luzinda.

The explosive growth of the adoption industry in Uganda has fueled fears that children are being exploited for profit and that the best interests of the child is not paramount.

"Orphan creation does happen a lot in Uganda, and this is done by adoption facilitators who will go and scout the slums, find vulnerable families and talk them into giving up their children," said Luzinda.

In the 12 years from 1999-2010 there were just 311 adoptions from Uganda to the U.S. In 2011 alone -- the last year for which State Department numbers are available -- 207 children were adopted to the U.S. from Uganda.

Brothers Zach, age about 4 and Philip, about a year older, have found a loving family in the U.S. but their early life was typical of Uganda's estimated 2.4 million orphans.

Both boys were found abandoned in different places in Kampala, both were left in conspicuous places and both were found by police officers.

Now Zach and Philip have a new life in the U.S., both are in school and having loving new parents.

In 2008, they were adopted by Lisa and Tague Harding of Minnesota through the Amani Baby Cottage, one of the respected, religiously-affiliated orphanages.

"There is always a tragedy at the beginning of a story that makes adoption a necessary step," said Lisa.

As their children grew up and left home, the Hardings saw an opportunity to provide a stable home for children who would otherwise grow up in poverty.

Internet reveals secrets of 'closed' adoptions, report says

The Hardings became interested in international adoption after traveling to Uganda with a church group.

"I love that in our faith, adoption is part of the story -- that Baby Moses was adopted and there was Samuel in the Bible that was adopted and baby Jesus. Joseph was not his birth father." said Lisa.

Danyne Randolph Bharj, director of the Amani Baby Cottage, understands the fears concerning the exploitation of children, but says that given the options for Ugandan children, in many cases adoption is the best solution.

"I don't think it's right to say the West is the way to save Uganda at all. I don't think that's the answer. But I think if there's people in the West that can give these children a family when no one else can, I do think it's more important," said Bharj.

But James Kabogoza, assistant commissioner of Children's Affairs for the Ugandan Government, feels that Ugandan children should stay in Uganda.

"It's not right what they are doing. I know for them they get something out of it, but it's also wrong to defraud parents and Ugandans of their children," he said.

Kabogoza's fear is that by leaving Uganda, many of these orphans will lose sight of their cultural identity.

He also believes that regardless of the circumstances, many of these children would be better off with their birth parents.

"That is the biggest thing that ever happens to a child. If the child remains with the family, they are able to grow up with them,"said Kabogoza.

He added: " know they feel what is done in America and what is proper in America is a better life. But you could provide that better life to the child here, within the family ... You can change the life of that child within the family here, if you support them."

Zach and Philip' adopted father, Tague Harding, understands that his sons will lose some of their cultural heritage by growing up in the United States, but he also sees the advantages.

"It's better that Ugandan orphans stay in Uganda as much as possible but perhaps by us bringing two boys home or other people bringing Ugandan children back internationally, we can raise awareness to say, there is a need."

Lisa Desai, Sarah Gross, Yasmeen Qureshi of Three Strands Media produced "Adopting Africa" for CNN. The film was made possible with funding from The African Child Policy Forum.

@highlight

International adoptions from Uganda are rising

@highlight

The country is not a signatory to the treaty offering a blueprint for international adoptions

@highlight

One rights worker says many vulnerable children are at risk

@highlight

Others say international adoptions give the children a better life