Disturbing reports are emerging from Afghanistan that a 10-year-old girl named Spozhmai was pre-empted from carrying out a suicide bombing attack against a police station in Khanshin.

Though Taliban forces are already deploying female operatives in a limited capacity, it was the first report of a young girl who was groomed for martyrdom. It represents the latest development in a long history of terrorist organizations' use of children.

BBC reports suggest the girl is the sister of a Taliban commander. This is not unexpected.

Indeed multiple Islamist groups specifically recruit within their own families. In Chechnya and Dagestan, we have seen sisters, brothers and cousins involved in terrorist operations, sometimes together. In both Afghanistan and Pakistan, various Taliban units have engaged in targeted recruitment of pairs of siblings.

In our research over the past year into children being groomed for terrorist activity in Pakistan, several of the youth we encountered undergoing de-radicalization and preparation for reintegration via the Sabaoon facility (Pakistan's rehabilitation facility for child militants) were recruited by relatives in the Pakistani Taliban.

In almost all cases we have studied, the child recruits were genuinely unaware of what they were being asked to do -- what such operations could entail. Those who were aware displayed serious hesitation and were often given drugs by their recruiters to help them to comply. Some of the children changed their minds at the last minute and thus found refuge at Sabaoon.

Duping children into carrying out a suicide attack is not a new tactic. In June 2007 in the southern Afghan province of Ghazni, the Taliban failed to deceive a 6-year-old boy, Juma Gul, into being a suicide bomber. Putting the vest on him, the Taliban repeatedly told him that "flowers and food would appear once he pressed the button."

Walking toward his target, Juma hesitated. He decided not to press the button and instead called out for help from nearby Afghan National Army soldiers, who deactivated the device on his body.

The incident was a watershed. Abdul Rahim Deciwal, the chief administrator for Juma's village of Athul, brought the boy and his brother to meet with the village elders, who expressed strong disapproval of the tactic and even began cooperating with NATO forces to weed out the Taliban.

Incidents such as these would appear to indicate that Taliban fighters are adopting the strategies of Iraqi insurgents, who have been known to use children to disguise bomb-laden vehicles or dupe drivers into carrying improvised explosive devices, or IEDs, at times without their knowledge. In those cases, the would-be bombers are detonated by remote control.

This week's report of the attempted attack did not include a remote control detonator, and the 10-year-old girl was unsuccessful in executing the mission of those who deployed her. Afghan security forces, however, have long been aware of this particularly insidious tactic.

Taliban spokesman Qari Yousef Ahmadi has denied the group used child fighters, disclosing at the time of the Juma Gul incident that the Taliban had hundreds of adults ready for suicide missions. "We don't need to use a child," he said. "It's against Islamic law, it's against humanitarian law. This is just propaganda against the Taliban."

Such statements are easily disputed.

For example, in the publicly released documents seized from his Abbottabad, Pakistan, compound, Osama bin Laden acknowledged that "most of the work in Afghanistan (has) turned to the goal of luring and preparing the youth."

More recently, in November, there were media reports that Afghan police had pre-empted a 12-year-old bomber in the Panjwai district of Kandahar; the child was allegedly wearing an explosive vest en route to a local girls' school.

When children are forced into terrorism, they become victimized and traumatized by their experiences in the process. In turn, they exploit and victimize others. Many remain in the movement until adulthood and beyond. And it's not just in their home countries: Efforts to groom children and adolescents as a future generation of militants has also been uncovered in diaspora communities within the United States and the UK.

Perhaps the most well-known case in recent times has been the disappearance of some 17 Somali-American adolescent boys and young men from Minneapolis.

Jonathan Evans, former director-general of the British Security Service, or MI5, warned that al Qaeda is targeting vulnerable youth -- even the very young -- in such communities as terrorist recruits, underscoring the need to protect children everywhere from exposure to violent extremism. Evans explained: "They are (radicalizing), indoctrinating and grooming young, vulnerable people to carry out acts of terrorism. This year, we have seen individuals as young as 15 and 16 implicated in terrorist-related activity."

Such realities pose serious challenges to countering violent extremism, especially when most efforts today place firm emphasis on undermining the allure of troublesome ideologies. Most of the children are not recruited on ideological grounds, and in cases where some children do appear to be under some ideological influence, it is clear they do not understand it.

Whether for children recruited by the Pakistani Taliban, or young Somalis recruited in Minneapolis, there is a critical role to be played by families and communities in protecting young children from being vulnerable to the clutches of violent extremists.

These efforts cannot be limited to a frame of counterterrorism. This is a challenge of basic child protection.

@highlight

Writers: Reports of 10-year-girl in Afghanistan intent on suicide bombing is a first

@highlight

Not unusual for children to be groomed for martyrdom, they say, but Taliban deny practice

@highlight

Writers: Children are often in the dark about their assignments

@highlight

Writers: Families, communities must guard against children falling under sway of extremists