(CNN) -- At Nassau's Potter's Cay Dock, fresh conch is heaped on tables for sale by the pound.

The quayside is chaotic with pallets of food and household goods being hauled into the mail boats.

Mail boats are the life-support system of the Bahamas -- an archipelago of 700 scattered islands in the Atlantic.

Some 14 to 18 mail boats operate out of Nassau; no one seems sure how many.

They serve communities, such as Ragged Island (population 73), that are too remote or small to receive sufficient airfreight.

The vessels are privately owned family concerns that supplement government-awarded mail contracts by running cargo.

They also take on board paying passengers.

Fares are cheap -- individual voyages range from $50 to $65 per ride.

Prone to delays

The shared cabins are basic and cramped and schedules are prone to delays because of adverse sea conditions.

Top ethical travel destinations for 2014

The longest voyage runs from Potter's Cay to Inagua, some 37 to 42 hours at sea.

"'Lady D' makes that journey," says assistant dock master Craig Curtis at Potter's Cay. "She's supposed to leave Tuesdays, but that can stretch to the weekend."

Despite their unpredictability, mail boats offer an adventurous, authentic travel experience away from the Bahamas' well developed beach resort scene.

Voyages are an opportunity to meet island characters.

The "Grandmaster" leaves the dock at Potter's Cay for a 14-hour voyage bound for Georgetown on Grand Exuma.

She traverses 365 coral islands down the Exuma chain -- some are owned by celebrities such as Johnny Depp; others offer $40,000-per-night villa rentals.

The turquoise sea beneath the keel is so transparent stingrays can be seen gliding across shallow sandbanks.

Galaxies of stars

During humid nights it's possible to sleep on deck, cooled by sea breezes beneath galaxies of stars.

A beach break in Bimini

In his 70s, retired mail boat captain Larry Brozozog has passed the task of piloting "Grandmaster" to his son, Lance, giving him time to talk to passengers about the origin of the mail boats.

"They were running in the 1940s but only one mail boat would serve all southern Bahamas monthly," he says.

"The government began issuing mail contracts in the late Fifties, then services became weekly."

Brozozog says he was born into shipping.

"My great grandfather used to sail back and forth to the UK in the late 1800s."

Older islanders nostalgically recall the mail boats before the advent of inter-island flights by small aircraft.

Growing up in the 1960s on Andros -- an island to the west of New Providence, where the capital, Nassau, sits -- Petherina Harris says each mail boat arrival was eagerly awaited.

World's most spectacular swimming pools

"We didn't have electricity back then so we'd take the mail boat to Nassau to see electric lights in people's homes and eat Kentucky Fried," she says.

Julius Chisholm from Acklins, several hundred kilometers to the southeast of Nassau, remembers the whole island turning out whenever the mail boat came in.

"If it arrived on a Sunday, even church was canceled."

Ernest Hemingway's boxing lessons

Bimini, which lies two-thirds of the way from Nassau to Miami, is another island served by the mail boats.

Fish-wrestling novelist Ernest Hemingway spent time there in the 1930s -- many on the island still tell of his exploits.

"He taught Biminites how to box," says Ansil Saunders, an 82-year-old boatwright.

"Hemingway offered 10 bucks to anybody who could last a round with him."

Captain Sean Munroe's navy blue hulled "Sherice M," built in Louisiana in 1995, serves the Bimini Islands.

Munroe says tough economic times have cast doubt over the future of his and other mail boat services.

Fuel price increases have already brought a reduction of mail runs to Bimini from four to three times monthly.

"Fuel costs have risen so much it's wiped out our profit from the mail contract, so we rely on private cargo" he says.

"But continuing to serve the island community and maintaining the legacy of our family business is just as important to us as the economics."

8 great hotel perks in the Caribbean

Munroe hails from seafaring stock.

His grandfather ran supplies to Cuba before the U.S. embargo was imposed in the 1960s.

That family dynasty stretches to the "Island Link," a vessel skippered by Munroe's brother, Jed.

Runaway pigs

I join Jed on his weekly trip across the Tropic of Cancer to Long Island, which lies to the southeast of Nassau.

Our voyage takes 20 hours instead of the scheduled 14 because Munroe has to navigate over shallows to ride out a Caribbean storm.

Fellow passengers include a mother and daughter economizing on airfares that would be twice the $50 ticket price, and a Rastafarian looking for any work he can get.

"We carry everything and anything," says Munroe.

"Food items, luxury goods, machine parts ... anything. We transported pigs once, but one broke free mid-voyage and caused havoc on the deck."

Eventually we arrive at Long Island, where visitors are drawn by ribbons of pristine sandy beaches and Deans Blue Hole, a 202-meter (663-foot) vertical abyss that's the deepest of its kind in the world.

But first stop is Simms Wharf, where an enthusiastic crowd awaits their cargo.

Among them is Mandie Constantitis, the son of a Greek immigrant, who is Long Island's last sponge fisherman.

He depends on the mail boats to ship his consignments to Nassau for export.

Dewitt Miller, a taxi driver, tells me that before the mail boat arrives each Wednesday the whole island is almost out of fresh fruit and vegetables.

Secrets to the most popular cruise ports

Later I make the return voyage to Nassau.

Back at Potter's Cay, I meet Captain Kevin Moxey, loading up his family namesake boat, "Captain Moxey," to make the trip to Andros.

As he watches potted palms bound for a resort being manhandled onto his deck, Moxey says his business is feeling the economic strain.

But he remains confident the diminutive size of the islands will mean the mail boats will never be replaced by large freight airplanes.

"Sure, we're pinching the pennies -- but mail boats will never go away," he says.

Freelance photojournalist Mark Stratton has written for The Daily Telegraph, The 
Guardian, Wall Street Journal and National Geographic Traveler, among many other websites and publications.

@highlight

Traveling the Bahamas by mail boat is cheap. Tickets for individual voyages cost $50 to $65

@highlight

On humid nights you can sleep on deck, cooled by sea breezes beneath galaxies of stars

@highlight

The boats are a lifeline for some among Bahamanian islands that are too small to receive air freight