Russia's annexation of Crimea, and what many fear is its apparent threat to invade Ukraine, has riveted international attention since the crisis erupted with February's revolution in Kiev. Excitable talk has proliferated as fast as North Korean missiles.

Pundits obsess about a new Cold War, a showdown with "mad bad Vlad" Putin, and the resulting need to boost military spending (always a Pentagon favorite). The talk is all Ukraine, Ukraine. Politicians and diplomats have put everything else on hold.

Including Syria, which is a big mistake. Far more than an argument over an obscure shard of territory on the edge of Nowhere-on-Don, the catastrophe now taking place in and around Syria ranks as a fundamental challenge and threat to the current world order.

Syria, not Crimea, directly affects western security in very basic ways. What's happening there is changing the power balance in the Middle East. And unlike in Ukraine or the Baltic republics or other post-Soviet lands, a vast human catastrophe is unravelling, apparently without end. In Syria's real, not phoney, war, more than 100,000 people have died so far.

The total number of Syrian refugees in Lebanon, for example, has now passed the 1 million mark, according to the U.N.'s refugee agency -- and that does not include the tens of thousands who have not registered with the agency. About 12,000 are fleeing Syria for Lebanon each week.

The refugee outflow is also affecting Jordan, Turkey, Egypt and Iraq. As the war enters its fourth year, the overall refugee total is around 2.5 million. A further 6.5 million Syrians are internally displaced, and 9.3 million are in need of humanitarian assistance, according to the U.N. The suffering concealed behind these bald figures is appalling, as any visitor to the refugee camps will testify. Children are particularly badly affected.

Yet even if they are not swayed by the human cost of a conflict that has become depressingly familiar, basic considerations of self-interested realpolitik suggest governments, politicians and diplomats should be paying more attention to Syria.

One obvious reason is the way the war has been exploited to facilitate the spread of Islamist fundamentalism. Large areas of northern Syria are now under the control of jihadi groups and militias who, whatever else they may disagree about, are united in their opposition to western values and interests.

Syria is in the process of becoming a bridgehead to Europe for al Qaida and like-minded fanatics. It is already a magnet for young European Muslim men who want a piece of the global jihad. They then bring their new "skills" home.

A second reason to take a second look at Syria is the way instability there is steadily spreading outwards to affect neighboring countries. Turkey's neo-Islamist government, having initially tried to broker a peace deal, now regards itself as virtually at war with Bashar al-Assad's regime. Last week the Turks very deliberately shot down a Syrian warplane they said had violated their airspace.

The threat of a Syria-Turkey conflict aside, the impact on Turkey's politics and people has been considerable. The increasingly authoritarian behaviour of Recep Tayyip Erdogan, Turkey's prime minister, to some degree reflects the pressure the country is under. Kurdish militants trying to make common cause with their divided Syrian counterparts is one concern. Another is that border areas inundated with refugees are becoming less governable.

Growing instability and consequent political uncertainty are also affecting pro-western Lebanon and Jordan, while apparently reviving Shia-Sunni conflict in Iraq is being fed by the Syrian flames. Recent reports suggest many Iraqi Shia fighters are now inside Syria, determined (like the Hezbollah fighters from Lebanon) to bolster the Assad regime against its mostly Sunni foes.

In geopolitical terms, the Syrian collapse has provided Iran with an opportunity to extend its influence into the heart of the Arab world, opening up a new front in its proxy war with the Sunni monarchies of the Gulf led by Saudi Arabia. No doubt to Iran's delight, Riyadh's displeasure at the Obama administration's refusal to get directly involved in Syria has caused a rift between the two long-time allies. Given the current state of western relations with Tehran, handing Iran a free boost in this way is a serious diplomatic own goal.

The ongoing failure to address and resolve the Syrian conflict has numerous other far-reaching consequences. What goes for Iran goes for Russia, too. Its obstinate and unprincipled support for Assad has come cost-free as the U.S. and Europe dither and the Geneva "peace process" leads precisely nowhere. Perceived American weakness over Syria may even have encouraged Vladimir Putin in his Crimean misdemeanors.

Al-Assad's continued survival as Syria's head of state is an egregious affront to the U.N. Security Council and its various related Syria resolutions, to the U.N. charter, to international law, and specifically to international war crimes legislation. Al-Assad stands accused of war crimes and crimes against humanity, not least over the use by his forces of chemical weapons against civilian populations.

But once again, nothing much is done, and the credibility of such institutions and laws suffers as a result. The moral example set by such dereliction is shocking.

A lot has been made of the bad precedent Russia set by annexing the territory of an independent sovereign state. And it is fair to say such behavior is unacceptable and illegal, and should not be emulated by others. But in the overall scheme of things, the Crimea problem fades into insignificance when set alongside the dreaded ramifications and implications, short and long term, of the international community's plain inability or its lamentable lack of will to halt the Syrian war.

@highlight

Russia's annexation of Crimea, and feared threat to invade Ukraine, has grabbed attention

@highlight

Simon Tisdall says Syria, not Crimea, directly affects western security in more basic ways

@highlight

Much of northern Syria under control of jihadi groups, united in opposition to West - Tisdall

@highlight

Syria is in the process of becoming a bridgehead to Europe for al Qaida, he adds