(CNN) -- So now we know -- there won't be a Neanderthal moving into your neighborhood.

Despite a lot of frenzied attention to the intentionally provocative suggestion by a renowned Harvard scientist that new genetic technology makes it possible to splice together a complete set of Neanderthal genes, find an adventurous surrogate mother and use cloning to gin up a Neanderthal baby -- it ain't gonna happen anytime soon.

Nor should it. But there are plenty of other things in the works involving genetic engineering that do merit serious ethical discussion at the national and international levels.

Some thought that the Harvard scientist, George Church, was getting ready to put out an ad seeking volunteer surrogate moms to bear a 35,000-year-old, long-extinct Neanderthal baby. Church had to walk his comments back and note that he was just speculating, not incubating.

Still cloning carries so much mystery and Hollywood glamour thanks to movies such as "Jurassic Park," "The Boys From Brazil" and "Never Let Me Go" that a two-day eruption of the pros and cons of making Neanderthals ensued. That was not necessary. It would be unethical to try and clone a Neanderthal baby.

Why? Because there is no obvious reason to do so. There is no pressing need or remarkable benefit to undertaking such a project. At best it might shed some light on the biology and behavior of a distant ancestor. At worst it would be nothing more than the ultimate reality television show exploitation: An "Octomom"-like surrogate raises a caveman child -- tune in next week to see what her new boyfriend thinks when she tells him that there is a tiny addition in her life and he carries a small club and a tiny piece of flint to sleep with him.

The downsides of trying to clone a Neanderthal include a good chance of killing it, producing a baby that is seriously deformed, producing a baby that lacks immunity to infectious diseases and foods that we have gotten used to, an inability to know what environment to create to permit the child to flourish and a complete lack of understanding of what sort of behavior is "normal" or "appropriate" for such a long-extinct cousin hominid of ours.

When weighed against the risks and the harm that most likely would be done, it would take a mighty big guarantee of benefit to justify this cloning experiment. I am willing to venture that the possible benefit will never, ever reach the point where this list of horrible likely downsides could be overcome.

Even justifying trying to resurrect a woolly mammoth, or a mastodon, or the dodo bird or any other extinct animal gets ethically thorny. How many failures would be acceptable to get one viable mastodon? Where would the animal live? What would we feed it? Who would protect it from poachers, gawkers and treasure hunters? It is not so simple to take a long dead species, make enough of them so they don't die of isolation and lack of social stimulation and then find an environment that is close enough and safe enough compared with that which they once roamed.

In any event the most interesting aspects of genetic engineering do not involve making humans or Neanderthals or mammoths. They involve ginning up microbes to do things that we really need doing such as making clean fuel, sucking up carbon dioxide, cleaning fat out of our arteries, giving us a lot more immunity to nasty bacteria and viruses and helping us make plastics and chemicals more efficiently and cheaply.

In trying to make these kinds of microbes, you can kill all you want without fear of ethical condemnation. And if the new bug does not like the environment in which it has to exist to live well, that will be just too darn bad.

The ethical challenge of this kind of synthetic biology is that it can be used by bad guys for bad purposes. Biological weapons can be ginned up and microbes created that only infect people with certain genes that commonly associate with racial or ethnic groups.

Rather than worry about what will happen to real estate values should a new crop of "Flintstones" move in down the street, our public officials, religious groups and ethicists need to get serious about how much regulation the genetic engineering of microbes needs, how can we detect what terrorists might try to use, what sort of controls do we need to prevent accidents and who is going to pay if a bug turns out to cause more harm than good.

We love to think that the key to tomorrow lies in what humanity can be designed or empowered to do. Thus, the fascination with human cloning. In reality, at least for a long time to come, the future belongs to what we can do to design and control microbes. That is admittedly duller, but it is far better to follow a story that is true than one such as Neanderthal cloning that is pure, speculative fantasy.

The opinions expressed in this commentary are solely those of Arthur Caplan.

@highlight

Arthur Caplan: It would be unethical to try and clone a Neanderthal baby

@highlight

Caplan: Downsides include a good chance of producing a baby that is seriously deformed

@highlight

He says the future belongs to what we can do to genetically engineer and control microbes

@highlight

Caplan: Microbes can make clean fuel, suck up carbon dioxide, clean fat out of arteries