Tokyo (CNN) -- In most of Japan, it's still legal to possess child pornography.

Although production and distribution have been banned for 15 years, Japan lags behind other major developed nations in forbidding people from simply holding the sinister material.

That is about to change in a country regarded as a global nexus of child pornography. The country's upper house of parliament is expected to pass legislation this month making possession of it a crime punishable by up to a year in prison.

Children's rights activists have applauded the step, although their reaction is tempered with frustration that it has taken such a long time.

"As a member of a group that's been hearing the voice of the victims for many years, we welcome the news," said Shihoko Fujiwara, a representative of Lighthouse, a nonprofit group that helps exploited children. "Japan took so long, and it is too late to reach this decision as a developed country."

The proposed law, which was already approved by the lower house of parliament this week, comes with a couple of noteworthy loopholes.

When it goes into effect, it will give those already in possession of child pornography a year to dispose of it.

And it won't cover the country's popular manga (comic book) and anime (animation) industries, which include depictions of violent sexual abuse of children in their publications.

Fujiwara said a discussion about some of the imagery in manga and anime -- content that would be illegal in many Western countries -- would be a natural "next step."

'A necessary evil'

But representatives of those industries say that while they support the ban on real child pornography, any move to censor their products would be an unjustified restriction of freedom of expression.

Daisuke Okeda, a lawyer and inspector for the Japan Animation Creators Association, said it was "natural that animation is exempted."

"The goal of the law itself is to protect children from crime," he said. "Banning such expression in animation under this law would not satisfy the goal of the law."

Okeda said that no studies have been done that prove any link between pedophilia and animation in Japan.

Hiroshi Chiba, the manager of Chiba Tetsuya Production, one of the country's best known manga production houses, said that more could be done in terms of age restrictions on graphic content featuring children and to distinguish it more clearly from other comics. And he admitted that some products of the industry leave him and his colleagues "disgusted."

"But rich, deep culture is born from something that might not be accepted by all," Chiba said. "We need to allow the gray zone to exist as a necessary evil."

'An international hub'

Some experts counter that children suffer in a culture that appears to tolerate images of child sexual abuse.

Hiromasa Nakai, a public affairs officer for UNICEF in Japan, pointed to the graphic content in manga, anime and some video games, as well as the "junior idol" genre of books and DVDs that display minors wearing tiny bikinis and striking sexual poses.

Japan should do more -- beyond the proposed law change -- "to protect the best interest of children," Nakai said.

Statistics show that child pornography remains a big problem in Japan.

The U.S. State Department's 2013 report on human rights practices in Japan labels the country "an international hub for the production and trafficking of child pornography."

It cited Japanese police data showing the number of child pornography investigations in 2012 rose 9.7% from a year earlier to a record of 1,596. The cases involved 1,264 child victims, almost twice as many as in the previous year.

The fact that possession remains legal, for the time being, "continued to hamper police efforts to enforce the law effectively and participate fully in international law enforcement," the report said.

Girls as sex objects

One local authority already took matters into its own hands. The prefecture of Kyoto in central Japan introduced a ban on possession of child pornography in 2011.

But Nakai said addressing the problems isn't just a matter for government, suggesting parents, the media, the private sector and even children themselves can play a role in improving the situation.

The portrayal of young girls as sex objects in Japan has long raised eyebrows among Westerners.

An article in Wired in 1999 reeled off a list of examples in Tokyo: "Vending machines sell schoolgirls' used panties, which the girls sell to middlemen. 'Image bars' specialize in escorts dressed in school uniforms. Telephone clubs feature bored adolescent girls earning spending money by talking dirty. Sex shops sell a porn magazine called 'Anatomical Illustrations of Junior High School Girls.'"

Some experts suggest the situation is born out of Japan's long-established patriarchal society.

Whatever the cause, changing a culture may prove a lot harder than changing a law.

CNN's Yoko Wakatsuki reported from Tokyo, and Jethro Mullen reported and wrote from Hong Kong. CNN's Junko Ogura and Will Ripley contributed to this report.

@highlight

Legislation to criminalize child pornography is making its way through parliament

@highlight

The new law won't cover sexual abuse images in Japanese comics and animations

@highlight

Those industries say censoring their products would infringe on freedom of expression

@highlight

A U.S. State Department report says Japan is "an international hub" for child pornography