LONDON, England (CNN) -- The renewable energy sector has received a boost with the inauguration of the world's first commercial wave power project off the Portuguese coast.

It is hoped that the Pelamis Wave Energy Converters will provide energy for 15,000 homes.

Developed by a Scottish engineering company, Pelamis Wave Power Limited, the Pelamis Wave Energy Converters (PWEC) have been towed into position three miles off the coast of Agucadoura in north Portugal.

The first phase of the project is using three PWEC to generate 2.25 megawatts of power at a cost of nine million euros.

If successful, a second phase will see energy generation rise to 21 megawatts from a further 25 machines providing electricity for 15,000 Portuguese homes.

The project is a joint venture between Pelamis Wave Power Limited, Babcock and Brown Ltd -- a global specialist asset manager, Energias de Portugal (EDP) and Portuguese energy group EFACEC.

Named after the sea snake Pelamis, each machine measures 140 meters in length, is 3.5 meters wide and sits partially submerged in the sea.

Babcock and Brown's Anthony Kennaway explained to CNN how the PWEC work.

"Effectively what you have is four long sections making up one machine. Between those sections are three small generating motors," he said.

"The four sections are all joined by hydraulic rams. As the waves run through the machine it pushes the rams in and out. The action of the rams going to and fro pushes hydraulic fluid into a high-pressure reservoir. That high-pressure reservoir then releases the fluid at a steady rate through a generating motor."

This power is fed down to a cable on the sea bed which then links back to a sub-station on shore where it is converted into useable electricity.

The PWEC are, of course, reliant on the weather. Depending on the wave resource, Pelamis predict that the machines will on average produce 25-40 percent of their full power output over the course of a year.

When the full array of 25 machines are in place it is calculated that around 60,000 tons of CO2 will be displaced.

If wave power was fully exploited, the British Wind Energy Association estimates that one-two billion tons of CO2 could be displaced every year.

Ian Fells, emeritus professor of energy conversion at Newcastle University in England, gave this latest development in wave power a cautious welcome.

"It's extraordinarily difficult to design a machine that will cope with the extreme violence of waves. Some wave machines are under the surface all the time -- but they are not as well developed as yet. Pelamis lies in the surface and it remains to be seen how successful it will be," he told CNN.

"But good luck to them. We'll just have to see how it operates over time and how it copes with serious weather conditions."

Professor Fells, a founding chairman of the New and Renewable Energy Center (NaREC) at Blyth, Northumberland, is convinced of the potential of wave power engineering but says it is still in its infancy.

"A few years ago when I was talking about a 500-kilowatt Wavegen machine, I was asked by a reporter how many of these we would need to replace the two nuclear power stations in Scotland, and the answer is 10,000. That puts things into perspective."

@highlight

World's first commercial wave power project is inaugurated off the Portuguese coast

@highlight

The semi-submerged machines will initially provide 2.25 megawatts of power

@highlight

A second phase will produce 21 megawatts and displace 60,000 tons of CO2