As football's top event kicks off in Brazil, Anthony Pereira dispels some of the myths surrounding the 2014 World Cup's host country -- and its approach to the game it is showcasing.

MYTH: Many Brazilians are in the mood to party

REALITY: Many thought that the awarding of the finals -- and the 2016 Olympics in Rio -- would be a "coming out" party for Brazil, confirming its new status as a global player. But that is not the atmosphere which seems to be taking hold. For the last year there have been protests over the spiraling costs of the tournament (around $11.5 billion) and government priorities. Many Brazilians have demanded "FIFA standard" hospitals, schools, and public transportation, not just stadiums.

In 1950, the last time Brazil hosted a World Cup, Brazilians seemed to conform more readily to the stereotype of festive, soccer-mad nationalists (still to be found in some international media). Brazil in 1950 was a largely agrarian country, aspiring to national development and global influence but without the wealth and stature it has today.

Back then, most Brazilians' anxieties seem to have been about football. The country was ready to crown its national team, the Seleção, as world champions. Brazil's loss to Uruguay in the final in the newly built Maracanã stadium (then the largest in the world) was seen as a disaster by many, and a confirmation of what the playwright and football commentator Nelson Rodrigues described as Brazilians' "mongrel complex" (complexo de vira-lata) or sense of inferiority. Now you've got an 85% urban country with high rates of literacy, growing wealth and universal primary school enrollment. So this is a country that's really been transformed over the last six decades. Young people, in particular, seem untroubled by an inferiority complex and are globally aware. They are not afraid to take to the streets to complain.

MYTH: Brazilians are naturally good at football

REALITY: Many people are taken aback by the fact that Brazil has the unique claim of having won the World Cup five times, and participated in all the finals. You could offer an essentialist explanation: "well, it's because of the mixture of races, because Brazilians like music, the culture of street football and because they're so passionate. It means they're just naturally so tricky and skilful."

The more plausible explanation is that the state invested heavily in football as a means of gaining prestige and asserting identity. So it's a state project which has borne fruit. The epitome of the state's exploitation of Brazilian football expertise was the repressive dictatorship's propaganda attempts to associate itself with the success of the Brazilian team in the 1970 World Cup finals. I think when some people protest now, they are maybe (unconsciously) associating this Cup with that authoritarian project -- and rejecting it.

MYTH: The stadiums will be packed across the country

REALITY: There are 12 cities taking part. One of these, Amazonas state capital Manaus is about 4,500 miles from Rio. FIFA itself did not require that so many cities be involved but the Brazilian government was conscious it should not be held in a few selected cities. Instead it should be shared regionally. That's characteristic of Brazilian political style. But it has meant huge stadia have been constructed in some places that probably will not fill them often, including Cuibá, Mato Grosso. These stadia could look like crumbling white elephants in a few years, leaving a negative legacy in some cities and a growing indignation.

MYTH: A World Cup win equates to ballot box success

REALITY: The presidential election between the incumbent President Dilma Rousseff of the Workers' Party (PT) and her two main opponents, Aécio Neves of the Social Democratic Party (PSDB) and Eduardo Campos of the Socialist Party (PSB) will kick into full gear after the final on July 13. President Rousseff would like a successful, well-organized Cup to bolster her re-election chances, although she probably does not need the Brazilian team to do well in order to win. Candidates Neves and Campos could benefit from a perception that the Cup did not go well, but they probably will not be able to make too much of this in the campaign, as they both helped to organize it in their home states.

MYTH: Brazil has fallen out of love with football

REALITY: In 2014, Brazil's passion for football is still evident. Brazilians have purchased the majority of the 2.5 million tickets despite high prices. Some local protests will likely happen but probably not on the scale of last year. People are wary of being seen as disloyally "anti-World Cup" and the government is alert to respond to any disruption. With international attention, there is too much at stake.

In 1968, Britain's Queen Elizabeth II visited Brazil where she watched a match at the Maracanã stadium and met Pelé. Then-British Ambassador John Russell noted its importance as "football is the soul of Brazil." But is it? Perhaps, but that soul shares football with other passions, including desire for more democracy and less corruption. It could be said that protests have added to pressure on FIFA leading to the current questioning of the Qatari bid for the 2022 World Cup, and investigation.

In this sense Brazilians are playing an important role in world football, not simply in their traditional role as brilliant players and passionate fans, but as protesters against and reformers of what many allege is a corrupt institution of global governance.

@highlight

Many thought awarding of finals would be a "coming out" party for Brazil, writes Anthony Pereira

@highlight

But that is not the atmosphere which seems to be taking hold, he writes

@highlight

Brazil in 1950 was without the wealth and stature it has today

@highlight

Brazilians are playing an important role in football as protesters and reformers