(CNN)In Washington's polarized political environment, support for Israel has been a rare area of bipartisan cooperation -- at least until now. Israeli Prime Minister Benjamin Netanyahu's speech to Congress on Tuesday threatens to undermine the nearly 67-year tradition of bipartisan support that has endured since President Harry Truman became the first head of state to recognize Israel.

Netanyahu is driven not only by his concerns about Iran's nuclear threat -- the topic of his address -- but also by domestic political considerations.

Israel will hold its national elections just two weeks after his visit to Washington. Netanyahu is fighting for his political life as he faces a tougher than expected re-election campaign. He has been widely blamed at home for having failed to lower the high cost of living, an issue that his rivals have eagerly exploited.

Netanyahu has tried to offset some of this criticism by focusing on his perennial issue: Iran. A major televised address in Washington concerning Iran's threat, interrupted only by standing ovations from American lawmakers, has the potential to be far more effective than any campaign ad in projecting gravitas, reinforcing his security credentials and reminding voters of his vast experience -- in contrast to his rivals' inexperience -- in foreign affairs.

Yet Netanyahu's speech, while possibly giving him a short-term boost at home, will harm Jerusalem's relations with Washington, not Iran's nuclear program.

Speaker John Boehner's late-January invitation to Netanyahu to address a joint session of Congress was coordinated with neither the White House nor the State Department. It was, in essence, a political ploy aimed at undermining President Obama as he strives to reach a historic deal over Iran's nuclear program.

In defiance of the Obama administration, and rejecting advice from leading figures in Israel and key supporters of Israel in the United States, Netanyahu accepted the invitation.

By antagonizing the White House, Boehner and Netanyahu have put Democratic members of Congress in a bind, forcing them to choose between two unenviable options: either attend the speech out of respect for a close ally, but in so doing flout the president -- their party leader -- or demonstrate loyalty to Obama by snubbing the leader of a major U.S. ally.

Two senior Senate Democrats with sterling pro-Israel credentials, Richard Durbin and Dianne Feinstein, tried to diffuse this latest crisis between Washington and Jerusalem by offering to meet with the Israeli premier behind closed doors but were rebuffed by Netanyahu. Feinstein had previously noted that an invitation to address Congress during the Israeli election period was "highly inappropriate."

In politicizing his visit to Washington, Netanyahu has allowed his bad blood with Obama to spill over into his government's increasingly complicated relationship with the Democratic Party.

Netanyahu no doubt believes that Obama is misguided about the pending deal with Iran. Indeed, there are good reasons to be skeptical of any agreement with a regime that has long engaged in deception and concealment with respect to its nuclear program. Less than two weeks ago, the International Atomic Energy Agency reported that Iran was continuing to evade questions about evidence of past work on designing nuclear weapons.

Yet Netanyahu's move is counterproductive. Democrats on Capitol Hill who were inclined to support additional sanctions on Iran now feel compelled to back the president. In a rare move, five former Israeli ambassadors have publicly called on Netanyahu to cancel his speech. Former Mossad chief Meir Dagan has accused Netanyahu of having caused Israel "heavy strategic damage on the Iranian issue" by antagonizing the administration.

Netanyahu's foray into partisan politics is hardly a new phenomenon. He has never hid his preference for the Republican Party. During his first term in office, Netanyahu irked President Bill Clinton by meeting with the Rev. Jerry Falwell, then-House Speaker Newt Gingrich and other detractors of the President a day before coming to the White House.

A key Netanyahu supporter is U.S. casino magnate Sheldon Adelson, a major Republican donor who also owns the pro-Netanyahu newspaper Israel Hayom. During the 2012 presidential campaign, Adelson poured millions into Republican challenger Mitt Romney's coffers, saying he was willing to spend $100 million to defeat Obama.

That July, Netanyahu's senior adviser, Ron Dermer, helped orchestrate Romney's visit to Israel in what amounted to an implicit endorsement of Obama's rival. Dermer, a former U.S. citizen who once worked for Republican pollster and political consultant Frank Luntz, is Israel's current ambassador to the United States. It is Dermer who coordinated the invitation to Netanyahu with Boehner but never mentioned the invitation to Secretary of State John Kerry when they met a day before Boehner's announcement.

This time, Netanyahu may have gone too far. National Security Adviser Susan Rice did not mince words when she called Netanyahu's latest move "destructive to the fabric of the relationship"  between the United States and Israel. Although the U.S.-Israel relationship is strong and resilient, rooted in common values and shared interests, Netanyahu is subjecting it to an unnecessary test with unknown consequences by choosing to play partisan politics.

@highlight

Ziv: By injecting himself into U.S. politics, the Israeli prime minister puts at risk a 67-year relationship between two countries

@highlight

Netanyahu's speech to Congress poses a problem for Democrats too, Ziv says