(CNN) -- Imagine that you have made it to the United States from a country where economic opportunities are absent. You've found work in a laundry, a restaurant kitchen, a nursing home, or on a construction site. The pay is low by U.S. standards, but you save enough to send some every month to your family back home.

Every day you put up with hazards and harassment, knowing that if you raise your voice in protest you risk, not only getting fired, but getting reported and deported. Some weeks you don't get paid at all, but you keep your mouth shut and live with the abuse.

Hundreds of thousands of immigrant families across the country live this each day. Now, as Congress considers sweeping changes to a broken immigration system, we must press the case for a more humane approach to immigration -- and protections for all workers, immigrant and native-born alike.

International Workers' Day, or May Day, started in 1887 as a day for workers to press their demands for an eight-hour work day. It commemorated a violent suppression of a Chicago labor rally the year before. Immigrants, their advocates and allies took the holiday observed on the first of May to another level in 2006, when they connected workers' rights to the need for repairs to a broken immigration system.

On this May 1, the American Friends Service Committee will join them in cities from Concord, New Hampshire, to San Diego, California.

It's not only workers without the right papers who suffer; when employers can get away with exploitation, the whole workforce suffers and deplorable conditions ripple through the entire labor market.

Immigration reform legislation offers the prospect of ending such exploitation, by providing a path to citizenship for qualifying individuals and a provisional legal status along the way. This would enable workers to stand up for their rights without fear of deportation simply for being an unauthorized worker.

That could be one of the outcomes of passing the "Border Security, Economic Opportunity and Immigration Modernization Act," the official name of the massive immigration bill now pending in the Senate Judiciary Committee.

For future immigrants, the creation of a new visa category, the W visa, would provide opportunities for low-skilled workers to move from one employer to another without losing the authorization to work. This category would ensure that pay levels are set between minimum wage and medium wage for the particular job, and also would require that labor recruiters be registered and regulated. Additionally, holders of "W" visas would be able to seek Legal Permanent Residency for themselves and their immediate family members.

The bill also would create a "blue card," an improvement for agricultural workers. Those who qualify for these visas would be offered a faster track to permanent residency status.

The bill is not without problems, such as the provision that mandates that all employers, public and private, use the federal E-Verify system, which checks workers' immigration status. This ties access to jobs to a massive data-management system with a long history of errors and abuses. Making participation in this flawed system obligatory as a condition for a immigration bill is misguided and wrong.

About 8 million of the estimated 11 million undocumented immigrants in the U.S are workers. They want what workers everywhere want: safe working conditions, fair wages, and protection from abuse. The American Friends Service Committee sees that as a reasonable desire, consistent with a belief that all work should confer dignity on workers, employers, and consumers. As we say in our policy paper, "A New Path Toward Humane Immigration Policy," all workers are entitled to humane polices that protect their labor and employment rights.

This year we must take the opportunity to set a long-sought pathway to protection for workers' and immigrants' rights -- so that May Day 2014 can be a day to celebrate the progress we have made together.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Writers: On May Day, we celebrate workers and press for fair, humane conditions

@highlight

They say immigration reform must include labor protections for all working in U.S.

@highlight

Writers: Employers exploit workers without papers, which affects whole labor market

@highlight

They say provisions like W visa give a path to citizenship and ability to work legally