Swat, Pakistan (CNN) -- Just over one week ago, Pakistani authorities paraded 11 children accused of terrorism in front of the local media. The boys, aged 10 to 16, were apprehended while attempting to plant home-made explosives on behalf of local militant groups operating in and around the city of Quetta, in Balochistan.

The boys' arrest highlights Pakistan's worsening civil strife and underscores how Pakistani terrorist groups continue to exploit children.

This is not a recent phenomenon. In fact, terrorist groups in Afghanistan and Pakistan are increasingly turning to children as operatives.

A few weeks ago, my colleague Mia Bloom and I traveled to Pakistan's Swat Valley to see firsthand how the Pakistani government is working to solve this problem.

Swat District includes the city of Mingora, part of Khyber-Pakhtunkhwa province which borders Afghanistan.

This is the region where 14-year old Malala Yousafzai -- an activist for girls' education -- narrowly survived a Taliban assassination attempt last year.

Renowned for its picturesque vistas, the Swat region fell victim to a brutal reign of terror by the Pakistani Taliban, or TTP in 2008. Faced with an emboldened TTP, Pakistan's national army launched an 18-month counterinsurgency campaign. Law and order were restored and the Taliban forced to retreat.

An emerging success story -- and the reason for our visit to Swat -- is the establishment of "Sabaoon." From the Urdu meaning "the first ray of light from the dawn", Sabaoon is Pakistan's rehabilitation facility for child militants who were formerly recruited by the TTP.

Some of these children were even prepared to become suicide bombers.

Sabaoon's team of psychologists, social workers and military advisers share a principal objective -- to prevent recidivism and ensure that its 'graduates' don't return to the fight.

Sabaoon joins a growing list of similar initiatives that have cropped up around the globe since the mid-2000s. Perhaps the best-known terrorist rehabilitation program is in Saudi Arabia.

Read how a cagefighter in England de-radicalizes convicted terrorists

Collectively characterized as "de-radicalization" programs, it is more accurate to call them "risk reduction" initiatives. They represent a change in the way counterterrorism campaigns are waged, and share the goal of reducing the risk of re-engagement in terrorism once the program's graduates are allowed to return to their communities.

So far, Sabaoon has had 188 'students' fully participate in its program of risk assessment and rehabilitation.

All of the boys were captured by the army or police in raids on Pakistani Taliban training camps. The boys spend anywhere from six months to two years at Sabaoon. A few have spent as long as three years in rehabilitation.

In Pakistan, the TTP showed no hesitation in their use of children for terrorism. In fact, "recruitment" is hardly the right word. It became clear from our conversations at Sabaoon that these children had little if any say in their induction.

The younger children lacked the capability to refuse the terrorists, fearing their own safety or reprisals to their families. One mother explained to me that she had turned to the Taliban when she could no longer cope with her son's alcohol and drug abuse -- marijuana grows wild throughout Swat.

Targeting children at risk like this provided the Taliban with a perfect opportunity to reach out to parents with an offer to help "save" their children. The militants promised a future involving discipline, belonging, purpose, and meaningful work.

In some cases, families faced a horrible choice -- pay an enormous financial tax (double the annual wage) or surrender a child to the movement.

Deception and manipulation have come to define the TTP's child induction practices such that the prevention of children's involvement in violent extremism in Pakistan can hardly be characterized as counterinsurgency.

It is instead a challenge of basic child protection.

Most of the children recalled overwhelmingly negative experiences at the training camps. After performing menial tasks, they were locked in a 4x5 meter room for the rest of the day. Some reported being repeatedly beaten, and in a few cases, sexually assaulted by senior figures.

One child with whom we spent some time graduated from such deplorable conditions only to be 'allowed' to become a martyr, changing his mind literally at the last second. That boy is now one of Sabaoon's brightest hopes for successful rehabilitation and reintegration, and a potential role model for younger children at Sabaoon. But he remains profoundly traumatized by his experiences.

Other children actually reported having had positive experiences with the TTP. Some became involved through family members already in the movement. For them, adventure, camaraderie, and a sense of purpose proved all too real. Terrorism was the family business, and even if the children didn't want to get involved, how could they refuse?

Nobody knows exactly how old some of the children are. Many don't have birth certificates and don't know their own age themselves.

Abdul (not his real name) is now about 17-18 years old. He is very soft-spoken and painfully shy, but spoke English very well. He has big brown eyes and a wonderful, broad smile. He was very thin, but so shy he wouldn't take the food offered to him at lunch.

We were very sensitive to the trauma he had experienced at the hands of the terrorists. The staff briefed us about the abuse he endured. In our limited time with Abdul, we were careful not to ask him anything that might upset him so we focused only on speaking about his future, and how he has adapted to life after Sabaoon.

Abdul is a great success story. One of the first graduates of the program, he excelled academically at Sabaoon. Shortly after his repatriation to his home village, he won a scholarship to university. He chose to defer his admission to take care of his mother and younger brother.

He occasionally comes back to Sabaoon to visit the staff and also to talk to the younger students about how the program has changed his life.

He is one of Sabaoon's role models.

Although addressing the children's needs and reducing the risk of re-engagement in terrorism are Sabaoon's most pressing objectives, its staff are not unaware of the seemingly insurmountable obstacles that face the children when the leave the program.

For Sabaoon, so far it appears that recidivism is not the problem, though with any such program, we may have to wait a bit longer to see if someone returns to the fight. No terrorism risk-reduction program has a 100% success rate, or even close to that. When such claims are made, it doesn't take long to realize that there are significant questions surrounding definitions and measurement of "success" or "re-engagement."

Such questions need to be answered if programs like these are to be supported as creative approaches to counterterrorism. Knowing why they work is as important as knowing if they work. A few high profile instances of recidivism may spell the death-knell for such initiatives.

As academic researchers who study violent extremism, we have a great deal of hope for such programs, and Sabaoon in particular has been the shining ray its name implies. Battling immense odds, Sabaoon's staff remain infectiously optimistic and dedicated, and that's one of the reasons we will return later this year.

But time is not on their side.

A few years ago, research conducted by Dr. Mia Bloom highlighted the changing nature of women's involvement in terrorism. Today a similar argument could be made for the involvement of young children. Both in Pakistan and Afghanistan, the child suicide bomber has come to represent a routine terrorist profile.

Children are easier to manipulate, and like female operatives, they can penetrate security checkpoints without raising the normal levels of suspicions. A 2012 report from Afghanistan suggested that almost 100 would-be child suicide bombers had been 'intercepted' in the preceding 12-month period. Many of those boys were recruited in Quetta.

What the rising tide of child militants means for the development of counter-terrorism initiatives, or even child protection, is unclear.

Sabaoon alone will certainly not solve this problem, but it, and programs like it must continue to develop if we are to truly prevent the next generation of militants.

@highlight

Center in Pakistan tries to rehabilitate children ready to be suicide bombers

@highlight

The center works more as a child protection unit than a counterterror unit

@highlight

Families say Taliban targets poor parents and at-risk children with promises of help

@highlight

At least one child now at the center was sent on a suicide mission by the Taliban