(CNN) -- After an unexpected loss in the Republican primary, former House Majority Leader Eric Cantor resigned from Congress and nabbed the brass ring: A lucrative vice chairmanship at boutique investment firm Moelis & Co., along with a slot on its board of directors. The ex-representative for Virginia's 7th Congressional District will be making at least $1.6 million next year in addition to a hefty signing bonus.

The revolving door to Wall Street is a fact of political life in Washington and won't change anytime soon. That's still no excuse for ignoring it.

According to the Center for Responsive Politics, at least a dozen lawmakers have left public office since 2007 to work for Wall Street firms with a lobbying presence in Washington -- often heading up their D.C. operations, as Cantor will be doing.

But if the only result is that former congressional members are handsomely rewarded for their expertise, then what's the harm?

The problem is that they're not hired for their expertise in finance; they may not even know much of anything about investment banking or finance.

They're hired to influence legislation by making introductions and giving the kind of insider advice that nobody, not even the best-connected K Streeters, have. People like Cantor are not technically lobbyists, but they are expected to use their knowledge as former insiders to strategize for their new employers about how to navigate Congress and who they need to lobby in order to pass, kill or -- as is most typical -- stall legislation.

In short, they can help devise the plan to shepherd their new employer's agenda through Capitol Hill.

What Cantor will do for Moelis merits scrutiny because the ability to hire a marquee name like Eric Cantor means that his new bosses and shareholders have a substantial leg up, not just on the competition, but on civil servants whose job it is to produce policy that serves the public rather than private interest.

Of course, the perspectives of companies like Moelis & Co. are legitimate and useful and should never be censored. Companies providing more information to policymakers is ideal, as long as it's not deceptive or misleading.

Tea party's take on Eric Cantor: We told you so

However, members of Congress are continually pitched by the special interests on which they depend on to fund their re-election efforts. They receive expert opinions polished and shaped for their easy adoption from the very people who are supplying their campaign cash. Both sides have serious conflicts of interest.

If members of Congress want to know how positions favored by various interests would affect their district, state or the national interest, they have to do their own due diligence by hunting down a source for credible, expert, unbiased research or produce it themselves. They may not hear from their constituents, especially on arcane issues that pit one industry against another. In addition, they face time pressures, reduced committee and office budgets as well as limited staff and resources.

So it should be no surprise that Congress is an easy mark for a former member to not only navigate but exploit. Wall Street bosses expect that former Washington movers and shakers on their payroll will offer access and a shortcut to success, if not outright deliver, on their clients' agendas.

What people like Cantor could do is end up serving themselves and their employer at the risk of doing a huge disservice to their former constituents. If the money outweighs all other concerns, the broader public interest rarely wins.

Elected officials and the staff that help them keep up with complex issues are largely driven, we hope and expect, by a desire to make a difference in the world.

The revolving door lures them away from the public service to work on behalf of elite interests that are elite, in part, because they're already investing big money to play the Washington Game.

Let's hope in his new role, Cantor is merely the well-paid VIP shown off to impress clients, and not also required to put his thumb on the scale on their behalf.

@highlight

Former Congressman Eric Cantor has a new lucrative job at an investment firm

@highlight

Sheila Krumholz: The revolving door to Wall Street is a fact of life in Washington

@highlight

She says ex-politicians risk doing a huge disservice to their former constituents

@highlight

Krumholz: People like Cantor are expected to advance private moneyed interests