(CNN) -- Commentators usually make too much of presidential debates. Social science data consistently show that there are very few presidential debates that make a huge difference in the dynamics of a campaign -- other than a few exceptions where the race was incredibly narrow, as in 1960 or 2000, and the performance of candidates had some impact.

Regardless of whether they are game-changers, the presidential debates are still an important part of the broader narrative about each candidate that voters evaluate when they step into the voting booth in November.

More important than doing well is avoiding mistakes. Particularly in the current age of YouTube and nightly political news comedy, any slip-up can become fodder for the 24-hour news cycle. The last thing that a candidate wants to do is provide material for the "Saturday Night Live" comedy writers who are eagerly preparing for the next show.

The mistakes the presidential candidates have made over the years are numerous. Poor body language has been a common blunder. As much as candidates focus on perfecting the substance of what they say before the cameras, a large number of Americans are really most interested to see how they say it.

In 1960, the sweat on Vice President Richard Nixon's brow, his pale skin, and his darting eyes conveyed the image of a politician who could not be fully trusted.

Debate coach: Obama, Romney are top performers

In 1992, President George H.W. Bush's decision to glance at his watch while someone asked a question during a town hall meeting with Bill Clinton played into the image that he had little interest or patience with Americans struggling through the recession.

Vice President Al Gore's continual sighs during his 2000 debate against George W. Bush conveyed a level of arrogance that made him more difficult to like. In another odd moment, Gore walked right up to Bush as he answered a question, looking like a schoolyard bully trying to stare down his opponent as he spoke.

Looks are important, but so are words. The way in which candidates package their ideas can matter very much. Though there is always a temptation for candidates to prove that they know their stuff, sometimes too many words can be deadly.

In 1980, President Jimmy Carter provided a lengthy and substantive response when asked about health insurance. Ronald Reagan simply turned to him and said, "There you go again!" Reagan used just those few words to raise questions about whether Carter, with all his knowledge, really knew what he was talking about and whether he could be trusted.

In 1984, Reagan's scattered response to a question, where he seemed to have trouble keeping his thoughts together and articulating an answer, raised questions about whether he was too old to be president.

Reagan recovered, however, turning the tables on his opponent, Walter Mondale, in the following debate, when he said, "I want you to know that also I will not make age an issue of this campaign. I am not going to exploit, for political purposes, my opponent's youth and inexperience."

The manner in which candidates respond often tells voters a lot about the personality of a candidate.

In 1988, Massachusetts Gov. Michael Dukakis answered with clinical detachment when CNN's Bernard Shaw asked whether he would support the death penalty for someone who raped and killed his wife. "No, I don't, Bernard, and I think you know that I've opposed the death penalty during all of my life. I don't see any evidence that it's a deterrent and I think there are more effective ways to deal with violent crime."

As he reiterated his opposition to the death penalty, Dukakis seemed to miss the fact that the panel wanted to see him wrestle with this difficult choice. The cold response conveyed the image of a politician who lacked warmth or passion.

Opinion: When candidates said 'no' to debates

Verbal gaffes also have the capacity to turn a debate into a major campaign headache. Before his 1976 debate against Carter, President Gerald Ford eagerly prepared to respond to criticism, coming from the right and the left, that his policy of detente with the Soviet Union meant that he had essentially accepted the permanence of Communism. When Ford responded to a question by saying that there was "no Soviet domination of Eastern Europe, and there never will be under a Ford administration," he meant to say that he didn't accept its legitimacy, nor did the people living under Communist rule.

When questioned by a stunned reporter, Ford simply repeated his statement. Not missing a beat, Carter pounced on the statement to raise questions about whether Ford was capable of handling the duties of the office.

Presidential debates are full of land mines for the candidates. Even in an age where everything in politics is so scripted and overprepared, the televised debates remain an event where many mistakes are bound to be made. With the television cameras focused on everything the candidate does, and the political-analysis-industrial complex ready to pounced on every word and motion, President Barack Obama and Mitt Romney, particularly with the race still so close, must enter with caution and be cognizant of how many of their predecessors have stumbled in this arena.

For Obama, the challenge will be one of appearance, to convey the impression of strong leadership that his critics say he lacks and that independents are still trying to evaluate. For Romney, he'll need to avoid the kinds of gaffes that have gotten him into repeated trouble and show, through his answers and demeanor, that he is not simply a creature of America's one percent.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Top priority for candidates in debates is to avoid mistakes

@highlight

He says gaffes have the potential to change how voters view a candidate

@highlight

Candidates are viewed not only for what they say but for their body language, he says

@highlight

Zelizer: Obama, Romney will be under a microscope Wednesday night when the debates begin