(CNN) -- Who was the real Charles M. Schulz?

Was he the man who suffered anxiety attacks, remembered slights for decades and put every ounce of existential angst into his comic strip, "Peanuts"?

Was he the grandfatherly cartoonist hailed as a towering figure in American popular culture, who revolutionized the comic strip and created not only a multimillion-dollar business, but a daily touchstone for fans worldwide?

Or was he between the lines in "Peanuts" itself, in the melancholy of Charlie Brown, the exuberance of Snoopy, the intellectualism of Linus, the directness of Lucy and the bafflement of Peppermint Patty?

Biographer David Michaelis was intrigued by the seeming divide between the popular image of Schulz -- one the cartoonist fostered in interviews and talk-show appearances -- and the depth of emotion manifested in the comic strip.

"I thought there had to be more," he says in a phone interview from his home in New York. "[He said] things about himself in a self-deprecating way, with such a sense of humor ... but behind so much of it was a real guy who had placed himself in the characters of 'Peanuts.' There was a certain amount of biographical ore to be mined."

The result of Michaelis' digging, "Schulz and Peanuts" (Harper), appears Tuesday. The book has received mostly glowing reviews, though Schulz's family -- who agreed to interviews and gave the biographer access to papers -- has been sharply critical of the book's warts-and-all presentation.

"The whole thing is completely wrong," Schulz's daughter, Amy Schulz Johnson, told The New York Times. "I think [Michaelis] wanted to write a book a certain way, and so he used our family."

Added Schulz's son, Monte: "It's preposterous."

Michaelis defends the final work. "This was the man I found," he told The Times.

Certainly, "Schulz and Peanuts" has its share of surprises. Michaelis draws parallels between Schulz's sometimes contentious first marriage and the relationship between Charlie Brown and Lucy, as well as how romantic affairs and fantasies emerged in the strip. (Cleverly, the book's text is interspersed with hundreds of "Peanuts" strips that function as a kind of Greek chorus.)

He observes that a number of character names -- Shermy, Linus, even Charlie Brown -- had real-life roots. And he goes into Schulz's dark places, from his fear of travel to the death of his mother.

Schulz's personality was established early on. The Minneapolis, Minnesota-born cartoonist, the son of a barber, was a neat, reserved, anxious "good boy" as a child. He drew constantly -- his first success was a sketch of his dog that was reprinted in "Ripley's Believe It or Not" -- but remained lonely and standoffish through his adolescence, terrified of girls, his work dismissed by his high school yearbook in a long-remembered snub.

As Michaelis observes, service in World War II hardened and matured the young artist, but Schulz never lost his childhood attributes. His sense of loss was deepened by the death of his mother not long after he joined the Army. Later, he underwent a painful midlife divorce.

Schulz once characterized "Peanuts" -- Snoopy's fantasy life notwithstanding -- as a study in disappointment. "All the loves in the strip are unrequited; all the baseball games are lost; all the test scores are D-minuses; the Great Pumpkin never comes; and the football is always pulled away," he said.

But if disappointment were all there was to "Peanuts," the strip never would have had such success, says Michaelis.

"Charlie Brown has to carry Charles Schulz's spears, and the slings and arrows of the world," he said. "But I think Schulz found something in his own character early on, which was fortitude -- which was the single quality he gave to Charlie Brown. ... It's his fortitude, his endurance, his willingness to do all this without self-pity that makes us love him and admire him."

"Peanuts" also changed comic strips as we know them, exploiting minimalist lines and existential depth in a way few strips had even attempted, much less in a day-to-day fashion, says "Pearls Before Swine" cartoonist Stephan Pastis.

"He pretty much invented the modern comic strip," he says.

Pastis compares Schulz's impact to that of Marlon Brando in film: "Before Brando, you had one style of film acting, and after, you had another. Schulz did that in the comic strip." (Pastis, who considers Schulz a hero, now gets to work under his spiritual wing as a member of the board of the Charles M. Schulz Museum.)

Moreover, despite his aw-shucks manner, Schulz was also a shrewd businessman.

"Peanuts" spawned a hit musical ("You're a Good Man, Charlie Brown"), at least one hit song (the Royal Guardsmen's "Snoopy vs. the Red Baron"), fronted for advertising campaigns, was featured in countless TV specials and generated an empire of commercial goods. When his work was threatened, Schulz stood his ground. CBS was uncomfortable with the Bible verses and jazz music of "A Charlie Brown Christmas," but it went on just as planned.

Schulz also maintained a keen sense of competition. Though always eager to help young cartoonists, he also liked to show them not to underestimate the old man.

"When I told him that I was in 2,000 papers, he said 'I'll see you in the Louvre,' " "For Better or For Worse" cartoonist Lynn Johnston told the Canadian Broadcasting Corporation. "He was very competitive -- and he was right! He was the only one of us in the Louvre, and I'll never get there."

"Peanuts" remained the heart of Schulz's life literally right up until the end. The cartoonist died of cancer on February 12, 2000, the day before his final Sunday strip ran.

In the end, Schulz's gift was to expand the world of the comic strip -- and, thereby, expand the world of his readers, Michaelis says.

"He kept saying this: There was complexity in the world," Michaelis says. "And people who knew him kept saying there was complexity in his personality. ... The thing that 'Peanuts' taught us is that contradiction and ambiguity is as much a part of life as sweetness and happiness -- and to see Charles Schulz as any one thing and not another is to deprive him of being the man and the genius he really was." E-mail to a friend

@highlight

Charles Schulz subject of new biography, "Schulz and Peanuts"

@highlight

Book reveals little-known side of Schulz, including affairs

@highlight

Schulz very much a "genius," says author -- a complex personality