(CNN) -- On Tuesday night, President Barack Obama will deliver his fifth State of the Union message. He will declare to a dysfunctional Congress, weakened by years of gridlock, that the union is sound -- even if effectively only two-thirds of the government is functioning.

Obama will discuss sustained growth in jobs, the economy and health care; partnering with the private sector; working with educators, mayors, governors -- anyone who's willing to get the job done. He'll outline plans to repair an endangered planet's environment, to strengthen our arms and cyber defenses, to put immigration reform behind us and a stronger workforce ahead of us.

The White House says three words summarize Obama's message: "Opportunity, action and optimism." And Washington cynics respond with cliched eye-rolling, muttering, "Sure, sure." The clock -- so they say -- is ticking down on the last three years of his administration.

Not so fast.

Maybe Obama is planting policy and nurturing programs that will bear fruit long after he leaves office.

Congress, on the other hand ...

Opinion: Obama, the pain and fear must be named

In the past, Obama urged the Congress to "Seize the Day." Instead, it seized the government, bringing it to a grinding halt. House Speaker John Boehner acknowledged the Republicans were to blame, and that the action hurt the Republican Congress, which has only 19% of the public's confidence. (Obama's approval rating has grown to 44%, regaining as the health care website improves.)

Nolan McCarthy, a noted political science scholar at Princeton University, and Michael Barber led several colleagues in examining the impact that a gridlocked, partisan Congress is having on our political system of checks and balances. It was a substudy by an American Political Science Association task force, convened by Harvard political theorist Jane Mansbridge and Boston University political scientist Cathie Jo Martin.

Grover Norquist: The misdirection of a president

The panel concluded that "sincere ideological differences" caused the gridlock -- as well as "strategic behavior to exploit those differences to win elections." "Consequently," it found that partisan "polarization has reduced congressional capacity to govern." Congress is "... more prone to delays in appropriating funds, and increasingly slow in handling executive and judicial appointments."

No surprise, there -- it's evident to any onlooker that these showdowns over the budget and debt are as much about "winning" as they are about convictions. The loser, though, has not been the other (Democratic) party, but our constitutional system.

Newt Gingrich: Why Obama is playing a weak hand

"Of significant concern," McCarthy wrote in The Washington Post, "is the extent to which this reduction in legislative capacity has contributed to a shift in the constitutional balance as it enhanced opportunities for executive and judicial encroachments on legislative prerogatives."

In other words, a Congress that obstructs the public's election mandates and refuses to compromise only weakens itself. Boehner boasted after the 2012 debt face-off that Republicans got "98% of what we wanted." Maybe. Regardless, the American people are not getting what they need.

The signs of growing congressional weakness are everywhere. This past week, Mesa, Arizona, Mayor Scott Smith, president of the U.S. Conference of Mayors, said, "The partnership between local and federal government is not as strong now as it once was."

Steve Israel: GOP misguided and obsessed

Smith, a Republican who will run for governor of Arizona this year, added, "Instead of Congress pulling together to help working Americans, there is an all-out assault on programs that would help them." He described his fellow mayors as a "pragmatic bunch who care more about finding solutions than about focusing on ideological differences."

That description also fits Obama, whom studies have shown to be the "most moderate president since World War II." Perhaps that moderate, Ike-like, approach accounts for some of his difficulties last year. (By the way, Obama is the only the president since Eisenhower to win back-to-back elections with more than 51% of the vote.) While 2013 wasn't as bad for Obama as some pundits claim, it clearly could have been better.

Obama will try, as he has for five years, to forge bipartisan compromises on an agenda that moves this changing nation forward. If Congress balks, again, he'll do what the mayors are doing: find a way to move forward.

John Edwards: Dems should do more on poverty

The White House released a statement over the weekend, saying "The President has a pen and he has a phone, and he will use them to take executive actions and enlist every American -- from business owners, workers, mayors and state legislators to young people, veterans, and folks in communities across the country -- in the project to restore opportunity for all."

Our constitutional system demands cooperation and compromise. Governing can get messy. But the Founders believed that factions in Congress would share one principle: Common national goals trumped party, and to achieve those goals, bipartisan deals were better than no deals. Such had been the Founders' hope and the reality for many a Congress in the past. Alas, such a Congress no longer exists.

The future will be forged. Obama will adapt to the congressional realities of today -- even if that means moving ahead without Congress by issuing executive orders as constitutionally defined and reaching beyond Congress to the American people and their leaders, local and state, public and private.

Right on, Mr. President. Time to move the country forward.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile says that a dysfunctional Congress won't stop a determined president

@highlight

Brazile: Obama nurturing programs that will bear fruit long after he leaves office

@highlight

Brazile: The loser in this system hasn't been Democratic Party, but our constitutional system