(CNN) -- Without firing a shot, Israeli Prime Minister Benjamin Netanyahu has achieved remarkable results in his efforts to counter Iran's nuclear program.

In little more than a year, the prime minister has managed to move the Iran nuclear issue to the top of the international agenda, to toughen sanctions, and in an extraordinary move, to push U.S. President Barack Obama to strengthen American policy so that preventing Iran from acquiring nuclear weapons became the focus, rather than just containing Iran and its nuclear program.

Indeed, if you throw in Republican challenger Mitt Romney's unwillingness to accept Iran even having the capacity to produce a nuke, Netanyahu's record is even better.

But Israel's policy is approaching a point of diminishing returns. By stressing red lines it can't or won't enforce, Netanyahu threatens to overplay his hand, irritate a close ally and undermine Israel's own credibility. And here's why.

News: Netanyahu asks U.N. to draw 'red line' on Iran's nuclear bomb plans

Club Red Line: Who else is going to join?

The logic of getting a great many countries to sign on to some new line in the sand on paper might make sense. Since Israel can't or won't (yet) enforce its own new red line -- Iran is moving to enrich higher levels of uranium -- it will require others to join it to be effective.

But this is a club few seem ready to join. Indeed, Israel's most important ally seems very reluctant to get locked into trip wires or red lines that might commit it to what Obama seems determined to try to avoid -- a military strike against Iran's nuclear sites.

In fact, the cruel reality from Netanyahu's perspective is that with the exception of Israel's government, which sees a putative military strike as a war of necessity, everyone else -- without exception -- sees it as a war of discretion.

Iran has no weapon. It hasn't tested one and doesn't have enough fissile material to produce one. Nobody is ready for Iraq War redux, least of all an American president who is running on extricating America from costly and unpredictable wars, not getting the United States into new ones.

Undermining Deterrence

The more Israel talks about red lines, green lights and military options without actually acting, the more its credibility and deterrent capacity is undermined. Once a day and twice on Sunday, Israeli politicians are either talking or leaking why Israel is going to strike Iran. These war scares are becoming something of a joke, truly. One Israeli source told me that he was getting so tired of this Cry Wolf line that Israel ought to just hit the Iranians and get it over with already.

You can only imagine the chuckling going on in Teheran. This past spring a war scare prompted a parade of senior U.S. officials to run to Israel to reassure their counterparts, then it was the "October surprise" scare that Israel would strike before the November elections. And now the prime minister has stated in his U.N. General Assembly speech that it wouldn't be until next spring, or at most by next summer, at current enrichment rates, that Iran will have finished the medium enrichment of nuclear fuel and move on to the final state, all but implying that Israel would probably not act until next year.

You have to wonder why anyone would lay down red lines publicly if he can't credibly enforce them nor expect others to? If red lines are to deter war not facilitate it as the prime minister says, then Teheran would have to stop enriching uranium out of fear of an Israeli strike. But given the reality that Iran knows Israel is bluffing, figures it can absorb and even exploit an Israeli strike, and the U.S. and the international community don't want war, where's the urgency? In this case, there's very little reason for the mullahs to worry.

News: Three things we learned from the U.N. General Assembly

Angering the President

Even without Iran to complicate it, the relationship between Obama and Netanyahu is among the most dysfunctional in the history of the U.S.-Israel story. There's little sense of confidence and trust and a pronounced sense that each would like to close his eyes and make a wish that the other would disappear.

Netanyahu thinks Obama is bloodless and cold when it comes to understanding Israel's fears and its security challenges; Obama thinks Netanyahu is a conman who thinks only of himself with little sense of respect or sensitivity for American interests. Indeed, one of the reasons Obama doesn't want to endorse Netanyahu's red lines is that it will make it harder for the Iranians to cut a deal, and that is still Obama's preferred option.

The Iranian nuclear issue has actually made the relationship between the two leaders worse. By appearing to jam the president politically by questioning Obama's refusal publicly to accept red lines a month before an election, Netanyahu -- with a good deal of help from Romney -- has thrown the nuclear issue into the middle of the campaign.

Only the interminably obtuse believe that Netanyahu wouldn't prefer his friend Romney to be the next president. The president's much publicized phone call today with Netanyahu (these calls are never touted this far in advance) may help to keep matters from getting worse.

But the Netanyahu-Obama relationship could easily deteriorate, particularly if the president believes as he must that Netanyahu wants his rival to win. The only thing worse for Netanyahu than a re-elected Obama is an angry re-elected Obama.

The smart play for Netanyahu would be to stop talking about Iran publicly at home and abroad, desist from creating the impression that he's pressing the president before the elections and start a quiet dialogue with the United States about how best to handle the period ahead.

He should explore what assurances the Obama Administration is prepared to give Israel and other American allies in the Gulf and give the United States three months to get through the elections and the immediate aftermath of the vote.

This might actually create a greater sense of confidence that Netanyahu was giving the Americans the benefit of the doubt and build up some currency in the bank which Israel will need if in fact it does decide it must go it alone against Iran in the spring. Another several months will not matter. Indeed, as former Israeli Military Intelligence Chief Amos Yadlin has said, the zone of immunity may be much less important than the zone of trust between the two allies.

Whether through negotiations, diplomacy or war, the Americans and Israelis will need one another to deal with the Iranian nuclear threat. Red lines aren't the answer -- lines of trust and communication between two allies are.

The opinions expressed in this commentary are solely those of Aaron David Miller.

@highlight

Aaron Miller: Israeli PM Netanyahu has scored some victories on Iran nuclear program

@highlight

But he says Netanyahu's new emphasis on drawing a red line is counterproductive

@highlight

Israeli politicians are crying wolf, threatening an attack that isn't happening, Miller says

@highlight

Miller: Injecting the issue into U.S. election campaign further alienates President Obama