(CNN) -- The diabetes drug Avandia is linked with tens of thousands of heart attacks, and drugmaker GlaxoSmithKline knew of the risks for years but worked to keep them from the public, according to a Senate committee report released Saturday.

The 334-page report by the Senate Finance Committee also criticized the Food and Drug Administration, saying that the federal agency that regulates food, tobacco and medications overlooked or overrode safety concerns found by its staff.

"Americans have a right to know there are serious health risks associated with Avandia and GlaxoSmithKline had a responsibility to tell them," said U.S. Senator Max Baucus, a Democrat and committee chairman. "Patients trust drug companies with their health and their lives and GlaxoSmithKline abused that trust."

The bipartisan report also was signed by Sen. Chuck Grassley, the top-ranking Republican on the committee.

GlaxoSmithKline rejected any assertions Saturday that the drug is not safe.

"We disagree with the conclusions in the report," company spokeswoman Nancy Pekarek told CNN. "The FDA had reviewed the data and concluded that the drug should be on the market."

Seven clinical trials on the drug prove that it is not linked to heart attacks, Pekarek said.

"None of that data shows a statistically significant correlation between Avandia and myocardial ischemia or myocardial infarction [heart attack]," she said.

Ischemia is a condition in which blood flow and oxygen are blocked from going to certain parts of the body.

The Senate committee investigation stems from concerns that Avandia and other high-profile drugs put "public safety at risk because the FDA has been too cozy with drug makers and has been regularly outmaneuvered by companies that have a financial interest in downplaying or under-exploring potential safety risks," the report states.

FDA Commissioner Margaret Hamburg said she is waiting for the recommendations of an advisory committee that will hear reports on the drug this summer.

"Meanwhile," Hamburg said in a statement, "I am reviewing the inquiry made by Senators Baucus and Grassley and I am reaching out to ensure that I have a complete understanding and awareness of all of the data and issues involved."

The Senate report was developed over the past two years by committee investigators who reviewed more than 250,000 pages of documents provided by GlaxoSmithKline, the FDA and several research institutes. Committee investigators also conducted numerous interviews and phone calls with GlaxoSmithKline, the FDA and anonymous whistleblowers.

According to the Senate report:

• FDA scientists estimated in July 2007 that Avandia was associated with approximately 83,000 heart attacks since the drug came to market.

"Had GSK considered Avandia's potential increased cardiovascular risk more seriously when the issue was first raised in 1999 ... some of these heart attacks may have been avoided," the report states.

• GlaxoSmithKline undertook attempts to undermine information critical of Avandia.

"GSK executives attempted to intimidate independent physicians, focused on strategies to minimize or misrepresent findings that Avandia may increase cardiovascular risk and sought ways to downplay findings that a competing drug might reduce cardiovascular risk," the report says.

As an example, committee investigators say they found that GlaxoSmithKline experts verified an outside study showing the cardiac problem, but the company publicly attacked the findings as incorrect.

• Two FDA safety officials sounded a clear alarm in October 2008 writing, "There is strong evidence that rosiglitazone [Avandia] confers an increased risk of [heart attacks] and heart failure compared to pioglitazone [rival drug on market]." They concluded and trials comparing the two would be "unethical and exploitive." Yet, the trial is still under way, the senators say.

GlaxoSmithKline counters that the Senate report relies on outdated information.

"In essence, the report is a compilation of information and events that took place years ago," spokeswoman Pekarek said. "There's no new data there."

The FDA has evaluated at the drug, Pekarek said, and updated product labeling in 2007 to say information on Avandia's relationship to myocardial ischemia is inconclusive.

"The FDA exists to ensure patient safety," she said. "That is their purpose."

Avandia has been under scrutiny for years. The New England Journal of Medicine called the drug's safety into question in 2007. The Journal of the American Medical Association also questioned whether Avandia was safe in 2007.

"Among patients with impaired glucose tolerance or type 2 diabetes, rosiglitazone use for at least 12 months is associated with a significantly increased risk of myocardial infarction and heart failure, without a significantly increased risk of cardiovascular mortality," the AMA journal wrote, adding that the "findings have potential regulatory and clinical implications."

"Regulatory agencies ought to re-evaluate whether rosiglitazone should be allowed to remain on the market," the report said. "Health plans and physicians should not wait for regulatory actions. They should avoid using rosiglitazone in patients with diabetes who are at risk of cardiovascular events, especially since safer treatment alternatives are available."

Read the report

In 2007, an FDA panel recommended by a vote of 22-1 that Avandia should remain on the market despite an analysis showing links to increased risk of heart attack. The vote was not binding, but a suggestion to FDA regulators.

The panel also voted 20-3 at the same meeting in support of data that showed Avandia increased the risk of cardiac ischemia in patients with the most common type of diabetes.

The Senate report does not address the issue of whether Avandia should be removed from the market.

CNN's Lisa Desjardins, Saundra Young, Miriam Falco and Arthur Brice contributed to this report.

@highlight

Avandia linked to heart disease, Senate committee report says

@highlight

GlaxoSmithKline tried to hide risks from public, according to report

@highlight

Company rejects reports conclusions, denies its drug causes heart problems

@highlight

FDA "too cozy" with drug manufacturers, report says