(CNN) -- It has been a long time since a Hollywood movie actually seemed like it could help people suffering from mental illness, their families and those who treat them.

That's why I'm so encouraged by the response to "Silver Linings Playbook," which has enjoyed wide critical support since its release last fall -- including eight Academy Award nominations -- and is attracting a large national audience. It is the first film I've seen in years that portrays mental illness in such natural and poignant terms.

The entertainment industry has made a lucrative habit of exploiting deranged behavior for ostensibly artistic purposes, and has a long history of stereotyping "crazy" characters as killers, stalkers or perverts and misrepresenting mental health care.

Nearly 40 years after the release of the single most stigmatizing film in history --"One Flew Over the Cuckoo's Nest" -- it is still invoked by people criticizing or trying to avoid care as if it is, or was, an accurate portrayal of mental illness and psychiatric medicine.

"Silver Linings Playbook" has the power to be an antidote to "Cuckoo's Nest." And the timing of its general release is particularly welcome in light of the wanton killings in Newtown, Connecticut, and the president's initiative on gun control and violence. The president is right to seek legislation, but what is also needed is helping people with mental disorders get treatment, the first step in which is to reduce stigma.

Hemingway family mental illness explored

In the aftermath of the senseless tragedies that just keep on coming and the stigmatizing hysteria that came with them, we desperately need a compassionate reality check against our exaggerated fears of people with mental illness. Because they are not "the other," "strange" or "foreign" people. They are us.

"Silver Linings Playbook" tells the story of a person, family and community in which individuals suffer from mental disorders much the same way as people do in the real world. It is not so much a story of mental illness as it is about two people who happen to struggle with mental illness -- among many other things -- and their relationships with family and community.

The fact that the protagonist (Bradley Cooper) and his father (Robert De Niro) suffer from bipolar disorder and obsessive compulsive disorder, respectively, and the love interest (Jennifer Lawrence) has engaged in reckless self-harmful behavior in her transition from youth to adulthood, are simply aspects of their characters.

Opinion: Get serious about mental health care

Their illnesses don't define their identities -- nor are they even the main point of the story. In coming together, the characters find the mutual support that enables them to contend with their respective problems and redirect their lives presumably in a more positive direction.

There have been comments that the film does not accurately portray mental illness and conveys negative messages about psychiatric treatment. I completely disagree. And I think these criticisms miss the main point.

This is a story in which everyday characters (everyone can't have John Nash's beautiful mind) experience mental disorders as part of their lives and manage to cope with them and ultimately prevail. They overcome the emotional problems that affect them, as characters in other stories overcome different forms of adversity.

Review: 'Silver Linings' will give audiences a lift

In portraying the characters in this story as affected by mental illness, the film communicates powerful and constructive messages that resonate with the public. It says that mental illness affects ordinary people in normal domestic settings.

Many people regard mental illness as remote and rare, only affecting people to whom the average person (whoever that may be) could not relate. Yet epidemiologic studies tell us that one in four persons will suffer from mental illness in their lifetime. The film also shows us that treatment can work and people can overcome their disorders. All are not doomed to suffer.

The main character in the film suffers from bipolar disorder, a condition for which there is a risk of violent behavior if symptoms become severe and go untreated. However, with the support of his family, the efforts of his psychiatrist and the love of a good woman, he avoids the tragic outcomes that we unfortunately have seen repeatedly in our society, and he achieves a new beginning. Of course, continued treatment and support will be required to keep things on track.

By providing this touching every-person portrayal of mental illness in the tumultuous aftermath of the horrific events in Connecticut, this film, ever so slightly, helps to ease our collective pain and provides a silver lining to this national black cloud.

The opinions expressed in this commentary are solely those of Dr. Jeffrey Lieberman.

@highlight

Dr. Jeffrey Lieberman: Entertainment industry has long exploited deranged behavior

@highlight

"Silver Linings Playbook" shows mental illness in "natural and poignant terms"

@highlight

Lieberman: We need a reality check against "exaggerated fears" of mental illness