(CNN) -- Sharifa lost her foot when the Syrian jets swooped down and fired missiles at the house.

Now the hijab-clad girl sits jaded in a dirty, hardscrabble displaced persons camp near Turkey, growing up fast, confused and far from home.

CNN special coverage: Syria's refugees

She needs crutches to move around and weeps for her lost limb.

"I can't get it back," she said.

But like many youth, Sharifa is resilient.

She teaches the younger kids at the camp mosque and, inshallah, wants to go back to her home village and do it there.

Her life has been hijacked. She's consumed by hope and grief, determination and despair.

"I just want to walk again," she says. "I just want to walk."

Watch more of Sharifa's story

Sharifa is one of a lost generation uprooted by Syria's civil war.

She's one of the casualties of what the International Rescue Committee is calling a "regional humanitarian disaster," the widespread displacement caused by nearly two years of civil strife and war in Syria.

The IRC, one of the world's major refugee agencies, issued a chilling report Monday about the plight of refugees and internally displaced people.

More than 2.5 million Syrians have been uprooted, the IRC says.

Of those who have had to leave their homes, about 600,000 have fled, mostly to Jordan, Turkey, Lebanon and Iraq, which border Syria.

It's a replay of the population flight out of war-torn Iraq last decade. It conjures the wrenching flight in the 1940s during the birth of Israel, also next door to Syria.

"The Middle East is once again facing a human displacement tragedy," the IRC's commission on Syrian refugees said.

The IRC interviewed refugees in the border nations and got a grim view of life in the country.

Killings, attacks, arbitrary arrests, torture, abductions, rape, bombings and sexual violence. Loss of infrastructure and health care. Dwindling supplies of food, water and electricity. No school.

More: Children scavenge for food

More than 60,000 people have died since the regime of Syrian leader Bashar al-Assad cracked down on peaceful protesters, a stance that set in motion what has become a nightmare, a civil war between the unyielding government and tenacious rebels.

The fighting has taken a sectarian overtone. The government is dominated by Alawites. The opposition, largely by Sunni Muslims.

People from other groups and religions in the diverse country have been caught in the crossfire. Some have joined the rebels. Others support the government.

Many sit tight and hope it ends. Others have fled to higher ground in Syria. Some to other countries.

People have embarked on treacherous journeys to safety outside Syria, scurrying from Homs and Hama to Lebanon, Daraa to Jordan, Aleppo and Idlib to Turkey, and Syrian Kurdish neighborhoods to Iraq.

Many live in camps, but most are "urban refugees," scattered through villages, towns and cities seeking shelter anywhere it is available.

Some live with host families but others are packed into small, dingy and poorly maintained apartments. Some are squatters, staying put in schools, public buildings and unused spaces.

"Every time it rains, we live in a pool of mud," said a 60-year-old woman from Daraa, interviewed by the IRC. She and seven others in Jordan share a room with a dirt floor and leaky roof.

Women and girls have gone from the frying pan to the fire. Rape is a main reason why many refugees fled, but there is "an alarming lack of medical and counseling services" in their new homes, the report said.

"They face unsafe conditions in camps and elevated levels of domestic violence, while reports of early and /or forced marriage of women and girls are increasing," the report said.

Children are traumatized. "Abuse, neglect and exploitation" are risks that are right around the corner.

In Turkey, 8-year-old refugee children make drawings, just like kids everywhere. The images? Scenes from home of bombs and terror.

"Many teachers in host schools are ill-equipped to assist traumatized children -- as are their parents. Many children exhibit violent aggressive behavior," the report said, citing an IRC counselor in Jordan.

"Others have stopped eating, talking and sleeping."

More: Life in the camps

The IRC is telling the world it urgently needs solutions.

Humanitarian aid must be increased. Borders must remain open. More assistance is needed for internally displaced Syrians. Urban refugees need more attention, and women and girls need better protection.

The world also must prepare for fallout and instability, even if the al-Assad government is toppled.

"The international community must quickly plan for a displacement crisis that could last well beyond the end of the Assad government and persist regardless of the political outcome of the conflict," the report said.

Now winter is here. Aid agencies are bracing for more misery.

One refugee in Lebanon said his family has spent the year living in a sheep shed. Now they face the punishment of winter: winds, cold, rain and snow. Even flooding.

"I cry in my heart. I feel depressed. It's unjust," he said. "Is there a worse way to live than this?"

In a camp near Turkey, Abdul Qadr al-Hasan's daughter, Siham, succumbed amid the frigid air.

More: What's next for Syria?

"She was not sick. She didn't have any problems at all. We were up late that night and we were playing with her," al-Hasan said, speaking in a tent.

"We woke up the next morning, her mother checked on her. She was curled into a ball from the cold."

Also near Turkey, Sharifa struggles on.

More: How it all started

She says it is "God's will this happened."

"The situation is hard here, nobody can bear this."

Sharifa may be a limping casualty of war, but she and other young traumatized Syrians -- living in tents, crammed in apartments and hiding in villages and towns -- are now the country's future.

They will limp home after the war ends to rebuild their land.

"I don't want to play again," she said. "I just want to walk."

Nick Paton Walsh and Joe Duran contributed to this report.

@highlight

A new report says more than 2.5 million Syrians have been uprooted

@highlight

Many are "urban refugees," scattered through towns seeking shelter

@highlight

Aid agencies are calling for more help, especially for women and children