Lebanese women are taking to the streets to demand that the government takes domestic violence seriously, by introducing laws to protect women from abusive partners.

Nadine Mouwad, a founder of feminist collective Nasawiya, says the prevalence of unveiled, glamorous women in Beirut can create the impression that Lebanon is more liberated from patriarchal cultural attitudes than neighboring countries.

But that's merely an illusion, she says.

"The problem is that we are sold a lot of fake freedoms that raise Lebanese women under the impression that they have freedom to go anywhere, freedom to dress the way they want to," she said.

For the past year and a half, Mouwad and fellow feminist activists have been demanding that politicians ignore the objections of Muslim religious authorities and pass a stalled law protecting women from domestic violence.

A draft version of the Law to Protect Women from Family Violence was approved by Lebanon's Cabinet in 2010, but has since become bogged down in parliament, mainly due to the objections of Sunni and Shia authorities.

The initial version of the bill was drafted to criminalize physical and sexual abuse, so-called "honor crimes" and marital rape, create specially-trained domestic violence response units within the police, and provide the legal framework for restraining orders to be issued against abusers.

Read also: Not all colors welcomed in Lebanon's cultural tapestry

But Lebanon's religious courts -- the judicial authorities presiding over each of the country's faith communities, with jurisdiction over matters of "personal status," including marriage problems -- have criticized the proposed law as an attempt to erode their authority.

Dar al-Fatwa, Lebanon's top Sunni authority, and the Higher Shi'a Islamic Council both said that they opposed the draft on the basis that Sharia law protected the status of women, and should remain the basis for governing legal issues related to Muslim families.

Domestic violence cases in Lebanon are typically heard in the religious courts, which often respond with rulings focused on preserving the family unit, rather protecting women from violence.

It's a response that abused women are usually met with from police as well, says Lebanese lawyer Amer Badreddine.

"They are told to solve the problem amicably, to keep it a family issue and not cause embarrassment to themselves by bringing it to the police," said Badreddine, who specializes in domestic violence cases.

He said the law also failed to recognize marital rape as a crime -- a position that some Muslim judges argue should be upheld.

Criminalizing marital rape "could lead to the imprisonment of the man," Sheik Ahmad Al-Kurdi, a judge in the Sunni religious court, told CNN, "where in reality he is exercising the least of his marital rights."

Read also: A Palestinian farmer's journey to the Oscars

With little protection from authorities, Lebanese women in abusive marriages must also often contend with the disapproval of their families if they seek to escape their predicament.

One Lebanese mother-of-three told CNN of being beaten by her husband from the time she was pregnant with their first child. Shortly after the child was born, he broke her nose and she resolved to divorce him. But her parents were mortified about what people would think, and said she would have to give up her son if she left.

She returned to the marital home where the abuse continued, including her husband forcing himself on her. "He used to make me pregnant, thinking that as long as I was having kids he would make me stay," she said.

She feared he would kill her. But eventually, with the help of a Kafa ("Enough") -- an NGO tackling violence and exploitation of women and children -- she was able to divorce her husband and retain custody of her children.

Such an outcome is rare for abused women in Lebanon -- a situation that was now unlikely to be remedied by the passing of the domestic violence bill, says Mouwad. Her organization heard of about 15 cases a year of Lebanese women murdered by their domestic partners, she said.

Mouwad said the draft bill had been watered down with so many amendments due to objections by religious conservatives, that it was virtually useless. She said she would ultimately prefer not to see it pass.

"If it passes the way it is, it's going to be disastrous and counterproductive," she said.

@highlight

A law to protect women from domestic violence in Lebanon has stalled in parliament

@highlight

It is opposed by religious groups which claim it will erode the power of religious courts

@highlight

Feminist groups are protesting the delay, saying women have few legal protections in Lebanon

@highlight

One judge from a Sunni religious court told CNN marital rape was a husband's "right"