(CNN) -- He dreamed of being a tennis star, but it was not to be.

Instead, Olof Mellberg had to settle for captaining his country on arguably the biggest sporting stage -- and attracting a cult following due to his distinctive facial hair.

Playing at the World Cup is the fantasy of millions of football fans across the globe, and the hirsute Mellberg did it twice for Sweden.

Not bad for someone who didn't get serious about football until he was 15.

"I wouldn't say it was my dream to play at the World Cup," the 36-year-old tells CNN's Human to Hero series.

"I never really thought about it. I never thought about becoming a professional football player."

Mellberg spent his his formative years honing his skills on the tennis court, but he didn't get the chance to emulate the exploits of all-conquering compatriot Bjorn Borg, who retired prematurely with 11 grand slam titles to his name before Olof reached the age of five.

Instead, by his mid-teens, he was looking for a new sporting love -- which he found kicking a ball around with his friends in his hometown of Gullspang, about 300 kilometers west of Sweden's capital city Stockholm.

"Both my parents are teachers in physical education so I've grown up with all kinds of sports," he explains.

"For a couple of years there, I only played tennis. I actually didn't start playing football properly until I was about 14, 15.

"I just enjoy the physical side of it and I think it suits me, my physique, and also the mental aspect.

"I feel it's a privilege to be able to play a game on this level every week. It's difficult to get everything out of your body in a normal life so I like that -- to be able to just release everything once a week."

A rock-solid center-back who has played in most of the top European leagues, his first World Cup outing was in 2002 and then he captained Sweden in Germany four years later.

"Being captain for Sweden was special as well -- gives you that extra responsibility towards the team and the country," he recalls.

"I will probably say the best memory was when we beat Paraguay in Germany. It felt like playing at home. I think there were 40,000 Swedish fans at the big stadium in Berlin.

"The whole buildup to that game, when we were on the bus on our way to the stadium, we saw all these fans walking from the city to the stadium and also the support we had there when we won the game."

The Swedes finished second in their group -- which contained Paraguay, England and Trinidad and Tobago -- but lost 2-0 in the second round against host Germany in Berlin.

Four years earlier Mellberg was part of the Sweden team which also reached the second round of the 2002 World Cup in South Korea and Japan, this time beaten by Senegal in a match decided by a "golden goal" in extra time.

Earlier in the tournament, Sweden recorded an impressive 1-1 draw with football powerhouse Argentina.

"It was fantastic," says Mellberg. "It's probably my best experience as a tournament in 2002, mainly because we did really well and I think that year we could've gone all the way.

"I thought we improved game by game and we were really unlucky to get beaten by Senegal, but the whole experience ... it was only my second (international) tournament at the time so it was nice."

Focusing on football

After giving up tennis, Mellberg's footballing progress was swift.

His talents were spotted by Degerfors IF, a club then playing in the Allsvenskan -- Sweden's top division -- where he came under the guidance of Tord Grip, a coach who is best known for being the assistant to former England and Lazio manager Sven Goran Eriksson.

His performances during two seasons with Degerfors earned Mellberg a move to Stockholm's AIK, where he won the first silverware of his career as the club clinched the 1998 league title by two points.

Mellberg left Sweden in 1998, swapping Stockholm for the idyllic Spanish port of Santander. He signed a three-year contract with Racing, hoping to help the club succeed in the Primera Division.

"They wanted me to adapt to Spain and learn the language before giving me the opportunity," Mellberg says of his first months after the move.

Once he was given his chance though, Mellberg shined. His performances saw him linked with a number of more prestigious Spanish clubs -- including Barcelona -- but instead he headed for England.

Premier League adventure

He was signed by Aston Villa manager John Gregory in 2001 as a replacement for Gareth Southgate, the England defender who had left the Birmingham club to join Middlesbrough.

Mellberg became a firm favorite at Villa Park, endearing himself to the fans, who would routinely chant, "There's only one Mellberg."

"That's obviously where I spent the major part of my career. I spent seven years there and had a fantastic time," he says.

"We changed manager a lot of times, we changed the squad around, and we changed the training ground. Every season was different so I learned a lot during my time there."

Eventually he chose to move on, announcing in January 2008 that he had agreed to join top Italian club Juventus the following season.

But before he left Villa, Mellberg had a gift for the fans who had taken him to their hearts.

He paid Â£40,000 ($67,000) of his own money to give every Villa fan who attended the team's final game of the 2007-08 season a replica shirt with the message "Thanks 4 your support" on the back. Four was Mellberg's shirt number.

Time in Turin

The switch to Juventus allowed Mellberg to play in the Champions League, the pinnacle of European club football.

"I was only there for one year but it was a fantastic experience," he says. "I had a great time there and that was the first year I got to play in the Champions League and that was a great experience."

Playing for one of Italy's leading clubs also exposed Mellberg to new levels of pressure and expectation.

"You learn there's no hiding. Whenever you play, wherever you play, there's pressure -- from yourself obviously but also from the club and a lot of fans. I enjoyed that, I liked that and I learned you need to give 100% wherever you are, whenever you play."

Upon leaving Turin in 2009, Mellberg embarked on a three-year stint with Olympiakos in Greece before spending a year back in Spain with Villarreal.

He signed for Denmark's FC Copenhagen in 2013, returning to Scandinavia after 15 years spent traveling the continent.

"I'm almost back home in Sweden after 15-20 years abroad and I feel everything is very similar to how it was when I left Sweden a long time ago," he says.

"Football both on and off the pitch, I would say, the way things work around football and also the way things work in and around the club -- even though many years has passed.

"I feel it's more similar to when I played back home in AIK or Degerfors, more similar to that than life in the Premiership or La Liga or Italy or Greece."

End of an era

Mellberg retired from international football following the 2012 European Championships, the fourth time he had played at the continent's showpiece event.

He scored twice against England but could not prevent a 3-2 defeat which cost Sweden a place in the quarterfinals.

His country did not qualify for this year's World Cup in Brazil, where the focus will be on the host nation -- which beat Sweden in the 1958 final in the first of its record five triumphs.

"I think that the World Cup this year will be between a few teams -- Spain, Germany, Brazil and Argentina," Mellberg predicts.

"Obviously a lot of attention will be on Brazilian players."

Mellberg's time in the spotlight is now fading, after a 17-year professional career that has brought him financial security and a host of cherished experiences.

With only one year remaining on his Copenhagen contract, he's determined to enjoy playing the game while he still can.

"When I was younger, there were a lot of things on my mind," he reflects. "You think about the future, about playing for your country in the future, you think about going to bigger teams, bigger leagues, making more money.

"I think all of that, I've left behind me and just focus on the football and enjoying the football."

One thing he hasn't left behind is the iconic beard that makes him stand out on the football field -- it even has a Twitter page dedicated to it.

"At one point, I started growing a beard and I left it like that. Maybe part laziness and I realized I kind of liked it, so I've had it more or less almost throughout my whole career," Mellberg says.

"Now, it's probably a little bit less -- but it will grow bigger soon!"

@highlight

Olof Mellberg played for Sweden at two World Cups and four European Championships

@highlight

The defender was national captain and made 117 international appearances

@highlight

He has experienced most of Europe's top leagues in a 17-year career

@highlight

Now 36, Mellberg plays for Danish club FC Copenhagen