(CNN) -- Even at the age of 82 the work ethic still burns bright in Arnold Palmer, the man who inspired a generation of baby-boomers to take up golf and whose support of the British Open proved pivotal for its future success.

The elite of world golf gather at Royal Lytham and St. Annes this week on the 50th anniversary of Palmer's crushing victory at Scottish links course Troon in 1962 -- and "The King" still exerts a significant influence on the sport he once dominated.

"I would like to be remembered for bringing golf to a worldwide audience," Palmer told CNN. "Players today have no boundaries."

As part of golf's "Big Three," Palmer helped pioneering player agent Mark McCormack take the sport around the globe in the 1960s, capitalizing on the ever-growing reach of television.

Why U.S. golf has a healthy future

The tournament Palmer still proudly hosts in the last week of March, at his Bay Hill course in Florida, attracts a stellar international lineup and was won this year by Tiger Woods.

He is a very hands-on host, making sure the course is in top condition and appearing daily on the television coverage of the event.

This year, he suffered a health scare after leaving the TV tower on the final day -- a blood pressure problem, according to his family -- and could not give out the prizes as has been tradition.

But Palmer has made a full recovery and now, half century on from his second British Open triumph, the spotlight has again fallen on his trailblazing achievements.

A leader of men

When he first played golf's oldest tournament in 1960, it had fallen out of favor with American pros. Ben Hogan in 1953 was the last from the U.S. to win it, and only three entered in 1959 -- put off by the long journey and comparatively low prize money on offer.

Again there were only three Americans in the 74-man field at St. Andrews, one being the legendary Gene Sarazen -- still playing late into his 50s on a lifetime exemption dating back to his 1932 success.

Palmer failed to emulate Hogan's triple-major feat, falling one shot short of Kel Nagle following earlier victories at the Masters and U.S. Open, but he returned to the UK the next year and claimed the coveted "Claret Jug" at Royal Birkdale.

Palmer had already won his third Masters crown before romping to victory at Troon in 1962. "I got it going in the final round and it was very enjoyable," he told CNN.

Ever modest, Palmer's margin of victory over Nagle was six shots and he was a remarkable 13 strokes clear of third place.

His 1961 exploits had inspired a young Jack Nicklaus to make his British Open debut at Troon, and the "Golden Bear" won it for the first time in 1966 -- two years after compatriot Tony Lema also triumphed at St. Andrews.

By then Palmer had been represented by McCormack for several years, and their partnership helped changed the face of golf and modern sports.

Famous deal

McCormack was a Cleveland attorney, only a year older than Palmer, and they famously struck their deal in 1960 with just a handshake.

McCormack had seen his client's potential, and the increased television coverage of golf was extending his appeal to a wider audience.

"He was very smart. He was a motivator and went after it, and that was something I enjoyed," recalled Palmer.

McCormack later persuaded Nicklaus and South Africa's Gary Player to join Palmer at his International Management Group (IMG) and the "Big Three" was born, popularizing golf worldwide in a series of made-for-television events.

But Palmer held a very special place in the affections of the golfing galleries and it is easy to see why with his attacking play and flamboyant style.

He was the first golfer to attract his own special following -- "Arnie's Army" -- diehard fans who surrounded every green to cheer him on, win or lose.

Woods in his pomp had a similar fan base decades later, but Palmer was the first and he appreciated their support.

"They only encouraged me to continue to do the things I was doing and gave me the confidence I needed," he said.

Charismatic star

But it was not only his fine play which drew them in. He had that "something" -- an aura, charisma combined with good looks.

A hitch of his tightly fitting pants followed most shots, and his stylish outfits made him stand out from the average pro.

"It was not something I really planned," Palmer admitted. "I liked a sharp crease in my slacks, my shoes polished to shine, while my shirts were conservative with a straight collar.

"It was a style I stuck with for most of my career."

Intentional or not, it has proved popular. GQ Magazine named him one of the "50 most stylish men of the past 50 years" and Esquire had him in a list of the "75 best-dressed men of all time."

Golfers are rarely remembered for their fashion sense, usually the exact opposite, but the outfits he wore in 1962 have been recreated for a new range of Arnie Apparel.

Palmer wanted promising PGA Tour player Ryan Moore to don the outfits -- "I took a particular liking to him when he won the U.S. Amateur, a very polite young man" -- and he has got his wish.

Moore has won once on the lucrative U.S. calendar, in 2009, but if he can achieve a fraction of Palmer's achievements in golf, he will count himself lucky.

Seven major wins, 62 in all on the PGA Tour, not to mention his later exploits on the Seniors circuit -- which he more than any other golfer helped publicize and give legitimacy to the idea of golfers aged 50 plus still competing at the top level.

Endorsing success

With the business acumen of McCormack promoting his off-course activities, Palmer lent his image to a host of products and services, becoming the first sportsman to show that income from commercial endorsements could outstrip prize-money earnings.

"Mark was very good at marketing," Palmer said, and where he led, others were quick to follow.

With the "Big Three" dominating golf, McCormack branched out into other sports such as tennis and then into the world of showbiz. He even marketed a papal tour of Britain in 1982.

By the time McCormack died in 2003, IMG was the most powerful sports marketing company in the world and had Woods as its star client.

Palmer's own commercial activities have helped him amass an estimated $675 million fortune, which is still growing despite his retirement from competitive golf in 2006.

He is proud of his legacy on and off the course, and is optimistic for the future, particularly with golf winning inclusion to the 2016 Olympics in Rio.

"We will see more Third World countries participating. I think that's important, and we will see interest getting to the point when we can rival soccer and tennis," he predicted.

Palmer may well get his wish, but he has already forged his place in golfing history as a true trailblazer.

@highlight

This week marks 50th anniversary of Arnold Palmer's second victory at British Open

@highlight

Palmer's support of British major helped popularize the tournament internationally

@highlight

American's partnership with agent Mark McCormack changed the face of sports

@highlight

Palmer shows no sign of easing up at the age of 82