(CNN)America's immigration debate has become red hot because President Obama's critics not only believe that he lacks the authority to act without the consent of Congress, but also that he must not change internal enforcement priorities before first "securing the border."

The truth is, the single most important thing Congress can do to meaningfully improve our border security is pass comprehensive immigration reform.

Too often, border security is viewed as preventing the illegal entry of people and goods across state lines. However, border security also is about ensuring the safe, efficient flow of commerce and increasing international trade. Comprehensive reform will do both, while our current approach serves neither objective.

I say this as someone who has made countless trips to the U.S.-Mexico border. I've seen firsthand how our current approach to policing the border is based on muddled objectives and unmeasurable benchmarks that mask failure.

Our failure to secure the border is not for a lack of trying. Congress has passed at least four laws since 1986 authorizing increases in Border Patrol personnel. In 1980, there were 2,268 Border Patrol agents at the southwest border; under President Obama, that number grew to an all-time high of 21,730. There was 14 miles of fencing on the border in 1990; under this administration, we've erected nearly 651 miles of new fencing and dramatically increased our mobile surveillance capabilities.

Yet there is scant evidence that we can spend our way out of this problem. Recent studies by Princeton University and the University of California at San Diego reach desultory conclusions about our ability to stop illegal border crossings. We have been able to stop only about 30% of those attempting to cross our border between 1996 and 2009, according to the studies.

Simply spending more money and adding more agents will not secure the border, but it will complicate trade. Nations cannot seek maximum security without shuttering trade, but nations cannot have fully open borders if they want real security. We can build more fences, identify more tracks, and inspect more vehicles, but only if we are prepared to greatly diminish the free flow of commerce. Our nation has wisely opted for a balanced approach.

The central reason we will not be more effective at achieving our national security border goals is because U.S. policy, since the 1980s, effectively treats all border incursions as equal threats to the homeland. This diminishes our ability to prevent true threats -- such as drug cartels, human traffickers and potential terrorists -- from "flooding the zone" and gaining passage into the homeland. These criminals know that a small percentage of their goods and vehicles will be inspected and seized. For them, this is the cost of doing business. Unless we begin to prioritize threats and facilitate the legitimate entry of validated economic migrants, the cost-benefit analysis will remain in their favor.

Border security professionals tell me the vast majority of illegal entrants are Mexicans seeking temporary work in the United States. All illegal crossings undermine border integrity, but temporary, work-seeking migrants do not pose a significant national security threat to the homeland.

The best way to strengthen border security without stifling trade is for Congress to establish a system whereby migrant workers can apply for validated, biometric entry keys to cross our border safely and legally. This will free up our border security cadre to focus on preventing cartels, traffickers and terrorists from exploiting holes in our current system.

Furthermore, channeling economic migrants to efficient legal crossings will reduce threats to their own safety, improve human dignity, and give interdiction operators the bandwidth to respond to a higher percentage of tripwire incursions across our nearly 2,000-mile border with Mexico. We need a new risk-based approach, informed by intelligence and emphasizing information sharing and international cooperation. Fortunately, there is a precedent that offers great hope.

The Transportation Security Administration's Trusted Traveler/PreCheck Program is a model of risk-based screening that is increasing our security and facilitating commerce. The TSA approach allows approved, prescreened travelers to establish they are not security threats and move more nimbly to transact international business. This allows TSA officers to focus their attention on more consequential threats to aviation security. This risk-based approach is better for the traveling public and provides more security at less cost. We can adopt a similar approach to our land border with Mexico, if the Congress acts.

As a nation, we do not accept a system where more than half of terror plots will be successful; we prioritize threats and go after terror cells with zeal. We need to embrace the same strategic approach to border security and abandon a system that does not adequately distinguish between worker crossings and true dangers to U.S. security.

By normalizing the process for work-seeking migrants to legally enter the country, we will legalize a critical segment of our labor force and empower security professionals to focus on the true risks to our homeland. This will be good for our economy and our security. Now is the time for Congress to act.

@highlight

To meaningfully improve our border security, Congress should pass immigration reform

@highlight

Migrant workers should be allowed to apply for validated, biometric entry keys to cross our border safely and legally