For more than two decades, Chester Nez kept silent about his role as one of the original Navajo code talkers responsible for developing an unbreakable code during World War II.

His death Wednesday at his home in Albuquerque, New Mexico, at age 93 was lamented by the Marine Corps as the end of an era -- for both the country and its armed forces.

"We mourn his passing but honor and celebrate the indomitable spirit and dedication of those Marines who became known as the Navajo code talkers," the Marines said in a statement.

Nez was the last remaining of the original 29 Navajos recruited by the Marine Corps to develop the legendary code that was used for vital communications during battle.

He was a teenager when he was recruited in 1942 and assigned with the other code talkers to the Marine Corps' 382nd Platoon at Camp Pendleton.

Together, they created a code, including developing a dictionary.

Military authorities chose Navajo as a code language because its syntax and tonal qualities were almost impossible for a non-Navajo to learn, and it had no written form. The ranks of the Navajo code talkers swelled to more than 300 by the end of the war in 1945.

The code talkers were forbidden from telling anyone about it -- not their fellow Marines, not their families -- until their work was declassified in 1968. The original 29 were presented with the Congressional Gold Medal in 2001 by President George W. Bush.

"In developing our code, we were careful to use everyday Navajo words, so that we could memorize and retain the words easily," Nez told CNN in 2011 while promoting his book "Code Talker."

"I think that made our job easier, and I think it helped us to be successful in the heat of battle."

Still, Nez said he worried every day that an error might cost the life of an American military service member.

Nez was among the code talkers who were shipped out to Guadalcanal in 1942, where the code talkers worked in teams of two, with one relaying and receiving messages while the other cranked the portable radio and listened for errors in transmission.

"That was my first combat experience, and there was a lot of suffering and a lot of the condition was real bad out there," he told CNN's Larry King in 2002.

Nez also fought in Guam and Peleliu.

"When bombs dropped, generally we code talkers couldn't just curl up in a shelter," Nez wrote in his book. "We were almost always needed to transmit information, to ask for supplies and ammunition, and to communicate strategies. And after each transmission, to avoid Japanese fire, we had to move."

The code talkers faced initial resistance from fellow Marines who did not understand who they were and what they were doing.

That changed once they understood the importance of the code, Nez said.

The Navajo code baffled the Japanese, who had successfuly deciphered codes used by the U.S. Army.  After the war, the Japanese chief of intelligence, Lt. General Seizo Arisue, admitted they were never able to crack the Navajo code used by the Marines and Navy, according to the Navy.

Nez was discharged in 1945, but later volunteered to fight in the Korean War.

After the code talkers' exploits were declassified by the military, the group gained legendary status with books and, ultimately, a movie that was inspired by their stories.

"The recognition of the code talkers came late, but it has been good for my Navajo people. I hope that this type of recognition continues across cultures," Nez said.

The 2002 film "Windtalkers," starring Adam Beach and Nicolas Cage, followed the fictional account of two Marines assigned to protect two code talkers during the battle of Saipan.

"I could understand when they sent the message and received on the other end," Nez said. "I could understand, and I could sit there and write it down myself. I still remember it."

It was a far cry from his childhood, when he was forced to attend a boarding school and punished by the teachers for speaking Navajo, according to his book.

It's a language, though, that appears lost even to many members of his own family.

"My own children do not speak Navajo, although my daughter-in-law ... speaks it well," he said.

Nez said he decided to tell his story because he wanted to share the contributions and sacrifices of the Navajo during World War II.

"Our Navajo code was one of the most important military secrets of World War II. The fact that the Marines did not tell us Navajo men how to develop that code indicated their trust in us and in our abilities," he said.

"The feeling that I could make it in both the white world and the Navajo world began there, and it has stayed with me all of my life. For that I am grateful."

The Navajo Nation's flags have been ordered lowered in Nez's honor, President Ben Shelly said.

People we have lost in 2014

@highlight

As a child, Chester Nez was punished for speaking Navajo

@highlight

Nez says recognition as a code talker came late, but was good when it did

@highlight

Nez was one of 29 Navajos recruited to develop the code

@highlight

Nez served as a code talker in the battles of Guadalcanal, Guam and Peleliu