(CNN) -- This week, champions of the "open net" are decrying a U.S. Court of Appeals decision striking down an FCC ruling that required Internet service providers to be neutral in their restrictions on bandwidth.

The idea here is that giant bandwidth users, like Netflix or YouTube, will be required to pay access providers, like Verizon or Time Warner Cable, for all that video they're streaming to the likes of us. Maybe they'd even be able to buy themselves a special faster lane on the Internet for their traffic.

Of course, "open Web" advocates see in the court decision the beginning of the end of a free and egalitarian Internet. By striking down the provisions of what the industry calls "net neutrality," the court has also struck down an Internet provider's obligation to let all content through its servers. In theory, they can now legally pick and choose whose media makes it to its subscribers. Which would stink.

But this whole issue, and the instantaneous outcry associated with every move by a court or agency, is more complex than it looks on the surface. By casting this issue in such stark terms, those who would defend Internet freedom from the evil corporations may just be playing into the hands of other corporations whose designs on the Internet are no better.

In fact it seems like just yesterday when nearly all the Internet's champions were telling government to stay away from the net. The Web was home to the revival of Ayn Rand and a new spirit of techno-utopian libertarianism. The idea was: The free market will cure any glitches along the way, as technology firms simply compete to bring us the best.

The 1997 Wired cover story, "The Long Boom," argued that the only impediment to technology-fueled economic growth would be the regulation of the marketplace. "Open good, closed bad. Tattoo it on your forehead." This became a credo of Silicon Valley and the net in general.

People acted as if the Internet just emerged out of culture, like a technological extension of the collective human nervous system, rather than a network that was meticulously planned and built by government and, yes, Al Gore.

Instead the main metaphor for the net would be the Wild West, out of the reach of government meddling.

But as anyone who has studied the Wild West (or even watched "Deadwood") has learned, gold rushes get messy at the end. Eventually a big, corrupt gold mining company starts exploiting all that lawlessness, and all of a sudden it's the formerly independent law-haters turning to the sheriff for help.

And so the defenders of the net now go running for assistance to an FCC that has been systematically excluded at every turn and diminished in its power by some of these very same parties. Slammed down as if it were burning books whenever it considers protecting kids from pornography or interfering in some affair that is being fought out in the marketplace, the FCC has become a derided and timid agency.

That's why the FCC was destined to lose this case. It never even defined the Internet as a "common carrier" -- like a road or telegraph wire -- which would necessarily be regulated in a neutral fashion, permitting passage by all. Yet in its ruling this week, the court even made it clear that the FCC has the ability to define the net as it chooses -- opening the door for the agency to claim the Internet as its domain and enforce net neutrality.

No doubt, Google (which owns YouTube), and Netflix will be encouraging all free citizens of the Internet to push the FCC in this direction. After all, they're the ones whose videos make up a majority of Internet traffic, and who would be forced to pay the tolls -- that is, until they passed them down to us, which would likely lose them some business.

In such an environment, an "open" Web really just means open to corporations, who maintain their monopoly on bandwidth by technological superiority. None of us will have the streaming capability of a Google or Netflix off our home servers -- unless, of course, the FCC regulates things that way. I, for one, would less like to see net neutrality than net favoritism: It's the transmissions between real people, schools, artists and nonprofit organizations that need a special lane on the net if anyone's going to get such a provision.

So before we start shouting about what government and corporations should do to make the Web "open," we'd better remember that one person's "open" may as well be another person's "closed."

If we want a better, freer net, we have to stop responding so impulsively to every action taken in one direction or another -- particularly when there are multibillion-dollar corporations paying handsomely to make us think they're on our side. We have to remember instead who we did hire to protect our interests.

Yes, it's time to go get the sheriff (in this case the FCC), apologize for having stamped on his badge, and tell him he has the authority to regulate this space.

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Court strikes down rule that ISPs can't favor some websites over others

@highlight

Douglas Rushkoff: Corporations may have to pay for more bandwidth to stream videos

@highlight

He says FCC should be empowered to make rules to favor real people, nonprofits

@highlight

Rushkoff: The idea of letting Web be a lawless Wild West doesn't work