San Diego, California (CNN) -- Where are the lost boys of Mexico? That's what many people, in that country and around the world, want to know. The answer could say much about the new narrative that has been pushed about the country.

This week, Jesus Murillo Karam, Mexico's attorney general, issued arrest warrants for three people in connection with a shocking case that has captured the attention of the entire country: the disappearance of 43 students, who went missing after being confronted by police. More than four dozen people have been arrested, including police officers, local officials and members of a drug gang.

For residents of the small town of Iguala, which lies 120 miles southwest of Mexico City, the nightmare began on September 26 — just 10 days after the festivities celebrating Mexico's Independence Day. That's when a group of young men, between the ages of 18 and 25, who were studying at a nearby teachers college, traveled to Iguala to protest what they claimed were the school's discriminatory hiring practices. Mexican prosecutors believe a small-town mayor named Jose Luis Abarca and his wife, Maria de los Angeles Pineda Villa, might know the students' whereabouts. Unfortunately, we can't find out for sure because the couple is on the run. Also missing is the town's former police chief, Felipe Flores Velásquez. All three are fugitives.

The investigation of the case has prompted speculation that Abarca was so worried that the students might disrupt his wife's speech that he ordered Flores to have police officers confront the students and stop the protest. (According to Murillo Karam, another protest had previously upset Abarca).

Police reportedly opened fire on the vehicles in which the students were traveling. Six people were killed, and the 43 students went missing. Eyewitnesses told prosecutors they saw the young men being crammed into police cars.

But it gets worse. According to the attorney general, the police quickly turned the students over to Guerreros Unidos, a local drug trafficking gang. The prosecutor claimed that Abarca and his wife keep bad company. Pineda's brothers are suspected drug traffickers. And, according to the attorney general, the first lady of Iguala has been called "the main operator of criminal activities" in the town.

The leader of Guerreros Unidos told officials that, once police turned over the students, he ordered his henchmen to make them disappear. The attorney general said the young men were loaded onto a pickup truck and driven to a remote location populated by mass graves.

And that's where the story ends — for now. Since this is Mexico we're talking about, where people don't trust their government and always assume there is a backstory, some people won't accept the official version of events. In fact, these days, young people in Mexico hold hearings in a new court of public opinion: Twitter and Facebook. And, on social media, the current debate is whether this mass abduction was, as the attorney general says, a case of criminal misconduct by a rogue local official or something more nefarious. Was the federal government involved? Or was it at least aware that this was happening?

This being Mexico, one has to ask. After all, this is the land of the desaparecidos. In the 1970s, there were at least 2,000 documented cases of people who simply disappeared after challenging government officials. Those people were never found, and the cases never solved.

Even if this is an isolated incident — and that's a big "if" given how closely intertwined drug gangs are with Mexican officials — the blame isn't limited to the individuals who have been arrested or are being sought. It extends to the Mexican people, many of whom long ago made a devil's bargain with the drug traffickers who are threatening to tear the country apart. They built altars to La Santa Muerte, the patron "saint" of drug lords, wrote corridos (folkloric ballads) praising the exploits of traffickers, and accepted the fruits of an illicit trade.

The reality is that the modern Mexican drug dealer isn't living in a camp in the mountains. He's a Spanish-speaking version of Tony Soprano. He lives in the suburbs, drives a Cadillac, and spends weekends attending his kids' soccer games — which are played on a field that he built. It's no wonder that, when former Mexican President Felipe Calderon waged war against the cartels, he was ridiculed and criticized by many Mexicans for stirring the hornet's nest. South of the border, drug traffickers are familia.

It will be interesting to see if any of that changes in light of the disappearance of the students. For Mexicans, their most treasured institution is still the family. Those who threaten it do so at their peril. Already, the case has claimed a political casualty. On Friday, Angel Aguirre, the governor of Guerrero, appeared to yield to public pressure over the disappearances, requesting a leave of absence.

By the way, much of this is not meant for the public consumption of Americans. When you talk to Mexico's elites on both sides of the border — lawyers, politicians, businessmen — what you hear again and again is that Mexico had a makeover. Desperate for U.S. investment dollars — now more than ever, given Mexico's recent and historic efforts to open up the country's lucrative petroleum industry to foreign investment — the elites aggressively push a narrative that Mexico is safe, democratic and open for business.

Now, due to events in a small Mexican town, that narrative is being challenged by reality. Unfortunately, the new version of Mexico bears a resemblance to the old one.

@highlight

Search is still on in Mexico for 43 students who went missing last month

@highlight

Arrest warrants have been issued for town's mayor and his wife

@highlight

Mexicans don't trust government and always assume there is a backstory, says Ruben Navarrette

@highlight

Incident flies in face of efforts to improve Mexico's image, Navarrette says