(CNN) -- President Barack Obama is seriously contemplating withdrawing all U.S. troops from Afghanistan sometime in 2014, a senior administration official told CNN's Jessica Yellin.

The Obama administration had been considering leaving a force of at least several thousand soldiers to act as trainers and to hunt leaders of the Taliban and other militant groups after the long-scheduled withdrawal of all combat troops in December 2014.

But Obama has grown increasingly frustrated in his dealings with Afghan President Hamid Karzai, who last month cut off negotiations about the size of the post-2014 American military force. Karzai objected to the United States beginning formal direct discussions with the Taliban about peace; he regarded this move as happening behind his back and a betrayal.

Let's stipulate that Karzai can be a frustrating leader to deal with and that he can even be quite mercurial on occasions. That said, the Obama administration shouldn't be making important strategic decisions merely on the basis of whether or not its leaders like dealing with another country's leader.

Further, Karzai will be gone in April 2014, when the next Afghan presidential election will take place; in only nine months, the Obama administration won't have to deal with him at all.

In any case, zeroing out U.S. troop levels in the post-2014 Afghanistan is a bad idea on its face -- and even raising this concept publicly is maladroit strategic messaging to Afghanistan and the region writ large.

Why so? Afghans well remember something that most Americans have forgotten.

After the Soviet Union withdrew from Afghanistan, something that was accomplished at the cost of more than a million Afghan lives and billions of dollars of U.S. aid, the United States closed its embassy in Afghanistan in 1989 during the George H.W. Bush administration and then zeroed out aid to one of the poorest countries in the world under the Clinton administration. It essentially turned its back on Afghans once they had served their purpose of dealing a deathblow to the Soviets.

As a result, the United States had virtually no understanding of the subsequent vacuum in Afghanistan into which eventually stepped the Taliban, who rose to power in the mid-1990s. The Taliban granted shelter to Osama bin Laden and his al Qaeda organization from 1996 onward.

After the overthrow of the Taliban, a form of this mistake was made again by the George W. Bush administration, which had an ideological disdain for nation building and was distracted by the Iraq War, so that in the first years after the fall of the Taliban, only a few thousand U.S. soldiers were stationed in Afghanistan.

The relatively small number of American boots on the ground in Afghanistan helped to create a vacuum of security in the country, which the Taliban would deftly exploit, so that by 2007, they once again posed a significant military threat in Afghanistan.

In 2009, Obama ordered a surge of 30,000 troops into Afghanistan to blunt the Taliban's gathering momentum, which it has certainly accomplished.

Read more: Inside the Taliban

But when Obama announced the new troops of the Afghan surge, most media accounts of the speech seized on the fact that the president also said that some of those troops would be coming home in July 2011.

This had the unintended effect of signaling to the Taliban that the U.S. was pulling out of Afghanistan reasonably soon and fit into the longstanding narrative that many Afghans have that the United States will abandon them again.

Similarly, the current public discussion of zero U.S. troop presence in Afghanistan after 2014 will encourage those hardliner elements of the Taliban who have no interest in a negotiated settlement and believe they can simply wait the Americans out.

It also discourages the many millions of Afghans who see a longtime U.S. presence as the best guarantor that the Taliban won't come back in any meaningful way and also an important element in dissuading powerful neighbors such as Pakistan from interference in Afghanistan's internal affairs.

Read related: Afghanistan vet finds a new way to serve

Instead of publicly discussing the zero option on troops in Afghanistan after 2014, a much smarter American messaging strategy for the country and the region would be to emphasize that the Strategic Partnership Agreement that the United States has already negotiated with Afghanistan last year guarantees that the United States will have some form of partnership with the Afghans until 2024.

In this messaging strategy, the point should be made that the exact size of the American troop presence after 2014 is less important than the fact that U.S. soldiers will stay in the country for many years, with Afghan consent, as a guarantor of Afghanistan's stability.

The United States continues to station thousands of troops in South Korea more than five decades after the end of the Korean War. Under this American security umbrella, South Korea has gone from being one of the poorest countries in the world to one of the richest.

It is this kind of model that most Afghans want and the United States needs to provide so Afghanistan doesn't revert to the kind of chaos that beset it in the mid-1990s and from which the Taliban first emerged.

Read more: What's at stake for Afghan women?

@highlight

White House mulling withdrawing all U.S. troops from Afghanistan, official said

@highlight

Peter Bergen said the idea would be dangerous and send the wrong message

@highlight

He says U.S. abandoned Afghanistan before and the Taliban stepped into vacuum

@highlight

Bergen: U.S. should follow model it set in South Korea at end of Korean War