(CNN) -- The passing of Venezuelan President Hugo Chávez from cancer, long expected despite his condition being shrouded in secrecy, has opened a Pandora's box of questions concerning Venezuela's future.

The Venezuelan constitution holds that power should have been given to the leader of the Venezuelan Assembly, Diosdado Cabello, once Chavez could not attend his own inauguration and new elections should have been held within 30 days. This did not happen.

Now, Nicolás Maduro, current vice president and Chávez's hand-picked successor, will likely face divisions both from within the United Socialist Party of Venezuela and the Venezuelan military to keep his hold on power. But he also is likely to receive a challenge for the presidency from Henrique Capriles, current governor of Miranda and former presidential nominee, when and if an election is held.

Conflict among the United Socialist Party of Venezuela, the military and the opposition will largely determine whether Venezuela has a smooth and peaceful transition or one that descends into violence as various factions lobby for power.

Since winning his first election in December 1998, Chávez dramatically reoriented Venezuela's government and economy. His efforts have particularly focused on poverty reduction, providing housing and health services for the poor. Although Venezuelan poverty data are heavily disputed, most figures show poverty has indeed fallen.

World Bank statistics show a decline from 50 percent of the population in 1999 to 32 percent in 2011. Inequality has declined as well; Venezuela has the most equal income distribution in Latin America.

News: Chavez leaves a revolutionary legacy

The Venezuelan economy has not fared as well, with economic growth from 1999-2010 averaging a mere 2.7%, according to International Monetary Fund figures. This stands out, given the strong economic performance of other Latin American economies during this time and high global oil prices since the mid-2000s; oil exports comprise roughly 95 percent of export earnings for Venezuelans.

Despite this windfall, the Chávez government has done little to diversify the country away from its oil-dependence. At the same time, by using oil proceeds to fund social initiatives at home, support for Cuba and other regional initiatives, such as PetroCaribe, which provides oil to mostly Caribbean countries on generous repayment terms, oil production has declined nearly 25 percent since 2001.

The state-owned Petróleos de Venezuela, S.A. lacks capital to maintain existing production or exploit new reserves, notably the oil-rich Orinoco Belt. This, and the horrible mismanagement of the company, have destroyed what was once Venezuela's industrial shining star.

And now, with Chávez's death, a power vacuum has opened in Venezuela.

Under the political coalition of Mesa de la Unidad Democrática (the Democratic Unity Roundtable) and Capriles, the Venezuelan opposition is the most united it has been under Chávez. But Capriles' 11-point defeat in October's presidential election, coupled with Chávez's allies winning 20 of 23 gubernatorial elections in December, underscores the fact that the opposition still holds little power.

Vice President Nicolás Maduro may not have the current president's appeal with Venezuelans, but he will still head a party with considerable influence.

At the same time, the reaction of the Venezuelan military will be key to the transition.

The military can be organized into three camps: one is the institutional group, focused on the effectiveness of the military and largely non-politicized, and then there is the constitutional camp.

With Chávez's death, Diosdado Cabello, current president of the National Assembly, would preside over the country while new elections are called in 30 days. Speculation is rampant that Cabello, a former Venezuelan soldier who participated in the 1992 coup with Chávez, has stronger support within the military and they may push him as the next candidate.

Finally, there is the pro-Chávez camp that has committed itself to the revolution and will likely follow the late president's wishes and push for Maduro.

iReport: Tyrant or hero?

Chávez allies have reason to be worried. Under PetroCaribe, members received generous terms for oil purchases, with payments as low as 5% of market value, and the remainder paid off through generous loan terms spread over 25 years. Even better, payment could be made in manufactured goods, with a barter system replacing payments in numerous instances.

Cuba has been the prime beneficiary, receiving roughly 100,000 barrels of oil per day, which meets two-thirds of its daily requirement. If Venezuela's next leader were to end the program, or even reduce the generous terms, many countries would see a shock as import bills rise (not to mention having to face a public forced to pay much higher energy prices). Absent Chávez's leadership, the Bolivarian Alliance of the Americas might also find itself increasingly marginalized.

Extra-regional actors that have recently gained a foothold in Latin America could find themselves losing influence. Iran in particular will have lost its biggest supporter in the region and may find future efforts to engage stymied without Chávez's popular support. The Russian government, which has benefited from Venezuela's recent arms purchases, will likely find itself with a reduced footprint in Latin America as well. Furthermore, other Chavez-supported regimes throughout the world, from Bashar al-Assad in Syria to the North Korean government, will likely feel the effects of his death.

For the United States, oil supplies could be an important concern. While Venezuelan imports have decreased in importance in recent years, falling to 8% of imports in 2011, it remains the fourth-biggest supplier to the U.S. market. If the transition were to turn violent and exports dropped, U.S. consumers could face higher prices and U.S. economic growth could take a hit.

Chavez's passing also opens questions on narco-trafficking in Venezuela. Transnational crime has flourished under Chávez, with Venezuela serving as a major hub for shipment of illegal narcotics. Not only has Venezuelan cooperation with the United States declined, the United States has also added several high-level Venezuelan officials to its Foreign Narcotics Kingpin list, including former defense minister Henry Rangel Silva, for their complicity with transnational crime organizations and support for the FARC.

A prolonged struggle for power would likely give these groups even greater space to operate within Venezuela. At the same time, this could produce spillover effects in Colombia, whose recent security gains, with the help of U.S. assistance through Plan Colombia, may be tested if the FARC can move more freely between the two countries.

If there is a transition and new elections are called for in the coming months, regional leaders will need to play a key role in calling for a peaceful and democratic transition. The United States -- with Mexico, Brazil, Colombia, and Canada -- should urge for free and fair elections.

Undoubtedly, Venezuela will remain divided no matter the next president, but fair and transparent elections will help ensure the next administration has the political capital to tackle needed reforms -- from a stagnant economy to rising crimes rates, rampant transnational crime and the rebuilding of the nation's powerful state-owned oil company -- that will benefit all Venezuelans.

The opinions expressed in this commentary are solely those of Carl Meacham.

@highlight

Carl Meacham: With Chavez's death, Venezuela faces difficult transition

@highlight

He says Chavez helped reduce poverty, but at cost to economy as he mismanaged oil wealth

@highlight

He says now power vacuum pits opposition against Chavez-picked VP; military will be key

@highlight

Meacham: Chavez-backed regimes will feel impact; other nations must urge fair elections