(CNN) -- Imagine a bicycle that was more than a means to get you to work in the morning, but a personal assistant to boot. It could shield you from oncoming traffic, look up weather conditions in advance, anticipate the road ahead and make adjustments to your journey. Imagine it could also double as smog filter, fit compactly on your bookshelf, and even fly.

Okay, so your bicycle won't be able to do all those things at once, but hey, any one of those features makes for a pretty cool ride. Want to know what the future will bring? Read on to see how tomorrow's bicycles might look.

The smog muncher

As a mode of transportation, bikes are about as environmentally friendly as it gets. The Bangkok based Lightfog Creative and Design Company, however, has upped cycling's already soaring ecological ante with its concept for an air-purifying bike.

It has a carbon monoxide and dust filter mounted at the front and the theory is that with the help of a lithium-ion battery, the aluminum frame would use electricity to generate oxygen from an onboard water tank. At the moment, the idea exists solely as artistic renderings (the company has yet to make a prototype, though one is supposedly in the works). Still, the idea shows potential, as evidenced by the fact that it recently won a Red Dot design award.

"Star Wars" speeder

According to Hollywood's many depictions of the future, we should all be making our travels via flying car or hover board. While the present-day is irksomely Earth-bound, there was recently a modest nod to the world we've been promised for decades by the entertainment industry. California-based engineering company Aerofex has created a flying "hover bike" that looks like it was plucked from the set of Star Wars. The "Jedi bike" floats with the help of ducted fans, and is fairly low-altitude (soaring up to a maximum 15 feet -- 4.6 meters).

Read more: The 18 propeller helicopter

The current version is only a proof-of-concept used for development, but Aerofex says it is now working now on a production version. Alas, it is unlikely the bike will ever be available for popular consumption, but will likely be limited to agricultural and humanitarian uses.

The smartest bike in the room

First conceived at MIT's SENSEable City Lab, the Copenhagen Wheel is a wireless device that turns any ordinary bike into an electronic hybrid. The wheel captures energy when the rider is going over easy terrain (i.e. downhill) and stores it in a battery pack. Conversely, the saved energy is used to give riders an electronic push when traversing difficult landscapes.

The device has a sensor which learns the rider's individual style, and also anticipates aspects of the ride ahead, including road conditions and carbon monoxide levels. Riders are also able to control the wheel with their smartphones; they can lock and unlock it, track usage statistics (including calories burned and elevation climbed) and select a level of motor assistance. Startup Superpedestrian brought the wheel to the market last month, and has started taking pre-orders for $799.

Laser footprint

In the last few years, the number of cyclists on the road has skyrocketed, which is great for many reasons. Unfortunately, the amount of cyclist casualties has risen dramatically as well.

To combat the problem, a physics student from Brighton University, in England, invented Blaze, a front-mounted lamp that projects a green laser image five meters in front of a bicycle to let other road users know it is coming. The aim is to help prevent vehicles from turning across a cyclist's path by increasing his or her "footprint" on the road.

Watch this: Pinarello's road racers

Bike in a box

Forget what engineering experts say, according to Dutch manufacturer firm PedalFactory, putting together a bike is about as complicated as making lunch. This month, the company has just started international shipments of the world's first flat-pack, self-assembly bicycles.

"If you can make a sandwich, you can make a Sandwichbike," or so goes the company motto. At â‚¬799.00 ($1,086), the price may seem a bit steep for a bike you build yourself, but then again, all the materials are locally and responsibly sourced, and each bike is tested for weatherproofing for six weeks in a climate control room at an independent wood research institute.

The bike comes delivered in a compact box bearing 19 parts made from a combination of beech plywood and aluminum. Supposedly, it can be constructed in as little as 45 minutes.

@highlight

New inventions turning low-tech bikes into sci-fi machines

@highlight

A Thai firm is working on a bicycle that doubles as an air filter

@highlight

MIT has developed a wheel that turns ordinary bikes into electric hybrids

@highlight

"Blaze" beams a laser onto the road to increase cycle safety