(CNN) -- What's the best source of information for anyone planning a move overseas -- the Internet, the bookstore or those carefully worded government travel warnings?

Duh! It's the movies, of course.

Why would anyone do any research when everything they need to know about their new lives has been laid bare on the silver screen?

When cinema gets it right, it does a pretty good job of taking a hatchet to the expat dream of lounging around in exotic bars dressed in linen suits and Panama hats.

Just as often, however, Hollywood's overseas adventures run into so much trouble it's a wonder it isn't now languishing in the bowels of a dank foreign prison hoping that someone at the embassy might be able to put in a few calls.

To help navigate the celluloid jungle, here's our purely subjective list of the best and worst expat movies.

Best

5. 'The Wages of Fear' (1953)

This brutal piece of black and white French cinema reeks of unwashed vests, but its depiction of nasty expat truck drivers worthlessly risking their grubby lives in the South American jungle is as explosive as the deadly nitroglycerine cargoes they're paid to deliver.

Everyone is detestable, everyone dies and not even the dogs care.

That's how expat life should be.

Enlightening expat dialog

Dick: "When I was a kid, I used to see men go off on these kinds of jobs ... and not come back."

4. 'Straw Dogs' (1971)

"Wild Bunch" director Sam Peckinpah takes a double-barrel shotgun to all those smug, honey-hued films about rural expat life in this tale about repressed American mathematician David Sumner (Dustin Hoffman) relocating to his wife's Cornish village.

There are no hilarious misunderstandings with local plumbers, just thugs on tricycles.

There's no sun-kissed romance, just a marriage disintegrating into domestic violence.

And there are no life-affirming friendships, just a cat getting throttled.

The film's brutality is a bit hard to stomach. The apparent need for a 2011 remake starring Kate Bosworth was also somewhat hard to stomach.

Enlightening expat dialog

Henry Niles: "I don't know my way home."

David Sumner: "That's OK. I don't either."

3. 'The Third Man' (1949)

Expats don't come colder than Orson Welles' elusive Harry Lime, whose classic cuckoo clock speech justifying his racketeering in bombed-to-bits Vienna sounds suspiciously like the kind of cruel logic deployed by corporate stooges when plundering developing world countries in return for a fat salary. ("Free of income tax, old man.")

If only real life saw these amoral exploiters hounded down, like Lime, in a subterranean sewer.

If only real life was soundtracked by zithers.

Enlightening expat dialog

Harry Lime: "Nobody thinks in terms of human beings. Governments don't. Why should we?"

2. 'The Year of Living Dangerously' (1982)

With its eclectic if somewhat dated soundtrack and expansive mysticism of Linda Hunt's diminutive paparazzo, "Dangerously" emerges as an anti-expat classic, contrasting the seedy and sequestered lives of foreign hacks and diplomats in Sukarno-era Indonesia against the poverty and chaos of a country on the brink.

All that plus a pre-rant Mel Gibson.

Enlightening expat dialog

Billy Kwan: "Jillian is like a wavering flame that needs care to burn high. Without such care she could lapse into the promiscuity and bitterness of the failed romantic."

1. 'Casablanca' (1942)

The closing scenes may not have the tear-jerking impact they once did, but if there's a film in existence responsible for dampening as much Kleenex as "Casablanca," it's probably porn.

This film portrays expat life as it should be: outwitting mendacious cops and ruthless Nazis in the smoky haze of a North African piano bar while risking everything in the name of unrequitable love. Not playing golf for pity's sake.

Who hasn't imagined themselves plunged into Casablanca's wartime plot of double-dealing and heartbreak?

Perhaps as Humphrey Bogart, at his craggy best as jaded saloon owner Rick; Ingrid Bergman's impossibly lovely Isla Lund; or even Claude Rains' complicated French police chief Captain Renault.

Sure the dialog has been quoted to death, and if Sam or anyone else plays "As Time Goes By" again, they're going to get the piano lid slammed on their fingers, but every fresh screening of Casablanca is still like the beginning of a beautiful friendship.

Oh dear. We said it.

Enlightening expat dialog

Ilsa (on the verge of tears): "I didn't count the days."

Rick: "Well, I did. Every one of 'em. Mostly I remember the last one. The wild finish. A guy standing on a station platform in the rain with a comical look in his face because his insides have been kicked out."

Worst expat movies

5. 'The Beach' (2000)

With its gorgeous Thai scenery and rumbling undercurrents of violence, jealousy and death, "The Beach" aims to deliver a serious message about the illusory nature of paradise, but doesn't.

It's hard to say which is less credible, a bunch of backpacking muppets building a community on a hidden beach without an Internet cafe or Leonardo DiCaprio (as Richard) joining them and failing to get the French girl.

Excruciating expat dialog

Richard: "I just feel like everyone tries to do something different, but you always wind up doing the same damn thing."

4. 'Under the Tuscan Sun' (2003)

Unlucky-in-love American writer Diane Lane (as Frances) happens upon the only villa in Tuscany that isn't being rented out by middle class vacationers from London and buys it on a whim.

In restoring the villa, she restores her own ... blah, blah, blah, whatever.

So what's the message here?

Don't worry if your marriage collapses, just buy a house in Italy, spend a bundle renovating it, then someone else will come along.

There's a life lesson we can all relate to.

Excruciating expat dialog

Frances: "I'll hire the muscular descendants of Roman gods to do the heavy lifting."

3. 'Eat Pray Love' (2010)

Unlucky-in-love American writer Julia Roberts ... no, stick with us, this one's slightly different.

Granted, Roberts as Liz Gilbert goes to Italy, but there's no villa, just the start of a year swanning around the world with no apparent worries about cash.

In Italy, Roberts' character learns to eat Italian food (without gaining weight).

She then moves to India to explore spirituality before traveling to Bali for love.

Not love with some vacationing sleazeball.

Love with Javier Bardem.

Like that happens in real life.

Excruciating expat dialog

Liz: "It won't last forever. Nothing does." (Except this film -- 140 minutes long!)

2. 'Mr. Baseball' (1992)

Who needs jokes in your script when you've got foreigners?

Simply send grumpy aging baseball star Jack Elliott (Tom Selleck) to Japan, where hilarity ensues as he grapples with their crazy cultural traditions -- and toilets!

What should be a feelgood film about a fading star's last dash for glory winds up being a feel-queasy trot through every Japanese cliche known to Hollywood.

Unsurprisingly, Universal Studios' new Japanese owners were unhappy at the time.

The film does have some good performances, but not from Selleck, who was upstaged by his mustache, and not for the last time.

Excruciating expat dialog

Jack: "Different language, same attitude! Let's go!"

1. 'Farewell to the King' (1989)

Expats, eh? Always acting so damn entitled.

But if you think they're annoying where you live, spare a thought for the tribe in Borneo, which winds up with Learoyd (Nick Nolte) in the midst of World War II.

Not content to loudly drink his own body weight in alcohol every Friday like normal, decent expats, Nolte becomes their king -- a role that involves going topless and sporting Dog the Bounty Hunter's blond bouffant.

Nolte cranks the ham dial up to 11 in this poor man's "Apocalypse Now," taking on Japanese invaders to protect his tribe which, despite being peopled with fearless headhunters, would apparently have been lost without a middle aged white guy there to save the day.

Excruciating expat dialogue

Learoyd: "I have a special relationship with the spirits. I died once. I had to. I had to give up everything, even the will to live."

Originally published February 2011, updated July 2014.

@highlight

Cinema loves portraying the lives of expats -- but doesn't always get it right

@highlight

In "Casablanca" Humphrey Bogart plays a noble bar owner toughing out in WWII

@highlight

In "Farewell to the King" Nick Nolte plays a shirtless man with feathers in his hair