It's 7 a.m. in Tanauan, the Philippines, and the church bells are ringing for Sunday mass.

It's May 2014 and I'm accompanying 11-year-old Jednel and his parents to the weekly service. Jednel is one of the children I have got to know through my work with children's charity Plan International. When Typhoon Haiyan wreaked havoc across the Philippines in November 2013, I was deployed to support the team.

Jednel lives in a coastal village in Leyte, which was badly destroyed by the tsunami-like waves that followed the storm.

Many of the people attending the church service lost family members and friends, many of whom are now buried in the mass grave outside on the main square. When the minister calls for prayers, the air is thick with sorrow.

There is a common experience that, as an outsider, I cannot fully grasp. Everyone in here has sensed the risk of death. They have been so close to the end, but they have survived.

Soon the air fills with a sense of power and energy. When the minister cracks a joke, laughter echoes out through the open doors.

Now, having visited the Philippines three times over the past year (in November 2013, and then May and September, 2014), I truly believe the disaster recovery has come this far because of the remarkable resilience and spirit of the Filipino people.

IMAGES: Before and After, six months on

Rush to rebuild

When I first arrived in Western Samar in November 2013, just three weeks after the typhoon, all I could see was piles of debris, reminiscent of apocalyptic destruction.

Yet, in the middle of the rubble and burning waste, I could hear the sound of people hammering, already in the process of rebuilding their houses. Women were washing their clothes and hanging it between the few walls that were left of their homes. Children were running around in flip-flops looking for scrap metal and old glasses they could sell to help their families get food. I even heard people singing.

A year later and a lot has happened; Jednel's school is being rebuilt, he is attending a temporary school, and plays with his friends on the weekend.

The rubble and fallen trees have been cleared and the vegetation is lush and green. Shops have reopened and the streets are crowded with cars, bicycles and taxis, while the community is out in full force, selling fruit and sweets. Children can play freely on the beach and they are finally allowed to go swimming in the sea once again.

Children among most vulnerable

Jednel has grown a great deal since last November. Now he is a confident, relaxed boy who welcomes me to the house of his great grandmother. He says he's still afraid of storms and bad weather, but the nightmares come more seldom.

Plan International's priority is protecting children who are among those worst affected by a disaster, and among the most vulnerable after.

After Haiyan, Plan set up "Child Friendly Spaces," providing a safe space for 21,000 children to play, learn and get much-needed emotional support -- while nearly 10,000 parents, children and community members were trained on how to avoid violence, abuse, neglect and exploitation.

Over the past year, Plan has helped more than 40,000 children to return to school with its "Back to School" kits -- including bags, books and pens -- or by rebuilding classrooms, training teachers and supplying school equipment.

Although we've come a long way from the devastating scenes my colleagues and I witnessed a year ago, work still remains.

In Tacloban City, one of the areas worst hit by Typhoon Haiyan, Plan's "Building Back Better" project is working with the government and community members to help residents build a community that's better able to withstand the next powerful storm.

As for Jednel, he now dreams of becoming a scientist and learning more about typhoons and climate change.

We look out towards the calm ocean and I ask him what it's like to live in the Philippines, where a natural disaster never seems too far away.

Jednel replies: "This is my favorite place. It's like a freedom, where my family can live and be happy and proud."

For me, hearing his words is testament to the resilience of Jednel, his family and the Filipino community.

@highlight

Spirit of Filipinos remains strong one year after typhoon made landfall November 8, 2013

@highlight

Typhoon Haiyan is one of strongest cyclones ever recorded

@highlight

More than 6,000 people were killed, whole villages swept away by wind, water

@highlight

Storm surges flooded low-lying coastal regions, destroying homes and businesses