(CNN) -- The author of a now-retracted study linking autism to childhood vaccines expected a related medical test to rack up sales of up to $43 million a year, a British medical journal reported Tuesday.

The report in the medical journal BMJ is the second in a series sharply critical of Dr. Andrew Wakefield, who reported the link in 1998. It follows the journal's declaration last week that the 1998 paper in which Wakefield first suggested a connection between autism and the measles, mumps and rubella, or MMR, vaccine was an "elaborate fraud."

The venture "was to be launched off the back of the vaccine scare, diagnosing a purported -- and still unsubstantiated -- 'new syndrome,'" BMJ reported Tuesday. A prospectus for potential investors suggested that a test for the disorder Wakefield dubbed "autistic enterocolitis" could produce as much as 28 million pounds ($43 million U.S.) in revenue, the journal reported, with "litigation driven testing" of patients in the United States and Britain its initial market.

Among his partners in the enterprise was the father of one of the 12 children in the 1998 study that launched the controversy, the journal reported.

In 2010, after a lengthy investigation, British authorities stripped Wakefield of his medical license, and the Lancet -- which published his original study -- retracted the paper. He has denied any wrongdoing, and a vocal contingent of advocates for children with autism continues to support him.

Wakefield did not immediately respond to a request for comment from CNN. But in an interview on an internet radio site Tuesday, Wakefield again defended his research and called the BMJ series "utter nonsense."

He said the patent he held was not for a test or an alternative to the MMR vaccine, as BMJ reported, but an "over-the-counter nutritional supplement" that boosts the immune system. And he blasted allegations that he used the cases of the 12 children in his study to promote his business venture.

"The children were not exploited," he said. "They were seen because they were sick. They had clinical referrals. They came to us. We responded to a crisis."

He also repeated his attack on the author of the BMJ report, freelance journalist Brian Deer, whom he has accused of being paid by the pharmaceutical industry. In financial disclosure forms, Deer has stated that he has received no such payments.

Dr. Max Wiznitzer, a pediatric neurologist at Rainbow Babies and Children's Hospital in Cleveland, said that if true, the latest BMJ allegations would indicate a major ethical breach.

"Assuming the facts Deer lays out are correct, it is disappointing that Wakefield in his book casts aspersions on others for all their purported conflicts of interests and failures of disclosure, yet does not examine the same issues in himself," Wiznitzer said. "Therefore, those who are trying to objectively evaluate the situation have up to this point not been given all the facts."

BMJ reported the business venture failed to launch after Wakefield's superiors at University College London's medical school raised concerns in 1999 about a "serious conflict of interest" between his research and the company formed to launch his new product.

"This concern arose originally because the company's business plan appears to depend on premature, scientifically unjustified publication of results, which do not conform to the rigorous academic and scientific standards that are generally expected," a letter stated. But the university offered him a year's paid absence and help in replicating his original research with a larger group of 150 children in the name of "good scientific practice."

The follow-up study never occurred, and no other research has duplicated Wakefield's original findings, BMJ reported. He left the university in 2001, and BMJ quotes his former boss as saying the school "paid him to go away."

The BMJ pieces are a series of investigative reports, not a clinical study. The journal's editor-in-chief, Fiona Godlee, said last week that of the 12 children Wakefield examined in his 1998 Lancet paper, five showed developmental problems before receiving the MMR vaccine and three never had autism.

According to BMJ, Wakefield received more than 435,000 pounds (about $674,000) from lawyers trying to build a case against vaccine manufacturers -- a serious conflict of interest he failed to disclose. Most of his co-authors abandoned the study in 2004, when those payments were revealed.

The now-discredited paper panicked many parents and led to a sharp drop in the number of children getting the vaccine that prevents measles, mumps and rubella. Vaccination rates dropped sharply in Britain after its publication, falling as low as 80% by 2004. Measles cases have gone up sharply in the ensuing years.

In the United States, more cases of measles were reported in 2008 than in any other year since 1997, according to the Centers for Disease Control and Prevention. More than 90% of those infected had not been vaccinated or their vaccination status was unknown, the CDC reported.

CNN's Miriam Falco contributed to this report.

@highlight

Dr. Andrew Wakefield expected his test to be used in 'litigation driven" cases, BMJ says

@highlight

Tuesday's report is the second in a BMJ series sharply critical of the researcher

@highlight

Wakefield has denied any wrongdoing and attacked the author of the series

@highlight

Wakefield's paper linking vaccines to autism has been retracted