Abu Dhabi (CNN) -- China's Xi Jinping, who is expected to be named president in March and likely next premier Li Keqiang will inherit a foreign policy that puts a premium on partnerships that can help China fuel its resource-hungry economy.

In the world of geo-politics, symbolism goes a long way in forging lasting, strategic relations. This is certainly the case when it comes to China's role within the Middle East, specifically with Saudi Arabia, the country with the world's largest proven oil reserves.

When King Abdullah took over the throne in Saudi Arabia, his first foreign visit in January 2006 was to Beijing after an invitation of President Hu Jintao. Six years later, the countries' two state-run energy giants, China's Sinopec and Saudi Aramco, inked a huge oil agreement guaranteeing the Asian nation an additional 400,000 barrels a day from a Red Sea refinery in the Saudi city of Yanbu. This is on top of the estimated one million barrels of oil a day it now orders from the Kingdom.

"We need China as much as China needs us," said Khalid Al-Falih in a CNN interview right after he signed the agreement, "But the energy corridor is only part of it. We envisage an exchange of goods and services and trade in other areas that add value to the Chinese economy and to the Saudi economy as well."

That deal follows a major equity investment in the Fujian province where Saudi Aramco invested in petrochemical manufacturing facilities along with U.S. energy giant ExxonMobil.

In the 19th century the battle over influence of Central Asia was described as the "Great Game" as the British and Russian empires vied for control and influence in the region. In the 21st century, one may view China's influence in the Middle East in a similar vein.

"Clearly there are mutual interests in terms of large energy suppliers and consumers, but there will be stress points, of course," said Ben Simpfendorfer, co-founder of Silk Road Associates, an investment advisory firm specializing on trade between the Middle East and Far East Asia.

China, experts say, is keen to lock in strategic commodity supplies rather than exercise political influence at this juncture. This is reflected in its vetoes -- together with Russia -- striking down resolutions against Syria on the United Nations Security Council.

This strategy of non-intervention may not be sustainable, says Simpfendorfer, "I think China's position will be challenged by the Gulf countries and that is certainly a risk the new leadership has to look out for" especially since Beijing is so dependent on the region to fuel its economic expansion.

But one cannot doubt whether the world's second largest economy is instrumental in rebuilding the ancient Silk Road. China continues to go to great lengths to foster developing market trade partners -- some argue to exploit their natural resources in the case of Africa -- as part of its "Great Game" strategy. China rolls out the welcome mat on its soil, for example recently inviting Arab leaders to Yinchuan, in northern-central part of the country, for the 3rd China-Arab States Economic and Trade Forum.

There are some lofty expectations for trade between China and the Arab states. The United Arab Emirates' foreign trade minister, Sheikha Lubna Al Qasimi, said bilateral trade between the Gulf and China could hit $300 billion by 2014. Trade between China and the UAE grew 10% last year alone, witnessing a fivefold increase in less than a decade. Some see Dubai's Jebel Ali port as an excellent gateway for China into the African continent.

This keen business interest in the Middle East is not likely to change with Xi Jinping taking over the helm in 2013, but is China ready for a G-2 world dominated by Washington and Beijing? Not yet, strategists suggest. Beijing prefers the relative comfort of the broader G-20 world that brings the developed and developing world under one umbrella, with the ability for the new leaders of China to seek political alignment from BRICS partners Brazil, Russia, India and South Africa.

All the while, China continues to blaze new trails beyond the Middle East in search of strategic supplies. This autumn, the country made inroads into Afghanistan with the first high level visit in more than a half century. The bounty is a promising one with more than a trillion dollars of mineral deposits estimated in the country.

China's "Great Game" continues with an ever expanding footprint from the Middle East well into South Asia.

@highlight

China's foreign policy values relationships to fuel its resource-hungry economy

@highlight

Oil drives strategic relationship between Middle East and China

@highlight

China's "Great Game" seeks supplies rather than political influence